Introduction To CardAccess 4000

Introduction To CA4K™

Next

VERSION: REV T

RELEASE DATE: January 6, 2023

Date | Version | Author | Notes
2017-2018 | Rev K and earlier | Mike Kelly | Help file for CA4K (Beta through SP2)
September 20, 2019 | Rev L | Mike Kelly | Added updates for SP3 and V1.1.x
October 30, 2019 | Rev M | Mike Kelly | Added updates for V1.1.x.
February 24, 2020 | Rev N | Mike Kelly | Added updates for V1.1.x Service Pack 1
March 5, 2020 | Rev O | Mike Kelly | Additional updates for SP1 (Datapump Serv. and Napco Integration)
July 1, 2020 | Rev P | Mike Kelly | Added updates for V1.1.16 Service Pack 2
November 20, 2020 | Rev Q | Mike Kelly | Added updates for new release V1.1.3x
February 11, 2022 | Rev R | Mike Kelly | Added updates for new release V1.1.5x (Additional Aperio support and Bluetooth Reader Module support)
December 19, 2022 | Rev S | Mike Kelly | Added updates for V1.1.54 Service Pack 2
January 6, 2023 | Rev T | Mike Kelly | Final updates for Online posting

The CA4K™ is the next generation of Continental Access CardAccess software. The CA4K™ is an Object Oriented .Net application that can run on Windows 10 Professional, Windows 11 Professional, Windows 2012 Server, Windows 2016 Server, Windows 2019 Server and Windows Server 2022. Please refer to the Continental Document library or the DVD for the CA4K™ System Requirements document. The CA4K™ successfully integrates advanced client/server system architecture, scalable SQLEXPRESS/MS-SQL database technology and advanced networking capabilities to provide an easy to program and easy to use integrated access control & facilities management system. The CA4K™ is feature rich including many integration features. The Open API and the new Plug-In architecture provides integrators the ability to develop custom applications for integration with any other system.

Note: Testing on Windows 11 Professional and Windows Server 2022 will officially be completed in 2023. We currently have customers successfully using both these operating systems. Please contact Continental Technical Support regarding any limitations using these two operating systems.

Most CA4K™ topics are discussed in this help system. Additional Installation documents, System Requirements document and How-To Guides can be found in the Continental Document Library, on the CA4K DVD and in the in the Program Files\CardAccess4K\Documents folder.

Below is a list of the main icons in the CA4K™ software including some of the hardware components.

Log In

As in most software applications, you will be required to log into the software after launching the software. Here, you will input the username and password required for login, and will then be able to view the main screen of the software.

Com Ports

Communication Ports (Com Ports) are necessary for communication between the CA4K™ (polling) computer and the Continental access control panels. You can configure Com ports for CA4K™ using the Communication Ports screen.

Panels

The Access Control panel is the most important component in the CA4K™ access control system. All physical hardware will connect to some kind of panel arrangement. Panel configuration is done under the Panels screen.

Readers

Readers and keypads are hardware devices that are used for reading access badges. Keypads are used to enter a code along with or in place of a badge. They are physically connected to the access control panels. Reader/Keypad configuration is done under the Readers screen.

Inputs

An Input can be defined as some form of dry contact switch, connected to a pair of wires, which are ultimately brought back to two input contacts on a Continental Instruments designed access control panel. Inputs are configured under the Inputs screen.

Relays

Each panel type has a fixed number of on-board relays. Relay expansion cards can be attached to the SuperTerm, Turbo SuperTerm, Super Two and Accelaterm panels to increase the total number of available relays. Relays are configured under the Relays screen.

Links

Links allow you to monitor the status of inputs or a time schedule, and cause relays to activate if any of those inputs change state, or if the time schedule goes into effect. Links are configured under the Links screen.

Activity Links

Activity Links are an extension of scripting except they provide greater functionality. Activity Links allows you to monitor the status of an events and cause an action to occur when the event occurs. Activity Links are created under the Activity Links screen.

Time Schedules

The Schedules screen is where you create time schedules that can be used elsewhere in the software. A hardware device that has a schedule assigned will be activated while the schedule is in effect and deactivated when the schedule is no longer in effect.

Access Groups

Access Groups refer to access 'templates' that are created to control the badge holders' access to specific doors in a building, at specific times. Access Groups are created under the Access Groups screen. .

Personnel

The Personnel screen is where you create employee and cardholder records. In this screen, you can associate a name with a badge number or multiple badge numbers. You can set access rules for any badge holder, and you can attach special attributes to a badge.

System Settings

The default operating characteristics of CA4K™ software are set in the System Settings screen. The settings in this screen are made during the setup phase of the software. After that, the settings are rarely changed. It is strongly suggested that access to System Settings be limited to Administrator level users only.


CA4K™ Architecture

Previous Top Next

The CA4K™ architecture has been redesigned to improve efficiency and increase scalability and redundancy. This includes a redesign of the database schema. Below is a list of the different types of installations with a brief description of each. Refer to the associated Installation documents for each type of installation. The Installation documents can be found on the CA4K DVD or in the Continental Document library.

Database Schema

The CA4K™ database schema is much different than the CardAccess 3000 database schema. There are now 5 databases created in the CA4K™. The Configuration and Events are now separated into two databases. There are two live databases, two archive databases and one Communication database. Below are the names of the 5 databases. They are also created in a different location than the

CardAccess 3000 software. They are created under the ProgramData>CardAccess>Database folder.

5 Databases created during the installation

  1. caLiveConfiguration

  2. caLiveEvent

  3. caArchiveConfiguration

  4. caArchiveEvent

  5. caComDb

12 Services installed during the installation

The CA4K™ installs 12 services during a Complete Install. Below is a list of the services. Some of the services are started by default and others are disabled by default.

    • CardAccess Auto Archive Service

    • CardAccess DataPump Service

    • CardAccess DVR Video Service

    • CardAccess Event Action Processor

    • CardAccess Hardware Communications Server

    • CardAccess Main Business Layer

    • CardAccess Main Messaging Service

    • CardAccess Messaging Service

    • CardAccess Napco Integration Service

    • CardAccess Schedule Change Service

    • CardAccess Scripting Service

    • CardAccess Wireless Lock Service


Preparing to Install CA4K

MUST READ - VERY IMPORTANT NOTES:

  • Prior to installing the CA4K, you must verify your computer meets the specifications outlined in the CA4K System Requirements document.

  • .Net Framework 3.5 and 4.x MUST be turned on in Windows features. Failure to do so will result in installation failures on the web client and other applications.

  • Prior to installing the CA4K, you must verify the computer name is correct. Changing the computer name after the installation would require a complete uninstall and reinstall.

  • Please watch the CA4K Installation videos prior to installing the CA4K.

The following pages will explain some important prerequisites for installing the CA4K™ software. One of the most important prerequisites is to have FULL Administrator permissions. Failure

to have FULL Administrator permissions to perform the installation will result in installation errors. To eliminate unnecessary troubleshooting, please consult the System Administrator to verify

you have FULL Administrator permissions. If the computer is on a company domain, you must make certain that there are no domain policies restricting you from performing an installation.

In addition to having FULL Administrator permissions to perform an installation, please refer to the TCP/IP ports topic and document to verify that all required ports are open on the Windows Firewall. Failure to have

all the ports open will result in application errors.

Note: If you are performing a CA3000 to CA4K upgrade, it is required to perform a CA4K installation first, and then use the CA4K Data Migration utility to transfer the data from the CA3000 databases to the CA4K databases. The recommended method for this upgrade is to install CA4K on a new computer and detach and move the CA3000 databases over to the new computer. Refer to the Continental Video library for videos detailing these steps.


System Requirements

System Requirements:

  • Prior to installing the CA4K, you must verify your computer meets the specifications outlined in the CA4K System Requirements document.

  • The CA4K™ System Requirements document can be found on the CA4K DVD and also in the Continental Document library.

  • Virtual machines are supported with the CA4K. The operating system and hardware on each virtual machine must meet the specifications outlined in the CA4K System Requirements document.

  • Virtual machines require a software license and not a hardware key.

  • In the Windows features section, you must verify .NET Framework 3.5 is turned on prior to installing CA4K. On some operating systems, this is not turned on by default. The CA4K is currently up to using .NET 4.72. All .Net Framework versions should be turned on up to .NET 4.72.


CA4K™ Ports

CA4K™ TCP/IP Ports

CA4K™ TCP/UDP ports to be open on Firewall:

CA4K™ software uses the following TCP/UDP ports for the CA4K™ applications. The Following ports should have exceptions on the firewall as described below.

The CA4K™ installer will automatically create required inbound and outbound rules, as long as installed user has required permission to change firewall settings.

Rules created during install:

Rule Name | Direction | Protocol | Ports
CA4K TCP in ports | inbound | TCP | localport=1433,1434,5001,5003,5501-5502,8003,9000,9001,9002,10050,10081,8080
CA4K TCP out ports | outbound | TCP | remoteport=3001,5001,5003,5501-5502,8003,9000,9001,9002,10001,10081
CA4K UDP out ports | inbound | UDP | localport=30717,30718
CA4K UDP in ports | outbound | UDP | localport=1434,30717,30718

Fig. 10.1. CA4K™ TCP/IP Firewall Rules.

Applications and Ports:

Application Name | Protocol | Ports | Purpose
Main Messaging Service (MBL) | TCP | 9001 | Application remoting
Messaging Service (MSG) | TCP | 9000 | Application remoting
Host Communication Service (HCS) | TCP | 5501 | Application remoting
 | TCP | 5502 | 2nd HCS Application remoting
 | TCP | 3001 | Default port for panel polling
Wireless Lock | TCP | 10050 | Application to connect Wireless Gateway
 | TCP | 10001 | Gateway to connect WL application
 | UDP | 30718 | Discover Gateways
Napco Integration | TCP | 8003, 10081 | Connect to RCM
 | TCP | 5003 | Connect to NL-Mod
 | UDP | 30717 | Browse RCM Instances
Central Station Reporting | TCP | 5001 | Application remoting
SQL Server Engine | TCP | 1433 | To connect SQL Server database
SQL Server Browser | UDP | 1434 | To browse SQL Server instances
CA4K Mobile APP | TCP | 8080 | CA4K Mobile App

Fig. 10.2. CA4K™ TCP/IP Ports.

NOTES:

There are other ports that may have to be manually opened as specific features are enabled by the user.

For example:

If DVR integration is enabled, you must open all the required ports manually for the selected DVR server. Refer to the associated VMS guide.


Upgrade Information

MUST READ - VERY IMPORTANT NOTES:

  • CA3000 and CA4K MUST not exist on the same computer.

    • The upgrade steps to CA4K will vary depending on the version you are upgrading from. Below are a few upgrade paths explained.

UPGRADE PATHS -

NOTE: Please watch the CA4K installation videos in the Continental Video library

CA3000 to CA4K - If you are upgrading from CA3000 to CA4K, the version of CA3000 must be V2.9.88 or later for you to perform the data migration. If the CA3000 is an earlier version than V2.9.88, you must contact Continental Sales and get a price quote for Tech Support to upgrade the databases. At that point, you must send the databases into Continental Tech Support for upgrade.

VERY IMPORTANT: While performing an upgrade from CA3000 to CA4K, It is highly recommended to install CA4K on a different computer and leave CA3000 on the original computer until the upgrade is complete.

After the CA4K is licensed and functional on a new computer, you will be required to make a backup (detach) of the CardAccess 3000 databases and copy them over to the CA4K computer for migration.

CA4K to CA4K - If you are upgrading an earlier version of CA4K to a later version, you can perform the installation over the existing version. A V1.0.x license will be the same for any V1.0.x version of CA4K. If you are upgrading to a V1.1.x, you must purchase a new software license. A V1.0.x software license will not work with a V1.1.x version of CA4K.


Installing the CA4K™

MUST READ - VERY IMPORTANT NOTES:

  • Prior to installing the CA4K, you must verify your computer meets the specifications outlined in the CA4K System Requirements document.

  • The CA4K™ System Requirements and Installation documents can be found on the CA4K DVD and also in the Continental Document library..

  • Prior to starting the installation, you must verify you have FULL Administrator permissions.

  • Refer to the CA4K Quick Start Programming Guide and the Programming a Basic System topic for a step by step procedure to configure a basic CA4K system.

NOTE: If you are prompted to reboot during the installation of CA4K, click YES and reboot. Some of the prerequisites require that you perform a reboot (ex. .Net FW 4.72)


Installation Types

CA4K™ Installation Types

  • Complete Server (Used on a one computer configuration).

  • Database Only (Used for a Database Server)

  • HCS (Used for additional Com Servers)

  • Report Station

  • Server Only (Used on the host computer when a Database Server is installed)

  • Workstation

Note: An installation document for each type listed above, can be found in the Continental Document library and also on the CA4K DVD.


Computer Configurations

Typical Installation Configurations

Below is a brief explanation of a few typical setup configurations.

Complete Server (1 computer solution)

Setup Type : Complete Server Installation

Complete Server Notes:

  • A total of 5 databases are created on a complete server.

Server and Workstation (2 computer solution)

Setup Types:

Complete Server Installation

Workstation Installation

Complete Server Notes:

  • A total of 5 databases are created on a complete server.

Workstation Notes:

· The workstation points to the Server (Messaging Server).

Server (Server Only), Workstation and Database Server (3 computer solution)

Setup Types:

Server Only Installation

Workstation Installation

Database Only Installation (Database Server)

Server Only Notes:

  • SQL is installed on a “Server Only” installation for the creation of the caComDb database.

  • A Server Only Installation communicates to panels using the caComDb.

Database Only (Database Server) Notes:

  • Full version of SQL recommended

  • The live and archive databases (a total of 4 databases) are created on the Database Only Server. The caComDb is created on the server only.

Note: On version SP3 and later, you have the option to physically move the caComDb database from the Server only to the Database Only Server.

Workstation Notes:

· The workstation points to the Server (Messaging Server), not the Database Server.


License Activation/Registration

License Registration/Activation

MUST READ - VERY IMPORTANT NOTES:

  • If you are moving CA4K to another computer, you must Unregister (Revoke) the CA4K license on the original computer.

  • The CA4K version 1.1.x requires a new software license. The version 1.0.x license will not work with the version 1.1.x versions.

  • To perform a license import, registration and activation, you must have Full Administrator permissions or select "Run As Administrator".

By default, the CA4K™ will be sold with a software license. The software license will be sent to you in an e-mail after the purchase of CA4K™. Hardware security (license) keys will be available for an additional cost and must be special ordered. Please contact Continental sales if a hardware security key is required.

The CA4K™ licensing procedure is much like the CA3000 licensing procedure except you MUST register the software license prior to activating it. Failure to register the software license will prevent the license from being activated and validated. The 'Registration' and 'Activation' steps must be performed prior to the 'Grace Period' expiring ('0 days left').

Note: It is highly recommended to have internet access so you can perform an Online Registration and Activation. A phone activation requires many more steps and is time consuming.

The following are the steps that must be performed to register and activate the CA4K™ software license:

  • Copy the 'CardAccess.lic' file to the computer desktop

  • Import the 'CardAccess.lic' file using the 'CardAccess 4K Client License Manager' utility

  • Register and Activate software license online or by an email/phone activation

Software License File (CardAccess.lic)

The CA4K™ software license file name is 'CardAccess.lic'. This file will be attached to the email you receive. The text in the e-mail will contain the serial number of the license and some brief installation instructions. The 'CardAccess.lic' file should be saved to the computer desktop. The figure below displays a sample e-mail sent with the license file attached. .

Fig. 6.1. Sample e-mail message with the CardAccess.lic file attached.

The CardAccess 4K Client License Manager utility is used to 'Import', 'Register' and 'Activate' the license. The CardAccess 4K Client License Manager is explained in detail below.

CardAccess 4K Client License Manager Utility

After the CA4K™ is installed, the 'CardAccess 4K Client License Manager can be executed as follows:

  • Click on "All Programs" in Windows and double click the 'CardAccess Client License Manager'

Fig. 6.2. The CardAccess License Manager menu selection.

  • Double click 'CardAccess.ClientLicenseManager.exe' in the 'CardAccess4K' folder using Windows File Explorer.

Fig. 6.3. The CardAccess 4K License Manager utility in the CardAccess4K folder.

Upon launching the CardAccess 4K Client License Manager, the following screen displays.

Note:The Client License Manager screen will be blank prior to Importing the license.

.

Fig. 6.4. The 'CardAccess 4K Client License Manager' screen.

Important Notes;

  • CA4K™ Licensing must be performed on the CA4K™ Server (Host), not on the CA4K™ Workstation or Database server.

  • The CA4K™ license is unique for CA4K™. A CA3000 license will not work.

  • After the software license is Registered and Activated, a change in computer hardware might automatically revoke the license. Try to avoid swapping hardware. If this occurs, please contact Continental Technical Support.


Import License

After the CardAccess.lic file is copied to the computer desktop, it must be imported using the CardAccess 4K Client License Manager utility.

  • Verify the CardAccess.lic file has been copied to the computer desktop.

  • Launch the CardAccess License Manager utility as per the previous steps.

The CardAccess 4K Client License Manager screen should be blank as per the figure below.

Fig. 6.5. The 'CardAccess 4K Client License Manager' screen prior to import..

Import Software License

The following steps should be performed to Import the software license.

  • Click 'System' on the menu.

  • Click 'Import License'.

Fig. 6.6. The 'System>Import License' menu selection.

Upon clicking 'Import License', a file navigation window will display.

  • Navigate to the computer Desktop.

  • Select the 'CardAccess.lic' file that was saved to the computer desktop.

  • Click 'Open' .

Fig. 6.7. The 'Import License File' Navigation screen.

Upon clicking 'Open', the 'CardAccess 4K Client License Manager screen will populate with the 'License Information'. Refer to the figure below.

Note: There will be a GRACE PERIOD displaying 'DAYS LEFT'. This displays how many days you have before you must Register and Activate the license. When 'Days Left = 0', the software will not launch anymore and a 'Registration' and 'Activation' must be performed before the software will launch.

Fig. 6.8. The 'license Information' screen after Import.

If the software license is corrupted or the wrong version, the following screen will display. If this occurs, Contact Continental Sales Licensing department.

Fig. 6.9. Invalid License error message.

Refer to the next steps to Register and Activate the software license.


Register/Activate License

After the 'CardAccess.lic' file is Imported, the software license must be Registered and Activated before the 'Grace Period' expires. Failure to do so will result in the CA4K not launching.

Reminder: As previously mentioned, it is highly recommended to have an internet connection and perform the Registration and Activation online.

Register Software License

The following steps should be performed to 'Register/Activate' Software License.

  • Click 'Registration' on the menu.

  • Click 'Activate Software License'.

Note: If the software license is corrupt or has been Registered and Activated already, the 'Activate Software License' menu selection will be grayed out and the Unregistered Software License/Revoke' menu selection will be enabled. .

Fig. 6.10. The 'Register/Activate' menu selection.

Upon clicking 'Activate Software License', the Registration information screen displays. NOTE: All registration information must be entered before the software license will be 'Activated'.

The 'Registration Information' screen is divided into two parts. After completing the first screen, click 'More' to open the second screen. Fill out both screens with accurate information.

Reminder: Unlike the CardAccess 3000 software license, the CA4K registration information must be entered in and must be accurate.

Fig. 6.11. Basic 'Registration Information' screen.

  • Click More> to open the detailed information screen.

Fig. 6.12. Detailed 'Registration Information' screen.

After all the Registration is entered completely and accurately, click 'Register'.

If the Registration is successful, the following screen will display.

  • Click OK.

Fig. 6.13. License Registered Successfully message.

Activate Software License online

Activation of the software license can be done by two methods. The two types are 'Online' or 'Email/Phone' activations. As previously mentioned, it is highly recommended to have an internet connection and perform an 'Online' activation.

Upon clicking OK, the 'Activation Required' screen displays with the Activation options.

For this demonstration, leave the default setting of 'Activate online' as per the screen below. .

Fig. 6.14. Activation Required screen.

  • Click Continue.

Fig. 6.15. License Successfully Activated screen.

Very Important - After a successful License Activation, you must verify the Grace Period (Days Left Message) disappears as per the following screenshot below.

Fig. 6.16. Grace Period Message Not Showing after Successful License Activation.

Activate Software License by Email or Phone

If an internet connection is not available, you have the option to Register and Activate via e-mail or phone. The two methods are explained below.

Email method - Send an email to Continental Technical Support at 'techhelp@cicaccess.com'. You will receive a response from Continental Access with the required information they will need you to e-mail them. They will request the 'license serial number' and your registration information as per the screens above.

Phone Activation method - Call Napco Security at 631-842-9400. Follow the prompts for Continental Access and select 'Licensing' option. A customer service representative will answer and require you to provide information. Below is a summary of the information you will be asked to provide the Customer Service representative.

Upon clicking OK, the Activation Required screen displays with the Activation options.

For this demonstration, unselect the default and select 'Activate by e-mail or phone'.

Fig. 6.17. Activate by email or phone selection.

  • Click Continue.

The customer service representative from the Continental Sales licensing department will ask you to provide the following information.

  • All the Registration information required in the screens above. They will manually enter this into a database.

  • The Serial Number and Machine Key in the screen below.

    Once the customer service representative enters your information, they will provide you with an 'Unlock Code'. Once you receive the 'Unlock Code', you must type it into the screen below.

  • After the 'Unlock Code' is typed in, click 'Continue'.

Fig. 6.18. Activation Required screen.

Note: If the Unlock Code is typed in wrong, the following message will display. Be very careful determining the correct letters or numbers. There are certain characters and letters that can be misinterpreted easily.

Fig. 6.19. Invalid Unlock Code Error message.

After a 'Successful Activation', the following screen will display.

Fig. 6.20. License Successful Information message.

The CardAccess 4K Client License Manager will populate after a successful e-mail or phone activation.

Fig. 6.21. CardAccess 4K Client License Manager after Successful email/phone activation.


Revoke License

Very Important: Once a software license has been revoked, it can't be used on the same computer again. If you must use it on the same computer again, you should contact Continental sales (Licensing Department). They will be required to reset the license prior to using it on the same computer again.

Revoke Software License

If a software license needs to be moved to another computer, you must revoke the license on the original computer as per the following steps.

  • Click Registration.

  • Click Unregister Software License/Revoke.

Fig. 6.22. Unregister Software License/Revoke menu selection.

As previously mentioned, if the license is revoked, it can't be activated on the same computer.

  • Click Yes to revoke.

Fig. 6.23. Unregister/Revoke Information message.

Upon a successful Revocation, the following screen will display.

  • Click OK.

Fig. 6.24. License Unregistered/Revoked Information message.

After a few seconds, the CardAccess 4K Client License Manager screen should go blank as per the following screen.

Fig. 6.25 CardAccess 4K Client License Manager screen after a Revocation.


Database Utilities

MUST READ - VERY IMPORTANT NOTES:

  • In most cases, the databases and settings will be pre-configured during the CA4K installation and will not require any additional configuration using the Database Utilities.

  • If you have a functioning CA4K system, and it stops functioning, the settings in the Database Utilities are the first things to check.

The CA4K™ Database Utilities has been redesigned to accommodate the additional databases used in the CA4K™ software. There is now a total of 5 databases created on a new CA4K™ Complete Server installation. Much like the CardAccess 3000, the databases will be created automatically during the installation.

The Database Utilities provides the ability to create and connect to databases.

Accessing DBUtility4K Screen

Follow the steps below:

  • Launching the CA4K™ Database Utilities is accomplished multiple ways depending on the operating system. On some operating systems, the Database Utilities is launched by clicking All ProgramsÒCardAccess4KÒTools and other operating systems you will have to navigate to the caDBUtils4K.exe in the CardAccess4K->Tools folder using File Explorer.

  • Launch the Database Utilities using one of the methods previously described. If there is an icon on the desktop, click it to launch the DBUtility4K.exe .

Fig. 15.1. Database Utilities launcher icon.

  • Upon launching the CA4K™ Database Utilities, the CA4K™ Password screen will be displayed. Enter pr1532 for the password.

Fig. 15.2. Password Screen.

Upon a successful password entry, a green check mark will display.

  • Click on OK button.

Fig. 15.3. Dialog displayed for successful password entry.

The Server Connection Settings screen displays by default when the Database Utilities opens.

Fig. 15.4. Server Connection settings tab.

Note: The IP address on the Server Selection screen points to the IP Address of the CA4K™ Server. By default, it is configured for the local computer (Loopback IP of 127.0.0.1)).


Creating a new Database

Unlike the two databases created in CardAccess 3000, there are now a total of 5 databases created on a CA4K™ Complete Server Install. The databases include 2 Configuration databases, 2 Events databases and 1 COMDB database. The creation of the 5 databases are performed on multiple tabs of the Database Utilities.

  • To create the two Live (Configuration and Event) databases, click the Database Create/Update tab.

Fig. 15.5. Database Create/Update screen.

Follow the steps below to create the two Configuration databases (Live Configuration and Archive Configuration):

  • Select a SQL Server instance for the new databases.

  • Click the down arrow on SQL Server.

Fig. 15.6. Create Configuration Databases.

  • After clicking the SQL Server down arrow, a Query SQL Servers dialog box displays.

Fig. 15.7. Query SQL Servers dialog box.

  • Click Yes. The Create Configuration Database screen populates with the auto-generated database names.

Fig.15.8. Auto Generated database names

  • Select the Live Configuration and Archive Configuration Checkboxes.

Fig. 15.9. Live Configuration and Archive Configuration Databases selection boxes
  • Click Create Database(s). A progress bar will display while the Configuration databases are being created.

Fig. 15.10. Creating Databases Progress Bar.

  • When the creation of the 'Live Configuration' database is complete, you will be prompted with a question, Do you want to use the 'Live Configuration' Database for CA4K™.

  • Click Yes.

Fig. 15.11.. Live Configuration Assignment

  • When the creation of the 'Archive Configuration' database is complete, you will be prompted with a question, 'Do you want to assign the 'Archive Configuration' Database as your Archive Database from your Live Database?'.
  • Click Yes.

Fig. 15.12. Archive Configuration Database Assignment.

  • Once the databases are created successfully, the Database created successfully dialog box will display.
  • Click the OK button to acknowledge the creation of the Configuration databases

Fig. 15.13. Database created successfully dialog box.

  • The previous steps created the Live Configuration and Archive Configuration databases. Repeat the previous steps for the Live Events and Archive Events database creation.

Fig. 15.14. Create Events Databases.

  • The fifth database that can be created is called the 'COMDB' Database.

  • To create the 'COMDB' database, click the 'COMDB' Database tab.

NOTE: The COMDB database is like a cache and is cleared every time the services restart.

Fig. 15.15. COMDB Database tab.

  • To create the COMDB database, click the COMDB Create Database tab.

Fig. 15.16. COMDB Create Database tab.

  • On the bottom half of the screen, click the COMDB Create Database tab.

  • Select the SQL Server.

  • Select the Live COMDB Checkbox to use the auto-generated name.

  • Click Create Database(s). The COMDB database will be created.

NOTE: The default path for all databases is C:\ProgramData\CardAccess\Database. This default path can be changed in the Database Path box.


Connecting to a Database and Saving a Database

Connecting to a Database and Saving the Database

After creating/updating the databases, you need to select two databases to be used as the live databases for the CA4K™ system, and save your choice. This is done in the Database Connection tab.

  • Click the Database Connection tab.

Fig.15.17. Database Connection tab.

The following fields in the Database Connection tab are involved in connecting to the Configuration Database:

  • SQL Server: In this field, the server name on which SQL Server /SQL Express installed must be selected from the drop down list.

  • Database: In this field, the Configuration Database name that was created/updated must be chosen from the drop down list.

Fig. 15.18. Configuration Database Settings.

  • In the above figure, CARDACCESS is selected as the SQL server name.

  • In the above figure, caLiveConfiguration is selected from the drop down list.

    Note: The SQL Server authentication and Usrername and Password should be left at the default. This information should only be modified by experience SQL Server Administrators.

  • Click Save Settings to save the Configuration Database Connection Settings.

The following fields in the Database Connection screen are involved in connecting to the Events Database:

  • SQL Server: In this field, the server name on which SQL Server /SQL Express installed must be selected from the drop down list.

  • Database: In this field, the Events Database name that was created/updated must be chosen from the drop down list.

Fig. 15.19. Events Database Settings field.

  • In the above figure, CARDACCESS is selected as the SQL server name.

  • In the above figure, caLiveEvents is selected from the drop down list.

Note: The SQL Server authentication and Usrername and Password should be left at the default. This information should only be modified by experience SQL Server Administrators.

  • Click Save Settings to Save the Events Database Connection Settings.

  • Click the Exit button seen at the top right corner of the Database Connection screen to close the Database Utilities screen.


Attaching a Database

Databases can be attached to Microsoft SQL Server / SQL Express by clicking on the Misc. tab in the Database Utilities. Under the Misc. tab, click the Attach/Detach Database tab as per the screen below. Refer to the top half of the screen for attaching a database.

Fig. 15.20. Attach/Detach Database tab.

By default, the above screen will display the Database directory created when CardAccess 4K was installed. If the database to be attached does not exist in this folder, navigate to the correct folder by clicking on the three dots at the right of this field.

Follow the steps below to attach a database:

  • In the SQL Server field of the screen, select the CardAccess SQL Server name from the drop down list.

  • In the Database Path field of the screen, click the elipse button and navigate to the name of the database to be attached.

  • After the correct database file is selected, click the Attach Database button seen at the bottom right corner of the screen.

  • If the database is attached successfully, the Attached successfully dialog box will display

Fig. 15.21. Attached successfully.

  • Click OK.


Detaching a Database

Databases can be detached from Microsoft SQL Server / SQL Express by clicking on the Misc. tab in the Database Utilities. Under the Misc. tab, click the Attach/Detach Database tab as per the screen below. Refer to the bottom half of the screen for detaching a database.

Fig. 15.22. Detach CardAccess 4K Database screen.

The 'Detach CardAccess 4K Database' screen will list all the Databases that are currently attached. If the database to be detached does not display in the list, it is possible it's not currently attached.

Follow the steps below to detach a database:

  • In the SQL Server drop-down list, click the down arrow and select the CardAccess SQL Server name from the drop down list.

  • In the Database drop-down list, click the down arrow and select the database to be detached.

  • After the correct database is selected, click the Detach Database button seen at the bottom right corner of the screen.

  • If the database is detached successfully, the Attached successfully dialog box will display.

  • Click OK.

Fig. 15.23. Database Attached successfully


Linking of Servers

The CA4K server can be linked to other SQL servers by using the Add/Drop Link Servers tab under the Misc. tab. Linking of servers is necessary for remote archiving and running reports in the archive databases.

  • Click on Misc tab.

  • Click on Add/Drop Link Server tab.
  • The Add/Drop Link Server screen contains both the Add Link Servers and Drop Link Servers screen.:

Fig. 15.24. Add Link/Drop Link Server screens.

Refer to the to Add Link Servers portion of the screen (Top half of the screen). Follow the steps below to link a desired server:

  • Master Server field will have the name of the local server.

  • Link Server field will show a list of servers you can link to.

  • Click on the down arrow of the Master Server field. Select the local server name.

  • Click the Add Link Server button to link the servers.

  • Click on the down arrow of the Link Server field. Select the desired SQL server in the drop down list you wish to link to.

Fig. 15.25. Add Link Servers .

NOTE: To link other SQL Servers to the master server, repeat the steps above.


Dropping a Linked Server

If the local SQL Server is linked to other SQL servers, the link to the other server can be Dropped using the following screens.

  • Click on the Misc.. tab and then the Add/Drop Link Server tab to display the screen below.

  • Refer to the Drop Link Servers portion of the screen (bottom half of the screen).

Fig. 15.26. Add/Drop Link Server screens.

  • Follow the steps below to Drop a linked server:

  • SQL Server field will have the name of the local server.

  • Link Server field will show a list of servers that are linked to the local SQL Server.

  • Click on the down arrow of the SQL Server field. Select the local server name.

  • Click on the down arrow of the Link Server field. Select the desired SQL server in the drop down list you wish to Drop.

  • Click the Drop Link Server button to Drop the server.

Fig. 15.27. Drop Link Servers .

  • Likewise, follow the above steps to Drop other SQL servers linked to the master server, if necessary.


General Settings

DB Utilities General Settings

The General tab can be used to change the default value of some of the settings used internally by the CardAccess GUI and other related applications. Earlier, settings used to be changed in the registry. This is no longer done.

A click on the General tab and then the General Settings tab will display the screen below.

Fig. 15.28. General Settings tab

The figure above will display the following settings:

  • Com Server Settings

  • Archive Settings

  • Napco Integration Settings

  • Badging Settings

  • Database Service

  • Service Settings

  • General

The settings above will be provided with nodes (+ sign). Click on the '+' sign to display the contents of the node.

Fig. 15.29. Com Server Settings node expanded by clicking on the + sign.

In the screen above, Com Server Query Interval is displayed by clicking the Com Server Settings node. The available parameters can be accessed in the other categories by clicking on the plus sign associated with the respective nodes. Hint boxes are provided for each parameter describing the intended use and the recommended value.

Changing the Value of a Setting

 Note: It is not recommended to change the value of any setting in this tab. Contact Continental Instruments' Technical support before making any changes.

Follow the steps below:

  • Click on the row of the setting to be changed. The value of the setting will be highlighted as shown in the figure below.

  • The default value can be changed in two ways as below:

  • By typing in a number of choice.

  • By using the spin buttons to select a number


SQL Passwords

The SQL Password tab allows the user to change the database Login Name and Password that is used by CA4K software to connect to the Configuration, Event and COMDB databases.

Note: This will not change the Login Name and password created on the SQL server. In order to do this, a management tool such as SQL Server Management Studio must be used.

Fig. 15.30. SQL Passwords tab.

Note: Setting changes must be applied to all the workstations individually while logged in as an administrator.


Updating the Existing CA Databases

Updating Existing CA4K™ Databases

This topic is for updating CA4K™ databases only. To update a CardAccess 3000 database to a CA4K™ database , you must refer to the CA4K™ Data Migration Guide that can be found on the CA4K™ DVD under the Installation folder. The CA4K Data Migration utility is used to migrate the data from a CardAccess 3000 database to a CA4K™ database.

The Database Create/Update tab is used to update the Configuration and Events databases.

To update a Configuration database, click the Update Configuration Database tab.

  • Select the SQL Server.

  • Select the Configuration database you wish to update.

  • Click Update Database button.

To update an Events database, click the Update Events Database tab.

  • Select the SQL Server.

  • Select the Events database you wish to update.

  • Click Update Database button.

Fig. 15.31. Update Configuration and Events database.

The COMDB Database tab is used to update the COMDB database.

To update a COMDB database, click the COMDB Database tab on the top half of the screen and then click the COMDB Update Database tab on the bottom half of the screen. .

  • Select the SQL Server.

  • Select the COMDB Database you wish to update.

  • Click Update Database button.

Fig. 15.32. CAComDB Update Database screen.


Backup Database

This topic explains how to perform a Database Backup utilizing the Database Utility.

Note: CA4K Databases can also be backed up and restored using the SQL Server Management Studio. The SQL Server Management Studio can be installed

from the CA4K DVD installation menu.

Launch Database Utility

  • Launch the Database Utility by clicking the DBUtility4K icon.

Fig. 15.33. DBUtility4K icon.

  • Type in pr1532 for the password. A green checkmark will display if the password is typed in correctly.

  • Click OK.

Fig. 15.34. Database Utilities password screen.

  • Click the Misc. tab.

  • Click the Backup/Restore Database tab.

Note: The Backup Database function is on the top half of the screen.

Fig. 15.35. Backup and Restore Database screen.

Perform a Database Backup (top half of screen)

  • Select a SQL Server.

  • Upon selecting SQL Server, a Query SQL Servers message box displays. Click Yes.

Fig. 15.36. Querying SQL Servers message box.

  • Select a SQL Server from the list of servers.

Fig. 15.37. The SQL Server selection box.

  • Leave the Authentication method at SQL Authentication.

  • Type in Cic!23456789 for the default cic password.

    Note: If the cic user password has been changed, you must type in the new password.

Fig. 15.38. The SQL Authentication Password entry box.

  • Select the database you wish to backup.

Fig. 15.39. The Database selection box.

  • Click the button with the 3 dots. Navigate to the location you would like to save the backup file to. It is recommended to create a folder that will contain the SQL bak files.

    IMPORTANT NOTE: If a location is not selected by clicking the button with 3 dots, the backup file will be saved under the Microsoft SQL folders. Saving
    to the Microsoft folders will make it very difficult to locate your backup. IT IS HIGHLY RECOMMENDED TO SELECT A BACKUP LOCATION.

Fig. 15.40. The Save As Location Button.

  • Upon clicking the button with the 3 dots, the Save As screen will display. We will save the backup file to a folder called SQL DB Backups. A name reflecting
    the database should auto-populate with the extension of .bak.

  • Click Save.

Fig. 15.41. The Backup File Save As screen.

  • Upon clicking Save, the Database Backup is ready to be executed.

  • Click Backup Database button.

Fig. 15.42. The Backup File Name box.

Upon a successful Database Backup, a message box will display.

  • Click OK button.

Fig. 15.43. The Backup Successful Message box.


Restore Database

This topic explains how to perform a Database Restore of a SQL database backup file.

Note: CA4K Databases can also be backed up and restored using the SQL Server Management Studio. The SQL Server Management Studio can be installed from the CA4K DVD installation menu. .

Launch Database Utility

  • Launch the Database Utility by clicking the DBUtility4K icon.

Fig. 15.44. DBUtility4K icon.

  • Type in pr1532 for the password. A green checkmark will display if the password is typed in correctly.

  • Click OK.

Fig. 15.45. Database Utilities password screen.

  • Click the Misc. tab.

  • Click the Backup/Restore Database tab.

Note: The Restore Database function is on the bottom half of the screen.

Perform a Database Restore (bottom half of screen)

  • Select a SQL Server.

  • Upon selecting SQL Server, a Query SQL Servers message box displays. Click Yes.

Fig. 15.46. Querying SQL Servers message box.

  • Select a SQL Server from the list of servers.

Fig. 15.47. The SQL Server selection box.

  • Leave the Authentication method at SQL Authentication.

  • Type in Cic!23456789 for the default cic password.

    Note: If the cic user password has been changed, you must type in the new password.

Fig. 15.48. The SQL Authentication Password entry box.

  • For our demonstration, we will restore to a New Database. Verify New Database is selected.

If you select to restore to an existing Database, you will be prompted to select an existing Database.

WARNING: Restoring backup to an existing database will overwrite all the records in that Database.

Fig. 15.49. The New Database or Existing Database selection.

  • Leave the Database box blank for the New Database selection. .

Fig. 15.50. The New Database Name box.

  • Navigate to the Backup File (.bak) using the button with the 3 dots.

  • Select the backup file.

  • Click Open.

Fig. 15.51. The Backup File Open screen.

  • The Database box will be auto-populated with a Database name.

  • The Restore File box will be populated with the backup file name.

Fig. 15.52. The Database and Restore File boxes populated.

  • Click the Information Button (button with i on it). The Information for the Backup file will display.

Note: Verify this is the correct backup file by viewing the database name and all other information.

Fig. 15.53. The Backup File Information screen.

  • Close the Database Information screen.

  • Click Restore Database button.

Upon a successful Database Restore, a message box will display.

  • Click OK button.

Fig. 15.54. The Restore Database Successful Message box.


Launching The CardAccess 4000

Launching The CA4K

The CA4K™ can be launched by clicking the CA4K™ icon on the desktop or navigating to the CardAccess4K folder using Windows File Explorer. It is very important to verify you have the correct Windows permissions to launch the CA4K™ software. In most cases, you will have to lower the UAC settings to never notify.


CA4K™ Launcher Icon

The CA4K™ can be launched by clicking the CardAccess 4K icon on the desktop. The CA4K™ launcher icon can also be found in the CardAccess4K folder or under All Programs on the Start Menu. .

Fig. 25.1. CA4K™ Launcher Icon.

Note: Refer to the CA4K Quick Start Programming Guide to program a basic CA4K system. It will include log in information, configuring a Com Port, adding a panel, schedule, reader, access group and a badge. After performing these few basic steps, you will have a functional CA4K system.


Logging In, Logging Out, Shutdown

The CA4K™ login screen provides the ability to Log In, Log Out and Shutdown. These functions will be discussed on the following pages.


Logging Into CA4K™

  • The CA4K™ Log In screen will appear shortly after you launch the CA4K™ software. For successful login to CA4K™ software, a valid User Name and Password must be entered in the Log In screen.

  • The default User Name = admin and the default Password = admin@4k.

Fig. 30.1. CA4K™ Log In Screen.

Default Login

If you are logging into CA4K™ for the first time, you must use the default user name and password noted above.

Note: It is strongly recommended that you change the default password after the first login. To do this, read the topic Change Password.

New Personal Login

Upon a successful log in to CA4K™ software using the default login, it is highly recommended to create a new personal User log in. To create personal login identities, refer to the section titled Operators.


Logging Out of CA4K™

Logging out of CardAccess 4K will enable you to exit from CA4K™ main GUI screen. However, the CA4K™ software will continue to run even after logging out. Logging out of the CA4K software will not stop all the CA4K services.

There are two ways to log out of CA4K™ as mentioned below.

  • By clicking the Log Out button on the CA4K main toolbar.

Fig.30.2. 'Log Out' button on CA4K™ toolbar.

  • By clicking System on the main menu of the CA4K™, and choosing the 'Log Out' menu item.

Fig. 30.3. Log Out menu item in System menu.

Both ways of Logging out will result in exit from CA4K™ main screen, to the CA4K™ Log In screen.

Upon logging out of CA4K™, the following optional functions are possible using the CA4K™ Log In screen.

a. The same operator can log into CA4K™ by typing in his User Name and Password.

b. A different operator can log into CA4K™ by typing in his personal login identity.

c. The current operator who logged out of CA4K™ can choose to shutdown the software by using the Shutdown button.

Note The shutdown is explained in the next section.


Shutting Down CardAccess 4000

Shutting Down CA4K™

The CA4K™ software can be shutdown by clicking the Shutdown button on the Log In screen.

Fig.30.4. Shutdown button used for shutting down the CA4K™ software.

Note: All CA4K™ applications are Windows services except the Gui. After shutting down the Gui, the Windows services will still be running.


Change Password

Changing Password

After typing in the User Name and Password in the Log In screen, the Change Password button will be displayed as highlighted in the figure below.

Very Important: Prior to changing the password on the default login, please verify a new operator has been created with Administrator privileges. Verify you are able to log in and log out of the CA4K™ with the new Administrator login..

Fig. 30.5. Change Password button.

  • Click on Change Password button to change the current Password. The Password Change screen will be displayed.

Fig. 30.6. Password Change window.

  • In the Password Change window, enter a new password of choice and confirm the same.

  • CA4K™ main Screen will be displayed shortly after a successful log in.

Note: For the password change to take effect, you must log out and log back in to CA4K™.


Events Grid, Alerts Grid

The Events Grid displays in the top half of CA4K™ main screen and displays normal or low priority events, based on the settings in the CA4K™ configuration screens.

The Alerts Grid displays in the bottom half of the screen and normally displays the high priority alerts.

Events Grid

Alerts Grid


Events Grid Heading

Events Grid Overview

The Events Grid seen in the top half of CA4K™ main screen is reserved for displaying normal or low priority events, based on the settings in the CA4K™ configuration screens.


Events Grid

The Events Grid (Live Events) tab displays normal or low priority events, based on the settings in the CA4K configuration screens. The high
priority events should display in the Alerts grid first.

Fig. 35.1. Events grid of CA4K.

Note: The lower the priority number, the higher the importance of the event.


Sorting Events

The Events grid has multiple columns. Clicking on a specific column provides a sort on that column.

Fig.35.2. Sorting Events

The Event grid above is in the Browse mode (Green). The Track mode is white.


Events Searching By Keypress

Suppose the Class, Description, Location or the Operator column is used for sorting, you can key in an alphabet of choice on the keyboard for displaying all events that begin with the keyed in alphabet. That is, the system will search for all events whose first character happens to be the alphabet that was pressed on the keyboard.

Suppose you want to search for all events that belong to the class 'System', then first click on Class column to make it the sort column. The Class column should have the yellow highlight (sort column indicator). Then press the key labeled 'S' on your keyboard. Immediately after the key-press, you will see the list of events with the name 'System' under the 'Class' column. We have obtained a similar list in the figure below.

Fig 35.3 Class column showing Events beginning with the letter 'S' as a result of key-press.

Suppose the Priority column is used for sorting, you can key in a number of choice for displaying all event occurrences that have the priority value beginning with the number keyed in.

Suppose you want to search for all events with the priority value in the range 50-59 say, you may first click the Priority column to make it the sort column. The Priority column should have the yellow highlight (sort column indicator). Then press the key labeled '5' on your keyboard. Immediately after the key-press, you will see the list of events whose priority value begins with the number '5', under the 'Priority' column. We have obtained a similar list in the figure below.

Fig. 35-4 Priority column showing the Events whose priority value is 50.


Events Grid Buttons

Fig. 35.5. Events grid buttons.

Some of the buttons shown in the figure above may be missing or grayed out depending on the type of event selected. Each of the buttons is explained below.

Note: Most of the buttons explained below are available in the Alerts grid as well and the buttons perform similar functions.

Track/Browse button: The Events grid can be switched between Track and Browse modes alternately by clicking this button.

  • Track Mode: In Track mode, the Events Grid displays each new event as it arrives. The number of events displayed in this mode will be equal to the Number of Events to Retain in View setting for the logged in operator, as fixed in the Operators screen. In this mode, the older events scroll up and off the screen as the newer events roll in. The Events grid will have a pale yellow color background in the 'Track' mode.

  • Browse mode: This is the default working mode of CA4K™. This mode freezes the CA4K™ screen to help examine a specific event. The Events grid will have a green color background in this mode. Older and newer events can be viewed by using the Previous Page and Next Page buttons provided on the toolbar.

Respond button: Clicking this button will open the Event Response (or the manual response) screen. In this screen, an operator can write his comments on the selected Event/Alert for future references. Refer the topic Manual Alert Acknowledgement for more information on manual responses.

Mapping button: The Mapping button will be visible only when the 'Use Facility Maps' option is selected in the System Settings screen. Clicking the Mapping button will open a pop up window that contains a bitmap representation of the area mentioned in the highlighted Panel/Reader/Input/Relay or Link Event/Alert provided a map has been stored in the hardware configuration record of the concerned device. It is necessary that a map be created earlier in the Configure Maps screen.

Fig. 35.6. Map Popup Window of an Event displayed by clicking the 'Mapping' button.

Photo button: This button may not be visible on the toolbar by default. To display this button, click on System menu and select System Settings option. In System Settings screen, click on Video Badging tab and select the Photos Only/Badging 4K option in the Video Badging Package drop down box. On clicking, you see a message box indicating that you need to restart CA4K software in order for the selected Video Badging package to take effect.

Video button: Video button will be visible on the toolbar only if the DVR feature (DVR caRemoteView or DVR caCompleteView) is enabled in the CA4K™. The button will be active only when an Event/Alert having a DVR recorded video is highlighted in the grid. For all other Events/Alerts, the Video button will be grayed out. Clicking the active Video button will display the DVR Recorded video of the highlighted Reader/Input/Napco Zone Alert/Event. For more information on DVR recorded video, refer the topic Digital Video Recording (DVR) Integration.

Control button: The control button is visible only when a door/ relay/link Event/Alert that can be controlled manually is highlighted. Clicking the Control button opens the appropriate manual control screen (door, relay or link). The device mentioned in the selected Event/Alert will be automatically selected, and will be ready to be manually activated or deactivated.

  • Previous Page

When the CA4K main screen opens, the Events grid shows the latest fifteen events sorted by the Date column. These fifteen events constitute an Events 'Page'. The sort column can be changed if desired. The sort column will be indicated by a yellow colored highlight. Refer the heading Sorting Events to learn more about sorting.

When the 'Previous Page' button is clicked, the system will display the previous page consisting of fifteen events, sorted by the column in yellow highlight.

Note: The 'Previous Page' button will be visible only when the CA4K main screen is set to Browse mode.

Recent button: Clicking the Recent button will put the CA4K main screen in Track mode to display the most recent event occurrences. The number of events displayed in the grid will depend on the setting in the Event Viewing tab of Operators screen, for the currently logged in operator. The Events grid can be sorted by Date or Acknowledged At columns alternately by clicking on the Recent button.

  • Next Page

When the CA4K main screen is opened, the Events grid shows the latest events sorted by the Date column. These events constitute an Events 'Page'. Sort column can be changed if desired. The sort column will be indicated by a yellow colored highlight. Refer the topic Sorting Events to learn more about sorting.

When the 'Next Page' button is clicked, the system will display the next page. sorted by the column in yellow highlight.

Note: The 'Next Page' button will be visible only when the CA4K main screen is set to Browse mode.


Alerts Grid Overview

The 'Alerts Grid' seen in the bottom half of CA4K™ main screen is reserved for displaying high priority alerts, based on the settings in the CA4K™ configuration screens.

.


Alerts Grid

The 'Alerts Grid' is seen in the bottom half of CA4K™ main screen. This grid is reserved to display only high priority events based on the settings in the various CA4K™ configuration screens. See the topic Setting Up Priorities for more information.

Fig.35.7. Alerts grid toolbar.

 Fig. 35.8 Alerts grid of a workstation PC.

There are several options available for displaying alerts in the Alerts grid. They are:

  • Displaying only the most important alerts in the grid

  • Displaying all events in the grid.

  • Displaying only specific events types in the grid

  • The Alerts grid is not intended to display the alerts for a long period of time. It is intended that an operator should notice an alert, perform some physical action to correct the situation and then move the alert into the Events grid. The process of moving an alert into the Events Grid is referred to as 'Resolving/Acknowledging the Alert'.

There are several options for Acknowledging alerts. They are:

  • Have the alerts stay in the Alerts grid until they are manually resolved by an operator

  • Have the alerts remain visible in the Alerts grid until a timeout value has expired. This timeout is set in the Operators screen. Each operator has an operator 'Alert Ack Time' value

  • Have the operator fill in a 'Manual Response Screen' in response to alerts.


Alerts Grid Columns

The Alerts grid has a number of columns. The column bar is shown below.

F ig.35.9 Alerts grid columns shown by reducing the default widths of columns.

The Alerts grid columns are explained below.

Photo column: This column will be visible on the screen only if the Photos Only feature is enabled in the CA4K™.

Acknowledge All Button

The CA4K™ provides a button to Acknowledge All alerts.

Fig. 35.10. 'Acknowledge All' button.


Sorting Alerts

The Alerts Grid is much like the Events Grid. Clicking on a column provides a sort of the Alerts in that column.


Alerts Grid Buttons

Fig. 35.11 Pending Alerts Toolbar buttons.

Some of the buttons on the Pending Alerts toolbar may be missing or grayed out depending on the type of event highlighted and the related options being

enabled/disabled. Each of the buttons is explained below.

Pending Alerts Filter button: The Pending Alerts Filter button provides the ability to filter by Pending Alert types. .

Acknowledge Alert button: The Acknowledge Alert button will Acknowledge the highlighted Alert.

Acknowledge All button: The Acknowledge All button will Acknowledge all Alerts in the Pending Alerts grid.

Respond button: The Respond button provides the ability to type in a Response to the Alert.

Control button: The Control button provides the ability to control the alert.

Disable Alerts button: Turns off alerts from entering the Pending Alert grid. .

Photo button: Provides the options to display photos that are associated with the Alerts.

Video button: Provides the options to display video clips associated with the Alerts.

Right-Click Option

Right-click on the Acknowledge button or a left-click on the down arrow next to Acknowledge button will display the Acknowledge All option. Refer to the Acknowledge All option explained for Photo column, under the topic 'Alerts Grid Columns' for details.

Fig. 35.12 'Right Click' Options.


Working Modes

The CA4K™ Event grid contains two viewing modes. The two modes are the Track and Browse modes. The Track mode has a white background and the events scroll up the screen real-time. The Browse mode has a green background and the events will not scroll up while viewing. The button labeled Track/Browse will control switching between these two modes.

Monitor Mode

Status Mode


Monitor Mode

By default, the CA4K™ monitor mode is set to the Track mode. In this mode, the screen will have a white background and the events will scroll up the screen as new events enter the Events grid.

Fig. 40.1. CardAccess 4K Events grid in Track mode.

  • To change modes, click the Browse button.

Upon clicking the Browse button, the screen will turn green. In the Browse mode, the events will not scroll up the screen. This makes it easier to view and analyze the alerts.

Fig. 40.2. CA4K Events grid in Browse mode.


Status Mode Overview

The Status screen provides the ability to display the status of devices including Device status, Napco status, Panel status, Wireless Lock Status and Device control.

  • To display the Status screen, click the Status button.


Device_Status

Upon clicking the 'Status' button on the toolbar, The Device Status tab will display a listing of all enabled hardware devices in the CA4K system.

Fig. 40.3. The 'Device Status" tab.


Napco Status

The Napco Status tab will display a listing of all the devices associated with the CA4K Napco Integration along with the status of each device..

Fig. 40.4. The 'Napco Status' tab..


Panel Status

The Panel Status tab will display a listing of all panels including firmware versions and configuration settings. This screen replaces the functionality of the Hostnt.exe Com Driver screen in the CardAccess 3000.

Fig. 40.4. The "Panel Status" tab..


Wireless Lock Status

Wireless Locks

The 'Wireless Locks' tab will display a listing of all Networx devices including Gateways, Expanders and Locks.

Fig. 40.5. The 'Wireless Locks' tab..


Device Control

The Device Control tab will display a listing of all devices on the CA4K.

Fig. 40.6. The "Device Control" tab..


Language Control Header

Language Control

The Language Control in the CA4K™ has been redesigned to simplify the programming of Language translations. Please refer to the following pages.


Language Selection

Choosing a Language

The default language for the CA4K is English. Follow the steps below to choose a desired language for CA4K software.

  • Click on System Menu in CA4K and then click the Language menu item.

Fig. 45.1. The Select Language dialog.

Upon clicking Language, a list of languages will display. The default language selected will be English (United States).

  • Click on the desired language for the CA4K software to display in.

  • Click OK button.

Fig. 45.2. The Select Language dialog.

Upon clicking, the CA4K will access a language translation text file (explained under Editing Language Translations and load the translation keys for the selected language. The labels for all CA4K controls will then be displayed in the selected language.

Note: Only the text labels of controls, message boxes and screen menus used in CA4K will be displayed in the selected language. The CA4K transactions (Event/Alert messages) continue to be in English.


Editing Language Translation Files

The CA4K™ provides a Resource Editor program that has a convenient user interface for editing language translations.

Launching and Editing the Resource Editor

  • Using Windows File Explorer, navigate to CA4K™\ Tools\ folder.

  • Click Resource Editor.exe to launch the Resource Editor.

  • Make sure Language English (United States) is selected.

  • Click Export button to export all resources to an Excel file. (Computer should have Microsoft Excel pre-installed)

  • Translate all rows of column named “Value” to your preferred language. (NOTE: column “ReferenceValue” is for English reference only and no need to translate this column)

  • Import the Translated excel file using Import button.

  • Verify the Windows user has Full Access to the Language folder.

  • Change the Language to a preferred Language and press “Compile” button. Please note in some cases compilation may fail if the language folder doesn’t have full access read/write permission.

  • A compiled resource file CardAccess.Languages.resources.dll will be copied into related language folder after successful compilation. (Eg: For Denmark language, resource file will be copied into da-DK folder)

  • Change the language in CA4K system->language menu.

  • Logout and login back in to the CA4K for the new Language to take effect.

Fig. 45.3. The CardAccess 4K 'Resource Editor' screen.


Event Response

The Event Response screen is generally used to attach response messages to the CA4K™ Events/Alerts. This screen allows the user to type in new response messages or, attach pre-defined messages for the Events/Alerts selected in CA4K™ main screen (refer to the section Operator Responses for creating pre-defined operator response messages).

Accessing Event Response Screen
The Event Response screen can be accessed in the following two ways:

  1. Double-clicking on an Event/Alert in CA4K main screen.

  2. Clicking on the desired Event/Alert, and then clicking on Respond button.

Fig. 50.1. Respond button of CardAccess Event grid.

Note: If the event belongs to Events grid, then, Respond button above 'Events' grid must be used. If the event belongs to Alerts grid, then, Respond button above 'Alerts' grid must be used.

Both the methods will open the 'Event Response' screen for the selected event as below.

Fig. 50.2. The 'Event Response' screen for DOOR FORCED OPEN event.

By default, the screen will open in the 'Event' tab as shown in the above figure. A few other folder tabs may also be visible depending on the type of event you select, and on the options that are previously enabled in the 'System Settings' screen .


Attaching a "Response Message" to an Event

A Response message can be attached to an Event by following the steps below:

  • Open Event Response screen by double-clicking on the event (or alternatively by highlighting the event and clicking on Respond button) in CA4K™ main screen.

Note: If the event belongs to Events grid, then, Respond button above 'Events' grid must be used. If the event belongs to Alerts grid, then, Respond button above 'Alerts' grid must be used.

  • The screen will open in Event tab by default, and the keyboard cursor will be seen blinking in the 'Response Message' control.

  • Apply one of the two methods below to attach a Response Message to the selected event.

  1. Type in a 'new' message in the Response message control, and click on Acknowledge button.

Fig. 50.3 Typing a new response message.

Fig. 50.4. The 'Acknowledge"' button.

Note: The 'Acknowledge' button will be enabled only after you type in the response message.

The 'new' response Message thus attached to the event will be added on to 'Response List' window.

2. A Pre-defined response message can be attached to the event by following the steps below:

a. Click the down arrow to the right of 'Response Message' control to view the list of 'pre-defined' response messages.

Fig. 50.5. Pre-defined response messages.

Note: Response messages seen in the drop down list are those that are previously created in 'Operator Responses' screen. If the list is empty, it means that no pre-defined response messages have been created yet. Refer the section on 'Operator Responses' to create them.

b. Select a desired response message in the list, and click on it.

c. Click on Acknowledge button.

Fig. 50.6. The 'Acknowledge' button.

Note: The Acknowledge button will be enabled only after a response message is selected in the drop down list.

The 'pre-defined' Response Message thus attached to the event will be added on to 'Response List' window of the selected event. Refer the heading Response History for details.


Alert Acknowledgement

The Alerts grid of CA4K™ main screen is not intended to display alerts for a long period of time. An operator is expected to notice the alerts, perform some physical action to correct the situation and then move the alerts to Events grid of CA4K™. The process of moving an alert to the Events Grid is referred to as Alert Acknowledgement.

CA4K™ Alerts can be acknowledged in two ways as below:

  • Manual

  • Automatic


Manual Alert Acknowledgement

There are two kinds of Manual Alert Acknowledgement. They are:

  • No Response Required

  • Response Required

No Response Required Manual Alert Acknowledgement

The No Response Required manual alert acknowledgement method does not require any set up in CA4K™. It can be accomplished by means of Acknowledge Alert button provided in the Alerts grid toolbar.

  • Clicking on Acknowledge Alert button will move the highlighted alert from the Alerts to the Events Grid.

Fig. 55.1. 'Acknowledge Alert' button used for 'No Response Required' manual alert acknowledgement.

Response Required Manual Alert Acknowledgement

The Respond button is an optional way to acknowledge a no response required alert. Clicking on Respond button when an Alert is highlighted will open the Alert Acknowledge window, where the operator is required to enter a response in the Response Message control, and then click on Acknowledge button.

Fig. 55.2. Respond button used for 'Response Required' manual alert acknowledgement.

Thus, in this case, the operator has elected to create a response message, although there is no need to do so.

Fig. 55.3. Alert Acknowledge window displayed by clicking on Respond button

Note: At least eight characters must be entered in the response message control. Failing to enter at least 8 characters and clicking on Acknowledge button directly will display the message box shown below.

Fig. 55.4. Message displayed when Acknowledge button is clicked directly without entering Response Message .

The result is the same as clicking the Acknowledge button alone on the Alerts grid toolbar. In both methods of acknowledgement, the highlighted alert moves from the Alerts Grid into the Events Grid.

Note: The major reason to use Response button instead of Acknowledge button is to add comments to an event, which will be permanently linked to it. A new shift of security guards can examine specific events at a later date to see what action was taken by other guards for those events.


Auto-Alert Acknowledgement

CA4K™ software can be set to resolve the Alerts automatically, without human intervention.

Note: Auto acknowledgement of Alerts requires that the alerts have been set to specific priority values previously. Refer to the 'Settings up Priorities' topic for priority value settings.

Several screens, menus and controls are involved in setting up the Auto-Acknowledgement feature for Alerts. They are as follows.

Hardware Screen Controls

In Panels/Readers/Inputs/Relays/Links screens, the following controls must be configured:

  • Alert Priority

  • Response Required

For configuring these controls refer to the Setting Up Priorities section.

System Settings Screen Controls

In System Settings>Alerts Processing screen, the following controls must be configured:

  • Enable Auto-Acknowledge

  • Auto Acknowledge Set-Point

  • Response Required Schedule

Fig. 55.5. Controls in Alerts tab to be configured for Auto-Acknowledgement of Alerts.

For configuring these controls refer to the 'Alert Processing Section' under Alerts Tab, in the section on 'System Settings'.

Operator Screen Control

The Auto Ack Time value must be set in Operators screen.

  • Open 'Operators' screen by clicking Administration>Operators in CA4K™ main screen. By default, Operators screen will open in General tab as shown below.

Fig. 55..6. Operators screen in General tab.

The Auto Ack Time value is a timer that represents the amount of time in seconds that an alert will remain in the Alerts Grid before it is automatically moved to Events Grid. This value is attached to each operator definition.

Fig. 55.7. Control in Operators screen to be configured for Auto-Acknowledgement of Alerts.

When there are several CA4K™ workstations, the following conditions must be satisfied for auto-acknowledgement to be operational:

  • At least one operator must be logged in at any computer. If no operator is logged into CA4K™, Auto-acknowledgement feature is turned off even though the software is running and alerts are coming in.
  • The operator must have Auto Ack Time value set in his record.

The Auto Ack Time value can be different for different operators. This means that the amount of time that an Alert stays in the Alerts Grid is not fixed. When there are several CA4K™ workstations with operators logged in, each workstation will 'compete' to automatically acknowledge alerts. The operator workstation that has the shortest Alert Ack Time set will acknowledge alerts before the other workstations.

The minimum Alert Ack Time is one second and the maximum is 9999 seconds (166.65 minutes, 2.778 hours). Alert Ack Time set to zero for an operator will default to 1 second for that operator logon.
The time value can be entered by :

  • Typing in a desired number in the Alert Ack Time spin control

  • Use up/down arrows of the spin control to choose a desired number.

    When an operator logs on, the operator's alert ack timer is started whenever an alert appears in the Alerts Grid. When the timer for that alert expires, the alert will automatically be moved from the Alerts Grid to the Events Grid.


Audit Trail

The Audit Trail screen allows viewing of system changes made in CA4K™, such as logging in/out, configuration changes, adding/ deleting Personnel records etc. Every change made to CA4K™ database is recorded in the Audit Trail table. The screen has controls that allow connection to any CA4K™ SQL database. The Audit Trail data is archived hourly along with the auto-archive of events.

Accessing Audit Trail Screen:

  • Click on System menu in CA4K™ menu bar.

  • Click on Audit Trail option in the menu list.

Fig. 60.1. Audit Trail selection on the Main menu.

Upon clicking, the Audit Trail screen will be displayed as below.

Fig. 60.2. Audit Trail screen showing the system changes of CA4K™ main live database..

By default, the Audit Trial screen will display the system changes made in CA4K™ main database (caLIveConfiguration in the above figure). The status bar at the bottom of the screen will show the currently connected CA4K™ SQL server and database names.

Viewing Audit trail data of an archive database is explained under the topic 'Viewing Audit Trail of an Archive Database'.


Audit Trail Columns

The changes made to the database are recorded in the columns of the Audit Trail screen.

Fig. 60.3. Audit Trail columns.

The columns are explained below:

  1. Occurred On: This column shows the date and time at which a change was made.

  2. Description Text: This column gives a short description of the change made.

  3. Action: This column indicates the type of action involved in the change.

4. Operator Name: This column shows the name of the operator who made the change.

5. Workstation: This column shows the name of the station from which the change was made.

6. Table Name: This column shows the database table name that was affected by the change.


Column Width Adjustibilty

Column Width Adjustibility

All the columns may not be visible on the Audit Trail screen by default. If more information is desired on the screen, the Column widths might need to be adjusted.

Steps for adjusting a column width:

  • Select a column: Select the column whose width is to be adjusted.

  • Position mouse cursor: Position mouse cursor on the intersection line of the selected column and its adjacent until you see a double arrow form.

  • Click and hold: Hold down the left mouse button.

  • Drag: Drag the intersection line to a desired position.

  • Release: Release the cursor.

Note: The columns will revert back to their default widths when the screen is reopened.


Audit Trail Sort Order

By default, the Audit Trail data is sorted according to 'Occurred On' column. This column allows the records to be sorted according to the date and time at which the changes were made. However, any column can be used for sorting the Audit Trail data. The sort criteria can be changed by clicking on the column name you desire to use for sorting. The sort column will be highlighted in yellow color. A column can be sorted in ascending/descending orders alternately by clicking on the column name. Upward/downward arrows seen in the column name (in yellow highlight) represent ascending/descending sort orders respectively.

Fig. 60.4. 'Action' column used for sorting in ascending order.


Viewing Audit Trail of an Archive Database

By default, the Audit Trail screen will display Audit Trail data of the CA4K™ main live configuration database. In order to view Audit Trail data of an archive database, follow the below steps.

  • Firstly, click the down arrow of Server control to display the list of CA4K™ SQL server names. Among the names, click the server name of the archive database whose Audit Trail data you wish to view.

Fig. 65.5. Selecting a server name in the drop down list.

  • Click the down arrow of Database control to display the list of archive databases.

Note: Database names will be seen in the drop down list only when a server is selected in the Server control.

  • Among the names, click the database name whose Audit Trail data you wish to view.

Fig. 65.6. Selecting a database name to view the Audit Trail data.

Note: The screen will refresh itself to display the Audit Trail data of the selected database.

Fig. 65.7. Audit Trail data of the selected database.


Printing Audit Trail

Follow the steps below to print the Audit Trail data:

Fig, 65.8. Print Grid Button.

  • Click on Print Grid Button in Audit Trail screen toolbar.

Fig. 65.9. Print Preview Screen.

Upon clicking the Print Grid button, the Print Preview screen displays.

Fig. 65.10. Print Preview Screen.

  • Click the Print button to print the audit trail.


Events History

Events History (View History)

Previous Top Next

The CA4K™ View History screen allows viewing of archive event data. The typical use of this screen is to scan archive events from past months or years to look for some notable event(s). The screen will only allow the review of events. It is not possible to review database information such as configuration or System Settings. The screen has controls that allow connection to any CA4K™ SQL database.

Accessing CA4K™ Events History Screen

  • Click on System menu in CA4K™ menu bar.

  • Click on View History option in the menu list.

Upon clicking, the 'CA4K™ Events History screen will be displayed as below.

Fig. 70.1. The 'View History" selection on the main menu. .

Fig. 70.2. The 'CA4K™ Events History' screen showing events history of CA4K™ main live Events database.

By default, the Events History screen will display the event data of the selected database. Hence, the Events History screen will be displaying the same data as in the CA4K™ Events Grid.

Note: The Events History can be filtered to show only specific event types that are generated during a specific time period. These are explained under the topic headings Filter Events History Based on Event Type and Filter Events History Based on Date-Time.


Events History Columns

The Events History columns are explained below.

Fig. 70.3. CA4K™ Events History Columns.

Class: Events are grouped into pre-defined classes like Badges, Doors, Inputs, System, Relays, etc. The Class column will show the predefined class names of the Events.

Description Text: The Description column gives a brief description of the highlighted event. By default, this is column is used as the sort column for the screen, and hence the column is shown in Yellow color highlight.

Location: This column shows the name of the place where the highlighted Event occurred.

Photo: This column will be visible only when the DVR feature is enabled in the System Settings screen. The column will show a camera icon for events whose hardware devices are configured to take CCTV snapshots or if the devices support DVR Recorded Videos.

Panel Date Time: This column shows the date and time at which the highlighted event occurred.

Acknowledged: If the highlighted Event is an Alert that was acknowledged, the Acknowledged column will show the date and time at which the Alert was acknowledged. If the highlighted Event is a normal Event in the CA4K™, the Acknowledged column will show the same date and time as that shown in the Date column.

Operator: The operator who acknowledged the event.

Priority: This column shows the priority value of the highlighted Event as fixed in the various configuration screens of CA4K™.


Events History Right Click Options

There are two right-click options for the Events History screen based on the option enabled in the System Settings screen. The right-click options are explained below.

Show Video

If the Enable Video System option is enabled, then the Events History screen will offer the 'Show Video' right-click option. This option will be visible when you right-click on a desired event in the screen.

Left-clicking on the Show Video button option will show the DVR Recorded video of the selected event provided, the concerned hardware device (Reader/Input/NAPCO Zone that generated the event) was configured to support DVR Recorded videos.

Fig. 70.4. Camera icon on Event.

NOTE:The Photo column will show a camera icon in case the concerned device is configured for DVR Recorded video.

Show Photo
If the Badging System in System Settings is configured for Photos only, then the Events History screen will offer the Show Photo right-click option. This option will be visible when you right-click on a desired event in the screen.

Fig. 70.5. Show Photos right-click option available when SmartView CCTV View Only/Full Control option is enabled in System Settings.


Sorting Events History

By default, the events are sorted according to Panel DateTime column in the Descending Order.

Fig. 70.6. Events sorted by Date column in the descending order.

The Date column allows the events to be sorted according to the date and time at which the events were generated at the concerned panel. However, any column can be used for sorting. You can change the sort column by clicking on the column name you wish to use for sorting. The sort column will be highlighted in yellow color. A column can be sorted in ascending/descending orders alternately by clicking on the column name. Upward/downward arrows seen in a column name (in yellow highlight) represent ascending/descending sort orders respectively.


Viewing Events History of an Archive Database

By default, the CA4K™ Events History screen will display the events data of the CA4K™ Live Events database. In order to view events data of an archive database, follow the steps below.

  • Click the down arrow of Server control to display the list of CA4K™ SQL server names. Among the names, click the server name of the archive database whose Events History data you wish to view.

Fig. 70.7.. Selecting a server name in the drop down list

  • Click the down arrow of Database control to display the list of archive databases.

  • Click the database name whose Events History you wish to view.

Note: Database names will be seen in the drop down list only when a server is selected in the Server control.

Fig. 70.8. Selecting a database name to view Events History.

Upon selecting database, the Events Filter screen will display the Event Types stored in the selected archive database.

  • Select the type of Events you want to filter on.

Fig. 70.9. Events History of the selected Events database.


Filter Events History Based on Data Time

Filter Event History Based on Date and Time

Fig. 70.10. Default date and time selections.

Date and time selection controls act as filters. When a date and time range is set, the Events History screen will filter out any events from view that do not fall within the specified date and time range. Every time the Events History screen is opened, the date and time controls will show some default selections. You can change the default selections as desired.

Setting Date and Time Range

Two calendar controls and two spin controls are provided to set the date and time range. The Time From control on the left is used for setting the start date and start time, while the Time Thru control on the right is used for setting the end date and end time.

Follow the steps below to set the date and time range:

Setting Start Date

Click the down arrow of Time From control. Upon clicking, a calendar window will be displayed as shown below.

Fig. 70.11. Calendar window displayed by clicking the down arrow of 'Time From' control.

By default, the current date will be highlighted in the calendar.

  • Click on a date of your choice (for start date) in the calendar window.

Notes:

  • The Today button (refer figure 70.11 above) can be used to choose the current date.

  • The Clear button (refer figure 70.11 above) can be used to cancel a date selection.

  • The left/right arrows at the top of the calendar window (refer figure 70.11 above) can be used to scroll backwards/forwards through the months of a year.

Setting Start Time

  • The 'Time From' spin control will show the default Start Time of 00:00 (0 hour or 12 midnight)

Fig. 70.12. Default Start Time shown in 'Time From' spin control.

You can change the default time if desired. This can be done in two ways as below:

  • In the 'Time From' spin control, click directly on the numbers required to be changed in the Hour/Minute time format, and type in the time of choice or
  • Highlight the numbers in the current time display, and use the up/down arrows of the spin control to change the time.

Repeat steps A and B if you wish to change the default End Date and End Time selections in the 'Time Thru' controls.

When the Date and Time ranges are thus specified, select the Event filter type on the Events History screen for viewing the events that have occurred during the specified period.


Filter Event History base on Eventy Type

Filter Event History Based on Event Type

The Events Filter area of CA4K™ Events History screen provides selections for all Event types.

Selection of the particular event type will filter out all other events that do not match the selected type.

Fig. 70.13. Events Filter.

Badge Filter

  • Click Badge Filter

Fig. 70.14. Badge Filter search fields.

  • Enter the Badge Information to Filter on.

  • Click OK.

Fig. 70.15. Badge Filter search fields.

The badge search fields are explained below:

  • Badge #: If a badge number is entered, only events specific to that badge number will be displayed.

  • Last Name: If a last name is entered, only events containing the specified last name will be displayed.

  • First Name: If a first name is entered, only events containing the specified first name will be displayed.

  • Department: If a department name is entered, only events specific to that department will be displayed.

  • Partition Group: If partitioning is used, select a partition.

The CA4K™ Events History screen will display the filtered badge events if matching records are found for the selected filter type. The screen will be blank if there are no matching records.


Exporting Events History

Printing Events History

To print the Events History, click Print Grid.

Fig. 70. 16 Printing Events history


System Settings

The following pages will explain all the settings available under System Settings.

The settings are divided into Workstation settings, System-Wide settings and Operator Admin Settings. Many of the settings are not enabled by default, and must be enabled to display in the CA4K menus.


How to Access System Settings

The default operating characteristics of CA4K™ software are set in the System Settings screen. This screen consists of a number of folder tabs. The settings in the screen are made during the setup phase of the software. After that, the settings are rarely changed. System Settings is divided into three sections (Workstation Settings, System-Wide Settings and Operator Admin Settings).

Note: Some of the settings in System Settings screen can profoundly change the behavior of the CA4K™ or even disable the software. We suggest that access to System Settings be limited to Administrator level users only.

To open the System Settings Screen f ollow the steps below:

  • In the CA4K™ menu bar, click on System.

  • Click System Settings.

Fig. 75.1. System Menu.

Upon clicking System Settings, the Workstation Settings screen displays by default.

Fig. 75.2. Workstation Settings - General Tab.


Save, Cancel and Close

System Settings tool bar

The System Settings toolbar contains the Save, Cancel and Close buttons for all settings and configurations.

Fig. 75.3. System Settings Tool bar.


Workstation Settings

The Workstation Settings contain settings that are unique to the local workstation. Refer to the following pages for the Workstation Settings.


WS General Tab

Workstation Settings General Tab

Workstation Settings General Tab

The controls of the Workstation Settings General tab are explained below:

Note: The controls on the Workstation Settings screen are Local, meaning they affect the local workstation only.

Fig. 75.3. Workstation Settings General tab.

Station Name:

The Station Name displays the type of station and the station name.

Fig.75.4. Station Name.
Event Printer

The Event Printer is used to print all the events being received into the Event grid.

Fig.75.5. Event Printer.

  • Select Print in Line Printer Mode if using a dot matrix printer. This selection is not supported on modern printers.

CardAccess Printers

The CardAccess Printers section is used to enable and configure the different types of printers used in the CA4K. .

  • Select Enable Report Printing and choose a report printer from the drop-down list. The report printers must be configured in Windows to appear in the list.

  • If EPI Badging 4K is installed, select Enable Badging System and choose Badging 4K from the drop down list.

  • If a Badging Printer is configured in Windows, select the Badging Printer from the drop down list.

Fig. 75.6. CA4K Printers.

Alert Notification

The Alert Notification section is used to assign sounds to alerts with specific priorities. .

  • Select Enable Sound

  • Enter a Priority Play Interval. This is the amount of time the sound will play in seconds.

  • Select a Sound File from the drop down lists.

  • Select Priority Colors from the drop down lists.

The At or Above Priority settings determine the range of priority numbers the associated sound will play for.

Fig. 75.7. Alert Notification.

Modems

NOTE: Modems are not supported in the CA4K. It is recommended to use another option for communications.

Fig. 75.8. Controls for Modems.

Enable Video Service

The Enable Video Service is used for Force recording, Preset control and Motion events.

Fig. 75.9. Enable Video Service.

Use Wireless Locks

The use of Wireless Locks is enabled when the Use Wireless Locks Checkbox is selected.

Fig. 75.10. Use Wireless Locks.

  • Click on Save button in the toolbar to save the settings above.

Workstation Settings Elevator Settings Tab (Software Elevator Control)

The Elevator Settings tab under System Settings is used for Software Elevator control. As of this release, OTIS elevator is the only brand supported.

  • To use the software elevator controls, select the Enable Software Elevator Service checkbox.

Note: The only elevator brand supported as of this release is OTIS.

Fig. 75.11. Use Wireless Locks.

Workstation IP - This is the OTIS elevator Server IP address.

Card Access Controls DEC - Select this checkbox if the CA4K software is controlling the free access and other associated functions. If this is not checked, the OTIS server will control the functions.


System-Wide Settings

The System-Wide Settings contain settings that apply to the whole system. The System-Wide Settings are explained on the following pages.


SW General tab

System-wide Settings General Tab

System-wide Settings General Tab

The controls in the System-wide Settings General tab are explained below:

Fig. 75.11. System-wide Settings - General tab.

Use Host Global Timezone

The Use Host Global Timezone - When enabled, it configures all the workstations to report on the same Timezone as the host.

Fig.75.12. Use Host Global Timezone.

Prompt to Auto-Create Panel Devices

The Prompt to Auto-Create Panel Devices setting is disabled by default. To enable it, select (click) the 'Prompt To Auto-Create Panel Devices' Checkbox.

Fig.75.13. Prompt to Auto-Create Panel Devices.

Enable Global APB Broadcast

The Enable Global APB Broadcast should be enabled when APB is configured across panels.

Fig.75.13B. Enable Global APB Broadcast

Enable Video System

The Enable Video System selection enables DVR Integration with all of the supported brands. .

Fig.75.14. Enable 'Video System'.

Enable Facility Maps

The Enable Facility Maps setting is disabled by default. To enable it, select (click) the 'Use Facility Maps' Checkbox.

Selecting 'Use Facility Maps' Checkbox will bring about changes in other CA4K screens as listed below.

Fig.75.15. Enable 'Facility Maps'.

Enable Activity Linking

The Enable Activity Linking setting is disabled by default. To enable it, select (click) the 'Enable Activity Linking' Checkbox.

Fig.75.16. Enable 'Activity Linking'.

Enable Holiday Calendars

The Enable Holiday Calendars setting is disabled by default. To enable it, select (click) the 'Enable Holiday Calendars' Checkbox.

Fig. 75.17. Enable 'Holiday Calendars'.

Enable Auto Acknowledge

  • The Enable Auto Acknowledge setting is disabled by default. To enable it, select (click) the 'Enable Holiday Calendars' Checkbox.

  • The Auto Acknowledge Set-Point is set to 5 by default. The change the Set-Point, click the spinner control to increase or decrease the value.

 Fig. 75.18. Enable Auto Acknowledge / Auto Acknowledge Set-Point.

Response Required Schedule

The Response Required Schedule is Always Enabled by default. To change the schedule, you must select a different schedule by clicking the drop-down box.

Fig. 75.19. Response Required Scheduled.

Print Valid Access Events by Schedule

The Print Valid Access Events by Schedule is not set to a schedule by default. To enable it, you must select a schedule by clicking the drop-down box.

Fig. 75.20. Print Valid Access Events by Schedule

Only Print Events Above Priority

The Only Print Events Above Priority is set to 99 by default. To change the priority, click the spinner control to lower the value.

Fig. 75.21. Only Print Events Above Priority

Mobile Credential Field Settings

Note: For additional information, refer to the standalone topic for the ILock Bluetooth App.

The Mobile Credential field setting screen provides the configuration for the ILock Bluetooth App.

Fig. 75.22. Mobile Credential Field Settings

Un-Used Badge Remove

Note: For additional information, refer to the standalone page under System-wide settings for Un-Used Badge Remove feature.

The Un-Used Badge Remove feature disables or deletes Un-Used Badges if the current date is 10 or more days later than the last valid access date on the badge.

Fig. 75.23. Un-Used Badge Auto Disable /Delete setting

Privacy Mode

Note: For additional information, refer to the standalone page under System-wide settings for Privacy Mode feature.

The Privacy Mode feature was created to enable Continental Access compliance with European Privacy Standard (GDPR) for the Access Control system. The function of Privacy Mode is to restrict access to Personnel Records and Transactions. This feature will remove or reset all historical data associated with a person who is no longer participating in the Access Control System. Typically, after the employee leaves a company, the person’s badge will be deleted or disabled in the system. What happens to their records will be guided by the Privacy Mode.

Fig. 75.24. Privacy Mode Settings


SW Badge Tab

System-wide Settings Badge Tab

System-wide Settings Badge Tab

The controls in the System-wide Settings Badge tab are explained below:

Fig.75.22. Station Name.

Enable APB Areas

The Enable APB Areas setting is disabled by default. To enable it, select (click) the 'Enable APB Areas' Checkbox.

Fig.75.23. Enable APB Areas.

Enable Category Counters

The Enable Category Counters setting is disabled by default. To enable it, select (click) the 'Enable Category Counters' Checkbox.

Fig.75.24. Enable Category Counters.

Concatenate Facility-Badge

The 'Concatenate Facility-Badge' setting is disabled by default. To enable it, select (click) the 'Concatenate Facility-Badge' Checkbox.

Fig.75.25. Concatenate Facility-Badge.

Hide Personnel Pin Code

The 'Hide Personnel Pin Code' is disabled by default. To enable it, select (click) the 'Hide Personnel Pin Code' Checkbox.

Fig.75.26. Hide Personnel Pin Code.

Hide Personnel SSN

The 'Hide Personnel SSN' is disabled by default. To enable it, select (click) the 'Hide Personnel SSN' Checkbox.

Fig.75.27. Hide Personnel SSN.

Keypad Options

The 'Keypad Options' provides you the ability to select different Pin Code lengths.

Fig.75.28. Keypad Options.

Max. Badge Digits

The 'Max Badge Digits' setting defaults to 11. This number must be increased if the 'Max. Badge Digits' is greater than 11. .

Fig.75.29. Max. Badge Digits at Panel.

Access Groups per Badge

The 'Access Groups per Badge' setting defaults to 2. This number of 'Access Groups per Badge' can be increased to 16.

Fig.75.30. Access Groups Per Badge..

Badge Tagging Type

The 'Badge Tagging Type' provides you to set the type of badge that will be used. By default this is set to 'Not Used'.

Fig.75.31. Badge Tagging Type.

APB Control

The APB Reset Time provides the ability to configure a time to Reset all APB status on a daily basis.

The Set to APB Area drop-down box provides the ability to select an APB Area type by clicking the Reset APB now button.

Fig.75.32. APB Control.

Show Badge Re-issue in Alert Transaction

The Show Badge Re-Issue in Alert Transactions provides the ability to display the Re-issue level in the alert. By default this is set to 'Do Not Show'.

Fig.75.33. Show Badge Re-Issue in Alert Transaction.


SW Custom Fields

System-wide Settings Custom Fields Tab

The controls of the Custom Fields tab are explained below:

Fig.75.34. Custom Fields Tab.

Add Tab

The Add Tab button is used to add a custom tab into Personnel.

Fig.75.35. Add Tab button.

Delete Tab

The Delete Tab button is used to delete a custom tab in Personnel.

Fig.75.36. Delete Tab button.

Add Field

The Add Field button is used to add a field under the custom tab.

Fig.75.37. Add Field Button.

Delete Field

The Delete Field button is used to delete a field under the custom tab.

Fig.75.38. Delete Field Button.


SW Alarm Panel tab

System-wide Settings Alarm Panel Integration Tab

The initial settings for the Napco Integration feature are done on the Alarm Panel Integration tab under System-wide Settings. In this tab, the NAPCO servers that will communicate with NAPCO Alarm Panels are added.

  • A click on Alarm Panel Integration tab will display the screen below.

Fig. 75.39. Alarm Panel Integration Tab.

Adding a Napco Server

Follow the steps below to add a NAPCO server.

By default, the Use Napco Panels Checkbox will be unchecked. Select the Use Napco Panels checkbox to configure a Napco Server..

Fig. 75.40. Use Napco Panels checkbox.

Upon selecting the Use Napco Panels checkbox, the Napco Server and Central Station screen will display.

Fig. 75.41. Use Napco Panels checkbox

  • Click the Add NAPCO Server button to add in a Napco Server to use with Napco Integration.

Fig. 75.42. Edit Napco Server button.

  • Click the Edit NAPCO Server button to Edit the settings of a Napco Server.

Fig. 75.43. Edit Napco Server button.

  • Click the Remove NAPCO Server button to remove a Napco Server.

Fig. 75.44. Remove Napco Server button.

Adding a Central Station

Follow the steps below to add a Central Station

  • Click the Add Central Station button to add a Central Station

Fig. 75.45. Add Central Station button.

Upon clicking Add Central Station, the Central Station screen will display.

Fig. 75.46. Central Station Screen.

  • Click the Edit Central Station button to edit the settings of the Central Station.

Fig. 75.47. Edit Central Station button.

  • Click the Remove Central Station button to remove a Central Station.

Fig. 75.48. Remove Central Station button.

  • Click the Save button on the toolbar to save the Central Station settings.

  • Click the Close button to close the screen.


SW Script Server tab

System-Wide Settings Script Server Tab

Script Server(s) Tab

The initial settings for Script Server(s) are done on the Script Server(s) Tab under System-wide Settings. In this tab, you will add the Script Server(s) that will be used to execute scripts..

  • A click on Script Server(s) tab will display the screen below.

Fig. 75.52. Script Server(s) Tab.

  • By default, the Use Scripting checkbox is not selected. Select the Use Scripting checbox to enable scripting.

Fig. 75.53. Use Scripting Checkbox.

Upon selecting the Use Scripting checkbox, the screen below will display.

Fig. 75.54. Script Server(s) screen.

  • Click the Add button to add a Script Server.

Fig. 75.55. Add Script Server button.

  • After clicking the Add Button, the Add Script Server Dialog box will display.

  • By default, the UNC Name of the computer will populate in the UNC name box. If not, click the This Machine button to populate the UNC Name with the local machine name.

  • Click OK.

Fig. 75.56. Add Script Server dialog box.

  • After clicking the OK button, the Script Server will be added.

Fig. 75.57. Add Script Server dialog box.

If you wish to Remove the Script Server, click the Remove button.

Fig. 75.58. Remove Script Server button.

  • After clicking the Remove button, the Delete Record Confirmation dialog box will display.

Fig. 75.59. Delete Record Confirmation box.

  • Click Yes to Delete the Script Server.

Messaging Tab

The Messaging section is also under the Script Server(s) Tab.

  • A click on Messaging tab will display the screen below. This screen is divided into 3 sections (Email, SNPP and SMS).

Fig. 75.60. Messaging Tab screen.

Email Settings

The Email settings are configured on the top portion of the Messaging screen.

.

Enter the following:

  • Email Server Name

  • Email From Address

  • Email Server Port

  • Email Password

Fig. 75.61. Email settings screen. .

SNPP Settings (Simple Network Paging Protocol)

The SNPP settings are configured in the middle portion of the Messaging screen. To use this function, you must purchase a Paging service from your local phone provider.

Note: Paging is old technology and it is recommended to use SMS (texting) instead.

  • Click Add to add in a SNPP device and all the associated information.

  • Click Remove to remove the SNPP device.

Fig. 75.62. SNPP Provider screen.

  • After clicking Add, the Add SNPP Provider settings screen displays.

Enter the following:

  • Provider Name

  • Server URL

  • Server Port

  • Click OK.

Fig. 75.63. SNPP settings screen.

SMS Provider Settings (Texting)

The SMS settings are configured on the lower portion of the Messaging screen. This is also known as Short Messaging Service that is used for texting.

  • Click Add to add an SMS provider into the list.

Fig. 75.64. SMS Providers screen.

  • After clicking Add, the Add SMS Provider settings screen displays.

Enter the following:

  • Provider Name

  • Server URL

  • SMS Type

  • Password

  • Click OK.

Fig. 75.65. SMS Provider settings screen. .

Message Templates (Used for emailing, paging and texting)

Message templates are predefined messages that get sent while emailing, paging and texting.

  • Click Add to add a predefine a message template.

Fig. 75.66. Message Template screen.

  • After clicking Add, the Add Message Template screen displays.

Enter the following:

  • Message Subject

  • Message Body

Select one or more of the following:

  • Can be sent to SNPP devices (Paging)

  • Can be sent as an Email message (Email)

  • Can be sent as an SMS message (Text)

  • Click OK.

Fig. 75.67. Message Template screen.

  • Click the Save button on the toolbar to save the Messaging settings.

  • Click the Close button on the toolbar to close the Script Servers(s) Messaging screen.

Fig. 75.68. Save button.


SW LDAP tab

System-Wide Settings LDAP Tab

NOTE: For complete details on the LDAP Single Sign-On and AD Badge Import, please refer to the standalone LDAP topic.

LDAP Tab

The settings for LDAP are done on the LDAP tab under System-wide Settings. Under this tab, you will configure the LDAP Single Sign-On for CA4K and also the Active Directory Badge Import from the Active Directory database.

  • A click on LDAP tab will display the screen below.

Note: The top half of the LDAP page is for the Single Sign-On feature. The bottom half of the LDAP page is for the AD Badge Import function.

Fig. 75.69. LDAP (Active Directory Options) screen.

VERY IMPORTANT: For complete details on the LDAP Single Sign-On feature and the AD Badge Import feature, please refer to the standalone LDAP topic.


SW Archive settings tab

System-wide Settings Archive Settings Tab

Archive Settings Tab

The settings for the Archive databases are done on the Archive Settings tab under System-wide Settings. In this tab, you will configure the Archive databases for configuration and event data. .

  • A click on Archive Settings tab will display the screen below. The Archive Settings screen is divided into three sections and explained below.

Fig. 75.74. Archive Settings screen.

  • The top of the Archive Settings screen displays the databases selection drop-down lists.

Fig. 75.75. Archive Settings screen.

  • The Server and Database drop-down boxes is used to select the Archive Configuration database.

Fig. 75.76. Archive Configuration database settings screen.

  • The Events Server and Events Database drop-down boxes is used to select the Archive Events database.

Fig. 75.77. Archive Events database settings screen.

  • The Check Archive Database Size button will display the size and Event count of the Events Archive database.

Fig. 75.78. 'Check Archive Database Size button.

  • The middle section of the Archive Settings screen allows you to configure the maximum amount of events that can be stored in an Event archive database before a new database is automatically created.

Fig. 75.79. Archive Settings screen.

  • The bottom of the Archive Settings screen displays the databases list. To add a database to this list, click the Add button.

Note: The archive databases (configuration and events) must be added to this list before they are used on the top portion of the screen.

Fig. 75.80. Archive Settings screen.

  • After the Archive Settings screen is populated, it should look similar to the screen below.

Fig. 75.81. Archive Settings screen.

  • After all the settings are configured, click Save and Close.


SW Custom Menus

System-wide Settings Custom Menus

Custom Menus Tab

The settings for creating a Custom Menu are done on the Custom Menu Tab under System-wide Settings.

  • A click on Custom Menus tab will display the screen below. The Custom Menus tab provides you the ability to add custom menus to launch third party applications.

Fig. 75.82. Custom Menus screen.

  • By default, the Use Custom Menus checkbox is not selected. Select the Use Custom Menu checkbox. .

Fig. 75.83. Use Custom Menu checkbox.

  • After selecting the Use Custom Menus checkbox, the screen below will display.

Fig. 75.84. Custom Menus configuration screen.

  • The Display Name is the name on the custom menu.

Fig. 75.85. Display Name textbox.

  • The Application Path is the path of the application that will be launched from the custom menu. Click the Browse Path button to select the application.

Fig. 75.86. Application Path and Browse button.

  • The Add button is used to add a custom menu. .

Fig. 75.87. Add Menu button.

  • The Remove button is used to delete a custom menu.

Fig. 75.88. Remove Menu button.

  • The screen below is an example of a predefined custom menu that launches the Customer Service utility.

Fig. 75.89. Custom Menus configuration screen.

  • The Custom Menu Icon on the toolbar displays the Customer Service Utility as a menu item. .

Fig. 75.90. Custom Menu Selection.

  • After making the changes above, click Save and Close.

Fig. 75.91. Save. Cancel and Close buttons.


Un-Used Badge Remove Disable

Un-Used Badge Auto-Disable/Delete mode

MUST READ - VERY IMPORTANT NOTES:

  • Prior to using this feature, verify you have current database backups.

  • This feature will automatically Disable or Delete Un-Used Badges from the system.

    • The number of Auto execution days can be configured in system settings (not less than 10 days).

    • Un-Used Badges will be Disabled or Deleted if the current date is 10 or more days later than the last valid access date on the badge.

WARNING - BE VERY CAREFUL USING THIS FEATURE. IF ENABLED, IT CAN DELETE PERSONNEL RECORDS.

Field Descriptions

Enable Un-Used Badge Auto-Disable/Delete Mode - If enabled, the Enable Un-Used Badge Auto-Disable/Delete feature is available for use.

Auto Badge Un-Unused Operation Type - This selection provides the different actions available. They include Disable and Delete

Auto Execution (#Days) - This setting provides how often this function will be executed. The minimum amount of days between intervals is 10 days. Un-used Badges

will be disabled or deleted if the number of days since a Badge valid access is equal or greater than the Auto Execution days setting. For instance, if a badge has not had a valid access in 10 days,

the badge will be disabled or deleted.

Note: An entry will be logged in the Audit trail when badges are disabled or deleted via this feature.

Steps to Configure

1. 1. Select the Enable Un-Used Badge Auto Disable/Delete Mode checkbox.

is 2. Select the Auto Badge Operation Type to Disabled or Delete.

3. Set the Auto Execution setting to 10 days or greater (the default is 10 days minimum)


Configuring Privacy Mode

MUST READ - VERY IMPORTANT NOTES:

  • Prior to using this feature, verify you have current database backups.

  • The Privacy Mode feature is available in CA4K version 1.0.7x and later.

  • This feature will automatically remove or reset all historical data for a badgeholder who is no longer with the institution.

SUMMARY:

This feature was created to enable Continental Access compliance with European Privacy Standard (GDPR) for the Access Control system. The function

of Privacy Mode is to restrict access to Personnel Records and Transactions. This feature will remove or reset all historical data associated with a person

who is no longer participating in the Access Control System. Typically, after the employee leaves a company, the person’s badge will be deleted or disabled

in the system. What happens to their records will be guided by the Privacy Mode.

FIELD DESCRIPTIONS:

There are five new fields that have been added in the CA4K System Settings>System-Wide settings for the Privacy feature. They are outlined below.:

Enable Privacy Mode checkbox - If Enable Privacy Mode checkbox is checked then privacy mode function will take effect.

Delete Personnel Records & Transactions checkbox - If Delete Personnel Records & Transaction History is checked then all badge events and configuration

data will be deleted from live and archive databases. NOTE: Be very careful enabling this feature.

Clear Custom Fields checkbox – If Clear Custom Fields checkbox is checked then all personnel custom fields will be cleared.

Privacy Mode Delay # of Days – If Privacy Mode Delay has value greater than 0, then all badge events and configuration data privacy function will be initiated after the # of Days by Disabling a badge.

Exclude from Privacy Mode checkbox - If Exclude from Privacy Mode checkbox is checked on the Personnel then the Badge Holder will not be affected by Privacy Mode function.

Note: If privacy mode is configured and a badge is disabled via the Privacy Mode feature, existing event records will be updated with the following text : "Privacy Mode - Facility=0, Badge = 58094".

Configuring Privacy Mode

  • In the CA4K™ main screen, click on System>System Settings>System-wide Settings.

  • Under the General tab>Privacy Settings section, select Enable Privacy Mode as per the screen below. .

Privacy Settings

  • On the CA4K™ main screen, click on Personnel.

  • Verify the Exclude From Privacy Mode checkbox is not selected as per the screen below. When this is not checked, the Personnel record will be subject to the Privacy mode.

WARNING: - Be very careful enabling the Privacy Mode feature. This feature can delete badges and events and also update descriptions on archived events.

MODES OF OPERATION:

Enable Privacy Mode – when selected, will enable Privacy Mode function in CA4K. This will affect what happens to the transaction history of the disabled or deleted personnel badge. (Additionally, enables Delete Personnel Records and Transactions field, Clear Custom Fields, and Privacy Mode Delay field).

Deleting Badge - Badge record will be immediately removed from Personnel screen, Badge transaction will be immediately removed from Badge Holder In screen

The Badge holder’s First Name will change to "badge #" & Last Name changes to "Privacy Mode". This change will occur on all badge transactions and records in Events Grid, Audit Trail, archived Configuration, archived Events, and archived Audit Trail. In archived Configuration database the content of Personal screen will change to either “Privacy Mode” or [Blank], Photo will be deleted

If Clear Custom Fields is also enabled then the content Custom fields will change to “Privacy Mode”

Disable Badge - transaction history of the disabled badge will not be affected.

Enable Privacy Mode and Delete Personnel Records & Transactions

Deleting Badge - All Badge holder’s records and transactions will immediately be removed from all Live and Archive databases: Personnel, Badge Holder In, Events Grid, Audit Trail, archived Configuration, archived Events, and archived Audit Trail.

Disable Badge - transaction history of the disabled badge will not be affected.

Enable Privacy Mode and Privacy Mode Delay >0

Disabling Badge – After expiration of the Privacy Mode Delay time, Badge holder’s records and transaction will be changed. The Badge holder’s First Name will change to "badge #" & Last Name changes to "Privacy Mode". This change will occur on the badge record and all badge transactions in Events Grid, Audit Trail, archived Configuration, archived Events, and archived Audit Trail.

In the Live and Archived Configuration database the content of Personal screen will change to “Privacy Mode” or [blank], Photo will change to [Blank]

If Clear Custom Fields is also enabled then the content Custom fields will change to “Privacy Mode”

Enable Privacy Mode , Delete Personnel Records & Transactions and Privacy Mode Delay >0

Disabling Badge – After expiration of the Privacy Mode Delay time, Badge holder’s records and transaction will be deleted from all Live and Archive databases: Personnel, Badge Holder In, Events Grid, Audit Trail, archived Configuration, archived Events, and archived Audit Trail.


Operator Admin Settings

The Operator Admin Settings contain settings unique to the operator such as View styles.


View Style Tab

View Style

The View Style lets you select a default view for the CA4K™.

The Reset user grid settings button will default the View back to the default setting.

Fig. 75.92. View Style.


Programming a Basic System

Programming a Basic CA4K System

MUST READ - VERY IMPORTANT NOTES:

  • Prior to programming, you must have a functional and licensed CA4K system.

  • Refer to the Continental Document library for the CA4K Quick Start Programming guide referenced in this topic..

  • Refer to the Continental Video library for the Programming a Basic System video.

  • In addition to a functional CA4K system, it is recommended to have a panel connected to the CA4K computer either by ethernet or another communication method.

  • SNMP is not suported in CA4K.

A basic CA4K™ system requires six simple programming steps after an installation to have a functional system.

NOTE: Refer to the CA4K Quick Start Programming Guide to program a basic CA4K system. It will include log-in information, configuring a Com Port (channel), adding a panel, schedule, reader, access group and a badge. Upon performing these six simple programming steps, you will have a functional CA4K system.


Programming (Six Simple Steps)

NOTE: Refer to the CA4K Quick Start Programming Guide to program a basic CA4K system. It will include log-in information, configuring a Com Port (channel), adding a panel, schedule, reader, access group and a badge. Upon performing these six simple programming steps, you will have a functional CA4K system.

The following are the six items you must program, to have a functional CA4K system:

Com Port (Channels) -

Notes:

  • It is recommended to use channel 5 or higher for ethernet.

  • Prior to configuring the panel, you must have the IP information that was programmed into the network adapter if one was used.

Panel

Schedule

Reader

Access Group

Personnel

Refer to the next 6 topics for additional information on the items mentioned above.


Com Ports

Com Servers and Ports

MUST READ - VERY IMPORTANT NOTES:

  • Do not click NEW unless you purchased a secondary Com Server.

  • Do not click the DELETE button on the main toolbar. This will delete the whole Com Server.

  • It is recommended to start at Channel #5 or higher for a Network connection.

  • When a Networx Gateway is added to the CA4K, a Comport (channel) will be added automatically to the Com Server and Ports screen.

Configuring Comport (Channel)

  • To open the Com Server and Ports screen, click Configuration>Com Servers and Ports.

Fig. 80.1. Com Servers and Ports menu selection.

  • Upon clicking the Configuration>Com Servers and Ports menu selection, the screen below will display.

Note: Unlike the CardAccess 3000, the Com Ports are not populated by default. Channel 1 is the only Com Port (Channel) configured by default. You must click Add Channel to add a Com Port.

Fig. 80.2. Com Servers and Ports screen.


Controls for Port Configuration

Configuring Com Servers and Ports

The Com Server and Ports screen is divided into two sections. The top half of the screen lists the configured Com Servers. The bottom half of the screen lists the configured Com Ports (Channels). In CA4K, the Com Ports are also referred to Channels. Unlike the CardAccess 3000, only one Com Port (Channel) is populated on the screen. There is always one Com Server by default. The first Com Server is a standard feature. When a system contains 200 or more panels, a secondary Com Server should be considered.

VERY IMPORTANT: To add an additional Com Server, the additional Com Server must be purchased and the software license must support 1 or more Com Servers. In most cases, you will not be adding an additional Com Server unless the system contains 200+ panels or the panels are spread across a wide area (ex. country to country).

Note: Version 1.1.x added a Security Type field that provides the ability to enable AES128 bit encryption.

Com Servers and Ports (top half of screen)

Follow the steps below if you wish to Add an additional Com Server after it is purchased:

  • Click New. The Workstation # 2 screen will display.

  • You must enter in a Com Server Description and UNC Name.

  • Click Save.

Fig. 80.5. Com Servers and Ports menu selection.

Channel screen (bottom half of screen)

The lower half of Com Ports screen contains multiple columns. These columns are used for Com Port (Channel) configuration. You can add up to 256 Com Ports using these columns. Make use of the vertical scroll bar on the right to view all the 256 ports. The columns are explained below.

Com Servers and Ports (bottom half of screen)

Channel (Com Port)

  • This column provides the Channel (Com Port) numbers starting at 1. If you are configuring an ethernet port, it is recommended to use Channel 5 or higher.

F ig. 80.7. Channel number.

Type

  • This column provides the selection for the type of Com Port (Channel).

Fig. 80.8. Device Type.

Baud Rate

  • This column provides the selection of a supported Baud Rate. For a network device, the baud rate selection is configured in the device and this settings is not used.

VERY IMPORTANT - While using the Network (Ethernet) type, please disregard the Baud Rate setting screen. The Baud Rate must be programmed into the Network device using Device Installer or the CardAccess.Universe Finder Utility. This setting is ignored.

Fig. 80.9. Baud Rate.

IP Address

  • This column contains the IP Addresses detected by the Auto-Discover mode.

Fig. 80.10. IP Address Auto-Discovery list.

IP Port

  • This column contains the IP Port used by the network device.

Fig. 80.11. IP Port.

Non-Polling

  • This column provides the selection to set the panel on this channel to the new Non-Polling (Listen only) mode.

Fig. 80.12. Non-Polling Mode.

UTC Zone

  • This column contains the UTC time zone. This should be configured to the time zone the physical device is in that is using the Channel. By default, the UTC time zone defaults to the local time zone of the CA4K™ host computer.

Fig. 80.13. UTC Time Zone selection. .

Password

  • This column contains the password of the communication device if one is used.

Fig. 80.14. Password box.

Mac Address

  • This column contains the Mac Addresses if Auto-Discovery mode obtains the Mac Address.

Fig. 80.15. Mac Address.

Security Type

  • This setting provides the selection for AES128 encryption.

Fig. 80.16. Security Type.


Editing Port Definitions

Editing Port (Channel) Definitions

Follow the steps below if you wish to Edit a Channel definition:

  • Open Com Server and Ports screen by clicking on Configuration> Com Server and Ports menu options in the CA4K™ main screen

  • In the bottom half of the screen, select the Channel definition you wish to edit, and click on it.

  • Make the desired changes to the settings in the lower half of the screen.

  • Click the Save button on the toolbar to save the changes.

  • Click the Close button on the toolbar to save the changes.


Deleting Port Definitions

Deleting Port (Channel) Definitions

Follow the steps below if you wish to Delete a Channel definition:

  • Open Com Server and Ports screen by clicking on Configuration>COM Server and Ports menu options in the CA4K™ main screen.

  • In the lower half of the screen, select the Channel definition you wish to delete, and click on it.

  • Click the Delete Channel button to the right of the channel screen to delete a Channel.

    Upon clicking the Delete Channel button, a Warning box will display Delete Polling Line. Click OK.

    Warning: Do not click the Delete button on main toolbar. This action will delete the whole Com Server and all your channel settings will be lost. Click No if the following dialog box displays.

Fig. 80.16. Warning Message box displayed before deleting a Com Server .

  • Click the Close button on the toolbar to close the screen.


Adding a Gateway

Com Servers/Ports screen after Adding a Gateway

MUST READ - VERY IMPORTANT NOTES:

  • This topic will discuss the Com Server and Ports screen after adding a Networx Gateway to the CA4K.

    • Refer to the Networx Wireless Lock topic for complete details on adding a Networx Gateway into the CA4K.

The Com Port/Channel for the Gateway will be added in automatically when the Gateway is added in. This entry will be discussed on the following pages.


Port added for Gateway

Com Port (Channel) added automatically after adding in a Gateway

Previous Top Next

Upon adding a Networx Gateway to the CA4K system, a Com Port/Channel will be configured automatically. In the example below, Channel 5 was added for the Gateway.

Com Port/Channel fields

Channel - The channel is also considered the Com Port.

Type - For the channel added automatically for a Gateway, this is configured for a Wireless Gateway.

Baud Rate - This field should be blank for a Wireless Gateway.

IP Address - This field will display the IP Address of the Gateway. Note: This should be a static IP address and should never change.

IP Port - The default port is 10050.

Non-Polling - NA

UTZ Zone - This is the Time zone the Gateway is located in.

Password - The password is configured by the user when the Gateway is being added in. Note: You must write down the password for future reference.

MAC Address - This field contains the MAC Address of the Gateway.


Panels

MUST READ - VERY IMPORTANT NOTES:

  • Legacy Panels such as Microterm, Miniterm, Smarterm and V1 Superterms, do not support advanced features. This includes Category Counters, Threat Level Management, First-Man In functions and all others.

  • If a Superterm is used with the CA4K, it must include a V2 Firmware chip.

  • CA4K V1.1.5x now has additional support for Aperio locks on the Universe controllers. They were originally only supported on Accelaterms.

The (access control) panel could be considered the single most important component in the CA4K™ access control system. All physical hardware mounted at doors or in a building ultimately connects to some kind of panel arrangement. The CA4K™ Host PC exists to program and communicate with panels. CA4K™ workstation PCs exist in large part to configure panel hardware and monitor event messages that are broadcast from panels.

The panels themselves have onboard microprocessors and have local intelligence. When panels are shipped from the factory, they are supplied with a minimal start up program (in firmware). This boot strap program provides enough programming for the panels to start up and wait for instructions from the PC. The PC uses serial or LAN communication to download configuration data to panels, and to upload event and status data from the panels.

When a panel powers up for the first time after shipment from the factory, the configuration menu of that panel is blank. That is, none of the onboard hardware is activated.

Activation of reader ports, inputs, relays, keypads and the like is accomplished by using the various screens of the CA4K™ software to create a software configuration template for a given panel. That configuration template is then downloaded to the panel via network communications link (typically). Once the configuration template is received by the panel, the panel activates the hardware specified in the configuration template, with the attributes specified in the CA4K™ software configuration for that panel.

Note: The configuration data stored at any given panel (such as the number of badges and access groups) can be known with the help of a utility called 'CA4K™ Usage Utility'. Details on this utility can be sought in the section titled CA4K Usage Utility.

Thus, it is the PC and the CA4K™ software that determine the configuration and operation of the panels. Ultimately, the mode of operation of any hardware connected to those panels is determined by the CA4K™ software configuration. For more information on hardware devices, refer to the Continental Controller Service and Installation manuals.


Panels_General

General Tab

The Panels screen is used to describe the panel configuration and geographical layout to the CA4K™ software.

Accessing Panels screen

  • Click on Configuration menu in CA4K™ main screen.

  • Click on Panels menu option in the list.

Fig. 80.17.The Configuration>Panels menu.

Upon clicking, the Panels screen will default to the General tab as shown in the figure below.

Fig. 80.18.The 'Panels' screen.
Panels Screen Folder Tabs
The Panels screen consists of four folder tabs- General, Priorities, Maps and Location/Remarks. The Maps tab will be visible only when the Use Facility Maps feature is enabled in System Settings screen.

Fig. 80.19. Panels screen tabs.

The various controls in General tab are explained below.

Device Name

The Device Name field is meant for typing in a descriptive name for the panel in question.

Note: It is strongly suggested that you give your panels names that describe their location in a building or their function. The names that you assign in this field will be used in all event messages for that panel (in the Location field of the Events and Alerts Grids).

Fig. 80.21. The Device Name field.

Panel #

The Panel Number is a number that is automatically assigned by the CA4K software each time you create a new panel definition.

Note: The Panel Number field must not be confused with the 'Panel Address' field. See the heading Panel Address below to learn about Panel Addresses. Typically, there is no need to edit the automatically assigned Panel Numbers unless you wish to modify the panel numbering sequence. The system will let you override the automatic panel numbering sequence, if preferred.

Fig. 80.22. The Panel # field.

Panel Type

The Panel Type must be selected from the panel type list.

You may have to change the default Panel Type selection to match the actual panel type of the given panel. To change the default selection, click the down arrow to

the right of Panel Type control, for viewing the available panel types.

Fig. 80.23. The Panel Type list.

Panel Address

The Panel Address must be unique for each panel on the same Com Port (Channel).

The panel number can be manually changed by:

  • By clicking the white space of Panel # field and typing in a number of choice or

  • By using the up/down arrows to the right of Panel # spin control and choosing the

desired number.

Fig. 80.24. The Panel Address.

Com Server Name

The Station Name field specifies which CA4K™ PC will be communicating with the selected panel. This field will show the default selection of Com Server (which refers to CA4K™ Host PC).

Fig. 80.25. The Com Server Name.

Com Port

The Com Port is the communication port (Channel) the panel communicates on. .

Fig. 80.26. The COM Port.

Panel Zone

The Panel Zone is the time zone that is selected for the Com Port (Channel) on the Configuration>Com Port screen.

Fig. 80.27. The Panel Time Zone.

Partition Group

The Partition Group selection control allows you to assign the current panel to one or more Partition Group(s). Partition Groups are used for database partitioning and for manual control list filtering.

Fig. 80.28. Partition Groups selection. .

Enabled

The Enabled Checkbox enables or disables the panel record. If the panel record is disabled, that panel is taken out of the list of panels to be polled and polling stops for that panel. The panel is effectively disconnected from communications.

When the panel is enabled, it is put back in the list of panels to be polled and communication between the PC and the panel will resume. 'Enabled' is the default state for any newly created panel record.

To enable or disable the panel, click the Enabled Checkbox. Checked means enabled, unchecked means disabled.

Fig. 80.29. The 'Enabled' Checkbox.

 Interactive Badges Interactive Mode primarily exists to support panel types with limited memory, which are installed into sites that have large numbers of badge records. There is no setting

in the CA4K™ that tells the software what type of panel you are connecting to. Thus, it is possible to attempt to load a database of 20,000 badges into a panel that does not

hold that many badges When any panel's memory capacity is exceeded (such as when you try to download more badges than the panel can store), the panel will refuse to store

those records that exceed its memory size. This creates a 'memory overflow' condition. The key issue is that, when the panel memory is exceeded, there are valid records that belong

at the panel that the panel cannot store. In the specific case of overflowed badge records, some badge holders will be rejected when badge records have not been stored due to lack

of memory. As a temporary measure to overcome a limited memory badge overflow situation, Interactivity can be enabled. When Interactive Mode is enabled, the panel badge

rejection behavior is modified.

A panel will normally reject any badge that is not stored in local panel memory and report a violate void type error event message. When Interactive mode is enabled, the panel is forced to check the CA4K™ database in addition to checking local panel memory to validate a badge.

Once a badge is read by a reader connected to a given panel, a badge validation procedure is applied. The 'normal' panel badge validation procedure and the Interactive mode badge validation procedure are explained in more detail below. To enable or disable Interactive mode for the panel in question, click the Interactive Badges Checkbox. Checked means enabled, unchecked means disabled (the default setting).

Fig. 80.30. The 'Interactive Badges' Checkbox.

Normal Badge Validation

After a badge is presented to a reader on a given panel set to normal mode, the panel logic checks the local panel memory for a badge record corresponding to the badge number read. If that record does not exist, the entry request is rejected and a denial message is sent to the CA4K™ Host computer.

Interactive Mode Badge Validation Procedure

After a badge is presented to a reader on a given panel set to Interactive mode, the panel logic checks the local panel memory for a badge record corresponding to the badge number read. If that record does not exist, a message is sent to the Host PC inquiring if the badge has a valid record in the CA4K™ database.

There are several conditions that could exist, with different outcomes. The various conditions are as below: There is no CA4K™ database record of the badge

If this is the case, the badge is rejected with the error event message 'Badge Violate Void'.

There is a record of the badge in the database, but the badge does not belong at

any reader on the panel If this is the case, the badge is rejected with the error event message 'Badge Violate Void at Panel'.

There is a record of the badge, the badge does belong to at least one reader on the panel, but the badge is not permitted at the reader in question.

If this is the case, the badge is rejected with the error event message 'Badge Violate Unauthorized'.

It is important to note that, in Interactive mode the panel will communicate with the CA4K™ Host PC to validate badge numbers that are not locally stored in panel memory.

The panel logic will attempt to store the most frequently used badges and overwrite badge numbers that are less frequently used in an attempt to optimize memory usage.

Enabling Interactive mode could increase communications traffic and slow the overall response of the system. Thus, Interactive mode should not be considered a long-term solution for a badge overflow condition. A memory or panel upgrade is the only long-term solution to lack of panel memory.

Note: Enabling Interactive mode will not solve other types of memory overflow problems, such as Access Group or Time Schedule overflows.

Repeat Off-Line Alert

When the CA4K™ Host computer loses communication with a panel, an error event message is displayed that says 'No Response'. That message is displayed once, several seconds after the panel fails to respond to three successive polls.

If you wish to have the no response error message repeated about every 3 minutes, set the 'Repeat Off-Line Alert' Checkbox to enabled. You will then receive an error event message that says 'Still No Response', repeated indefinitely until the panel begins responding again.

To enable the Repeat Off-Line Alert feature for a given panel, click the Checkbox. Checked is enabled, unchecked is disabled (the default setting).

Fig. 80.31. The 'Repeat Off-Line Alert' Checkbox .

Using Elevator Readers (Relay or Software controlled)

There are two types of Elevator controls. One is Relay Control that has been the method for years, up until 2018. The other type that was recently added is Software elevator control. Currently the only brand available for software control is OTIS. In the future, additional brands will be available for Software control.

Elevator reader capability is disabled at all panels by default. Thus, the option to set a reader to an elevator type reader is made unavailable (grayed out) until

you enable the 'Using Elevator Readers' option for the panel that the given reader is connected to. Once the 'Using Elevator Readers' feature is enabled for a given

panel, all readers that are connected to that panel have the 'Elevator Reader' option made available in the Readers screen. For more information see

the manual section titled Readers.

Fig. 80.32. The 'Using Elevator Readers' Checkbox.

 Fig. 80.33. The Readers screen 'Reader Type' section – 'Elevator' option selected.

To enable the Elevator Reader option for a given panel, click the Using Elevator Readers Checkbox. Checked is Enabled and Unchecked is disabled (the default settings).

Enable Password

Fig. 80.34. The Enable Password Checkbox.

Note: Modems are not supported in CA4K, so it is highly recommended NOT to enable this setting.

E nable Remote Clock

Continental provides the ability to communicate with a remote clock. To enable the Remote clock feature, select the Enable Remote Clock checkbox.

Fig. 80.34. The Enable Remote Clock Checkbox.

Degrade Mode ON
Degrade Mode is a feature that allows you to modify how a panel will evaluate badge numbers. In normal mode, a panel will examine a badge number and a facility code to determine the identity and access permissions of a given badge holder.

When Degrade Mode is enabled, the panel will ignore badge numbers, access groups and time schedules. The panel will evaluate only the facility code on a badge to determine access permission. Essentially, all badge holders with the correct facility code will gain entry, at any hour of the day. If facility codes are not used, then it will evaluate the badge format for the correct length. If it matches one of the badge format lengths in the system, the badge will gain access.

Fig. 80.35. The 'Degrade Mode ON' Checkbox.

 This feature may prove useful if you are having problems reading badge numbers correctly, but the badge format is being read. Setting Degrade Mode will force the system to ignore badge numbers (while you fix the problem), but will still allow you to require badge holders to use an access badge to gain entry to secured areas.

To enable Degrade Mode for a given panel, click the 'Degrade Mode ON' check box in the 'General' tab of Panels screen. Checked is enabled, unchecked is disabled (the default setting).

Initialization Parameters Section

When configuration data is downloaded to a panel, part of the downloading process is to set the sizes of some panel static memory buffers. Some of these buffers are adjustable from inside the CA4K™ software. Three such adjustable memory buffers can be set in the 'Initialization Parameters' section.

Note that panel memory space is limited (unless you have added expanded memory). Thus, every buffer size that you increase using the controls below will subtract from the total memory available for badge records. Thus, you should seek to set the below controls to their smallest possible size where memory for badge storage is an issue.

Fig. 80.36. The 'Initialization Parameters' section.

Transaction Buffer Size
The Transaction Buffer Size control allocates panel memory for the number of event transactions to be stored before a buffer full condition occurs. The event buffer is a 'circular' type buffer, which means that if the panel runs out of space for event transactions, it will begin to overwrite the oldest transactions in memory.

When a panel is connected to a computer serial port, event transactions are picked up every few seconds by the polling program, so it is rare that you would need to set a large Transaction Buffer Size. This is true unless communications is lost to the panel.

The default size is 1000 event transactions. The maximum is 10,000.

Fig. 80.37. The 'Transaction Buffer Size' control.

Time Schedule Blocks The Panels screen 'Time Schedule Blocks' control allows you to allocate the minimum amount of memory for the storage of time schedule blocks (which will help save space for badge records if adjusted to a minimum size).

 The CA4K software will permit a maximum of 128 schedules. The maximum number of time blocks per schedule is 10. The maximum setting for the Time Schedule Blocks control cannot exceed 1280 blocks (128 schedules x 10 blocks per schedule).

The Time Schedule Blocks control can be set to the actual number of time schedule blocks that have been created in the Schedules screen if memory is needed for additional badge record storage. Note that the settings in the Time Schedule Blocks control is ignored by the panel if the panel is equipped with expanded memory. In that case, the panel automatically allocates the maximum memory space of 1280 time blocks.

To determine how many time blocks exist in your Schedules screen, visit each schedule and count the number of rows in the 'Time Schedule Blocks' area, of each schedule created in that screen.

Time Schedule Blocks control will be set to the default value 150 for every new panel record you attempt to create. The default value can be changed if required.

Fig. 80.38. Time Schedule Blocks setting.

Max Access Groups

The Max Access Groups control should be set to a value equal to the highest numbered access group, in the Access Group No field in 'Access Groups' screen.

Note that the CA4K will permit you to create a maximum of 1000 access groups. As an example, if you have created Access Group No. 1000 in the Access Groups screen,

then you must set the Max Access Groups control in the Panels screen to 1000 for every panel. Scroll to the highest numbered access group to check the access group number and set

that number in the Max Access Groups control in each panel definition in the Panels screen. 'Max Access Groups' control will be set to the default value 256 for every new panel record you attempt to create.

Fig. 80.39. Max. Access Groups setting.

The Access Group Number can be viewed on the Access Group screen as per the figure below.

Fig. 80.40. The 'Access Group No' field in Access Groups screen.


Panel Maps

Maps Tab

Facility Maps are enabled under System-Wide Settings>General. Facility Maps is the legacy mapping system in CardAccess. It is built into the CA4K™ but does not offer the features of Dynamic Maps.

Select the Enable Facility Maps Checkbox to enable Facility Maps.

Fig. 80.46. 'Enable Facility Maps' selection. .

Maps Tab

Once Facility Maps is enabled, the Maps tab will display on most hardware screens.

Fig. 80.47. Maps Tab under Configuration>Panels. .

Under the Maps tab, you will have the option to View and Remove Maps.

Fig. 80.48. Maps screen.

Note: If there is a map already configured for the selected device, the map will display.

Fig.80.49. Facility Maps window.


Location/Remarks Tab

The Location/Remarks tab can be used to note the location and remarks (if any) on the selected panel.

Fig. 80.50. The 'Location/Remarks' tab.


Creating a basic Panel Definition

To create a basic, working panel record, most of the CA4K™ default settings can be used. Follow the steps below to create a basic panel definition.

Open Panels screen by clicking Configuration>Panels on the CA4K™ main menu. The screen will open in the General tab by default.

  • Click on New button in the toolbar.

Fig. 80.51. New button.

Enter a descriptive name for the Device Name field. A name that can describe the panel location/function is recommended.

Fig. 80.52. Device Name.

The Panel # will automatically be configured to the next available panel #. The Panel # must be unique.

Fig. 80.53. Station Name.

  • Click the down arrow to the right of Panel Type control, locate the panel type of the given panel, and click on it.

Fig. 80.54. Station Name.

The Panel Address must match the panel address of the given panel.

Note: The panel address must be unique if the panel is to be connected on the same com port (Channel) with other panels.

Fig.80.55. Station Name.

  • Click the down arrow to the right of Com Server Name control and select the Com Server you wish to use for communicating with the panel.

Fig. 80.56. Com Server Name .

Select the COM Port that the panel is to be connected to. To select the Com Port, click the arrow button to the right of the Com Port selection control, and choose

a Com Port from the list by clicking it.

Fig. 80.57. The COM Port control.

Make sure that the Enabled Checkbox is selected. The panel will not be polled unless the Enabled box is checked

Fig. 80.58. Enabled Checkbox.

Click the Save button.

Fig. 80.59. Save button.


Editing a Panel Definition

Follow the steps below if you wish to edit a panel definition.

  • Open Panels screen by clicking on Configuration>Panels menu options in CA4K™ main screen. By default, the screen will open in General tab.
  • In the upper half of the screen, select the panel record you wish to edit and click on it

Make the desired changes to the controls in the folder tabs -General, Priorities, Maps and Location/Remarks.

Note:

The 'Panel #' field cannot be edited. The Panel # once set during panel creation is not subject to change.

  • Click on Save button in the toolbar to save the changes.

Note: The following message boxes will be displayed under the conditions listed below.

In case the Panel Address and/or Station Name was changed during the editing process, the message box shown below will be displayed.

Fig. 80.60. Message box displayed if Panel Address and/or Station Name was changed.

Upon reading the information in the message box, click OK button.

Click on Close button in the toolbar to close 'Panels' screen.


Deleting a Panel Definition

Follow the steps below if you wish to delete a panel definition.

  • Open Panels screen by clicking on Configuration>Panels menu options in CA4K™ main screen. By default, the screen will open in General tab.

  • In the upper half of the screen, select the panel record you wish to delete and click on it.

  • Click on Delete button in the toolbar. Upon clicking Delete, the following message box will be displayed.

Fig. 80.61. Message box displayed before deleting a panel record.

After confirmation, click on Yes button in the message box.

  • Click on Close button in the toolbar to close the screen.

Note: When a panel is deleted, all hardware devices (Readers, Inputs, Relays and Links) connected to it become non-functional. Observe that the Panel or Panel Name field in the configuration records of Reader/Input/Relay/Link devices that are connected to a deleted panel will be blank.


Adding a Lock

Panels Screen after Adding a Wireless Lock

MUST READ - VERY IMPORTANT NOTES:

  • This topic will discuss the Panels screen after adding a Networx Wireless Lock to the CA4K.

    • Refer to the Networx Wireless Lock topic for complete details on adding a Networx Wireless Lock into the CA4K.

The Wireless Lock related controls on the Panels screen will be explained on the following pages.


Panel created for Lock

Panel created automatically after Adding a Wireless Lock

Upon adding a Networx Wireless Lock to the CA4K system, a Panel will be created automatically. The Device Name will be the Lock Name assigned while adding in he Wireless lock.

Wireless Lock Panel Fields

Note: Only the fields related to the Wireless lock will be explained in this topic.

Device Name - lThis is the lock name assigned while adding the lock in.

Panel Type - Automatically configured for Wireless Lock

Lock Update Schedule - The default setting is Real-Time. The second option is to perform the updates manually.

Event Retrieval Schedule - The default setting is Immediately. The other options are Daily, Weekly or On-Demand.

Other information automatically populated on this screen is Lock Type, Lock ID#, Lock Battery voltage and Gateway IP address that the lock is attached to.


Download Firmware and Configuration

Download Firmware and Configuration to Panels

MUST READ - VERY IMPORTANT NOTES:

  • If possible, it is recommended to download to one panel at a time.

  • Do not perform a download to many panels at once. This might degrade performance and prevent some functionality from working properly.

  • The firmware images are located in the Firmware folder.

  • After performing an upgrade, you must download new firmware and data to panels. It is recommended to do one at a time and after the first one is completed, perform some testing.

The following topics explain how to download Firmware and Configuration data to panels and wireless locks..


Download Firmware

The Download Panel screen is displayed below with the Firmware Download option selected. This option will download the panel firmware followed by the configuration data.

Fig. 80.62. Download Panel (Firmware Download) screen.


Download Configuration Data

The Download Panel screen is displayed below with the Full Download option selected.

Fig. 80.63. The 'Download Panel Categories' screen.

Panel data downloads are generally initiated automatically every time you click the Save button in any of the CA4K™ configuration screens. After a record has been created or changed in a configuration screen, the changed record is immediately (and automatically) queued up by the system for transmission to the appropriate panel. The system treats changed configuration records with a very high priority and sends them to the appropriate panel as soon as possible, without human intervention.

However, there may be times when you wish to initiate data download to a panel manually. This may be true in a case where the CA4K™ administrator is bringing a new panel online, or in the rare case where a panel seems to be malfunctioning and a data re-download seems appropriate. The Download button is provided on Panels screen toolbar to initiate a manual data download.

  • Open Panels screen by clicking Configuration>Panels in CA4K main screen.

  • Click on Download button in Panels screen toolbar.

  • Upon clicking, the Download Categories screen will be displayed as below. If you wish to only download select categories, select only the categories you wish to download.

Fig. 80.64. The 'Download Categories' screen.

The Selected Panels button provides the ability to highlight multiple panels and download only to them.

Fig. 80.65. The 'Selected Panels' screen.


Schedules

MUST READ - VERY IMPORTANT NOTES:

  • Prior to the release of V1.1.x, a total of 254 schedules were allowed system wide. In V1.1.x or higher, each panel or lock can have up to 254 schedules.

The schedules screen is used for creating time schedules that can be used in other CA4K™ screens. The time blocks created do not play any role unless they are connected to software components or hardware devices. Technically, the schedule becomes 'valid' while the time block is in effect, and becomes invalid outside of the time block. A hardware device that has a schedule assigned will be activated when the schedule is in effect, and deactivated when the schedule goes out of effect. Stated another way, the device will be activated at the Start Time, and deactivated at the End Time, for each time block contained in the schedule.

Refer to the following topics for accessing schedules and creating schedules.


How to access Schedules Screens

Accessing Schedules screen
Schedules screen can be accessed in the following two ways:

  • By clicking on Schedules button in CA4K™ tool bar.

Fig. 85.1. The 'Schedules' button in CA4K™ tool bar.

  • .By clicking on Administration>Schedules menu options in CA4K menu bar.

Fig, 85.2. Clicking 'Schedules' menu item in 'Administration' menu list.


Creating a Schedule

Follow the steps below to create a time schedule.

  • Open Schedules screen by clicking on Schedules button or Administration>Schedules menu option in CA4K™ main screen.

  • The schedules screen will be displayed as below.

Fig. 85.3. The 'Schedules' screen.

  • Click on New button in Schedules screen toolbar to create a new time schedule.

  • Note: The Schedule No edit box will show the value 1 by default. The value will increment for every new schedule you create.

Fig. 85.4. Schedule Name.

  • In Schedule Name field, type in a descriptive name for the schedule being created.

  • If the schedule has to belong to a Partition Group, click the down arrow to the right of Partition Group control and select a Partition Group name in the drop down list.

  • The Time Schedule Blocks area in the lower half of the screen is where the time block(s) of the schedule is created. Follow the steps below to create a time block:

Fig. 85.5. New Block Button.

  • Click New Block.

Fig. 85.6. Default Time Block Row.

  • In the Time Schedule Blocks area, double-click under the Day From column. Doing this will display a default time block having the value 24/7/365 (that is, MON-HOL, 12:00:00 AM-12:00:00 AM as shown in the figure below above.

  • Click the down arrow and select a desired day in the list for the Day From column.

  • Similarly, select a day for the Day To column.

  • Similarly, select a day for the Time From column.

  • Similarly, select a day for the Time To column.

A word about Day From, Day To, and Holidays is in order here. The following chart shows the effects of using the most common Day From (Start Day) and Day To (End Day) combinations.

Note: Usage information on time schedules thus created in the Schedules screen can be known with the help of a utility called CA4K™ Usage Utility.

Start Day | End Day | Effect
Mon | Hol | Every Day of the Year * (24/7/365)
Mon | Sun | Every Day of the Year Except Holidays *
Hol | Hol | Holidays Only *
Mon | Fri | Weekdays Only
Sat | Sun | Weekends Only
Mon | Mon | Mondays Only (a one day per week schedule)

Table 1. Start Day & End Day Effects (valid if at least one Holiday is defined)

  • There are no predefined holidays in CA4K™ software. Holidays can be defined by the user as required. For more information on creating Holidays, visit the topic Holidays/Holiday Calendars.. Table 1 above assumes that at least one Holiday is defined.

Very Important: Table 2 below assumes that no Holidays have been defined.

Start Day | End Day | Effect
Mon | Hol | Every Day of the Year * (24/7/365)
Mon | Sun | Every Day of the Year * (24/7/365)
Hol | Hol | No Effect *
Mon | Fri | Weekdays Only
Sat | Sun | Weekends Only
Mon | Mon | Mondays Only (a one day per week schedule)

Table 2. Start Day & End Day Effects (valid if no Holidays are defined)

  • By default, the Start Time and the End Time columns show the default value of 12:00:00 AM (see figure below).

  • Note: Start Time of 12:00:00 AM to End Time of 12:00:00 AM means, 00:00:00 o'clock to 24:00:00 o'clock (or 24 hours). If you want your schedule to span 24 hours, then retain the default time values.

  • The default time can be changed as well. The change can be made by clicking on the default time display and typing in the desired time values. Start and End Times can be entered either in standard clock notation or military time.

  • If the schedule is complete, click on Save button in the toolbar to save the schedule.

Note: Each schedule can contain up to ten time blocks.

  • Click on New Block button (or press the down arrow key on your computer keyboard) to obtain a new time block as shown in the figure below.

Fig. 85.7. New time block displayed by clicking on 'New Block' button.

  • For the new time block, repeat step above for fixing the Day From, Day To, Time From and Time To.

  • Similarly, a maximum of ten time blocks can be created for the schedule.

Note: If you attempt to create more than ten time blocks, a message box will be displayed as below.

  • Click on Save button in the toolbar to save the schedule with multiple time blocks

  • Click on Close button to close the screen.


Editing a Schedule

Follow the steps below to edit a schedule:

  • Open the Schedules screen by clicking Schedules button or Administration>Schedules menu options in CA4K™ main screen.

  • In the upper half of the screen, click on the schedule record you wish to edit.

  • Make the required changes to the controls seen in the lower half of the screen.

  • Click on Save button in the toolbar to save the changes.

  • Click on Close button in the toolbar to close the screen.

Note: When you edit a schedule, the behavior of all devices to which the schedule is assigned, will be changed. The operation of Free Access and schedules applied to hardware devices (readers, inputs, relays and links) are other important considerations.


Deleting a Schedule

A schedule (with either single/multiple time blocks) can be deleted by following the steps below:

  • Open the Schedules screen by clicking on Schedules button or Administration>Schedules menu options in CA4K™ main screen.

  • In the upper half of the screen, click on the schedule record you wish to delete.

  • Click on Delete button in the toolbar. Upon clicking, the following message box will be displayed.

Fig. 85.8. Message box displayed on clicking 'Delete' button.

Note: When you delete a schedule, the behavior of all devices to which the schedule is assigned, will be changed. Be sure that, any access group that has the deleted schedule assigned does not deny door access to the cardholders. The operation of Free Access and schedules applied to hardware devices (readers, inputs, relays and links) are other important considerations.

  • Click on Yes button in the message box to delete the selected time schedule.

  • Click on Close button in the toolbar to close the screen.


Deleting a Time Block

The time block of a schedule (having multiple time blocks) can be deleted by following the steps below:

  • Open the Schedules screen by clicking the Schedules button or Administration>Schedules menu options in CA4K™ main screen.

  • In the upper half of the screen, click on the schedule record whose time block you wish to delete. Upon clicking, the lower half of the screen will display the time blocks contained in the selected schedule.

  • Click on the time block you wish to delete.

  • Click on Delete block button to delete the highlighted time block.

Fig, 85.9. The 'Delete block' button.

  • A CA4K™ Warning Message will display Delete the Selected Record? Click OK. .

Fig, 85.10. The 'Delete block' button.

  • Click on Save button in the toolbar to save the changes.

  • Click on Close button in the toolbar to close the screen.


Readers

Readers are hardware devices that are used for reading access badges. They are physically connected to access control panels that evaluate the access permissions of all badge card reads. In CA4K™ software, readers are configured in the 'Readers' screen. Reader records cannot be created without the existence of Panel records. To learn about creating panel records, see the previous topic titled 'Panels'.

Accessing Readers Screen:

  • Click on Configuration menu in CA4K™ menu bar

  • Click on Readers option in the menu list.

Upon clicking, the Readers screen will be displayed in General tab as shown in the figure below.

Fig. 80.66. The 'Configuration>Readers' menu.

Note: The Readers screen can contain several other folder tabs depending on the configuration made in the System Setting screen.

 Fig. 80.67. The 'Readers' screen.


RDR General Tab

Readers General Tab

The General tab is the default tab selected when the Readers screen displays.

Fig. 80.68. Readers screen 'General' tab.

The various controls in General tab are explained below.

Device Name

The Device Name field is for entering a descriptive text label that you wish to give to the reader. The Device Name should clearly describe where the

reader is located in a given building. The CA4K™ software will display this name in all events relating to the reader in question. Descriptive names will aid

users of the CA4K™ in locating the proper door when needed.

Fig. 80.69. Device Name Control.

Note: Panels must be defined before attempting to create Reader definitions. In case Panel drop down list does not show any panel name, you need to create panel records first.

Panel

Readers are ultimately always connected to panels. Each new reader definition must be attached to a panel through CA4K™ software configuration. Selecting a panel in the Panel control attaches this reader definition to that panel.

Fig. 80.70. Panel Selection Control.

Reader #

The Reader # control is used to number the reader in question.

Fig. 80.71. Reader # Control.

By default, all panel reader ports are deactivated. The Reader # indicates which reader port the panel should activate, once the record is downloaded to the panel indicated in the Panel control.

A reader can be numbered by:

  • Clicking the white space of Reader # field and typing a number of choice

  • By using the up/down arrows to the right of Reader # control and choosing a desired number

Note: The software lets you create up to sixteen readers per panel. The CardAccess 4K will not allow you to create two readers with the same reader number, on the same

panel.

Reader Type

The Reader Type control programs the panel reader port to behave in one of the three ways listed below. The difference in actual software behavior

of the three reader types listed below is minimal. The primary difference between the reader types below is how the reader will be used.

Note: If Using Elevator Readers is selected under panels, there will also be an option button for an Elevator reader type.

Fig. 80.72. Reader Type Selection. .

Door – When the Reader Type is set to Door, the reader is configured as a standard door reader. A 'Door' in the CA4K™ system is defined as a reader with one

door strike relay, one bypass input, one door contact input, and optionally one shunting relay, and one keypad.

Badge Validator – When a reader is set up as a Badge Validator, badges that are presented to that reader will be toggled between Enabled and Disabled. Thus, the Badge Validator reader is used to activate and deactivate access cards (badges). Note the following rules.

  • Badge records are not created by the Badge Validator reader.
  • Only badge records that exist in the database can be activated or deactivated.
  • The Badge Validator function will only change the enabled status of the badge. When you present a badge to a Badge Validator reader once, the badge will be enabled (if it is currently disabled). When you present the same badge again, the badge will be disabled.
  • When a disabled badge is presented to a Badge Validator reader, the door strike is not fired, and the badge is enabled.

Elevator – Elevator reader programming is treated quite differently from door reader programming in the following ways. A new folder tab appears in the reader record called Elevator Access.

  • There are two types of Elevators. One is Relay contolled elevators and the other is Software elevators. The following information is for Relay controlled elevators.

  • You can assign multiple relays to activate upon the presentation of a valid access card, which is in contrast to a standard door reader that can fire up to two relays (door strike and a shunt relay) maximum.

  • However, you are still provided with the standard door relays in addition to the elevator control relays, when you create an elevator reader definition.

  • You can find more details on elevator control programming under the topic titled Elevator Access Tab.

NOTE: Using Elevator Readers must be enabled under the associated panel to display as an option on the reader.

Fig. 80.73. The Readers Screen 'Elevator Access' tab..

Assign to Access Group from Reader

Access groups are usually created in the Access Groups screen (see Access Groups section). The Assign to Access Group from Reader control allows you to assign a reader to an access group from the Readers screen.

Fig. 80.74. Assign Access Group from Reader Control.

Partition/Group

The Partition/Group selection control allows you to assign the current reader to a group. Groups are used for database partitioning and for manual control list filtering. For more information on Partition Groups, see the topic titled Partition Groups.

Fig. 80.74b. Partition Group selections.

Enabled

The Enabled Checkbox either enables or disables the reader record.

Fig. 80.75. The 'Enabled' Checkbox..

  • A reader record that is saved with the Enabled box checked, will be downloaded to the panel to which, the reader is physically connected.

  • A reader that is saved with the Enabled box unchecked will be removed from the concerned panel, thereby rendering the reader inoperative.

  • To enable or disable the reader, click the Enabled Checkbox. Checked means enabled, unchecked means disabled.

Report Bypass

Report Bypass is enabled (checked) by default. Each panel door connector is equipped with two inputs, which become enabled (on the panel door connector) automatically when a new Reader record is saved in the CA4K™ software.

One of those inputs is a Bypass Input, often called a request to exit input. On each panel door connector, the Bypass input is treated as a special input. When there is a contact closure (a 'short') across the Bypass input, the door strike relay is fired, opening the door.

The typical use for this input is to mount a switch on the inside of a door to allow badge holders to exit a building without the need to present a badge to a reader to do so.

Because the number of employees exiting the building, at the end of a workday in a large facility can generate literally thousands of requests to exit event messages, some clients prefer to turn those messages off. Some security teams are less interested in who is leaving a building.

To turn Report Bypass off, uncheck the Checkbox.

Fig. 80.76. The 'Report Bypass' Checkbox.

Bypass Unlocks

Bypass Unlocks is enabled by default. The 'Bypass Unlocks' Checkbox is related to the 'Report Bypass' input explained above. The Bypass Unlocks Checkbox determines

whether the bypass switch mentioned above will be coupled to the door strike relay.

If Bypass Unlocks is checked, a closure on the bypass input will unlock the associated door. If Bypass Unlocks is not checked, the bypass switch will be ignored.

Fig. 80.77. The Bypass Unlocks Checkbox.

No Transaction for Valid

No Transaction for Valid is disabled on every reader by default. All events are logged to the database unless those settings are overridden. However there are some events that could be considered 'less significant', such as Badge Valid messages. In a standard system, the greatest majority of event messages are Badge Valid messages. You can elect not to receive Badge Valid event messages by enabling the 'No Transaction for Valid' (check the Checkbox) feature on a reader port.

Fig. 80.78. No Transaction for Valid check box.

Time Schedule Violate Override

Generally, badge holders are assigned 'access rights' to a given reader. Those rights include the right to access a certain reader at selected time schedules during which

access is possible. If a badge holder attempts to access a reader outside of a permitted time schedule, a violation error is generated by the system and access is denied.

The 'Time Schedule Violate Override' feature allows you to modify the violation behavior of the reader. If the Time Schedule Violate Override feature is enabled (Checkbox is checked), and a valid badge holder attempts access at that reader outside of the specified time schedule, the panel will still send a violation message to the PC, but the cardholder will be admitted through the door.

Fig. 80.79. No Transaction for Valid check box.

Report Access After Open

By default, when a valid badge is presented to any reader, the CA4K™ system generates a 'Badge Valid' event message immediately (no delay). The system does not wait for the door to be pulled open before reporting the badge access.

Potentially, a cardholder could present a valid card and decide not to enter the door. However, an event message would still be generated, making it look like the badge holder entered the building.

To prevent false door access reporting by valid badge holders, the CardAccess 4K allows you to suppress Badge Valid event messages until the door is actually opened. The system senses the state of the door by using the door contact input (mentioned later).

When the Report Access After Open Checkbox is checked, the panel software will wait for the door contact to open before sending a Badge Valid event message.

Fig. 80.80. The 'Report Bypass' Checkbox.

With the 'Report Access After Open' check box unchecked, the panel will send a Badge Valid event message immediately, every time a valid badge is presented to a reader.

This event message suppression works only for Badge Valid messages. Violation messages are not affected by the 'Report Access After Open' control, and are sent immediately.

Badge Use Limit Controller

The Badge Use Limit Controller Checkbox is new in the CA4K™. When the Badge Use Limit function is enabled (checked), the badge can only be used the amount of times specified in Personnel for the badge..

Fig. 80.81. The Badge Use Limit Controller Checkbox.

Escort Enabled

The Escort Enabled function is disabled by default (unchecked). When an Escort enabled badge is presented to an Escort enabled reader, the reader will refuse to grant door access unless a second, non-escort enabled badge is presented within a timeout period.

To set the reader as an Escort Reader, check the Checkbox.

No essential functioning of the reader is changed. The only noticeable change in reader behavior is when an Escort enabled badge is presented to an Escort reader.

When the Escort attribute is enabled for a badge, that badge works as a normal badge at any reader that is not set with the Escort Enabled function activated.

Fig. 80.82. The 'Escort Enabled' Checkbox.

Double Read Holds Door Unlocked

The Double Read Holds Door unlocked feature is supported on panel and locks. A double swipe will hold the door open and another double swipe with the same or different badge will lock the door.

Fig. 80.83. Double Read Holds Door Unlocked.

Alarm Shunt Reader

Fig. 80.84. Alarm Shunt Reader check box.

If the Alarm Shunt Reader Checkbox is checked, the Reader continues to behave as a normal Reader. However, the Reader is enhanced to treat badges that have the Alarm Shunt feature enabled differently. Alarm Shunting behavior is fully explained in the manual section titled Personnel.

In case the Reader belongs to a newer panel such as a Accelaterm, Accelerator, SuperTerm +, Turbo SuperTerm, Super 4 +, Turbo Super 4 or a Super 2 Panel, checking of Alarm Shunt Reader Checkbox will display a new control named Max Shunt Time. This control can be used to fix the maximum shunt time you wish to allow for the selected Reader.

Fig. 80.84. Max Shunt Time settings.

Maximum Shunt Time control displayed when Alarm Shunt Reader Checkbox is enabled for Readers connected to Accelaterm, Universe, SuperTerm +, Turbo SuperTerm, Super 4 +, Turbo Super 4 or Super 2 Panels.

The default time shown for this control is 0 minutes. The control allows you to fix up to 500 minutes of Alarm Shunting for the selected Reader.

Once the Max Shunt Time specified elapses, the system will generate the Door Open Too Long event message for activities (if any) at the selected Reader.


Door Control Tab

All reader definitions are created with default settings. Some of the default settings are noted below.

  • Every reader is enabled 24/7/365 by default

  • Every reader will accept access cards ONLY by default

  • The Keypad port is disabled by default.

  • There is no Free Access schedule configured by default

  • Degrade Mode is disabled by default

The Door Control folder tab contains a number of controls to modify the default behavior of a given reader

Fig. 80.85. Readers screen 'Door Control' tab.

The Door Control tab is divided into two sections- Door Controls and Keypad Settings. The controls in the two sections are detailed below.

Door Controls Section

Fig. 80.86. The 'Door Controls' section in Door Control tab.

The controls seen in Door Controls section are explained below.

Card-Only Time Schedule

The 'Card-Only Time Schedule' control is used in conjunction with the Keypad controls mentioned below. By default, all readers are created with a (concealed) card only time schedule that activates the reader 24 hours per day, 365 days per year. Also by default, the reader keypad is disabled.

Note: If you are not planning on enabling a keypad at a given door, you will not need a 'Card Only Time Schedule'.

When a keypad is activated for a given reader, a 'Card & Code' time schedule or a 'Code Only' time schedule must be applied to the keypad to make it operational. When this keypad schedule is in effect, it overrides the default reader time schedule of 'card only', 24 hours per day, every day of the year. The keypad time schedule 'reprograms' the door to require keypad entries in addition to (or instead of) card reads to allow entry.

The Card-Only Time Schedule control allows you to select a schedule to return the reader to its default state, where only a card is required to gain entry.

. Fig. 80.87. The 'Card-Only Time Schedule' control.

All keypad time schedules are disabled by the Card Only time schedule. The keypad is ignored while the Card Only time schedule is in effect.

You must decide how you wish to set up your door. You will select a Card-Only time schedule if you have a keypad enabled at the current door, and it has a Code Only or Card & Code schedule assigned to it, and you wish to have the keypad disabled during certain hours, requiring only a card to gain entry during those hours.

To select a Card-Only Time Schedule click the arrow to the right of the Card-Only Time Schedule control (see figure 50.46) and select a schedule. The list of schedules is taken from the Schedules screen. If there are no schedules visible, you need to create some in the 'Schedules' screen. Refer to the Schedules section to do this.

To disable the 'Card-Only Time Schedule', select 'Not Used' from the Card-Only Time Schedule list.

Free Access Time Schedule

Fig. 80.88. The 'Free Access Time Schedule' control.

During a Free Access schedule, the door control relay is activated unlocking a door for the duration of that schedule.

Typically, Free Access schedules are used to unlock doors when employees enter a building in the morning, during lunch or when they leave at night. The doors are held unlocked at those times to permit easy access.

To Set a Free Access Time Schedule, click the arrow to the right of the Free Access Time Schedule control and select a schedule. If no schedules are visible, you must create some in the Schedules screen. Refer the section Schedules to do this.

To disable the Free Access Time Schedule, select 'Not Used' from the 'Free Access Time Schedule' list.

Degrade Mode Time Schedule

Fig. 80.89. The 'Degrade Mode Time Schedule' control.

When a panel is placed in Degrade mode, (by checking the Degrade Mode ON Checkbox in Panels screen) readers on that panel are instructed to ignore badge numbers and admit cardholders who have the correct Facility Code (if Facility Codes are used).

This feature may prove useful when badge numbers are not being read correctly by the readers. Since degrade mode ignores badge numbers, cardholders with the correct facility code can still gain entry to the building.

The Degrade Mode Time Schedule control allows you to activate degrade mode for each door individually, based on the Degrade Mode Time Schedule you select. To activate degrade mode for a reader during a particular time schedule, click the arrow to the right of the Degrade Mode Time Schedule control and select the desired schedule from the list. In case there are no schedules in the list, you must create some in the Schedules screen. Refer to the Schedules section to do this.

To deactivate degrade mode for a Reader, select Not Used in the Degrade Mode Time Schedule control.

Door Sensor Input

The Door Sensor Input (door contact) control sets the panel input number that the door will use as the door contact.

Fig. 80.90. The 'Door Sensor Input' control.

By default, the system assigns the next available odd numbered input for the door contact function. Door one gets input 1; door two gets input 3, etc.

The Door Sensor Input control is provided in case you wish to override the system's choice of input number for the door. When set to 0, there is no door contact for the given door.

Note that any input number that gets assigned to door contact duties through this control becomes a 'special' input. The standard input messages 'Input Normal' and 'Input Abnormal' messages are changed to the door input event messages 'Door Forced Open', 'Door Now Closed' respectively.

Further all door contact inputs have the settings of the controls of the readers screen applied, whereas standard inputs have the settings of the Inputs screen applied.

Note that each door contact is enabled with some default 'behavior'. You can override that behavior by going to the Inputs screen and creating an input definition with the same input number as the door definition input number (termed a 'duplicate input definition').

If you check the 'Enabled' Checkbox in the duplicate input definition, the door contact will report with input event messages. If you do not check the Enabled Checkbox, the settings found on the input screen will override the default door contact setting behavior, but the input will report with door contact type event messages.
The Door Sensor Input Number can be set by

  • Clicking the white space of 'Door Sensor Input' control and typing a number or

  • using the up/down arrows to the right of 'Door Sensor Input' control and choosing a number.

Bypass Input

Fig. 80.91. The 'Bypass Input' control.

Technically, the Bypass Input control works identically to the Door Sensor Input mentioned above. However, the Bypass Input sets the input number of the Request

to Exit switch.

By default, all door input numbers are assigned by the system automatically. The automatically assigned Bypass Input number will be the next available even number.

The Bypass Input (request to exit) control sets the panel input number that the door will use as the bypass input. This can be any available input on the panel type that you are using.

The same rules apply as stated above for the Door Sensor Input. You can override the default settings of the door Bypass Input by creating a duplicate input definition in inputs. If you enable the duplicate input, event messages will report as an input instead of a door bypass.

The Bypass Input Number can be set by

  • clicking the white space of Bypass Input control and typing a number or

  • using the up/down arrows to the right of Bypass Input control and choosing a number.

Door Strike Relay

The Door Strike Relay control selects the panel relay that will be used to operate the door strike.

Fig. 80.92. The 'Door Strike Relay' control.
A relay selected to be a door relay becomes a 'special' relay. Standard relay event reporting, Output On, Output Off type messages are changed to Door type access event messages.

The Door Strike Relay Number can be set by:

  • Clicking the white space of Door Strike Relay control and typing a number or

  • By using the up/down arrows to the right of Door Strike Relay control and choosing a number.

Keypad Settings Section

Fig. 80.93. The 'Keypad Settings' section in Door Control tab.

The controls seen in Keypad Settings section are explained below.

Keypad Enabled

The keypad Enabled control can be used to enable or disable a keypad.

Fig. 80.94. The 'Keypad Enabled' Checkbox.

If checked, the Keypad will be enabled. If unchecked, the Keypad will be disabled.

Disable Duress

Fig. 80.95. The 'Disable Duress' Checkbox.
Duress is a feature that works in conjunction with the Card & Code feature mentioned earlier in this section. Generally, Duress is defined as an emergency situation where a valid cardholder has an urgent need to attract the attention of security personnel (the victim is under duress).

The classic access control Duress case is where a valid cardholder approaches a reader and is about to present his access card. An attacker approaches from the rear and forces the cardholder to admit them both to the building.

At the typical reader only door installation, there would be no easy way for the victim to attract the attention of security personnel. However, at a door with a keypad mounted, an emergency code could be entered that would create a special CA4K™ event message. This message could then attract the attention of security without alerting the attacker.

You need several things in place to use the Duress feature:

  • The keypad must be enabled at all doors where the duress feature is to be made available.

  • Each door must also have a reader installed and enabled.

  • Each badge holder must have a numeric PIN code entered in their Personnel records (PIN codes don't have to be unique)

  • A Card & Code schedule must be in effect on each door.

Thus, you will provide a keypad and reader at the door. Badge holders will be required to present a badge and type in a PIN code on every access (while the Card & Code schedule is in effect).

A Duress alarm is recognized by typing the first character of the PIN code four times. Typically, if the wrong characters are typed in for the PIN code, the door will remain locked.

However, after a valid card is presented at the reader for a door, if the first digit of that card holder's PIN code is typed on the keypad four times, the Duress feature is activated and a 'violation' class event message is generated (alerting security at the door), but the door is unlocked as though the correct PIN code was typed.

The fact that the door is unlocked even though the PIN code was typed incorrectly allows security personnel to respond without the attacker knowing about detection.

The Disable Duress Checkbox shuts off the duress feature when the Disable Duress Checkbox is checked. It is suggested however, that you leave Duress enabled for safety reasons.

Common Code

Fig. 80.96. The 'Common Code' control.
The Common Code control works in conjunction with the Common Code Schedule control mentioned below. A 'Common Code' in the CA4K™ system is defined as a numeric code, known to all cardholders that can be typed into a keypad to gain admittance at a door without the need for an access badge.

Thus, when a door has been set to common code mode, all cardholders will gain entry by typing the same numeric code into the appropriate keypad. That 'common' code is entered into the Common Code control for each reader (the common code does not need to be the same for each reader).

It is important to note that there are actually two modes to the common code control explained below.

Common Code Mode – When you fill a numeric code into the Common Code control, the Common Code feature is put in 'Common Code' mode for that reader.

Common code mode is as described above. While the Common Code Schedule is in effect, the panel reader port will be expecting badge holders to type in the common code
as defined in the Common Code control. The reader will be disabled in this mode.

Card Number Mode– When you fill in the hexadecimal value FFFF into the Common Code Control, the Common Code feature is put in 'Card Number' mode for that reader.

In Card Number mode, the panel reader port expects badge holders to type in their card numbers (maximum 9 digits) as defined in each individual Personnel record, for

that reader.

Note the following operational issues regarding using keypad entered card numbers to access a building (where Common Code = FFFF).

It would be wise for cardholders to press the * key before entering the badge number. This clears the keypad memory of any 'unresolved' digits that another user may have typed in and left incomplete

If facility codes are not used for a given panel, or if the facility code is set to 0 for a given badge holder's record, the badge holder must type the badge number into the keypad followed by the # symbol (the enter key) to gain access

If facility codes are being used at the panel being accessed, then the badge holder must type the number '0', then the facility code (in decimal), then the badge number, then the # symbol (the enter key) to gain access.

If you are using facility codes on panels that have reader ports set to allow keypad badge number access, only facility box numbers 0-9 can be typed in (because the facility

code must be preceded by a 0). Do not use facility code box number 10 at such panels.

Card & Pin Schedule

Fig. 80.97. The 'Card & PIN Schedule' control.

While Card & PIN Schedule is in effect, entry will be granted to cardholders only when both of the conditions below are satisfied.

  • A valid badge is presented at the door and

  • A valid PIN code is entered into a keypad mounted at the same door.

To select a schedule, click the arrow to the right of the Card & PIN Schedule control and click on a desired schedule.

To disable Card & PIN mode (also known as card & code mode), select 'Not Used' from the list of schedules and uncheck the 'Keypad Enabled' Checkbox.

Common Code Schedule

Fig. 80.98. The 'Common Code Schedule' control.

While Common Code Schedule is in effect, badge holders will be expected to enter the common code as defined in the 'Common Code' control (described above) for that reader, in order to gain entry through the door. Badges will be rejected.

To select a schedule, click the arrow to the right of the Common Code Schedule control and click on a desired schedule.

To disable Common Code mode, select Not Used from the list of schedules and uncheck the 'Keypad Enabled' Checkbox.


Options Tab

The controls on Options tab are explained below.

Fig. 80.99. Readers screen 'Options' tab.

Doors Section

Fig. 80.100. The 'Doors' section in Options tab.

The controls in Doors section are explained below.

Shunt Relay

The Shunt Relay control enables the hardware shunting relay for a door.

Note: For the shunt relay to work, you must be using a Door sensor.

Fig. 80.101. The 'Shunt Relay' control.
The hardware shunting relay is generally used to bypass another manufacturer's door contact switch to prevent that alarm system from false triggering each time a door is opened, as a result of valid access using the CA4K™ system.

The panel software is designed to activate the shunting relay a few milliseconds before the door strike relay.

Input and relay numbers are not pre-assigned in the CA4K™. Thus, you can assign any relay on the panel to any door or function (excepting the console relay, #73).

However, the system does automatically assign the odd numbered onboard relays for door functions and 'reserves' the even numbered onboard relays for shunting functions. Even though you are free to change those conventions, typically you would select an even numbered relay to perform shunting functions.

The shunt relay can be selected by:

  • Using the up/down arrows to the right of 'Shunt Relay' control and choosing a number or
  • By clicking the white space of 'Shunt Relay' control and typing a number

Door Strike Time/Elevator Relay Duration

The dual function Door Strike Time/Elevator Relay Duration control allows you to select the amount of time (in seconds) that the door strike (or elevator relay) will energize before releasing and returning to the relaxed state.

The control is dual function because,

If the reader has been set up as a door reader (the default setting), this control selects the door strike time.

Fig. 80.102. The 'Door Strike Time' control.

Elevator Relay Duration Time

If the reader has been set up as an elevator reader (see above sections) this control selects the elevator relay energize time duration. The label on the control changes to Elevator Relay Duration Time to reflect its function when the reader is set as an elevator reader.

Fig. 80.103. The 'Elevator Relay Duration' control.

Fig. 80.103a. The 'Elevator Relay Duration' control.

Lock Control

The Lock Control selector determines when the system will release the door strike relay.

Fig. 80.104. The 'Lock Control' control.

The control provides the following options:

Note: You must use a door contact with these settings or the system will have no way of determining if the door has been opened.

  • On Open – The door strike relay is released as soon as the door contact is broken.

  • On Close – The door strike relay is released when the door is closed (that is when door contact is closed). A door contact must be used for this setting as well.

  • On Timeout – The system will use the timer value found in the 'Door Strike Time' control to determine how long to hold the activated door strike relay.

Time & Attendance Type

The Time & Attendance setting determines the type of event message generated upon a valid badge read and the In/Out status

of a given badge holder.

Fig. 80.105. The 'Time & Attendance Type' control.

There are three selections (and three Time & Attendance reader types).

  • In – When the Time & Attendance Type is set to 'In' for a given reader, that reader will report 'Badge Clock In' event messages. The In/Out status of a card holder will be changed to 'In' after gaining valid access at a Time & Attendance In reader.

  • Out – When the Time & Attendance Type is set to 'Out' for a given reader, that reader will report 'Badge Clock Out' event messages. The In/Out status of a card holder will be changed to 'Out' after gaining valid access at a Time & Attendance Out reader.

  • In/Out – The In/Out Time & Attendance function uses one reader to clock a badge holder in and out. A bi-directional capable reader (like a Weigand swipe reader) is needed, and the badge format type must be set to 'Insertion' (see the section on Badge Formats) Badge Clock In is accomplished by swiping a badge in the forward direction. Badge Clock Out is accomplished by swiping the same badge in the opposite direction, on the same reader.

To select a Time & Attendance type, click the arrow to the right of 'Time & Attendance Type' control and click your selection. There is more information on the Time &

Attendance function in the manual section titled Badge Holders IN.

Two Person Reader Type

The Two Person Reader Type is used to configure a reader as an In or Out. The two person function requires that two valid badges must be swiped at an IN reader, before the door will unlock. An OUT reader must also be configured to track when one or both of these valid badges exit OUT of the room. Category 16 is dedicated for the two person function, and must not be used for other features such as Threat Level.

None - Two Person Reads are not enabled.

In – Reader acts as a Two Person 'In' reader

Out – Reader acts as a Two Person 'Out' reader

Fig. 80.106. The 'Two Person Reader Type' control.

Multi-Badge Read Timeout

The Multi Badge Read Timeout Timer is the timer value used by any reader type that requires two badge reads. The timer is started when the first badge is

read. If the timer expires before the second badge is read, a violation event message is generated. Two badge functions (Escort Reader, Two-Person Reader and Vehicle Tag

Reader) are explained in more detail under the topic Reader Functional Types. The Multi-Badge Read Time value can be set by the following control.

Fig. 80.107. The 'Multi Badge Read Timeout' control.

Intrusion Delay

The Intrusion Delay control selects the amount of time (in seconds) that the system will wait before reporting a Door Forced event message.

Fig. 80.108. The 'Intrusion Delay' control.

When this control is set to 0 (the default), door forced messages are reported immediately.

When set to a number other than 0, the system will wait the specified time before reporting the door ajar. However, if the door is returned to closed status before the timeout period has expired, the door forced message will not be reported.

The Intrusion Delay time can be set by:

  • Using the up/down arrows to the right of 'Intrusion Delay' control and choosing a desired number or

  • By clicking the white space of 'Intrusion Delay' control and typing a number of choice.

APB Control

A reader with the APB function enabled requires that a badge holder present a badge to an 'In' reader, and subsequently to an 'Out' reader (in that prescribed order). If the badge is presented to either reader more than once, a violation condition occurs and the reader refuses re-admittance to the cardholder (a condition termed as 'hard' Anti-Passback).

Fig. 80.109. APB Control Controls.

The controls in the 'APB Control' section are explained below.

Std APB Type

Fig.80.110. Standard APB Type control.

Std APB Type can be set to one of the following:

IN – The reader is set to be an Anti-Passback 'In' reader.

Out – The reader is set to be an Anti-Passback 'Out' reader.

Neutral – (the default) Anti Passback is disabled at the reader.

APB Entry to Area

Fig.80.110. APB Entry to Area control.

APB Exit to Area

Fig.80.111. APB Exit to Area control.

APB Violate Override

When the 'APB Violate Override' Checkbox is checked, the panel will allow a badge holder to open a door protected by an APB In or Out reader multiple times, but will generate violation event messages (termed 'soft' Anti-Passback) each time the same reader is accessed by the same badge. In other words, door re-entries are permitted but are seen as a violation by the system.

Fig. 80.112. APB Violate Override control.

Duration Use Time

Duration Use is more fully explained in the section titled Personnel. The Readers 'Duration Use Time' control works in conjunction with the Personnel screen 'Duration

Use' Checkbox.

Fig. 80.113. Readers screen 'Duration Use Time' control.

Fig. 80.114. Personnel screen 'Duration Use' Checkbox.

When a Duration Use Time value is set at an APB reader, and a badge that has the Duration Use feature enabled is used to access that reader, the card holder will

be allowed to re-enter at that reader after the Duration Use Time has expired (timed Anti-Passback). However, any card holders that do not have the Duration Use feature

enabled will be denied re-entry capability at every APB enabled door regardless of the Duration Use Time value. 'Duration Use Time' control accepts values in the range

1-2700 minutes.

OTL Alert Control

The controls in the following screen are settings regarding Open Too Long (OTL) Alerts.

Fig. 80.115. OTL Alerts controls.

OTL Enable

The OTL Enable settings are Always, One Time or Never.

Fig. 80.116. OTL Enable setting.

Still Open Delay

The Still Open Delay alert will regenerate every so many seconds as per this setting.

Fig. 80.117. Still Open Delay setting.


Readers_Prioriity

Reader Priorities

Open Readers screen by clicking Configuration>Readers on the CA4K™ main menu. By default, Readers screen will open in General tab. Priority values for CA4K™ Reader events can be set in Priorities tab.

A click on the Priorities tab will display the screen below.

Fig. 150.6. Readers screen in Priorities tab.

The Figure above shows the Readers Priorities tab being divided into two sections – Priority Settings and Miscellaneous Priorities. The reader priorities listed in the Priority Settings section are 'serious' door events while those listed in the Miscellaneous Priorities are 'normal' door events. The segregation of event types on the screen is by design. The violation events are treated quite differently from normal events.

The two sections are detailed below.

Priority Settings section

The Priority Settings section consists of controls for serious door alerts like door break-ins, doors not closed on time, bad badges etc.

Priority

Every Door Alert seen under 'Priority settings' section has a corresponding spin control for setting the priority value. The CA4K™ loads default priority values for each of the door alerts as shown below. The system loaded priority values can be changed as desired.

Fig. 150.7. Priority Settings section showing controls for serious door alerts.

Alert Response Required

Every door alert in 'Priority Settings' section has a Checkbox labeled 'Alert Response Required' as shown below. 'Alert Response Requires' check box in this section if checked requires that the operator acknowledges the associated event.

Fig. 150.8. Alert Response Required Checkbox.

Activate Console Relay (#73 in software)

Activation of the Console Relay occurs when the 'Activate Console Relay' Checkbox is selected for the associated Event.

F ig. 150.9. Activate Console Relay Checkbox.

Miscellaneous Priorities

The 'Miscellaneous Properties' section has controls for normal door alerts, when the door is being accessed normally with permission.

Fig. 150.10. Miscellaneous Priorities section showing controls for normal door alerts

Enable Oper Acknowledge

Every Alert mentioned in the 'Miscellaneous Priorities' section has an Enable Oper Acknowledge Checkbox as shown in figure above. The selection of this Checkbox controls where the alert will be displayed in CA4K™ main screen (Events/Alerts grid).

Occurrence of an alert when 'Enable Oper Acknowledge' box is unchecked, will display the alert in Events grid. Priority setting of the Alert will be ignored in this case.

When an alert has the 'Enable Oper Acknowledge' box checked one of the following can take place depending on the controls in System Settings screen:
  • The alert will be displayed in Alerts Grid provided 'Enable Auto-Acknowledge' box is unchecked in the System Settings screen.

  • If 'Enable Auto-Acknowledge' box is checked, the alert can be displayed either in Events, or in the Alerts grid, depending on Auto Ack Priority Set-Point value in the System Settings screen.

The 'Enable Auto-Acknowledge' and 'Auto Ack Priority Set-Point' controls are explained under the 'Alerts tab' topic in the 'System Settings' section.

Fig. 150.11. Controls for acknowledgement of door alerts in Miscellaneous Priorities section highlighted.

Priority
Every Door Alert seen in Priority Settings section has a corresponding spin control for setting the priority value. CA4K™ loads default priority values for each of the door alerts as shown in figure. The system loaded priority values can be changed as desired.

Note: Priority values set for the events in Readers screen will be overridden by Auto Ack Priority Set-Point fixed in the System Settings screen. Auto Ack Priority Set-Point control is explained under the Alerts tab in the 'System Settings' section.

Alert Response Required

Every door alert in 'Miscellaneous Priority Settings' section has a check box labeled 'Alert Response Required' as shown below. 'Alert Response Requires' Checkbox in this section if checked requires that the operator acknowledges the associated event.

Fig. 150.12. Controls for acknowledgement of door alerts in Miscellaneous Priorities section highlighted.


Location/Remarks Tab2

Location/Remarks Tab

The Location/Remarks tab can be used to note the location of the reader and document remarks (if any) for the selected reader.

Fig. 80.140. The 'Location/Remarks' tab.


Creating a basic Reader Definition

Follow the steps below to create a basic reader record.

  • Open Readers screen by clicking on Configuration>Readers menu options in CA4K™ main screen. By default, the screen will open in General tab.

  • Click on New button in the toolbar.

Fig. 80.141. The 'New' button.

  • Click the down arrow of Panel control and select a panel in the drop down list. The current reader will be connected to the panel you select.

Fig. 80.142. The 'Panel' control.

Note: If no panel names are seen in the list, it means that panel definitions are not yet created. It is necessary that you define panels before you can proceed with reader definitions.

  • Number the reader in the Reader # control.

Fig. 80.143. The 'Panel' control.

Note: The software lets you create up to sixteen readers per panel. The CA4K will not allow you to create two readers with the same reader number, on the same panel.

  • Click the white space of Device Name field and enter a descriptive name for the reader.

Fig. 80.144. The 'Device Name' box.

  • Click on Save button in the toolbar to save the settings.

Fig. 80.145. The 'Save' button.

A reader definition thus created and saved has the following configuration items that are loaded with default values assigned by the system.

  • Reader Type – The Reader type is set to Door by default

  • Enabled – The Enabled Checkbox is checked by default.

  • Report Bypass – The Report Bypass Checkbox is checked by default.

  • Bypass Unlocks – The Bypass Unlocks Checkbox is checked by default.

  • No Schedules– No schedules are entered in any of the schedule controls. The reader is activated 24 hours per day, every day of the year by default, unless an override schedule is manually selected in one of the schedule controls.

  • No Keypad– The available keypad interface is disabled by default. You must manually activate the keypad interface if desired.

  • Inputs– Door Sensor and Bypass inputs are automatically chosen by the system based on the reader number.

  • Door Strike Relay– The Door Strike Relay is automatically chosen by the system.

  • Options – Each control on the Options tab is loaded with default values

  • Message Priorities – Event message priorities are automatically entered for each type of reader event message

  • DVR- DVR is disabled by default. .

  • Maps – Maps are not assigned by default. .


Editing a Reader Definition

Follow the steps below if you wish to edit a Reader definition.

  • Open Readers screen by clicking on Configuration>Readers menu options in CA4K™ main screen. By default, the screen will open in General tab.

  • In the upper half of the screen, select the reader record you wish to edit and click on it.

  • Make the desired changes to the controls in the folder tabs.

Notes:

  • The Reader # field cannot be edited once set during reader creation.

  • It is not possible to associate the selected reader with a different panel. In other words, a reader once associated with a particular panel is permanently attached to

that specific panel only. The system will not allow you to change the panel name in the Panel control.

  • Click on Save button in the toolbar to save the changes.

  • Click on Close button in the toolbar to close the screen.


Deleting a Reader Definition

Follow the steps below if you wish to delete a Reader definition.

  • Click Configuration>Readers.

In the upper half of the screen, select the reader record you wish to delete and click on it.

  • Click on Delete button in the toolbar.

    Upon clicking, the following message box will be displayed.

·Fig. 80.146. Message box displayed before deleting a reader record.

After confirmation, click on Yes button in the message box.

  • Click on Close button in the toolbar to close the screen.

Note: Deleting a reader record will remove that record from the concerned panel, thereby rendering the reader inoperative.


Reader created for Lock

Readers screen after Adding a Wireless Lock

MUST READ - VERY IMPORTANT NOTES:

  • This topic will discuss the Reader that is created automatically after adding in a Networx Wireless Lock.

    • Refer to the Networx Wireless Lock topic for complete details on adding a Networx Wireless Lock into the CA4K.

The Wireless Lock related controls on the Readers screen will be explained on the following pages.


Reader created for Lock1

Reader created automatically after Adding a Wireless Lock

Upon adding a Networx Wireless Lock to the CA4K system, a Reader will be created automatically. The Wireless Lock specific fields are explained below for the General tab and the Door control tab..

General Tab Wireless Lock Fields

Device Name - This field is populated automatically with the Lock ID#.

Reader Type - This selection is configured automatically for Wireless Lock.

Door Control Tab Wireless Lock Fields

Input Designation - The default is None. On a wireless lock, it can also be set to Door Contact or Bypass.

Remote Bypass Lock Door - By default, this selection is not selected. If selected, a Remote Release will Lock Door.


Elevator Access Tab

The following topic explains how to configure Relay Elevator Controls in the CA4K. Relay Elevator control has been the method used up to recently. The brand specific method recently added is called Software Elevator control. This topic will be covering the Relay Elevator control method.

The new feature in CA4K is called Software Elevator Control. These settings can be found under System Settings. Software Elevator control will be specific to a certain brand elevator, such as OTIS.

NOTE: The only brand supported under Software Elevator controls as of this release is OTIS.


Configuring Software for Elevators

Configuring Relay Elevator Controls

Below are the steps to setup the CA4K software for elevator control:

Step 1 – Program the Panel for Elevator Control

 To set a panel up to support elevator readers, do the following:

  • Open Panels screen by clicking on Configuration>Panels menu options in CA4K main screen.

  • Click on New button to create a new panel definition and click the Using Elevator Readers Checkbox (so it is checked).

Fig. 80.125. Using Elevators Readers Checkbox.

  • Click on Save button in the toolbar.

Step 2 – Program the Reader for Relay Elevator Control

  • Open the 'Readers' screen by clicking on Configuration>Readers menu options in CA4K main screen.

  • Click on New button to create a new reader definition and click on Elevator radio button in the 'Reader Type' section. Once 'Elevator' is selected, the Elevator Access folder tab will become visible.

Fig. 80.126. Reader type selection.

Step 3 – Program the Elevator Access Groups

  • Open the 'Readers' screen by clicking on Configuration>Readers menu options in CardAccess main screen.

  • Assuming that you have accomplished step 2 on at least one reader, use the scrollbar to locate a reader that has a Reader Type set to 'Elevator'.

  • Click on Elevator Access tab. Readers screen in this tab will look similar to the figure shown below.

Very Important: As of October 2022, Reader 16 is not supported for elevators on an Accelaterm panel.

Fig. 80.127. Elevator Access Group and Relay selection.

Notice that the Elevator Access tab is divided into an upper and lower section. The upper section is a listing of all of the access groups that have been programmed into the CA4K software that include the reader that you are currently looking at.

The object in this screen is to select one or more access groups that already belong to cardholders, to whom you wish to allow access to elevator call buttons. You select the given access group in the top part of the screen by clicking it, and then click on each relay in the 'Relay Call Buttons' section of the screen. Each relay that has a check mark beside it will fire whenever a badge with the selected access group is presented to the reader you are currently editing.

If your access group section is blank, you need to create some in the 'Access Groups' screen (if none are created). Refer the section Access Groups to do this. Or, if you see access groups in the Access Groups screen but none appear in the Elevator Access tab of the reader you are editing, you need to include the reader you are currently editing in some of your existing access groups. See the manual section titled 'Access Groups' for more information.

For example, in the figure above reader 2-1 is highlighted. If there were no access groups visible in the Access Groups half of the folder tab, we would open the Access Groups screen. We would then add a schedule to reader 2-1 in some existing access group(s), if there were existing access groups that we wanted to use.

Or, we would create a new access group where we would want to make sure that reader 2-1 did have a time schedule programmed. Once reader 2-1 appears in any access group (and has a time schedule assigned) that access group becomes visible in the Elevator Access tab of the Readers screen.

The lower section of the Elevator Access tab is a listing of all of the Relays that have been programmed into the CardAccess software. If the lower half of the screen is blank, open the Relays screen, available from the Configuration menu and create some relay definitions. See the section titled Relays for more information.


Access Groups

Access Groups refer to access 'templates' that are created to control the badge holders access to specific doors in a building, at specific times. The Access Groups do not play any role unless they are attached to Personnel records.

The Access Groups screen is provided for creating these 'access templates'. The templates contain a listing of all card readers in the CA4K™ system. The readers can be activated to allow access at the doors by assigning time schedules.

The resulting effect is that, when an access group (comprising of a time schedule attached to a Reader) is assigned to a badge holder, he will be allowed access to the doors included in the access group, during the time schedule specified for each Reader in the group.

The same access group can be assigned to other badge holders also who have similar access permissions at the included doors.

By default, the CA4K™ is configured to have 2 Access Groups per badgeholder. This can be increased to 16 Access Groups per badgeholder under System Settings screen.

CA4K™ software permits a maximum of 1000 access groups (this includes 'Dedicated Access Groups').

Note: Usage information on Access Groups (such as badges that are assigned a particular Access Group, or list of Access Groups that are created but not yet assigned to any of the badges) can be known with the help of a utility called CA4K™ Usage Utility. Details on this utility can be sought in the section titled 'CA4K™ Usage Utility'

Opening Access Groups Screen
Access Groups screen can be opened in two ways as below:

  • By clicking the Access button on CA4K tool bar.

Fig. 90.1. Access button on CA4K™ tool bar.

  • By clicking the Access>Access Groups menu options in CA4K™ menu bar.

Fig. 90.2. The 'Access Groups' menu option in 'Access' menu.

  • Both the methods will open the Access Groups screen as below.

Fig. 90.3. The 'Access Groups' screen.

The Access Groups screen (see above figure) is divided into two halves. The top half of the screen contains the main toolbar and a view window. The view window will show a list of all Access Groups created in CA4K™.

The bottom half of the screen contains two columns- Panels/Readers and Time Schedule. The Panels/Readers column will show the names of all Panels that are created in the 'Panels' screen. To the left of each Panel name you will see a node (+ mark). Expanding a Panel node will show the list of all Readers that belong to the selected Panel, and whose records are created in the 'Readers' screen. The Time Schedule column at this point will be empty.

Types of Access Groups
There are two types of access groups. They are:

  • Standard Access Groups- Standard Access Groups (or simply 'Access Groups') are created in the 'Access Groups' screen. These access Groups can be assigned to as many badge holders as you wish. Refer to 'Creating an Access Group' for creating such Access Groups.

  • Dedicated Access Groups- Dedicated access groups are created in the 'Personnel' screen. A dedicated access group is unique to a particular badge holder, and cannot be assigned to other badge holders. Refer to the 'Personnel' section for creating dedicated access groups.


Creating an Access Group

As an example, let us create an access group for the Human Resource department in a company. Let the access of the employees be limited to two Readers- First Floor Cafeteria and First Floor Employee Entrance, during Business Hours of the Weekdays.
The following are the steps involved.

  • Open 'Access Groups' screen by clicking on Access button or Access>Access Groups menu options in the CA4K™ main screen.

  • Click the New button located on Access Groups screen toolbar.

Note: For the first Access Group created, the Access Group No control will show the default value 1. This value will increment for every new Access Group you create.

  • In the Access Group Name field, type in a descriptive name for the access group you are creating.

Note: There is no error checking on the name you assign to something. Thus, you could create a time schedule that includes only weekend hours (or no hours what-so-ever), but you could call it Weekdays, Business Hours. Therefore, when you are programming Access Groups and using schedules from the Schedules screen, you are strongly advised to check to be sure that the operation of a given schedule matches the name of the schedule.

  • In the figure below, enter a descriptive name for the Access Group Name we are creating.

Fig. 90.4. Access Group Name box.

If required, a Partition group can be selected for the access group by clicking the down arrow of Partition Group control, and selecting a desired group name in the drop down list. The Partition Group names listed will be those that are created in the Partition Groups screen.

When the access group being created is assigned to badge records, there can be changes to the access permissions of the concerned badge holders. Hence, it is necessary to get the changed information to every hardware access control panel. By default, the system is set up to automatically download changed data to the panels. But, in case you are dealing with a large system, changes to thousands of badges can cause a massive download that may disable the system for a period of time. To prevent this from happening, you can check the Do Not Update Badges at Panels Checkbox.

Decide on the Reader you wish to include in the current Access Group, and expand the corresponding Panel node. On expanding the Time Schedule column corresponding to that Reader will show the default selection Not Used.

Note: If no Reader is seen on expanding the Panel node, you need to create Reader records in the Readers screen. Refer to the Readers section to do this

In the figure below, we have located the Readers Lobby Reader 1 and Lobby Reader 2 under the 'East Wing Accelaterm' panel.

Observe that, at this point, the rows corresponding to the Readers you have located are showing the default selection 'Not Used'.

  • Select a desired time schedule for the located Reader. This can be done as below.

  • Click the Time Schedule column corresponding to the located reader. Doing this will display a down arrow in the 'Time Schedule' column.

Fig. 90.5. Locating Readers that are to be included in the Access Group.

  • Click the down arrow to display the list of Time schedules (previously created) in the CA4K™.

Note: If no time schedules are seen in the list, you need to create them under Schedules. Refer the topic Schedules to do this.

  • Select the desired time schedule and click on it.

  • Similarly, select time schedules for the other Readers you wish to include in the access group.

  • In the figure below, we can select either time schedule, 24x7 or Business Hours for the readers we located earlier.

Fig. 90.6. Selecting Time Schedules for the located readers.

  • In case you wish to include Readers belonging to other Panels also, repeat the previous steps for the desired Panels under the Panels/Reader column.

  • Click the Save button on the toolbar to save these settings.

  • Click the Close button on the toolbar to close the screen

An Access Group is thus created. When this Access Group is assigned to Personnel records, the concerned Personnel will be allowed access at the included Readers, during the specified Time Schedules.

In our example, all Personnel who are assigned the Human Resource Access Group will be allowed access at the Lobby Reader 1 and Lobby Reader 2 readers, during Business Hours of Weekdays. They will be denied access at every other Reader that does not have a time schedule assigned in the 'Access Groups' screen (that is, all those readers having the default selection 'Not Used').

An Access Group is thus created. When this Access Group is assigned to Personnel records, the concerned Personnel will be allowed access at the included Readers, during the specified Time Schedules.


Personnel screen Access Group Controls

The Personnel screen Access Groups tab allows you to assign Access Group(s) to the selected badge holder. Access groups are the one that determine which doors of the building a badge holder can access, and at what times of the day.

By default, the Access Groups tab will have a sub-tab with the same name- Access Groups. You will see the second sub tab only when the Dedicated Access feature is enabled for the selected badge holder.

The Access Groups sub-tab will show only two standard access group controls by default.

Fig. 95.4. The default 'Access Groups' tab in Personnel screen configured for two Access Groups per badgeholder.

But, it is possible to have a maximum of sixteen access groups (inclusive of a dedicated access group, if you choose to create) for every badge holder in the CA4K™.

In case you wish make provision for more access groups than the default, you need to make a setting in the Access Groups per Badge control of System Settings>System Wide Settings>Badges screen.

Fig. 95.5. The 'Access Groups per Badge' control set to '2' on 'System Settings>System Wide Settings>Badges' screen 'Badges' tab.

Fig. 95.6. The 'Access Groups per Badge' control on 'System-wide Settings' screen 'Badges' tab.

Please refer the section System Settings to learn the steps to be followed for providing more Access Groups to CA4K™ badge holders.

In accordance with the number you choose in the Access Groups per Badge control, the number of Access Group controls on Personnel screen 'Access Groups' tab will also change.

Note: In case you have kept the Personnel screen open, you need to close the screen and reopen it for the change to take effect.

In the figure below, you see six access group controls in Personnel screen as we have chosen the number six (maximum) in the System Settings Access Groups per Badge control.

Fig. 95.7. System Settings configured for 6 Access Groups.

Access Group Activation Date and Time
The Access Group Activation Date and Time controls allow you to set a date and time when the Access Group(s) will be activated and added to a cardholder. This event takes place at the date and time specified.

Note: When an access group is given to a cardholder because the activation date and time has been reached, the change is automatically downloaded to the panels.

Unlike the badge Expiration Date which disables the card, removing an access group does not necessarily mean that the cardholder will no longer have access to a building. For example, if we provide a card holder with Access Groups 1 & 2 say, and we set an expiration date on Access Group 2 only, Access Group 2 will be removed from the card holder on the expiration date, but that card holder will still have access group 1.

The Activation date and time for an Access Group control can be set in the following ways:

  • Typing a Date and Time of choice in the Activation Date and Time field. The date entered must be in MM/DD/YYYY or MM/DD/YY date format.

Fig. 95.8. Access Group 1-6 Activate Date and Time fields.

Fig. 95.9. Access Group 1-6 Activate Date and Time fields.

Access Group Expiration Date and Time
The Access Group Expiration Date and Time controls allow you to set a date and time when the Access Group(s) will be deactivated and removed from the cardholder (that is, the Access Group control(s) for the cardholder record will revert back to the default selection 'No Access' ). This event takes place at the date and time specified.

Note: When an access group is removed from the cardholder because the expiration date and time has been reached, the change is automatically removed from the panels where the cardholder had access.

Unlike the badge Expiration Date and Time which disables the card, removing an access group does not necessarily mean that the cardholder will no longer have access to a building. For example, if we provide a card holder with Access Groups 1 & 2 say, and we set an expiration date on Access Group 2 only, Access Group 2 will be removed from the card holder on the expiration date and time, but that card holder will still have access group 1.

The Expiration Date for an Access Group control can be set in the following ways:

  • Typing a date of choice in the Expiration Date and Time field. The date entered must be in MM/DD/YYYY or MM/DD/YY date format.

Fig. 95.10. Access Group 1-6 Expiration Date& Time fields.

  • By using the calendar to choose a desired date. This can be done by following the steps below:

  • Click on the down arrow to the right of an Expiration Date field. Upon clicking, a calendar window of the current month and year will open up, with the current date in highlight. After the date is set, you must set a time.

Fig. 95.11. Calendar window displayed by clicking on down arrow.

Note: Single left/right arrows and single left/right arrows can be used to scroll backward/forward through the dates/months of a year, to select a desired date.

  • Click on in the calendar. Select a desired date

Dedicated Access

The Access Groups tab has a Checkbox named Dedicated Access. The purpose of this Checkbox is to turn the dedicated access feature On/Off, for a selected badge holder.

Fig. 90.15. The 'Dedicated Access' Checkbox in Personnel screen 'Access Groups' tab.

A Dedicated Access group is a special access group in that, it solely belongs to the selected badge holder only, and cannot be assigned to anybody else. This differs from the standard access groups that can be assigned to as many badge holders as you wish. More information on standard access groups can be sought in the section Access Groups.


Using Get Template Button

While in New or Edit mode, the Access Groups screen displays a drop-down list control named 'Get Template'.

Fig. 90.16. The 'Get Template' drop-down list is visible on clicking 'New'' button on the toolbar.

This button allows you to use the settings of a different access group (created previously), as the basis for creating/editing the access group in question. Templates serve as a time saving feature as you can conveniently load the settings of an existing access group, without having to make those settings all over again.


Editing an Access Group

Follow the steps below if you wish to edit an access group.

  • Open 'Access Groups' screen by clicking on Access button or Access>Access Groups menu options in the CA4K™ main screen.

  • In the upper half of the screen, click the access group record you wish to edit.
  • Make the required changes to the controls seen in the lower half of the screen.

Note: An edited access group can change the access permissions of the badge holders. Hence, it is necessary to get the changed information to every hardware access control panel. By default, the system is set up to automatically download changed data to the panels. But, in case you are dealing with a large system, changes to thousands of badges can cause a massive download that may disable the system for a period of time. To prevent this from happening, you can check the Do Not Update Badges at Panels Checkbox.

  • Click the Save button on the toolbar to save the changes.

  • Click the Close button on the toolbar to close the screen


Deleting an Access Group

Follow the steps below if you wish to delete an Access Group.

  • Open Access Groups screen by clicking on Access button or click Access>Access Groups menu options in the CA4K™ main screen.

  • In the upper half of the screen, click the access group record you wish to delete.

  • Click the Delete button on the toolbar.

  • On clicking, the following message box will be displayed Delete Record?.

Fig. 90.17. Message box displayed before deleting an access group.

  • After reading the message in the box, click the Yes button to delete the selected access group.

  • Click the Close button on the toolbar to close the screen.


Personnel

The Personnel screen is used for creating badge holder records. Using this screen, it is possible to associate a badge number with a name, set access rules, and attach special attributes to the badge. Unlike all previous versions of CardAccess, the CA4K™ allows multiple badges assigned to a user (Person).

Accessing Personnel Screen

The Personnel screen can be opened in two ways as below:

  • By clicking the Personnel button on the CA4K™ main toolbar.

Fig. 95.1. The 'Personnel' button on CA4K™ toolbar.

  • By clicking the Access>Personnel menu options using the CA4K™ menu bar.

Fig. 95.2. Clicking the 'Personnel' menu option in the Access menu list.

Both the methods will open the Personnel screen as shown below.

Fig. 95.3. Personnel screen in General tab.

The Personnel screen consists of four major sections. They are as follows:

  • The Main Toolbar: The toolbar seen at the top of the screen above provides buttons for functions such as adding, deleting and searching of badge records etc.

  • The CA4K™ badgeholders names window.

  • The View Window: The view window seen in the top right half of the screen is reserved for displaying the Personnel records that are created in the Personnel screen. Records can be displayed in two ways as below.

By clicking the Show All button- Doing this will display all records that are created in the Personnel screen.

By performing a Find specifying a Value and Field to search on.

  • The Status Bar: The status bar seen at the bottom of the screen provides details as noted below.

Total Badges: 'Total Badges' displays the total count of badge records that match the search criterion that is currently in effect. This count will equal the number of badge records you see on the view window of the screen.

Last Change: 'Last Changed' displays the date and time at which the currently highlighted badge record was last changed.

Count: The amount of badges.


General Tab

The General tab of Personnel screen is where the general information of a cardholder is entered.

Note: In V1.1.2x or later, If Quick Search is enabled in System Settings, the Quick Search Window will display on the right side of the screen. Refer to the Quick Search information below.

Fig. 95.4. Personnel screen 'General' tab.

Thee controls of General tab are explained in the following section.

General Tab Controls

Badge Number

This field is provided for entering the badge number assigned to a particular badge. The Badge Number entry is mandatory for creating a basic working badge.

Fig. 95.5.. The 'Badge Number' field.
The field accepts numeric values only. Leading zeros if entered are ignored. The following message box will be displayed when you type in 0 as the first digit in the field.

Fig. 95.6. Message box displayed when 0 is entered as the first digit in Badge Number field.

The maximum number of digits that the field accepts depends on the value set for the Max Badge Digits at Panel control in the System Settings screen. A maximum of 5, 7, 9, 11, 13, 15, 17 or 19 digits can be set for this control in System Settings. The values (11, 13, 15, 17 and 19 Digits) were added for the sake of better granularity in badge storage at panels.

Note: If Facility/Badge Concatenation is enabled in System Settings>System-Wide Settings>Badges the Personnel screen (General tab) in New/Edit modes will show the total Badge Number as two fields (see figure below), to intake the more significant facility code and the less significant badge number separately.

Fig. 95.7. Fac-Badge System Settings selection.

In order to use Facility/Badge Concatenation, the Max Badge Digits must be set to 11 in System Settings.

Note: Due to the 11 digit constraint, it is not recommended to use this feature in the CA4K. You can simulate the same function using long badge numbers in the CA4K. Please contact Continental Technical Support for additional information.

Fig. 95.8. Fac-Badge Max Digits Dialog Box.

Fig. 95.9. Fac-Badge Max Digits Dialog Box.

In the figure below, the Edit Fac Badge button will display two fields for the Fac-Badge entry.

Fig. 95.10. Edit Fac Badge button.

Fig. 95.11. Total Badge Number shown as two separate fields

In the figure above, the first field named FC must receive the facility code, and the second must receive the Badge Number.

Where,

FC = Facility Code is the 1st field.
BN = Badge Number is the 2nd field.

In this case,

The maximum value you can enter for the Badge Number (in 2nd field) is 65535

Standard Facility codes/number cannot be used.

When you are not creating a new badge or editing an existing badge, the two fields revert back to one field, for easy searches of the total badge number

Facility No

The field accepts numbers from 0 – 10. The number can be entered by:

  • Typing the number in the field or

  • Using the arrow buttons to the right of the control to choose the number.

You must set this number to the position of the facility code in the facility codes screen. See the section of the manual called Facility Codes for more information. When Facility No is set to zero in a badge holder record, facility codes are ignored for that badge holder (see Facility Codes for more on what that means).

Fig. 95.12. The 'Facility No' field.

Partition Group

This field is used for selecting a Partition Group for database partitioning. The default selection in this field will be Admin Partition.

Fig. 95.13. The Partition Group field.

To select a Partition Group, follow the steps below:

  • Click the down arrow of Partition Group control.
  • Select a Partition Group from the drop down list by clicking on it.

First Name

This field is provided for entering the first name of the badge holder. The field accepts any combination of letters and numbers. A maximum of 25 characters can be entered in this field.

Fig. 95.14. The First Name field.

Last Name

This field is provided for entering the last name of the badge holder. The field accepts any combination of letters and numbers. A maximum of 25 characters can be entered in this field.

Fig. 95.15. The 'Last Name' field.

Middle Name

This field is provided for entering the middle name of the badge holder. The field accepts any combination of letters and numbers. A maximum of 30 characters can be entered in this field.

Fig. 95.16. The 'Middle Name' field.

Embossed ID

Some brands of access cards (like Weigand swipe) do not have card numbers printed on the cards. Instead, they have a serial number 'embossed' (printed) on the card. The manufacturer includes a document with a cross-reference chart that matches serial numbers to card numbers. That serial number is the only identifier on this type of card. The Embossed ID field is a notation field where the user can use this serial number for reference purposes (in case the card is lost). The Embossed ID field is not actively used by the system, it is for notation only.

Fig. 95.17. The 'Embossed ID' field.

Re-Issue

Every badge has an associated Badge Number and a Re-Issue number. The Re-Issue number plays an important role to identify the authorized badge holder in case of badge loss. When a badge is lost, the badge holder will be issued a new badge with the same badge number. But, since the old and new badges now have the same badge number, it becomes necessary that the two badges are differentiated from each other. This is when the Re-Issue number comes into picture. To distinguish between the two badges, the Re-Issue number of the lost badge will be incriminated by 1, and assigned to the new badge.

When reissue numbers are enabled in a badge format (see Badge Formats) for more information), the CA4K™ panels will examine the badge and the re-issue numbers to determine if the card holder will be allowed access. The reissue number must match the number in the Re-issue field of the cardholder's Personnel record. If the numbers don't match a 'Badge Violate Re-Issue' error event message is generated and access is denied.
In this way, numerous badges can be issued with the same badge number, but only the most current issue of the badge will gain valid access at any door.
The Re-Issue number can be set by:
  • Typing in a value in the range 1-99 in Re-Issue field or

  • Using the arrow buttons on the right side of the Re-Issue control to choose the required number.

Fig. 95.18 The Re-Issue field.

Pin Code

The pin code is a 1-9 digit (personal) number used in applications where the badge holders are required to present two forms of identification to gain entry at a door. When the system is set up to require 'Card & Code' access at a door, an access card must be presented to a reader and a security code must be entered into a keypad before the door will unlock. Pin codes can be common/unique for all users. Refer the section Readers for information on setting up 'Card & Code' operation at a reader

Fig. 95.19. The 'Pin Code' field.

Access Time

Access Time is the number of seconds that a door is held unlocked (that is, open state) after a successful badge read. The Access Time control in the Personnel record can be set to 'override' door open times for certain users, without affecting the door open times for the general population. Door open times are set in the Readers screen, on the Options tab. Access Time values set in a badge holder's record preempt settings in the Readers screen, for every door that the Badge Holder has access to.

The Access Time can be set by:

  • Typing the desired value in Access Time field or

  • Choosing a desired value using the arrow buttons to the right of Access Time control.

Fig. 95.20. The 'Access Time' field.

Badge Use Limit

The 'Badge Use Limit' control is used to set the maximum number of times a badge can be used, before it is automatically disabled by the system. Once a badge is disabled, it cannot be used again (system wide) until the badge holder record is manually re-enabled by the system administrator.

The Badge Use Limit can be set by:

  • Typing a number from 1-999 in the Badge Use Limit field or

  • Choosing a desired number using the arrow buttons to the right of Badge Use Limit control.

Fig. 95.21. The 'Badge Use Limit' field.

A badge once active (that is, when swiping commences for the badge), the number set in this control for the badge record decrements by 1 for every swipe, to show the remaining number of times the badge holder can use the particular badge.

Holiday Calendar

There are a total of five holiday calendars available if configured. By default, the default holiday calendar is selected.

Fig. 95.22. The 'Holiday Calender' field.

Activation Date Time
Activation date is a means of automatically enabling a badge based on date. When a badge record is created with Activation date set to some date in the future, the system will automatically enable the badge on the indicated date.

Once enabled, the system will automatically download the badge record to every panel that has doors, that the cardholder is allowed access. Activation happens at the time configured in the Activation Date field.

The Activation Date can be set in the following two ways:

  • Typing a date of choice in the Activation Date field. The date entered must be in MM/DD/YYYY or MM/DD/YY date format.

Fig. 95.23. The 'Activation Date' field.

By using the calendar to choose a desired date. This can be done by following the steps below:

  • Click on the Activation Date Time field, a calendar window of the current month and year will be opened, with the current date in highlight.

Fig. 95.24. Calendar window displayed by clicking on Activation Date Time.

Note: Single left/right arrows seen at the top of the screen can be used to scroll backward/forward through the dates/months of a year, for desired date selection.

  • Click on a desired date in the calendar.

Expiration Date Time

Expiration date is a means of automatically disabling a badge based on the date and time specified. Disabled badges are not deleted from the database; they are 'deactivated' and can be reactivated at any time later.

Note: The date entry must be in MM/DD/YYYY or MM/DD/YY date format.

Once a badge record has been deactivated, the system will automatically remove that badge record from every panel where it is stored. Deactivation happens at the time configured in the Expiration Date field.

The Expiration Date can be set by typing a date of choice in the Expiration Date field. The date entered must be in MM/DD/YYYY or MM/DD/YY date format.

Fig. 95.25. The 'Expiration Date' field.

By using the calendar to choose a desired date. This can be done by following the steps below:

  • Click on the Deactivation Date Time field, a calendar window of the current month and year will be opened, with the current date in highlight.

Fig. 95.26. Calendar window displayed by clicking on calendar button.

Note: Single left/right arrows at the top of the screen can be used to scroll backward/forward through the dates/months of a year, to select a desired date.

  • Click on a desired date in the calendar.

Note: When a badge is disabled by means of an Expiration Date and Time, the system will remove the check mark from Enabled Checkbox, in the concerned Personnel record.

Enabled

This control enables or disables a badge. If checked, the badge is enabled. When the badge is enabled, the cardholder's badge record is automatically sent to all panels, where the cardholder will be allowed access. When the badge is disabled, the record is automatically removed from every panel, where the cardholder has access. To enable or disable the badge, click on 'Enabled' Checkbox.

Fig. 95.27. The 'Enabled' Checkbox.

Tracked

The tracked function is usually used to track a badge holder's movements throughout a building. When the Tracked Checkbox is enabled (checked) for a particular badge record, a different priority level is assigned to the badge.

Priority levels for badge card reads are set in the Readers screen (for more information, refer to the Readers section). In the Priorities screen, observe that the default priority for a Tracked Badge is higher than the default priority for a valid badge. This means that, even though a Tracked badge read is a 'valid' badge read, it will be treated differently.
There are two specific differences in the handling of a tracked badge versus a standard valid badge. They are:

  • A Tracked badge read has a special event message called "Badge Valid – Tracked" and

  • It is usually displayed in the Alerts portion (not Events) of CA4K™ screen so that, they can be noticed by security personnel easily

    To select the Tracked option, click the 'Tracked' Checkbox to enable or disable the Tracked function for a given badge holder.

Fig. 95.28. The 'Tracked' Checkbox.

Escorted

When Escorted box is checked for a badge, two badge reads are required at the reader for the Escorted cardholder to gain access. The second badge read must be from a non-Escorted type card. However, an Escorted card will require a second badge read only at those readers that are set up as Escort readers (for more information on setting up an Escort reader, refer to the Readers section). At a non-escort reader, a badge set to Escorted is treated in the same way as any other non-Escorted badge. To enable escorted, click the Escorted Checkbox.

Fig. 95.29. The 'Escorted' Checkbox.

First In Control

The First In Control is selected when the personnel badge is used for a first-in function badge.

Fig. 95.30. The 'First In Control' Checkbox.

Stay on Panel

This control is active only when an access panel is in Interactive Mode (to learn more about interactive mode, refer to the Panels section). When Interactive Mode is enabled at a panel, all badge records that have the 'Stay on Panel' function enabled, will be permanently stored in the panel memory, as much as space allows. Those badge records that have not been used recently, and do not have the 'Stay on Panel' function enabled, can be deleted from panel memory, if memory space becomes an issue. When Interactive Mode is turned on at a panel, set the 'Stay on Panel' function active for all badges that are expected regularly at readers on that panel, provided the memory space allows.

Fig. 95.31. The 'Stay on Panel' Checkbox.

Initial Download

This control is active only when an access panel is in the Interactive Mode (to learn more about interactive mode, refer to the Panels section). When Interactive Mode is enabled at the panel, all badge records that have the Initial Download function enabled, will be downloaded to the panel memory, on every full panel or badge download. When Initial Download is not enabled, each badge will only be downloaded to the panel as they are presented to readers on that panel.

Fig. 95.32. The 'Initial Download' Checkbox.

Vehicle Tag

The 'Vehicle Tag' Checkbox will be visible only when Vehicle Tracking is enabled in System Settings screen. This box when checked changes the type of badge holder record from cardholder to Vehicle Tag. Technically, this means that, the badge belongs to an asset and not a person. Vehicle tags are most commonly created to track company automobiles. Setting up the vehicle tagging function is explained in more detail in the Readers section. Click the check box to enable vehicle tagging.

Fig. 95.33. The 'Vehicle Tag' Checkbox.

Supervisor

The 'Supervisor' Checkbox is selected when the personnel badge if flagged as a Supervisor. The selection does not provide any additional permissions to the badge.

Fig. 95.34. The 'Supervisor' Checkbox.

Napco Permissions

The 'Napco Permissions' fields will be visible only when Napco is enabled in System Settings screen.

Fig. 95.35. The 'Napco Permission' field.

Quick Search

In V1.1.2x, a new Quick search feature is added to the Personnel screens to search Badges and Persons. This new feature simulates the infield type search feature in the CardAccess 3000 software.

  • A new window was added to the right pane of the personnel screen where users can type in or select any field’s values to narrow down their search.

  • By default, the following fields are populated for quick search. These fields can be customized by add/remove new fields by clicking “Check Fields to Include”.

  • Fields order also can be changed by drag and drop any field.

  • Search also can be narrowed down by Partition/Groups filter.

  • Click “Show All” to clear any filters already applied.

  • There are two ways search can be performed.

a. Narrow the search as type-in or select from controls (default)- This option can be turned off in system settings by unchecking “Search On Change”.

NOTE: If a system have thousands of badges this option might slow down the search.

b. Type or select values and press enter key or click “Find” button to trigger

Fig. 95.36. The 'Quick Search' window.

Enable Quick Search feature

If the Quick Search feature is not enabled, it can be enabled under System Settings>Operator-admin-Settings.

Fig. 95.37. Person Quick Search Option.

Find Criteria Search Window

If the user likes the original CA4K “Find Criteria” search option, you must disable the new "Show Person Quick Search” option system settings.

Fig. 95.38. Default "Find Criteria" Search Window.


Access Group Tab

The Personnel screen Access Groups tab allows you to assign Access Group(s) to the selected badge holder. Access groups are the one that determine which doors of the building a badge holder can access, and at what times of the day.

By default, the Access Groups tab will have a sub-tab with the same name- Access Groups.

The Access Groups sub-tab will show only two standard access group controls by default. The example below is displaying six access groups that corresponds to the Access Groups per Badge control of System Settings screen.

Fig. 95.36. The default 'Access Groups' tab in Personnel screen.

But, it is possible to have a maximum of sixteen access groups for panels and Wireless locks (inclusive of a dedicated access group, if you choose to create) for every badge holder in the CA4K™.

In case you wish make provision for more access groups than the default, you need to make a setting in the Access Groups per Badge control of System Settings screen.

Fig. 95.37. The 'Access Groups per Badge' control on 'System Settings' screen 'Badges' tab.

Please refer the section System Settings to learn the steps to be followed for providing more Access Groups to CA4K™ badge holders.

In accordance with the number you choose in the Access Groups per Badge control, the number of Access Group controls on Personnel screen 'Access Groups' tab will also change.

Access Group 1-16 Activation Date and time

The Access Group Activation Date and Time controls allow you to set a (future) date when the Access Group(s) will be activated. This event takes place at the date and time specified in the Activation date and time.

Fig. 95.38. Access Group 1-16 Expiration Date & Time fields.

  • By using the calendar to choose a desired date. This can be done by following the steps below:
  • Click on the down arrow in the Activation Date & Time field. Upon clicking, a calendar window of the current month and year will open up, with the current date in highlight.

Fig. 95.39. Calendar window displayed by clicking on down arrow.

Note: Single left/right arrows can be used to scroll backward/forward through the dates/months of a year, to select a desired date.

  • Click on a desired date in the calendar.

Access Group 1-16 Expiration Date and time

The Access Group Expiration Date controls allow you to set a (future) date when the Access Group(s) will be removed from a cardholder (that is, the Access Group controls) for the cardholder record will revert back to the default selection 'No Access' ). This event takes place at the time specified in the expiration date and time.

Note: When an access group is taken away from a cardholder because the expiration date has been reached, the change is automatically downloaded to the panels where the cardholder had access.

Unlike the badge Expiration Date and time which disables the card, removing an access group does not necessarily mean that the cardholder will no longer have access to a building. For example, if we provide a card holder with Access Groups 1 & 2 say, and we set an expiration date on Access Group 2 only, Access Group 2 will be removed from the card holder on the expiration date, but that card holder will still have access group 1.

The Expiration Date and Time for an Access Group control can be set in the following ways:

  • Click on the down arrow in the Activation Date & Time field. Upon clicking, a calendar window of the current month and year will open up, with the current date in highlight.

Fig. 95.40. Access Group 1-16 Expiration Date & Time fields.

  • By using the calendar to choose a desired date. This can be done by following the steps below:
Click on the calendar button (marked as 15) to the right of an Expiration Date & Time field. Upon clicking, a calendar window of the current month and year will open up, with the current date in highlight.

Fig. 95.41. Calendar window displayed by clicking on down arrow.

Note: Single left/right arrows can be used to scroll backward/forward through the dates/months of a year, to desired date.

  • Click on a desired date in the calendar.

Dedicated Access

The Access Groups tab has a Checkbox named Dedicated Access. The purpose of this Checkbox is to turn the dedicated access feature On/Off, for a selected badge holder.

Fig. 95.42. The 'Dedicated Access' Checkbox in Personnel screen 'Access Groups' tab.

A Dedicated Access group is a special access group in that, it solely belongs to the selected badge holder only, and cannot be assigned to anybody else. This differs from the standard access groups that can be assigned to as many badge holders as you wish. More information on standard access groups can be sought in the section Access Groups.


Control Tab

Controls for Anti-Passback and Alarm Shunt Settings for individual badge holders are available in the Control tab.

A click on Control tab will display the screen below.

Fig. 95.43. Personnel screen 'Control' tab.

Anti-Passback controls are on the left and Alarm Shunt controls are on the right sides of Control tab as shown in the figure above.

Anti-Passback (APB)
Anti-Passback is a mode of operation that is set at a Reader (see Readers for more information). The function of Anti-Passback is to prevent a card from being presented to the same Reader twice.

Controls for Anti-Passback settings are provided in two screens- Readers and Personnel. Settings made in Readers screen apply to the concerned Reader at the door, as well as to all cardholders accessing the door. Whereas, settings made in the Personnel screen are applied to each cardholder individually. Personnel screen settings allow Anti-Passback operation to be modified for a cardholder individually, without affecting the Anti-Passback settings for the other cardholders who access the given Anti-Passback enabled door.

Note: Anti Passback controls in the Personnel screen work in conjunction with the Anti-Passback controls in the Options tab of the Readers screen. Anti-Passback processing parameters must be set in both locations or Anti Passback will not be enabled.

Personnel APB Controls

 APB controls are seen on the left side of Personnel screen Control tab as shown in the figure below.

Fig. 95.44. APB controls for personnel.

The controls are explained below.

Duration Use

The Duration Use control is used in conjunction with a timer called 'Duration Use Time', which is set in the Options tab of Readers screen. The basic operation of Duration Use is to allow the setting of a time period duration, due to which, successive reads of the same badge will be blocked, until the timer expires.

Fig. 95.45. Personnel 'Duration Use' Control.

Fig. 95.46. Readers screen APB controls.

The Duration Use control in a Personnel record has several modes of operation. Which mode is active, depends on settings in the Readers screen. The modes are discussed below.

Timed Re-Entry
With no Anti Passback set at the Reader (that is, Reader set to 'Neutral' as in the figure below), the Reader allows unlimited badge reads of the same card, by default. When a Duration Use Time is set in the Readers screen, and the Duration Use feature is enabled in a card holder's Personnel record, that card holder will be blocked from re-entering the same door until the time out period has expired. Other badge holders who do not have the Duration Use times set in their records are not blocked from re-entering the door as the Reader is not in Anti Passback mode. This type of Reader functionality is more accurately termed as 'Timed Re-Entry'.

Fig. 95.47. 'Duration Use' box in Personnel screen checked for Timed Re-Entry.

Fig. 95.48. Duration Use Time setting in Minutes.

Fig. 95.49. APB Type set to 'Neutral' in Readers screen Options tab, for Timed Re-Entry .

Note: The alert message generated for a timed re-entry violation (Badge Violate Re-Use) is different from an Anti Passback violation.

Timed APB
With Timed APB reader functionality, one or more readers are set up as Anti Passback readers (where option IN/OUT is selected in APB Type control. A Duration Use Time is also set on each of those readers. The Duration Use feature can then be enabled for selected Personnel records. Those badges that have Duration Use enabled, will be able to re-enter an Anti Passback reader after the time out period has expired. Badge holders who do not have Duration Use set in their badge records will be denied the option of re-entering any APB enabled door (they cannot re-enter until they 'exit').

Fig. 95.50. 'Duration Use' box in Personnel screen checked for Timed APB.

Fig. 95.51. Duration Use Time setting in Minutes.

Fig. 95.52. APB Type set to 'In' in Readers screen Options tab, for Timed APB.

Fig. 95.53. APB Type set to 'In' in Readers screen Options tab, for Timed APB.

APB Setting

The APB setting is a manual method of presetting the Anti Passback status for the highlighted cardholder. When a cardholder's card is presented to an Anti Passback IN reader, the status of that card holder is said to be 'IN'. When a cardholder's card is presented to an Anti Passback OUT reader, that cardholder is said to be 'OUT' (of the building).
The APB setting controls offer the CA4K™ administrator a way to preset the current APB status of a cardholder. The following options are available:

In: Sets the card holder status to IN the building

Out: Sets the card holder status to OUT of the building

Exempt from APB: Sets the cardholder to be 'immune' from Anti Passback rules. The card acts as though Anti Passback is not enabled at any APB reader.

Set IN/OUT on Next Use: Sets the cardholder's status to IN or OUT based on which type of APB reader (IN or OUT) the next card read comes from.

Fig. 95.54. APB Setting controls in Personnel screen.

Alarm Shunt Control

An 'Alarm Point' by definition is (usually) a set of contacts of some type that are connected by wires to an alarm panel 'Input' (ours or someone else's). Alarm Shunting is a term that refers to the (old technology) act of bridging a shorting wire across the contacts of an Alarm Point, to prevent that Alarm Point from triggering an alert, when an access door is opened. In effect, the system is 'faked' into believing that the door is still closed so an alarm is not sounded.

Shunting is often used with burglar alarm systems so that authorized entries and exits can be made to and from a building, without the need to disarm the alarm system. However, the explanation above that detailed using a piece of wire to short the contacts of an alarm point is highly over simplified. There is some specialized hardware and software that has been created to perform these shunting functions.

There are two types of shunting used in modern access control systems such as the CA4K™. They are- hardware shunting and software shunting. Hardware shunting uses relays to accomplish 'hardwire bridging' across input points. Software shunting is discussed in detail below.

Every panel made by Continental is shipped with some number of (software programmable) alarm inputs. Since those inputs are under software control, the status of those inputs can easily be ignored by the software. Ignoring input status messages (on purpose) is called 'software alarm shunting'. When software shunting is enabled, the software ignores the status messages of one input or a group of inputs.

By enabling the shunt feature in a cardholder record, that badge holder's card is set up as a 'shunt card'. A shunt card opens doors just like a standard card, but the shunt card has an additional special feature. Once shunting is enabled in a cardholder record, that cardholder can enable or disable shunting at a reader or group of readers.

What we mean when we say 'enable or disable shunting' is, when the shunt card is presented to a reader, the door strike is activated (opening the door like a normal card), and shunting is activated. When the same card is presented again to the same reader, shunting is deactivated.

The most understandable example of an application for alarm shunting happens when the access control or security system includes Programmable Infrared Sensors (PIRS). These sensors trigger every time they see 'moving heat' (moving people). That means that when a building is fully occupied during the day, these sensors will be constantly triggering (false) alarms.

Here is a case where you may not want to disable the entire access control system (because you want to maintain security at the doors), but you do want to disable the PIR inputs (or perhaps, other types of inputs that are located inside the building perimeter). The alarm shunting function was designed for just such a purpose.

For example, you can set up a manager's access card as an alarm shunt card. When the manager arrives in the morning to open the building and presents his or her card to a door, the door opens as normal, but the PIR inputs are turned off as well (shunting is turned on). The rest of the access control system remains operationally unchanged.

Setting Up a Shunt Card

Setting up alarm shunting at a door or group of doors is a two-step process.

  • You need to decide which badges will be allowed to turn the shunting feature on and off and
  • You need to decide which inputs or groups of inputs will be shunted, and by which cards

Note:

Before you can shunt groups of Inputs, you must create Shunt Groups in the Shunt Groups screen, available from the Administration menu. See the manual section on Partition Groups for more information

You can create a number of different shunt cards - cards that shunt different groups of inputs, a number of cards that shunt the same group of inputs, cards that turn on shunting at one door only, some cards that turn on shunting of an input group from any reader, other cards that turn on shunting at shunt designated readers only.

Alarm shunting can be set up to operate in any one of the three modes. Which mode is active for a particular card is determined by the alarm shunt control settings on the Control tab of the Personnel record. There are also some companion settings that must be made in the Readers screen for some modes as explained below.

Create a Shunt Group

Before you can shunt groups of Inputs, you must create Shunt Groups. To create a new Shunt Group, perform the following steps:

  • Click Configuration>Shunt Groups.

Fig. 95.55. Configuration of Shunt Groups

  • Click New.

Fig. 95.55. Shunt Group configuration screen.

  • Type in a descriptive name for the Shunt Group.

Fig. 95.57. Shunt Name. .

  • If you are using database partitioning, select a Partition Group.

Fig. 95.58. Shunt Group Partition Group configuration.

  • On the bottom half of the screen, select the inputs you want to shunt using this shunt group.

Fig. 95.59. Shunt Group Inputs selection screen.

  • Click Save.

Shunt a Group of Inputs from Any Reader
In Personnel screen, if you add a Shunt Group to any card holder record, but do not enable the 'Shunt by Designated Reader' Checkbox, that card will turn on shunting of the selected Input group from any reader in the system. Be sure that the 'Alarm Shunt Reader' Checkbox remains unchecked in the Readers screen.

NOTE: Creating a Shunt Group in the CA4K is much different than the CA3000.

Fig.95.60. Personnel screen settings to shunt a group of Inputs from any Reader.

Shunt a Group of Inputs from Shunt Designated Readers
In Personnel screen, if you add a Shunt Group to any card holder record, and you enable the 'Shunt by Designated Reader' Checkbox, that card will turn on shunting from shunt designated readers only. The 'Alarm Shunt Reader' box in Readers screen must be checked to designate a reader as a shunt reader.

Fig. 95.61. 'Alarm Shunt Reader' box checked in Readers screen to enable shunting by designated Reader.

Note: Alarm Shunting can be enabled for an indefinite period of time.

In case the selected Reader belongs to a newer panel such as an Accelaterm, SuperTerm +, Turbo SuperTerm, Super 4 +, Turbo Super 4 or a Super 2 Panel, a new control named Max Shunt Time (see figure below) will be displayed after you check the 'Alarm Shunt Reader' Checkbox. This control can be used to fix the maximum shunt time you wish to allow for the selected Reader.

Fig. 95.62. Maximum Shunt Time control displayed when Alarm Shunt Reader Checkbox is enabled.

The default time shown for this control is 1 minute. The control allows you to fix up to 500 minutes of Alarm Shunting for the selected Reader.

If desired, you can change the default time by

  • Clicking the white space of the control, and typing in a number of choice. The maximum number you can enter is 500.

    Or you can use the arrow buttons of the spin control to choose a desired number

Once the Max Shunt Time specified elapses, the system will generate the Door Open Too Long event message for activities (if any) at the selected Reader.

Shunt One Door
In Personnel screen, if you enable 'Shunt by Designated Reader' but do not add a shunt group (see figure below), that card will shunt the door contact of whichever door the card is presented to. All door contact messages will be suppressed at that door as long as the door remains open. This means that if the door were left open after the entry, the 'Door Open Too Long' event message would not be broadcast. Input shunting for that door is disabled when the door contact closes.

Fig. 95.63. Personnel screen settings to shunt one door only (any door).

Shunt Event Messages
When you activate or deactivate shunting using a badge at a reader, there are event messages sent from the panel to the CA4K™ software (see figure below). Note that the name of the badge holder who activated shunting is shown as well as the shunt group that was activated and the door where the badge read occurred.

Fig. 95.64. Shunt Event Messages in CA4K™.

Manually Activate/Deactivate Shunting

There is a way to turn the shunt feature on and off manually (in addition to turning the feature on and off using an access control badge). To manually activate or deactivate shunting, follow the steps below:

Open the Personnel Screen.

  • Click on the Control Tab.

  • Click on the Personnel record that has shunting enabled.

    Note: Only badge records that have a shunt group selected have the ability to activate shunting manually. If a shunt group is not selected in a given badge record, manual shunting is not available.

Click on the Words "Current State".

Fig. 95.65. Manual Shunt Control.

Upon clicking, the following message box will appear.

Fig. 95.66. Shunt warning dialog.

  • Click the Yes button in the warning dialog.

Change in alarm shunt status can be seen by closing and re-opening the Personnel screen, and highlighting the Personnel record whose shunt status you attempted to change. The status would have changed from 'Inactive' to 'Shunting' or vice versa.


Personal Tab

The Personal tab provides a number of fields for entering personal notes about a cardholder. These fields are primarily notation fields. Although the fields are not active like those on the General tab, they are still available to reports and to the Badge Editor software.

A click on the Personal tab will display the screen below.

Note: Later versions of CA4K has the Soc Sec # field renamed to Soc Sec#/Unique ID

Fig. 95.66. Personnel screen in Personal tab.

The Personal tab fields in the figure above are explained below.

Soc. Sec #/Unique Id

This field is meant for entering the Social Security Number or a unique Id for the badge holder.

Company ID, Department, and Location
These fields are meant for entering the Company Name, Department and Location in which the badge holder works. Each of these fields accepts seventeen alphanumeric characters. These three fields are also special because as you enter names in these fields, they create a list of names already entered. After the list has been started, you can then choose a name from the drop down list instead of typing in a name.

Hire Date
This field allows you to enter the date of hiring the personnel. The date can be entered in the following two ways:

  • Typing a date of choice in the Hire Date field. The date entered must be in MM/DD/YYYY or MM/DD/YY date format.

  • By using the calendar to choose a desired date. This can be done by following the steps below:

  • Click the calendar button (numbered as 15) found on the right side of 'Hire Date' control. Upon clicking, a calendar window of the current month and year will be opened, with the current date in highlight.

Fig.95.67. Calendar window displayed by clicking on calendar button (numbered as 15).

Note: Single left/right arrows are provided at the top of the screen to scroll backward/forward through the dates/months of a year, to aid in desired date selection.
  • Click on a desired date in the calendar.

Hire Date is a non-active field. The date in this field is not connected to any program logic.

Supervisor
This field is meant for entering the name of the badge holder's Supervisor. The field accepts twenty one alphanumeric characters. This field is also creates a list of names as you enter them, like the above mentioned fields.

Date of Birth
This field is for entering the badge holder's Date of Birth. The date can be entered in the following two ways:
  • Typing a date of choice in the Date of Birth field. The date entered must be in MM/DD/YYYY or MM/DD/YY date format.

  • By using the calendar to choose a desired date. This can be done by following the steps below:

  • Click the calendar button (numbered as 15) found on the right side of 'Date of Birth' control. Upon clicking, a calendar window of the current month and year will be opened with the current date in highlight.

Fig. 95.68. Calendar window displayed by clicking on calendar button (numbered as 15).

Note: Single left/right arrows are provided at the top of the screen to scroll backward/forward through the dates/months of a year, to aid in desired date selection.

  • Click on a desired date in the calendar

Gender
This field is for specifying the Gender of the badge holder. The default selection for this field will be 'Unspecified'. The Badge Holder's Gender can be specified by clicking the down arrow of the 'Gender' control and choosing a gender in the drop down list.

Phone, Ext
These fields are provided for entering the badge holder's contact phone numbers and their extensions. The fields accept thirty alphanumeric characters each.

Vehicle/Make
This field is provided for entering a description of the badge holder's automobile. The field accepts a maximum of seventeen alphanumeric characters.

License Plate
This field is provided for entering the License Plate number of badge holder's automobile. The field accepts a maximum of eleven alphanumeric characters.
Remarks
The remarks field is provided for entering remarks/comments on the badge holder. The field accepts an unlimited number of characters.
Gender

This field is for specifying the gender of the badgeholder.

Middle Name
This field is for specifying the middle name of the badge holder. The field accepts a maximum of 30 alphanumeric characters.


Photo Tab

Photo Tab In Badging 4K Mode

The Video Badging software (EPI) is shipped as part of the CA4K™ software package, but is disabled by default. The 'Photo' tab in Personnel screen will be visible only if Video Badging is enabled in the System Settings screen. For enabling Video Badging, refer the topic 'Video Badging Tab' in the section on System Settings.

Note: The CA4K™ software is shipped along with the Video Badging package included. However, the Video Badging package (Badging 4K) will not operate unless you have purchased and licensed the EPI Badging Software.

The Photo tab has two working modes depending on the option (Photos Only or Badging 4K) selected in the System Settings screen. The buttons visible on the tab are also dependant on the option (Photos Only or Badging 4K) you select. The tab will have lesser number of buttons in the 'Photos Only' mode.

In this section, we will only discuss the Photos Only mode. The Badging 4K mode is explained in the topic titled EPI Builder Badging 4K.

Photos Only Mode

 When the Photos Only option is selected in the System Settings screen, the Photo tab in Personnel screen will be displayed as below.

Fig. 95.69. Personnel screen Photo tab when 'Photos Only' option is selected in System Settings screen.

As shown in the above figure, Photo tab will provide only three buttons in the 'Photos Only' mode- Import Photo, Clear Photo, and Export Photo.

Thus, in this mode it is only possible to import the existing images that were created using another manufacturer's software package. It is not possible to do the following in Photos Only mode:

Creating a badge design.

Printing or previewing a badge design

Capturing an image.

Capturing a signature.

The button controls of the Photo tab in 'Photos Only' mode are explained in the following section.

Photo Tab Controls in 'Photos Only' Mode

The button controls of Photo tab in 'Photos Only' mode are explained below.

Import Photo

Clicking on Import button will bring up the 'Import A Photo Image' dialog that allows searching of the hard drive or network drives for importing an image. The window supports .bmp, .jpg, .wmf and .gif type image files.

Fig. 95.70. 'Import A Photo Image' dialog.

Clear Photo

The Clear Photo button will be visible only if the selected badge record has a photo assigned to it. Clicking this button will clear the badge holder's photo from the record. The system displays a warning message before deleting the image.

Fig. 95.72. 'Import A Photo Image' dialog.

Export Photo
Clicking the Export Photo button will bring up the 'Export Photo to File' dialog that allows exporting of the badge holder's image to a bitmap type file. A destination folder and a filename must be selected in the dialog.

Fig. 95.71. The 'Export Photo to File' dialog.


Custom Fields Tab

The Custom Fields tab will be seen on Personnel screen only if Custom Fields have been created in the System-wide Settings screen. This tab in Personnel will have the same name as the 'Page Title' entered in the System Settings 'Custom' tab. For creating Custom fields, refer the topic 'Custom Sub-Tab' in the section System Settings..

The Custom Fields tab is used in case where the user needs more notation type fields than are provided on the Personal tab. Custom fields can be titled according to the user's choice.

Fig. 95.73. System-wide Settings Custom Fields configuration screen.

Fig. 95.74. Personnel screen with the custom tab added.


Inputs

Accessing Inputs Screen:

  • Click on Configuration menu in CA4K™ menu bar

  • Click on Inputs option in the menu list.

Fig. 80.147. The Configuration>Inputs menu selection..

Upon clicking, the Inputs screen will be displayed in General tab as shown in the figure below.

Fig. 80.148. The 'Inputs' screen Alert Priority setting. .

The Inputs screen will contain an Alert Priority setting and a Response Required setting.


Inputs_General_Tab

The General tab is the default tab in which the Inputs screen will be displayed.

Fig. 80.149. Inputs screen 'General' tab.

The various controls in General tab are explained below.

Device Name

The 'Device Name' is meant for entering a descriptive name for the input. It is recommended to use names that describe the location or function of the input. An input must have a name associated with it.

Fig. 80.150. The 'Device Name'.

Note: The 'Name' entered in the 'Device Name' field will be attached to all input event messages involving the selected input. The field will accept any combination of letters, numbers or symbols.

Panel

An input must be associated with a panel before the operating parameters are set for that input. The 'Panel' control is used to do this. The Panel control contains a list of all panels that were created in the Panels screen.

Fig. 80.151. The 'Panel' control.

To select a panel, click the arrow button to the right of 'Panel' control, scroll up or down to locate the desired panel and click on it. If no panel names are seen in the list, you need to create them in the 'Panels' screen. Refer the manual section titled 'Panels' to do this.
Input #

The Input # selection control allows you to select which numbered input you wish to activate on a given panel or any attached input expansion cards.

Fig. 80.152. The 'Input #' spin control.

By default, all on board and expansion card inputs are disabled. They must be activated by CA4K software configuration. The configuration instructs the panel as to which hardware it should enable, and with what operating parameters.

Note: some input numbers may have been pre-assigned in the Readers screen. When you create reader definitions in the Readers screen, some inputs are automatically assigned to doors (two inputs per door by default).

If you elect to create an input record in the Inputs screen, that has the same input number as an input that has been assigned to a door in the Readers screen, you have created a 'duplicate input definition'.

When you create a duplicate input definition, the settings in the Inputs screen will override the system defaults for the door input. See the manual section titled 'Duplicate Definitions' for more information.

Note: Each panel can have a different amount of inputs.

Panel Type | Onboard Inputs | Reader Inputs | Expansion Inputs | Tamper Input
8 or 16 door Accelaterm | 1-24 | 1-16 | 25-80 | 81
Super Two | 1-8 | 1-4 | 9-80 | 81
8 Door SuperTerm & Turbo SuperTerm | 1-24 | 1-16 | 25-80 | 81
4 Door SuperTerm & Turbo SuperTerm | 1-16 | 1-8 | 25-80 | 81

Table 80.153. – Panel Onboard Input Numbers

Notice in the above table that the column marked 'Reader Inputs' indicates the input number range that is automatically assigned to Reader ports if they are activated.

All inputs on the panel can be used for any purpose, but if you create a door in the Readers screen, two inputs will be assigned to that door unless you manually

override the automatic selection.

  • The CA4K software automatically assigns the next available, lowest numbered two inputs, to the next reader record that you create. Door 1 always gets inputs

1 & 2. Door 2 always gets inputs 3& 4, and so on.

  • The system has no way of determining which type of panel you are configuring. Thus,

you must exercise caution that you do not attempt to create input numbers that do

not exist on a given panel type.

  • Some input numbers are already (activated and) allocated to reader ports on the selected

panel. If you don't want to override the default settings for inputs already allocated

to reader ports, do not create input definitions in the Inputs screen with the same

input numbers that were previously assigned to reader ports inputs (see Duplicate

Definitions).

  • The Accelaterm, Super Two, SuperTerm, Turbo SuperTerm and SmartTerm panels can support input expansion cards.

The Universe, MiniTerm and MicroTerm have no expansion capability.

Partition Group

The Partition Group selection control allows you to assign the current input to a Partition Group. Partition Groups are used for database partitioning and for manual control list filtering. For more information see the manual section titled Partition Groups..

To select a Partition Group, click the arrow button to the right of 'Partition Group' control and click on the Partition Group you wish to assign to the input. If there are no Partition Groups visible in the list, you need to create some under Operator Privileges.

Enable Schedule

When an input definition is created and enabled ('Enabled' Checkbox selected), that input will be operational 24 hours per day, and every day of the year by default.

However, you can elect to have the input's status ignored outside of a predefined schedule. When a schedule is selected in the 'Enable Schedule' control, the input will report change of status (normal or abnormal) only while that schedule is in effect. Outside of the schedule, the panel will ignore the input contact status and will suppress all event reporting.

Fig. 80.154. The 'Enable Schedule' control.

To select a schedule, click the arrow button to the right of 'Enable Schedule' control, scroll up or down the list to locate the desired schedule and click on it. If no schedules are seen in the list, you need to create some schedules in the 'Schedules' screen. Refer to the Schedules section to do this.

Enabled

The 'Enabled' Checkbox enables or disables the input at the panel. By default the box is enabled (checked).

When an input is enabled, all events generated for that input are reported in CardAccess, whenever there is a change in the state of input contacts. When an input is disabled, the state of the input contacts is ignored by the panel and there will be no event reporting for that input.

Fig. 80.155. The 'Enabled' Checkbox.

To enable or disable the input, click the 'Enabled' Checkbox. Checked means enabled, unchecked means disabled.

Normal Open

Fig. 80.156. The 'Normal Open' Checkbox.

Typically, input switches are 'normally closed' (normally shorted together) dry contact, magnetically operated reed type switches. However, contact switches can be purchased

in a 'normally open' (normally not shorted) configuration as well. The panel hardware is set by default to use normally closed type switches for inputs, but can be set

to use the normally open type as well. To set an input to normally open, click the 'Normal Open' Checkbox for a given input. Checked is normally open, unchecked (the

default) is normally closed type.

Supervised

Fig. 80.157. The 'Supervised' Checkbox.

Inputs can typically be defined as some form of dry contact switch, connected to a pair of wires, which are ultimately brought back to two input contacts on a Continental Instruments designed access control panel.

A small voltage is generated by the panel on each input two-wire circuit as a means to monitor the state of the input contacts. When the contacts are broken, the circuit is interrupted, causing an alert violation by the panel logic.

The shortcoming of a simple switch at the end of a pair of wires is that the circuit can be easily bridged by a 'shorting' wire strapped across the input contacts, allowing easy intrusion.

A 'Supervised' input modifies the electrical connection method between the dry contact and the panel in an attempt to prevent tampering. This is done by inserting two 1 Kilo-ohm resistors strategically in the circuit between the input contacts and the panel.

Inserting resistors in the circuit changes the voltage levels being monitored by the panel and makes it harder for intruders to bridge the circuit.

Thus, the panel needs to be notified as to which type of input circuit is being monitored, dry contact (unsupervised) or supervised, so the output voltages and input sensing can be modified.

Note: You can only enable supervised inputs on panels or input expansion cards that support supervised inputs. Note that the SmartTerm panel does not have on board supervised input capability. If you wish to add supervised inputs to a SmartTerm, you must add one or more supervised input expansion boards. The SuperTerm, Turbo SuperTerm, MiniTerm and MicroTerm panels all support onboard supervised inputs.

To set the input to supervised mode, click the Checkbox. Checked is enabled and unchecked is disabled (the default).

Activate Console Relay

Fig. 80.158. The 'Activate Console Relay' Checkbox.

When the 'Activate Console Relay' feature is enabled, the console relay will be fired each time the selected input changes state from normal to abnormal. However, the console relay (relay #73 on every panel type) must be configured in the 'Relays' screen (refer to the 'Relays' section).

The console relay is a special relay to the system and a linkage can be made between any input and the console relay (perhaps) for the purpose of sounding an alarm of some type, to alert operations personnel to the input violation (fire sensor, glass break and the like).

To enable the Activate Console Relay function for an input, click the check box. Checked is enabled and unchecked is disabled (the default).

Dialup On Abnormal (Not Supported in the CA4K)

Fig. 80.159. The 'Dialup on Abnormal' check box.

Dialup On Normal (Not Supported in the CA4K)

Fig. 80.160. The 'Dialup on Normal' Checkbox.

Pending Alerts Section
The controls in the 'Pending Alerts' section are explained below.

Fig. 80.161. The Inputs 'Alerts' section.

No Alert Reporting

Fig. 80.162. The 'No Alert Reporting' Checkbox.

Alert reporting of Input events is enabled by default. This means that each time there is a change of input status (normal to abnormal, or abnormal to normal), there

will be an event message generated by the associated panel that indicates the type of status change. a When the 'No Alert Reporting' Checkbox is checked, the panel will be instructed

to suppress all event messages for the selected input. To disable event reporting for an input, click the Checkbox.

Response Required

Fig. 80.163. The 'Response Required' Checkbox.

The Response Required feature is used only when an input event appears in the 'Alerts' grid of the CardAccess main screen. If an input has this feature enabled, then, automatic

acknowledgement of all alerts from that input will be disabled. So, manual acknowledgement will be required to resolve the alerts upon occurrence. In manual alert acknowledgement,

the operator will be forced to respond to alerts by typing in a Response Message in the Alert Acknowledge popup window and clicking the Acknowledge button to move

the alerts from the 'Alerts' Grid into the 'Events' Grid. By default, 'Response Required' Checkbox is unchecked (disabled). To enable the feature, check the box by clicking it.

Alert Delay Time

The Alert Delay Time control will set a delay on when the input will be reported as 'Input Abnormal'. Typically, all event reporting as to the change of status of an input happens immediately.

The 'Alert Delay Time' control allows you to apply a delay to the change of status event message sent by the panel.

Fig. 80.164. The 'Alert Delay Time' control.
The setting in this control is applied to the transition from 'Input Normal' to 'Input Abnormal' only.

The ability to delay input event reporting may prove useful when the input is used to fire a link.

To set the Alert Delay Time, click the arrow buttons to the right of 'Alert Delay Time' control or click in the white space and type in a number. The minimum is 0 (no delay, the default) and the maximum is 255 seconds.

Alert Reset Time

The Alert Reset Time control will set a delay on when the input will be reported as 'Input Normal'. Typically, all event reporting as to the change of status of an input happens immediately.

The 'Alert Reset Time' control allows you to apply a delay to the change of status event message sent by the panel.

Fig. 80.165. The 'Alert Reset Time' control.

The setting in this control is applied to the transition from 'Input Abnormal' to 'Input Normal' only.

The ability to delay input event reporting may prove useful when the input is used to fire a link.

To set the Alert Reset Time, click the arrow buttons to the right of 'Alert Reset Time' control or click in the white space and type in a number. The minimum is 0 (no delay, the default) and the maximum is 255 minutes.

Alert Priority

The 'Alert Priority' control sets the alert priority level for all event messages that are received from the selected input. Priority levels are used by the system as a way of sorting event messages.

Fig. 80.166. The 'Alert Priority' control.

Typically, urgent alerts (priority level of 1-20) are placed in the 'Alerts' grid of the CardAccess main screen. Less urgent events (priority levels of 21-98) are placed in the 'Events' grid.

The default Alert Priority for inputs is 50. If you wish a higher or lower priority for events from the selected input, click the arrow buttons to the right of 'Alert Priority' control or click in the white space and type in a priority number. The usable priority number range is 1-98.

Events and Alert priorities are explained in greater detail in the manual section titled 'Setting Up Priorities' . Manual and Auto Acknowledgement of alerts are explained in the manual section titled 'Alert Acknowledgement'.

Repeat Interval Limit

Fig. 80.167. The 'Repeat Interval Limit' control.

The 'Repeat Interval Limit' setting determines the frequency that the alert is displayed.

Limit by Schedule

Fig. 80.168. The 'Limit by Schedule' control.

The 'Limit by Schedule' setting determines the Days and Time the alert is displayed.


Map Tab2

Inputs Map Tab

The Map Tab will look very similar to Map Tabs on other devices. This tab represents facility maps and not Dynamic maps.

Fig. 80.169. The 'Input Facility Map'.

Facility Map for This Device

This field displays the name of the map that is attached to the selected input.

Map Description
In this field, you can add a text description of the map.

View Maps

Clicking on 'View Maps' button will open the 'Configure Maps' screen where it is possible to create/edit a map.

Remove Map

The Remove Map button is available only in 'Edit' mode. Clicking on the button will delete the map in question.


Input Location and Remarks

Location/Remarks Tab

The Location/Remarks tab can be used to note the location of the input and document remarks (if any) for the selected input.

Fig. 80.170. The 'Location/Remarks' screen. .


Creating a basic Input Definition

Note that when you create a new input definition, the system provides the following default settings automatically (unless you override those settings by changing the settings in the appropriate controls):

  • Input is enabled by default.

  • Input is active 24 hours per day, every day of the year including holidays (default 24/7/365 enable schedule).

  • Input is set to normally closed mode.

  • Input is set to unsupervised mode.

  • Input is set with no Alert Delay and no Alert Reset time.

  • Response Required is disabled.

  • Alert Reporting is enabled. 'Input Abnormal' and 'Input Normal' event messages will be sent by the panel.

  • Set to not activate the console relay.

Follow the steps below to create a basic input definition:

Open Inputs screen by clicking on Configuration>Inputs menu options in CA4K main screen. By default, the screen will open in General tab.

  • Click on New button in the toolbar.

Fig. 80.171. The 'New' button.

  • Click the down arrow to the right of Panel control and select a panel in the drop down list.

.Fig. 80.172. The 'New' button.

Note: If no panel names are seen in the list, it means that panel definitions are not yet created. It is necessary that you define panels before you can proceed with input definitions.

  • Number the input in the Input # control (Refer the heading Input # for detailed information).

Fig. 80.173. The input # control.

  • Click the white space of Device Name field and enter a descriptive name for the Input. A name that can describe the input location/function is recommended.

Fig. 80.174. Input name describing the location (Third Floor) and function (Fire Sensor) of Input.

  • Click on Save button in the toolbar to save the settings.

You have just created an Input definition with all of the default operational settings as mentioned in the first part of this section.


Editing an Input Definition

Follow the steps below if you wish to edit an input definition.

  • Follow the steps below if you wish to edit an input definition.

·

  • Open Inputs screen by clicking on Configuration>Inputs menu options in CA4K

main screen. By default, the screen will open in General tab.

  • In the upper half of the screen, select the input record you wish to edit and click

on it.

  • Make the desired changes to the Input definitions.

Note: The Input # field cannot be edited. Input # once set during Input creation is not subject to change.

  • It is not possible to associate the selected input with a different panel. In other words, an input once associated with a particular panel is permanently attached to

that specific panel only. The system will not allow you to change the panel name in the Panel control.

  • Click on Save button in the toolbar to save the changes.

  • Click on Close button in the toolbar to close the screen.


Deleting an Input Definition

Follow the steps below if you wish to delete an input definition.

  • Open Inputs screen by clicking on Configuration>Inputs menu options in CA4K

main screen. By default, the screen will open in General tab.

  • In the upper half of the screen, select the input record you wish to delete and click on it.

  • Click on Delete button in the toolbar. Upon clicking, the following message box will be displayed.

Fig. 80.175. Message box displayed before deleting an input record.

Note: Delete action cannot be reversed. A record deleted once is lost forever. Make sure you have chosen the correct record for deleting.

  • After confirmation, click on Yes button in the message box.

·

  • Click on Close button in the toolbar to close the screen.

Note: Deleting an input record will disable that input at the concerned panel, thereby rendering the input inoperative.


Virtual Inputs

Note: In many cases, the use of Virtual Inputs is not necessary since the addition of scripting and Activity links.

A 'Virtual Input' is an input that exists only in software. You would never wire to a virtual input. A virtual input can be programmed to go abnormal based on an event rather than on the change of state of a hardware input (open or closed).

Essentially, the panel logic handles a virtual input in the same way as a hardware input. When the virtual input status changes, an input event message is generated, just like a hardware input.

The CardAccess handles the virtual input in the same way it would a physical input. Thus, you can use virtual inputs in any of the same ways you would think of using a hardware input. For example virtual inputs (and inputs in general) are often used to fire links (see the manual section titled Links) that sound alarms or switch CCTV equipment.

The real strength and usefulness of virtual inputs is that these inputs are attached to door event types. In other words, when a specific type of event occurs at a door, a virtual input can be made to go abnormal. This allows you to set up software 'macros' (links) that can trigger hardware events, based on selected 'conditions' at the door.

There are four virtual input types. Each virtual input type can be enabled on any reader port, for any Continental panel. All panel types support virtual inputs. There are four available virtual input types per reader port, as listed below.

  • Forced Door – The 'Forced Door' virtual input for given door will go abnormal if the door is forced open. Forced open is logically defined as breaking the door contact of a given door without a valid badge read prior to the door opening.

  • Valid Tracked Card – When the 'Tracked' feature is enabled in the Personnel record for a given card holder, each time that card holder accesses any door, a special 'Badge Valid Tracked' event message is generated (see Personnel for more information). A reader port can be set to trip the Valid Tracked Card virtual input, when any tracked card successfully accesses a given door.

  • An 'Input Abnormal' event message (for the virtual input) is generated each time a valid tracked card is presented to a reader that has the Valid Tracked Card virtual input enabled.

  • Denied Card/ Void Card – Technically, a 'denial' of entry can result from a denied card or a void card access attempt. A denied card is usually due to a CardAccess rules violation (time of day, unauthorized access, etc.). A void card is usually due to the fact that the card record is 'missing' from the panel's card database (the card record does not exist in the CardAccess Personnel database, or does not belong at any reader on the panel).

Thus, (when enabled) the Denied/Void Card virtual input will go abnormal when a denied or void card is presented to the reader.

  • Door Open Too Long – Generally, the 'Door Open Too Long' event is triggered at a given door when the door has been opened resulting from the presentation of a valid card, but the door was not closed before the 'Still Open Delay' timer (in the Readers screen, Options tab) has expired.

The Door Open Too Long virtual input will go abnormal when the Still Open Delay timer expires.


Virtual Input Panel Mapping

Note: In many cases, the use of Virtual Inputs is not necessary since the addition of scripting and Activity links.

Virtual inputs are available on most panel types. You can elect to activate up to four virtual inputs for each Reader on most panels. Before using Virtual Inputs, it is recommended to verify if the same functionality can be accomplished by using Scripting or Activity Links.

With hardware inputs, a given input number always refers to the same physical input on a given panel PC board. This is not the case with virtual inputs on all panel types. The virtual input numbers assigned to a given reader port may change depending on how many input or relay expansion cards you have attached to the panel.

Virtual input numbers are fixed on the Universe, Accelaterm, Super Two, SuperTerm, Turbo SuperTerm and Smarterm. Virtual inputs numbers will change on the SmartTerm panel depending on how many inputs are provided from expansion cards (use the link provided below to view the mapping for different panel types).

Also note that if you add the maximum number of expansion cards to the Accelaterm, Super Two, SuperTerm, Turbo SuperTerm or SmartTerm panels, you consume all of the software input numbers that could potentially be allotted for virtual inputs. Thus, virtual inputs become unavailable if you use the maximum number of expansion cards for either panel type.

All Panels Note: Input #81 is always reserved as the Tamper Input for all panel types (Universe, Accelaterm, Super Two, SuperTerm, Turbo SuperTerm and SmartTerm). However, you must create and enable the input definition for input #81 on a given panel to activate the tamper input, since the tamper input is disabled by default.

Universe Mapping

Reader # | Category | Input#
1 | Forced Door | 17
 | Valid Tracked Card | 18
 | Denied/Void Card | 19
 | Door Open Too Long | 20
2 | Forced Door | 33
 | Valid Tracked Card | 34
 | Denied/Void Card | 35
 | Door Open Too Long | 36

Accelaterm Mapping

Virtual Inputs are only supported on readers 1 -8 on both Accelaterm models (8 door and 16 door). Readers 1 – 8 map the same as a Turbo SuperTerm starting with input 49.

Reader # | Category | Input#
1 | Forced Door | 49
 | Valid Tracked Card | 50
 | Denied/Void Card | 51
 | Door Open Too Long | 52
2 | Forced Door | 53
 | Valid Tracked Card | 54
 | Denied/Void Card | 55
 | Door Open Too Long | 56
3 | Forced Door | 57
 | Valid Tracked Card | 58
 | Denied/Void Card | 59
 | Door Open Too Long | 60
4 | Forced Door | 61
 | Valid Tracked Card | 62
 | Denied/Void Card | 63
 | Door Open Too Long | 64
5 | Forced Door | 65
 | Valid Tracked Card | 66
 | Denied/Void Card | 67
 | Door Open Too Long | 68
6 | Forced Door | 69
 | Valid Tracked Card | 70
 | Denied/Void Card | 71
 | Door Open Too Long | 72
7 | Forced Door | 73
 | Valid Tracked Card | 74
 | Denied/Void Card | 75
 | Door Open Too Long | 76
8 | Forced Door | 77
 | Valid Tracked Card | 78
 | Denied/Void Card | 79
 | Door Open Too Long | 80

Note: If any expansion boards are added to the Accelaterm, Virtual inputs are not supported.

Super Two Mapping

Reader # | Category | Input#
1 | Forced Door | 49
 | Valid Tracked Card | 50
 | Denied/Void Card | 51
 | Door Open Too Long | 52
2 | Forced Door | 53
 | Valid Tracked Card | 54
 | Denied/Void Card | 55
 | Door Open Too Long | 56

8 Door Turbo SuperTerm and SuperTerm Mapping

Virtual Inputs are fixed on the 8 Door Turbo SuperTerm and SuperTerm starting with input 49.

Reader # | Category | Input#
1 | Forced Door | 49
 | Valid Tracked Card | 50
 | Denied/Void Card | 51
 | Door Open Too Long | 52
2 | Forced Door | 53
 | Valid Tracked Card | 54
 | Denied/Void Card | 55
 | Door Open Too Long | 56
3 | Forced Door | 57
 | Valid Tracked Card | 58
 | Denied/Void Card | 59
 | Door Open Too Long | 60
4 | Forced Door | 61
 | Valid Tracked Card | 62
 | Denied/Void Card | 63
 | Door Open Too Long | 64
5 | Forced Door | 65
 | Valid Tracked Card | 66
 | Denied/Void Card | 67
 | Door Open Too Long | 68
6 | Forced Door | 69
 | Valid Tracked Card | 70
 | Denied/Void Card | 71
 | Door Open Too Long | 72
7 | Forced Door | 73
 | Valid Tracked Card | 74
 | Denied/Void Card | 75
 | Door Open Too Long | 76
8 | Forced Door | 77
 | Valid Tracked Card | 78
 | Denied/Void Card | 79
 | Door Open Too Long | 80

Note: If more than 1 expansion board is added to the 8 Door Turbo SuperTerm or SuperTerm, virtual inputs are lost.

4 Door Turbo SuperTerm and SuperTerm Mapping

Virtual Inputs for a 4 door Turbo SuperTerm and 4 door SuperTerm map the same as a Smarterm below.

Smarterm Mapping

Virtual Inputs are fixed on the Smarterm starting with input 17.

Door #

Category

Input # with No Expansion Boards

With 1 Expansion Board

With 2 Expansion Boards

With 3 Expansion Boards

1

Forced Door

17

33

49

65

Valid Tracked Card

18

34

50

66

Denied/Void Card

19

35

51

67

Door Open Too Long

20

36

52

68

2

Forced Door

21

37

53

69

Valid Tracked Card

22

38

54

70

Denied/Void Card

23

39

55

71

Door Open Too Long

24

40

56

72

3

Forced Door

25

41

57

73

Valid Tracked Card

26

42

58

74

Denied/Void Card

27

43

59

75

Door Open Too Long

28

44

60

76

4

Forced Door

29

45

61

77

Valid Tracked Card

30

46

62

78

Denied/Void Card

31

47

63

79

Door Open Too Long

32

48

64

80

Note: Virtual inputs are lost if a 4th expansion board is added.


Relays

MUST READ - VERY IMPORTANT NOTES:

  • The Continental Software assigns default relay numbers for strike relays. These relay numbers can be changed.

    • The Console relay is always relay # 73 in the Continental Software. This number cannot be changed.

Accessing Relays Screen:

  • Click on Configuration menu in CA4K™ menu bar

  • Click on Relays option in the menu list.

Fig. 80.176. Relays screen in General tab.

Upon clicking Relays, the Relays screen will display.

Fig. 80.177. Relays screen in General tab.

The Relay screen will contain an Alert Priority setting and an Alert Requires Response setting.


Rly General

Relay General Tab

By default, the Relays screen opens in the General tab.

Fig. 80.178. 'Relay General Tab' Controls.

The various controls in General tab are explained below:

Device Name

The Device Name field is meant for entering a descriptive name for the relay. It is recommended to use names that describe the location or function of the relay.

Fig. 80.179. A 'Device Name' describing the function of a relay

Panel Name

A relay must be associated with a panel before the operating parameters are set for that relay. The 'Panel' control is used to do this. The 'Panel' control contains a list of all panels that were created in the Panels screen.

Fig. 80.180. The 'Panel' control.

To select a panel, click the arrow button to the right of 'Panel' control, scroll up or down to locate the desired panel and click on it. If no panel names are seen in the list, you need to create them in the 'Panels' screen. Refer to the manual section titled 'Panels' to do this.

Relay #

The Relay # selection control allows you to select which numbered relay you wish to activate on a given panel or any attached relay expansion cards.

Fig. 80.181. The 'Relay #' control.

By default, all on board and expansion card relays are disabled. They must be activated by a CA4K software configuration that is downloaded to the panel. The configuration instructs the panel as to which hardware it should enable, and with what operating parameters.

Note that some relay numbers may have been pre-assigned in the Readers screen. When you create reader definitions in the Readers screen, some relays are automatically assigned to doors (one odd numbered on-board relay per door, by default).

If you elect to create a relay record in the Relays screen that has the same relay number as a relay that has been assigned to a door in the Readers screen, you will be creating a 'duplicate relay definition'.

When you create a duplicate relay definition, the settings in the Relays screen will override the system defaults for the door relay. This is considered a 'Duplicate Definition'.

To select a relay number, click either of the arrow keys to the right of the Relay # field, or click in the white space and type a number.

Note: Each panel type has a different maximum number of onboard relays as follows.

Panel Type | Onboard Relays | Reader Relays (odd) | Expansion Relays | Console Relay
Accelaterm 8/16 | 1-16 + 73 | 1,(2),3,(4)5,(6)7,(8) 9,(10)11,(12)13,(14),15(16) | 17-72 | 73
Super Two | 1-4+73 | 1,3 | 5-72 | 73
8 door SuperTerm & Turbo SuperTerm | 1-16+73 | 1,3,5,7,9,11,13,15 | 17-72 | 73
4 door SuperTerm & Turbo SuperTerm | 1-8+73 | 1,3,5,7 | 9-72 | 73

Table 80.182. Panel Onboard Relay Numbers.

Note: The above table indicates that the MicroTerm can be configured with two readers as an option). The Universe has a total of 2 relays.

Notice in the table above, that the column marked 'Reader Relays' indicates the relay number range that is automatically assigned to Reader ports if they are activated. Remember though, that all relays on the panel can be assigned to any purpose that you choose, but if you create a door in the Readers screen, one (odd numbered) relay will be assigned to that door unless you manually override the automatic selection.

The CardAccess software automatically assigns the next available, lowest odd numbered relay (on the same panel), to the next reader record that you create. Door 1 always gets relay 1. Door 2 always gets relay 3, and so on.

  • The system has no way of determining which type of panel you are configuring. Thus, you must exercise caution that you do not attempt to create relay numbers that do

not exist on a given panel type

  • Some relay numbers may already be activated and allocated to reader ports on the selected panel. If you don't want to override the default settings for relays already

allocated to reader ports, do not create relay definitions in the Relays screen with the same relay numbers that were previously assigned to reader ports relays (see

Duplicate Definitions for more information).

The Accelaterm, SuperTerm, Turbo SuperTerm and SmartTerm panels can support relay expansion cards. The MiniTerm and MicroTerm cannot support expansion cards

Partition Group

The Partition Group selection control allows you to assign the current relay to a relay Partition group. Partition Groups are used for database partitioning and for manual control list filtering. For more information see the manual section titled Partition Groups.

Fig. 80.183. The 'Partition Group' control.

To select a Partition Group, click the arrow button to the right of 'Partition Group' control and click on the Group you wish to assign to the relay. If there are no Partition Groups visible in the list, you need to create one in the 'Partition Groups' screen under Operators. Refer to the Partition Groups topic under Operators topic. .

Times Section
The controls in 'Times' section are explained below.

Fig. 80.184. Relays screen 'Times' section.

Track Schedule

When you create a relay definition and enable it, that relay becomes operational. That is, the relay is activated by the panel logic and you now have the ability to energize the relay at some later time. The relay can be activated from a number of sources inside the CardAccess software (manual control button, link, time schedule, card read, etc.).

One of the available ways to activate a relay is to set a 'Track Schedule'.

Fig. 80.185. The 'Track Schedule' control.

The term 'Track Schedule', when it refers to a relay, means to have the action of the relay follow the action of the schedule (the relay 'tracks' the schedule). When the schedule is in effect, the relay is activated. When the schedule expires, the relay is deactivated (or the opposite behavior can be true, depending on the setting of Off-State-Energized control).

Thus, you can use a track schedule to hold a relay in an energized or de-energized state (output on) for some period of time, and then release the relay (output off) when the time schedule expires. The track schedule can be applied to any relay, regardless of what function it is assigned to.

To assign a track schedule, click the arrow to the right of the Track Schedule control, scroll up or down to locate the desired schedule and click on it.

If there are no selections available in the Track Schedule control, you need to create some in the 'Schedules' screen. Refer to the Schedules section to do this.

Energize Time

The Energize Time control selects the length of time that the relay will remain energized, before returning to normal.

Fig. 80.186. The 'Energize Time' control.

The default time is 0 seconds. When set to 0 seconds, the relay will not activate. The Energize Time must be set to a value greater than 0 seconds if you wish the relay to fire. The maximum Energize Time is 10,000 seconds (about 2.7 hours).

To set the Energize Time, click the arrow buttons to the right of the Energize Time control or click in the white space and type a number.

Manual Control Privilege

The Relays screen 'Manual Control Privilege' control works in conjunction with the 'Manual Relay Control' screen shown in figure 52.15 below.

Effectively, the Relays screen 'Manual Control Privileges' control assigns the relay to a 'filter group'. The filter group is intended to hide selected relays from the view of selected operators, in the 'Manual Relay Control' screen.

The effect is similar to database partitioning except that the object is to hide relays from view in the 'Manual Relay Control' screen only to prevent unauthorized manual activation of selected relays.

To launch the Manual Relay Control screen, click 'Relays'.

Fig. 80.187. The 'Manual Relay Control' screen.

Fig. 80.188. The 'Manual Relay Control' screen.

The Manual Relay Control screen allows operators to manually fire relays from inside the CardAccess software (see the manual section titled Manual Relay Control). Hiding selected relays will prevent unauthorized activation of those relays.

The Manual Relay Control screen uses the settings in the Operators screen, on the Privileges tab (Refer Device Control Privileges under 'Privileges Tab' in the section Operators of the currently logged in operator, to determine which of the relay privilege groups to make visible and which relays to hide, each time the Manual Relay Control screen is opened.

Enabled

The Enabled Checkbox activates or deactivates the relay at the panel.

Fig. 80.189. The 'Enabled' Checkbox.

When a relay is disabled, the relay is effectively 'dead'. The relay cannot be activated by any means, including a time schedule or link. When relays are not enabled, they rest in a 'relaxed' (un-powered), deactivated state.

To enable or disable the relay, click the 'Enabled' Checkbox. Checked means enabled, unchecked means disabled.

Off-State Energized

Effectively, relays have two hardware states; powered and un-powered. The default state for all newly created relay definitions is un-powered. When you create a new relay definition, the relay is enabled but no power is applied to the energizing coils of the relay by default.

Further, the CardAccess software recognizes two software states for a relay; 'Output On' and 'Output Off'. By default Output On (the 'on-state') correlates to the energized state of the relay, and Output Off (the 'off-state') correlates to the de-energized state of the relay.

The 'Off-State Energized' Checkbox allows you to reverse the resting state of the relay from un-powered to powered.

Fig. 80.190. The 'Off-State Energized' check box.

The drawing below graphically shows the electrical difference between off state de-energized (the normal state is un-powered) and off-state energized (the normal state becomes powered instead of un-powered).

Fig. 80.191. Relay Pin Out Connections (N.O. = Normally Open; N.C. = Normally Close).

Alert on Change

Fig. 80.192. The 'Alert on Change' Checkbox.

By default, relay event messages are not reported. If you wish to enable the reporting of 'Output On' and 'Output Off' event messages for a selected relay, click the 'Alert on Change' Checkbox.

Checked is enabled and unchecked is disabled (the default).

Alert Requires Response

Fig. 80.193. The 'Alert Requires Response' Checkbox.

'Alert Requires Response' box is not checked by default. In case a relay has this box checked, then all events from the selected relay will appear in the 'Alerts' grid of CardAccess main screen. Also, the Alert Acknowledge popup window will be displayed forcing the operator to manually acknowledge the alerts.

Note: Automatic alert acknowledgement feature will be disabled when 'Alert Requires Response' box is checked.

The manual alert acknowledgement feature will require the operator to type a Response Message in the Alert Acknowledge popup window and click the Acknowledge button to move the alerts from the 'Alerts' Grid into the 'Events' Grid.

Click the Checkbox to enable or disable the 'Alert Requires Response' feature. Checked means enabled, unchecked means disabled.

Dialup on Change (Not supported in CA4K)

Fig. 80.194. The 'Dialup on Change' Checkbox.

Alert Priority

Fig. 80.195. The Alert Priority Selection Control.

The 'Alert Priority' control is used to set the priority value for relay type event messages from a particular relay. There are only two events associated with Relays

'Output On' and 'Output Off'. A single alert priority is set for both event messages in this control. The priority set is used by the system to route event messages to

the Events or Alerts Grid.

The default Alert Priority loaded by the system for Relays is 1. System loaded priority

values can be changed as desired.

Note: Priority values set for the events in Relays screen will be overridden by Auto Ack Priority Set-Point value set in the System Settings screen. Auto Ack Priority

Set-Point control is explained under the Alerts tab in the System Settings section.


Map Tab1

Relays Map Tab

The Map Tab will look very similar to Map Tabs on other devices. This tab represents facility maps and not Dynamic maps.

Facility Map for This Device

This field displays the name of the map that is attached to the selected relay.

Fig. 80.196. The Alert Priority Selection Control.

Map Description

In this field, you can add a text description of the map.

View Maps

Clicking on 'View Maps' button will open the 'Configure Maps' screen where it is possible to create/edit a map.

Remove Map

The 'Remove Map' button is available only in 'Edit' mode. Clicking on the button will delete the map in question.


Locaction/Remarks Tab

Location/Remarks Tab

The Location/Remarks tab can be used to note the location of the relay and document remarks (if any) for the selected relay.

Fig. 80.197. The Location/Remarks tab..


Creating a basic Relay Definition

Note that when you create a new relay definition, the system provides the following default settings automatically (unless you override those settings by changing the settings in the appropriate controls).

  • Relay is enabled by default..

·

  • Relay is 'available' to be activated 24 hours per day, every day of the year.

  • Relay is set to be normally de-energized.

  • If there is a change in relay status, 'Output On' and 'Output Off' event messages will not be sent to the CardAccess host PC by the panel (you must enable them, if

preferred).

  • The 'Alert Requires Response' function is disabled.

  • The 'Dial Up on Change' function is disabled.

  • The alert priority is set to 1 by default.

  • Relay is not assigned to a Partition Group.

  • Relay has no Track Schedule assigned.

  • The relay Energize Time is set to 0 seconds. This means that the relay will not activate, even if it has been enabled and all other settings are correct. You must manually

set the energize time to a value greater than 0.

  • The Manual Control Privilege is set to 'All'. This means that all operators will have access to manually activate the relay in the 'Manual Relay Control' screen.

Follow the steps below to create a basic relay definition:

  • Open Relays screen by clicking on Configuration>Relays menu options in CA4K main screen. By default, the screen will open in General tab.

  • Click on New button in the toolbar.

Fig. 80.198. The 'New' button.

  • Click the down arrow to the right of Panel control and select a panel in the drop down list.

Fig. 80.199. The 'Panel' control.

Note: If no panel names are seen in the list, it means that panel definitions are not yet created. It is necessary that you define panels before you can proceed

with relay definitions. Number the relay in the Relay # control (See the heading Relay # for detailed information).

Fig. 80.200. The Relay # control.

Relay can be numbered in two ways as below:

1) Click the white space of 'Relay #' field and type in a number or

2) Use the up/down arrows to the right of 'Relay #' control and choose a desired number.

  • Click the white space of Device Name field and enter a descriptive name for the relay. A name that can describe the relay location/function is recommended.

Fig. 80.201. The 'Device Name' field.

  • Click on Save button in the toolbar to save the settings.

Fig. 80.202. The 'Save' button.

You have just created a relay definition with all of the default operational settings as mentioned in the first part of this section.

  • The 'Alert Requires Response' function is disabled.

  • The alert priority is set to 1 by default.

  • Relay is not assigned to a Partition group

  • Relay has no Track Schedule assigned

  • The relay Energize Time is set to 0 seconds. This means that the relay will not activate, even if it has been enabled and all other settings are correct. You must manually set the energize time to a value greater than 0.

  • The Manual Control Privilege is set to 'All'. This means that all operators will have access to manually activate the relay in the 'Manual Relay Control' screen.


Editing a Relay Definition

Follow the steps below if you wish to edit a Relay definition.

  • Open Relays screen by clicking on Configuration>Relays menu options in CA4K main screen. By default, the screen will open in General tab.

  • In the upper half of the screen, select the relay definition you wish to edit and click on it.

  • Make the desired changes to the controls in the folder tabs.

Notes:

The Relay # field cannot be edited. Relay # once set during Relay creation is not subject to change.

It is not possible to associate the selected relay with a different panel. In other words, a relay once associated with a particular panel is permanently attached to

that specific panel only. The system will not allow you to change the panel name in the Panel control.

  • Click on Save button in the toolbar to save the changes.

  • Click on Close button in the toolbar to close the screen.


Deleting a Relay Definition

Follow the steps below if you wish to delete a Relay definition.

  • Open Relays screen by clicking on Configuration>Relays menu options in CardAccess main screen.

  • In the upper half of the screen, select the relay definition you wish to delete and click on it.

  • ·Click on Delete button in the toolbar. Upon clicking, the following message box will be displayed.

Fig. 80.203. Message box displayed before deleting a relay record.

Note: Delete action cannot be reversed. A record deleted once is lost forever. Make sure you have chosen the correct record for deleting.

  • After confirmation, click on Yes button in the message box.

  • Click on Close button in the toolbar to close the screen.

Note: Deleting a relay definition will disable that relay at the concerned panel, thereby rendering the relay inoperative.


Facility Codes

MUST READ - VERY IMPORTANT NOTES:

  • To determine the facility code in a badge, please refer to the Continental Quick Help system and the FAQ's. They will provide a quick method of modifying the badge format to display facility code..

  • The CA4K provides the ability to enter 10 facility codes. If you need additional facility codes, there are a few methods to achieve it. The recommended method is to use Long Badge numbers. Another method is FACBADGE, but it is not recommended to use FACBADGE because you a limited to Max badge digits = 11. Facbadge was designed for a specific format. Please contact Continental Technical Support for additional information on both these methods.

It is possible for two clients of an access badge manufacturer to buy card lots with the same card number range. If the buildings for these two clients happened to be next door to each other, then cardholders from one building could gain unauthorized access to a neighboring building. Without some second level of security, badge holders from other companies, could gain unauthorized access to your facility.

The facility code is an additional number that is encoded on the badge, in addition to the badge number. The facility code and the badge number are read together and treated as one number. When these two numbers are combined together, they form a unique combination that is more secure than a badge number alone.

Facility codes are generally associated with 'batches' of cards. When you buy a 'batch' of access control cards, those cards are programmed with a badge number range (say 1 – 500). They also have a facility code programmed that is the same on every card in that batch. The code will generally be written on a label attached to the box that your cards were shipped in. Some card types have a spec sheet inserted inside the box that has the facility code on it.

Note: If you are using magnetic cards, then you will most likely be programming the card's mag track. When you program the facility code on the badge, you must convert the hexadecimal value to decimal and encode the decimal equivalent on the mag track, not the hexadecimal value. Using the Windows calculator, set to scientific mode, makes the conversion process easy.

Each Continental Instruments access control panel can store up to ten facility codes. This means that a given panel is capable of storing identical card numbers from up to ten different batches of cards. The need for using facility codes becomes important when you have a campus of several buildings and you want to prevent cardholders from accessing whole buildings on the campus. Each building can be assigned its own facility code. This makes it easy to prevent the cardholders from entering each others' buildings. However, all cardholders will need to have an access group for accessing the doors in their respective buildings.

Accessing Facility Codes Screen

  • Click on Administration menu in CA4K™ main menu bar

  • Click on Facility Codes option in the menu list.

Fig. 100.1. The 'Administration>Facility Codes' menu selection.

  • Upon clicking, the Facility Codes screen will be displayed as below.

    .

Fig. 100.2. The 'Facility Codes' screen.


Facility Codes Screen Controls

The controls in Facility Codes screen are explained below.

Panel

The Panel control consists of panel names that are created in the Panels screen. Using this control, you have to select the panel of your interest, for which, you wish to set facility code(s).

  • To select a panel, click the down arrow to the right of Panel control, locate the desired panel, and click on it.

Fig. 100.3. The 'Panel' control.

Codes section

The Codes section provides ten fields numbered from 1-10. These field numbers are referred to as facility numbers. Initially, all fields 1-10 show the default value 0 as in the figure below.

Fig. 100.4. The 'Codes' section showing fields 1-10 with default facility code = 0.

Each of these fields accepts a four digit hexadecimal value.

As an example, we have entered the hexadecimal value '2FA1' in field 1.

Fig. 100.5. Hexadecimal facility code 2FA1 entered in field 1.

Similarly, hexadecimal facility codes can be entered in the other fields (fields 2-10), for a selected panel. A given panel can thus be set to ten different hexadecimal facility codes, in the 'Facility Codes' screen.

To get these facility codes actually working at the selected panel, you must associate the badges that may attempt access at the selected panel with, the facility codes that are entered in the 'Facility Codes' screen. The 'Personnel' screen Facility control is used to do this.

Fig. 100.6. Personnel screen 'Facility' control.

What you enter in the 'Personnel' screen Facility control is not the actual hexadecimal code entered in the 'Facility Codes' screen. Instead, you will be entering the facility number (1-10) that corresponds to the hexadecimal code you wish to assign to the badges.

Suppose you wish to assign the facility code 2FA to a badge, you have to enter the value 1 (because, 2FA1 was entered in field 1, in our example) in the 'Personnel' screen Facility control, for that badge record.


Setting Facility Codes

Setting facility codes is a two-step process, involving two CA4K™ screens as mentioned below.

  • The 'Facility Codes' screen- In this screen, hexadecimal facility codes must be entered (using fields numbered 1-10), for a selected panel.

  • The 'Personnel' screen- In this screen, badges that may attempt access at the selected panel must be associated with facility codes that are entered in the 'Facility Codes' screen. This association is made in the Facility control, of the badge records.

The steps to be followed in these screens are explained in the following sections.

Entering Hexadecimal Codes in 'Facility Codes' Screen

  • Open Facility Codes screen by clicking on Administration>Facility Codes menu options in the CA4K.

  • Click on New button in 'Facility Codes' screen toolbar to create a new definition. Ten facility codes can be entered in a single definition.

  • Click the down arrow to the right of the Panel control, locate a desired panel name in the list, and click on it.

Fig. 100.7. Selecting a panel in 'Panel' control.

Ten facility codes can be entered for the selected panel.

In the Codes section of the screen, click on a desired field (among fields numbered 1-10), and type in a four digit hexadecimal value.

Fig. 100.8. Four digit hexadecimal code 2AF1 entered in field 1.

Note: All facility codes you enter must contain 4 digits. If a facility code has leading zeros, you must enter those leading zeros as well. When you save the record, the leading zeros will not display, but they will be stored in the database.

Similarly, you can enter (if necessary), hexadecimal codes in fields numbered 2-10, for the selected panel. To navigate to a desired field, make use of the 'Tab' button on your computer keyboard, or the mouse to click on a desired field.

  • Click on Save button in the toolbar to save the settings.

Facility codes can thus be set for all panels that you use in your CA4K™ system, by following the above steps.

In the figure below, we have entered facility codes in fields 1-3, for three of the panels used in our system.

Fig. 100.9. Facility codes entered in fields 1-3, for three of our panels.

Once saved, the facility codes set for a particular panel will work only when, the codes are associated with the badges that attempt to gain access at that panel. This association is made in the 'Personnel' screen as explained below.

Entering Facility Number in Personnel Screen

  • Open 'Personnel' screen by clicking on Access>Personnel menu options or by clicking the Personnel button in the CA4K™ main toolbar.

Fig. 100.10. The 'Personnel' screen.

In the upper half of the screen, select the personnel record to which, you wish to assign a facility number. For this demonstration, we are selecting the personnel Lucy Albers.

Fig. 100.11. Selecting a personnel record.

Notes:
  • The badge of the personnel you select will have a facility code encoded on the badge, in addition to the badge number. Access at

any panel is decided by the validity of both the parameters.
  • If no personnel records are seen in the upper half of the screen, create the records newly by clicking on New button in the toolbar, and entering the basic details like badge number, personnel name etc. Refer the section Personnel to learn about creating personnel records.

  • Obtain the facility number from the 'Facility Codes' screen.

  • The following steps are involved in noting the facility number, in the 'Facility Codes' screen.
  • In the upper half of 'Facility Codes' screen, locate the panel you want the selected personnel to have access, and click on that record.

  • Upon clicking, you will see facility codes (hexadecimal values) set for that panel in the lower half of the screen.

Among the codes, select the facility code you wish to assign to the personnel record in question.

Note the facility number (among 1-10 numbers) corresponding to that particular facility code.

In the figure below, we have selected facility code 2AF1 of Panel 1 (which Lucy Albers will access in our example), and noted the corresponding facility number as 2.

Fig. 100.12. Noting the facility number of a desired hexadecimal facility code.

  • In the Facility field (see control highlighted in the figure below) of the selected personnel record, enter the facility number that you have noted from the 'Facility Codes' screen.

In the figure below, we are entering the facility number 1 for the personnel record of Lucy Albers.

Fig. 100.13. Entering facility number in Personnel screen 'Facility' field.

The facility number can be entered by:

  • Clicking the white space of 'Facility' field and typing in the facility number you have noted

  • Using the up/down arrows to the right of 'Facility' spin control and choosing the number equal to the facility number you have noted.

  • Click the Save button on 'Personnel' screen toolbar to save the setting made for the selected personnel record.

  • Click on Close button in the toolbar to close the 'Personnel' screen.


Editing Hexadecimal Facility Codes

Follow the below steps if you wish to edit codes entered in the Facility Codes screen.

  • Open Facility Codes screen by clicking on Administration>Facility Codes menu options in CA4K™ main screen.

  • Under the Panel column in the upper half of the screen, locate the panel whose facility codes you wish to edit, and click on it.

  • On clicking, the lower half of the screen will show the hexadecimal facility codes entered for that panel.

  • In the Codes section, change the existing codes as necessary by clicking their respective fields, deleting the current codes (by using the Backspace/Delete buttons on your keyboard), and entering new codes in their place.

Also, you can add codes to empty fields, if any.

  • Click on Save button in the toolbar to save the changes. The changes made will be updated in the 'Facility' columns seen in the upper half of the screen.

  • Click on Close button in the toolbar to close the screen.


Deleting Facility Code Definitions

You may follow the below steps if you wish to delete facility code definitions.

  • Open Facility Codes screen by clicking on Administration>Facility Codes menu options in the CA4K™ main screen

  • In the upper half of the screen, select the Panel record you wish to delete, and click on it.
  • Click on Delete button in the toolbar. Upon clicking, the following message box will be displayed.

Fig. 100.14. Message box displayed before deleting a facility code record.

Note: Delete action cannot be reversed. A record deleted once is lost forever. Make sure you have chosen the correct record for deleting.

  • After confirmation, click on Yes button in the message box.

  • Click on Close button in the toolbar to close the screen


Badge Formats

MUST READ - VERY IMPORTANT NOTES:

  • There are five default formats in the CA4K software.

  • There are approximately 10 or more sample formats in the Continental Document library. A few of them are the 33, 34, 35 and 40 bit formats and other common ones.

Badge formats are not pre-programmed into the Continental access control panels. The formats are created in the Badge Formats screen of the CA4K™ software, and then 'downloaded' to the panels. Once the formats are stored at the panels, the panels will be programmed to 'recognize' the badge format types.
Accessing Badge Formats Screen

  • Click on Administration menu in CA4K™ main menu bar.
  • Click on Badge Formats menu item in the list.

Fig. 110.1. The 'Administration>Badge Formats' menu selection.

Upon clicking, the Badge Format screen will be displayed as below.

Fig. 110.2. The 'Administration>Badge Formats' screen.

A few standard formats are pre-programmed into the Badge Formats screen. These formats can be used without the need to create badge formats from scratch.

On the other hand, the CA4K™ system designer can design and implement a completely unique badge format as well. The system will allow you to design badge formats from scratch, program these formats onto cards, and have the access panels recognize the 'proprietary' formats.


What is a Badge Format?

In order to understand badge formats, we must first look at what actually happens when the system reads a badge. An access control system typically, has some kind of card reader connected through wires to an access control panel, and that panel is in turn connected through wires to a computer.

In the case of Continental Instruments designed access control systems, the panel is programmed with local intelligence. It is the panel that locally makes all of the decisions on who will gain access through a given door. The PC connection mostly exists to receive history and status messages from the panel about what access attempts have taken place.

The 'access scenario' most often seen at an entry door is, a cardholder steps up to a reader with an access card, and presents that card to a card reader. But what is actually happening at the reader? How does the reader get data from the badge? (For the purpose of this discussion, we assume that the card type used is designed to match the reader type used. That is, we get a successful read each time).

Every access card is 'encoded' with some kind of 'data string'. Essentially, some information is programmed into the card, and that information is 'dumped' to the reader when the card is presented to the appropriate reader type.

The reader (somehow) activates the card (the technology used to activate the card varies with the reader and card design) and the data content of that card is dumped to the reader memory (the card activates, dumps its data contents, then 'shuts off'). The reader then forwards that data stream to the panel, which evaluates it.

The data that is actually sent from the card to the reader is an unintelligible string of 'data bits' that looks like the figure below.

Fig. 110.3. A typical string of card data bits from a 36 bit format.

It is the badge format that gives description to this meaningless string of data bits. The badge format tells the panel how to divide the data bits into several logical (sub) groups of bits. Each sub- group of data bits is assigned a meaning, which is defined by the badge format.

At this point, it's helpful to look at the type of information that gets conveyed from the badge to the access control panel. What things might we want to know about a badge holder from the data stream on his access card? The answer to that question will define a badge format. The total number of bits needed on the badge will depend on how many data fields are needed on that badge.

As an example, let us examine the (standard) 36-bit format. Embedded in this format are a Facility Code (16 bits), a Badge Number (16 bits) and an Issue Level (2 bits).

Notice that we have not accounted for two bits out of the 36 total bits (16 badge number bits+ 16 facility code bits+ 2 issue level bits= 34 bits only). The first bit and the last bit of this format are part of a checking calculation (see Parity Calculation for details).

Fig. 110.4. 36 Bit (Weigand) Format.

In the figure above, the 36-bit format graphic shown is divided into five subsections. The system knows to 'parse' the bit stream into the subsections shown above, because that information is programmed into the Badge Formats screen shown in the figure below.

The 36 bit example we have been discussing is taken from the actual badge Format 1 which is one of the predefined badge formats that Continental has created for you. The figure below is a definition for Format 1, from the Badge Formats screen.

Fig. 110.5. 36- bit format.

The controls seen in figure above are explained below.

Format No

The 'Format No' control will show the number assigned to the badge format in question.

Fig. 110.6.. The 'Format No' field.

Note: A maximum of 10 badge formats are allowed in the screen and you must not have two formats with the same length..

Name

The 'Name' field is used to enter a descriptive text label you wish to give to the badge format in question.

Fig. 110.7. The 'Name' field.
Badge Format Type

Five primary badge format types are available for selection in the 'Badge Formats' screen. They are: - ABA, Non ABA, Insertion, Key and FacBadge.

Each of these formats is briefly explained below.

  • ABA – ABA is a format type created by the American Banking Association.

  • Non ABA – A format not adhering to the ABA standard.

  • Insertion – A bi-directional format designed to be used with swipe or Insertion type readers.
  • Key - A format designed to be used with Weigand key badges

  • FacBadge - A format designed to be used with the new 'Facility/Badge Concatenation' feature. This format can only be used with Max badge digits = 11. This format type was designed for a specific application. It is not recommended to use FACBADGE. Using the long badge digits method is preferred method. .

  • PIV - A format used for PIV badges.

Note: Each of the above formats can also be set to 'No Degrade' mode by selecting the corresponding No Degrade option in the 'Badge Format Type' drop down list.

Fig. 110.8. The 'Badge Format Type' drop down list.

Note: Normally, the ABA, Non ABA, Insertion, Key and FacBadge badge formats allow access during Degrade mode. In Degrade mode, a panel will ignore badge numbers and time schedules, but will only evaluate the facility code on a badge to determine the access permission.

If 'No Degrade' option is selected for a badge format (see figure above), the badges will be denied access when the concerned panel is set to work in Degrade mode.

To select a badge format of choice, click the down arrow of 'Badge Format Type' control (see figure above), and then click on a desired format in the list.

Bit/Char Length

Non-ABA badge formats are decoded as bits. Whereas, the ABA formats are decoded as characters. The 'Bit/Char Length' control is used to specify the total number bits or characters present in a given badge format.

Fig.110.9. The 'Bit/Char Length' control.

For non-ABA formats you will enter the number of bits, and for ABA formats, you will enter the number of characters in this control.

All Types Section

The 'All Types' section provides controls for specifying the string location (Offset) and the length of the Badge ID, Facility and the Issue that are fixed for a particular badge format. For information on string Length and Offset, refer the heading Bit Position, Offset and Length below.

Fig. 110.10. The 'All Types' section

Note: The length of Badge ID, Facility and Issue for non-ABA formats must be specified as number of bits. Whereas, the length for ABA formats must be specified as number of characters.

Non ABA Type Section

The 'Non ABA Type' section will be visible when the badge format in question is of Non-ABA type.

Fig. 110.11. The 'Non ABA Type' section.

This section provides controls for specifying the string location (offset) and the length for Even and Odd Parity calculations, for a particular Non-ABA type badge format.

Refer the heading Parity Calculation for more information.

ABA Types Section

The 'ABA Types' section will be visible when the badge format in question is of ABA type.

Fig. 110.12. The 'ABA Types' section.

This section provides controls for specifying the string location (offset) and the characters for Start Sentinel, End Sentinel and the Field Separator characters seen on a particular ABA badge format.

Bit Position, Offset and Length

The terms Bit Position, Offset and Length can be explained with the help of the figures below.

Both figures below depict the same 36-bit format. Both figures are identical except for the bit position numbering method used. Figure 110.13 shows the count of bits from left to right numbered sequentially, starting with the left most bit as bit #1.

Figure 110.14 is also numbered sequentially from left to right, but the count starts at '0'. The reason for this is that, in the bit offset method of counting bits, the left most bit (bit '0' location) is used as a reference point to locate the rest of the bits in the string.

Each bit is counted as being so many places to the right of the first, or 'zero' bit. So 'offset' means 'offset to the right of the first bit in the bit string' (the first bit has a zero offset, the second bit is offset one bit to the right of the first bit, the third bit is offset two bits to the right of the first, etc).

Fig. 110.13. Bit Positions – 36 Bit Format

Fig. 110.14. Bit Offsets – 36 Bit Format.

When you type in the 'Offset' and 'Length' in the Badge Formats screen, what you are really saying to the software is, "when you see a bit stream from a badge, count n bits to the right of the left most bit. Then count off the next n bits, stop counting, and use the bits you have just stored as the Badge Number (or the Facility Code, etc.).

In the specific case of the standard, Continental supplied 36-bit format, the first bit is a parity check bit. Then you count one bit to the right of the first bit, and you are located on the first bit of the Facility Code. You then count 15 more bits to the right and you find the last bit of the Facility code information. If you then count off the next 16 bits, you will find the Badge Number. The next two bits are the Reissue number. The last bit is another parity check bit (see figure below).

Fig. 110.15. 36 Bit Badge Data Format with Fields Delineated and Labeled

If we now take a close look at the figures above, and compare what you see in each field. You will see that both figures represent two different ways to describe the same data structure.

The information that is filled into the Offset and Length fields of a badge format, tells the (panel) software where in the badge data string to look for the Facility Code, the Badge Number and other data items included in the data string.

So, when we are creating badge formats (in the Badge Formats screen), we are actually telling the system how to 'decode' strings of data bits from the readers. The system does this by counting the bits as they are received and then parsing those bits into groups of bits. What those groups of bits represent is described in the Badge Formats screen by the titles on each of the fields ('Badge ID', 'Facility', 'Issue', etc.).

When you set up your system, it is imperative that you have a badge format in the Badge Formats screen that exactly matches the type of badge you intend to use. If one bit is unaccounted for in your format, the entire system may not read badges. This means that you must know what type of badge format you intend to use for your system, and you must be sure it is programmed correctly.

Fortunately, the CA4K™ software already has a few standard, time tested badge formats pre-programmed into the Badge Formats screen.


Predefined Badge Formats

Upon opening the Badge Formats screen, you will see a few badge format records in the upper half of the screen. These are the standard badge formats that are pre-programmed and shipped with the CA4K™ software.

Fig. 110.16. Badge Formats screen view window showing the standard badge formats available by default in the CardAccess 4K software.

The format type represented by each of them is as follows:

Format 1 represents the Insertion 36 Bit Format

Format 2 represents the ABA 19 Character Format

Format 3 represents the Non-ABA 26 Bit Format

Format 4 represents the Non-ABA 31 Bit Format

Format 5 represents the Non-ABA 37 Bit Format


Format 1

Format 1 – Insertion 36 Bit Format

On highlighting 'Format 1' record in the Badge Formats screen view window, the lower half of the screen will show the following settings.

Fig. 110.16. Settings for format 1 - 36 bit insertion format.

Referring to these settings, the data structure for the format can be constructed as below.

Fig. 110.17. Data structure for format 1 - 36 bit Weigand/HID.

Specifications for this format are as follows:

  • The badge format type is set to Insertion.

  • This data format is 36 bits long.

  • The data string starts (read left to right) with an odd parity bit.

  • The odd parity calculation is performed on the left most eighteen bits.

  • The next sixteen bits are the facility code.

  • The next sixteen bits are the badge number.

  • The next two bits are the issue level.

  • The data string ends with an even parity bit.

  • The even parity calculation is performed on the right most eighteen bits.

This 36 bit format can be used with Weigand swipe readers, HID 36 bit proximity readers and Recognition systems 36 bit Biometric hand and fingerprint readers. Any device using the 36 bit format will work using this predefined format. A reader does not have to be an 'Insertion' type to work with this 36 bit format. See below for more details.

The 'Insertion' badge format type (historically) refers to a type of Weigand brand reader that has a slot in it, which accepts an access badge. This type of reader is unique because it is one of several designs of readers that allow the bit stream from a badge to be read forward and backward (one simply turns the card around, and inserts it the opposite way around). Note that the (Weigand) 'swipe' type reader also allows you to read a badge bit stream forward and backward (swipe in the opposite direction, as opposed to turning the card around).

Time and Attendance logging is a CardAccess 4K related application where reading a bit stream backwards would be helpful. When setting up the system for Time and Attendance logging, you have the option to use two separate readers, one set up as an IN reader, and one set up as an OUT reader. However, using one reader to read both the IN and OUT card swipes would lower the total cost of the access control project. Using one reader for T&A IN and OUT is permitted by the system.

So, if you were to use a swipe type reader for this application, when clocking IN you would swipe your badge in a forward motion, when clocking out you swipe your badge in the opposite direction.

When you create a badge format and set it as 'Insertion' type, the Continental access control panels become programmed to evaluate the badge bit stream as swiped in either direction (left to right or right to left). The ability to evaluate a badge when swiped backward is the primary difference between the 'Insertion' badge format type and other types. Other badge format types do not allow backward swiping of badges. That is, if the badge format stored at the panel is not an Insertion type, the panel will not attempt to read the bit stream backward. A backward badge read will be thrown away as an error.

Parity Calculation

In the figure below, on the lower right side of the diagram, there are two fields that concern parity calculations. One is called Odd Parity and the other is called Even Parity. The entries in these fields tell the software how to check the incoming badge data string to make sure it has not been corrupted during transmission.

The parity check digit is a standard method of checking a data string to be sure that it has not been corrupted during its journey through wires. A parity check digit or bit is added to a data string (usually at the end) and that digit or bit is used as a reference to check the integrity of the rest of the data bits.

To create the parity check bits that are used for the 36-bit format, the 36-bit format is divided into two, 18-bit formats. A calculation is made on each 18-bit format individually (Figure 60.17).

One bit is added as the first bit in the data string, to cause the first half of the data string to have an odd number of ones. A second bit is added as the last bit in the data string. This causes the second half of the data string to have an even number of ones.

This odd and even parity is checked on every card read to be sure that the data has not been corrupted between the reader and the panel.

Note

  • Corrupted badge reads are thrown away by the panel without any other action, and with no error messages of any kind from the panel to the PC.

  • There are two alternate ways to set the parity calculation for the 36-bit format. The above-mentioned method suggests dividing the format into equal halves. This will work with most 36-bit cards. However, if you are using Motorola/Indala cards, they will not work with this parity calculation. They require the parity settings as seen in figure 60.18 below.

If you install your system and all the settings seem to be right, but the system is not reading cards correctly, try the parity settings as seen in the figure below.

Fig. 110.18. Alternate weigand 36 bit format parity settings.


Format 2

Format 2 – ABA 19 Character Format

On highlighting 'Format 2' record in the Badge Formats screen view window, the lower half of the screen will show the following settings.

Fig. 110.19. Settings for format 2 – 19 character ABA format.

Referring to these settings, the data structure for the format can be constructed as below.

Fig. 110.20. Data structure for format 2 – 19 character ABA magnetic stripe format.

Specifications for this format are as follows:

  • This data format has 19 total characters.

  • The data string starts with a 'Start Sentinel', which will always be the letter 'B' (capital).

  • The facility code consumes the next 5 digits.

  • The next character is a 'Field Separator', which will always be the letter 'D' (capital).

  • The next 6 characters are the badge number (note the maximum 6 digit badge number).

  • The five characters following the badge number are not used.

  • The last character is the 'End Sentinel'. This will always be the letter 'F' (capital).

  • There is no check character programmed into this format.

The ABA 19-character format is generally used when encoding magnetic stripe or barcode type cards. The ABA standard was developed for the American Banking Association for use with ATM and credit cards. In the access control application, some of the data characters available in this format are not used.

In this card format, the data structure is expressed in characters instead of number of bits (as it was in Format 1).


Format 3

Format 3 – Non-ABA 26 Bit Format

On highlighting 'Format 3' record in the Badge Formats screen view window, the lower half of the screen will show the following settings.

Fig. 110.21. Settings for format 3 - 26 bit non-ABA format.

Referring to these settings, the data structure for the format can be constructed as below.

Fig. 110.22. Data structure for format 3 – 26 bit non-ABA format.

Specifications for this format are as follows.

  • The badge format type is set to Non ABA.

  • This data format is 26 bits long.

  • The data string starts (read left to right) with an even parity bit.

  • The even parity calculation is performed on the left most thirteen bits.

  • The next eight bits are the facility code.

  • The next sixteen bits are the badge number.

  • Issue level field is not used.

  • The data string ends with an odd parity bit.

  • The odd parity calculation is performed on the right most thirteen bits.

The 26-bit format is a well-known standard format and is identical in many ways to the 36-bit format, Format 1. This format has parity bits at the beginning and ends of the data string and is a Non ABA type (like Format 1).

This format is used by Motorola (Indala) readers. The Recognition Systems hand and finger type biometric readers and HID proximity readers are also available with 26-bit output and can use this format with no changes.

Note that the data string is divided into two halves, and parity is calculated separately on each half (like Format 1). Note that Even parity is calculated on the left half of the data string and that Odd parity is calculated on the right half of the string which is opposite of the way it is done in Format 1.

Note that the standard 26-bit format does not provide an Issue Level field.


Format 4

Format 4 – Non-ABA 31 Bit Format

On highlighting 'Format 4' record in the Badge Formats screen view window, the lower half of the screen will show the following settings.

Fig. 110.23. Settings for format 4 - 31 bit non-ABA format.

Referring to these settings, the data structure for the format can be constructed as below.

Fig. 110.24. Data structure for format 4 – 31 bit non-ABA format.

Specifications for this format are as follows.

  • The badge format type is set to Non ABA.

  • This data format is 31 bits long.

  • The data string starts (read left to right) with an even parity bit.

  • The even parity calculation is performed on the left most seventeen bits.

  • The next two bits are the issue level.

  • The next eight bits are the facility code.

  • The next sixteen bits are the badge number.

  • The data string ends with an odd parity bit.

  • The odd parity calculation is performed on the right most seventeen bits.

Note that the parity calculation for this format is different from Format 1 and Format 3. Here, there are three bits in the center of the format that are used for both parity calculations. These three bits 'overlap' both the odd and the even calculations.


Format 5

Format 5 – Non-ABA 37 Bit Format

On highlighting 'Format 5' record in the Badge Formats screen view window, the lower half of the screen will show the following settings.

Referring to these settings, the data structure for the format can be constructed as below.

Fig. 110.25. Settings for format 5 - 37 bit non-ABA format.

Specifications for this format are as follows:

  • The badge format type is set to Non ABA.

  • This data format is 37 bits long.

  • The data string starts (read left to right) with an even parity bit.

  • The even parity calculation is performed on the left most nineteen bits.

  • The next two bits are the issue level.

  • The next 16 bits are the facility code.

  • The next sixteen bits are the badge number.

  • The data string ends with an odd parity bit.

  • The odd parity calculation is performed on the right most nineteen bits.

Note that the parity calculation for this format is different from Format 1 and Format 3. Here, there are bits in the center of the format that are used for both parity calculations. These bits 'overlap' both the odd and the even calculations.


Pre-programmed Access Cards vs Programmable Access Cards

Essentially, there are only two kinds of access cards. They are:

  • Cards having pre programmed data -

These are the access cards that are purchased from a supplier. Such cards will have a standard badge format (please see Predefined Badge Formats for details).

  • Cards that are programmable by the user -

Barcode and magnetic stripe cards fall into this category. Custom badge formats need to be created for such cards.

Details on each of these card types follow.

Pre-programmed Access Cards

Weigand cards, HID proximity cards and Motorola/Indala cards are the examples of pre-programmed access cards. The badge data string is encoded into each card by the manufacturer. These cards are well known and the formats for cards from these manufacturers are already programmed into the CA4K™ software.

Pre-programmed cards have some advantages and disadvantages as listed below.

Pre-programmed Access Card Advantages -

  • There is no need to get data on these cards. The badge data string will be encoded into each card by the manufacturer. This proves to be time saving.

  • Badge formats are well known and already programmed into the CA4K™ software.

Pre-programmed Access Card Disadvantages -

  • Unit price is higher.

  • It is much harder to get cards with duplicate badge numbers and higher issue levels.

Programmable Access Cards

Examples of programmable access cards are magnetic stripe cards and barcode cards. Magnetic stripe cards are plain PVC plastic cards with an electronically programmable magnetic stripe embossed on the card. You can encode magnetic stripes with a special card printer available from Continental Instruments. Barcode is printed on blank, plain PVC plastic cards using a standard card printer, also available from Continental Instruments.

Programmable Access Card Advantages

  • You can exercise complete control on what data gets programmed on the card.

  • Initial price per unit is lower.

  • You can use a 'standard' badge data format or create your own 'proprietary' format.

  • Badges can be made to work with multiple manufacturers' systems (such as CA4K™ and a Time and Attendance system).

  • It is easy to reissue cards with the same badge number (reissue levels).

  • You can print as many or as few cards as you need, when you need them.

Programmable Access Card Disadvantages

  • More time is needed to program these cards.

  • More technical complexity is involved. The CA4K™ administrator must create badge programming data strings in the badge editor software. He will be responsible to ensure that the badge format is entered correctly and is working properly.


Creating a standard Badge Format

Examples of access cards having standard badge formats are:- Weigand, HID, Motorola/Indala, 26 bit, 36 bit and more. In case you are attempting to create badge formats for such cards in the CA4K™, you may begin with the following two very important steps.

  • In case you have purchased the access cards from a supplier, ask that supplier to provide you with a description of the badge format.

  • Draw a diagram of your badge format as per the figure below. This will act as your guide and will make it easy to count characters or bit places as you create the format. Remember that if you misstate even one bit of the badge format in your description, it is likely that the system will reject all card reads. The format that you create in the 'Badge Formats' screen must be exact.

If you purchase all of your supplies from Continental Instruments, the readers and cards will be a matched set and the badge format will be well known to Continental technicians, who can help you set up the system.

The 36-bit format (Format 1) and the 26-bit format (Format 2) are the most commonly used because they are widely adopted standards. Format 2 is most often used with magnetic stripe cards and barcode cards.

Note:

  • There are essentially two kinds of badge data types; ABA and Non-ABA. Both data types have the same data fields available to them – 'Badge ID', 'Facility' and 'Issue'. If you are using magnetic stripe cards or barcode cards, you must include Badge ID (it is a required field) in your badge format. Facility and Issue are optional.

  • If some or all of the CA4K™ predefined badge formats are missing or corrupted, you can restore them quickly by clicking the Default button at the top of the 'Badge Formats' screen.

    Fig. 110.26. Diagram of 36-bit Badge Format.

Below are the steps to create a 36-bit format.

  • Draw a diagram of your badge format.

  • Open the 'Badge Formats' screen by clicking on Administration>Badge Formats menu options in the CA4K™ main screen.

  • Click the New button in 'Badge Formats' screen toolbar.

  • In the Name field, enter a descriptive name for the badge format you are creating.

Fig. 110.27. The 'Name' field.

Click the down arrow to the right of Badge Format Type control and choose a desired format type. 'Insertion' type is selected in the figure below.

Fig. 110.28. The available badge format types

  • In the Bit/Char Length control, set the total bit length of the format equal to 36.

Fig. 110.29. The 'Bit/Char Length' spin control.

There are two ways to set the number.
  • Clicking the white space of 'Bit/Char Length' control and typing in the number.

  • Using the up/down arrows to the right of the spin control to choose the required number.

  • Click the Offset field for Badge ID, and type in the number 17. Similarly enter the Length for Badge ID as 16.

Fig. 110.30. Offset and Length fields for Badge ID.

  • Click the Offset field for Facility, and type in the number 1. Similarly enter the Length for Facility as 16.

Fig. 110.31. Offset and Length fields for Facility code.

  • Click the Offset field for Issue, and type in the number 33. Similarly enter the Length for Issue as 2.

Fig. 110.32. The 'Offset' and 'Length' fields for Issue.

  • Click the Offset field for Even Parity, and type in the number 18. Similarly enter the Length for Even Parity as 18.

Fig. 110.33. Offset and Length fields for Even Parity.

  • Click the Offset field for Odd Parity, and type in the number 0. Similarly enter the Length for Odd Parity as 18.

Fig. 110.34. Offset and Length fields for Odd Parity.

  • Click on Save button in the toolbar to save the settings.

On clicking the 'Save' button, the format will be automatically downloaded to the concerned panel(s).

Note: You cannot create two very similar badge formats. The system will have a logical error trying to differentiate which format it should use. Any two badge formats you create must be uniquely different enough for the system to recognize each of them. As a general rule, do not create two formats with the same number of bits.


Creating a custom Badge Format

When creating a custom format, you will be limited to using cards that do not have a pre-programmed format on them. Barcode and magnetic stripe cards are the only two types of cards that can be considered.

There will be nothing different about the badge format that you create for magnetic stripe cards vs. barcode cards. Both will use the ABA badge format type. Within the framework of the ABA type, certain start and stop characters are required (not optional). Also you must include the badge number as a required field. However, Badge Number is the only required field. Facility Code and Issue Level are optional.

Note: The total number of bits read from any badge cannot exceed 255. Therefore any custom non-ABA format Bit/Char length cannot exceed 255 bits, and any custom ABA format cannot exceed 53 characters (each ABA character is 5 bits)

You will need to follow the steps below in order to create a custom format.

  • Make a diagram of your proposed format. This will act as your guide and will make it easy to count characters as you create the format. Remember that if you misstate even one character of the badge format in your description, it is likely that the system will reject all card reads. The format that you create in the 'Badge Formats' screen must be exact.

    Fig. 110.35. Data structure for the standard 19- character ABA format.

When creating your data structure diagram, bear in mind that there are some required items and some optional items. You can modify the above standard data structure for your own use, but consult the requirements lists below before creating your format.

Custom Format Required Items

  • The Start Sentinel and the End Sentinel are required. The position of those fields in the data structure must be at the beginning and at the end of the data string. However, the characters themselves can be any characters 0-9 or A-F (any hexadecimal character). We will use the standard characters in these examples.
  • The Badge ID field is required. The position of this field in the data string is optional, it can be placed anywhere in between the Start and End Sentinels.

Note: The system will allow a maximum of 19 badge digits. The 'Badge' field in ABA formats cannot exceed 19 digits, and the Badge field in non-ABA formats cannot exceed 63 bits.

Custom Format Optional Items

  • The order of the data fields does not matter. As long as required fields are included in the data string, which field appears in the string first is not important, except for the Start and End Sentinels which must be placed at the extreme ends of the string.
  • The Field Separator character is optional. If you wish to adhere to the ABA standard you will include the field separator character. However, it can be eliminated without penalty.

  • The Facility code field and the Issue level field are both optional. They can be eliminated from the badge format with no penalty.

Fig. 110.36. The standard 19-character ABA Format.

Note: When you set any of the data fields to Offset = 0 and Length = 0, or if you leave them blank, it means that those fields are not used.

Let's create two example custom formats to illustrate the process.

Custom Badge Format Example 1

The constraints for this badge design are: - we will allow a 5-digit badge number on the badge and there will be no other data encoded on this badge. This would represent the simplest badge format the system will allow.

First, let's construct a data diagram.

Fig. 110.37. A custom 7- character badge format.

Now let's construct the above format in the 'Badge Formats' screen.

Fig. 110.38. Custom 7- character badge format created.

Follow the steps below.

  • Open the Badge Formats screen by clicking on Administration>Badge Formats menu options in the CA4K™ main screen.

  • Click the New button in 'Badge Formats' screen toolbar.

Copy the values seen in figure in the figure above into the respective fields.

  • Give the badge format a descriptive name in the Name field.

Note:

Observe that the total Bits/Char length is seven characters, not five. The length calculation includes the Start and End Sentinels. In an ABA format, the count is in number of characters, not bits.

Observe that the Start Sentinel begins at offset zero and the End Sentinel begins at offset six. Each Sentinel is one character wide. Sentinel characters in custom formats are not limited to 'B' and 'F'. Sentinels can be any character 0-9, or A-F, but the Start and End Sentinels cannot be the same character

Click on Save button in the toolbar to save the settings.

Custom Badge Format Example 2
In this format, we will allow a five-digit badge number. We will also allow a one-digit issue level field and an 8-character field for future use. There will be no facility code for this format.

Again, let's construct a data diagram first.

Fig. 110.39. A custom 16- character badge format.

Now let's construct the above format in the 'Badge Formats' screen.

Fig. 110.40. Custom 16- character badge format created.

Follow the steps below.

Open the Badge Formats screen by clicking on Administration>Badge Formats menu options in the CA4K™ main screen.

  • Click the New button in 'Badge Formats' screen toolbar.

  • Copy the values seen in the figure above into the respective fields.
  • Give the badge format a descriptive name in the Name field.

Note:

  • Observe that the total Bits/Char length is sixteen characters. The length calculation includes the Start and End Sentinels. In an ABA format, the count is in number of characters, not bits.

  • Observe that the Start Sentinel begins at offset zero and the End Sentinel begins at offset fifteen (see Figure 60.39 above). Each Sentinel is one character wide. Sentinel characters in custom formats are not limited to 'B' and 'F'. Sentinels can be any character 0-9, or A-F, but the Start and End Sentinels cannot be the same character.

  • Observe that we have added eight characters to the data string that are not used by the CA4K™). These characters could potentially be used by another device that can read a bar code or magnetic stripe.

  • Observe that we have limited the Issue level to 1 character (see figure above). That means that we will allow up to 9 total re-issues (1-9). In case 2 characters were entered, a maximum of 99 re-issues were possible. Note that when you encode a badge that has never been reissued, the Issue level is set to 0.

Magnetic stripe and bar code cards make it easy to replace lost cards with cards that have the same card number. You simply create another identical card. This is called 'reissuing' the card. Issue level refers to how many times the card has been reprinted for the user.
  • Click on Save button in the toolbar to save the settings.

Note: You cannot create two very similar badge formats. The system will have a logical error trying to differentiate which format it should use. Any two badge formats you create must be uniquely different enough for the system to recognize each of them. As a general rule, do not create two formats with the same number of characters.


Deleting a Badge Format

Follow the steps below if you wish to delete a badge format.

  • Open the Badge Formats screen by clicking on Administration>Badge Formats menu options in the CA4K™ main screen.

  • In the upper half of the screen, locate the badge format you wish to delete and click on it.

Note: Deleting a Badge Format could disable all badges in the system! Select only unused badge formats for deleting.

  • Click on Delete button in the toolbar. Upon clicking, the following message box will be displayed.

Fig. 110.41. Message box displayed before deleting a badge format.
  • After confirmation, click on Yes button in the message box.

  • Click on Close button in the toolbar to close Badge Formats screen.


Restoring Default Badge Formats

If you accidentally delete one or all of the default badge formats that are available in CA4K™, you can restore them by following the steps below.

WARNING: The steps below will delete all of the existing formats in the screen, and restore only the default formats that are available in the software. If you have added custom formats into the system, DO NOT default the badge formats without saving the information for the custom formats.

  • Open the Badge Formats screen by clicking on Administration>Badge Formats menu options in the CA4K™ main screen.

  • Click on Defaults button in the toolbar.

Fig. 110.42. The 'Default' button.

Upon clicking, the following message box will be displayed.

Fig.110.43. Message box displayed on clicking the 'Default' button.

  • Click on Yes button in the message box.

  • Click on Close button in the toolbar to close the 'Badge Formats' screen

The default formats will be automatically downloaded to all panels after restoration.


Downloading Badge Formats to Panels

If you are having problems reading badges, you may need to download the badge formats to the concerned panel(s) manually. The following steps will be involved.

  • Open the Panels screen by clicking on Configuration>Panels menu options in the CA4K™ main screen.

  • Click on Download button in the 'Panels' screen toolbar.

Fig. 110.44. The 'Download' button.

  • Upon clicking, the Download Categories screen will be displayed as below.

Fig. 110.45. The 'Download Categories' screen.

In the 'Download Categories' screen, click on Badge Formats Checkbox

  • On Checkbox selection, the 'Download Panel' and the 'All Panel' buttons will be enabled (see figure below).

  • Click on 'Download Panel' button if you are downloading badge formats to only a particular panel or click on 'All Panels' button if you are downloading badge formats to all panels in the system.

Fig. 110.46. The 'Download Panel' and 'All Panels' buttons.

Note: These buttons will be enabled only after the 'Badge Formats' Checkbox is selected. .

  • On clicking one of the buttons, the following message box will be displayed.

Fig. 110.47. Message box displayed before downloading badge formats to panel(s).

  • After confirmation, click on OK button in the message box to start the download.

At this point, badge format downloading would have begun if communications to the panel is operating.
  • Click on Close button in the toolbar to close the 'Panels' screen.


Holidays /Holiday Calendars

MUST READ - VERY IMPORTANT NOTES:

  • To use Holiday Calendars, you MUST enable Holiday Calendars in System Settings>System-wide settings. .

  • There is one Holiday calendar enabled by default.

  • You can enable up to four additional Holiday calendars for a total of five Holiday calendars.

  • Each Holiday calendar can contain up to 100 holidays.

  • Prior to the release of V1.1.x, a total of 500 holidays (5 calenders X 100 holidays) were allowed system wide. In V1.1.x or higher, each panel or lock can have up to 5 holiday calendars.

By default, the CA4K™ contains one default holiday calendar. The name of the calendar is Default Calendar. The Default Calendar can contain up to 100 holidays. in addition to the one default holiday calendar, you can enable and configure up to four additional holiday calendars. To enable multiple holiday calendars, it requires enabling holiday calendars in System settings This will be covered in a later topic.

Note: V1.1.x allows for up to five holiday calendars with 100 holidays per calendar, per panel/lock.

Accessing the CA4K™ Holidays Screen:

  • Click Administration>Holidays on the CA4K™ menu bar.

Fig. 175.1. The 'Holidays" selection on the main menu.

Upon clicking the 'CA4K™ Holidays menu selection, the Holidays screen displays with the Default Calendar.

Fig. 175.2. The 'Default Holiday Calendar' screen.


Adding a Holiday

Adding Holiday using Default Calendar

VERY IMPORTANT: You must Enable Holiday Calendars in System Settings prior to using Holiday Calendars.

Follow the steps below to Add Holiday to the CA4K™ Default Calendar:

  • Open the Holidays screen by clicking Administration>Holidays in CA4K main screen.

NOTE: Do not click New to add a holiday. The New button is to add a new Holiday Calendar which will be covered in a later topic.

Fig. 175.3. The 'Default Calendar' screen. .

  • Click Add Holiday button to add a Holiday.

  • Upon clicking the Add Holiday button, the screen will display a default holiday record with Date column showing the current date, and Start
    and Stop Times spanning 24 hours.

Changing the Date can be done in two ways as below:

  • Select the date for the holiday in the Date control.

  • By typing a date of choice in the Date control. The date must be in MM/DD/YY or MM/DD/YYYY date format.

Fig. 175.4. 'Holiday List'.

Fig. 175.5. The Holiday 'Date'.

  • The default Start Time defaults to 12AM. The default Start Time and End Time is a span 24 hours (that is, 12 AM- 12 AM as in figure below). If the default time Start Time is not acceptable, change it to the required Start Time.

Fig. 175.6. The Holiday 'Start Time'.

  • The default End Time defaults to 12AM. If the default End Time is not acceptable, change it to the required End time.

Fig. 175.7. The Holiday 'End Time'..

  • Click on Save button in the toolbar to save the settings.

  • Click the Cancel button anytime if you do not wish to save the settings.

  • Click the Close button to close the screen.


Editing a Holiday

Editing a Holiday using Default Calendar

To edit a holiday record, follow the steps below:

  • Open the Holidays screen by clicking Administration>Holidays on the CA4K™ main menu. .

  • Click on the holiday record you wish to edit.

Upon clicking, the lower half of the screen will show the details of the selected holiday record. Make the desired changes to Date, Start Time and Stop Time controls.

  • Click on Save button in the toolbar to save the changes.

  • Click on Close button to close the screen.


Deleting a Holiday

Deleting a Holiday using Default Calendar

To delete a holiday record, follow the step below:

Open the Holidays screen by clicking Administration>Holidays in the CA4K™ main menu.

  • Click on the holiday record you wish to delete.

Upon clicking, the following message box will be displayed.

Fig. 175.8. Message box displayed before deleting a holiday record.
  • Click on OK button in the message box to delete the selected holiday record.
  • Click on Close button to close the screen.

Note: Deleting a holiday record in Holidays screen will automatically delete the corresponding record stored at the panel.


Adding a Holiday Calendar

By default, Holiday Calendars are not enabled. Follow the steps below to enable Holiday Calendars in System settings:

  • Click System>System-Wide Settings>General tab.

  • Select Enable Holiday Calendars

  • Click Save.

  • Click Close.

Fig. 175.9. System Settings. .

Follow the steps below to open the Holidays screen and add a new Holiday Calendar.

  • Click Administration>Holidays on the CA4K™ menu bar.

  • Click New to add a new Holiday Calendar.

Note: If the New button is disabled, you must verify Enable Holidays Calendars is selected in System Settings.

Fig. 175.10. The 'Holiday Calendar' screen. .

  • Type in a Calendar Name for the new Holiday Calendar. For our example, type in Teachers.

Fig. 175.11. The 'Holiday Calendar Name' box.

  • Click Save.

  • The Teachers Calendar is added without any holidays specified.

  • Using the Add Holiday and Delete Holiday buttons, configure the holidays as below for the Teachers calendar.

Fig. 175.12. The 'Teachers Calendar' with holidays configured.


Editing a Holiday Calendar

To edit a holiday calendar, follow the steps below:

  • Open the Holidays screen by clicking Administration>Holidays on the CA4K™ main menu. .

  • Click on the holiday calender record you wish to edit. The Holiday Calenders are listed in the upper half of the screen. The bottom half of the screen will display the holidays assigned to the selected Holiday Calendar. .

  • Make the desired changes to Date, Start Time and Stop Time controls of the configured holidays.

  • Click on Save button in the toolbar to save the changes.

  • Click on Close button to close the screen.


Deleting a Holiday Calendar

To Delete a holiday calendar, follow the steps below:

  • Open the Holidays screen by clicking Administration>Holidays on the CA4K™ main menu. .

  • Click and select the holiday calendar record you wish to delete. The Holiday Calender records are listed in the upper half of the screen.

  • Click on Delete button.

Fig. 175.13. The 'Delete' Confirmation box. .

  • Click Yes on Confirmation message. .

Fig. 175.13. The Calendar 'Delete' Confirmation box. .

  • Click on Close button to close the screen.


Operators

MUST READ - VERY IMPORTANT NOTES:

  • Prior to creating a NEW Operator, you must configure Partition Groups (only if Database Partitioning is being used) and Privilege Roles.

  • It is recommended to create another Full Admin Operator account prior to changing the password on the default Admin account.

  • The Operator login password must consist of at least one letter, number and special character. The default password for the CA4K is admin@4k

  • After an import of CA3000, all user passwords except the admin user are changed to user@4K.

Logging into CA4K™ software requires a user name and password. Login names in CA4K™ are called 'Operators'. The Operators screen is used for creating the Operator Login Identities.

The Operators screen is closely associated with Operator Privileges and Roles screen that is used for creating operator access permission 'templates'. Each operator must be assigned a Privilege Role that will determine his permission level to the various menus, fields and controls in the CA4K™ software. For more information on Operator Privileges and Roles, refer the topic 'Privileges and Roles'. Included with Privileges and Roles is Partitions. If Database Partitioning is being used, you also must configure the Partition Groups.

Accessing Operators Screen

  • Click on Administration menu in CA4K™ menu bar.

  • Click on Operators menu item in the list.

Fig. 115.1. The 'Operators' menu selection screen.

Upon clicking Operators, the Operators screen will be displayed as below.

VERY IMPORTANT: Prior to clicking New Operator, you will be required to configure Partition Groups (Setup Partition Groups) and Privileges and Roles (Setup Privileges).

Fig. 115.2. The 'Operators' screen.

The screen will open in the General tab and show the default 'Admin' operator record. The screen name 'Admin' is used when an operator is logging into CA4K™ for the first time.


General Tab7

General Tab

The General tab has controls that are used to set up the login parameters of a given operator. The controls and their functionality are explained below.

Fig. 115.3. Default settings seen in General tab when Operators screen in opened.

Login Name

The Login Name field is the name for logging into the CA4K™ software.

Fig. 115.4. The 'Login Name' field.

Password

The Password field is meant for entering the operator's login password. The CA4K software requires a strong password unlike the CardAccess 3000.

NOTE: The password must consist of at least one letter, number and special character. The default password for the CA4K is admin@4k

Fig. 115.5. The 'Password' field

Confirm Password

The Confirm Password field is meant for re-entering the Password that was entered into the 'Password' field explained above.

Fig. 115.6. The 'Confirm Password' field

Logoff Time

The Logoff Time is an 'inactivity timer'. The setting in this field determines how many minutes the CA4K™ will allow the main monitoring screen to remain open, before closing the main screen down and reverting back to the log in screen.

This timer is started when the user activities such as mouse clicks and keyboard entries cease in CA4K™ GUI. When the timer expires, the Operator is automatically logged out of CA4K™ and a new operator login is required to regain access to CA4K™ menus.

This timer prevents unwanted tampering in the case where the logged in operator has walked away from the CA4K™ equipped PC. Each operator can have their own unique timer setting, or all operators can be set to the same value.

The selectable time range is from 1 to 99999 minutes. There is an option to disable Auto Logoff below the Enabled Checkbox. .

Fig.115.7. The 'Auto-Logoff Time' spin control.

The time value can be changed by

  • Typing a desired number in the 'Auto-Logoff Time' spin control or
  • Using up/down arrow of the spin control to choose a desired number

Invalidate Password

When an operator's password has been impersonated, the CA4K™ Administrator may like the concerned operator to change his password for security reasons. Firstly, the operator's current password has to be invalidated (disabled forever) by using the 'Invalidate Password' control.

Fig. 115.8 The 'Invalidate Password' button control active in New/Edit modes.
Upon clicking the Change/Invalidate Password button, the concerned operator will have to change his password during his next CA4K™ login.

Enabled

The Enabled checkmark is selected by default and enables the operator for use with the CA4K™.

Fig. 115.9 The 'Enabled' checkmark.

Administrator

The Administrator checkmark when selected, flags the operator as an Administrator.

Very Important: The Administrator Checkbox selection does not provide any additional privileges to the user.

Fig. 115.10 The Administrator Flag.

Disable Auto Logoff

The Disable Auto Logoff checkmark when selected prevents the CA4K™ from auto-logging off.

Fig. 115.11 The 'Disable Auto Logoff" option.

Privilege Role

The Privilege Role provides a template for assigned Privileges and Partitions.

Note: You must select a Privilege Role for each operator.

Fig. 115.12 The 'Privilege Role' selection.

Upon selecting a predefined Privilege Role, right clicking the Privilege Role will provide a selection to Show Privileges and Show Partitions assigned to the Privilege Role.

Fig. 115.13 The 'Privilege Role' right click menu.

Manual Control Privilege

Note: Using Manual Control Privileges is optional and is rarely used.

The Manual Control Privilege provides additional privilege levels for using the Manual Controls. Readers, Relays, Links and Activity Links can be grouped into nine privilege levels namely 'Priv 1-8' or 'All'. In theory, assigning privilege levels works very much like the CA4K™ 'Groups' function. All hardware devices (readers, relays, links and activity links) that have been assigned a Priv level of 1 belong to a group, those that have a Priv Level of 2 belong to another group, etc. However, in this case the group that each of those devices belongs to, is used for the purpose of manual control permissions. The results of the filter are seen only when you open a manual control screen.

Fig. 115.14 The 'Manual Control Privilege' selections.


Personal_Op

Personal Tab

The Personal tab fields under Operators contains the following fields and controls.

NOTE: In the CA4K, you must enter a First Name and Last Name for all operators that are created.

First Name

This field is for entering the First Name of the Operator.

Fig. 115.14 The 'First Name' Field.

Last Name
This field is for entering the Last Name of the Operator.

Fig. 115.15 The 'Last Name' Field.

Phone Number

Fig. 115.16 The 'Phone Number' Field.

Enable SMS
This field enables SMS (Texting) messaging for the selected Operator.

  • Select Enable SMS.

  • Select a Provider from the drop-down list.

Fig. 115.17 The 'Enable SMS' selection.

Enable Paging (Not used much anymore)

This field enables Paging for the selected Operator.

  • Select Enable Paging.

  • Select a Provider from the drop-down list.

Fig. 115.18 The 'Enable SMS' selection.

Enable Email

This field enables Email Notification for the selected Operator.

  • Select Enable Email Checkbox.

  • Select a Provider from the drop-down list.

Fig. 115.19 The 'Enable Email' selection.

Import Personal Information

The 'Import Personal Information' button provides the ability to import Badgeholders Personal Information in.

Fig. 115.20 The 'Import Personal Information' button.


Event Viewing Tab

The Event Viewing tab determines how many events will be retained in the CA4K™ Events Grid, for the current operator. Each operator is permitted to have a different setting for viewing events.

The smallest number of viewable events possible is 10. The largest number of viewable events is 250. The default setting is 100.

The number of viewable events can be changed by:

  • Typing a desired number in the Number of Events to Retain in View spin control or

  • Use up/down arrow of the spin control to choose a desired number.

Note: The value set in the 'Number of Events to Retain in View' field will take effect only when the concerned operator logs out and logs back in to CA4K™ again.

Further, the value set in the 'Number of Events to Retain in View' field, will determine the number of events in the 'recent events view'. The recent events view is obtained by clicking the 'Recent' button on the top right side of the CA4K™ main toolbar.

As an example, let the Number of Events to Retain in View field be set to 100 as shown in the figure below.

Fig. 115.21. The 'Event Viewing' tab.

On logging out and logging back in, the CA4K™ events window will display the most recent one hundred events only. All other events in the database will be filtered out. Suppose the control is set to ten, the most recent ten events will be displayed. Thus, the display is constantly filtered to remove the view of all but the 'n' most recent events, where n equals the number you set in the 'Number of Events to Retain in View' control.

Note: If this setting is changed, the operator must log out and log back in for it to take effect.


Creating an Operator Definition

.

NOTE: Prior to creating a new Operator, it is required to configure Privileges and Roles and also Partition Groups (if Database Partitioning is being used).

For our demonstration, we will create two operators (CSmith and PJones) to coincide with the Partitions and Roles (Science Admin and Math Admin) that were created in the Privileges and Roles topics.

  • Open Operators screen by clicking on Administration>Operators menu options in CA4K™ main screen. The screen will open in General tab by default.

Fig. 115.22. Operators screen in General tab.

Upon confirming the Privileges Roles and Partition Groups are configured,

  • Click on New button in the toolbar.

The General Tab controls must be configured as explained below.

  • In the Login Name field, enter a login name for the operator.

Fig. 115.23. The 'Login Name' field showing an operator's Login Name.

  • In the Password field, enter the password that the operator will be using to log in to CA4K™.

Fig. 115.24. Password of an operator shown as asterisks.

Note: If the Password doesn't meet the minimum requirement, the following error message will display..

Fig. 115.25. Password complexity error screen.

  • In the Confirm Password field, enter the password that was previously entered for the Password.

Fig. 115.26. Password of an operator shown as asterisks.

The Logoff Time field will show the default value 5 automatically assigned by the system.

Fig. 115.27. Default 'Auto-Logoff Time' value assigned by the system.

The Logoff Time is an 'inactivity timer'. The setting in this field determines how many minutes the CA4K™ will allow the main monitoring screen to remain open before closing the main screen down, and reverting back to the log in screen. The operator will be required to log in again to regain access to the CA4K™ main screen.

The default time indicated can be changed to any number in the range 1-99999 minutes.

Note: The Auto-Logoff can be disabled by selecting the Disable Auto Logoff check box.

The default time value can be changed by :

  • Typing a desired number in the Auto-Logoff Time spin control or

  • Use up/down arrow of the spin control to choose a desired number

The Auto Ack Time field will show the default value 5 assigned automatically by the system.

Fig. 115.28. Default 'Alert Ack Time' value assigned by the system.

The Auto Ack Time is a timer that determines how long an alert will remain in the 'Alerts' Grid before it is automatically acknowledged and moved to 'Events' grid.

The default time indicated can be changed to any number in the range 1-9999 seconds. Operators can have the same ack time or different ack times

The default time value can be changed by:

  • Typing a desired number in the Alert Ack Time spin control or

  • Use up/down arrow of the spin control to choose a desired number.

The operator's alert ack timer is started whenever an alert appears in the Alerts Grid. When the timer for that alert expires, the alert will automatically be moved from the Alerts Grid to the Events Grid.

On a new system, the Privilege Role control shows the default Privilege Role of 'CA4K Administration'.

  • Click on Privilege Role and select the predefined Privilege Role called Science Admin.

Fig. 115.29. Privilege Role set to CA4K Administration. .

Note: The Science Admin Privilege Role is one of the two Roles we created under Privileges and Roles.

To select a different Privilege Role, click the down arrow to the right of Privilege Role control, scroll up or down to locate the desired Privilege Role, and click on it.

Manual Control Privilege

Note: Using Manual Control Privileges is optional and are rarely used.

In the Manual Control Privilege area, select the desired Checkboxes to assign device control privileges for the current operator.

Note: These Checkboxes work in conjunction with the 'Manual Control Privilege' controls in the Readers, Relays, Links and Activity Link screens.

Fig. 115.30. Checkboxes to control 'Manual Control Privilege' of the operator.

Fig. 115.31. Readers, Relays, Links 'Manual Control Privilege' control.

Using these control, you can set up a filter (if desired) to hide selected doors, relays or links from the operator's view in manual control screens (available by clicking Doors, Relays, Links and Activity Link buttons in CA main toolbar). This will prevent the operator from having the ability to manually activate those devices in manual control screens.

Operator Device Control Privileges operate under the following rules:

If no Device Control Privileges are assigned in the Operator record (which is the default setting), privilege level settings are ignored and the operator will have access to all devices listed in any of the manual control screens (doors, relays, links or Activity Links), provided that the 'Manual Control Privilege' field in the hardware screens is set to 'All

If you assign only one permission level ( say Priv 4) to the operator, the operator would be allowed to see only those devices with 'Priv 4' or 'All' selected in the 'Manual Control Privilege' field of each manual control screen.

Note: The Device Control Privilege settings for the operator will take effect only when the operator logs out and logs back in to CA4K™ again.

Manual control filter will work only when Manual Control Privileges are assigned to the hardware devices. This is explained below.

Applying Manual Control Privileges to Hardware Devices

Note: Using Manual Control Privileges is optional and are rarely used.

Readers, Relays, Links and Activity Links can be grouped into nine privilege levels namely 'Priv 1-8' or 'All'. In theory, assigning privilege levels works very much like database partitioning. All hardware devices (readers, relays, links and activity links) that have been assigned a Priv level of 1 belong to a group, those that have a Priv Level of 2 belong to another group, etc. However, in this case the group that each of those devices belongs to, is used for the purpose of manual control permissions. The results of the filter are seen only when you open a manual control screen.

Manual Control access is provided to an operator under the following rules.

If you assign the selection Manual Control Privilege = All to any hardware device, that hardware device can be manually activated by the operator, regardless of his privilege level setting in Operators screen Privileges tab.

If you set any privilege 1-8 on a given hardware device, that device becomes hidden from the operator in case he does not have that specific numbered privilege assigned in his Operator screen profile.

Perform the steps below to assign a manual control privilege to a hardware device.

  • Open the Readers, Relays, Links or Activity Links screen, available from the Configuration menu in CA4K main screen. All the screens open in General tab by default.

Fig. 115.32. Readers, Relays, Links and Activity Links menu options in Configuration menu.

Upon opening the Doors (Readers), Relays, Links or Activity Links screens, you can locate the Manual Control Privilege control at the bottom of the screen (in General tab).

Fig. 115.33. Readers, Relays, Links and Activity Links menu options in Configuration menu.

Fig. 115.34. 'Manual Control privilege' control in Relays screen General tab.

Fig. 115.35. 'Manual Control privilege' control in Links screen General tab.

Fig. 115.36. 'Manual Control privilege' control in Activity Links General tab

Note: Before assigning any of the Manual Control Privileges to the hardware devices (Readers, Relays, Links and Activity Links), it is necessary to decide which of the hardware devices the operator will be allowed access in the system

  • Click on a desired Manual Control Privilege option in the list.

  • Click on Save button in the toolbar to save the settings.

Repeat the above steps for every hardware device that you wish to filter out of the manual control default list.

  • Close the Reader/Relays/Links/Activity links screen by clicking on Close button in the toolbar.

 Personal Tab

  • Configure the Personal tab as per the previous pages.

    Note: It is required to enter a First name and Last name under the Personal tab.

Event Viewing Tab

  • Configure the Event Viewing tab as per the previous pages.

Create a second Operator with a different Privilege Role

For our demonstration, we will create a second Operator (PJones) and assign a different Role (Math admin) to the operator.

  • Open Operators screen by clicking on Administration>Operators menu options in CA4K™ main screen. .

  • Click on New button in the toolbar.

  • In the Login Name field, enter a login name for the operator. A maximum of 32 characters can be entered.

Fig. 115.23. The 'Login Name' field showing an operator's Login Name.

  • In the Password field, enter the password that the operator will be using to log in to CA4K™.

Fig. 115.24. Password of an operator shown as asterisks.

  • In the Confirm Password field, enter the password that was previously entered for the Password.

Fig. 115.25. Password of an operator shown as asterisks.

On a new system, the Privilege Role control shows the default Privilege Role of 'CA4K Administration'.

  • Click on Privilege Role and select the previously configured Privilege Role called Science Admin.

Fig. 115.29. Privilege Role set to CA4K Administration. .

Note: The Math Admin Privilege Role is one of the two Roles we created under Privileges and Roles.

Leave all other settings under General Tab at the default.

Personal Tab

  • Configure the Personal tab as per the previous pages.

    Note: It is required to enter a First name and Last name under the Personal tab.

  • Click Save after configuring the second operator.

Upon creating the two Operators, the Operators screen should look similar to the figure below.

Note: If you created the Partition Groups and Privileges and Roles as per their associated topics, the two operators created above should be Partitioned Operators. Refer to the Database Partition topic to review the sequence of the steps.


Editing an Operator Definition

Follow the steps below if you wish to edit an operator record.

Note: Only operators with administrative rights may edit the operator records.

In the upper half of the screen, select the operator record you wish to edit and click on it.

Make the desired changes to the controls in the folder tabs -General, Event Viewing, and Privileges.

  • Click on Save button in the toolbar to save the changes.

  • Click on Close button in the toolbar to close the screen.


Changing Operator Password

An operator's password can be changed in the following ways:

Changing Password within Operators screen

  • Using the Change/Invalidate Password button in the Operators screen, the CA4K™ Administrator can decide to change or invalidate an operator's password, and then have the operator change his password during his next login. Refer to the Invalidating an Operators Password topic for details. .

Changing Password during CA4K™ login.

  • Using the 'Change Password' button- An operator can choose to change his password using the Change Password button, in the CA4K Log In screen.

Changing Password using 'Change Password' Button
An operator may follow the steps below to change his password during CA4K™ login.

Double-click the CardAccess 4K Launcher shortcut on your desktop to launch the CA4K™ software.

Fig.115.36. CA4K Launcher Shortcut on Desktop.

Upon double-clicking the CA4K Launcher, the CA4K Log In screen will be displayed.

Fig.115.37 CA4K Log In screen.

  • Type in your User Name and Password correctly in the fields provided

Upon typing in the Password, the Change Password button gets activated.

  • Click the Change Password button.

    Upon clicking, the Password Change window will display.

Fig.115.38. The 'Password Change' window for changing an operator's password.

  • In the Password Change window, enter the Current Password and then a new password, confirm Password, and click the OK button

Note: The new password should be documented and saved in a safe location.


Invalidating an Operators password

Note: It is recommended that the right to invalidate a password be given to the CA4K™ administrator only.

Following are the steps to invalidate an Operator's password.

  • Open Operators screen by clicking on Administration>Operators menu options in the CA4K™ main screen. By default the screen will open in the General tab

  • Under the Name column in the upper half of the screen, select the Operator whose password you wish to invalidate (disable), and click on that record.

  • Click on Change/Invalidate Password button.

Fig.115.39 Change/Invalidate Button

Upon clicking the Change/Invalidate Password button, the following message box will be displayed.

Fig. 115.40. Message box displayed before invalidating a password.

  • After confirmation, click the No button in the message box to invalidate the password of the selected operator.

  • Click the Save button on the toolbar.

  • Click the Close button to close the screen.

NOTE: Once an operator has his password disabled (Invalidated) this way, he needs to change his password during his next CA4K™ login. .


Password Change after Password Invalidation

An operator may follow the steps below after his password has been invalidated in the Operators screen.

  • Double-click the CA4K Launcher shortcut on your desktop to start the CA4K™ software.

Upon clicking the CA4K Launcher icon, the CA4K log in screen displays.

Fig. 115.41. CA4K Launcher Shortcut on Desktop.

Fig.115.42. CA4K Log In screen.

Type in your User Name and Password in the respective fields, and click the OK button

Note: The password you enter in the Log In screen must be the password that was 'invalidated' in the Operators screen.

Upon clicking OK, you will see the Change Password window.

Fig.115.43. The 'Change Password' window.

In the Password Change screen, enter the Current Password and a New Password (something other than the invalidated password). Then enter the New password again in the Confirm Password box. Click the OK button.

A password change is thus accomplished.

Note: It becomes necessary to remember the new password for future CA4K™ logins.


Deleting an Operator Definition

Follow the steps below if you wish to delete an operator record.

  • Open Operators screen by clicking on Administration>Operators menu options in CA4K™ main screen. By default, the screen will open in General tab.

  • In the upper half of the screen, select the operator record you wish to delete and click on it.

  • Click on Delete button in the toolbar. Upon clicking, the following message box will be displayed

Fig. 115.44.. Message box displayed before deleting an operator record.

  • After confirmation, click on Yes button in the message box.

  • Click on Close button in the toolbar to close the screen.


Partition Groups Configuration

MUST READ - VERY IMPORTANT NOTES:

  • Creating Partition Groups is optional. There is one default Partition Group called Admin. You can use this for everything.

  • Partition Groups are used for Database Partitioning and Reports.

  • Prior to configuring Partition Groups, you must have all the Configuration items and Devices created for the Partitions (ex. Panels, Readers, Schedules, Access Groups, Personnel...).

The Operators screen in CA4K has been totally redesigned from the CardAccess 3000. It is used for creating operator access permission templates. An access permission template will determine the permission level of an operator to the various menus, fields and controls in CA4K™.

The Operators screen contains a Setup Partition Groups button. Refer to the following pages for the configuration/setup of Partition Groups.

Partition Groups in the CA4K are very similar to Groups in the CardAccess 3000. Their main function is for Database Partitioning.

Note: There is one partition created by default during the installation of the CA4K. The name of the default partition is Admin Partition. If you are not using Database Partitioning, you can use this default partition for all new operators.

.


Creating a Partition Group

Accessing Setup Partition Groups Screen

  • Click on Administration menu in CA4K™ menu bar
  • Click on Operators.
  • Click on Setup Partition Groups.

Fig. 115.45. The 'Setup Partition Groups' button on the Operators toolbar.

Upon clicking Setup Partition Groups, the following screen will display.

Note: As previously mentioned, one default Partition Group (Admin Partition) is created on a new installation. If you are not using Database Partitioning, you can use this
default Partition Name for all new operators.

Fig. 115.46. The 'Setup Partition Groups' screen.

To configure a new partition and assign devices to them, perform the following steps.

  • Click New.

  • Type in a descriptive Name for the Partition. For our example, we will type Science Building.

Fig. 115.47. The 'Partition Name' box..

On the left side of the screen, the Configuration and Devices will display. You will be required to select the Configurations and Devices that will be associated with the new Science Building Partition.

  • Expand the Configuration and Device folders and select the ALL the Configuration and Devices associated with the Science Building.

  • Click Save.

Fig. 115.48. The 'Configuration and Devices' box on left. .

Upon clicking Save, all the selected items for the Science Building will move over to the right side (List of devices in currently selected partition which are configured). Refer to the figure below.

Fig. 115.49. The List of Configurations and Devices assigned to the Science Building Partition (right box).

Repeat the same steps as above for creating a second partition for the Math Building.

  • Click New.

  • Type in a descriptive Name for the second Partition. For the second partition, we will type Math Building.

On the left side of the screen, the Configuration and Devices will display. You will be required to select the Configurations and Devices that will be associated with the new Math Building Partition.

  • Expand the Configuration and Device folders and select the ALL the Configurations and Devices associated with the Math Building.

  • Click Save.

Fig. 115.50. The List of devices assigned to the Math Building Partition.

Upon clicking Save, all the selected items for the Math Building will move over to the right side (List of devices in currently selected partition which are configured). Refer to the figure below.

Fig. 115.51. The List of Configurations and Devices assigned to the Math Building Partition (right box).

Upon completing the above steps, you must configure Privileges and Roles also under the Operators screen.


Operator Privileges

Operator Privileges and Roles

MUST READ - VERY IMPORTANT NOTES:

  • By default, the system provides predefined Roles. The CA4K Administration is one of the predefined Roles that provides Full Control.

  • Prior to configuring Privilege Roles, please verify Partition Groups are created if you are using Database Partitioning.

  • The GuardStation Plug-in displays the Event and Alert grid.

The Operator Privileges screen has been totally redesigned from the CA3000. It is used for creating operator Roles and Privileges templates. A Role and Privilege template will determine the permission level of an operator to the various menus, fields and controls in CA4K™.

Every operator must be assigned a predefined Role. This is done in 'Operators' screen under the Setup Privileges.

A Role created in Setup Privileges screen can be assigned to as many operators as you wish.

Accessing Operator Privileges Screen
  • Click on Administration menu in CA4K™ menu bar
  • Click on Operators.
  • Click on Setup Privileges.

Fig. 115.52. The 'Setup Privileges' toolbar button.

By default, the system provides predefined Roles. The CA4K Administration is one of the predefined Roles as shown in the upper half of the screen. All these predefined Roles (and every 'new' Role you create) are offered to you as 'full access' Roles. The full access Roles (All Privileges) will allow an operator to have complete access to all CA4K™ menus, buttons and screens.

Note: If you wish to create a 'limited Privilege' Role, you need to subtract access to Plug-ins and selected menus, buttons and screens from the full access Role.

The Setup Roles and Privileges screen will be displayed as shown in the figure below. The General tab will be selected by default when this screen display.
The two left boxes on the bottom of the screen consists of selectable Plug-ins. The two right boxes on the bottom of the screen consists of Operator Privileges.

Fig. 115.53. The 'Setup Roles and Privileges' screen.


Creating an Operator Priviledge Template

Creating an Operator Privilege Role

Follow the steps below to create an Operator Privilege Role.

  • Click on Administration

  • Click on Operators.

  • Click on Setup Privileges.

Fig. 115.54. Setup Privileges button.

Upon clicking Setup Privileges, the Setup Roles and Privileges screen will be displayed as shown in the figure below. The General tab will be selected by default when this screen opens.

The two boxes on the bottom left of the screen consists of selectable Plug-ins. The two boxes on the bottom right of the screen consists of Operator Privileges.

Notes:

  • If you wish to create a limited Privilege Role, you need to subtract access to selected menus, buttons and screens from the Operator Privileges.

  • By default, the system provides predefined Roles. The CA4K Administration is one of the predefined Roles as shown in the upper half of the screen. All these predefined Roles (and every 'new' template you create) are offered to you as 'full access' templates. The full access templates will allow an operator to have complete access to all CA4K™ menus, buttons and screens.

Fig. 115.55. The 'Setup Roles and Privileges' screen.

CREATE NEW ROLE

Notes:

  • Configuring a Role is accomplished by assigning Plug-Ins, configuring Privileges and assigning predefined Partitions.

  • A Role created in the Setup Roles and Privileges screen can be assigned to as many operators as you wish.

  • Every operator must be assigned a Role.

To create a new Role, perform the following steps.

Note: For our demonstration, we will create two new Roles named Science Admin and Math Admin.

  • Click New.

  • Type in Science Admin for the Role descriptive name.

Fig. 115.56. Setup Roles and Privileges screen.

By default, all menus in CA4K™ are completely accessible by any operator who logs into the software with the default login. If you wish to limit the access of certain menus, you can do so by using the controls provided on the General tab of the Setup Roles and Privileges screen. This tab provides controls that are required to prevent the selected menu items from being used by a given operator, or to change the access permission level of the operator with respect to the selected menu items.

General Tab (bottom half of screen)

The General tab (bottom half of screen) is divided into two sections. The left half of the screen consists of the Plugins and the right half of the screen consists of the Menu Privilege Levels.

Assigning Plugins

Very Important: The GuardStation plugin displays the Event and Alert grid. Failure to assign this plugin will result in the Event and Alert grid not displaying.

  • By default, all Operator Plugins are Unassigned on a newly created Privilege Role. You must assign Plugins to the Role.

  • Select one or more Plugins you wish to assign. Click the Single arrow to move the selected Plugins or click the Double right arrow to move All Plugins to the Assigned Plugins box on the right.

Fig. 115.56. Setup Roles and Privileges screen.

Upon assigning Plugins to the Role, the assigned Plugins will display in the right box. Refer to the figure below.

Fig. 115.57. Setup Roles and Privileges screen.

Configuring Privileges

Note: By default, all Plugins have Full Control (All Permissions enabled) for the associated menu. Operator privileges provides the ability to hide portions of the associated menu.

To configure Privilege Levels, perform the following steps.

.

  • Click an Assigned Plugin to change the Privilege Level on that Plugin and its sub menu components.

Note: For the Science Admin Role, we will leave Full privileges.

Fig. 115.58. Plugins and Privileges configuration screen.

Generally, you will be selecting an Assigned Plugin (by clicking it), and then be clicking on one of the Privilege Level buttons on the right side. This will apply the 'state' indicated on the button to the selected menu item. The functionality of the individual buttons is detailed below.

Full Access

This is the default state of all menus and menu items in CA4K™. It is displayed as a Green Checkmark. In this state, the operator can create new records, delete existing records and edit existing records in all screens. This is the highest level of access permission that can be given to an operator.

Read Only
Every menu item of a CA4K™ menu is capable of opening a screen in CA4K™ GUI. When 'View Only' button is applied to a menu, the operator will only be allowed to view the screens corresponding to menu items, contained in the selected menu. But he will not have editing privileges on those screens. In other words, he will not have create/edit or delete permissions on those screens.
Create Only
Every menu item of a CA4K™ menu is capable of opening a screen in CA4K™ GUI. When Create Only button is applied to a menu (having a + mark) in 'Menu Items' section, the operator will be allowed to create new records and delete existing records in the screens corresponding to menu items, contained the selected menu. But he cannot edit the existing records in those screens.

Edit Only

In this state, the operator can only edit existing records in all screens.

Create/Edit

In this state, the operator can create new records and edit existing records in all screens.

Disable

 When this button is applied to a menu (having + mark), most or all of the menu items contained in that menu will be disabled. This is the lowest level of access permission that can be given to a CA4K™ menu.

A red circle is shown against the menus and menu items that are in 'Disable' state.

Assigning Predefined Partitions (Partition tab)

Note: For our demonstration, we created two Roles and will be assigning the Science Partition to the Science Admin Role and the Math Partition to the Math Admin role.

To assign predefined Partitions, perform the following steps.

  • Click Partition tab.

    Note: In many cases, the default Admin Partition will be used except when Database Partitioning is used.

  • Select one or more Partitions in the left box

  • Click the Right Arrow to move them to the Assigned Partitions box on the right.

Fig. 115.59. Partition Assignment screen.

Fig. 115.60. Setup Roles and Privileges screen.

  • Click Save.

Note: The following steps are the same as the previous steps for a second Role named MATH ADMIN.

On the Setup and Privileges screen, perform the following steps.

  • Click New.

  • Type in Math Admin for the Role descriptive name.

Fig. 115.61. Setup Roles and Privileges screen.

Select one or more Plugins you wish to assign to the Math Admin Role.

  • Click the Double right arrow to move All Plugins to the Assigned Plugins box on the right.

Fig. 115.62. Setup Roles and Privileges screen.

Configuring Privileges on the Math Admin Role

Note: By default, all Plugins have Full Control (All Permissions enabled). For the Math Admin Role, we will leave it at Full privileges.

.

Assigning Partitions to the Math Admin Role

  • Click Partition tab.

  • Select the Math Building Partition in the left box.

  • Click the Right Arrow to move the Math Partition to the box on the right.

Fig. 115.63. Setup Roles and Privileges screen

  • Click Save.


Creating second level privileges

MUST READ - VERY IMPORTANT NOTES:

  • In addition to limiting privileges, you also have the ability assign a second level of privileges.

This feature provides the ability to apply another level of privileges to configuration/device data.

For example:

Allow a user to have full access to certain number of card holders while having read only access to all other card holders.

This can be achieved by creating two Partitions (or Groups as in CA3000) and assign “Full Access” to one partition and “Read Only” to another partitions and assign both Partitions to that user’s privileges so that partial devices/configures will have access as per 2nd level privileges. Also should make sure Operator’s main privileges should have full screen access.

Please note that, Primary privileges assigned in Operator screens have presidency compared to 2nd Level privileges

2nd Level privileges can be configured from “Setup Roles and Privileges” screen. Navigating to Operators > Setup Roles and Privileges: Partition tab

Now assigned partitions can have Sub Privilege Level (2nd level Privilege):

- Full Access

- Hidden

- Read Only)

This will apply when a user goes to screen and select any device/item from top grid then screen object will have Full Access / Hidden / Read Only.

Full Access: This is default sub privilege level for any assigned partitions. Only screen level privilege is applied.

Read Only: First Screen level privileges will apply then this will disable all the controls for the selected devices/items if it is in Read Only Partition

Hidden: This will hide all the controls for the selected device/item if it is in Hidden partition

A device/configuration data can have multiple 2nd level privileges applied if they are belong to multiple partitions. Those cases ultimate access level will be as follows.

For Example:

If any device/item having the following configuration. Output will be followed.

Full Access | Hidden | Read Only | Output
Yes | No | No | Full Access
No | Yes | No | Hidden
No | No | Yes | Read Only
Yes | Yes | No | Full Access
Yes | No | Yes | Full Access
Yes | Yes | Yes | Full Access
No | Yes | Yes | Hidden


Operator Responses

The Operator Response screen is used to create and store pre-defined operator response strings. These strings are stored in the database and will be available for selection in the other CA4K™ screens. The operator has the choice of attaching these strings as a response (see the section on Event Response) CA4K™ Events/Alerts upon their occurrence.

Accessing Operator Responses Screen
  • In CA4K™ main screen, click on Administration menu to display the menu items.

  • Click on Operator Response menu item in the list.

Fig. 125.1. The 'Operator Responses' menu selection.

Upon clicking Operator Response, the Operator Responses screen displays.

Fig. 125.2. The 'Operator Responses' screen.


Creating an Operator Response String

Follow the steps below to create an operator response string:

  • Open Operator Response screen by clicking on Administration>Operator Response menu options in CA4K™ main screen.

  • Click on New button in the toolbar.

  • Type in a response string of choice in the Response Text field provided at the bottom of the screen

Fig. 125.3. The 'Response Text' field.

Note: There are no restrictions on the type of content that can be included in an operator response string. The 'Response Text' field allows a maximum of 65 characters (including special characters).

  • Click on Save button in the toolbar to save the response string.
  • Click on Close button to close the screen.

Similarly, other pre-defined operator response strings can be created. All of the strings created will be available as selection options for 'Response message' control in the Events Response screen.


Editing an Operator Response String

Follow the steps below if you wish to edit an operator response string:

  • Open 'Operator Responses' screen by clicking on Administration Operator Response menu options in CA4K™ main screen.

  • Under 'Response Text' area, click on the response string you wish to edit.

Fig. 125.4. Editing an operator response string.

Upon clicking, the response string you selected will be displayed in the Response Text field.

  • Make the desired changes to the response string.

  • Click on Save button in the toolbar to save the changes.
  • Click on Close button to close the screen


Deleting an Operator Response String

Follow the steps below if you wish to delete an operator response string:

  • Open Operator Response screen by clicking on Administration Operator Responses menu options in CA4K™ main screen

  • Under Response Text area, click on the response string you wish to delete.

  • Click on Delete button in the toolbar.

Upon clicking, the following message box will be displayed.

Fig. 125.5. Message box displayed before deleting an operator response string.

  • Click on Yes button in the message box to delete the selected operator response string

  • Click on Close button to close the screen.


Operator Instructions

An operator may require instructions to take proper action against the Events/Alerts generated in CA4K™ software. This requirement can be met by creating instructions in the 'Operator Instructions' screen. Creation of operator instructions is explained under the topic Creating an Operator Instruction.

Once operator instructions are created, they must be linked to the corresponding Event types in CA4K™. Without linking, the instructions have no meaning. Linking is done in 'Operator Instruction Links' screen. Refer the section Operator Instruction Links for details.

Once linked, the operator can obtain the instructions for CA4K™ Events/Alerts upon their occurrence.

Accessing Operator Instructions Screen

  • Click on Administration menu in CA4K™ main screen.

  • Click on Operator Instructions menu item in the list.

Fig. 130.1. Operator Instructions menu selection.

Operator Instructions screen will be opened as below.

Fig. 130.2. Operator Instructions screen.

.


Creating an Operator Instruction

Follow the steps below to create a new Operator Instruction.

Open Operator Instructions screen by clicking Administration>Operator Instructions menu options in CA4K™ main screen.

  • Click on New button in the toolbar. Upon clicking, the 'Instruction Name' field will show the words 'New Instruction', and the keyboard cursor will be seen blinking in the text area of the screen. 'New Instruction' is the default name given to every 'new' instruction you create.

  • The default instruction name can be changed if desired. To do this, click the 'Instruction Name' field and type in a name of your choice.

  • Click in the white space of the 'text area', and type in the instruction you want the operator to follow, upon the occurrence of a particular Event/Alert.

Fig.130.3. The 'text area' of 'Operator Instructions' screen

Note: There are no restrictions on the type of content that can be included in an operator instruction. A maximum of 256 characters (including special characters) can be typed in the 'text area', for a particular instruction.

  • Click on Save button in the toolbar to save the instruction.

  • Click on Close button to close the screen.


Editing an Operator Instruction

Follow the steps below if you wish to edit an operator instruction.

  • Open Operator Instructions screen by clicking Administration>Operator Instructions menu options in CA4K™ main screen.

  • In the upper half of the screen, click on the instruction you wish to edit.

Fig. 130.4. Editing an operator instruction.

  • Make the desired changes to the instruction seen in the text area.

  • Click on Save button to save the changes.

  • Click on Close button to close the screen.


Deleting an Operator Instruction

Follow the steps below if you wish to delete an operator instruction.

  • Open Operator Instructions screen by clicking Administration>Operator Instructions menu options in CA4K™ main screen.

  • In the upper half of the screen, click on the instruction you wish to delete.

  • Click on Delete button in the toolbar. Upon clicking, the following message box will be displayed.

Fig. 130.5. Message box displayed before deleting an operator instruction.

  • Click on Yes button in the message box to delete the selected operator instruction.

  • Click on Close button to close the screen.


Operator Instruction Links

An operator may require instructions to take proper action against the Events/Alerts generated in CA4K™ software. This requirement can be met by creating instructions in the 'Operator Instructions' screen. Creation of operator instructions is explained under the topic 'Creating an Operator Instruction'.

Once operator instructions are created, they must be linked to the corresponding Event types in CA4K™. Without linking, the instructions have no meaning. Linking is done in 'Operator Instruction Links' screen.

Once linked, the operator can obtain the instructions for CA4K™ Events/Alerts upon their occurrence.

Accessing Operator Instruction Links Screen

  • Click on Administration menu in CA4K™ main screen.

  • Click on Operator Instruction Links menu item in the list.

Fig. 135.1. The 'Operator Instruction Links' menu selection.

Upon clicking Operator Instruction Links, the Operator Instructions screen will be opened as below.

Fig. 135.2. The 'Operator Instruction Links' screen.


Linking Operator Instruction to an Event Type

To link an Operator Instruction to an Event Type, follow the steps below:

Upon opening the Operator Instruction Links screen, observe that the left hand side of the screen shows the list of panels previously created in CA4K™ software.

Fig. 135.3. The 'Operator Instruction Links' screen.

  • Click on a desired panel name that is connected to the hardware item of interest, whose Event type you wish to link with an operator instruction. Upon clicking, the hardware items connected to the panel will be revealed. Each of these items will be provided with nodes ('+' marks).

Fig. 135.4. Clicking on 'Wall Accelaterm' panel to reveal the hardware items connected to it.

Note: If a hardware item does not show a node, it means that no records are created for that item in CA4K™ software. If you wish to link an Event type of that item with an instruction, you must first create records for the hardware item.

Click on the desired hardware item node. Doing this will reveal the various records created for selected hardware item.

  • Click on a desired hardware item record. Doing this will offer you the Events node.

Fig. 135.5. Clicking on 'Accel Reader 1' node.

  • Click on Events node. Doing this will show the list of all of the Event types associated with the selected hardware item record.

Fig. 135.6. List of 'First Floor Lobby Elevator' Event types.

  • Click on a desired event type to which you wish to link an operator instruction. Observe that the new button in the toolbar is enabled after Event type selection

  • Click on New button in the toolbar. Doing this will enable the 'Instruction to use for this event' and 'Link Enabled' controls in the 'Instruction Link' tab seen at the bottom of the screen. The 'Instruction to use for this event' control will show the default selection of the first option available in the drop down list, and the 'Link Enabled' Checkbox will be selected by default.

  • Click the down arrow of 'Instruction to use for this event' control for viewing the list of the available operator instructions.

  • Locate the instruction you wish to link to the selected Event type and click on it.

Fig. 135.7. Selecting an operator instruction in the drop down list.

  • Click on Save button to save the settings in the screen.

  • Click on Close button to close the screen.

Similarly, other Event types can be linked with the required operator instructions by following the above steps.


Advantages of Operator Instruction Links

A few screen changes that are advantageous to the operator are resulted by linking Event types with operator instructions:

When an Alert attached with an operator instruction occurs, a sliding window is displayed on the right hand side of CA4K main screen for a brief period of time. This window contains the operator instruction for that alert type. The operator can read the instruction in the window, and take proper action against the alert.

The 'Alert Acknowledge'/'Event Response' windows of Alerts/Events that are attached with operator instructions contain a folder tab called 'Operator Instructions'. The user can click on the tab and read the attached instruction to take proper action against the Alert/Event.


Editing an Operator Instruction Link

Follow the steps below if you wish to 'change' the operator instruction linked to an Event type:

  • Open 'Operator Instruction Links' screen by clicking on Administration>Operator Instruction Links menu options in CA4K™ main screen.

  • Navigate to Event type of the hardware item record, for which you wish to link a 'different' operator instruction

  • Upon clicking, the 'Instruction to use for this event' and 'Link Enabled' controls in the 'Instruction Link' tab seen at the bottom of the screen will be enabled.

  • Click the down arrow of 'Instruction to use for this event' control, and select a different operator instruction of choice for linking to the selected Event type.

  • Click on Save button in the toolbar to save the change.

  • Click on Close button to close the screen.


Deleting an Operator Instruction Link

Follow the steps below if you wish to delete an operator instruction link:

  • Open 'Operator Instruction Links' screen by clicking on Administration>Operator Instruction Links menu options in CA4K™ main screen.

Navigate to Event type of the hardware item record, whose operator instruction link you wish to delete.

  • Click on Delete button in the toolbar. Upon clicking, the following message box will be displayed.

 Fig. 135.8. Message box displayed before deleting an operator instruction link.

  • Click on Yes button in the message box to delete the selected operator instruction link

  • Click on Close button to close the screen


Batch Save Utility

Batch Modify Utility

MUST READ - VERY IMPORTANT NOTES:

  • Before using the Batch Modify utility, you MUST make a backup of the live configuration database.

  • Much like the Import utility, it is recommended to perform the Batch Modify on one or two badges before doing them all. This can prevent a catastrophic error from occurring.

  • The Batch Modify is divided into sections unlike the CardAccess 3000 Batch Modify. The sections are General, Access Groups, Control, Personal and Custom.

  • After a batch modify is executed, a Manual Download must be performed to get the changes down to the Panels or Locks.

The Batch Modify utility can be used to create, modify and delete Personnel records in batches. Using the utility, an entire range of records (say badge numbers 1-500) can be created at the same time, in a single batch, with all records having the same preset values. The utility can be made to visit every Personnel record and change the settings of one or more fields. Performing badge creation, modification and deletion operations in batches will save considerable time, by avoiding the need to create Personnel records individually.

WARNING: Prior to using this utility, please verify you have a current backup of your database.

Accessing the 'Batch Modify' Screen

  • Open Personnel screen by clicking on Personnel button or Access Personnel menu options in CA4K™ main screen.

Fig.140.1. Personnel button.

  • Click on Batch Modify button seen in Personnel screen toolbar.

Fig. 140.2. Batch Modify button on Personnel toolbar.

The Batch Modify screen will be displayed as below. The CA4K Batch Modify utility provides five tabs for easier viewing and modifying. The screens are divided into the General, Access Groups, Control, Personal and Custom screen. Refer to the screens below for each tab.

The following screen displays the General tab.

Fig. 140.3. A snippet of the 'Batch Modify' General tab.

The following screen displays the Access Groups tab screen.

Fig. 140.4. The 'Access Group' tab.

The following screen displays the Control tab screen.

Fig. 140.5. The 'Control' Tab. .

The following screen displays the Personal tab screen.

Fig. 140.6. The 'Personal' Tab. .

The following screen displays the Custom tab screen.

Fig. 140.7. The 'Custom' Tab. .


Batch Save Screen Controls

Batch Modify Screen Controls

The controls on the Batch Modify screen are explained below.

Badge Range

The 'Badge Range' (from, to) fields are used set the range of badge numbers that the Batch Modify utility will operate on. You can set the range anywhere from one badge (by putting the same badge number in the 'from' and 'to' fields) to as many badges as you like.

Fig. 140.8. The 'Badge Range' Fields.

Providing a Badge Range is mandatory. The badge number range is the one required key field for the utility. All other fields are optional.

Note:

In the Badge Range fields, the 'from' number (on the left) must be less than or equal to the 'to' number (on the right)

The utility will visit each Personnel screen badge record that fall in the badge number range you specify. Each record may or may not be affected, depending on the option that you select in the 'How to Handle a Range' area

Batch Modify Range Selection

Four radio buttons are provided in the 'How to Handle a Range' section of the screen. These radio buttons control the operation that the Batch Modify utility will be performing, on the personnel records. The button controls are explained below.

Fig. 140.9. The Batch Modify Range Selection Controls

Create and/or Modify All

For a given badge number range, selection of this option can perform two functions simultaneously. They are:

The selected fields of the existing personnel records in the specified range will be modified according to the selections made in Include, Value to be Set and Batch Criteria columns, of the Batch Modify screen.

In case of missing records in the specified range, new personnel records will be created according to the selections made in Include, Value to be Set and Batch Criteria columns of the Batch Save screen.

For example, consider there are badge records existing with badge numbers 1, 3 and 5, and no badge records existing with badge numbers 2 & 4. Let 'Enabled' box (seen under item column of 'Batch Modify' screen) be checked. Selection of 'Create and/or Modify All' option will perform the following functions:

  • The existing records of badge numbers 1, 3, and 5 will be modified (wherein 'Enabled' box will be checked, in case unchecked previously).

  • New badge records for badge numbers 2 & 4 will be created (with 'Enabled' box checked).

Create New Only (Ignore Existing)
Selecting this option for a given badge number range will only create new records for the badge numbers in the specified range. Any existing record in the range will remain unaffected.

Selecting this option in the above example will create two new badges with numbers 2 & 4, while the existing badges 1, 3 & 5 will remain unchanged.

Modify Existing Only
Selecting this option for a given badge number range will not create any new badges in the specified badge range. The utility will only modify existing badge records with the selected settings in Include, Value to be Set and Batch Criteria columns of the Batch Save screen.
Note: Be very careful which option you set in the 'How to Handle a Range' section of 'Batch Save' screen. An incorrect option can alter fields in records that you did not intend to alter.

Delete Existing Only
Selecting this option for a given badge number range will delete the badges in the range if they exist.

Note: Be very careful using the option. Verify you have a current backup of the database you are deleting badges in.

Batch Modify columns under the General Tab

Fig. 140.10. The Batch Modify General Tab Columns.

Columns under the General Tab in the above figure are explained below.

Item Column

The 'Item' column contains a listing of every field found in the Personnel screen. By default, none of the personnel fields are included in the batch save. The fields to be included in the batch save must be selected individually, by clicking the Include Checkbox (explained below) found adjacent to every field label in the Item Column.

Include Column
The 'Include' column contains Checkboxes which are associated with the field labels present in the Item column. Any or all Checkboxes may be selected to include the selected fields in the batch save. Checked is included, unchecked is not included.

Value to be Set Column

The 'Value to be Set' column contains controls that can be used to set a value for every field included in the batch save. The value specified in this column will be loaded into the selected field of every personnel record in the selected badge range. Recall that the list of fields (under Item column) in the Batch Save utility actually represent every field found in the Personnel screen. If no selection is made in the 'Value to be Set' column for a given field, the default value as decided by the Batch Save utility will be loaded into that field.

There are five types of controls found in the 'Value to be Set' column. They are:

  • Spin field: This is usually a numeric field. Click the arrow buttons to the right of the field to select a number.

Fig. 140.11. A spin control field

  • Text field: A line of text must be entered in this field

Fig. 140.12. A text field.

  • Combo field: The combo field control contains a list of options. Click the arrow to the right of a combo field to display the options, and select a desired option.

Fig. 140.13. A combo field control.

  • Check Box field: Click a Checkbox field to enable an option (checked is enabled).

Fig. 140.14. A Checkbox field.

Calendar field: A calendar field is used to provide a fixed date value to the selected field. You may manually type in a date (of the form MM/DD/YY), or you can use the built in calendar by clicking the button (marked as 15) to the right of the calendar field control, and choose a desired date.

Fig. 140.15. A calendar field control.

Batch Criteria Column

The fields found in the 'Batch Criteria' column are used when you wish to search the personnel records for a particular value, and modify only those records where the value is found. Note that all records that do not match the search criteria will remain unaffected.

Stated another way, the Batch Modify utility will search every personnel record for the values specified in the Batch Criteria column fields. If any record(s) are found to have the specified values, only those record(s) will be changed to the settings made in 'Include' and 'Value to be Set' columns. All other records will remain unaffected.

The Batch Criteria column also has 'Combo fields' and 'Calendar fields' as explained under 'Value to be Set' Column.

Execute Button
'Execute' button is seen at the bottom of the screen. Clicking this button will start the batch operation.

Fig. 140.16. The 'Execute' button.

Close Button
The Close button is seen at the bottom of the screen. Clicking this button will stop the batch operation. The Batch Save screen will be closed on clicking 'Cancel' button. It is strongly recommended not to click on Cancel button during a batch operation. Let the operation be completed to prevent unexpected consequences.

Fig.140.17. The 'Close' Button.


Running A Batch Save

Running a Batch Modify

Running a batch modify operation will create, modify or delete a 'range' of badge records. The following are the steps to run a batch modify operation:

REMINDER: It is recommended to perform the batch modify on one or two badges before doing a large range of badges. In case of an error, this will
prevent many badges from being modified and stop working.

Open the Batch Modify screen by clicking on Batch Modify button in Personnel screen toolbar.

Fig. 140.18. The Personnel Screen 'Batch Modify' Button.

In the Badge Range (from, to) fields, set the range of badge numbers that the Batch Modify utility will operate on. The 'from' number (on the left) must be less than or equal to the 'to' number (on the right).

Fig. 140.19. The Badge Range Fields.

Note: The badge number range is the one required key field for the utility. All other fields are optional.

Select the required option in the How to Handle a Range section.

Fig. 140.20. The 'How to Handle a Range' section.

Select the Items in Item column you wish to change, by clicking the Include Checkbox, provided by the side of every item. Items that are not included will remain unaffected

Fig. 140.21. The 'Item' and 'Include' Columns.

Items whose Include box is checked can be set to desired values using the controls provided in Value to be Set column. The new values set for the included items will be placed in the respective Personnel screen fields when the batch modify takes place.

Fig. 140.22. The 'Value to be Set' column.

Note: Every personnel record that falls within the selected badge number range will be given the value that is set in the 'Value to be Set' column

In case you wish to modify settings of only those Personnel records having a specific value, such of those records can be searched by indicating specific values using 'Batch Criteria' column controls. If any selection is made in the batch criteria column, the utility will search for Personnel records that have the selected batch criteria, and will modify the fields of only those records. The records that do not match the search criteria will be ignored.

Fig. 140.23. The 'Batch Criteria' column.

  • Click the Execute button to start the batch operation.

Fig. 140.24. The 'Execute' button.

Upon clicking Yes, a message box will be displayed to inform about the batch save operation that took place.

Fig. 140.25. Message box displayed after executing the batch save operation.

Fig. 140.26. Panels and Locks update require a Manual Download Message.

Click on Ok button in the message box.

Click on Close button found at the bottom to close the Batch Save screen.

Fig. 140.26. Close button.


Import Utilities

MUST READ - VERY IMPORTANT NOTES:

  • The Import Utilities provides the ability to import badges from third party systems utilizing a delimited text file.

  • Prior to performing Imports, you MUST perform a backup of the database you are importing data into. .

  • The earlier versions of CA4K did not contain an Import folder by default. The Import folder was added to V1.0.7x and later. If the Import folder does not exist, you must manually create one.

  • Prior to importing many records (badges), create a delimited text file with only a couple of record (badges) in it and test it This will prevent a catastrophic error from occurring.

Note: As per below, there are multiple Import utilities. Refer to the CardAccess4K>Help folder for the templates associated with the Import utility.

The Import Utilities in the CA4K are listed below:

  • DatapumpService - This utility is a real-time utility and is a service. The service must be started for the Import to function. There is a template for this utility in the CardAccess4K>Help file.

  • Import/Export Utility - This utility can be found under the Reports topic and in the Reports list of the CA4K. There is not template for this utility. You manually map the fields to a column position.

  • Import Personnel - This utility can be found under the Reports topic and in the Reports list of the CA4K. This utility contains 102 fields and a template can be found in the CardAccess4K>Help folder.

  • Import Photos - This utility can be found under the Reports topic and in the Reports list of the CA4K.


DataPumpService Import

DataPumpService Import Utility

MUST READ - VERY IMPORTANT NOTES:

  • If the standard Datapump Import is used, the settings in the CardAccess.Datapump.exe.config can be ignored.

  • The DataPumpService Import Utility provides the ability to import badges REAL-TIME from third party systems utilizing a PIPE delimited text file.

  • The DataPumpService Import text file MUST NOT CONTAIN ANY HEADERS OR FIELD NAMES.

  • Prior to performing Imports, you MUST perform a BACKUP of the database you are importing into to.

  • The earlier versions of CA4K did not contain an IMPORT FOLDER by default. If the Import folder does not exist, you must manually create one. .

  • Prior to importing many records (badges), create a comma PIPE delimited text file with only a couple of records (badges) in it and test it. This will prevent a catastrophic error from occurring.

  • Prior to importing, you MUST PRE-CONFIGURE Facility Codes, Access Groups and Departments in the CA4K.

  • Unlike the other available CA4K Import utilities, this utility is not listed under the Reports menu. The file name is CardAccess.DataPumpService.exe in the root of the CardAccess4K folder.

  • Unlike other Import utilities, the Import text file MUST CONTAIN ALL 26 FIELDS. If you are not specifying data for a field, you must place consecutive PIPE signs with no spaces in between them.

  • Unlike other CA4K utilities, the DataPumpService utility is a REAL-TIME UTILITY. Once you drop the Import text file into the Import folder, it will be imported automatically.

  • After the Import is complete, it is highly recommended to view the LOG FILE created in the LOGS FOLDER.

  • After the Import is complete, the processed file will be copied into the PROCESSED FOLDER.

  • There is a template for the DataPump Import utility (26 fields) in the CardAccess4K>Help folder.

Very Important: Included in the V1.1.x and later, there is a CardAccess.Datapump.exe.config XML Configuration file. In this file, there is an "ImportType" setting. The setting for the standard Datapump import is ImportType = 0. If the ImportType = 0, the settings in this file are ignored. In most cases the standard Datapump Import is used and you do not have to be concerned with the CardAccess.Datapump.exe.config is an XML Configuration file. If the Import Type setting is 1 or greater, the settings in this file must be configured correctly as per the custom application. For example, for the Witchita Custom Import, the ImportType = 1.

CA4K DataPumpService Syntax Information

The following information pertains to the CA4K CardAccess.DataPumpService.exe import utility. This utility imports in real-time. It executes automatically and does not have to be launched manually. It imports new badge records and also updates existing badge records. This utility is limited to the following 26 fields of personnel data:

Reminder: Prior to importing, you MUST have Facility Codes, Access Groups and Departments pre-configured in the CA4K.

DataPumpService Template

Badge|Facility|LName|FName|MI|SSN|AG1|AG2|AG3|AG4|AG5|AG6|AG7|AG8|AG9|AG10|AG11|AG12|AG13|AG14|AG15|AG16|Enabled|ActDateTime|ExpDateTime|Depart

Badge – up to 19 digits (You must configure MAX Badge Digits in the CA4K System Settings)

Facility – 0 to 10 (Facility Codes if used, must be pre-configured in CA4K prior to importing)

AG – up to 16 Access Groups (Access Groups must be pre-configured in CA4K prior to importing)

Enabled – valid values: 0, 1, T, F, True, False

ActDateTime/ ExpDateTime – valid format: mm/dd/yy AM/PM or mm/dd/yyyy AM/PM

Operation

Performing an Import -

  1. Create and save a PIPE sign delimited .txt file with the badge’s information as described above. As a minimum, the first four fields (Badge, Facility, LName, FName) must be defined. All fields (even empty) must be separated by a delimiter “|”. Any unused fields MUST NOT contain a space. It should be two consecutive PIPE signs. The delimiter is not required at the start or end of the record.

  2. Navigate to CardAccess4K\Import folder and copy your .txt file there. The text file will be Imported within 5 seconds by the Import Utility scan.

  3. Upon execution, the original .txt file in the Import folder will be deleted. A copy of the imported text file appended with the timestamp will be placed in the CardAccess4K\ Import\ Processed folder.

4. The Log file created after an Import will be located in the CardAccess4K\ Import\ Logs folder.

IMPORT FILE IMPORTANT INFORMATION -

  • The Import text file MUST NOT contain any Headers or Field Names.

  • The Badge Number and Facility code combination must be unique (same as CA3K).

  • The Soc Sec #/Unique ID field must be unique for each badge holder.

Sample import PIPE delimeted text file with 2 records:

1000|0|Albanese|Andy|Z|111223456|1||||||||||||||||F|01/01/19 4PM|01/01/2020 4PM|TECHSUPPORT

1001|0|Bungi|Bill|Z|222334455|2||||||||||||||||F|02/02/2019 4PM|02/02/2022 4PM|CAFE

Sample Log File:

The log files can be found in the CardAccess4K\ Import\Logs folder. Below is a sample log file with 2 records imported successfully. As mentioned above, it is always recommended to view the log file after an Import.

Sample Processed File:

Note: The Processed file is a copy Import text file.


ImportPersonnel Utility

Refer to the Reports topic. This utility is in the Reports menu and is documented under the Reports topic.


Import/Export

Import/Export Utility

Refer to the Reports topic. This utility is in the Reports menu and is documented under the Reports topic.


Badge Holders-In

The purpose of the Badge Holders IN screen is to display a list, commonly called a 'muster list', of all badge holders that have entered a building. This list might generally be helpful in an emergency situation where the building would need to be evacuated. The muster list could be printed out and used as a check list to be sure that all tenants in a given building have been evacuated safely, and have rallied together at a 'muster point'.

Accessing Badge Holders IN Screen

In CA4K™ menu bar, click on Access menu to display the menu options.

  • Click on Badge Holders In menu option.

The Badge Holders In screen will be displayed as below.

Fig. 145.1. The CA4K 'Badge Holders IN' Screen.


Concepts

Concept behind Badge Holders IN Screen

Several badge holders are listed in the view area of the Badge Holders IN screen as shown in the figure below.

Fig. 145.2. The 'Badge Holders IN' Screen.

It is important to note that the CA4K™ system (and Badge Holders IN List) needs to have some way to determine who has passed into a given building and who has passed out of that building.

In a standard access control system, an access card is read at a door and that door is opened, but no note is made as to whether, the access was into or out of the building. All that is known is that, the cardholder has accessed a door. The way to be more certain who has entered a building and who has left that building is, to adopt a more 'disciplined' approach to access.

In the more disciplined approach, we establish one door as an IN door, and a second door as an OUT door. We require all entrants to a building to enter through the IN door and to leave via the OUT door. This makes logging who is in the building and who is not, somewhat easier.

The CA4K™ system has settings to establish a door as an 'IN' door or as an 'OUT' door. Those settings are found in the Readers screen, on the Options tab. Readers are being discussed at this point because, the Badge Holders IN screen and the Readers screen are linked. At least one IN reader must exist before the Badge Holders IN screen will begin logging badge holder activity.

T & A, APB Readers

As stated, the Badge Holders IN List will not operate unless at least one reader is set up as an 'IN' reader. The IN List is gathered from system event messages that are received from all readers that have been set up as Time and Attendance (T&A) or Anti-Passback (APB) readers. The messages from other types of readers are ignored by the Badge Holder In screen. The Readers screen allows setting up of two types of IN & OUT readers.

Note: APB and T&A functions cannot be set active on the same reader. A reader must be set to one of the two types only.

Time & Attendance IN Reader
The Time and Attendance function is applied to a reader if you wish to have a 'passive' notation that a badge holder passed through an IN or OUT type reader. T&A readers do not restrict the number of times you can enter or exit through the same reader, but they do generate an event message for every attempt that is made. When you pass through a T&A reader, two things happen.

A special event message is generated – "Badge Clock-IN" or "Badge Clock-OUT"

A database notation is made as to whether the badge holder that passed through the reader is IN the building or OUT of the building

Fig. 145.3. The Readers Screen T&A Control – T&A Type Set to IN.

Anti-Passback IN Reader
The Anti-Passback function is more stringent than the T&A function. With APB, you can set up the readers to refuse multiple card reads from the same card. You can force a badge holder to exit through an exit reader before entering through an entry reader. When you pass through an APB reader, several things happen.

  • A special event message is generated – "Badge Entry" or "Badge Exit"

  • A database notation is made as to whether the badge holder that passed through the reader is IN the building or OUT of the building.

  • The badge holder is prevented from re-entering the same door.

Fig. 145.4. The Readers Screen APB Control – APB Type Set to IN.

The following options are available in the 'Time&Attendance Type' and the 'APB Type' controls. Using the options, you can set up a T&A or an APB reader as an

IN Reader: When the card is swiped, the system logs that card as IN

OUT Reader: When the card is swiped, the system logs that card as OUT.

In addition to the above options, the Time&Attendance Type control has a third option, as explained below.

IN & OUT Reader: When the card is swiped once, the system logs that card as IN. When the card is swiped again at an Out reader, the system logs that card as OUT.

Once readers are designated as IN and OUT readers (T&A or APB does not matter), the Badge Holders In list automatically begins logging which badge holders are (technically) IN.

If a badge holder passes through an IN reader, that badge holder is considered IN by the system. If that same badge holder subsequently passes through an OUT reader, that badge holder is considered OUT by the system.

If a badge holder is considered IN by the system, that badge holder's name will appear in the Badge Holders IN screen. When the badge holder passes through an OUT reader, that badge holder's name is removed from the Badge Holders IN screen.

The Badge Holders IN screen updates automatically when new badge holders are admitted through an IN Reader. Thus, if you leave the screen open, you will see names added or deleted from the IN list dynamically.


Screen Controls

The controls in Badge Holders IN screen are discussed below.

Fig. 145.5. The 'Badge Holders IN' Screen.

Select Reader Button

Any number of doors can be designated as IN doors in the Readers screen. When the Badge Holders IN screen is opened, the screen will display the badge holder status messages from all IN readers in the system (by default). You may wish to filter the screen to view the badge holder IN status messages from just one reader.

Follow the steps below to filter the Badge Holders IN screen:

  • Click the Select Filter down arrow.

  • Click on a desired Reader in the list to filter on.

Fig. 145.6. The 'Select Reader' Button.

Upon selecting a reader, the screen will now be filtered to display badge IN status messages of card holders, from the selected reader only.

  • Click the User Field down arrow.

  • Click on the desired User Field to filter on.

Fig. 145.7. The 'Select Reader' Button.

Upon selecting a User Field, the screen will now be filtered to display badge IN status messages of card holders, from the selected User Field.

Preview Button
Clicking this button prints a hard copy of the Badge Holders IN screen.

Fig. 145.8. Badge Holders IN screen 'Preview' button.

Print Button
Clicking this button prints a hard copy of the Badge Holders IN screen.

Fig. 145.8. Badge Holders IN screen 'Print' button.

Note: The Preview and Print button is enabled only when
There are badge holders listed in the view window of Badge Holders IN screen.

A printer is installed in Windows and selected in the 'Report Printer' control in System Settings screen.

Auto Refresh Checkbox
If 'Auto Refresh' Checkbox is enabled (that is, when the box is checked), the screen will update every 8 seconds and refresh the display to include the most recent badge holder entries and exits. If the box is not selected, the refresh engine is turned off. Then, the only way to refresh the screen is, to close and reopen it, or, select a different reader from the Select Reader control.

Fig. 145.9. Badge Holders In screen 'Auto Refresh' Checkbox.

Close Button
Clicking this button closes the 'Badge Holders In' screen.

Fig. 145.10. Badge Holders In screen 'Close' Button.

Status Bar
The status bar seen at the bottom indicates the total number of badge holders listed in the view window of 'Badge Holders In' screen. This is helpful in the case of an emergency to know the total number of people to be accounted for.

Fig. 145.11. Badge Holders IN screen status bar.


Setting up Priorities

Every event generated in the CA4K™ system has a programmable priority value setting. By design, the CA4K™ main screen is divided into two grids for receiving normal (low priority) and abnormal (high priority) events. Attaching priority numbers to the events will allow the system to route high priority events to Alerts grid and low priority Events to the Events grid of CA4K™ main screen.

The Priority Number range is 1-99, where 1 is the highest priority and 99 is the lowest priority number in the range. However 99 is a 'special' number. Events set to Priority value 99 will never report in the CA4K™ system. In other words, they are suppressed. Thus, the actual usable Priority Number range is 1-98.

Note: Auto acknowledgement feature for Alerts requires that, alerts are attached to specific priority numbers previously. This section mainly explains those controls in the hardware device screens that you must configure, if you want to enable auto-acknowledgement of alerts.

Below are a few of the hardware device screens that have controls for setting up priorities in CA4K™:

  • Panels

  • Readers

  • Inputs

  • Relays

Note: Other screens will also contain a Priority and Required Response setting.


Panels Priorities

Panel Priorities

Open Panels screen by clicking Configuration>Panels on the CA4K™ main menu. By default, Panels screen will open in General tab. Priority values for CA4K™ Panels events can be set in Priorities tab.

A click on Priorities tab will display the screen below.

Fig. 150.1. Panel Priorities tab

Panel Event Priorities

The 'Panel Event Priorities' section shows four Priority settings. The labels describe the panel event types in CA4K. By default, the system loads default priority values to each of the event types. The system loaded priority values can be changed as desired. The priority values aid in routing of the events to one of the two grids (Events/Alerts) in the CA4K main screen.

Note: Priority values set for the events in Panels screen will be overridden by Auto Ack Priority Set-Point value set in the System Settings screen.

The 'Auto Ack Priority Set-Point' control is explained under 'System Settings' topic. .

Changing Default Priority Value
The system loaded default priority values can be changed as desired. The usable Priority Number range is 1-98, where 1 is the highest priority and 98 is the lowest priority number in the range.

Follow the steps below to change the default priority number:

  • Type in the desired Priority number.

  • Click on Save button in the toolbar to save the changes.

Priorities

The Priorities tab in Panels screen provides the following controls for acknowledgement of panel alerts.

Panel Off/On Line Event Priority

Fig. 150.2.. Panels screen 'Off/On Line Priority' setting.

Panel Download Event Priority

Fig.150.3. Panels screen 'Download Priority' setting.

Panel AC Power Fail Event Priority

Fig. 150.4. Panels screen 'AC Power Fail Priority' setting.

Panel Modem Activity Event Priority

Note: Modems are not supported in the CA4K.

Fig. 150.5. Panels screen 'Modem Activity Priority' setting.

Requires Operator Response

Each of the Alert priorities has a Checkbox labeled 'Requires Operator Response' as shown in the above figures. By default this box is unchecked. If a priority has this Checkbox selected, automatic acknowledgement of the concerned alert type will be disabled. Manual acknowledgement will be required to resolve the alert upon its occurrence. In manual alert acknowledgement, the operator is forced to respond to an alert by typing in a Response Message in the Alert Acknowledge popup window and clicking the Acknowledge button to move the alert from the Alerts Grid to the Events Grid.

Note: The Checkbox to control the method of alert acknowledgement (manual or automatic) can have different labels like 'Requires Operator Response', 'Requires Alert Response',' Response Required', 'Alert Requires Response' in the different hardware device screens. All these labels have the same meaning and they all control the Alert Acknowledgement method.


Manual Door Control

The 'Manual Door Control' screen can be used to manually control the doors (readers) that are used in the CA4K™ system. All the electric door locks in the CA4K™ system are ultimately controlled by relays on the Continental panels. Thus, manual control of any door will lead to activation or deactivation of the relay(s) associated with that door.

Accessing Manual Door Control Screen
The 'Manual Door Control' screen can be opened in two ways as below.
  • By clicking on Doors button in the CA4K™ main toolbar.

Fig. 155.1. The 'Door' button in Events grid toolbar.

By highlighting the desired door Event/Alert in the CA4K™ Events/Alerts grid, and clicking on the Control button seen in the toolbar of the corresponding grid

Fig. 155.2. The 'Control' button in Events grid toolbar.

Fig. 155.3. The 'Control' button in Alerts grid toolbar.

Both the methods (a and b above) will open the 'Manual Door Control' screen.

Fig. 155.4. The 'Manual Door Control' screen.

Note: If the 'Control' button is used to open the screen, then, the Doors section of the screen will show automatic selection of the door associated with the Event/Alert that was highlighted in the CA4K™ main screen. For more information on this, refer the topic 'Executing Manual Door Control Using 'Control' Button'.


Manual Door Controls Screen Controls

The various controls in the 'Manual Door Control' screen are discussed below.

Fig. 155.5. The 'Manual Door Control' screen.

Partition Group

The 'Partition Group' control can be used to apply a filter for the doors (represented by Checkboxes) that are listed in the Doors section of the 'Manual Door Control' screen.

Fig. 155.6. The 'Partition Group' control.

The 'Partition Group' control will store all of the door groups that are defined for 'Readers' in the Partition Groups screen. If no Partition Groups are seen in the list, refer to the Privileges section to create them.

The default option 'All Doors' will be seen in the 'Door Group' control every time the screen is opened. Thus, by default, all doors that are defined in the Readers screen will be displayed on the Manual Door Control screen.

In case you wish to view doors that belong to a particular door group only, then, click the down arrow to the right of 'Door Group' control and choose a desired door group.

Note:

Filtering will remain on for the group you selected until you turn it off, or close and reopen the 'Manual Door Control' screen. If you want to remove filtering, click the 'Partition Group' control again and select the option 'none'. This will turn filtering off.

There are actually two sets of items that will appear in the 'Manual Door Control' screen filtered list – the items that belong to the Partition group, and the items that have no Partition group assigned (group = 'none'). If you wish to see the items from a particular door group only, then, you must assign Partition groups to every door that you create in the Readers screen. Do not leave any door, with a group = 'none'.

Execute Door Action

The 'Execute Door Action' button will be grayed out when the Manual Door Control screen is opened. The button will be activated only when any door is selected in the Doors section of the screen.

Fig. 155.7. The 'Execute Door Action' button grayed out by default.

The label seen on the button will change depending on the enabling/disabling of the 'Door Action' and/or the 'Reader Action' Checkboxes. Also, the function performed by clicking the button varies based on which Checkbox is enabled.

The label that can be displayed on the button and the function performed by clicking it are as follows.

Execute Door Action- This is the default label visible on the button. This label will be seen when the 'Door Action' Checkbox is selected. Clicking this button will execute the door action (Lock, Unlock or Unlock Hold) you choose, on the selected doors.

Execute Door and Reader Action- This label will be seen when both the 'Door Action' and the 'Reader Action' Checkboxes are selected. Clicking this button will execute the door action (Lock, Unlock, or Unlock Hold) as well as the reader action (Enable or Disable) you choose, on the selected doors.

Fig. 155.8. The 'Execute Door and Reader Action' button.

Execute Reader Action- This label will be seen when the 'Reader Action' check box is selected. Clicking this button will execute the Reader Action (Enable or Disable) you choose, on the selected doors

Fig. 155.9. The 'Execute Reader Action' button.

Note: The buttons in the above figures will be activated only if at least one door is selected in the Doors section of the screen.

Door Action Section
The 'Door Action' section provides controls for choosing the action you wish to perform on the doors selected in the Doors section of Manual Door Control screen.

Fig. 155.10. The 'Door Action' section.

The controls in the 'Door Action' section are explained below.

Door Action Checkbox

The 'Door Action' Checkbox is checked by default. When checked, the door action you select (Lock, Unlock or Unlock Hold) will be executed on clicking the 'Execute Door Action' button.

Fig. 155.11. The 'Door Action' Checkbox.

Note:

The Lock, Unlock and Unlock Hold door actions are mutually exclusive. That is, only one of these actions can be performed on the doors you select.

The Lock, Unlock or Unlock Hold action you select will be applied to all doors that are selected in the Doors section of the screen.

The 'Door Action' Checkbox must be checked if you wish to control the doors manually. If unchecked, the Lock, Unlock and Unlock Hold radio buttons will be grayed out and hence manual door control will not be feasible

Remember that door locks are activated and deactivated by relays on the Continental Instruments control panels. When we say 'open a door', we actually refer to the latching and unlatching of relays that are assigned to doors. Also remember that relays can be 'off state energized' which means that the relay is energized until the door is unlocked, which is the opposite of the normal state of 'off state de-energized'.

Lock

Choosing this option will lock the doors selected in the Doors section of 'Manual Door Control' screen. This could mean energizing or de-energizing the door relays. The relays will be 'normalized'. This depends on the 'Off-State Energized' setting of the relays, in the Relays screen.

Fig. 155.12. The 'Lock' radio button.

Locking will not be not 'persistent'. That is, it is not a lock and hold that prevents future access. The next badge or manual open (unlock) command will open the doors as normal.

Unlock

'Unlock' is the default door action selected in the Manual Door Control screen. This option will unlock the doors selected in the Doors section of the screen.

Fig. 155.13. The 'Unlock' radio button.

The door relays will be energized for the time duration set in their respective 'Door Strike Time' control found in the Readers screen.

Unlock Hold

Choosing this option will unlock the doors selected and keep the relays energized (or de-energized) until you send a manual lock command to the doors.

Fig. 155.14. The 'Unlock Hold' radio button.

Reader Action Section
The 'Reader Action' section provides controls for choosing the action you wish to perform on the readers (doors) selected in the Doors section of the Manual Door Control screen. The radio button controls in this section will be grayed out by default.

Fig. 155.15. The 'Reader Action' section disabled by default.

The controls in the 'Reader Action' section are explained below.

Reader Action Checkbox

By default, the 'Reader Action' Checkbox will be unchecked and the radio button controls (Enable/Disable) will be grayed out. When the box is checked, the reader action you select (Enable/Disable) will be executed on clicking the Execute Reader Action button.

Fig. 155.16. The 'Reader Action' Checkbox.

Note:

The 'Enable' and 'Disable' actions are mutually exclusive. That is, only one of the reader actions can be performed on the selected doors.

The 'Enable' or 'Disable' action you select will be applied to all doors that you select in the Doors section of the screen.

Enable

Selecting this option will turn 'on' the readers (doors) selected in the Doors section of the screen. Readers turned 'on' will read the badges.

Fig. 155.17. The 'Enable' radio button.

'Enable' will be the default selection when the 'Reader Action' Checkbox is selected.

Disable

Selecting this option will turn 'off' the readers selected in the Doors section of the screen. Readers turned 'off' will ignore all badge reads.

Fig. 155.18. The 'Disable' radio button.

Note: Once a reader is switched off, you must manually turn it on before it will read badges again.

Alpha Sort

The default sort order for the readers (Doors) in the 'Manual Door Control' screen is the 'number entered' order. That is, the reader names will be displayed in the 'panel number numeric order' where, the readers on panel one appear before those on panel two, and the lowest numbered reader on panel one appears before the highest numbered reader, etc.

Selecting the 'Alpha Sort' Checkbox will allow you to re-sort the readers in the 'alphabetical' order.

Fig. 155.19. The 'Alpha Sort' Checkbox.

But, the sort order will revert back to 'number entered' order (the default) every time the screen is opened. Hence, you will be required to select the 'Alpha Sort' Checkbox each time the screen opens, in case you wish alphabetical order.

Doors Section

The Doors section of the screen contains Checkboxes. Each Checkbox represents a reader (door) that has been created in the Readers screen.

Fig. 155.20. The 'Doors' section.

To execute manual door and/or reader actions, you must select the doors of your choice in this section.

Door selections can be made Individually by clicking the door Checkboxes or collectively by clicking on 'Select All' button (see below)

Doors that are selected will contain a tick mark in the Checkbox.

Note: Every door you select in Doors section will be subjected to the door action (Lock, Unlock or Unlock Hold) and/or the reader action (Enable or Disable) you choose. Therefore, make sure that you select the correct doors for the door/reader action you intend to perform.

Select All
Clicking the 'Select All' button will select all doors that are listed in the Doors section of Manual Door Control screen.

Fig. 155.21. The 'Select All' button.

Clear All
Clicking the 'Clear All' button will deselect the door selections that are made in the Doors section of Manual Door Control screen.

Fig. 155.22. The 'Clear All' button.

Done
Clicking the 'Done' button will close the 'Manual Door Control' screen.

Fig. 155.23. The 'Done' button.


Executing Manual Door Control

Perform the following steps below to execute manual door control of selected doors.

  • Open 'Manual Door Control' screen by clicking the Doors button on CA4K™ main toolbar.

If you wish to control doors that belong to a particular Partition group only, then, click the down arrow to the right of Partition Group control and select a desired group.

Fig. 155.24. Partition Group control showing door Partition Group names.

Note: The Partition Group control will show door partition group names only if they are created earlier in the 'Partition Groups' screen. Refer to Partition Groups section to learn about creating Partition groups.

  • In the Doors section of the screen, select the required doors for manual control. The doors seen in this section are those that are created and enabled earlier in the 'Readers' screen.

Fig. 155.25. Selecting desired doors by clicking the Checkboxes.

Decide on the door action (Lock, Unlock or Unlock Hold) and/or Reader Action (Enable or Disable) you wish to perform on the selected doors, and click on the corresponding radio button(s).

Note: The radio button controls for both the door and the reader actions are mutually exclusive. That is, you can select only one radio button for each action

The door/reader action you select will apply to all doors selected in the Doors section.

Fig. 155.26. Door and Reader Action Checkboxes and their radio button controls.

  • Click on Execute Door Action button. This button can have the label Execute Door Action or Execute Reader Action or Execute Door and Reader Action depending on which Checkbox ('Door Action' and/or 'Reader Action' Checkbox) you have enabled.

Fig. 155.27. The Execute button activated on door selection.

Also, the 'Execute' button will be enabled only if you have selected at least one door in the 'Doors' section.

Upon clicking Execute, the following message box will be displayed.

Fig. 155.28. Message box displayed after clicking 'Execute' button.

Note: This message box does not mean that the selected door or reader action has been performed. It just means that the action command is queued in the database waiting to be sent to the panel. If communications is down between the computer and the panel, the queued command will be dropped after a timeout period.

Click OK button in the message box.

Click Exit button to close the Manual Door Control screen.


Manual Relay Control

The 'Manual Relay Control' screen can be used to manually control the relays that are used in the CA4K™ system.

Accessing Manual Relay Control Screen
The 'Manual Relay Control' screen can be opened in two ways as below.

  • By clicking on Relays button in the CA4K™ main toolbar

 Fig. 160.1. The 'Relays' button in CA4K™ main toolbar.

  • By highlighting the desired relay Event/Alert in the CA4K™ Events/Alerts grid, and clicking on Control button seen in the toolbar of the corresponding grid.

Fig. 160.2. The 'Control' button in Live Events grid toolbar.

Fig. 160.3. The 'Control' button in Pending Alerts grid toolbar.

Both the methods above will open the 'Manual Relay Control' screen.

Fig. 160.4. The 'Manual Relay Control' screen.

Note: If the 'Control' button is used to open the screen, then, the lower section of the screen will show automatic selection of the relay associated with the Event/Alert that was highlighted in the CA4K™ main screen.


Manual Relay Control Screen Controls

The various controls in the Manual Relay Control screen are discussed below.

Fig. 160.5. The 'Manual Relay Control' screen.

Manual Energize Time Override

The 'Manual Energize Time Override' provides the ability to override the energize time configured under Relays.

Fig. 160.6. The 'Manual Relay Control' screen.

Partition Group

The 'Relay Partition Group' control can be used to apply a filter for the relays (represented by Checkboxes) that are listed in the lower half of the 'Manual Relay Control' screen (see figure below).

Fig. 160.7. The 'Relay Partition Group' control.

The default option 'All Relays' will be seen in 'Relay Group' control every time the screen is opened. Thus, by default, all relays that are defined in the Relays screen will be displayed on the Manual Relay Control screen.

In case you wish to view relays that belong to a particular relay partition group only, then, click the down arrow to the right of 'Partition Group' control and choose a desired relay group.

Note:
Filtering will remain on for the group you selected until you turn it off, or close and reopen the 'Manual Relay Control' screen. If you want to remove filtering, click the 'Relay Group' control again and select the option 'none'. This will turn filtering off.

There are actually two sets of items that will appear in the 'Manual Relay Control' screen filtered list – the items that belong to the selected group, and the items that have no group assigned (group = 'none'). If you wish to see items from a particular relay group only, then, you must assign groups to every relay that you create in the Relays screen. Do not leave any relay with a group = 'none'.

Execute Relay Action

The 'Execute Relay Action' button will be grayed out when the Manual Relay Control screen is opened. The button will be activated only when any relay Checkbox is selected in the lower half of the screen.

Fig. 160.8. The 'Execute Relay Action' button grayed out by default.

Clicking this button will execute the relay action (Momentary ON, Hold Energized or De-Energize) you choose, on the selected relays.

Relay Action Section
The 'Relay Action' section provides controls for choosing the action you wish to perform on the relays selected in the lower half of the 'Manual Relay Control' screen.

Fig. 160.9. The 'Relay Action' section.

The controls in the 'Relay Action' section are explained below.

Momentary ON

Fig. 160.10. The 'Momentary ON' radio button.

'Momentary ON' is the default relay action selected in the 'Manual Relay Control' screen. This option will activate the relays selected in the screen, for the duration of time equal to their respective 'Energize Time', which is set in the Relays screen.

Hold Energized

Fig. 160.11. The 'Hold Energized' radio button.

Choosing this option will activate the relays selected in the 'Manual Relay Control' screen, and hold those relays in that state, until they are De-Energized.

Note: If any relay is set to 'Off State Energized', this control will de-energize that particular relay.

De-Energize

Fig. 160.12. The 'De-Energize' radio button.

Choosing this option will deactivate the relays selected in the 'Manual Relay Control' screen

Note: If any relay is set to 'Off State Energized', this control will energize that particular relay.

Alpha Sort

The default sort order for the relays in the 'Manual Relay Control' screen is the 'number entered' order. That is, the relay names will be displayed in the 'panel number numeric order' where, the relays on panel one appear before those on panel two, and the lowest numbered relay on panel one appears before the highest numbered relay, etc.

Selecting the 'Alpha Sort' Checkbox will allow you to re-sort the relays in the 'alphabetical' order.

Fig. 160.13. The 'Alpha Sort' Checkbox.

But, the sort order will revert back to 'number entered' order (the default) every time the screen is opened. Hence, you will be required to select the 'Alpha Sort' Checkbox each time the screen opens, in case you wish alphabetical order.

Relay Checkboxes

The lower half of the 'Manual Relay Control' screen consists of Checkboxes. Each Checkbox kbox represents a relay that has been created in the Relays screen.

Fig. 160.14. Relay Checkboxes in Manual Relay Control screen.

To execute a manual relay action, you must select the relay Checkboxes of your choice.

Relay selections can be made Individually by clicking the relay Checkboxes or

Collectively by clicking on 'Select All' button (see below), relays that are selected will contain a tick mark in the Checkbox.

Note: Every relay you select will be subjected to the relay action (Momentary ON, Hold Energized or De-Energize) you choose. Therefore, make sure that you select the correct relays for the relay action you intend to perform.

Select All
Clicking the 'Select All' button will select all relays that are listed in the lower half of the 'Manual Relay Control' screen.

Fig. 160.15. The 'Select All' button.

Clear All
Clicking the 'Clear All' button will deselect the relay selections that are made in the lower half of the 'Manual Relay Control' screen.

Fig. 160.16. The 'Clear All' button.

Done
Clicking the 'Done' button will close the 'Manual Relay Control' screen.

Fig. 160.17. The 'Exit' button.


Executing a Manual Relay Control

Follow the steps below to execute manual relay control of select relays.

  • Open Manual Relay Control screen by clicking the Relays button on CA4K™ main toolbar.

  • If you wish to control relays that belong to a particular Partition group only, then, click the down arrow to the right of Partition Group control and select a desired group.

Fig. 57.15. Relay Partition Group control showing relay group names.

Note: The Partition Group control will show relay group names only if they are created earlier in the 'Partition Groups' screen. Refer to the Partition Groups topic to learn about creating Partition Groups

In the lower half of the screen, select the desired relays for manual control. The relays seen are those that are created and enabled earlier in the 'Relays' screen.

Fig. 57.16. Selecting desired relays by clicking the Checkboxes.

Selection of relay(s) will enable the 'Execute Relay Action' button.

Decide on the relay action (Momentary On, Hold Energized or De-Energize) you wish to perform on the selected relays, and click on the corresponding radio button.

Fig. 57.17. The relay action radio buttons.

Note:

The radio button controls for relay action are mutually exclusive. That is, you can select only one radio button among the three.

The relay action you select will apply to all relays selected in the lower half of the screen

  • Click on Execute Relay Action button. The button will be enabled only if you have selected at least one relay in the lower half of the screen (see figure below).

Fig. 57.18. The 'Execute Relay Action' button activated on relay selection.

Upon clicking the Execute Relay Action button, the following message box will be displayed.

Fig. 57.19. Message box displayed after clicking 'Execute Relay Action' button.

Note: This message box does not mean that the selected relay action (Momentary ON, Hold Energized or De-Energized) has been performed. It just means that the action command is queued in the database waiting to be sent to the panel. If communications is down between the computer and the panel, the queued command will be dropped after a timeout period.

Click OK button in the message box.

Click Exit button to close the Manual Relay Control screen.


Manual Link Control

The 'Manual Link Control' screen can be used to manually control the links that are used in the CA4K™ system. A link can be programmed to fire a relay(s) depending on the change of state of an input(s). The ultimate goal of any link is to fire at least one relay. Thus, manual control of any link will lead to activation or deactivation of the relay(s) associated with that link.

Accessing Manual Link Control Screen

The 'Manual Link Control' screen can be opened in two ways as below.

  • By clicking on Links button in the CA4K™ main toolbar.

Fig. 165.1. The 'Links' button in CA4K™ main toolbar

  • By highlighting the desired link Event/Alert in the CA4K™ Events/Alerts grid, and clicking on Control button seen in the toolbar of the corresponding grid. The Control button will become enabled once you click on the desired link Event/Alert.

Fig. 165.2. The 'Control' button in Events grid toolbar.

Fig. 165.3. The 'Control' button in Alerts grid toolbar.

Both the methods above will open the Manual Link Control screen.

Fig. 165.4. The 'Manual Link Control' screen.

Note: If the 'Control' button was used to open the screen, then, the Links section of the screen will show automatic selection of the link associated with the Event/Alert that you highlighted in the CA4K™ main screen.


Manual Link Control Screen Controls

The various controls in the Manual Link Control screen are discussed below.

Fig. 160.5. The 'Manual Link Control' screen.

Link Action Section
The 'Link Action' section provides controls for choosing the action you wish to perform on the links selected in the lower half of the 'Manual Link Control' screen.

Fig. 165.6. The 'Link Action' section.

The controls in the 'Link Action' section are explained below.

Activate

Fig. 165.7. The 'Activate' radio button.

'Activate' is the default link action selected in the 'Manual Link Control' screen. This option will activate the links selected in the screen.

Deactivate

Fig. 165.8. The 'Deactivate' radio button.

Choosing this option will Deactivate the links selected in the 'Manual Link Control' screen.

Set To Normal

Fig. 165.9. The 'Set To Normal' radio button.

Choosing this option will set the link back to the Normal state.

Partition Group

The 'Partition Group' control can be used to apply a filter for the links (represented by Checkboxes) that are listed in the lower half of the 'Manual Link Control' screen below.

Fig. 165.10. The 'Partition Group' control.

The 'Partition Group' control will store all of the link Partition groups that are defined in the 'Links' tab of the Partition Groups screen. If no groups are seen in the list, refer to the 'Partition Groups' section to create them.

The default option 'None' will be seen in 'Partition Group' control every time the screen is opened. Thus, by default, all links relays that are defined in the links screen will be displayed on the Manual Link Control screen.

In case you wish to view links that belong to a particular link partition group only, then, click the down arrow to the right of 'Partition Group' control and choose a desired link Partition group.

Note:
Filtering will remain on for the group you selected until you turn it off, or close and reopen the 'Manual Link Control' screen. If you want to remove filtering, click the 'Partition Group' control again and select the option 'none'. This will turn filtering off.

Execute Link Action

The 'Execute Link Action' button will be grayed out when the Manual Link Control screen is opened. The button will be activated only when any link Checkbox is selected in the lower half of the screen.

Fig. 165.11. The 'Execute Link Action' button enabled.

Clicking this button will execute the link action (Activate, Deactivate and Set To Normal) you choose, on the selected links.

Alpha Sort

The default sort order for the links in the 'Manual Link Control' screen is the 'number entered' order. That is, the link names will be displayed in the 'panel number numeric order' where, the links on panel one appear before those on panel two, and the lowest numbered link on panel one appears before the highest numbered link, etc.

Selecting the 'Alpha Sort' Checkbox will allow you to re-sort the links in the 'alphabetical' order.

Fig. 165.12. The 'Alpha Sort' Checkbox.

But, the sort order will revert back to 'number entered' order (the default) every time the screen is opened. Hence, you will be required to select the 'Alpha Sort' Checkbox each time the screen opens, in case you wish alphabetical order.

Link Checkboxes

The lower half of the 'Manual Link Control' screen consists of Checkboxes. Each Checkbox represents a link that has been created in the Links screen.

Fig. 165.13. Links Checkboxes in Manual Link Control screen.

To execute a manual link action, you must select the link Checkboxes of your choice.

Link selections can be made by individually by clicking the link check boxes or collectively by clicking on 'Select All' button (see below).

Links that are selected will contain a tick mark in the Checkbox.

Note: Every link you select will be subjected to the link action (Activate, Deactivate, Set To Normal you choose. Therefore, make sure that you select the correct link for the link action you intend to perform.

Select All
Clicking the 'Select All' button will select all links that are listed in the lower half of the 'Manual Link Control' screen.

Fig. 165.14. The 'Select All' button.

Clear All
Clicking the 'Clear All' button will deselect the link selections that are made in the lower half of the 'Manual Link Control' screen.

Fig. 165.15. The 'Clear All' button.

Done
Clicking the 'Done' button will close the 'Manual Link Control' screen.

Fig. 165.16. The 'Exit' button.


Executing a Manual Link Control

Follow the steps below to execute manual link control of selected links.

  • Open 'Manual Link Control' screen by clicking the Links button on CA4K™ main toolbar.

If you wish to control links that belong to a particular Partition Group only, then, click the down arrow to the right of Partition Group control and select a desired group.

Fig. 165.17. Link Group control showing link group names.

Note: The 'Partition Group' control will show link partition group names only if they are created earlier in the 'Partition Groups' screen Links tab. Refer to the 'Partition Groups' section to learn about creating partition groups

In the Links section of the screen, select the required links for manual control. The links seen in this section are those that are created and enabled earlier in the 'Links' screen.

Fig. 165.18. Selecting desired links by clicking the checkboxes.

The Selection of links) will enable the Execute Link Action button.

Decide on the link action (Activate, De-Activate or Set to Normal) you wish to perform on the selected links, and click on the corresponding radio button

Fig. 165.19. The link action radio buttons.

Note: The radio button controls for link action are mutually exclusive. That is, you can select only one radio button among the three.

The link action you select will apply to all links selected in the Links section.

  • Click on Execute Link Action button. The button will be enabled only if you have selected at least one link in the Links section.

Fig. 165.20. The 'Execute Link Action' button activated on link selection.

Upon clicking the Execute Link Action button, the following message box will be displayed.

Fig. 165.21. Message box displayed after clicking 'Execute Link Action' button.

Note: This message box does not mean that the selected link action (Activate, De-Activate or Set to Normal) has been performed. It just means that the action command is queued in the database waiting to be sent to the panel. If communications is down between the computer and the panel, the queued command will be dropped after a timeout period.

Click OK button in the message box.

Click Done button to close the Manual Link Control screen


Manual Activity Link Control

The 'Manual Activity Link' Control screen can be used to manually control the Activity links that are used in the CA4K™ system. An Activity link can be programmed to perform many different functions much like scripting. Thus, manual control of any Activity link will lead to activation or deactivation of the device selected for the output.

Accessing Manual Activity Link Control Screen

The 'Manual Activity Link Control' screen can be opened in two ways as below.

By clicking on 'Activity Links' button in the CA4K™ main toolbar.

Fig. 170.1. The 'Activity Links' button in CA4K™ main toolbar

By highlighting the desired Activity link Event/Alert in the CA4K™ Events/Alerts grid, and clicking on Control button seen in the toolbar of the corresponding grid. The Control button will become enabled once you click on the desired Activity link Event/Alert.

Fig. 170.2. The 'Control' button in Events grid toolbar.

Fig. 170.3. The 'Control' button in Alerts grid toolbar.

Both the methods above will open the 'Manual Activity Link Control' screen.

Fig. 170.4. The 'Manual Activity Link Control' screen.

Note: If the 'Control' button was used to open the screen, then, the Activity Links section of the screen will show automatic selection of the link associated with the Event/Alert that you highlighted in the CA4K™ main screen.


Manual Activity Link Controls

The various controls in the 'Manual Activity Link Control' screen are discussed below.

Fig. 170.5. The 'Manual Activity Link Control' screen.

Partition Group

The 'Partition Group' control can be used to apply a filter for the Activity links (represented by Checkboxes) that are listed in the lower half of the 'Manual Activity Link Control' screen below.

Fig. 170.6. The 'Partition Group' control.

The 'Partition Group' control will store all of the link Partition groups that are defined in the 'Links' tab of the Partition Groups screen. If no groups are seen in the list, refer to the 'Partition Groups' section to create them.

The default option 'None' will be seen in 'Partition Group' control every time the screen is opened. Thus, by default, all links relays that are defined in the links screen will be displayed on the Manual Link Control screen.

In case you wish to view links that belong to a particular link partition group only, then, click the down arrow to the right of 'Partition Group' control and choose a desired link Partition group.

Note:
Filtering will remain on for the group you selected until you turn it off, or close and reopen the 'Manual Activity Link Control' screen. If you want to remove filtering, click the 'Partition Group' control again and select the option 'none'. This will turn filtering off.

Execute Link Activate

The 'Execute Activity Link Activate' button will be grayed out when the Manual Activity Link Control screen is opened. The button will be activated only when any Activity link Checkbox is selected in the lower half of the screen.

Fig. 170.7. The 'Execute Link Activity' button enabled.

Clicking this button will execute the Activity link on the selected Activity links.

Alpha Sort

The default sort order for the links in the 'Manual Activity Link Control' screen is the 'number entered' order. That is, the Activity link names will be displayed in the 'panel number numeric order' where, the links on panel one appear before those on panel two, and the lowest numbered link on panel one appears before the highest numbered link, etc.

Selecting the 'Alpha Sort' Checkbox will allow you to re-sort the links in the 'alphabetical' order.

Fig. 170.8. The 'Alpha Sort' Checkbox.

But, the sort order will revert back to 'number entered' order (the default) every time the screen is opened. Hence, you will be required to select the 'Alpha Sort' Checkbox each time the screen opens, in case you wish alphabetical order.

Send As Undo

The Send As Undo selection will undo the Activity link action.

Fig. 170.9. The 'Send as UNDO' Checkbox.

Activity Link Checkboxes

The lower half of the 'Manual Activity Link Control' screen consists of checkboxes. Each Checkbox represents a link that has been created in the Links screen.

Fig. 170.10. Activity Links Checkboxes in Manual Activity Link Control screen.

To execute a manual Activity link action, you must select the Activity link Checkboxes of your choice.

Activity Link selections can be made by individually by clicking the Activity link Checkboxes or collectively by clicking on 'Select All' button (see below).

Activity Links that are selected will contain a tick mark in the Checkbox.

Note: Every Activity link you select will be subjected to the Activity link Execute action.. Therefore, make sure that you select the correct Activity link you wish to execute.

Select All
Clicking the 'Select All' button will select all Activity links that are listed in the lower half of the 'Manual Activity Link Control' screen.

Fig. 170.11. The 'Select All' button.

Clear All
Clicking the 'Clear All' button will deselect the Activity link selections that are made in the lower half of the 'Manual Activity Link Control' screen.

Fig. 170.12. The 'Clear All' button.

Done
Clicking the 'Done' button will close the 'Manual Activity Link Control' screen.

Fig. 170.13. The 'Exit' button.


Executing a Manual Activity Link

Executing a Manual Activity Link Control

Follow the steps below to execute manual Activity link control of selected links.

Open Manual Activity Link Control screen by clicking the Activity Links button on CA4K™ main toolbar.

If you wish to control links that belong to a particular group only, then, click the down arrow to the right of Partition Group control and select a desired group.

Fig. 170.14. Activity Link Partition Group control showing Activity link group names.

Note: The 'Partition Group' control will show Activity link partition group names only if they are created earlier in the 'Partition Groups' screen Activity Links tab. Refer to the 'Partition Groups' section to learn about creating partition groups

In the 'Activity Links' section of the screen, select the required Activity links for manual control. The Activity links seen in this section are those that are created and enabled earlier in the 'Activity Links' screen.
.

Fig. 170.15. Selecting desired Activity links by clicking the checkboxes.

The Selection of Activity link(s) will enable the 'Execute Link Activity' button.

Click on Execute Link Activity button. The button will be enabled only if you have selected at least one Activity link in the Activity Links section.

Fig. 170.16. The 'Execute Link Action' button activated on link selection.

On clicking the button, the following message box will be displayed.

Click OK button in the message box.

Click Done button to close the Manual Activity Link Control screen


Scheduled Changes

MUST READ - VERY IMPORTANT NOTES:

  • Start and End Times on the same day must not overlap, if you are creating multiple scheduled changes.

The Scheduled Changes screen is a utility screen where you can create schedules that can temporarily override 'standard' schedules that were created using the 'Schedules' screen. (Time) Schedules created in the 'Schedules' screen can be applied to CA4K™ hardware items such as Readers, Inputs, Relays and Links. These time schedules modify the behavior of the concerned hardware items (for more information, refer to the 'Schedules' topic).

Technically speaking, override schedules work identical to the schedules discussed in the Schedules section. The main difference between an override schedule and a standard schedule is that, an override schedule will 'preempt' the standard schedule, if set up to do so.

In fact, that is the main purpose of an Override Schedule, to preempt any other schedule that has been applied to the given hardware item.

Accessing Scheduled Changes Screen
  • Click on Control menu in CA4K™ main menu bar.

  • Click on Scheduled Changes menu option in the list.

Fig. 180.1. The 'Scheduled Changes' menu selection. .

  • Upon clicking, the 'Scheduled Changes' screen will be displayed as per below.

Fig. 180.2. The 'Scheduled Changes' screen.


Scheduled Changes Screen Controls

The controls in Scheduled Changes screen are explained below.

Fig. 180.3. The 'Scheduled Changes' screen.

Description

The Description field is meant for entering a descriptive name for the new schedule being defined in the 'Scheduled Changes' screen. The new schedule is intended to override the time schedule that is currently applied to the given hardware item.

Fig. 180.4. The 'Description' field.

Device to Change Section

In the Device to Change section, you will be selecting the hardware item (in question), whose current time schedule you wish to change.

Fig. 180.5. The 'Device to Change' Section.

Below are the descriptions for each field in the 'Device to Change' section:

  • The Device control is one control that governs all other controls in this section. This control is used for specifying the hardware device category (One of the four options- Reader, Input, Relay or Link), whose time schedule you wish to change.

  • The Partition Filter is the database partition you wish to apply this change to.

  • The Reader selection displays a list of all readers.

  • The Field selection displays all the possible fields to change.

Change to be Made

In the Change to be Made section, you will select the changes you wish to schedule. For this example, it is a New Time Schedule named 'production' and the Field will be Free Access. .

Fig. 180.6. The 'Change to be Made' Section.

Below are the descriptions for each field in the Change to be Made section::

  • The New Time Schedule is the time schedule that will be substituted in during the Effective Date/Time Range.

  • The Effective Date Range is the Date/Time Range this change will take effect.

  • The Partition Group is the Database partition you want this change to be made to.


Defining a Scheduled Change

Follow the steps below if you wish to override the time schedule that is currently set for the given hardware device.

  • Decide on which time schedule of the given hardware item you wish to change, go to the corresponding CA4K™ hardware screen and note down the schedule set for the same in the corresponding time schedule field.

  • Open 'Scheduled changes' screen by clicking on Control>Scheduled Changes menu options in the CA4K™ main screen.

  • Click on New button in Scheduled Changes screen toolbar for defining a new schedule. The new schedule is intended to override the time schedule currently set for the given hardware item.

Upon clicking New, all of the controls in the Device to Change section will be activated.

  • In the Description field, enter a descriptive name for the new time schedule.

Fig. 180.7. The 'Description' field.

  • Click the down arrow to the right of Device control and choose the hardware device category, of the given hardware item.

Fig. 180.8. Hardware device categories available.

  • Click the down arrow to the right of Partition Filter control and select a Partition Group if one is used.

Fig. 180.9. Hardware device categories available.

  • Click the down arrow to the right of Item control and choose the Item for the Device selected.

Figure 180.10 Item Selection for Reader Device..

  • Click the down arrow to the right of Field control and choose the new schedule for the Device selected.

Figure 180.11 Field Selection for Reader Device..

  • Click the down arrow to the right of the New Time Schedule field and choose a time schedule of your choice in the list.

Note: The time schedule you select here must be different from the schedule you have configured.

  • You will be overriding the time schedule currently set for this particular field.

Fig. 180.12. Selecting a New Times Schedule field to override existing Time Schedule. .

In the From control, specify the Start Day of the new time schedule.

There are two methods to do this.

Note: single left/right arrows are provided at the top of the screen to scroll backward/forward through the dates/months of any year, in order to aid in the selection of a desired date.

  • Click on a desired Start date in the calendar window.

  • Type the date of the Start Day in MM/DD/YY or MM/DD/YYYY date format, in the 'From' control.

  • Type in the Hour the scheduled change should take affect.

Note: In the following example, the scheduled change starts at midnight (12 AM) of the date you specify in the 'From' control. This can be changed to any hour.

Fig. 180.13. 'From' Calendar Control .

In the To control, specify the End Day of the new time schedule.

Note: single left/right arrows are provided at the top of the screen to scroll backward/forward through the dates/months of any year, in order to aid in the selection of a desired date.

There are two methods to do this.

  • Click on a desired End date in the calendar window.
  • Type the date of the End Day in MM/DD/YY or MM/DD/YYYY date format, in the 'To' control.

  • Type in the end time (hour) the scheduled change should end.

Note: In the following example, the scheduled change ends at midnight (12 AM) of the date you specify in the 'To' control.

Fig. 180.14.. 'To' Calendar Control.

  • Click the down arrow to the right of the Partition Group Field. Choose a Partition Group for this Schedule Change. .

Fig. 180.15.. Partition Group Selection.

  • Click on Save button in the toolbar to save the settings.

  • Click on Close button in the toolbar to close the screen.


Editing a Scheduled Change

Only scheduled changes that are not in effect can be edited. The following steps may be followed to edit such records.

  • Open Scheduled changes screen by clicking on Control>Scheduled Changes menu options in the CA4K™ main screen.

  • In the upper half of the screen, locate the scheduled change record you wish to edit, and click on it.

  • Make desired changes to the controls in the screen

  • Click on Save button in the toolbar to save the changes.

  • Click on Close button to close the screen.


Deleting a Scheduled Change

Two buttons can perform the delete function in the 'Scheduled Changes' screen. The buttons and their operating conditions are as follows.

  • The Delete button- The 'Delete' button can only delete a scheduled change that is not in effect.

Fig. 180.17. The 'Delete' button for deleting a scheduled change that is not in effect.

  • The Cancel Active button- The 'Cancel Active' button can be used to delete a scheduled change that is in effect. A scheduled change while in effect will blink a message in red color, in the lower half of the screen.

Fig. 180.18. The 'Cancel Active' button for deleting a scheduled change in effect.

Note: The Delete button (although enabled) will not serve to delete a scheduled change that is in effect. In case you use the 'Cancel Active' button for deleting such a record, the message box shown in the figure below will be displayed.

Fig. 180.19. The 'Cancel Active' button message box.


Deleting a Scheduled Change (In Effect)

Follow the steps below if you wish to cancel or delete a scheduled change that is in effect.

Open Scheduled changes screen by clicking on Control>Scheduled Changes menu options in the CA4K™ main screen.

  • In the upper half of the screen, locate the scheduled change record (in effect) you wish to cancel or delete, and click on it.

  • A scheduled change that is in effect will blink a message in red color, in the lower half of the screen

  • Click on Cancel Active button in the toolbar.

Fig. 180.20. The 'Cancel Active' button to cancel a scheduled change that is in effect.

Upon clicking, the following message box below will be displayed.

Fig. 180.21. Message box displayed on clicking 'Cancel Active' button.

Note: Delete action cannot be reversed. A record deleted (original data restored) is lost forever. Make sure you choose the correct option (Yes or No).

  • After confirmation, click on Yes button in the message box to deactivate (cancel) the scheduled change.

Note: If you wish to restore the original data, click No.

  • Click on OK button

  • Click on Close button in the toolbar to close the screen.


Deleting a Scheduled Change (Not in Effect)

Follow the steps below if you wish to delete a scheduled change that is not in effect.

  • Open Scheduled changes screen by clicking on Control>Scheduled Changes menu options in the CA4K™ main screen.

  • In the upper half of the screen, locate the (not in effect) scheduled change record you wish to delete, and click on it.

  • Click on Delete button in the toolbar.

Fig. 180.22. Clicking on 'Delete' button to delete a scheduled change that is not in effect.

Upon clicking Delete, the following message box will be displayed.

Fig. 180.23. Message box displayed on clicking 'Delete' button, for deleting a scheduled change not in effect.

Note: Delete action cannot be reversed. A record deleted once is lost forever. Make sure you have chosen the correct record for deleting.

  • After confirmation, click on Yes button in the message box.

  • Click on Close button in the toolbar to close the screen.


CardAccess Usage Utility

CA4K™ Usage Utility

The Find Usage Utility is a multi-purpose utility that will allow you to generate a variety of system statistics.

Opening 'CA4K™ Usage Utility' Screen:

  • Click on Access menu in CA4K™ main menu bar.

  • Click on Find Usage menu option in the list.

Fig. 185.1. The 'CA4K™ Find Usage Utility' menu selection.

Upon clicking, the 'CA4K™ Find Usage Utility' screen will be displayed as below.

Fig. 185.2. The 'CA4K™ Find Usage Utility' screen.

Observe that the right hand side of the screen has three distinct sections namely Usage Counts, Time Schedules and Access Groups. The controls provided in these sections can be used to display CA4K™ related information, on the left hand side of the screen, which serves as the result window.


Counts

The Counts section can be used to query the CA4K™ database and display the number of badges and access groups, to be stored at a given panel.

Fig. 185.3. The 'Usage Counts' section

The controls in this section are explained on the following page.


Obtain Panel Statistics and Compare Values

Panel
The Panel drop-down list will display all the configured panels. .

Fig. 185.4. The 'Panel' field.

Fig. 185.5. The 'Panels' Drop-down list.

Fig. 185.6. Panel Number column from 'Panels' Screen.

Total badges
The Total Badges field will indicate the total number of badges to be stored at the panel, that has been specified in the 'Panel' field. You are required to click on (any) one of the blue colored fields in the 'Counts' section, for obtaining this count.

Fig. 185.7. The 'Total Badges' field.

Total Access Groups

The Total Access Groups field will indicate the total number of access groups to be stored at the panel, that has been specified in the 'Panel' field. You are required to click on (any) one of the blue colored fields in the 'Counts' section, for obtaining this count.

Fig. 185.8. The 'Total Access Groups' field.
Total Blocks
The Total Blocks field will indicate the total number of access group blocks to be stored at the panel, that has been specified in the 'Panel' field. You are required to click on (any) one of the blue colored fields in the 'Counts' section, for obtaining this count.

Fig. 185.9. The 'Total AG Blocks' field.

Panel Statistics

The general process of examining panel statistics is to verify that the data reported by a given panel matches the database programming for that panel. In a case where the two reports don't match, it means that, the configuration data for that panel may not have downloaded properly, a situation that would certainly warrant immediate corrective action.

Regarding the general analysis of panel statistics and panel data downloads, there are three panel error conditions that the CA4K™ administrator should be aware of.

  • Overflow – Panel data overflow conditions generate warning alert messages in the CA4K™ main screen, usually in the Alerts Grid. Overflows occur when the host computer attempts to send more configuration data than a panel's memory can store. This problem has most commonly occurred when panel memory size has not been increased, and the download of an excess number of badge records is attempted.

  • Underflow – This condition occurs when the panel has not stored all of the configuration data that the database indicates should be downloaded to that panel. This can be typically due to a communication error. This problem can be located by using diagnostic tools. But, there may not be error event messages associated with it.
  • Logic Error – This condition occurs when the panel logic has been disrupted and configuration memory gets corrupted or lost. A power spike or dip coupled with low backup battery voltages may set the stage for this type of problem. The panel might then possibly begin 'misreporting' statistical numbers, and possibly denying previously valid cardholders.

Thus, when it becomes necessary to examine panel configuration memory behavior, you will find the CA4K™ Find Usage utility, Counts section, useful.

The CA4K™ Find Usage utility will only report the database programming settings for a given panel. To read statistical counters from the actual panel memory, you need to use the CA4K™ Status Screen.

NOTE:The CA4K™ does not have the ability to display the Communications Driver' window since the Communication driver (Hostnt.exe) is now a service.

The CA4K™ status screen can be launched from the main toolbar.

  • Click the 'Status' button.

Fig. 185.10. The 'CA4K™ 'Status Button' on the Toolbar.

  • Click the 'Panel Status' tab.

Fig. 185.11. The CA4K™ 'Panels Status' Screen.
The columns in the Panels Status window are displayed below.

  • Panel – This column will indicate the panel number of the panel (the number is taken from the 'Panels' screen).
  • Version – This column will indicate the firmware version of the panel firmware.
  • Panel Name – This column will display the descriptive panel name.
  • COM Port – This column displays the com port number the panel is connected to.
  • Panel Address – This column will display the physical address of the panel.
  • Workstation – This column will display the workstation number the panel is connected to.
  • Max Cards – This column will indicate the maximum number of badge records that can be stored by the panel memory.
  • Card Cnt – This column will indicate the actual number of cards stored at the panel.

  • Max ALP – This column will indicate the maximum number of Activity Links.

  • Max. Xact – This column will indicate the number of event transactions that are being buffered in panel memory, waiting to be sent to the CA4K™ host polling computer.

  • Xacts – This column will indicate the number of event transactions that are being buffered in panel memory, waiting to be sent to the CA4K™ host polling computer.
  • Max. AG – This column will indicate the total number of Access Group blocks that are stored at the panel.
  • AG Blks – This column will indicate the total number of Access Group blocks that are stored at the panel.
  • Exp Mem – This column will indicate the total number of expanded memory blocks (each block represents 4k bytes) at the panel.
  • EXP IO – This column will indicate the types of I/O expansion boards you have on the system.
  • Thread Count- This column will indicate the total number of threads per panel.
  • PPS – This column will indicate the total number of PPS.


Time Schedules

Follow the steps below to obtain Time Schedule Usage information in CA4K™ software.

  • Open 'CA4K™ Usage Utility' screen by clicking on Access>Find Usage menu options in the CA4K™ main screen.

  • Click the down arrow of Time Schedules drop down box, locate the desired time schedule, and click on it

Fig. 185.12. Selecting a desired time schedule to find its usage in CA4K™.

Note: The drop down list will show all schedules created in the 'Schedules' screen. If no schedule is seen in the list, it means that time schedules have not been created so far. Refer the section 'Schedules' to create them.


Find Time Schedule Usage

  • Click on Show Schedule Usage button.

Fig. 185.13. The 'Show Schedule Usage' button.

Upon clicking, the left hand side of the screen will display the usage information of the selected time schedule.

The information will include the software as well as hardware items of the CA4K™ database that use the selected time schedule.

Fig. 185.14. Time Schedule Usage information of a selected time schedule.

Note: In case the selected schedule is not assigned to any CA4K™ item, then the result window will be empty.
Unused Time Schedules

 You may click on 'Unused Time Schedules' button to know which of the Time Schedules (created in the 'Time Schedules' screen) have not yet been used.

Fig. 185.15. The 'Unused Time Schedules' Button

On clicking this button, the left hand side of the screen will show the list of all unused Time Schedules.

Fig. 185.16. Unused Time Schedules information obtained by clicking on 'Unused Time Schedules' button.


Access Groups Ct

Access Groups

The Access Groups section can be used to examine how the (CA4K™) Access Groups are assigned in the CA4K™ database. You may wish to know which badges (or how many) use a particular access group, or which of the access groups have been created, but not yet been assigned to any of the badge holders.

  • Open 'CA4K™ Usage Utility' screen by clicking on Access>Find Usage menu options in the CA4K™ main screen.

  • Click the down arrow of Access Groups drop down box, locate the desired Access Group, and click on it

Fig. 185.17. Selecting a desired Access Group to find its usage in CA4K™.

Note: The drop down list will show all Access Groups created in the 'Access Groups' screen. If no Access Group is seen in the list, it means that Access Groups have not been created so far. Refer the section 'Access Groups' to create them.


Find Access Group Usage

  • Click on Show Access Group Usage button.

Fig. 185.18. The 'Show Access Group Usage' button.

Upon clicking the 'Show Access Group Usage' button, the left hand side of the screen will display the list of all badge holders who are assigned the access group selected in the Access Groups drop down box. The information will include the Badge Number and Badge Holders that contain the selected Access Group.

Fig. 185.19. List of badge holders who are assigned the access group 'All Access'.

Note: In case the selected access group is not assigned to any badge holder in CA4K™, then the result window will be empty.

Unused Access Groups

 You may click on 'Unused Access Groups' button to know which of the access groups (created in the 'Access Groups' screen) have not yet been assigned to any badge holder, in the CA4K™ software.

Fig. 185.20. The 'Unused Access Groups' Button

Upon clicking this button, the left hand side of the screen will show the list of all unused access groups.

Fig. 185.21. Unused Access Group information obtained by clicking on 'Unused Access Groups' button.


Archive / Restore Data

Archive and Restore Data

The Archive Data screen is used to transfer configuration data or events data from the two CA4K™ Live databases, to the two archive (configuration and events) databases. The resulting Configuration archive database is immediately usable as it is a fully functioning exact copy of the CA4K™ main Live configuration database. The screen also allows restoration of configuration data from the configuration archive database.

If you chose to create new Live databases (configuration and events) to archive to, this can be done by using the CA4K™ Database Utilities program available in the CA4K™ Tools folder. Refer the section CA4K™ Database Utilities for creating new Live databases (Configuration and Events).

Note: The caComdb database is a temporary database and the data should not be archived or restored.

Accessing Archive Configuration and Events screen:
Follow the steps below:

  • Click on System menu in CA4K™ menu bar

  • Click on Archive Data menu item.

Fig. 190.1. 'Archive Data' option in System menu list.

Note: Archive Data menu item will be displayed in System menu list only on CA4K™ Host PC.

Upon clicking, Archive Configuration and Events screen will be displayed as shown in the figure below.

Fig. 190.2. The 'Archive Configuration and Events' screen.

The screen has two main tabs namely Archive and Restore. By default, the screen will open in the Archive tab as shown in the above figure.


Archiving Configuration Data

The Archive Configuration and Events screen in Archive tab provides two sub–tabs namely Configuration and Events. The Configuration tab is used for archiving configuration data from the CA4K™ main live configuration database to an archive configuration database. This is explained below.

Note: Archiving of configuration data is done automatically every night at midnight.

Archiving Configuration from CA4K™ Live Configuration Database

Follow the steps below to archive the configuration data:

  • Verify the Archive tab is selected at the top of the screen. If it is not selected, click on the Archive tab to select it.

Fig. 190.3. Archive tab selected for archiving configuration data.

  • Select the desired Destination Server and Archive Configuration Database names from the respective drop down boxes.

Fig. 190.4. Selecting Destination Server and Database names by clicking the down arrows.

Note: If no name is seen in the Database drop down list, a new database must be created for archiving purposes. Refer the section CA4K Database Configuration for creating a new archive configuration database.

The Destination Server and Database names selected will be displayed on the status bar seen at the bottom of the screen.

Fig. 190.5. Status bar showing the selected Destination Server and Database names.

Verify the Configuration tab is selected. If it is not selected, click on the Configuration tab to select it.

Fig. 190.6. Configuration tab selected for archiving configuration data from CA4K™ main database.

Select the configuration items you wish to archive. This can be done in two ways as below:

  • Clicking on All Checkbox to select all items.

  • Clicking the individual Checkboxes to select only desired items.

Fig. 190.7. Selecting all Configuration items for archiving by clicking the All check box.

  • Click on Archive Data button in the toolbar to archive the configuration items selected.

Fig. 190.8. Clicking on 'Archive Data' button to archive the configuration items selected.

Upon clicking the Archive Data button, the following message box will be displayed.

Fig. 190.9. Message box displayed after clicking 'Archive Data' button.

Note: Before you click Yes or No button in the above message box, make sure you have chosen the correct Destination Database. This is very important because pre-existing configuration data in the Destination Database will be overwritten during archiving.

  • Click on Yes button in the message box after confirming the Destination Database.

Upon clicking Yes, the screen will show the progress of Configuration Data archive.

Fig. 190.10. Progress of Configuration data archive.

After Archiving is complete, the message box below will be displayed.

Fig. 190.11. Message box displayed after archiving is complete.

  • Click on OK button in the message box to acknowledge the completion of archive.

Fig. 190.12. The 'Close' button.

  • Click on Close button in the toolbar to close the screen.


Archiving Events from Main Event Database

Archiving Events from Main Live Event Database

The Archive Configuration and Events screen in Archive tab provides two sub–tabs namely Configuration and Events. One of the functions of the Events tab is to enable archiving of events from the CA4K™ main Live Events database. This function is explained below.

Archiving Events from CA4K™ Live Events Database

Follow the steps below to archive events from CA4K™ Live events database:

Verify the Archive tab is selected at the top of the screen. If it is not selected, click on the Archive tab to select it

Fig. 190.14. Archive tab selected for archiving events from CA4K™ main database.

  • Select the desired Destination Server and Events Database names from the respective drop down boxes.

Fig. 190.15. Selecting Destination Server and Database names by clicking the down arrows.

In the above figure, CARDACCESS and caArchiveEvents are selected as the Destination Server and Database names respectively.

Note: If no name is seen in the Database drop down list, a new database must be created for archiving purposes. Refer the section Database Utilities (Creating a Database) for creating a new archive database.

The Destination Server and Database names selected will be displayed on the status bar seen at the bottom of the screen.

Fig. 190.16. Status bar showing the selected Destination Server and Database names.

  • Click on Events tab.

Fig. 190.17. Events tab selected for archiving CA4K™ events.

Note:

  • The Include Photos in Archive Checkbox will be selected by default as shown in figure 24.4. Checkbox when selected will allow archiving of the associated event photos, when events are archived. It is recommended that the box is checked. In case you do not prefer Photo archiving, deselect the Checkbox by clicking on it.

  • The Alternate Source Checkbox in Events tab (refer figure above) is used when events are archived from databases other than the CA4K™ main database. This is explained under the topic Archiving Events from an Alternate Source.

  • Select the desired radio button control in the Backup Period area.

Fig. 190.18. Radio button controls for archiving events from CA4K™ main database.

The radio button controls are explained below

Prior To

By default, the Prior To radio button will be selected, and will display the current date as shown in figure 24.5. The default Date in the control can be changed as desired. This can be done in 2 ways as below:

  • By clicking directly on the numbers which require to be changed in mm/dd/yyyy date format and typing in a date of choice

Fig. 190.19. Date in Prior To area requiring a new date entry is highlighted by clicking on it.

  • By using the calendar to choose a desired date. This can be done by following the steps below

  • Click the calendar button (numbered as 15) found on the right side of 'Prior To' control. Upon clicking, a calendar window of the current month and year will be opened with the current date in highlight.

Fig. 190.20. Calendar window displayed by clicking on calendar button (numbered as 15).

Note: Single left/right arrows are provided at the top of the screen to scroll backward/forward through the dates/months of a year to aid desired date selection.

  • Click on a desired date in the calendar.

  • All events prior to the date displayed in the 'Prior To' control will be archived and purged from the CA4K™ main database.

All Events

The 'All Events' radio button is not selected by default. Selection of this radio button will archive and purge all events from the CA4K™ main database.

Fig. 190.21. Selecting 'All Events' radio button to archive all of the events from CA4K™ main database.

  • Clicking on 'All Events' control will gray out the date display in 'Prior To' control as shown in the above figure.

  • Click on Archive Data button in the toolbar to archive the events.

  • Upon clicking, the following message box will be displayed.

Fig. 190.22. Message box displayed after clicking the Archive Data button.

  • Before you click on Yes or No button in the above message box, verify you have chosen the correct Destination Database.

Note: Events archive process will include AUDIT TRAIL archive also. This information is made known by a message box display after the completion of archive. For details on Audit Trail, refer the section titled Audit Trail. .

  • Click on Yes button in the message box after confirming the Destination Database.

  • Upon clicking, the screen will show the progress of archiving Events.

Fig. 190.23. Progress bar screen for archiving events from CA4K™ main Live events database.

  • After Archiving is complete, the following message box will be displayed.

Fig. 190.24. Message box displayed after events and Audit Trail archive is complete.

  • Click on OK button in the message box to acknowledge the completion of archive.

  • Click on Close button in the toolbar to close the screen.


Archiving Events from Alternate Database

Archiving Events from an Alternate Source

Events tab provides the 'Alternate Source' Checkbox to control the archiving of events from databases other than the CA4K™ main database.

Archiving of events from an Alternate Source Database is carried out as below:

Follow steps in the previous topic mentioned under Archiving Events From CA4K Main Database.

  • Select the Alternate Source Checkbox by clicking on it.

Fig. 190.25. Alternate Source box checked in order to archive events from an Alternate Source Database.

  • Select the Alternate Source Server and Database names from the respective drop down boxes.

Fig. 190.26. Alternate Source Server and Database names selected from the respective drop down lists.

  • Select the desired radio button control in the Backup Period area.

Fig. 190.27. Radio buttons controls for archiving events from the Alternate Source database.

The radio button controls are explained below.

Prior To

By default, Prior To radio button will be selected, and will display the current date as shown in figure 25.3. The default Date in the control can be changed as desired. This can be done in 2 ways:
  • By clicking directly on the numbers which require to be changed in mm/dd/yyyy date format and typing in a date of choice.

Fig. 190.28. Date in Prior To area requiring a new date entry is highlighted by clicking on it.

  • By using the calendar to choose a desired date. This can be done by following the steps below:

  • Click the calendar button (numbered as 15) found on the right side of Prior To control. Upon clicking, the calendar of current month and year will open up with the current date in highlight.

Fig. 190.29. Calendar window displayed by clicking on calendar button (numbered as 15).

Note: Single left/right arrows are provided at the top of the screen to scroll backward/forward through the dates/months of a year to aid desired date selection.

  •  Click on a desired date in the calendar.

All events prior to the date displayed in 'Prior To' control will be archived and purged from the Alternate Source database.

All Events
The All Events radio button is not selected by default. Selection of this radio button will archive and purge all events from the Alternate source database.

Fig. 190.30. Selecting All Events radio button to archive all of the events from the Alternate Source database.

Clicking on All Events control will gray out the date displayed in 'Prior To' control as shown in the above figure.

  • Click on Archive Data button in the toolbar to archive the events.

  • Upon clicking, the following message box will be displayed

Fig. 190.31. Message box displayed after clicking Archive Data button.

Warning: Before you click Yes/No in the above message box, verify you have chosen the correct destination database.

Events archive process will include AUDIT TRAIL archive also. This information is made known by a message box display after the completion of archive. Refer Figure 25.9 for the message box. For details on Audit Trail, refer the section titled Audit Trail.

  • Click on Yes button in the message box after confirming the destination database.

Upon clicking Yes, the screen will show the progress of Archiving events from the Alternate Source Database.

Fig. 190.33. Progress of archiving events from the Alternate Source database.

After Archiving is complete, the following message box will be displayed.

Fig. 190.34. Message box displayed after events and Audit Trail archive is complete.

  • Click on OK button in the message box to acknowledge the completion of archive.

  • Click on Close button in the toolbar to close the screen.


Restoring Configuration Database

In the event of CA4K™ main database crash, it may become necessary to restore configuration data from the archive configuration database. This can be achieved in the Restore tab.

A click on Restore tab will display the screen below.

Fig. 190.35. Archive Configuration and Events screen in Restore tab.

Note: 'Archive Configuration and Events' screen in Restore tab provides a sub-tab named as Configuration. Notice the absence of Events tab in the above figure. Thus, it is possible to restore only configuration data. CA4K™ Events although archived, cannot be restored from the archive database.

Follow the steps below to restore configuration data:

Make sure Restore tab is selected at the top of the screen. If it is not selected, click on the Restore tab to select it.

Fig. 190.36. Restore tab selected for restoring the configuration data.

  • Select the Source Server and Database names from the respective drop down boxes.

Fig. 190.37. Selecting the Source Server and Database names by clicking the down arrows.
In the above figure, TECHWRITER and caArchiveConfiguration are selected as the Source Server and Database names respectively.

Note: The Source Server and Database names selected will be displayed on the status bar seen at the bottom of the screen.

Select the configuration items you wish to restore. This can be done in two ways as below:
  • Clicking on All Checkbox to select all items.

  • Clicking the individual check boxes to select only desired items.

Fig. 190.38. Selecting all configuration items for restoration by clicking the All Checkbox.

  • Click on Restore Data button in the toolbar to restore the configuration items selected

Fig. 190.39. Clicking on 'Restore Data' button to restore the configuration items selected.

  • Upon clicking, the following message box will be displayed.

Fig. 190.40. Message box displayed after clicking Restore Data button.

Note: Before you click on Yes or No in the message box above, verify you have chosen the correct database to restore data to. The existing configuration data in the selected Database will be overwritten during the restore process.

  • Click on Yes button in the message box after confirming the source database.

  • Upon clicking Yes, the screen will show the progress of restoring Configuration Data.

Fig. 190.41. Progress of restoring Configuration data from archive to live.

  • After restoration is complete, the following message box will be displayed.

Fig. 190.42. Message box displayed after data restoration is complete.

  • Click on OK button in the message box to acknowledge the completion of data restoration.

  • The final screen will show the details of data restoration as highlighted in the figure below.

Fig. 190.43. Final screen showing details of configuration data restore.

  • The above screen shows that Configuration data has been restored from caArchiveConfiguration back to caLive Configuration main database.

Fig. 190.44. Close Button.

  • Click on Close button in the toolbar to close the screen.


Links

MUST READ - VERY IMPORTANT NOTES:

  • Before using standard Links, it is recommended to use Activity Links or Scripting if the application can be accomplished using them. .

  • If the Link is using an Input and Relay on the same panel, the Link is considered a local link and the panel does not have to be communicating to the host computer.

  • If the Link is using an Input on one panel and a Relay on another panel, this is considered a remote link and the panels must be communicating with the host computer.

  • If you are using an Input to activate the link, the Input must be pre-configured.

  • The Relay used on the OUTPUT section must be pre-configured and must also have an energize time programmed on it.

Links allow you to monitor the status of inputs or a time schedule, and cause relays to activate if any of those inputs change state, or

if the time schedule goes into effect. Links are configured under the Configuration>Links screen.


Configuring a Link

Configuring a Link

  • In the CA4K™ main screen, click on Configuration>Links.

Fig. 300.1. Links menu selection.

Upon clicking Links, the Links screen will open in the General tab as shown in the screen below.

Note: There are 3 tabs you must configure. They are the General, Inputs and Outputs tabs.

Fig. 300.2. Links screen.

  • Click New.

  • On the General tab, type in a Device Name for the Link.

  • Select a Panel that the link will be associated with.

Fig. 300.3. New Link screen.

  • Click Inputs Tab.

  • Select a pre-configured Input in the Inputs column. You can select up to five inputs. If either of the five inputs go abnormal, the link will Activate.

Note: Instead of using an Input, you also have the option of using a schedule to trigger the link. The schedule only has to be a minute or two long.

Fig. 300.4. Inputs Tab screen.

  • Click Outputs Tab.

  • Select a pre-configured Relay in one of the three columns (On, Off or Track). You can enter up to five relays.

Note: A relay on the Track column will track the state of the input.

Fig. 300.5. Outputs Tab screen.

Upon configuring the Link,

  • Click Save.

  • Click Close.

Activating the Link

  • Activate the Input (make input go abnormal).

Upon the input going abnormal, an INPUT Abnormal alert displays:

Fig. 300.6. Outputs Tab screen.

Upon the input going abnormal, the Link Activates and a Link I/O Activate alert displays.

Fig. 300.6. Outputs Tab screen.

Upon the Link Activating and energizing the relay in the Track column, an OUTPUT On alert displays.

Fig. 300.7. Outputs Tab screen.

Upon the Input going back to Normal, an INPUT Normal alert displays.

Fig. 300.8. Outputs Tab screen.

Upon the Input going back to Normal, the relay de-energizes and an OUTPUT Off alert displays.

Fig. 300.9. Outputs Tab screen.

Upon the relay de-energizing, a Link I/O Activate alert displays. This completes the Link cycle.

Fig. 300.10. Outputs Tab screen.


Scripting

MUST READ - VERY IMPORTANT NOTES:

  • Prior to using Scripting, you must first add the Script Server into System>System Settings>System-wide Setting>Script Server(s).

  • Using Activity Links is another good option instead of using Scripting.

In the System Settings section, we covered adding configuring a caScriptServer (commonly referred to as script server) on the 'Script Server(s)' tab. The script servers provide a method of linking events in the CA4K system to a pre-defined set of actions. The actions can be as simple as firing a relay or arming a NAPCO alarm panel, or as complex as adjusting the badge settings or modifying the database fields.

Terminology

 Script Server contains several key areas that need to be configured for proper functionality. Please review these terms before you continue further. We will make use of these terms throughout this section.

caScriptServer: This is the application that runs the scripts

Script Wizard: This is a tool in the CA4K GUI that will help automate the creation of scripts and links.

Script: A script is a series of instructions that will be interpreted and executed by the caScriptServer. Scripts are written in .Net programming language. A script can be reused in multiple script links

Script Link: This is a reference between a particular event and a script.

Script Editor: This allows the user to customize the scripts that are created using the Script Wizard. Very Important: This tool requires consultation from the Continental Development

team. Note: It is not recommended to use this tool.


Script Wizard

The Script Wizard is designed to make the initial setup of scripts quick and easy. Many users will only use this feature, and will not need to create custom scripts using the Script Editor. Several steps are involved in using the Script Wizard. These steps will be used to identify what event to associate the script with (Script Link) as well as what actions the script should contain. Not all of the actions that can be performed are in the Script Wizard. Only the most commonly used actions are included in the wizard.

Accessing the Script Wizard

  • In the CA4K™ main screen, click on Configuration>Scripting menu option to display the sub-menu.

     Fig. 195.1. Scripting menu option under Configuration menu.

Note: The Scripting menu option will be seen under Configuration menu only if the Use Scripting Checkbox is selected in the System Settings screen, on the Scripting tab.

  • Click on Script Wizard option in the sub-menu.

Fig. 195.2. The 'Script Wizard' sub-menu option.

Upon clicking Script Wizard, the Welcome to Script Wizard screen will display as in figure below.

Fig. 195.3. Welcome to Script Wizard screen.


Creating a Script

Creating a Basic Script

Perform the following steps to create a script using the Script Wizard.

  • Open the Script Wizard screen by clicking on Configuration>Scripting>Script Wizard menu options in the CA4K™ main screen.

Upon clicking Script Wizard, you will see the welcome screen as below.

Fig. 195.4. Welcome screen of Script Wizard.

In the Welcome screen, you will be specifying the event type and its sub-type for which the current script will be executed. Below are the steps to do this.

  • Click the down arrow of the first drop down box, and select the event type you wish to script.

Fig. 195.5. Commonly used event types for scripting.

Note: In case you select the 'Badge' event type in figure above, you will see one screen in the Wizard that is unique to only this event type. The screen can be used if you wish the current script to change the badge settings of cards, or to 'dedicate' the current script to one particular badge.

  • Click the down arrow of the second drop down box, and select the desired sub-type of the selected event type.

Note: The event sub-type list is dependant on the event type selected.

Fig. 195.6. Selecting a sub-type of the selected event type.

  • Click the Next button after selecting the event sub-type

Upon clicking Next, you will see the second wizard screen regarding the Device Selection.

Fig. 195.7. The second screen of Script Wizard.

Note: In all of the wizard screens, the 'Back' button can be used to view the settings made in the previous screen. The 'Cancel' button can be used if you wish to exit from the Script Wizard at any point of time

In the second wizard screen, you will be specifying a Panel and a hardware device associated with the event. Below are the steps to do this.

  • Click the down arrow of the first drop down box, and select a Panel.

Only panels that are Enabled (Enabled Checkbox selected in the concerned hardware screen) will be seen in the list.

Fig. 195.8. Selecting a Panel.

Fig. 195.9. Selecting a Reader.

  • Click the Next button after device selection.

Upon clicking Next, you will see the third wizard screen

Fig. 195.10. The third screen of Script Wizard.

  • In the third wizard screen, click the down arrow and select a desired Script Server. The script server selected here will run the current script.

Fig. 195.11. Selecting a Script server.

Note: The servers seen in the list are those that are previously added in the System Settings screen, on the Scripting tab. If none are seen in the list, you need to add them first. Refer to the System Settings topic for more information.

  • Click the Next button after server selection.

The screen shown in the figure below will be displayed only if 'Card Read' event type was selected. In case your selection is not 'Badge Read', please skip this step and proceed.

Fig. 195.12. Wizard screen for 'Badge Read' event type.

This screen can be used to have the current script change the badge settings of all badge reads once the script is executed, or 'dedicate' the current script to one particular badge.

Note: In case you neither wish to change the badge settings nor dedicate the current script to any single badge, you may leave this screen in its default state, and click the Next button to continue further with the Wizard.

The purposes of the wizard screen are explained in detail below

Purpose 1

The first purpose is to have the current script change select badge settings of all badge reads. The settings that can be subjected to change after script execution are: - Tracked status, Enabled status and APB settings of the badges. The first three Checkboxes in the screen are concerned with these settings. The default options chosen for these settings are Tracked, Enabled and In respectively (see figure above).

If you wish the current script to change any/all of these badge settings, please follow the below steps.

Decide on the badge setting (Tracked, Enabled or APB) you wish to change on script execution.

  • Click the Checkbox provided for the chosen badge setting. This will enable the corresponding edit control on the right.

Fig. 195.13. Edit control on the right activated after Checkbox selection.

  • Click the down arrow of the edit control to see the options available for that badge setting, and click on a desired option.

Fig. 195.14. Options available for 'Tracked' status of badges.

Similarly, you can change the other two badge settings also, if desired.

When the script is executed, the chosen badge settings will change according to the specifications in their edit controls.

Purpose 2

In case you wish the current script to execute for one particular badge read only, then you need to check the fourth Checkbox and enter the Facility Number and Badge Number of that badge, in the fields provided.

Fig. 195.15. Facility Number and Badge Number controls activated after checking the fourth Checkbox

Note: In case the other three Checkboxes are checked, the settings specified in their edit controls will be applied for the badge number mentioned here in the Badge Number field.

  • Click the Next button once you have defined your purpose (Purpose 1 or 2) as explained above

On clicking Next, you will see the NAPCO arming/disarming actions screen. This screen is meant for selecting the arm/disarm action for the NAPCO Areas you wish to include in the current script.

The arming/disarming actions screen will show a list of *Enabled NAPCO Alarm Panels that have at least one NAPCO Area *Configured. The NAPCO Panels will be seen with nodes ('-' sign). The default option No Action will be selected for all items in the screen.

Fig. 195.16. List of Enabled NAPCO Alarm Panels and Configured NAPCO Areas in CA4K™.

Enabled- A NAPCO Alarm Panel is enabled when the 'Enabled' Checkbox is checked for that panel in the NAPCO Panel Configuration screen.

Configured- A NAPCO Area is functional only when the 'Configured' Checkbox is checked for that NAPCO Area in the NAPCO Area Configuration screen.

You can choose to arm/disarm the NAPCO Areas of your interest.

Note: If you do not intend to perform arm/disarm action on any of the listed NAPCO Areas, you may click the Next button at this stage to proceed.

You may follow the below steps if you wish to arm/disarm the NAPCO Areas

  • Click the default option None corresponding to the NAPCO Area of interest. Doing this will show a down arrow to the right of the default option

  • Click the down arrow to see the possible NAPCO actions

  • Click on arm/disarm action for the selected NAPCO Area

Fig.195.17. The possible NAPCO Alarm actions.

Note: In case you wish to execute a particular NAPCO action for all areas under a NAPCO Panel, the selection process can be eased by choosing the action for the concerned NAPCO Panel itself. This will cause all Areas under the panel to have automatic and simultaneous selection of the chosen NAPCO action.

Configure other NAPCO Areas you wish to arm/disarm.

  • Click on Next button to continue further with the Script Wizard.

Upon clicking Next, you will see the Relay Commands screen. This screen is meant for selecting Relay commands for the Relays you wish to include in the current script.

In the Relay Commands screen, you will see a listing of all Continental Relays that are created in the CA4K™ Relays screen. The (Continental) Panels that those Relays are connected to are shown by nodes ('-' sign). The default option No Action will be selected for all items in the screen.

Fig. 195.18. The 'Relay Commands' screen.

You can choose commands for the relays of your choice.

Note: If you do not intend to execute relay commands on any of the listed relays, you may click the Next button at this stage to proceed.

You may follow the below steps if you wish to choose a relay command.

  • Click the default option None corresponding to the relay of choice. Doing this will show a down arrow to the right of the default option

  • Click the down arrow to see the possible Relay commands.

Fig. 194.19. The possible Relay commands.

  • Click on a desired command for the selected Relay

Note: In case you wish to execute a particular command on all Relays under a Panel, the selection process can be eased by choosing the command for the concerned Panel itself. This will cause all relays under the panel to have automatic and simultaneous selection of the chosen command.

This will save you from having to select the command individually for each relay.

Repeat the steps if you wish to execute relay commands for other Relays of interest

  • Click on Next button to continue.

Upon clicking Next, you will see the Door Commands screen. This screen is meant for selecting Door and/or Reader commands for the Readers you wish to include in the current script.

Fig. 195.20. The 'Door Commands' screen.

In the Door Commands screen, you will see a listing of all Continental Panels and Readers that are created in the CA4K™ Panels and Readers screens respectively. The panels are seen with nodes ('-' sign). Each panel and Reader item will have the default option No Action selected

If desired, you can choose Door and/or Reader commands for the Readers of your choice.

Note: In case you do not intend to execute door/Reader commands on any of the listed Readers, you may click the Next button at this stage to proceed.

You may follow the below steps if you wish to choose a door and/or Reader command.

For executing a door command on a particular Reader, click the first None option corresponding to the Reader, click the down arrow that appears, and then click on a desired door command in the list.

Repeat the steps to execute door/reader commands on other Readers of interest

  • Click on Next button to continue.

Upon clicking Next, you will see the Link Actions screen. This screen is meant for selecting Link actions for the links you wish to include in the current script.

Fig. 195.21. The 'Link Actions' screen.

You may follow the below steps if you wish to choose a link action

  • Click the default option None corresponding to the link of choice. Doing this will show a down arrow to the right of the default option

  • Click the down arrow to see the possible Link actions.

Fig. 195.22. The possible Link actions.

  • Click on a desired link action in the list.

Note: In case you wish to execute a particular action on all Links under a Panel, the selection process can be eased by choosing the action for the concerned Panel itself. This will cause all Links under the panel to have automatic and simultaneous selection of the chosen action.

Upon clicking Next, you will see the Send Message To Operators screen. This screen is meant for sending email alerts to operators. .

You may follow the below steps if you wish to choose a link action:

  • Select Send a message to the following operators.

  • Click the down arrow to see the pre configured Message Templates. .

Fig. 195.23. The 'Send Message to Operators' screen.

  • Click on Next button to continue

Upon clicking Next, you will see the configured Operators who the message can be sent to.

Fig. 195.24. The 'Message Template' Selection.

Upon clicking Next, you will see the Script Execution Privilege screen. The screen has the settings to print an In-List Report and also Activate Threat Level.

You may follow the below steps if you wish to Print the current In-List Report.

  • Select Print the current in-list report.

  • Click the down arrow to see the possible Operator roles the In-List report should be run under.

Fig. 195.25. The In-List and Lockdown Area screen.

  • Select the Operator role to use to Print the current in-list report.

Fig. 195.26. The Operator role selection screen for In-List.

The next option on the screen is to Activate or Deactivate Lockdown areas.

You may follow the below steps if you wish to Activate or Deactivate a Lockdown Area.

  • Select Activate or Deactivate a Lockdown Area.

  • Select a pre-configured Lockdown area from the Lockdown Area drop-down list.

Fig. 195.27. The Threat Level Action screen.

The next option on the screen is to Activate Threat Level.

You may follow the below steps if you wish to Activate a Threat Level.

  • Select Activate Threat Level

  • Select a pre-configured Threat Level from the Threat Level drop-down list.

Fig. 195.28. The Threat Level Groups.

The next screen is the Finish Script Wizard screen (Script Name and Description).

Fig. 195.29. The Finish Script Wizard screen.

The final wizard screen will show the auto-generated names for the current script and script Link. It is suggested that you replace the default names with descriptive naming as in the sample below.

Fig. 195.30. Descriptive names entered for the script and script link.

Lastly, you need to click on Finish button to generate the script

If you wish to execute the same set of actions (included in the generated script) for other event type(s), you can 'link' the script to the other event type(s) of interest. A separate screen named 'Script Links' is provided for this purpose.


Script Editor

The Script Editor contains two sections. The first section provides you the ability to delete previous configured scripts. Unfortunately once a script is created, and it needs to be modified, the quickest method is to delete it and create a new one. The second section provides you the ability to modify the scripting code, but there is no documentation for this feature and will be provided at a later date.

Note: Modifying the .net scripting language requires an experienced .net developer and would also require consultation from the Continental Development team.

Accessing the Script Editor

In the CA4K™ main screen, click on Configuration menu and move your mouse over the Scripting menu option to display the sub-menu.

Fig. 195.31. Scripting menu option under Configuration menu.

Note: The 'Scripting' menu option will be seen under Configuration menu only if the Use Scripting Checkbox is selected in the System Settings screen, on the Scripting tab.

  • Click on Script Editor option in the sub-menu

Fig. 195.32. The 'Script Editor' sub-menu option.

Upon clicking Script Editor, you will see the Script Editor screen as below. Scripts are created in a .net programming language and requires and experienced .net programmer to read it.

Fig. 195.33. The Script Editor.


Script Editor Screen Controls

In the Script Editor screen, the upper half of the screen will show the list of scripts that were generated using the Script Wizard. The lower half of the screen will show the script code in a .Net programming language for the script highlighted in the view window.

Important Note: The modification of the scripting code requires an experienced .net developer. There is currently no documentation available for this feature and will be provided at a later date. It is highly recommended to find a solution using the existing scripts or activity links.

Fig. 195.33. The Script Editor.


Script Links

In the Script Wizard section, we learned how to create a script for an event type of choice. A typical script (created in the Wizard) will include a set actions that will execute for the chosen event type only. In case you wish to execute the same set of actions on other event types) (belonging to the same or different hardware device) of choice, you can choose to 'link' the existing script to the other event types) as well. This can be done in the 'Script Links' screen.

Script linking proves to be a time saving feature as you can conveniently load the settings of an existing script (generated for a particular event type) onto other event types), with the help of a single screen. If this feature was absent, you would have to visit the Script Wizard again and encounter all of its screens to create the required script.

Accessing Script Links Screen

In the CA4K™ main screen, click on Configuration menu and move your mouse over the Scripting menu option to display the sub-menu.

Fig. 195.34. Scripting menu option under Configuration menu.

Note: The 'Scripting' menu option will be seen under Configuration menu only if the Use Scripting check box is selected in the System Settings screen, on the Scripting tab

  • Click on Script Links option in the sub-menu

Fig. 195.35. The 'Script Links' sub-menu option.


Script Link To an Event Type

Follow the steps below to link a script to an event type of choice. What you will be doing in this screen is navigating to the event type (associated with a hardware device of choice) for which you wish to link an existing script. This will be explained in detail.

Notice that all toolbar buttons (except the 'Close' button) are grayed out by default. The 'New' button required to create a script link will be activated only after you select a script server to run the script for the selected event type.

Upon opening the Script Links screen, the 'Script Links' screen will be displayed as below. By default, the 'Script Links' screen will open up to the 'System Wide Links' tab.

System Wide Links

Fig. 195.36. The 'Script Links' screen.

  • Select a desired event type to which you wish to link a script, and click on the event type node. Doing this will show the available script servers in the system.

  • After navigating down to the Server Name, the New button will become enabled. You also have the option to right-click and the 'New' button will display. Refer to the figure below.

Fig. 195.37. The 'Script Links' screen.

Upon clicking New, the screen below displays.

Fig. 195.38. Controls displayed on lower half of the screen after clicking on 'New' button.

You will see the default name New Script in the 'Script Link Name' field. The default name can be changed appropriately after a desired script is selected for linking. The Script Link Enabled Checkbox will be selected by default. It is necessary that this box remains checked if you want the script link to function.

  • Click the down arrow to the right of Script Name control to view the list of existing scripts, and click on a desired script.

Note: The scripts shown are those that are created previously using the Script Wizard. If none are shown, you need to generate the scripts first. Please refer to the 'Script Wizard' section to learn how to generate scripts

Device Specific Links

  • Click on the 'Device Specific Links'

Observe that the left hand side of the screen shows the list of panels previously created in the CA4K™ software.

Note: The 'New' button essential for the linking process is grayed out by default. It can be enabled by following the below steps.

  • Click on a desired panel name that is connected to the hardware item of interest, whose Event type you wish to link with an existing script. On clicking, the hardware items connected to that panel will be revealed. Each of these items will be provided with nodes '+' marks).

Note: If a hardware item does not show a node (Inputs, Relays and Links as in the above figure), it means that no records are created for that item in the CA4K™. If you wish to link an Event type of such an item with a script, you must first create records for that item in the corresponding hardware screen. Please refer to the 'Panels', 'Readers', 'Inputs', 'Relays' and 'Links' sections to learn about creating hardware item records.

  • Click on a desired hardware item node. Doing this will reveal the various records created for that item.

Fig. 195.39. The 'Script Links' screen.

  • Click on Events node. Doing this will show the list of all Event types associated with the selected hardware item record.

Fig. 195.40. The 'Script Links' screen.

  • Click on an Event.

  • Click on the server you wish to run the script from.

  • Right click on the 'Server'. The 'New' button will display.

Fig. 195.41. The 'Script Links' screen.

Upon clicking 'New', the Script Linking controls display on lower half of the screen.

Fig. 195.42. Controls displayed on lower half of the screen after clicking on 'New' button.

  • Select a script from the script drop-down list.

You can now enter a meaningful name for the script link in the Script Link Name control.

In case you want to execute the selected script for a particular badge only, you may enter the Facility Code and Badge Number of that badge in the Facility Code and Badge Number fields respectively

Note: When the specified script server receives a badge event from the mentioned hardware device, the server will search for a script with a matching facility code and badge number. If such a script is found, then the server will run the particular script. In case no matching script is found, the server will look for a script with facility code and badge number that equal zero, and run that script.

Click the Save button on the toolbar to save the settings.

Click on Close button to close the screen.

A script thus linked will not only run for the event type specified here on the 'Script Links' screen, but also on the event type for which the script was originally generated in the 'Script Wizard'. Please note that the event types are hardware specific.

Similarly, you can link scripts for all other event types specific to the hardware devices of your choice.


Script Scheduler

Script Scheduler is a new feature in the CA4K. It allows you to schedule a script to execute at a specific date and time.

Accessing Script Scheduler Screen

Note: The 'Scripting' menu option will be seen under Configuration menu only if the Use Scripting Checkbox is selected in the System Settings screen, on the Scripting tab

To configure a script schedule, perform the following steps.

Click Configuration on the main menu.

Click Scripting menu option to display the sub-menu.

Fig. 195.43. Scripting menu option under Configuration menu.

  • Click on Script Scheduler option in the sub-menu

Fig. 195.44. The 'Script Links' sub-menu option.

Upon clicking Script Scheduler, the Script Scheduler screen will display. Refer to the following pages.


Configuring a Script Schedule

To configure a schedule for a script, perform the following steps.

  • Click New.

  • Type in a Schedule Name.

  • Leave the Partition Group at the default Admin Partition.

  • Select a pre-configured script.

  • Select a Server to Run the Script.

  • Select Daily for the Schedule Task

  • Configure a Date and Start Time.

Leave the following settings at the default settings:

Execute the schedule when an event occurs.

Runs only if an operator is logged in.

Enabled.

Fig. 195.45. The 'Script Scheduler' screen.


Activity Links

MUST READ - VERY IMPORTANT NOTES:

  • Activity Links must be enabled in System Settings>System-wide settings prior to creating Activity Links.

  • Similar to Links, Activity Links are local to the panel unless the Event trigger is on one panel and the Output function is on another panel.

Activity links are very similar to scripting, but they provide much more functionality. Much like scripting, you must select an Event to trigger the Activity link. Once the Event occurs, the Output functions you select will occur. The Output functions contain multiple actions for Relays, Readers, Inputs and Personnel.


Enabling Activity Links

Enabling Activity Link

Prior to creating an Activity Link, you must first enable Activity Linking in System Settings.

Enabling Activity Links

  • In the CA4K™ main screen, click on System>System Settings.

Fig. 200.1. System>System Settings menu selection.

Upon clicking System settings, the System Settings screen will display.

  • Click on the System-wide Settings tab.

Fig. 200.2. The 'System-wide Settings' tab.

On the System-wide Settings screen, under the General tab, select the Enable Activity Linking Checkbox.

Fig. 200.3. Enable Activity Linking selection.

Upon enabling Activity Linking in System-wide Settings,

  • Click Save.

  • Click Close.


Creating an Activity Link

Creating Activity Links

  • In the CA4K™ main screen, click on Configuration>Activity Links.

NOTE: If the Activity Links menu selection fails to display, verify Activity Linking is enabled in System Settings as per the previous topic.

Fig. 200.4. 'Configuration>Activity Links' menu selection.

Upon clicking Configuration>Activity Links, the 'Activity Links' screen will display.
  • There are two main sections of an Activity Link. The first is the Event To Link section and the second is the Output Control section.

  • To create a new Activity Link, click New.

  • Type in a Description for the Activity Link.

  • Select a Panel.

  • Select an Event To Link (Event Name).

  • Select a schedule in the Control by Schedule box. Activity Link programs may now be enabled by a time schedule. When a time schedule is applied to an ALP, the ALP will only respond to the associated event when the time schedule is active. Setting the schedule to “not used” will allow the ALP to always be enabled.

  • On the Output Control section, select one of the available tabs (Relay Control, Reader Control, Input Control or Personnel Control).

Fig. 200.5. The 'Activity Links' screen.

Upon configuring the Activity Link,
  • Click Save.

  • Click Close.


Editing an Activity Link

Editing Activity Links

  • In the CA4K™ main screen, click on Configuration>Activity Links.

NOTE: If the 'Activity Links' menu selection fails to display, verify 'Activity Linking' is enabled in 'System Settings' as per the previous topic.

Fig. 200.6. 'Configuration>Activity Links' menu selection.

Upon clicking "Configuration>Activity Links', the 'Activity Links' screen will display with all the configured Activity Links displaying in the top half of the screen. .

  • Select the Activity Link you wish to Edit.

  • Make a change to the selected Activity Link (The Save button will become enabled).

  • Click Save.

Fig. 200.7. The 'Activity Links' screen.

Upon clicking the Save button, verify the changes were saved.

  • Click Close.


Deleting an Activity Link

Deleting Activity Links

  • In the CA4K™ main screen, click on Configuration>Activity Links'.

NOTE: If the Activity Links menu selection fails to display, verify Activity Links is enabled in System Settings as per the previous topic.

Fig. 200.8. 'Configuration>Activity Links' menu selection.

Upon clicking "Configuration>Activity Links', the 'Activity Links' screen will display with all the configured Activity Links displaying in the top half of the screen. .

  • Select the Activity Link you wish to Delete.

  • Click Delete.

Fig. 200.9. The 'Delete' Button on the 'Activity Links' screen.

Upon clicking Delete, a Confirmation box will display as per the figure below.

  • Click YES to confirm deletion of the Activity Link.

Fig. 200.10. The 'Delete' confirmation box.


Category Counters

MUST READ - VERY IMPORTANT NOTES:

  • To use Category Counters, you Must enable them in System Settings>System-wide settings>badges.

  • Category Counters used for counting and Access Control filtering are panel specific. .

  • If Category Counter names are renamed for counting and Access Control filtering, the new names are not reflected in Personnel.

Category Counters provide two separate mutually exclusive functions:

The first function, Category counters provide a means of controlling access. There are 16 category counters that can be applied to both badge holders and readers in order to control access.

This function further refines and controls access at readers in addition to Access Groups. This feature may be used to reduce the number of access group definitions required when many

employees have small differences in the areas to which they are allowed access.

Included with the first function is a feature called Threat Level Management. Threat Levels provides the ability to Allow access or Deny access (depending on configuration) at all readers. This feature is not supported on legacy panels. Access is Allowed or Denied depending on the selection of the Allow Group or Deny Group option. This feature allows a group of badge holders to be quickly denied access with minimal programming changes. Refer to the Threat Level Management topic for additional information.

A second function of category counters is for Category counters to generate alerts based on count values (that’s why the name is Category Counters). Readers may be used

to either increment or decrement (or not count) as badge holders access the reader and the badge holder has category bits that are assigned to the reader. If the reader has multiple category

bits set, the counts will be affected for each category bit set also contained in the badge holder. A typical scenario for Category Counters is a Parking Garage application.

Note: Prior to using category counters, you must enable category counters under System settings>system-wide Settings>Badge tab.

  • Select Enable Category Counters.

Fig. 205.1. Enable Category Counters in System Settings.

Upon selecting Category counters under System settings>system-wide Settings>Badge tab, the categories selection boxes will display under the Control tab on the personnel screen.

Fig. 205.2. Categories selection boxes in Personnel.

Note: For each personnel record, you can select up to 16 Categories per badgeholder. If a category is renamed and used for Threat Levels, the name assigned to the category will be reflected on the

personnel screen. If a category is renamed for Category counting or Access Control rights, the name will not be reflected on the Personnel screen.


Category Counters Overview

Category Counters Overview

Category counters provide a means of controlling access. There are 16 category counters that can be applied to both badge holders and readers in order to control

access. Category counters also can be used to generate alerts based on count values (that’s why the name Category Counters). Readers may be used to either increment or

decrement (or not count) as badge holders access the reader and the badge holder has category bits that are assigned to the reader. If the reader has multiple category

bits set, the counts will be affected for each category bit set also contained in the badge holder. Category Counters can be used globally to deny access of selected badge holders

at all readers, except those that are part of legacy panels – microterm, miniterm & smarterm). This function is called Threat Level Management.

Below are the Category Count Control selections along with the 16 Category selection boxes for the selected Reader.

Fig. 205.3. 'Category Counters' tab under a selected reader.

Category Counters Used for Access Control

When used for simply controlling access at a reader, category counters serve as bit matching elements (i.e. no counting involved). Category bits assigned to badge holders

are compared with those assigned to a reader to determine if access is allowed. The reader can be configured as “Match on Any Category Bit” or “Match on All Bits”.

Category bits are assigned to badge holders as shown in the above figure (Personnel Screen). The figure below shows the Reader Configuration screen. When used for simple access control, the areas highlighted are used. The 'Access Control Filter' In the blue are you select whether to match on Any category or match on All. The categories assigned to the reader are

checked off in the yellow area. Only those categories checked participate in the match.

When you select 'Match on Any', the badge holder needs only a single category assigned that matches any of the check categories of the reader to pass the match test. If the reader

has multiple categories checked and a 'Match on All' setting, then the badge must have all of its categories assigned that match those assigned to the reader. Of course the badge

may also have additional categories checked, but they are ignored for access at this reader.

As an example, suppose there is a reader that gives access to multiple areas allowing different access rights. This reader could have multiple categories assigned and a 'match

on ANY' category. Within the area to which the reader allows access, each badge holder would have only those categories set that allow him into selected rooms based on

individual category settings of those readers. Obviously, planning is required to set up these access rights, remembering that a badge’s categories are applied across all panels

(readers).

Note: If a category is already used for another function, it will be grayed out as per the figure below and renamed (Used for Threat Level).

Fig. 205.4.

Category Counters Used for Event Generation

Note: One typical scenario for using category counters is to monitor a parking garage having a limiting capacity of parking spots. When all the parking spots are full, the gate will not allow any

more cars to enter the parking garage.

As previously mentioned, Category Counters may be used to generate alerts or activate Activity Link programs based on count values. The 'Category Count Control' section is

used to generate such events. A reader may be configured to increment (or decrement) a count for each badge holder who access the reader (and is allowed access). By

establishing a specified count value, the system can generate an alert when the count reaches a certain value. When used in this manner, counter values are local to a panel and

it is necessary to utilize two readers, one to increment and the second to decrement the count. Category counters will count to a maximum value of 65535. The count will not

wrap around, but stay at this value until manually reset or decremented by another countdown local reader.

One option of the 'Category Count Control' section allows badge holders with any matching category bit to be denied access once the category set point count is

reached. Badge holders will be denied at the reader until the count falls below the Low set point.

Configuring category counters used to generate alerts is done on the Category Counter Configuration' screen, shown in the figures below. To access this screen, click

'Configuration>Category Counters ' on the main menu. Category Counters are configured on a per panel basis. Each Category counter may be given a descriptive name

and assigned values for the high and low set points. If the “Gen Alert” Checkbox is selected, the panel will generate a Category Counter alert whenever the set points) are

reached. An alert is generated only is either a high or low set point is configured. “Priority” determines the alert priority.

The “Set Count” and “Count Value” columns in the figure below allows you to manually set the counter values to a one-time initial value.

Fig. 205.5. Category Counters menu selection.

On the General tab, Categories 1-8 display by default.

Fig. 205.6. Configure Category Counters screen 1-8.

On the General tab, slide the scroll bar down to display categories 9-16.

Fig. 205.7. Configure Category Counters screen 9-16.

The Preset Control in the figure below provides another manual control setting. Any number of category counters for any number of selected panels may be manually set to a single value.

Based on the conditions shown, Category counters may be manually forced to values using these two screens.

NOTE: When a Full download is performed on a panel, all category counters are cleared to zero.

Fig. 205.8. Preset Control Tab.

High and Low set points are used in conjunction with readers that increment/decrement counters.

When a setpoint is reached, the following actions may be configured to occur:

  • Generate an Alert (Gen Alert Checkbox shown in Figure)

  • Deny access at a reader for the high setpoint (enable access on Low setpoint) (Category Counter Control group as shown)

  • Activate an Activity Link program on High/Low Setpoint.

Very Important: Somewhat careful planning is required if the use of all category features is employed, since the category settings of badges is maintained throughout the system. In addition,

each panel with its readers maintains separate control of its category counters.


First-Man-In Feature

First Man-In Features

VERY IMPORTANT TIPS:

  • For the First Man-In features to function with a designated badge, the First-In Control must be selected for the badge in Personnel.

  • Enable APB Areas must be selected in System Settings>Badges for these features to work.

  • The First-In Free Access feature only requires one Reader to be configured (APB Area In).

  • The First-In CardAccess feature requires two Readers to be configured (APB Area In and APB Area Out) readers.

There are two types of First-In functions as noted below:.

  • First-In Controlling Free Access

  • First-In Controlling Card Access to a reader

The two functions are explained in the following topics.


First-In Free Access Feature

First-In Controlling Free Access

This feature controls a reader’s free access activation. It requires a designated badge to be presented to a APB Entry to Area reader to start free access. The free access schedule configured for this reader must be active for this function to occur. Once a designated badge activates free access, there are only two ways to terminate free access. To deactivate free access, the free access schedule must end, or the operator must manually deactivate it from the main menu. The presentation of the designated badge WILL NOT deactivate free access.

Note: This feature requires only one reader set to a APB Entry to Area function.

Configuring Free Access First-In Control

Follow the steps below:

  • On the main menu, click System>System Settings. Refer to the figure below.

Fig. 210.1 System>System Settings menu selection.

  • Click the Badge tab.

  • Select Enable APB Areas. Refer to the figure below.

Fig. 210.2 Badge Settings-Enable APB Areas selection. .

  • On the main menu, click Access>APB Areas. Refer to the figure below.

Fig. 210.3 APB Areas menu selection.

Verify the APB Areas screen displays.

  • On the main menu of the APB Areas screen, click New First-In. Refer to the figure below.

.

Fig. 210.4 APB Areas menu selection.

Upon clicking New First-In button, verify the First-In screen displays. The screen will default to the General tab. Refer to the figure below.

Fig. 210.5 First-In APB Areas screen.

The APB Areas screen consists of the following controls:

Area Name – Descriptive name of Area (type in First In Area for this example). Refer to the figure below.

Fig. 210.6 APB Area Name.

First-in Control Type –

Free Access Lockdown – When this option is selected, a designated badge must be presented at an APB Entry to Area reader to activate free access.

  • For this example, set to Free Access Lockdown.

Exit Reader lockdown – The setting is used for the First-In CardAccess Feature. It will be covered in the next topic. When this option is selected, a designated badge must be presented at an AreaIn APB Entry reader to enable the reader. Prior to this, the First-In APB Entry reader is disabled and no badges will gain access. Once the First-In Entry reader is enabled with a designated badge, it will remain enabled until the designated badge exits out the APB Exit reader.

Note: While the First-In APB Entry reader is disabled, you will not see any badge alerts on the event grid.

Fig. 210.7 First-In Control Type selection.

APB Area Status

The APB Area Status will display as per the following:

Fig. 210.8 Locked Status.

Fig. 210.9 Accessible Status.

Very Important: The Area status indicators are for the First-In Free Access function. If some other function (ex. Scripts or activity links) locks or unlocks a door, these indicators can get out of sync.

Activate I/O or Activity Link Programs

Alert on First Occupied/Vacant/Count Reached – When this Checkbox is selected, an alert will display indicating area is occupied, vacant or when a count has been reached for the area. If this is checked, the system will generate the following system events for the conditions described below.

  • Link on Vacant – When an activity link is configured in the drop down box, the activity link will activate when the area is vacant.

  • Link on Occupied – When an activity link is configured in the drop down box, the activity link will activate when the area is occupied.

Fig. 210.10 Link on Vacant/Occupied.

  • Link on Count Increase – When an activity link is configured in the drop down box, the activity link will activate when the value set in the Number of Occupants box is reached.

Fig. 210.11 Link on Count Increase.

  • Link on Count Decrease – When an activity link is configured in the drop down box, the activity link will activate when the value decreases to the value configured in the Number of Occupants box.

Fig. 210.12 Link on Count Decrease.

Configure an 'APB ENTRY TO AREA' reader

  • Configure an APB ENTRY TO AREA reader with an active free access schedule.

NOTE: The APB ENTRY TO AREA reader must have an active free access schedule configured. For the First-In Free Access function to work, you only need to create one APB Entry to Area reader. An APB Exit from Area reader is not needed.

Fig. 210.13 Link on Count Decrease.

Fig. 210.14 Link on Count Decrease.

  • Configure a designated (First In Control) badge as per the figure below. Verify Enabled, Stay on Panel, Initial Download and the First In Control is checked.

Fig. 210.15 First-In Control selection on badge.

Presenting a designated badge to the First-In Free Access reader.

Present the designated badge to the First-In Entry to Area reader. The badge will unlock the door and the door will go into free access. As previously noted, the door will stay in free access until the free access schedule ends, or the door is locked down manually. Presenting a designated badge will not terminate free access.


First-In CardAccess Feature

VERY IMPORTANT TIPS:

  • If a non-designated badge is presented to the reader while it is off (disabled), no alert will display in the event grid.

  • If a first-in Entry reader is disabled (off), free access will not activate.

First-In Controlling Card Access to a reader

This feature controls Card Access at a reader. This feature requires two readers, one APB Entry to Area reader and one APB Exit from Area reader. It requires a designated badge to be presented to a First-In APB Entry reader to enable the reader (turn on the reader). Prior to this, the First-In APB Entry reader is disabled (reader is off). After the First-In APB Entry reader is enabled by the designated badge, it will remain enabled until the designated badge exits the APB Exit from Area reader. Once this occurs, the First-In APB Entry to Area reader will be disabled again, until another designated badge is presented to it.

Configuring Free Access First-In Control

Follow the steps below:

  • . On the main menu, click System>System Settings. Refer to the figure below.

Fig. 210.16 System>System Settings menu selection.

  • Click System-wide Settings>Badge tab. Select Enable APB Areas. Refer to the figure below.

Fig. 210.17 'Enable APB Areas' selection.

  • On the main menu, click Access>APB Areas from the menu. Refer to the figure below.

Fig. 210.18 'APB Areas' menu selection.

Verify the APB Areas screen displays.

  • On the main menu of the APB Areas screen, click New First-In. Refer to the figure below.

.

Fig. 210.19 APB Areas menu selection.

Verify the APB Areas screen displays. The screen will default to the General tab. Refer to the figure below.

Fig. 210.20 ' First-In APB Areas' screen.

The APB Areas screen consists of the following controls:

Area Name – Descriptive name of Area. For our example, type in First In Area (Exit Reader Lockdown) 1. See figure below.

Fig. 210.21 'APB Area' name.

First-in Control Type –

Free Access Lockdown – When this option is selected, a designated badge must be presented at a First-In Entry reader to activate free access.

Exit Reader Lockdown – When this option is selected, a designated badge must be presented at a First-In APB Entry reader to enable the reader. Prior to this, the First-In APB Entry reader is disabled and no badges will gain access. Once the First-In Entry reader is enabled with a designated badge, it will remain enabled until the designated badge exits out the APB Exit reader.

  • For this example, set to Exit Reader Lockdown.

Fig. 210.22 'Enable APB Areas' selection.

APB Area Status

The APB Area Status will display as per the following figures.

Fig. 210.23 ' APB Areas' screen

Fig. 210.24 ' APB Areas' screen

Very Important: These Area status indicators are for the Area Lockdown modes. If some other function (ex. Scripts or activity links) locks or unlocks a door, these indicators can get out of sync.

Activate I/O or Activity Link Programs

Alert on First Occupied/Vacant/Count Reached – When this Checkbox is selected, an alert will display indicating area is occupied, vacant or when a count has been reached for the area.

Note: For this example, Do Not select the Alert on First Occupied/Vacant/Count Reached check box.

  • Link on Vacant – When an activity link is configured in the drop down box, the activity link will activate when the area is vacant.

  • Link on Occupied – When an activity link is configured in the drop down box, the activity link will activate when the area is occupied.

Fig. 210.25 'Link on Vacant/Occupied.

  • Link on Count Increase – When an activity link is configured in the drop down box, the activity link will activate when the value set in the Number of Occupants box is reached.

Fig. 210.26. 'Link on Count Increase.

  • Link on Count Decrease – When an activity link is configured in the drop down box, the activity link will activate when the value decreases to the value configured in the Number of Occupants box.

Fig. 210.27 'Link on Count Decrease.

Configure an 'APB ENTRY to Area' and 'APB Exit from Area' reader

  • Configure an APB ENTRY TO AREA reader and a APB EXIT FROM AREA reader.

.

Fig. 210.28 'APB Entry/Exit reader configuration.

  • Configure a designated (First In Control) badge. Verify Enabled, Stay on Panel, Initial Download and the First-In Control is checked. See figure below.

Fig. 210.29 'First-In Control' selection for the badge.

Presenting a designated badge to the First-In Entry to Area reader.

Present the designated badge to the First-In Entry to Area reader. The badge will enable the reader and gain access to the area. Once this designated badge is presented, the reader is enabled and all other badges will gain access.


APB Area Assignment

The APB Area Assignment screen gives you the ability to view and configure APB areas on one screen.

To access the APB Area Assignment screen, perform the following steps.

  • Click Access

  • Click APB Areas. Refer to the figure below.

Fig. 210.30 'APB Areas' menu selection.

Upon clicking APB Areas, verify the APB Areas screen displays.

  • Click APB Area Assignment tab. Refer to the figure below.

.

Fig. 210.31 APB Area Assignment screen.

The APB Area Assignments screen can be edited directly from this screen.


Setup Nested Areas

The Setup Nested Areas screen allows you to group APB Areas in a nested arrangement for the purpose of determining filtering on the In-List screen.

On the main menu, perform the following steps.

  • Click Access

  • Click APB Areas. Refer to the figure below.

Fig. 210.32 'APB Areas' menu selection.

Upon clicking APB Areas, verify the APB Areas screen displays.

.

Fig. 210.33 APB Areas menu selection.

  • Click Setup Nested Area tab. Refer to the figure below.

Fig. 210.34 'Setup Nested Areas' screen.


Lockdown Areas

This feature controls the Lockdown of all readers in a pre-configured area. Lockdown Areas provides the ability to Lockdown a building or a whole campus with one click of the mouse.

To access the 'CA4K™ Area Lockdown screen, perform the following steps::

  • Click on Access menu in CA4K™ main menu bar.

  • Click on Lockdown Areas menu option in the list.

Fig. 220.1. The 'Lockdown Areas' menu selection.

Upon clicking Lockdown Areas, the Lockdown Areas screen will display.

Fig. 220.2. The 'Lockdown Areas' screen.


Configuring Lockdown Areas

Configuring a Lockdown Area

  • On the Lockdown Areas toolbar, click New.

Fig. 220.3. Lockdown Areas menu selection.

Upon clicking New, the Lockdown Areas configuration screen displays.

The Lockdown Areas screen consists of the following controls:

Description – Descriptive name of Area to Lockdown.

Fig.220.4. Lockdown Area description.

Assign All – This button gives you the ability assign All readers to an area with one button click.

Note: This can be useful when creating a Lockdown for a whole campus.

Fig.220.5.Assign All button.

Note: If the Area selected is currently in Lockdown, AREA IN LOCKDOWN will flash to the left of the Assign All button.

Partition Group – Drop-down list containing all configured Partition Groups. For our demonstration, use the Admin Partition.

Fig.220.6.Partition Group selection.

Panel/Reader Assignment for Area

  • Select the Readers you want to include in this Area.

Fig. 220.7.Reader selection screen.

  • Click Save.

Fig. 220.8.Lockdown Save Button.


Executing Area Lockdown

For our example, configure the Lockdown Area as per the following screen.

Fig. 220.9. Example Lockdown Area For Science Building.

Executing an Area Lockdown

To perform a Lockdown on an area, perform the following steps:

  • On the main menu, click Lockdown Control

Fig. 220.10. Main Menu.

  • Click Lockdown Areas

  • Click Lock Area

  • Click Science Building

Fig. 220.11. Lockdown Menu Selections.

A confirmation screen will display. Click OK.

Fig.220.12. Proceed with Lockdown dialog box.

After the lockdown is performed, a system alert will display.

Fig.220.13. Lockdown Alert.


Removing Lockdown

Deactivating an Area Lockdown

Deactivating an Area Lockdown

  • Click Lockdown Control on the main menu.

  • Click Lockdown Areas.

  • Click UnLock Area.

  • Click Science Building.

Fig. 220.14. Menu selections to UnLock Area.

Upon clicking the above steps, a confirmation screen will display.

Fig. 220.15. Proceed with UnLock of Area confirmation.

After the Area UnLock is executed, a system alert will display.

Fig. 220.16 Area UnLock Alert.


Threat Level Management

Threat Level Management in the CA4K is a standard feature and has been greatly improved since the CardAccess 3000.

Threat Level Management is used to Lockdown doors and prevent access to selected Badgeholders. In most cases, only emergency and key personnel will

have the ability to gain access. A typical scenario for Threat Level Management is an Active Shooter at a school. In this scenario, you would want to execute

a lockdown and prevent access to all people except emergency personnel and school administrators.

The configuration and execution of Threat Level Management is covered in the following topics.

.


Threat Level Management Overview

Threat Level Management Configuration

VERY IMPORTANT TIPS:

  • Prior to configuring Threat Levels, you must configure Lockdown Areas.

  • Prior to configuring Threat Levels, you must Enable Category Counters in System Settings.

  • While configuring Threat Levels, it is recommended to rename the associated Categories to descriptive names such as Administrators and Emergency Personnel.

  • The renamed Categories for threat levels will be reflected in Personnel.

  • There is a new configuration setting called Allow Access or Deny Access. Allow Access is the default setting. It is very important to understand the functionality of this setting.

Threat Level Management in the CA4K has been enhanced to incorporate customer requests regarding Threat Level functionality in the CardAccess 3000.

One enhancement to Threat Level Management is the amount of Threat Level Groups you can configure. The CA4K allows an unlimited amount of Threat Level Groups to

be configured with each one being color coded.

Unlike the CardAccess 3000 software, the configuration of the CA4K Threat Level Management is based on Lockdown Areas. In addition to Lockdown Areas, Threat

Level Management is also configured using Category Counters. Category Counters are used for multiple functions in the CA4K software and Threat Level Management

is one of them.

Note: As mentioned above, you must Enable Category Counters in System Settings and configure Lockdown Areas prior to configuring Threat Level Management.

Enable Category Counters

To configure Threat Levels, you must first enable Category Counters in System Settings. Perform the following steps to enable Category Counters.

  • Select Enable Category Counters under System>System-wide Settings>Badge.

Fig. 215.1. Enable Category Counters in System Settings. .

Create Lockdown Areas

NOTE: In addition to enabling Category Counters, you must create Lockdown Areas prior to configuring Threat Levels.

  • Create Lockdown Areas prior to configuring Threat Level Groups. Refer to the Lockdown Areas topic to pre-configure Lockdown Areas.

Fig. 215.2. Lockdown Areas menu selection.

Launch Threat Level Management

  • To Launch Threat Level Management, click Administration>Threat Level Management on the main menu.

Fig. 215.3. Threat Level Management menu selection. .

Upon Launching Threat Level Management, the Threat Level Management configuration screen will display. Perform the following steps to configure a Threat level.

  • Click New.

  • Type in a Description for the Threat Level.

  • Select a predefined Lockdown Area.

  • Select a color assignment for the Threat Level.

  • Select Type of Control for the Threat Level.

Notes:

Allow Access will only allow Access to the badges with the matching category counters and all other badges will not gain access.

Deny Access will only deny Access to the badges with the matching category counters and all other badges will gain access.

  • Unless Database Partitioning is used, leave the Partition Group at the Admin Partition.

  • On the bottom half of the screen, you MUST assign the categories to the Threat Level by clicking Assign on the bottom right side of screen.

Note: If the category is already used for another function, it will be noted that it is In Use.

Upon performing the previous steps, the Threat Level Management screen should reflect the figure below. The configured Threat Levels will display in the top half of the screen.

Fig. 215.4. Threat Level configuration screen.

Category Counter names can be changed as per the figure below.

  • Click in the Category Name box and edit the name of the Category Counter.

Note: The Category Names changed on this screen will be reflected in the Personnel screen also.

Fig. 215.5. Threat Level configuration screen.


Activating Threat Level

Activate Threat Level

To activate pre-configured Threat Levels, perform the following steps:

  • Click Lockdown Control on the main menu.

  • Click Threat Level Control. The pre-configured Threat Levels and their states (Active or Non-Active) will display.

  • Click Activate:Science Building Lockdown.

Fig. 215.6. Activate Science Building Lockdown Menu Selection. .

Upon Clicking Activate:Science Building Lockdown Threat Level, a confirmation message box will display as per the figure below.

Fig. 215.7. Activate Science Building Lockdown Threat Level Confirmation box.

  • Click OK.

Upon activating a Threat Level, a message will scroll across the bottom left side of the screen. The message will display all the Activated Threat Levels. Refer to the figure below.

Fig. 215.8. Activate Science Building Lockdown Scrolling message. .

In addition to the scrolling message, an Alert will display Threat Level Activated. Refer to the following figure.

.

Fig. 215.9. 'Threat Level Activate' Alert. .

For the above demonstration, all badges will not gain access except for badges assigned the Emergency Personnel category and the Administrative category.

The alert below displays a badge that was denied because they were not part of the Emergency Personnel or Administrative category.

Fig. 215.10. 'Badge Lockout' Alert. .

Refer to the next topic to Deactivate the Threat Level.


Deactivate Threat Level

To Deactivate activated Threat Levels, perform the following steps:

  • Click Lockdown Control on the main menu.

  • Click Threat Level Control. The pre-configured Threat Levels and their states (Active or Non-Active) will display.

  • Click Activate:Science Building Lockdown .

Fig. 215.11. 'Deactivate Science Building Lockdown' Menu Selection. .

Upon Clicking Deactivate:Science Building Lockdown Threat Level, a confirmation message box will display as per the figure below.

Fig. 215.12. 'Deactivate Science Building Lockdown' confirmation box.

  • Click OK.

After the Threat Level is Deactivated, an Alert will display Threat Level De-activated. Refer to the following figure.

Fig. 215.13. 'Threat Level Deactivate' Alert. .


Standard APB Overview

AntiPassback (Standard APB) Overview

MUST READ - VERY IMPORTANT NOTES:

  • In most cases, two readers are required for standard APB.

The APB function is designed to enforce strict entry and exit rules, which will prevent card holders from 're-entering' an APB IN enabled door, until they have exited through an APB OUT enabled door. Thus, you must enable APB on at least two readers if you wish to enforce Anti-Passback.

Typically, one reader is set up to be an APB IN reader, and a second reader is set as an APB OUT reader. After a given cardholder has presented a badge to an APB IN reader, that badge will not be accepted at an APB IN reader again until it has been presented to an APB OUT reader.


AntiPassback (Standard APB)

AntiPassback (Standard APB) Functionality

APB Control

A reader with the APB function enabled requires that a badge holder present a badge to an 'In' reader, and subsequently to an 'Out' reader (in that prescribed order). If the badge is presented to either reader more than once, a violation condition occurs and the reader refuses re-admittance to the cardholder (a condition termed as 'hard' Anti-Passback).

Fig. 225.1. APB Control Controls.

The controls in the 'APB Control' section are explained below.

Std APB Type

Fig.225.2. Standard APB Type control.

Std APB Type can be set to one of the following:

IN – The reader is set to be an Anti-Passback 'In' reader.

Out – The reader is set to be an Anti-Passback 'Out' reader.

Neutral – (the default) Anti Passback is disabled at the reader.

APB Entry to Area

The APB Entry to Area Type control can be disregarded while configuring Standard APB. Area APB is covered in the next Topic.

Fig.225.3. APB Entry to Area control.

APB Exit to Area

The APB Exit from Area Type control can be disregarded while configuring Standard APB. Area APB is covered in the next Topic.

Fig.225.4. APB Exit to Area control.

APB Violate Override

When the APB Violate Override check box is checked, the panel will allow a badge holder to open a door protected by an APB In or Out reader multiple times, but will generate violation event messages (termed 'soft' Anti-Passback) each time the same reader is accessed by the same badge. In other words, door re-entries are permitted but are seen as a violation by the system.

Fig. 225.5. APB Violate Override control.

Duration Use Time

Duration Use is more fully explained in the section titled Personnel. The Readers 'Duration Use Time' control works in conjunction with the Personnel screen 'Duration

Use' Checkbox.

Fig. 225.6. Readers screen 'Duration Use Time' control.

Fig. 225.7. Personnel screen 'Duration Use' checkbox.

When a Duration Use Time value is set at an APB reader, and a badge that has the Duration Use feature enabled is used to access that reader, the card holder will

be allowed to re-enter at that reader after the Duration Use Time has expired (timed Anti-Passback). However, any card holders that do not have the Duration Use feature enabled will be denied re-entry capability at every APB enabled door regardless of the Duration Use Time value. 'Duration Use Time' control accepts values in the range 1-2700 minutes.


Multi Area AntiPassback (MAAP)

Multi-Area AntiPassback (MAAP) Overview

MUST READ - VERY IMPORTANT NOTES:

  • To use APB Areas, you Must enable them in System Settings>System-wide settings>Badges.

The Multi-Area APB function is very similar to the Standard APB function. It is designed to enforce strict entry and exit rules while entering and exiting areas. Multi-Area APB will prevent card holders from 're-entering' an Entry Reader to an Area, until they have exited through an Area Exit Reader.

Typically, one reader is set up to be an Entry reader into an area, and a second reader is set as an Exit reader out of an area. After a given cardholder has presented a badge to an Area Entry reader, that badge will not be accepted at the same Entry reader again until it has been presented to an Area Exit reader.

Multi Area APB provides a mechanism to track a badge through predefined areas. While configuring Multi-Area APB, the areas must be pre-configured.


Multi Area APB

Multi-Area APB (MAAP) Functionality

APB Control

Configuring a reader for Multi-Area Passback is done on the same screen as a Standard APB reader. There is a control for the the APB Entry to Area reader and one for the .

APB Exit from Area reader.

NOTE: There are predefined starting areas that are selectable in the drop-down list (ex. OUTSIDE).

Fig. 230.1. APB Control Controls.

The controls in the APB Control section are explained below.

NOTE: The Std APB Type control can be disregarded while configuring Multi-Area APB.

Std APB Type

Fig.230.2. Standard APB Type control.

APB Entry to Area

The APB Entry to Area control is used to configure the reader as an entry into the selected area.

Fig.230.3. APB Entry to Area control.

APB Exit to Area

The APB Exit from Area control is used to configure the reader as an exit from the selected area.

Fig.230.4. APB Exit to Area control.

APB Violate Override

When the APB Violate Override check box is checked, the panel will allow a badge holder to open a door protected by an APB Area Entry or APB Area Exit multiple times, but will generate violation event messages (termed 'soft' Anti-Passback) each time the same reader is accessed by the same badge. In other words, door re-entries are permitted but are seen as a violation by the system.

Fig. 230.5. APB Violate Override control.

Duration Use Time

Duration Use is more fully explained in the section titled Personnel. The Readers Duration Use Time control works in conjunction with the Personnel screen Duration

Use Checkbox.

Fig. 230.6. Readers screen 'Duration Use Time' control.

Fig. 230.7. Personnel screen 'Duration Use' Checkbox.

When a Duration Use Time value is set at an APB reader, and a badge that has the Duration Use feature enabled is used to access that reader, the card holder will

be allowed to re-enter at that reader after the Duration Use Time has expired (timed Anti-Passback). However, any card holders that do not have the Duration Use feature

enabled will be denied re-entry capability at every APB enabled door regardless of the Duration Use Time value. 'Duration Use Time' control accepts values in the range

1-2700 minutes.


Reports

The CA4K™ includes many reports that provide you with the ability to report on all CA4K data. The CA4K reports are generated

using SAP Crystal Reports.

All Reports are covered in the following topics.

Click the following link for information on launching reports::

Launching CA4K™ reports


Launching Reports

VERY IMPORTANT TIPS:

  • The Report Printer must be selected and configured under System Settings>Workstations.

  • The Preview screen will display a toolbar with functions explained in the following topic.

  • Unlike the CA3000, the CA4K software does not provide standalone executable's for each report.

  • The layout of the Report menu changed in Service Pack 2.

  • Most reports can be exported by clicking the export icon on the Print/Preview toolbar.

To launch CA4K™ reports, click Reports on the main toolbar.

Fig. 235.2.1. Reports icon on main toolbar.

NOTE: The Events report is the most used report. It provides you Personnel reports on one or many badges. It also provide you the ability to run a report on ALL Event Types or a specific event type. The Events report requires you to put in a Date range. The Events report also provides you the ability to create a template and reuse the template.

Upon clicking Reports, a list of reports will display.

  • Click on the report you wish to execute.

Fig. 235.2.2. Reports selection list.

Note: For all the sample reports generated in the following topics, please leave 'As Local Time' for the Time Zone selection and 'Admin Partition' for the Partition Group.

Fig. 235.2.3. The Reports Toolbar.


Print and Preview

Preview / Print Reports

VERY IMPORTANT TIPS:

  • The Report Printer must be selected and configured under System Settings>Workstation Settings.

  • To use the Page Up/Page Down keys on a report containing multiple pages, you must click the report on the screen prior to pressing Page Up/Page Down.

  • The layout of the Report menu changed in Service Pack 2.

  • Most reports can be exported by clicking the export icon on the Print/Preview toolbar.

Note: The information below applies to most reports, The Preview / Print toolbar displays on the top of most reports.

Preview/Print Toolbar

Upon clicking a report from the report list, a Preview/Print toolbar will display. Refer to the following figure.

Reminder: For all the following demonstrations, keep the Time Zone setting at As Local Time and keep the Partition setting at the default Admin Partition.

Upon launching a Report, the selected Report screen will display. For this demonstration, we selected the Alert Response Report.

Fig. 235.3.1. The Alert Response Report screen.

  • Prior to clicking Preview or Print, type in a Report Title.

Fig. 235.3.2. The Report Title box. .

Preview

  • The Preview button allows you to display the report on the screen prior to printing it.

NOTE: Generally you select your report filtering criteria prior to clicking the Preview button. The reports engine will query the CA4K database for

records that match your search criteria, then a preview window will open that displays the data found (if any).

Preview Toolbar

Upon clicking Preview, the Preview Toolbar will display. The Preview Toolbar contains controls that are explained below.

Fig. 235.3.3. The Preview Toolbar.

Export

  • The Export button provides the ability to export the report to different document types. Refer to the 2 figures below.

Fig. 235.3.4. The Export button.

Fig. 235.3.5. The Export to Document Types. .

Print Report

  • The Print Report button will print the report. Refer to the figure below.

Fig. 235.3.6. The Print Report button.

Refresh - This control refreshes the report content. Refer to the figure below.

Fig. 235.3.7. The Refresh button.

Copy - This is a Crystal Report control to copy a single field from the report into a text document. Refer to the figure below.

Fig. 235.3.8. The Copy button. .

VCR navigation buttons. - There are 4 VCR Navigation controls as noted below. Refer to the figure below.

  • First Page

  • Previous Page

  • Next Page

  • Last Page

Fig. 235.3.9. The VCR navigation controls.

Page Number display - This control displays the current page number and the last page number. Refer to the figure below.

Fig. 235.3.10. The Page Number control.

Search Text - The Search Text button allows you to search for a text string. Refer to the 2 figures below.

Fig. 235.3.11. The Search Text control.

Fig. 235.3.12. The Find Text screen. .

Zoom In - The Zoom In control allows you to increase the magnification level. Refer to the 2 figures below.

Fig. 235.3.13. The Zoom button.

Fig. 235.3.14. The Magnification levels menu.

Print To File - The Print To File button will allow you to select a destination folder and print the report to multiple files types. Refer to the 3 figures below.

Fig. 235.3.15. The Print To File button

Fig. 235.3.16. The File Name box.

Fig. 235.3.17. The Print To File confirmation message box.

Close - The Close button will close the Preview Report screen. Refer to the figure below.

Fig. 235.3.18. The Close button.


Scheduling Reports

Scheduling Reports to run using Windows Task Scheduler

MUST READ - VERY IMPORTANT NOTES:

  • The Report Printer must be selected and enabled under System>System Settings>Workstation Settings.

  • Only the Events and Time and Attendance reports can be scheduled to run.

  • Prior to scheduling the Events or Time and Attendance report, you must create a template for the report.

  • The screens on the Windows Task Scheduler will vary between different Operating Systems.

Overview

This document provides the necessary steps to schedule a CA4K report to run using the Windows 10 Task Scheduler. There are two reports in the CA4K that can be scheduled. They are the Events report and the Time and Attendance report. Prior to scheduling these reports to run, you must go to each report and create a template for the report. In the CA4K, a new application was added to the root of the CardAccess4K folder. The new application is the events.exe. The new events.exe is used to schedule both the Events and Time and Attendance reports. The Events.exe in the root of the CardAccess4K folder provides the ability to select which report to run (Events or TimeAttendance) and specify the required command line arguments. In the CA4K, all the reports are packaged into one DLL, so you are not able to schedule each report by their own executable name.

Note: For our demonstration, we will be scheduling an Events report. The steps for scheduling a Time and Attendance report are the same.

Configure and Enable a report printer in System Settings.

1. 1. In the CA4K, configure and enable a Report Printer under System>System Settings>Workstation Settings (refer to Figure 1).

Figure 1.

Create a template for the Events Report

1. 1. Launch the CA4K software and click Reports on the main menu. Select the Events report (refer to Figure 2).

Figure 2.

2. On the Event Report screen, configure an Events report and save it as a template under the template tab. Refer to the CA4K Help file for creating, saving and retrieving a template. To verify the Events template is saved properly, close out of reports and then launch the Events report again. Go to the Template tab and select the template name you created and click retrieve template. Verify the events report is populated correctly as per the template. Refer to Figure 3.

Figure 3.

L

Launch the Windows 10 Task Scheduler

1. In the Windows search bar, type Task Scheduler. The Windows Task Scheduler icon will appear. Click on the Task Scheduler icon to launch the Windows Task Scheduler. The Task Scheduler can also be found under Windows Administrative tools. Refer to the two figures below (refer to Figures 4 and 5)

Figure 4.

Figure 5.

Create a basic task in the Windows 10 Task Scheduler

1. 1) Upon the Windows Task Scheduler screen displaying, click Create Basic Task (refer to Figure 6).

Figure 6.

2. Type in a descriptive Name for the Basic Task (refer to Figure 7). Click Next.

Figure 7.

1. 3. Configure the Start Date, Time and interval (refer to Figure 8). Click Next.

Figure 8.

1. 4. Select an Action. For our demonstration, select Start a Program. This selection should be the default selection (refer to Figure 9). Click Next.

F

Figure 9.

5. For the Start a Program action, you must browse to the Events.exe in the root of the CardAccess4K folder and select it. Refer to the figure below.

6.. Next, in the Add Arguments box, type the following string. Replace the Template name with your template name and the Report type you wish to run.

X1 T<Template name> U<user name> P<Password> R<Report type>

Descriptions of Arguments:

X1 - This is privilege level 1

T - This is the Template Name

U - This is the Username to log into CA4K

P - This is the Password to log into CA4K

R - This is the Report type to run (Event or TimeAttendance)

Notes:

a. Report type can be Event or TimeAttendance

b. If U and P is not passed, admin account will be used.

c. If R is not passed, default report type will be Event

For our demonstration, the argument string is as follows:

X1 Ttest Uadmin Padmin@4K REvent

7. Upon entering in the arguments, click Next (refer to Figure 10).

Figure 10.

1. 8. Review the settings and click Finish (refer to Figure 11).

Figure 11.

Task Scheduler Information

1. 1. In the Task Scheduler screen, you can view the Next Run Time, Last Run Time, Last Run Result and other information (refer to Figure 12).

Figure 12.

1. 2. In the Task Scheduler screen, you can right click on the task and Manually Run the task, End the task, Disable the task and perform other functions (refer to Figure 13).

Figure 13.


Events Report

VERY IMPORTANT TIPS:

  • The Events Report provides the ability to report on Event History and Personnel data.

  • The Report Printer must be selected and configured under System Settings>Workstation settings.

  • The Events Report provides the ability to create a template.

  • If the report is more than one page, you must click on the first page to select it and then press Page Down key.

Launching the Events Report.

The Events Report allows the user to generate a report on Event history and Personnel data. This is one of the most used reports in the CA4K software.

.

  • Click Events in the Report List.

Fig. 235.4.1. The Report Menu list.

Events Report Types – There are two folder tabs that allow you to select the report type. First you must decide what type of events you are

searching for. If you seek a report on hardware status messages such as panel downloads, input abnormal's, select the General tab.

If you are searching for information on a badge holder, click the Personnel tab. Refer to the two figures below.

  • General Tab – The General tab is the default tab when the Events report launches. The tab contains all the Hardware status messages.

Fig. 235.4.2. The General tab screen.

  • Personnel Tab – The Personnel tab contains selections that allow you to generate a report on various types of valid or violation badge messages.

Fig. 235.4.3. The Personnel tab screen.

Create a Basic Event Report (Hardware Events)

To create a basic Event report on hardware status messages such as panel downloads, door messages, input messages, etc..., do the following:

  • Open the Events Report – Open the Events report by clicking Events in the Report Menu List. The Events report will open on the General tab.

  • Select ALL for Doors, Inputs, Outputs/Links, Panels and Napco.

Note: Check marks will display on all the selections for each device when you click ALL.

Fig. 235.4.4. The Events Report screen. .

  • Select a Date Range – If you do not select a date range, by default the report engine will return results from every day that is included the database.

To select a date range that will limit the results returned by the report to the date range selected, click the button to the right of the Date fields and select a date from the calendar controls that open.

Note: For this demonstration, leave the Contiguous Time Range unchecked.

Fig. 235.4.5. The Date Range screen. .

· Create a Report Title – Click the Report Setup tab and give your report a descriptive title.

Fig. 235.4.6. The Report Title Field screen. .

  • Preview the Report – Click to Preview the report.

Fig. 235.4.7 The Preview Button

  • Print the Report – Click to Print the report.

Fig. 235.3.4.– The Print Button

  • Report Output - Below is a preview of the Events report configured above.

Fig. 235.4.9.– The Events Report Output.

Create a Basic Personnel Event Report

To create a basic Personnel Event Report including all Badge Events, do the following:

  • Open the Events Report – Open the Events report by clicking Events in the Report Menu List. The Events report will open on the General tab.

  • Click the Personnel tab.

  • Click the All Badge Events button.

Note: Checkmark's will display on all Access and Violations selections when you click ALL Badge Events..

Fig. 235.4.10. The Report Menu list.

  • Select a Date Range – If you do not select a date range, by default the report engine will return results from every day that is included the database. This may result in the report containing

many pages. To select a date range that will limit the results returned by the report, click the button to the right of the Date fields and select a date from the calendar controls that open.

Note: For this demonstration, leave the Contiguous Time Range unchecked.

Fig. 235.4.11. The Date Range screen. .

· Create a Report Title – Click the Report Setup tab and give your report a descriptive title.

Fig. 235.4.12. The Report Title Field screen. .

  • Preview the Report – Click to Preview the report.

Fig. 235.4.13 The Preview Button

  • Print the Report – Click to Print the report.

Fig. 235.4.14.– The Print Button

  • Report Output - Below is a preview of the Personnel report configured above.

Fig. 235.4.15.– The Events report Output.

Events Report Screen Controls

A detailed view of each of the Events report screen controls follows:

General Tab

  • Doors Section

The Doors section allows you to select report filters that limit the returned report to only events that have the selected reader related event messages.

To select an event type, click the Checkbox. Checked is selected, unchecked is unselected. You may select any or all of the items listed in this section and use them together to further narrow your search

If you select the All Checkbox, all of the event types listed in the section will be included in the report. You may select the All feature or you may select individual items in the section. The report engine will not allow you to select both.

Fig. 235.4.16 The General Doors Section

  • Inputs Section

The Inputs section allows you to select report filters that limit the returned report to only events that have the selected input related event messages.

To select an event type, click the Checkbox. Checked is selected, unchecked is unselected. You may select any or all of the items listed in this section and use them together to further narrow your search

If you select the All Checkbox, all of the event types listed in the section will be included in the report. You may select the All feature or you may select individual items in the section. The report engine will not allow you to select both.

Fig. 235.4.17 The General Inputs Section

  • Outputs/Links Section

The Outputs/Links section allows you to select report filters that limit the returned report to only events that have the selected output or link related event messages. .

To select an event type, click the Checkbox. Checked is selected, unchecked is unselected. You may select any or all of the items listed in this section and use them together to further narrow your search

If you select the All Checkbox, all of the event types listed in the section will be included in the report. You may select the All feature or you may select individual items in the section. The report engine will not allow you to select both.

Fig. 235.4.18 The General Output/Links Section

  • Panels Section

The Panels section allows you to select report filters that limit the returned report to only events that have the selected panel related event messages.

To select an event type, click the Checkbox. Checked is selected, unchecked is unselected. You may select any or all of the items listed in this section and use them together to further narrow your search

If you select the ‘All’ Checkbox, all of the event types listed in the section will be included in the report. You may select the All feature or you may select individual items in the section. The report engine will not allow you to select both.

Fig. 235.4.19 The General Output/Links Section

  • Napco Section

The Napco section allows you to select Napco Integration events.

Fig. 235.4.20. The General Napco Section

  • Video, Event Photos and Scripting Section

The Video, Event Photos and Scripting Section allows you to select All events associated with Video, All Event Photos and All Scripting.

Fig. 235.4.21 The General Video Photos and Scripting Section

· Sort Order Section

You may select one menu item from the list presented in the Sort Order’ section of the General tab. You selection will determine how the data printed in the report will be sorted (by date, name, badge number, vehicle tag number or group number). The default report is printed in Date sorted order.

Fig. 235.4.22. The General Sort Order Section.

· Date Range Section

The Date Range section is where you will set the time and date limits for the event report engine. When no time or date is supplied, the report engine will return all events that match the other filter criteria (if supplied) and ignore the date. If a date is supplied and no time range is supplied, all events from the selected days will be returned. If a date range is supplied and a time range is supplied, the report will return the date range requested and the report will be limited to those hours requested. See below for more details

Fig. 235.4.23. - The Common Tab Date Range Section

Date

The Date selection controls are used to select the date range of the search. The field on the left is the start date and the field on the right is the end date.

If you select the same date for the start date and the end date, the report will span one day only (midnight to midnight unless you select a time range in the ‘Between Hours’ controls. See below).

To select a date, click the button to the right of each field or click in the white space and type a date in the format mm/dd/yyyy

Between Hours

The Between Hours selection controls work in conjunction with the Contiguous Time Range control mentioned below. The Between Hours fields set the start and end time end points that the events report engine will use when searching the database for events that match the report filter criteria. If no selection is made in the Between Hours controls, the report will use the default of 0 and 0, which is the whole day (24 hours).

Contiguous Time Range

When you select a time range for your report using the Between Hours selection controls, the Events report engine assumes that you wish to print out all events that occurred between the hours indicated, on the dates indicated in the Date field.

For example, if you select 9am as the start time and 5pm as the end time, the standard report will return all events that occurred between the hours of 9 and 5 on each of the days included in the data range selected. Any events that occur before 9am and after 5pm on any day are excluded from the report.

If you select the Contiguous Time Range option, the Events report engine will return all of the events that occurred between the hours of 9am on the first day, all the way through to 5pm on the last day. All events that occurred each hour of the day between the date and time end points are included.

To enable the Contiguous Time Range, click the Checkbox. Checked is enabled, unchecked is disabled (the default)

· Show Alert Response Messages

Normally, alert responses are suppressed in all reports. Alert Responses are saved in the database when an operator manually acknowledges an alert and enters a text message describing an alert.

If you select the Show Alert Response Messages option, each event that has an associated alert response message will have that message printed on the same page as the event.

Click on the Show Alert Response Messages check box to enable the feature. Checked is enabled, unchecked is disabled

Fig. 235.4.24. The Common tab Show Alert Response Messages.

  • Report Title

The Report Title field is where you can create a title for your report that will appear on the top of the report when printed. The report title is under the Report Setup tab.

To enter a title, click in the white space and type your report title.

Fig. 235.4.25. The Report Title Section.

Database Setup Tab

Note: In most cases, you will not be required to perform the following steps regarding selecting an Alternate database.

Select a Database – The report is defaulted to generate the Events report using the current Live events database. If you are running a report on recent events that are likely to be included in the Live Events database, you do not need to set a database path.

However, if you intend to run a report on older archived events, you will need to ‘point’ the Events report engine to the archive database that you need to run the history report from.

To change the report database, do the following.

  • Click the Database Setup Tab – Click the Database Setup tab on the lower left corner of the report.

  • Select Use Alternate Database Check box

  • Select Archive Server Name – Note that by default, the report engine is connected to the CA4K main server. Thus, when you open the report, the Archive Server Name field will display the name of the current CA4K main server. Click the arrow to the right of the Archive Server Name control to display the names of all of the servers that have databases connected to the local SQL server

  • Select Database Name – Once you have successfully connected to the server selected in the Archive Server Name field, the Events report engine will fill the Database Name field with the names of all of the databases found on that server. You can click the arrow to the right of the Database Name selection control to display the list of databases found. You must be careful to select a CA4K compatible database. The list of databases shown contains all the active SQL databases on the server, not the CA4K compatible databases alone

Fig. 235.4.26. The Database Setup screen. .

  • Select Device Section

The Device Type field of the Select Device section is used to select a hardware filter for your event report. By default, the event report will return all events for all devices unless you limit the result set by selecting filters. The Device Type field offers you a list of the hardware device types so you can select one of those device types to narrow your search.

To select a device, click the arrow to the right of the Device Type field and click on your selection

Note: If you want to run on report on only one reader, this is where you would select the reader.

Fig. 235.4.27. The Select Device Type Section.

Personnel Tab

  • All Badge Events button

If the All Badge Events button is clicked, the event types returned include all those listed in the Access Events and Violations sections discussed below.

You may select All Badge Events or you may select individual events in the Access Events and Violations sections. They are mutually exclusive.

Fig. 235.4.28 – The Personnel Tab All Badge Events Button

  • Access Events Section

The Access Events section allows you to select report filters that limit the returned report to only events that have the selected valid access event messages. These are event messages that indicate successful accesses.

To select an event type, click the Checkbox. Checked is selected, unchecked is unselected. You may select any or all of the items listed in this section and use them together to further narrow your search

Fig. 235.4.29 – The Personnel Tab Access Events Section

  • Violations Section

The Violations section of the Events report allows you to select report filters that limit the returned report to only events that have the selected badge violation messages. These are event messages that indicate unsuccessful attempted accesses.

To select a violation type, click the Checkbox. Checked is selected, unchecked is unselected. You may select any or all of the items listed in this section and use them together to further narrow your search

Fig. 235.4.30– The Personnel Tab Violations Section Checkboxes

  • Show Tracked Only

The Show Tracked Only Checkbox enables a filter that will return only badge events that have ‘Badge Valid Tracked’ event messages in addition to the other search criteria that you have selected in other sections of the Events report screen. To enable the feature, click the Checkbox. Checked is enabled, unchecked is disabled

Fig. 235.4.31– The Personnel Tab Show Tracked Checkbox

· Badge Selections Section

The Badges Selection Section controls refer to settings in the Personnel screen. The fields in this section allow you to set up report filters that retrieve events that match the Personnel record criteria selected.

You may select a Badge Range or a Name. In addition, you may select any or all of the remaining fields in this section to further narrow your search.

Fig. 235.4.32 – The Personnel Tab Badges Selection Section

  • Badge Range

The Badge Range selection allows you to create an event report that contains only events from a selected badge number or badge number range. To select a badge number range, do the following.

  • Click the Checkbox – To enable the badge number range feature, click the Badge Range Checkbox. Checked is enabled, unchecked is disabled

§ Select a Range – Next, select a badge number range to limit the report to specific badge numbers.

Put the same badge number in both fields if you wish to limit the report to one specific badge number. Declare a range of badge numbers if you wish to have the report retrieve events from all of the badge numbers in that range (inclusive). To enter a value, click the arrows or click in the white space and type in a number.

Fig. 235.4.33 - The Personnel Tab Badge Range Selection Control

  • Name

You can elect to create an event report that returns only events generated by a specific badge holder name. If you wish to create such a report do the following.

  • Click the Checkbox – Click the ‘Name’ Checkbox. When the Name Checkbox is checked, a listing of all of the badges created in the Personnel screen will appear in the combo box to the right of the Checkbox.

  • Select a Name – Select the badge whose events you wish to create a report on by clicking the arrow to the right of the selection control, scroll up or down to locate the name and click on it

Fig. 235.4.34 - The Personnel Tab Name Selection Control

§ Match Name from Event Record – The Match Name from Event Record Checkbox modifies the behavior of the Events report search engine.

By default, when you supply a name to search for in the ‘Name’ combo box, the Events report will look up the badge number for that cardholder in the CA4K database. The Events report will then use that badge number in search for events matching the selected criteria.

In a case where a cardholder has several cards issued to the same name, the default search will return events for only one of those card numbers.

The Match Name from Event Record Checkbox forces the Events report to search the ‘Description’ field of the Events table for the actual name of the cardholder. This will tend to return any events that have the cardholder name associated with them, regardless of card number.

Though this method of searching the database may prove slightly slower to return report results, it is a more thorough search, which returns events that have every card number associated with the badge holder name

Fig. 235.4.35– The Match Name from Event Record Checkbox

  • Facility No.

The Facility No. selection control allows you to create a report only of events that include badges that have the selected Facility Number assigned.

The Facility No. refers to the Facility field of the Personnel screen. Thus, the facility number in this field is the position number of a particular facility code in the ‘Codes’ section of the Facility Codes screen (available from the ‘Administration’ menu). See the manual sections entitled Personnel and Facility Codes for more information

Fig. 235.4.36 - The Personnel Tab Facility Number Selection Field

  • Personnel Advanced Search Criteria

  • Click the Advanced Search button to bring up the advanced CA4K Search Criteria selection box.

Fig. 235.4.37 - The Personnel Tab Personnel Search Criteria Button

Fig. 235.4.38 - The Personnel Search Criteria Selection Screen

Note: The Advanced Search Criteria selection box allows you to define additional search filters that may include any field of the Personnel screen

  • Vehicle Selection Section

The Vehicle Selections section of the Event report is used if you wish to run a report on a specific vehicle badge holder. When you activate this section by checking the ‘Vehicle Tag Report’ Checkbox, the report results are limited to the badge selected in the ‘Vehicle Description’ field

  • Vehicle Tag Report – The Vehicle Tag Report Checkbox activates the ‘Vehicle Description’ control below. Checked is enabled, unchecked is disabled (the default)

  • Vehicle Description – When you enable the ‘Vehicle Tag Report’ Checkbox, a list of badges that have the ‘Vehicle Tag’ option set in the Personnel screen will appear in the Vehicle Description control. Your selection will cause the report engine to return only events with the selected vehicle badge included. To select a specific vehicle badge to run a report on, click the arrow to the right of the Vehicle Description field, scroll up or down to locate your selection, click the selection

Fig. 235.4.39- The Personnel Tab Vehicle Selections Section

· Sort Criteria Section

You may select one menu item from the list presented in the Sort Criteria section of the Personnel tab. You selection will determine how the data printed in the report will be sorted (by date, by name, badge number, vehicle tag number or group number). The default report is printed in date-sorted order.

Fig. 235.4.40 - Personnel Tab Sort Criteria Section

Template Tab

The Template tab is where you can create an Event report template file that can be recalled later. The template file allows you to recall the settings of a given report for the purpose of running a specific report on a regular basis, without the need to select all of the report options each time.

You create a report template by doing the following:

  • Visit the General or Personal folder tab of the report and select the report options

  • Visit the Templates folder tab of the report and select the Report Type and the Date Range of the report.

Fig. 235.4.41 - Template Tab Screen.

Save Template Section

The Save Template section of the Template tab is used if you wish to automatically set a date range for a report template. The controls in the Save Template section work in conjunction with the controls in the Date Range section of the Templates tab. A selection in the Save Template section will automatically change the date range selected in the Date fields of the Date Range section

Fig. 235.4.42- The Save Template Section

· Report Type Section

The Report Type section allows you to automatically select the report type for the current report template. The settings in this section correspond to the General and Personnel folder tabs available at the top of the Event report screen.

You are expected to select your report options on the General tab or the Personnel tab, and then move to the Templates tab to select the time interval that the report will cover

Fig. 235.4.43 - The Templates Tab Report Type Section

· Reporting Interval Section

The reporting interval section offers you a way to automatically select a Date Range for your report template. When you make a selection, the Date Range control is loaded with the appropriate date range

Fig. 235.4.44-The Template Reporting Interval Section

Which Interval Section

The Which Interval controls work in conjunction with the Date Range controls on the Common Tab at the bottom of the Event report screen and the ‘Reporting Interval’ controls mentioned in the section above. The details follow.

  • Current – When selected, the report will automatically change the data range selection to the current day, week, or month

  • Previous – When selected, the report will automatically change the data range to the previous day (yesterday’s date), week (last week from Sunday to Saturday), or month (last month from the first day of the month to the last day of the month)

Fig. 235.4.45– The Template Interval Section

Retrieve Template

Report Templates are stored in the CA4K database. If there are any Event report templates in the current database, the names of those templates will appear in the drop down list in the Retrieve Template field.

To select a template, click the arrow to the right of the Retrieve Template field, scroll up or down to find your selection, click it to select it.

Fig. 235.4.46 – The Retrieve Template Selection Control


Personnel Report

VERY IMPORTANT TIPS:

  • The Report Printer must be selected and configured under System Settings>Workstation settings.

  • The Personnel Report can be exported from the Print Preview screen using the Export Report icon.

Launching the Personnel Report.

.

  • Click Personnel in the Report List.

Fig. 235.5.1. The Personnel Report menu selection.

The Personnel Report is used to create a custom Personnel report with the ability to select the fields and provide a SQL expression.

Fig. 235.5.2. The Personnel Report screen.

Create a basic Personnel Report

To create a basic Personnel report, do the following::

· Open the Personnel Report – Open the Personnel report by clicking Personnel on the Reports menu.

  • Field Selection – Select the fields you would like displayed in the Personnel report. After selecting the fields in the left box, click the right arrow to move them over to the right box.

  • Expression – Configure an expression if needed. Refer to the example below. .

  • Select Preview or Print – Click Preview to view the report on the screen or Print to print a hard copy of the report.

Fig. 235.5.3. The Fields selection boxes.

Fig. 235.5.4. The Expression screen.

The following is a sample expression configured.

Note: After the expression is configured, you must click Accept to move it into the text box below. .

Fig. 235.5.5. The Expression screen. .

The following report output is for the Personnel Report with the sample expression above configured. .

Fig. 235.5.6. Report output with the Expression configured.

Report Title - The Report Title text box gives the user the ability to enter a custom name for the report.

Fig. 235.5.7. Report title.

Preview - The preview button gives the user the ability to preview the report before printing it. To preview the report, click on the Preview button.

Print - The print button gives the user the ability to print the report to the currently selected Report printer. To print the report, click on the Print button.

Fig. 235.5.8. Print/Preview Toolbar.

The following report output is for the Personnel Report.

Fig. 235.5.9. Sample Personnel Report Output.


Badges Report

VERY IMPORTANT TIPS:

  • The Report Printer must be selected and configured under System Settings>Workstation settings.

  • The Badges Report is NOT an Activity Report.

  • If the report is more than one page, you must click on the first page to select it and then press Page Down key.

Launching the Badges Report.

The Badges Report allows the user to generate a report on any information regarding a badgeholder that has been entered in the Personnel section of the CA4K software.

.

  • Click Badges in the Report List.

Fig. 235.6.1. The Report Menu list.

The Badges report consists of three sections, Personnel, Access List and First-In Areas Report. They are accessed by the three tabs on the top left of the report.

The Personnel section (default tab) is comprised of a series of filter options, which the user may utilize to narrow the report when looking for specific information about a badgeholder or badgeholders. As in other reports, if no filters are selected, the report will display all information related to the all badgeholders contained in the CA4K database.

Note: You must select at least one filter such as Badges.

Fig. 235.6.2. The three tabs in the Badges Report.

Note: The Personnel tab is the default selection.

Create a Basic Badges Report (Personnel)

To create a basic Badges report using the Personnel section (Personnel tab), do the following::

Note: In this example, we will not be utilizing any filters to create this report.

· Open the Badges Report – Open the Badges report by clicking Badges on the Reports menu.

  • Personnel – Select the Personnel section by clicking the tab labeled Personnel in the upper left-hand side of the Report screen

  • Badge Range – Select Badges and enter in a range of badge numbers.

  • Select Preview or Print – The default settings will yield a report which will include all badgeholders and all their information that has been entered in the General section of the Personnel screen

Note: The following report output is for the Basic Personnel Report specified in the previous steps. The report output figure below is only displaying one badge. You must click the page and press the

Page Down Key if the report displays more than one page.

Fig. 235.6.3. The Basic Personnel Report Output with one badge displaying.

Create a Basic Personnel Access List Report for Readers

To create a basic Reader Access List Report, do the following (Refer to the figure below).

  • Access List – Select the Access List screen by clicking the tab labeled Access List in the upper left-hand side of the Report screen.

  • Reader Access List - Click the option button for Reader Access List. Click the arrow adjacent to the Reader Description field. Select
    a Reader by clicking on it. The selected Reader should appear in the Reader Description field. Select Include Badge Number.

  • Click Preview or Print – The report should yield a list of badgeholders that have access to the reader that was previously selected.

Fig. 235.6.4. The Reader Access List Report selection.

The following report output is for the Reader Access List Report.

Fig. 235.6.5. The Reader Access List Report Output.

Create a Basic Access Group List

To create a basic Access Group List Report, do the following (Refer to the figure below).

  • Access List – Select the Access List section by clicking the tab labeled Access List in the upper left-hand side of the Report screen.

  • Reader Access List - Click the option button for Access Group List. Click the arrow adjacent to the Access Group field. Select an Access Group
    by clicking on it. The selected Access Group should appear in the Access Group Description field. Select Include Badge Number.

  • Click Preview or Print – The report should yield a list of badgeholders that have access to the Access Group that was previously selected.

Fig. 235.6.6. The Access Group List Report selection.

The following report output is for the Access Group List Report.

Fig. 235.6.7. The Access Group List Report Output.

Create a Basic Personnel Access List Report

To create a basic Personnel Access List Report, do the following (Refer to the figure below).

  • Access List – Select the Access List section by clicking the tab labeled Access List in the upper left-hand side of the Report screen.

  • Personnel Access List - Click the option button for Personnel Access List. Click the arrow adjacent to the Badgeholder Name field. Select a
    Badgeholder by clicking on it. The selected Badgeholder should appear in the Badgeholder Name Description field.

  • Click Preview or Print – The report should yield a list of badge holders that was previously selected.

Fig. 235.6.8. The Access Group List Report selection.

The following report output is for the Personnel Access List Report.

Fig. 235.6.9. The Personnel Access List Report Output.

Create a Basic First-In Areas Report

To create a basic First-In Areas Report, do the following (Refer to the figures below).

  • First-In Areas Report – Select the First-In Areas section by clicking the tab labeled First-In Areas Report in the upper left-hand side of the Report screen.

  • First-In Lockdown Areas - Select a First-In Lockdown Areas to report on.

  • Date Range - Configure a Date Range.

  • Report Title - Enter a Report Title.

  • Click Preview or Print – The report should yield a list of First-In Lockdown Areas that was previously selected.

N Note: This report is a basic report. There are other optional filters on the bottom of the First-In Areas Report screen.

Fig. 235.6.10. The First-In Area Report.

Fig. 235.6.11. The First-In Area Access Report output..

Badges Report Screen Controls

A detailed view of each of the Badges report screen controls follows:

Note: The filters below may be used alone or in conjunction with other filters on this screen.

  • Badges

The Badges selection field allows the user to select a range of badge numbers in which to report on.

By default this option is de-selected. To activate this feature, click the Checkbox adjacent to the Badge Numbers text. Then enter the numeric value for the badge range you are interested in.

Fig. 235.6.12. The Badge Numbers range selection screen

· Access Group

The Access Group field is used whenever the user needs to report on badgeholders in a particular Access Group and filter out all badgeholders from other Access Groups. Click

the arrow adjacent to the Access Group window. Select the Access Group you wish to report on by clicking on it. The selected Access Group should appear in the Access Group window.

Fig. 235.6.13.The Group filter

· Department

The Department field is used whenever the user needs to report on badgeholders from a particular Department and filter out all badge holders from other Departments. Click the arrow adjacent to the Department window. Select the Department you wish to report on by clicking on it. The selected Department should appear in the Department window.

Note: Since Departments are not a required programming element necessary for system operation; there may be no Departments in this list to choose from.

Fig. 235.6.14.The Department filter

  • Location

The Location field is used whenever the user needs to report on badge holders from a particular Location and filter out all badge holders from other Locations. Click the arrow adjacent to the Location window. Select the Location you wish to report on by clicking on it. The selected Location should appear in the Location window.

Note: Since Locations are not a required programming element necessary for system operation; there may be no Locations in this list to choose from.

Fig. 235.6.15.The Location filter

· Alarm Shunt Group

The Alarm Shunt Group field is used whenever the user needs to report on badge holders from a particular Alarm Shunt Group and filter out all badge holders from other Alarm Shunt Groups. Click the arrow adjacent to the Alarm Shunt Grp window. Select the Alarm Shunt Group you wish to report on by clicking on it. The selected Alarm Shunt Group should appear in the Location window.

Note: Since Alarm Shunt Groups are not a required programming element necessary for system operation; there may be no Alarm Shunt Groups in this list to choose from.

Fig. 235.6.16. The Alarm Shunt Group filter

· Selection Filters

The Selection Filters section of the badges report is comprised of a list options pertaining to badgeholder programming. Once a filter is chosen with a checkmark, only that filter will be used to create the report.

Example: If Enabled is checked, only those badge holder’s with active enabled cards will appear on the report.

A description of each filter follows:

  • Enabled/Disabled – Refers to whether or not a badgeholder is active in the system.

  • Tracked – Refers to a badge that has Tracked selected in Personnel.

  • Resident/NonResident – Refers to whether or not the badgeholder is stored at the panel level. See Stay on Panel portion of the Personnel section for detailed information.

  • Escorted – Refers to whether or not a badge holder’s card is programmed as escorted. See the Escorted portion of the Personnel section for detailed information.

  • Door Shunting – Refers to whether or not a badgeholder is assigned to a Door Shunting Group. See the Alarm Shunt Control portion of the Personnel section for detailed information.

  • Dedicated Access – Refers to a badges that has a dedicated Access Group assigned to it.

Fig. 235.6.17.The Selection Filters screen

  • Date Ranges

The Date Ranges screen allows the user to report on badge holders by specifying a Date/Time. for specific fields. Simply check the option you wish to report on and then enter a Date/Time.

  • Activation – With this option checked the user has the ability to find badge holders that had their cards activated by an Activation Date on the Date/Time selected.

  • Deactivation – With this option checked the user has the ability to find badge holders that had their cards deactivated by a Deactivation Date on the Date/Time selected.

  • Hire – With this option checked the user has the ability to find badge holders that were hired on the Date/Time selected.

  • Last Edited – With this option checked the user has the ability to find badge holders that had their personnel information edited on the Date/Time selected.

  • Unused Badges Since – With this option checked the user has the ability to find badge holders that have not presented their cards to any reader in the system since the Date/Time specified.

Fig. 235.6.18 – The Date Ranges screen

Change Sort Criteria

The Change Sort Criteria button launches the Sort Criteria Form.

Fig. 235.6.19 - The Change Sort Criteria button.

  • Primary Sort – Select the item from the Field Drop-down list you wish to use as the primary sort item. The selected item should appear as the first value in the Conditions box below. When the report is run, this item will appear in the first column.

  • Secondary Sort – Select the item from the Field Drop-down list you wish to use as the secondary sort item. The selected item should appear as the second value in the Conditions box below. When the report is run, this item will appear in the second column.

  • Asc – Select to sort Ascending.

  • Desc – Select to sort Descending.

Fig. 235.6.20 - Sort Criteria Form

VERY IMPORTANT: You must click Accept to enter the Field values for sorting into the Conditions box below.

Other Search Criteria

The Other Search Criteria button launches the Advanced Search criteria screen.

Fig. 235.6.21 - Other Search Criteria.

The Advance Search Criteria screen allows the user to narrow the report even further by using personnel fields from the database. Depending on the report

requirements, the user can setup one or multiple operations for this feature to yield the proper results. To start, click the arrow adjacent to the Field window.

A drop-down list will appear with all options related to Personnel. Select a Field value.

Fig. 235.6.22 - The Advanced Search Criteria for Badge screen

The Field option drop-down list

To select the field you would like to use to filter your report, click on it. The selected field will be displayed in the Field window.

Fig. 235.6.23 -– The Field option drop-down list

Next, click the arrow adjacent to the Condition window. A drop-down list will appear with the following options.

The Condition window

The Condition window is used to determine the relationship between the Field setting we are using and the value setting of the condition

  • Equal (=) – Using this symbol yields results that are equal to the setting in the Value field.

Example 1 – Using Badge as the Field and 125 as the value, the resulting report will only contain information for Badgeholder number 125

  • Greater Than or Equal To (>=) – Using this symbol yields results that are greater than or equal to the setting in the Value field.

Example 2 – Using example 1 above, the resulting report will contain information for badgeholders 125 and higher

  • Less Than (<) – Using this symbol yields results that are less than the setting in the Value field.

Example 3 – Using example 1 above, the resulting report will contain information for badge holders 124 and lower

  • Greater Than (>)– Using this symbol yields results that are greater than the setting in the Value field.

Example 4 – Using example 1 above, the resulting report will contain information for badge holders 126 and higher

  • Less Than or Equal To (<=) – Using this symbol yields results that are less than or equal to the setting in the value field.

Example – Using example 1 above, the resulting report will contain information for badge holders 125 and lower

  • Not Equal To (<>) -Using this symbol yields results that are less than and greater than but not equal to the setting in the value field.

Example – Using example 1 above, the resulting report will contain information for badge holders 124 and lower and 126 and higher

  • Like and Containing– Using these symbols yields results that are similar to the setting in the value field. This is commonly used when searching for a name field but you are not sure exactly how the name is spelled.

Example – We are looking for a badgeholder named John Smith. Using Last Name as the Field and Like as the Condition we can enter SM for the value. The resulting report will yield all badge holders with last names starting with SM

Fig. 235.6.24 -– The Condition option drop-down list

Next, enter in a Value.

The Value Field

The Value Field allows the user to put in a Value for the expression.

Fig. 235.6.25 -– The Condition option drop-down list

Logical Operation

The Logical Operation screen allows the user to create interaction between each expression that is created. By using the settings above properly, the resulting report should contain only the information the user was looking for. These settings will only become highlighted and selectable after the first expression is accepted by the report. This is done by creating the first expression and clicking the Accept button.

  • And – When an expression is prefaced with this setting it requires the system to include information from the expression before it and after it. In other words, the system must match the badge holders information to both expressions A and B and include it in the report

  • Or – When an expression is prefaced with this setting it requires the system to include information from either expression. The system must match the badge holders information to either expression A or B in order for that badgeholder to be included in the report

  • Not – When an expression is prefaced with this setting it requires the system to leave out any badgeholder that has information Not matching that of the expression that follows.

  • And Not – When an expression is prefaced with this setting it requires the system to leave out any badgeholder that has information matching that of the expression that follows. The system will try to match information from expression A and B. If it matches both, it will exclude the badgeholder from the report. If it only matches A the badgeholder will be included in the report

  • Or Not – When an expression is prefaced with this setting it requires the system to include information from either expression with one exception. If the system matches the badge holder’s information from expression A, it will not look to expression B. However, if the system matches no information from expression A, it will look for a match for expression B.

Fig. 235.6.26 -– The Logical Operation screen.

VERY IMPORTANT: You must click Accept to enter the expression into the Conditions box below.

Report Criteria

The Report Criteria allows the user to select how much information will be included when a report is run.

  • Minimal – When this option is selected the report will contain only the information that has been entered in the General portion of the Personnel screen. See the Personnel section for detailed Information

  • With Personal Data – When this option is selected the report will contain the Minimal data as well as any data that has been entered in the Personal portion of the Personnel screen. See the Personnel section for detailed information

  • All Data – When this option is selected the report will contain the Minimal and Personal data as well as all the information entered in the custom portion of the Personnel screen. See the System Settings and Personnel sections for detailed information.

Fig. 235.6.27– The Report Criteria options.

Report Title

The Report Title box allows the user to assign a custom Report Title. Enter the text you wish to use for the title of the report. The title can be as long or as short as necessary.

Fig. 235.6.28– The Report Title box.


Time Schedule Report

Time Schedules Report

VERY IMPORTANT TIPS:

  • The Report Printer must be selected and configured under System Settings>Workstation settings.

  • The Time Schedules Report can be exported from the Print Preview screen using the Export Report icon.

Launching the Time Schedules Report.

.

  • Click Time Schedules in the Report List.

Fig. 235.7.1. The Time Schedules Report menu selection.

The Time Schedules report is used to preview or create a hard copy of the time Schedules programmed into the CA4K software.

Create a Time Schedules Report

Fig. 235.7.2. The Time Schedules Report Screen. .

The Time Schedules report is used to preview all the configured Time Schedules.

  • Open Time Schedules Report – Open the Report screen by clicking Time Schedules in the Reports list as per the step above.

  • Report Title – Enter a Report Title for your report in the text box next to “Report Title”

  • Show Report Structure – Select this to display the column heading in the report.

  • Click Preview.

You have just created a basic Time Schedules report.

Time Schedules Report Screen Controls

A detailed explanation of the Time Schedules controls follows:

Report Title - The Report Title text box gives the user the ability to enter a custom name for a report

Fig 235.7.3. The Report Title Box.

Preview - The preview button gives the user the ability to preview the report before printing it. To preview the report, click on the Preview button.

Fig. 235.7.4. The Preview Report Sample output.

Print - The print button gives the user the ability to print the report to the currently selected Report printer. To print the report, click on the Print button.


Access Groups Report

VERY IMPORTANT TIPS:

  • The Report Printer must be selected and configured under System Settings>Workstation settings.

  • The Access Groups report can be exported from the Print Preview screen using the Export Report icon.

Launching the Access Groups Report.

.

  • Click Access Groups in the Report List.

Fig. 235.8.1. The Report Menu list.

Create a Basic Access Group Report

Fig. 235.8.2. The Access Groups Report screen.

The Access Group Report is used whenever it is necessary to review or print the readers and schedules associated with each Access Group.

  • Open Access Groups Report – Open the Report screen by clicking Access Groups in the Reports list as per the step above.

  • All Groups – Put a check in the Checkbox next to “All Groups”

  • Access Group Range – Leave the default setting of 1-thru 1000

  • Report Title – Enter a Report Title for your report in the text box next to “Report Title”

  • Show Report Structure – Select this to display the column heading in the report.

    • 24 Hour Format – Select this for a 24 hour clock notations.

  • Start New Page for each Access Group – Leave unchecked

  • Click Preview or Print – If you wish to preview your report before printing, click Preview. Otherwise, go right to Print

You have just created a basic Access Groups report for all groups.

Access Group Report Screen Controls

A detailed explanation of the Access Groups screen controls follows:

All Groups - This Checkbox gives the user the ability to include all Access Groups in the report.

Fig. 235.8.3. The All Groups selection.

Access Group - The Access Group drop down box gives the user the ability to select a single Access Group to report on. Clicking the down arrow in the “Access Group” drop down

box will give you a list of all Access Groups for your selection

Fig. 235.8.4. Access Group drop-down selection box.

· Acc Group Range - The Acc Group Range gives the user the ability to enter a range of Access Groups to report on. You enter the range by directly entering the value into

the text box or by using the arrows to select a value. The maximum Access Groups the system can have is 1000.

Fig. 235.8.5.The Access Group Range screen section

Report Title - The Report Title text box gives the user the ability to enter a custom name for a report

Fig 235.8.6. The Report Title Box Screen Section

Start New Page for Each Access Group - This Checkbox gives the user the ability to print a new page for each Access Group in the report. Placing a checkmark in the check box will enable this feature

Fig. 235.8.7. The Start New Page for Each Access Group Checkbox screen section

Preview - The preview button gives the user the ability to preview the report before printing it. To preview the report, click on the Preview button.

Fig. 235.8.8. The Preview Access Groups Report screen

Print - The print button gives the user the ability to print the report to the currently selected Report printer. To print the report, click on the Print button.


Holidays Report

Holidays Reports

VERY IMPORTANT TIPS:

  • The Report Printer must be selected and configured under System Settings>Workstation settings.

  • The Holidays Report can be exported from the Print Preview screen using the Export Report icon.

  • Since there can be multiple holiday calendars, you MUST configure the Holiday Calendar under Configuration>Panels.

Launching the Holidays Report.

.

  • Click Holidays in the Report List.

Fig. 235.9.1. The Holidays Report menu selection.

The Holidays report is used to preview or print a hard copy of the Holidays that were created in the Holidays screen, available from the Administration menu.

Create a Holidays Report

Fig. 235.9.2. The Holidays Report Screen. .

The Holidays report is used to preview all the configured Holidays. There are a total of five holiday calendars that can be configured.

  • Open Holidays Report – Open the Report screen by clicking Holidays in the Reports list as per the step above.

  • Report Title – Enter a Report Title for your report in the text box next to 'Report Title'.

  • Show Report Structure – Select this to display the column headings in the report.

  • Click Preview.

You have just created a basic Holidays report.

Holidays Report Screen Controls

A detailed explanation of the Holidays Report screen controls follows:

Report Title - The Report Title text box gives the user the ability to enter a custom name for a report

Fig 235.9.3. The Holidays Report Title Box.

Preview - The preview button gives the user the ability to preview the report before printing it. To preview the report, click on the Preview button.

Note: The sample report only has two holiday calendars configured. The Default and Teachers Calendars.

Fig. 235.9.4. The Holidays Report Sample output.

Print - The print button gives the user the ability to print the report to the currently selected Report printer. To print the report, click on the Print button.


InList Report

VERY IMPORTANT TIPS:

  • The Report Printer must be selected and configured under System Settings>Workstation settings.

  • The InList Report can be exported from the Print Preview screen using the Export Report icon.

Launching the InList Report.

.

  • Click InList in the Report List.

Fig. 235.10.1. The InList Report menu selection.

The InList (Badgeholders In) report is used whenever it is necessary to determine who is inside a building at a given time. The report will display the Name

of the Badgeholder and the exact Location and Time that the badgeholder entered. The report will also display the total number of badges at the bottom

of the screen. This report can be invaluable in an emergency situation. With a single click, the user can determine not only how many people need to be

evacuated from the facility but also who the people are.

Note: This report is known as the InList report as well as the Badgeholders In report.

Create a Basic InLIst (Badgeholders IN) Report.

The InList (Badgeholders In) report is used to display all personnel inside a building.

  • Open InList Report – Open the Report screen by clicking 'InList' in the Reports list as per the step above.

  • Select Filter – Provides the ability to filter the report for a particular Area. Leave at the default setting of 'ALL'.

  • User Field – Provides the ability to display user fields on the report output. Leave blank for our basic demonstration.

  • Report Title – Enter a Report Title for your report in the text box next to 'Report Title'

  • Show Report Structure – Select this to display the column headings in the report.

  • Auto Refresh - Select 'Auto Refresh' for the report to be updated automatically.

  • Click Preview.

You have just created a basic InList report.

Fig. 235.10.2. The InList Report screen.

InList Report Screen Controls

A detailed explanation of the InList screen follows:

Select Filter - This selection provides the ability to filter the report by an Area.

Fig. 235.10.3. The Select Filter selection.

User Field - This selection provides the ability to add a user defined field to the report.

Fig. 235.10.4. The User Fields selection.

Auto Refresh - This selection updates the report automatically.

Fig. 235.10.5. The Auto Refresh selection box.

Report Title - The Report Title text box gives the user the ability to enter a custom name for a report

Fig 235.10.6. The Report Title Box.

Preview - The preview button gives the user the ability to preview the report before printing it. To preview the report, click on the Preview button.

Print - The print button gives the user the ability to print the report to the currently selected Report printer. To print the report, click on the Print button.

Fig 235.10.7. The Preview/Print Toolbar.

Sample InList Report output

Fig 235.10.8. Sample InList (Badgeholders In) Report Output.


Time and Attendance Report

VERY IMPORTANT TIPS:

  • The Report Printer must be selected and configured under System Settings>Workstation settings.

  • The Time and Attendance report provides the ability to create a Template for the report and recall the template at a later date.

  • The Time and Attendance report can be exported from the Print Preview screen using the Export Report icon.

  • The CA4K Time and Attendance report is not a true Time and Attendance system. You must check with your AHJ to see if it meets local code.

Launching the Time and Attendance Report.

.

  • Click Time and Attendance in the Report List.

Fig. 235.11.1. The Time and Attendance menu selection screen.

The Time & Attendance report is used to create a report on the use of readers that have been configured as Time & Attendance readers or have been configured as Anti-Passback readers.

The Time & Attendance report scans the events database and searches for Time & Attendance or APB events that match your selected search option criteria.

If you intend to use the Time & Attendance report for tracking employee hours, please check your local government code for detailed information regarding Time and Attendance reporting requirements.

The CA4K is not a true Time and Attendance system and might not meet the local codes.

Create a Time and Attendance Report

Fig. 235.11.2. The Time and Attendance Report Screen. .

When the T&A Report screen opens, it gives you a choice of Readers to choose from. Select the Readers you wish to report on by putting a check in the Checkbox adjacent

to the appropriate reader.

Very Important: In order to run the report properly, at least one In and one Out Reader must be selected.

  • Open Time and Attendance Report – Open the Report screen by clicking Time and Attendance in the Reports list as per the step above.

  • Retrieve Template – If you choose to select a predefined template, select a template from the Retrieve Template list.

  • Select T&A Readers – Click the Checkbox adjacent to the Readers you wish to include in the Report.

  • Selection Criteria – Select a field to use as a criteria. Upon selecting a field, a Value box will display. Enter in the value for the field criteria.

· Time Span – Select the Period you wish to use along with the Start Day and End Day. A report can be run for the ‘Current’ or ‘Last’ week by clicking the button adjacent

to the time frame you wish to use. Otherwise click the button adjacent to the ‘Other’ selection to run a report fro a different period. Then enter a start date and end date by

clicking the calendar icon next to each window.

  • Report Title – Enter a Report Title for your report in the text box next to 'Report Title'.

  • Show Report Structure – Select this to display the column heading in the report.

· Click Preview or Print – If you wish to preview your report before printing, click the Preview button. Otherwise, click the Print button.

You have just created a basic T&A report with no filtering and the default Sort order.

Time and Attendance Report Screen Controls

A detailed explanation of the Time and Attendance screen controls follows:

Report Templates

This feature gives the user the ability to create custom Template names as well as recalling previously created Report Templates. This feature will save the user time

by automatically populating all the fields necessary when a Template is retrieved.

To create a Template the user must select all the information needed to be included in the Report as well as enter the Template Name in the New Template Name field.

To Save the Report, click the Save Template button.

Fig 235.11.3. The Template Delete and Save Buttons.

Reader Selection screen - This screen provides the ability to select the Time and Attendance readers you wish to report on. It also provides the option to include APB Readers in the list.

Fig 235.11.4. The Reader selection screen.

Selection Criteria - This screen provides the ability to select a Field to use as a criteria.

Fig 235.11.5. The Selection Criteria screen.

Time Span - This screen provides the ability to select a day for the Start of the Week and also a period (Current Week, Last Week or Other). The

'Other" selection provides the ability to enter a date range.

Fig 235.11.6. The Time Span screen.

Report Sort Oder - The Report Sort Order by Badge Number of Name.

Fig 235.11.7. The Report Sort Order.

Report Setup/Report Title - The Report Title text box gives the user the ability to enter a custom name for a report

Fig 235.11.8. The Report Title Box.

Database Setup/Use Alternate Database

The user has the ability to point the T&A report to an additional or Alternate database. This becomes useful when a backup database is stored on

another drive within the PC or on a network drive. To use this feature, the user must put a check in the 'Use Alternate Database' Checkbox.

Then the user must define the Server Name where the database is stored as well as the Name the Database was stored as. This will connect the

user to the database and retrieve the appropriate data.

Very Important: In the CA4K, the alternate database must contain both events and the associated configuration data such as panels, readers...

Fig 235.11.9. The Database Setup screen.

Preview - The preview button gives the user the ability to preview the report before printing it. To preview the report, click on the Preview button.

Print - The print button gives the user the ability to print the report to the currently selected Report printer. To print the report, click on the Print button.

Fig 235.11.10. The Preview/Print Toolbar.

The following report output is for the Time and Attendance Report.

Note: This sample report contains very limited data.

Fig. 235.11.11. The Time and Attendance Report Sample output.


Audit Trail Report

VERY IMPORTANT TIPS:

  • The Report Printer must be selected and configured under System Settings>Workstation settings.

  • The Audit Trail Report can be exported by clicking the export icon on the Print/Preview toolbar.

Launching the Audit Trail Report.

.

  • Click Audit Trail in the Report List.

Fig. 235.12.1. The Audit Trail Report screen.

The Audit Trail report is used to preview or create a hard copy print out of the Audit Trail Report.

Create a Audit Trail Report.

To create an Audit Trail report, do the following:

· Open the Audit Trail Report – Open the Audit Trail report screen by clicking Audit Trail s from the Report list as shown above.

  • Report Title – Type in a Report Title for the report.

  • Preview – If you wish to preview the report before printing, click the Preview button. The report will display on your monitor screen.

  • Print – Click the Print button to get a printed hard copy of the report

Fig. 235.12.2. The Audit Trail Report screen.

Audit Trail Report Screen Controls

A detailed explanation of the Audit Trail Report screen follows:

Report Setup - The Report Setup screen provides the user the ability to enter a Title for the report.

Fig 235.124.3. The Report Setup screen.

Database Setup - The Database Setup screen provides the user the ability to change to an alternate database to report on.

Fig 235.12.3. The Database Setup screen.

Preview - The Preview button gives the user the ability to preview the report before printing it. To preview the report, click on the Preview button.

Print - The Print button provides a hardcopy output of the report. To Print the report, click the Print button.

Fig 235.12.4. The Preview/Print toolbar.

Sample Audit Trail Report output

Fig 235.12.5. Sample Audit Trail Report Output.


Alert Response Report

VERY IMPORTANT TIPS:

  • The Report Printer must be selected and configured under System Settings>Workstation settings.

  • The Alert Response Report display all the pre-configured Alert Response text messages.

  • The Alert Response Report can be exported by clicking the export icon on the Print/Preview toolbar.

Launching the Alert Response Report.

.

  • Click Alert Response in the Report List.

Fig. 235.12.1. The Report Menu list.

Create a Basic Alert Response Report

Fig. 235.12.2. The Alert Response Report Screen. .

The Alert Response report is used to preview or all the Operator Alert Responses that have been attached to events.

  • Open Alert Response Report – Open the Report screen by clicking Alert Response in the Reports list as per the step above.

  • Report Title – Enter a Report Title for your report in the text box next to 'Report Title'.

  • Show Report Structure – Select this to display the column heading in the report.

You have just created a basic Alert Response report. .

Alert Response Report Screen Controls

A detailed explanation of the Alert Response screen controls follows:

Report Title - The Report Title text box gives the user the ability to enter a custom name for a report

Fig 235.12.3. The Report Title Box Screen Section

Preview - The preview button gives the user the ability to preview the report before printing it. To preview the report, click on the Preview button.

Fig. 235.12.47. The Preview Alert Response Report screen

Print - The print button gives the user the ability to print the report to the currently selected Report printer. To print the report, click on the Print button.


Facility Code Report

Facility Codes Report

VERY IMPORTANT TIPS:

  • The Report Printer must be selected and configured under System Settings>Workstation settings.

  • The Facility Codes Report can be exported by clicking the export icon on the Print/Preview toolbar.

Launching the Facility Codes Report.

.

  • Click Facility Codes in the Report List.

Fig. 235.13.1. The Facility Codes Report selection.

The Facility Codes report is used to preview or create a hard copy print out of the Facility Codes that you have created in the Facility Codes screen, available from the Administration menu.

Create a Basic Facility Code Report.

To create a Facility Code report, do the following:

· Open the Facility Code Report – Open the Facility Code report screen by clicking Facility Codes from the Report list as shown above.

  • Report Title – Type in a Report Title for the report.

  • Preview – If you wish to preview the report before printing, click the Preview button. The report will display on your monitor screen, listing all the Facility Codes programmed into your CA4K software

· Print – Click the Print button to get a printed hard copy of the report

Fig. 235.13.2. The Facility Codes Report screen.

Facility Code Report Screen Controls

A detailed explanation of the Facility Code Report screen controls follows:

Report Title - The Report Title text box gives the user the ability to enter a name for a report

Preview - The Preview button gives the user the ability to preview the report before printing it. To preview the report, click on the Preview button.

Print - The Print button provides a hardcopy output of the report. To Print the report, click the Print button.

Fig 235.14.3. The Preview/Print toolbar.

Sample Facility Code Report output

Fig 235.14.4. Sample Facility Code Report Output.


Operators Report

VERY IMPORTANT TIPS:

  • The Report Printer must be selected and configured under System Settings>Workstation settings.

  • The Operators Report can be exported by clicking the export icon on the Print Preview toolbar.

Launching the Operators Report.

.

  • Click Operators in the Report List.

Fig. 235.14.1. The Report Menu list.

The System Health report is used to monitor the status of the CA4K system. This report provides you with the option of checking one or many values in the CA4K system.

Create a Operator Report

To create a System Health Report, do the following:.

· Open the Operators Report – Open the Operators Report by clicking Operators in the Report menu.

  • Report Title – Type in a Report title.

  • Show Report Structure – Select to display report column headings.

  • Preview – Click the Preview button to Preview report.

· Print - Click the Print button to Print report

Fig. 235.14.2. The Operators Report screen.

Operator Report Screen Controls

A detailed explanation of the Operator Report screen controls follows:

Report Title - The Report Title text box gives the user the ability to enter a name for a report

Preview/Print - The preview button gives the user the ability to preview the report before printing it. To preview the report, click on the Preview button.

Fig 235.14.3. The Preview/Print toolbar.

Sample Operators Report output

Fig 235.14.4. Sample Operators Report Output.


System Health Report

VERY IMPORTANT TIPS:

  • The Report Printer must be selected and configured under System Settings>Workstation settings.

  • The System Health Report can be exported from the Print Preview screen using the Export Report icon.

Launching the System Health Report.

.

  • Click System Health in the Report List.

Fig. 235.15.1. The Report Menu list.

The System Health report is used to monitor the status of the CA4K system. This report provides you with the option of checking one or many values in the CA4K system.

Create a System Health Report

To create a System Health Report, do the following:.

· Open the System Health Report – Open the System Health Report by clicking System Health in the Report menu.

  • System Information selections – Select one or many of the System Information selections.

  • Access Detail Information – Select one or many of the Access Detail selections.

  • Report Title – Type in a Report title.

    • Show Report Structure – Select to display report column headings.

  • Preview – Click the Preview button to Preview report.

· Print - Click the Print button to Print report

Fig. 235.15.2. The System Health selections screen. .

System Health Report Screen Controls

A detailed explanation of the System Health screen controls follows:

Selection Checkboxes - The selections consist of System Information and Access Detail statistics. You can select one or many selections to report on.

Fig. 235.15.3. The Panels selection screen.

Date Range - Select Enable Data Range to specify a Date range to report on.

Report Title - The Report Title text box gives the user the ability to enter a name for the report

Fig 235.15.4. The Report Criteria/Title Box Screen Section

Preview/Print - The preview button gives the user the ability to preview the report before printing it. To preview the report, click on the Preview button.

Fig 235.15.5. The Report Criteria/Title Box Screen Section

Sample System Health Report output

Fig 235.15.6. The System Health Report Output.


Links Report

VERY IMPORTANT TIPS:

  • The Report Printer must be selected and configured under System Settings>Workstation settings.

  • The Links report can be exported from the Print Preview screen using the Export Report icon. to other file types.

Launching the Links Report.

.

  • Click Links in the Report List.

Fig. 235.16.1. The Report Menu list.

The Links report is used whenever it is necessary to preview or print a hard copy of the Links programmed into your CA4K software. This utility gives the user the ability to select

the panels you want to report on. Also it gives you the ability to report on a range of Link program numbers.

Create a Basic Link Report

To create a basic Link report, do the following.

NOTE: You must verify you have at least 1 panel programmed into the system with at least 1 link programmed into the panel. Perform the following steps to generate a basic link report.

· Open the Links Report – Open the Links report by clicking the Links in the Report menu.

  • Panels – Put a checkmark in the Checkbox “Panels”. If you put a check mark in Panels, but do not supply any additional criteria, the report will return the links that have been programmed for all panels. If you wish to narrow the search, you will add additional parameters in the Panels and Links sections as follows.

  • Start – Enter a value of 1 for the starting panel number.

  • End – Enter a value of 2 for the ending panel number.

  • Name – Leave the default, “no filter”.

  • Links– Put a checkmark into the Checkbox. ”Links”.

  • Start – Enter a value of 1.

  • End – Enter a value of 100.

  • Name – Leave the default, “no filter”.

  • Partition Group – Leave the default. .

  • Report Title – Enter “Links Report” into the Report Title textbox.

  • Preview – Click the Preview button to Preview report.

· Print - Click the Print button to Print report

Links Report Screen Controls

A detailed view of each of the controls on the Links report screen follows.

Create a Basic Link Report

Fig. 235.16.2. The Activity Link Report Screen. .

The Links Report is used to view all pre-configured Activity Links.

  • Open Activity Links Report – Open the Report screen by clicking Activity Links in the Reports list as per the step above.

  • All Panels – Select 'All Panels'

  • Event Type – Select 'All Events'

  • Report Title – Enter a Report Title for your report in the text box next to 'Report Title'

  • Show Report Structure – Select this to display the column heading in the report.

  • 24 Hour Format – Select this for a 24 hour clock notations.

  • Click Preview.

You have just created a basic Links report for all Panels.

Activity Links Report Screen Controls

A detailed explanation of the Activity Links screen controls follows:

Panels - This selection gives the user the ability to select a single panel or a group of panels. You can also select a Filter (panel) to report on.

Fig. 235.16.3. The Panels selection screen.

Links - This selection gives the user the ability to select a single Link or a group of Links. You can also select a Filter (link) to report on.

Fig. 235.16.4. Link number selection box.

Report Title - The Report Title text box gives the user the ability to enter a name for a report

Fig 235.16.5. The Report Criteria/Title Box Screen Section

Preview/Print - The preview button gives the user the ability to preview the report before printing it. To preview the report, click on the Preview button.

Fig 235.16.6. The Links Report Preview/Print toolbar. .

Sample Links Report output

Fig. 235.16.7. Sample Links Report Output


Activity Links Report

VERY IMPORTANT TIPS:

  • The Report Printer must be selected and configured under System Settings>Workstation settings.

  • The Activity Links report can be exported from the Print Preview screen using the Export Report icon. can be exported to other file types.

Launching the Activity Links Report.

.

  • Click Activity Links in the Report List.

Fig. 235.17.1. The Report Menu list.

Create a Basic Activity Link Report

Fig. 235.17.2. The Activity Link Report Screen. .

The Activity Links Report is used to view all pre-configured Activity Links.

  • Open Activity Links Report – Open the Report screen by clicking Activity Links in the Reports list as per the step above.

  • All Panels – Select 'All Panels'

  • Event Type – Select 'All Events'

  • Report Title – Enter a Report Title for your report in the text box next to 'Report Title'

  • Show Report Structure – Select this to display the column heading in the report.

  • 24 Hour Format – Select this for a 24 hour clock notations.

  • Click Preview.

You have just created a basic Activity Links report for all Panels.

Activity Links Report Screen Controls

A detailed explanation of the Activity Links screen controls follows:

All Panels - This options displays all the Activity Links for All Panels in the report.

Fig. 235.17.3. The All Panels selection.

Specific Panel - This option gives the user the ability to select a single Panel.

Fig. 235.17.4. Activity Links Report Panel selection box.

Event Type - The option give the user the ability to select a specific Event type.

Fig. 235.17.5.The Access Group Range screen section

Report Title - The Report Title text box gives the user the ability to enter a name for the report

Fig 235.17.6. The Report Title Box Screen Section

Preview - The preview button gives the user the ability to preview the report before printing it. To preview the report, click on the Preview button.

Fig. 235.17.7. A sample Activity Links Report.

Print - The print button gives the user the ability to print the report to the currently selected Report printer. To print the report, click on the Print button.


System Settings Report

VERY IMPORTANT TIPS:

  • The Report Printer must be selected and configured under System Settings>Workstation settings.

  • The System Settings Report can be exported from the Print Preview screen using the Export Report icon.

Launching the System Settings Report

.

  • Click System Settings in the Report List.

Fig. 235.18.1. The Report Menu list.

The System Settings report is used to preview or create a hard copy of the System Settings programmed into the CA4K software.

Create a basic System Settings Report.

To create a System Settings report, do the following:

  • Open the System Settings Report – Open the System Settings report screen by clicking 'System Settings' in the Report Menu list as per above.

Fig. 235.18.2. System Settings Preview/Print screen

  • Preview – Click the Preview button. A report will display listing all the System Settings programmed into your card access software. This information includes stations, badges, CCTV, Alert Sounds, Alerts, Archive information, Video Badging, Customized Personnel information and printer information.

  • Print – Click the Print button to get a hard copy of the report.

    • System Settings – This selection will provide a report containing all the selections in System Settings.

    • Lockout Settings – This selection will provide a report containing all the Lockout settings (Threat Levels).

    • Report Title – Enter a Report Title for your report in the text box next to “Report Title”

      • Show Report Structure – Select this option to display a description of all columns in the report.

The following screen is a sample output for the System Settings report.

Fig. 235.18.3. Sample System Settings Report..

The following screen is a sample output for the Lockout Settings report containing Threat Levels, Category Counters and Lockdown Areas. .

Fig. 235.18.4. The Lockdown Settings Report.

The following screen is the Print Preview toolbar that contains the Export Report icon.

Fig. 235.18.5. Print Preview Export icon.


Hardware Reports

Hardware Report

VERY IMPORTANT TIPS:

  • The Report Printer must be selected and configured under System Settings>Workstation settings.

  • The Hardware Report can be exported from the Print Preview screen using the Export Report icon.

Launching the Hardware Report.

.

  • Click Hardware in the Report List.

Fig. 235.19.1. The Report Menu list.

The Hardware report is used to create a listing of all the hardware that has been programmed into the various CA4K configuration screens. There are seven folder tabs in the Hardware report main screen. Each folder tab allows you to create a report on the following specific hardware types.

  • Panels - The 'Panels' tab allows you to create a report that lists the panels that have been created in the CA4K Panels screen

· Readers - The 'Readers' tab allows you to create a report that lists the doors that have been created in the CA4K Readers screen

· Inputs - The 'Inputs' tab allows you to create a report that lists the input definitions that have been created in the CA4K Inputs screen

· Relays - The 'Relays' tab allows you to create a report that lists the relay definitions that have been created in the CA4K Relays screen

  • Composite - A report that is run from the 'Composite' tab will produce a hard copy listing of all the hardware listed above (panels, readers, inputs, and relays)

  • Napco - A report that is run from the 'Napco' tab will produce a hard copy listing of all the Napco Panels.

  • Category Counters - A report that is run from the 'Category Counters' tab will produce a hard copy listing of all the configured Category Counters.

The hardware report can be very useful when you run it after creating a new CA4K system. After a new installation, you should get a hard copy listing of the hardware configuration and file it in a safe place. Should you need to rebuild the configuration at a later time, this hard copy hardware configuration report will provide re-configuration guidance. The hardware report can also be run after the completion of the programming of a new system, and can later be used as evidence in the event that someone who is unauthorized has changed the configuration and you need to prove that.

Create a Basic Hardware Report

To create a basic Hardware report, do the following:

· Open the Hardware Report - Open the Hardware report by double clicking Hardware in the reports list.

  • Report Title – The Panels tab will be highlighted by default. Click the Report title field and type in a title for your report if desired (not mandatory)

  • Select a Folder Tab - There are seven folder tabs to select from. Click the folder tab for the type of report you wish to run

  • Enter Filter Criteria - In each of the fields of the selected folder tab, enter filter criteria to narrow the report result. If no criteria are entered, the report will return all records found. See the help topic section specific to the folder tab that you have selected for more information on activating search filtering

  • Preview or Print – If you wish to review the report before printing, click the Preview button. If you wish to Print the report without previewing, click Print.

Fig. 235.19.2. The Hardware Report screen.

Hardware Report Panels Tab

Fig. 235.19.3. The Hardware Report Panels Tab

You can use the Hardware Report 'Panels' tab to created a printed listing of any or all of the panels that have been created in the CA4K 'Panels' configuration screen. The report will include information on which Com port the panels are connected to, and the setting of each control and field of each panel included in the report.

Panels Tab Controls

Panels Section - When you check the 'Panels' Checkbox, the Hardware Report utility allows you to select either a panel number range to search for, or a specific panel name to search for. The Hardware Report will then filter the report to include only those panels that you selected. See a specific explanation of each field below.

  • Panels Checkbox - When you select the 'Panels' Checkbox, you signal your intention to supply a range of panel numbers in the 'Start' and 'End' fields (mentioned below) or to supply a specific panel name to search for. By default, the Hardware Panels report will print the configuration details of all panels, unless you limit the result by providing a panel number range in the Start and End fields. When you select the Panels Checkbox and provide the panel number range, the report is filtered to include only those panels that you have selected. Click the Panels Checkbox to select the option to tell the Hardware Report which panels that you wish to view a report on. Checked is selected (and filtered), unchecked means that all panels will appear in the report

  • Start and End Fields - If you have clicked the 'Panels' Checkbox mentioned above, you are permitted to filter the Panels Report to include only those panel numbers that you select in the 'Start' and 'End' fields. Type in a start number and an end number to establish the end points of the report search. If you use the same number in the Start and End fields, the report will return only one panel.

The Start and End fields expect you to type in the panel number. The panel number of a given panel is found in the 'PnlNo' field of the CA4K Panels configuration screen

  • Selected Field - You will use the 'Selected' field if you have checked the Panels Checkbox mentioned above, and you wish to select a specific panel by name. Click the arrow to the right of the Selected field and click on your chosen panel name to selected it. The names of all panels that have been created in the Panels screen will be listed. Note that if you select a panel name, the report will return the results from one panel only

  • Com Port Field - Make a selection in the 'Com Port' field if you wish to limit the report results to only those panels that have the selected Com port assigned. In the case where you select a panel number range and other search criteria such as the Com Port field, the report engine will return only the panels that match all the selected criteria. If no selection is made in the Com Port field, all Com ports will be included in the report result

· Dial Up Node Field - Not supported in CA4K.

Below is a sample output for the Panels Report.

Fig. 235.19.4. Sample Panels Report output.

Hardware Report Readers Tab

Fig. 235.19.5.The Hardware Report Readers Tab

You can use the Hardware Report 'Readers' tab to created a printed listing of any or all of the readers that have been created in the CA4K 'Readers' configuration screen. The report will include information on which panel the readers are connected to, and the setting of each control and field of each reader included in the report.

Readers Tab Controls

Panels Section - When you check the 'Panels' Checkbox, the Hardware Report utility allows you to select either a panel number range to search for, or a specific panel name to search for. The Hardware Report will then filter the report to include readers from only those panels that you selected. See a specific explanation of each field below

  • Panels Checkbox - When you select the 'Panels' Checkbox, you signal your intention to supply a range of panel numbers in the 'Start' and 'End' fields (mentioned below) or to supply a specific panel name to search for. By default, the Hardware Panels report will print the configuration details of readers found on all panels, unless you limit the result by providing a panel number range in the Start and End fields. When you select the Panels Checkbox and provide the panel number range, the report is filtered to include readers that are configured on only those panels that you have selected. Click the Panels check box to select the option to tell the Hardware Report which panels that you wish to view a report on. Checked is selected (and filtered), unchecked means that all panels will appear in the report

  • Start and End Fields - If you have clicked the 'Panels' Checkbox mentioned above, you are permitted to filter the Panels Report to include only those readers that are connected to the panel numbers that you select in the 'Start' and 'End' fields. Type in a start number and an end number to establish the end points of the report search. If you use the same number in the Start and End fields, the report will return a listing of the readers on only one panel.

The Start and End fields expect you to type in the panel number. The panel number of a given panel is found in the 'PnlNo' field of the CA4K Panels configuration screen

  • Selected Field - You will use the 'Selected' field if you have checked the Panels Checkbox mentioned above and you wish to see a report on readers for one specific panel, by providing the panel name instead of the panel number. Click the arrow to the right of the Selected field and click on your chosen panel name to selected it. The names of all panels that have been created in the Panels screen will be listed. Note that if you select a panel name, the report will return the results from one panel only

Below is a sample output for the Readers Report.

Fig. 235.19.6 .Sample Readers Report output.

Hardware Report Inputs Tab

Fig. 235.19.7. The Hardware Report Inputs Tab

You can use the Hardware Report Inputs tab to created a printed listing of any or all of the inputs that have been created in the CA4K 'Inputs' configuration screen. The report will include information on which panels the inputs are connected to, and the setting of every control and field of each input included in the report.

Inputs Tab Controls

Panels Section - When you check the 'Panels' Checkbox, the Hardware Report utility allows you to select either a panel number range to search for, or a specific panel name to search for. The Hardware Report will then filter the report to include only those inputs that belong on the panels that you selected. See a specific explanation of each field below

  • Panels Checkbox - When you select the 'Panels' Checkbox, you signal your intention to supply a range of panel numbers in the 'Start' and 'End' fields (mentioned below) or to supply a specific panel name to search for. By default, the Hardware Panels report will print the input configuration details of all panels, unless you limit the result by providing a panel number range in the Start and End fields. When you select the Panels Checkbox and provide the panel number range, the report is filtered to include only those inputs that are activated on the panels that you have selected. Click the Panels Checkbox to select the option to tell the Hardware Report which panels that you wish to view a report on. Checked is selected (and filtered), unchecked means that all panels will appear in the report

  • Start and End Fields - If you have clicked the 'Panels' Checkbox mentioned above, you are permitted to filter the Panels Report to include only those inputs that belong to the panel numbers that you select in the 'Start' and 'End' fields. Type in a start number and an end number to establish the end points of the report search. If you use the same number in the Start and End fields, the report will return only one panel.

The Start and End fields expect you to type in the panel number. The panel number of a given panel is found in the 'PnlNo' field of the CA4K Panels configuration screen

  • Selected Field - You will use the 'Selected' field if you have checked the Panels Checkbox mentioned above, and you wish to select a specific panel by name. Click the arrow to the right of the Selected field and click on your chosen panel name to selected it. The names of all panels that have been created in the Panels screen will be listed. Note that if you select a panel name, the report will return the results from that one panel only

Below is a sample output for the Input Report.

Fig. 235.19.8. Sample Readers Report output.

Hardware Report Relays Tab

Fig. 235.19.9. The Hardware Report Relays Tab

You can use the Hardware Report 'Relays' tab to create a printed listing of any or all of the readers that have been created in the CA4K 'Relays' configuration screen. The report will include information on which panel the relays are connected to, and the setting of each control and field of the relay(s) included in the report.

Relays Tab Controls

  • Panels Section - When you check the 'Panels' Checkbox, the Hardware Report utility allows you to select either a panel number range to search for, or a specific panel name to search for. The Hardware Report will then filter the report to include only relays from those panels that you selected. See a specific explanation of each field below

  • Panels Checkbox - When you select the 'Panels' Checkbox, you signal your intention to supply a range of panel numbers in the 'Start' and 'End' fields (mentioned below) or to supply a specific panel name to search for. By default, the Hardware Panels report will print the relay configuration details of all panels, unless you limit the result by providing a panel number range in the Start and End fields. When you select the Panels Checkbox and provide the panel number range, the report is filtered to include only those panels that you have selected. Click the Panels Checkbox to select the option to tell the Hardware Report which panels that you wish to view a report on. Checked is selected (and filtered), unchecked means that all panels will appear in the report

  • Start and End Fields - If you have clicked the 'Panels' Checkbox mentioned above, you are permitted to filter the Panels Report to include relays from only those panel numbers that you select, in the 'Start' and 'End' fields. Type in a start number and an end number to establish the end points of the report search. If you use the same number in the Start and End fields, the report will return only one panel.

The Start and End fields expect you to type in the panel number. The panel number of a given panel is found in the 'PnlNo' field of the CA4K Panels configuration screen

  • Selected Field - You will use the 'Selected' field if you have checked the Panels Checkbox mentioned above, and you wish to select a specific panel by name. Click the arrow to the right of the Selected field and click on your chosen panel name to selected it. The names of all panels that have been created in the Panels screen will be listed. Note that if you select a panel name, the report will return the results from that one panel only

Below is a sample output for the Relay Report.

Fig. 235.19.10. Sample Relay Report output.

Hardware Report Composite Tab

Fig. 235.19.11. The Hardware Report Composite Tab

The 'Composite' report will return a report that includes a listing of all panels, readers, inputs and relays. This is a summary report, which includes all hardware mentioned in each of the other individual reports. The controls of the Composite tab are explained below.

Composite Tab Controls

Panels Section - When you check the 'Panels' Checkbox, the Hardware Report utility allows you to select either a panel number range to search for, or a specific panel name to search for. The Hardware Report will then filter the report to include hardware from only those panels that you selected. See a specific explanation of each field below

  • Panels Checkbox - When you select the 'Panels' Checkbox, you signal your intention to supply a range of panel numbers in the 'Start' and 'End' fields (mentioned below) or to supply a specific panel name to search for. By default, the Hardware Panels report will print the configuration details of all panels, unless you limit the result by providing a panel number range in the Start and End fields. When you select the Panels Checkbox and provide the panel number range, the report is filtered to include hardware from only those panels that you have selected. Click the Panels Checkbox to select the option to tell the Hardware Report which panels that you wish to view a report on. Checked is selected (and filtered), unchecked means that all panels will appear in the report

  • Start and End Fields - If you have clicked the 'Panels' Checkbox mentioned above, you are permitted to filter the Panels Report to include only those panel numbers that you select in the 'Start' and 'End' fields. Type in a start number and an end number to establish the end points of the report search. If you use the same number in the Start and End fields, the report will return only one panel.

The Start and End fields expect you to type in the panel number. The panel number of a given panel is found in the 'PnlNo' field of the CA4K Panels configuration screen

  • Selected Field - You will use the 'Selected' field if you have checked the Panels Checkbox mentioned above, and you wish to select a specific panel by name. Click the arrow to the right of the Selected field and click on your chosen panel name to selected it. The names of all panels that have been created in the Panels screen will be listed. Note that if you select a panel name, the report will return the results from one panel only

  • Com Port Field - Make a selection in the 'Com Port' field if you wish to limit the report results to only those panels that have the selected Com port assigned. In the case where you select a panel number range and other search criteria such as the Com Port field, the report engine will return only the panels that match all the selected criteria. If no selection is made in the Com Port field, all Com ports will be included in the report result

  • Dial Up Node Field - Dial Up is not supported in the CA4K.

Below is a sample output for the Composite Report.

Fig. 235.19.12. Sample Composite Report output.

Hardware Report Napco Tab

Fig. 235.19.13. The Hardware Report Napco Tab

NAPCO Tab Controls

Panel - This Panel drop-down box allows you to select a specific Napco panel to report on . If a Napco panel is not selected, the 'No Filter' selection will report on all configured Napco panels.

Fig. 235.19.14. Sample Napco Report output.

Hardware Report Category Counters Tab

Fig. 235.19.15. The Hardware Report Category Counters Tab

Category Counters Tab Controls

Note: One of more Category Counters must be configured under Configuration>Category Counters for this report to display information.

  • Panels Checkbox - When you select the 'Panels' Checkbox, you signal your intention to supply a range of panel numbers in the 'Start' and 'End' fields (mentioned below) or to supply a specific panel name to search for. By default, the Hardware Panels report will print the configuration details of all panels, unless you limit the result by providing a panel number range in the Start and End fields. When you select the Panels Checkbox and provide the panel number range, the report is filtered to include hardware from only those panels that you have selected. Click the Panels Checkbox to select the option to tell the Hardware Report which panels that you wish to view a report on. Checked is selected (and filtered), unchecked means that all panels will appear in the report

  • Start and End Fields - If you have clicked the 'Panels' Checkbox mentioned above, you are permitted to filter the Panels Report to include only those panel numbers that you select in the 'Start' and 'End' fields. Type in a start number and an end number to establish the end points of the report search. If you use the same number in the Start and End fields, the report will return only one panel.

The Start and End fields expect you to type in the panel number. The panel number of a given panel is found in the 'PnlNo' field of the CA4K Panels configuration screen

  • Selected Field - You will use the 'Selected' field if you have checked the Panels Checkbox mentioned above, and you wish to select a specific panel by name. Click the arrow to the right of the Selected field and click on your chosen panel name to selected it. The names of all panels that have been created in the Panels screen will be listed. Note that if you select a panel name, the report will return the results from one panel only

Fig. 235.19.16. Sample Category Counters Report output.


Import/Export Utility

MUST READ - VERY IMPORTANT NOTES:

  • The Import/Export Utility provides the ability to import badges from third party systems utilizing a delimited text file.

  • The Import text file MUST NOT CONTAIN ANY HEADERS OR FIELD DESCRIPTIONS. If you are saving an Excel file as a .CSV, you must first remove all headers and column names.

  • Prior to performing Imports, you MUST perform a BACKUP of the database you are importing into to.

  • Unlike the other Import utilities, the Import/Export utility uses column numbers to map to the fields in the Import text file.

  • Prior to importing many records (badges), create a comma delimited text file with only a couple of records (badges) in it and test it This will prevent a catastrophic error from occurring.

  • Prior to importing, you MUST PRE-CONFIGURE Facility Codes, Access Groups, Departments and Custom User fields in the CA4K.

  • This utility replaces the Import3000.exe utility in the CardAccess 3000 software.

  • The CA4K Import/Export utility is not a real-time utility. It must be manually executed every time.

  • The Import/Export Utility provides the ability to export Event data out of the CA4K.

Launching the Import/Export Utility.

The Import/Export utility provides the ability to import badges, batch load badges and export event records.

.

  • Click Import/Export Utility in the Report List.

Fig. 235.20.1. The Report Menu list.

The Import/Export utility has three selectable functions.

Import Badges – Personnel records can be created or updated by setting the Import/Export utility to import records from a delimited text file. This type of file
is typically used as a source file is a ‘comma separated value’ (.csv) file. The comma separated value file is an industry

standard text file organization scheme that is recognized by most file import capable database programs. However, the CA4K Import/Export

utility can also read files with field separators other than commas. Using another manufacturer’s program, you are free to create an import source file

that uses almost any typed symbol as a field separator. The symbol used in the source file is selectable in the Import/Export utility screen ‘Field Separator Char’

field on the ‘Import Badges’ folder tab.

Export Events – This tab contains controls which allow you to select the type of event messages you wish to export from the CA4K main database to a ‘character
separated file’ (again, you are allowed to select the separator character).

Batch Mode – The batch mode feature allows the user to create a batch of badges. Also, the user may set certain default Values to be inserted at time of
badge creation. Example: You just purchased one hundred new cards that have consecutive numbers from 1 to 100. Click the Batch Mode Checkbox. This will
activate this feature. Take note that the File Name folder icon is grayed out. In the Badge Range, enter 1 as the starting badge number and 100 as the ending badge
number. The Batch Mode requires the Last Name and First Name field to be specified in the Default Value Column. We want to have the cards enabled when they are
created, so we click the Checkbox next to Enabled. Click Execute. If you go to Personnel, there should be new badges inserted with the default first and last names
and card numbers of 1 to 100 and they should be Enabled. If you select the Send Badges To Panels, the badges you create will automatically be sent to panels. Warning: Selecting
this option is not recommended because you can accidentally delete valid badges in the panel. It would be recommended to download one panel at a time.

Fig. 235.20.2 – The Batch Mode Screen

Perform a Basic Badges Import from a File

Warning – The Import Export utility will import and overwrite existing fields in personnel with the data configured in the import file. Therefore, you must be sure that the Import file contains
approved changes or that the Import file contains badge numbers that do not currently exist in the database.

To create a basic badges import, do the following

  • Open the Import/Export Utility – Open the Import/Export utility by clicking the Import/Export Utility in the report list as per the figure above.

Import Badges – The Import Badges tab should be selected by default. If it is not, click the Import Badges tab.

Fig. 235.20.3. The General Tab.

Select File Name – Select the file name of the Import text file you wish to use for badge import. Click the Select File Name button. This will open a the File Explorer window. Navigate to the location

of the Import file and click the file name to select it. Click ‘Open’. The selected file name will appear in the File Name window.

Fig. 235.20.4. The Select File Name screen

Field Separator Char. – Select the Field Separator (delimiter) character that is being used in the Import text file. Click in the window adjacent to the Field Separator Char text. Enter the character by
hitting the appropriate character on your keyboard. The default character will be a comma.

Fig. 235.20.5. The Field Separator Character screen

Column – Enter a number in the Column field that corresponds with the position of the data field in your Import text file. Refer to the figure below. The example below is a typical comma separated value file with the column numbers indicated.

Note – The Import file you construct MUST contain the Badge number, Last Name and First Name field. In the Import file, you are telling the utility what CA4K Personnel screen field to store each field of the Import file by using numeric pointers (column numbers). By default, The Import uses the commas as markers to locate the individual fields and it uses the new line character at the end of each line to locate the end of each record.

Fig. 235.20.6. Sample Import file using 5 fields.

Execute Button – Click the Execute button to run the utility and import your the badges.

REMINDER - Prior to clicking Execute and importing many badges, create a sample Import text file with only a couple of records (badges) in it. Import these few badges
and verify the import was successful without any errors.

Fig. 235.20.7. The Execute Button

Import Export Utility Screen Controls

A detailed view of each of the Import badges and Export events utility screen controls follows

General Tab (Import Badges)

General Tab – The General tab contains the personnel fields that can be found on the general tab in personnel.

Fig. 235.20.8. The Import Badges General Tab screen

Field - The ‘Field’ column contains a descriptive name of the Personnel field.

Column – The ‘Column’ column is used in conjunction with the Import text file that we will be importing information from. To use this feature, click the column window adjacent to the field you wish to import and enter the column number that corresponds to that field’s placement in the text document. The figure below is a sample import file with the columns specified.

Default Value – The default value column is used to set a ‘global’ value for any or all features in the Personnel screen. In other words, once a value is entered in one of these fields, the value will hold true for all badges imported that contain a ‘Y’ in the appropriate column of the text file.

Example: If the user wishes to ‘Enable’ all the cards that are being imported then the user would create a column in the text document that would contain a ‘Y’. Then the user would place a check in the ‘Yes’ Checkbox adjacent to the ‘Enabled’ field and put the column number in column window.

Some of the default values can be enabled with a Checkbox while others require the user to select a value that has already been programmed in the personnel screen while still others allow you to enter custom text in the default value field. The section below will describe each feature in more detail.

Fig. 235.20.9. Comma separated Text Document sample with columns noted.

  • Facility – The facility field allows the user to select an existing facility code number that can be set during import. To use, select the code number (1-10) by clicking the up or down arrows adjacent to the facility default value window or by clicking in the same window and entering the value with the keyboard. Then click the column window and enter the column designation number for facility associated with your text document. When imported, this number will appear under the ‘Facility’ field in the Configuration>Personnel>General screen.

  • Badge Number – The badge number field allows the user to enter a custom badge number that can be set during import. To use, click the default value window adjacent to the badge number field. Enter the number you wish to use. Then click the column window and enter the column designation number for badge number associated with your text document. When imported, this number will appear under the ‘Badge Number’ field in the Configuration>Personnel>General screen

  • Last Name – The last name field allows the user to enter a custom last name that can be set during import. To use, click the default window adjacent to the last name field. Enter the text you wish to use. Then click the column window and enter the column designation number for last number associated with your text document. When imported, this text will appear under the ‘Last Name’ field in the Configuration>Personnel>General screen.

  • First Name – The first name field allows the user to enter a custom last name that can be set during import. To use, click the default window adjacent to the first name field. Enter the text you wish to use. Then click the column window and enter the column designation number for first name associated with your text document. When imported, this text will appear under the ‘First Name’ field in the Configuration>Personnel>General screen.

  • Middle Name – The first name field allows the user to enter a custom last name that can be set during import. To use, click the default window adjacent to the first name field. Enter the text you wish to use. Then click the column window and enter the column designation number for first name associated with your text document. When imported, this text will appear under the ‘First Name’ field in the Configuration>Personnel>General screen.

  • PIN – The pin field allows the user to enter a custom pin code that can be set during import. To use, click the default value window adjacent to the PIN field. Enter the number you wish to use. Then click the column window and enter the column designation number for the pin column associated with your text document.

  • Reissue Level – The issue level field allow the user to select an existing issue level that can be set during import. To use, select the level number (1-99) by clicking the up or down arrows adjacent to the issue level default value window or by clicking in the same window and entering the value with the keyboard. Then click the column window and enter the column designation number for issue level associated with your text document. When imported, this number will appear under the ‘Re-Issue’ field in the Configuration>Personnel>General screen.

Fields with checkboxes – The fields in the figure below allow the user to select a feature to activate during import. To use, place a check in the Checkbox adjacent to the feature you wish to activate. Then click the column window and enter the column designation number for that feature associated with your text document. When imported, a checkmark will appear next to activated feature in the Configuration-> Personnel-> General screen.

Fig. 235.20.10. Fields with Checkboxes.

  • Holiday Calendar – The Holiday Calendar selection allows you to select and assign a Holiday Calendar to the badge. This calendar is used for the holidays if they are specified in schedules.

  • Access Time – The access time field allows the user to select a custom access time (1-90) in seconds that can be set during import. To use, select the amount of time by clicking the up or down arrows adjacent to the access time default value window or by clicking in the same window and entering the value with the keyboard. Then click the column window and enter the column designation number for access time associated with your text document. When imported, this number will appear under the ‘Access Time’ field in the Personnel screen.

  • Badge Use Limit – The Badge Use Limit will count how many times a badge is used and when it reaches the set point, the badge will stop working.

  • Vehicle Tag – The Vehicle Tag selection marks the badge as a vehicle tag.

  • Supervisor – The Supervisor selection is a only a flag and does not affect permissions.

  • Activation Date Time – The Activation Date and Time field allows the user to select a custom date that can be set during import. To use, select the date by clicking the date icon [image]. This will display a calendar date selection screen. Click on the date you wish to use. The selected date will appear in either the Activation or Deactivation date field depending on which one you are working at the time. Then click the column window and enter the column designation number for activation or deactivation date associated with your text document. When imported, the Activation Date will appear in the ‘Activation Date’ field and the Deactivate Date will appear in the ‘Expiration Date’ field in the Configuration-> Personnel-> General screen.

  • Expiration Date Time – The Activation Date and Time field allows the user to select a custom date that can be set during import. To use, select the date by clicking the date icon [image]. This will display a calendar date selection screen. Click on the date you wish to use. The selected date will appear in either the Activation or Deactivation date field depending on which one you are working at the time. Then click the column window and enter the column designation number for activation or deactivation date associated with your text document. When imported, the Activation Date will appear in the ‘Activation Date’ field and the Deactivate Date will appear in the ‘Expiration Date’ field in the Configuration-> Personnel-> General screen.

  • Embossed ID – The Embossed ID number is the number printed on the credential.

  • Agency Code – The Agency Code is a number in a PIV badge to identify the Agency.

  • Cred Series – The Credential Series is a field in a PIV badge.

  • Pers/Org – The Org.

  • Org Category – The Org Category.

Access Groups Tab

  • Access Group 1 to Access Group 16 – The access group fields allow the user to select from a list, the access group they wish to assign to the badges that are imported. To use, click the arrow adjacent in the default value window next to the Access Group fields. A list of existing access groups will appear. Click on the access group you wish to use. The selected access group will appear highlighted in the access group window. Then click the column window and enter the column designation number for the Access groups associated with your text document. When imported, this selection will appear under the Access Group fields in the Configuration-> Personnel-> General screen.

Note: The Column and Default Value fields will only display for the number of Access Groups enabled in System Settings. For this demonstration, only 6 access groups are enabled in System Settings. You have the ability to increase the Access Groups up to 16.

Fig. 235.20.11. Access Groups Column and Default Value.

  • Access Group 1 to Access Group 16 Activation Date – The access group fields allow the user to select from a list, the access group they wish to assign to the badges that are imported. To use, click the arrow adjacent in the default value window next to the Access Group fields. A list of existing access groups will appear. Click on the access group you wish to use. The selected access group will appear highlighted in the access group window. Then click the column window and enter the column designation number for the Access groups associated with your text document. When imported, this selection will appear under the Access Group fields in the Configuration-> Personnel-> General screen.

Fig. 235.20.12. Activation Date Column and Default Value.

Access Group 1 to Access Group 16 Expiration Date – The access group fields allow the user to select from a list, the access group they wish to assign to the badges that are imported. To use, click the arrow adjacent in the default value window next to the Access Group fields. A list of existing access groups will appear. Click on the access group you wish to use. The selected access group will appear highlighted in the access group window. Then click the column window and enter the column designation number for the Access groups associated with your text document. When imported, this selection will appear under the Access Group fields in the Configuration-> Personnel-> General screen.

Fig. 235.20.13. Expiration Date Column and Default Value.

Control Tab

  • Control Tab Fields – The fields in the figure below allow the user to enter various control information that can be entered into the Badge record in Personnel.

Fig. 235.20.14. Control Tab Column and Default Value Fields.

Personal Tab

  • Personal Information Fields – The fields in the figure below allow the user to enter personal information that can be entered into the Badge record in Personnel.

Fig. 235.20.15. Personal Tab Column and Default Value Fields.

Custom Tab

  • User Fields – The Custom fields in the figure below allow the user to enter User Field information that can be entered into the Badge record in Personnel.

Note: The custom fields must be pre-configured in System Settings before these fields can be imported. Refer to the System Settings topic for detailed information.

Fig. 235.20.16. Custom Fields Column and Default Value.

Export Events Tab

  • Export Events Tab – The Export Events section of the Import/Export Utility allows the user to export events from the database to a text file. By using the filters contained on this screen, only those events that are crucial will be exported out of the CA4K software and into the text file. Once the text file is created it may be imported by other third-party software packages. For example, the text file may be imported into Microsoft Excel, which will allow the user to view the events in spreadsheet form.

Fig. 235.20.17. – The Export Events Screen

  •    Event Types – This Events Types feature group allows the user to filter the file by event type. By default, there are no items selected. In order for the export file to have any content you must check all items that you wish to include. There are two ways to accomplish this task.

1. Place a check in the ‘All’ Checkbox adjacent to each section header.. This will include all events for that section.

Example: If you put a check in the Checkbox adjacent to the ‘Doors’ field, the file will include all events listed below it. They include ‘Forced’, ‘Bypass’, ‘Free Access’, ‘Lock/Unlock’ and ‘Open Too Long’.

2. Check only those events needed under each section header in green.

Example: You may only need to include the forced and bypass events in the file. Therefore, just check the box next to “Forced’ and “Bypass’.

Fig. 235.20.18. – The Event Type Screen

  • Badge Events – The Badge Events feature group allows the user to filter the file by badge events. By default, there are no items selected. In order for the export file to have any content you must check all items that apply. There are two ways to accomplish this task.

1. Place a check in the Checkbox adjacent to ‘All Badge Events’. This will include all events listed under ‘Access Events’ and ‘Violations’.

2. Check only those events needed under each section labeled Access Events and Violations.

Fig. 235.20.19– The Badge Events Screen

  • Retrieval Dates – This feature allows the user to specify a date range for when the events occurred. When the dates are set, only the events that occurred within that time frame will be included in the file. The ‘Between Hours’ feature allows the user to specify, by time of day, what events to include in the file.

Example: We will use the dates that are set in the figure below as the example. If we set the hours of 8 to 17 (military time) than all those events that occurred between 12/9 and 12/16 from eight in the morning to five in the afternoon will be included in the file

Fig. 235.20.20– The Retrieval Dates Screen

  • Select Device – This selection allows you to filter on a specific device.

Fig. 235.20.21– The Select Device Screen

  • Sort Criteria – This feature allows the user to specify a custom sort order. By clicking the button next to the appropriate option the output file will be sorted by the selected criteria.

Fig. 235.20.22 – The Sort Order Screen

  • Output Fields – This feature allows the user to specify, by column, where the information will be located in the file. Example: If we use commas as the field separator for the output fields below the output file columns would be sorted like this:

Badge Number, Type, Description, Location/Name, Date

Fig. 235.20.23– The Retrieval Dates Screen

  • View Report – This feature allows the user to preview the file exactly as it will look when it is exported. This allows the user to verify the sort order and make sure all the information needed is included in the output file. Click the View Report button to review the report.

Fig. 235.20.24 – The View Report Button

  • Field Separator – This feature allows the user to specify the character that will be used to separate the information. Click the window adjacent to the field separator text. Enter the character you wish to use. Remember, no spaces or tabs. By default, a comma will be entered in this field.

Fig. 235.20.25– The Field Separator Screen

  • Select File Name – This field allows the user to assign a custom name to the output file also let the user choose the folder the file will be sent to. To use, click the folder icon adjacent to the file name field. A Windows browse window will appear. Select the folder you wish to use by browsing to it and clicking on it. Then enter the name you wish to use for the file in the File Name window of the Windows browser. Click the Open button. The selected path for the file should appear in the file name window.

Fig. 235.20.26– The File Name Field

  • Execute – After all of the fields needed are selected and a file name and path are created, click the Execute button to create the file.

Fig. 235.20.27 – The Execute Button

  • Database Setup – This screen allows you to select an Alternate Database to export events from.

Fig. 235.20.28 – The Database Setup screen.

  • Export Finished – The following screen should appear. The amount of records exported depends on the amount of events that matched your criteria.

Fig. 235.20.29 – The Export Finished Screen


Import Personnel Report

Import Personnel Utility

MUST READ - VERY IMPORTANT NOTES:

  • The Import Personnel Utility provides the ability to import badges from third party systems utilizing a delimited text file.

  • The Import text file MUST NOT CONTAIN ANY HEADERS OR FIELD DESCRIPTIONS. If you are saving an Excel file as a .CSV, you must first remove all headers and column names.

  • Prior to performing Imports, you MUST perform a BACKUP of the database you are importing into to.

  • Prior to importing many records (badges), create a comma delimited text file with only a couple of records (badges) in it and test it This will prevent a catastrophic error from occurring.

  • Prior to importing, you MUST PRE-CONFIGURE Facility Codes, Access Groups, Departments and Custom User fields in the CA4K.

  • The CA4K Import Personnel utility is not a real-time utility and must be manually executed every time.

  • There is a template for the 132 fields in the V1.1.x Import Personnel utility. Please refer to the Import Personnel template file in the CardAccess4K>Help or Reports folder.

  • The Import Personnel utility allows for a partial Import text file. For example, if you are only using fields 1-6, the Import text file only has to contain fields (1-6).

  • If you are not specifying data for a field, you must place consecutive Field Separators (delimiters) with no spaces in between them in the Import text file.

  • After the Import is complete, it is highly recommended to view the LOG FILE created in the REPORTS FOLDER.

  • After the Import is complete, a copy of the Import text file will be placed in the REPORTS FOLDER with a timestamp appended to it.

Import Personnel Overview – Personnel records can be created by using the Import Personnel utility on the Reports menu to import records from a text file. The delimiter (field separator) must be specified while selecting the Import text file. For example, a comma separated value file (.CSV) is an industry standard text file scheme that is recognized by most file import utilities. However, the CA4K Import Personnel utility can also read files with field separators (delimiters) other than commas. Using another manufacturer’s program, you are free to create an import text file that uses almost any typed symbol as a field separator. Another example would be a PIPE delimiter.

Launching the Import Personnel Utility.

  • Click Import Personnel Utility in the Report List.

Fig. 235.21.1. The Report Menu list.

Perform a Basic Badges Import from a Text File

  • Create and save .txt file with the badge’s information as described above. As a minimum, the first four fields (Badge, Facility, LName, FName) must be defined. All fields (even empty) must be separated by a delimiter. Any unused fields should contain consecutive delimiters with no spaces between them. The delimiter is not required at the start or end of the record. After the last field, you must press Enter to enter a newline (cr/lf)

  • Open the Import Personnel Utility – Open the Import Personnel utility by clicking Import Personnel in the Reports list as per the figure above.

  • Select the Partition where to Import Personnel data to.

Fig. 235.21.2. The Import Personnel Utility screen.

· Browse File – Select the Import text file you wish to use for badge import. Click the Browse File Name button. This will open a File Explorer window. Navigate to the location

of the file and click the file name to select it. Click ‘Open’. The selected file name will appear in the Browse File Name window.

Fig. 235.21.3. The Browse File Name screen

  • Field Separator Char. – Select the separator character (field delimiter) that is being used in the text file. Click in the window adjacent to the Field Separator Char text. Enter the character by hitting the appropriate character on your keyboard. The default character will be a comma.

Fig. 235.21.4. The Field Separator Character screen

  • Execute Button – Click the Execute button to run the utility and import the badges specified in the text file.

Fig. 235.21.5 The Execute Button

Upon Executing a successful Import, a message box will display the Total Badges Imported.

Fig. 235.21.6. Import Finished Log File in Reports folder.

Import Text File Notes:

  • The Import text file must contain at least the first four fields.

  • The Import Personnel utility imports up to 102 fields from a text file. You DO NOT have to specify all 102 fields in the Import text file. For example, if you are only using the first 10 fields, the Import text file can contain only the first 10 fields. If you have consecutive fields with no data in them, you must place consecutive field Separators (delimiters) without any spaces between them.

  • The last field does not require a delimiter, but you must use a new line character (cr/lf) at the end of the record.

  • CA4K Import Personnel Fields Syntax

    #

    Field

    Description

    Value/Format

    1

    Facility

    Facility Code

    0 to 10

    2

    Badge

    Badge Number

    Up to 19 digits integer value

    3

    LastName

    Last name

    Alphanumeric up to 50

    4

    FrstName

    First name

    Alphanumeric up to 50

    5-20

    AG1 to AG16

    Access Groups 1 to 16

    Integer value of Access group number

    21

    Pin

    PIN Code

    integer value 4 digit

    22

    Issue

    Re-Issue number

    Integer up to 99

    23

    Enabled

    Enable/Disable badge

    Boolean : 1 or 0

    24

    Track

    Badge is Track Mode

    Boolean : 1 or 0

    25

    Resident

    Stay on Panel

    Boolean : 1 or 0

    26

    InitLoad

    Initial download to panel

    Boolean : 1 or 0

    27

    Shunt

    Shunt by designated Reader

    Boolean : 1 or 0

    28

    Escort

    Badge is escorted

    Boolean : 1 or 0

    29

    APBSet

    APB Status

    integer value 0,1,2 or 3

    30

    AccessTime

    Access Time

    Integer value

    31

    VehicleTag

    Vehicle Tag number

    Boolean : 1 or 0

    32

    ActvDate

    Activation date/time

    dd/mm/yyyy hh AM/PM

    33

    ExprDate

    Deactivation date/time

    dd/mm/yyyy hh AM/PM

    34

    Grp

    Not Used

    Reserved

    35

    Embossed

    Embossed value

    Integer up to 9 digits

    36

    CompanyID

    Company ID

    integer value

    37

    DeptID

    Department ID

    integer value

    38

    Phone

    Phone Ext.

    Alphanumeric value

    39

    LocationID

    Location ID

    integer value

    40

    Vehicle

    Vehicle/Make

    Alphanumeric value

    41

    License

    License Plate number

    Alphanumeric value

    42

    Cont

    Not Used

    Reserved

    43

    ContPhone

    Phone Number

    Alphanumeric value

    44

    SSN

    Social security number

    Numeric value

    45

    ShuntId

    Alarm Shunt Group number

    Numeric value

    46

    SDate

    Hire date

    dd/mm/yyyy

    47-57

    Us1 – Us11

    User field values

    Alphanumeric

    58-73

    AG1Date - AG16Date

    Access Group activation date/time

    dd/mm/yyyy hh AM/PM

    74

    Gender

    Persona’s gender

    0-Unspecifed, 1-Male or 2-Female

    75

    DateofBirth

    Date of Birth

    dd/mm/yyyy

    76

    MiddleName

    Middle name

    Alphanumeric up to 50

    77

    APBArea

    Anti-pass back Area number

    Numeric value

    78

    HolidayCalendar

    Holiday Calendar number

    Numeric value

    79

    MApbExempt

    Excempt from APB area

    Boolean : 1 or 0

    80 -95

    Category1 - Category16

    Category value

    Numeric value

    96

    AgencyCode

    PIV Badge – Agency Code

    Numeric value 4 digit

    97

    Series

    PIV Badge - Series

    Numeric value 4 digit

    98

    PersPIVId

    PIV Badge – Person’s ID

    Numeric value 10 digit

    99

    SupervisorID

    Supervisor Identity

    Badge-Facility(Ex: 888-0)

    100

    OrgCategory

    PIV Badge – Organization Category

    Numeric value 0 to 9

    101

    OrgId

    PIV Badge - Organization ID

    Numeric value 4 digit

    102

    OrgAssoc

    PIV Badge - Organization Association

    Numeric value 0 to 9

    103

    SiteNo

    PIV Badge - Site No

    Numeric value

    104

    BadgeType

    Badge Type

    0-Normal Badge, 1-PIV Badge, 2-PIVI Badge

    105

    FirstInControl

    First In value

    Boolean : 1 or 0

    106-116

    UserFieldValue1 to UserFieldValue11

    User Field Value

    Alphanumeric up to 50

    117-132

    AGroupExpirationDate1 to AGroupExpirationDate16

    Access Group expiration

    date/time

    Format will be host/workstation PC format.

Syntax Notes:

ü Boolean fields, any fields accept values 1 or 0 also can take following parameters.

1 –"TRUE", "T", "YES", "Y", "1"

0 –"FALSE", "F", "NO", "N", "0"

ü Date Time Format

For US date time format mm/dd/yyyy hh AM/PM if other datetime will follow Computer format.

ü Partition/Grp

Partition Id is getting from dropdown Partition field.

ü BadgeType

If site no is greater than zero, set Badge as PIV.

PIVI badge type not supported.

ü Gender

0 –"UNSPECIFIED", "0"

1 –"MALE", "M", "1"

2 –"FEMALE", "F", "2"

AG Activation Date - valid format: mm/dd/yy or mm/dd/yyyy 12AM

ActDateTime/ ExpDateTime – valid format: mm/dd/yy AM/PM (ex -01/01/2019 12AM)

  • ImportPersonnel Template File - The Template file displays all the fields that can be in the Import file. This file can be found in the CardAccess4K>Help folder.

Delimiter: can be defined by the user, default is comma “,”.

Format:

Facility,Badge,LastName,FrstName,AG1,AG2,AG3,AG4,AG5,AG6,AG7,AG8,AG9,AG10,AG11,AG12,AG13,AG14,AG15,AG16,Pin, Issue, Enabled, Track, Resident, InitLoad,Shunt, Escort, APBSet,AccessTime,VehicleTag,ActvDate, ExprDate,Grp,Embossed,CompanyID, DeptID,Phone,LocationID,Vehicle,License,Cont,ContPhone,SSN,ShuntId,SDate,

Us1,Us2,Us3,Us4,Us5,Us6,Us7,Us8,Us9,Us10,Us11,AG1Date,AG2Date,AG3Date,AG4Date,AG5Date,AG6Date,AG7Date,AG8Date,AG9Date,AG10Date,AG11Date,AG12Date,AG13Date,

AG14Date,AG15Date,AG16Date,Gender,DateofBirth,MiddleName,APBArea,HolidayCalendar,MApbExempt,Category1,Category2,Category3,Category4,Category5,Category6,

Category7,Category8,Category9,Category10,Category11,Category12,Category13,Category14,Category15,Category16,AgencyCode,Series,PersPIVId, SupervisorID,

OrgCategory,OrgId,OrgAssoc,SiteNo,BadgeType,FirstInControl,UFV1,UFV2,UFV3,UFV4,UFV5,UFV6,UFV7,UFV8,UFV9,UFV10,UFV11,AG1ExpDate,AG2ExpDate,AG3ExpDate,

AG4ExpDate,AG5ExpDate,AG6ExpDate,AG7ExpDate,AG8ExpDate,AG9ExpDate,AG10ExpDate,AG11ExpDate,AG12ExpDate,AG13ExpDate,AG14ExpDate,AG15ExpDate,AG16ExpDate

Fig. 235.6.7. ImportPersonnel Template File.

Sample Full Import text File -

Fig. 235.21.8. Import Personnel Sample Import File.

Sample Partial Import text File - (File must contain the first four fields)

Fig. 235.21.9. Partial Import Personnel Sample File.

Sample Log File under the Reports folder.

Upon Executing a successful Import, refer to the log file generated in the Reports folder. The log file contains the template on the top and the import status on the bottom.

Fig. 235.21.10. Import Log File in Reports folder.


Import Photos

Import Photos Utility

MUST READ - VERY IMPORTANT NOTES:

  • The Import Photos utility provides the ability to Export, convert and Import photos.

  • While importing photos, the file name of the photo must be a specific syntax. Please refer to the notes below.

  • Always perform a BACKUP of your database prior to doing an Import of Photos.

Launching the Import Photos Utility.

The Import Photos utility provides the ability to import, convert and export photos.

.

  • Click Import Photos in the Report List.

Fig. 235.22.1. The Report Menu list.

Upon clicking Import Photos, the Photo utility will default to the Export Photos tab. .

Fig. 235.22.2. The Report Menu list.

Export Photos

Fig. 235.22.3. The Export Photos tab.

To export photos out of the CA4K database, perform the following steps:

Note: The live configuration database must contain photos attached to badges.

  • Open the Import Photos utility.

  • Select a Export From Date (optional). If selected, only photos imported on or after that date will be exported.

  • Change the Save Directory if you wish to. The default Save directory is C:\Program Files (x86)\CardAccess4K\Reports.

  • Select the Image Type to export to. The selections are .jpg, ,png, bmp and .pcx.

  • Select the Output File name designation. The options are Badge Number or Last, First Name.

  • Click Run to export the photos.

Convert Photos

Fig. 235.22.4. The Convert Photos screen.

To convert photos to a different resolution and quality setting, perform the following steps:

  • Open the Import Photos utility.

  • Click the Convert Photos tab.

  • Select a Image Save Quality. The default Image Save Quality setting is 25.

  • Select a Image Writer Res. The default Image Writer Res. is sAutoMatic.

  • Click Run.

Import Photos

Fig. 235.22.5. The Import Photos screen.

To Import photos into the CA4K database, the photos must be located in a specific folder and the name of the photo must be a specific format. The format is explained below.

Note: The photos being imported must use the Badge Last Name field concatenated with the last four digits of the Social Security number. The field storing the last 4 digits of the

Social Security number must be selected from the SSN Field drop down list.

  • Open the Import Photos utility.

  • Click the Import Photos tab.

  • Select the Source Directory where the photos are located.

  • Select a File Name Ext. The options are .jpg, .bmp and .png. This is the type of image that will be imported into the database.

  • Select the SSN Field name from the drop-down list. This is the field in the Personnel record where the social security number is stored.
    NOTE: Only the last 4 digits of the social security number is used for the photo name.

  • Click Run.


Web Interface (Web Client)

Web Interface (CA4K Web Client)

Previous Top Next

The CA4K Web Client has been greatly improved over the CardAccess 3000 Web Client. It provides almost all the functionality of a CA4K workstation, making it ideal for Remote hosted services.

Refer to the following pages for installation and configuration information, including an overview of the menus and screens.

VERY IMPORTANT: In addition to this CA4K help file, please refer to the CA4K Web Interface Installation Guide. Click Help>Documents on the CA4K main menu.


Configuring the Web Interface

Configuring the Web Interface (Web Client)

Previous Top Next

VERY IMPORTANT TIPS:

  • Prior to installing the CA4K Web Interface from the CA4K DVD, it is required to have Internet Information Systems (IIS) pre-installed.

  • Internet Information Systems (IIS) is a Windows feature.

  • Internet Information Systems (IIS) is a Web Server that is used to run Web Applications.

  • To use the Web Client requires a Workstation license much like a CA4K Workstation.

  • In the CA4K, the Web utilities is called Database Utilities. This utility is used to point to a different server and to create a new shortcut.

  • If you choose to use https (secure socket layer), it must be configured by the I.T. department at the customer location. Please refer to the Microsoft IIS documentation.

  • LDAP Single Sign-On is not supported on the Web Client.

Internet Information Systems (IIS) Installation (From within Windows)

Note: Internet Information Systems (IIS) is a Windows feature. Install Internet Information Systems (IIS) from within Windows under 'Programs and Features'.

As mentioned above, it is required to have Internet Information Systems (IIS) pre-installed prior to installing the CA4K Web Interface from the CA4K DVD. For more information on installing IIS, refer to the CA4K Web Installation and Configuration document. This document can be found by clicking Help>Documents on the CA4K main menu. It can also be found on the CA4K DVD in the Documentation folder.

Installing and configuring Internet Information Systems (IIS) Server

VERY IMPORTANT: The following screen may vary between different Operating Systems.

.
1) In Windows, open Control Panel from the Start Menu.

2) In the Control Panel, click Programs and Features.

3) Next, for Internet Information Services (IIS), click on the features that are checked on the following screen and then click the OK button.

Notes:

  • The Windows features select screen my vary on newer operating systems.

  • If you wish to install IIS Manager Tool, select IIS Management Console under Web Management Tools.

Very Important - The IIS settings will vary between different Operating Systems.

The settings below are for Windows 10 and Server 2012 IIS selections.

The settings below are for Server 2019 IIS selections.

CA4K Web Interface Installation (Using the CA4K Installation DVD)

Install the CardAccess 4K Web Interface from the CA4K DVD Main screen.

  • Click Install CardAccess 4K Web button.

Fig. 240.1. The CardAccess 4K Web shortcut.

Upon launching the CA4K Web Interface installation, the Setup Wizard is ready to begin the installation screen displays.

Note: If you want to install CA4KWeb report, checked Install Reports Checkbox otherwise uncheck it.

After the installation is complete, you should see the Installation Complete wizard.

  • Click Finish to finish the CA4KWeb Installation process.

Refer to the next page to Launch the CA4K Web Interface (Web Client).


Launching the Web Interface (Web Client)

To launch the CA4K Web Client, click the CardAccess 4K Web shortcut from desktop and the CA4KWeb login page will display. The login credentials for the CA4KWeb login page are the same as the CA4K login credentials.

Note: For additional information, refer to the CA4K Web Client User Guide in the Continental document library.

Fig. 240.2. The CardAccess 4K Web shortcut.

  • Login in with the CA4K default login credentials, Username = admin, Password = admin@4k.

Note: LDAP Single Sign-On is not supported on the Web Client.

Fig. 240.3. The CardAccess 4K Web Client Login screen.

Upon logging into the CA4K Web Client, the CA4K splash screen will display momentarily.

Fig. 240.4. The CardAccess 4K Splash Screen.

After the CA4K splash screen displays momentarily, the CA4K will open up to the Personnel screen.

Fig. 240.5. The CardAccess 4K Search Personnel screen. .

Note: The main toolbar of the CA4K Web client is very similar to the main toolbar in the CA4K GUI.

Fig. 240.6. The CardAccess 4K Web Client Main menu.

The Search Personnel screen menu selection can be found under Administration.

Fig. 240.7. The 'Administration' menu selections.

Fig. 240.8. The 'Manual Control' menu selections.

Fig. 240.9. The 'Configuration' menu selections. .

Fig. 240.10. The 'View' menu selections. .

Fig. 240.11. The 'Reports' menu selection.

The Logged In users screen will display all other users logged into the Web Client.

Fig. 240.12. The 'Logged In Users' screen.

The View menu selections provides you the ability to view Events and Pending Alerts or Status.

Fig. 240.13. The 'Events and Pending Alerts' menu selection.

The following screen displays the Events grid of the CA4K Web Client.

Fig. 240.14. The CA4K Live Events screen.

The following screen displays the Pending Alerts grid of the Web Client. The Pending Alerts toolbar has many of the same functions as the CA4K Pending Alerts GUI.

Fig. 240.15. The CA 4K Pending Alerts screen.

Fig. 240.16. The 'Status' screen menu selection.

The following screen displays the Status screen of the CA4K Web Client. The Panel Status selection is used in place of the Hostnt.exe communication driver screen in the CardAccess 3000. Most of the other selections function very similar to the CardAccess 3000 Status screen.

Fig. 240.17. The Device Status screen.


Wireless Locks

Trilogy and Architech Networx Wireless Locks

MUST READ - VERY IMPORTANT NOTES:

  • This feature must be enabled in system settings, under the Workstation tab. You MUST select Use Wireless Locks.

  • Refer to the Continental Video library for a series of videos on configuring Gateways, Expanders and locks.

  • Lock programming by key commands is not supported while using CA4K. All programming must be performed in the CA4k software.

Used with the Trilogy Networx™ series locks and keypads, the CA4K software allows you to upload

and download programming features wirelessly using a computer network. Use your computer to retrieve events,

download badges / time schedules / badge formats and program features into each wireless lock in the system.

The CA4K software is installed on a computer that is connected to a network (either a small Ethernet network or large

corporate LAN). Connected to this network is an intermediate device called a Gateway that communicates via a private

wireless signal to a radio located inside each door lock. If Expanders are used to increase the range, the Gateway

communicates with the Expander and the Expander communicates via a private wireless signal to a radio

located inside each door lock In this way, the software allows full programming and control of each lock in the system.

In this manual, the word lock refers to all Networx and Architech series door locks. To ensure each physical lock is identified

correctly by the CA4K software, the factory assigns each lock a unique Serial Number. After locks are installed on

the doors and the Gateways and Expanders are mounted, the Gateways search for new locks, allowing them to be

added into the system. If the distance between the lock and gateway exceeds the maximum distance, an Expander

can be used to extend the range.

Note: Stand-alone individual lock programming at the lock keypad is not supported; in other words, the door lock may

only be placed into operation by the use of the CA4K software.

The following is a list of steps required in the CA4K to add one Gateway, one Expander and one wireless door lock

into the CA4K system. The following topics will cover this. :

1. Discover and Add Gateway

2. Discover Expander (if used)

3. Discover and Add Lock


Gateway Configuration

Trilogy Networx™ Gateways

MUST READ - VERY IMPORTANT NOTES:

  • For Gateway, Expander and Wireless lock support in the CA4K, this feature must be enabled in System Settings, under the Workstation tab. You MUST select Use Wireless Locks.

  • There are 3 Generations (versions) of Gateways, Generation 1, Generation 2 and Generation 3 Gateways.

  • To use the new Generation 3 Gateways, you MUST install CA4K, Version 1.1.54 B162, Service Pack 2 or later.

In this topic, we will discuss the three generations of Trilogy Networx™ Gateways. The Generation 1 gateways will be covered briefly. The Generation 2 and Generation 3 Gateways, will be discussed in detail.

With the release of CA4K, Version 1.1.54 Service Pack 2, the Generation 3 Gateways were introduced. There are two models of Generation 3 gateways, and they are backwards compatible with Generation 1 and Generation gateways.

The Generation 2 and Generation 3 Gateways, provide support for Networx Expanders.

The New Generation 3 Gateway contains a local WIFI network, in addition to the same communication methods as the Generation 2 Gateways.


Supported Gateways

Generation 1

  • Gateway "Wired" AL-IME - Hard wired Gateway Interface Module, supports up to 63 Networx Locks, connects directly to a network using a standard RJ-45 Ethernet cable. Ceiling- or wall-mountable; powered with Class 2, 6VAC transformer (supplied).

  • Gateway "Wireless/Wired" AL-IM80211 - Hard wired/Wireless Gateway Interface Module. Supplied with its own Class 2 transformer to supply power; connection to a network is supported via either a wired connection (using a standard RJ-45 Ethernet cable) or a wireless connection (using a third antenna for 802.11 transmissions). Ensure adequate 802.11 coverage in the area where the "Wireless/Wired" Gateway is mounted. Supports up to 63 Networx Locks. Ceiling- or wall-mountable.

  • Gateway "Plenum Rated POE" AL-IMEPOEP - Hard wired Gateway Interface Module + POE (Power Over Ethernet), supports up to 63 Networx Locks, connects directly to a network using a standard RJ-45 Ethernet cable and POE. Ceiling- or wall-mountable. Added enclosure protections and installation hardware for mounting above "drop-ceiling" tiles or other locations subject to air pressure changes (HVAC air-filled spaces, etc.).

Generation 2

The "version 2" Gateways (for example, model AL-IME2 includes a "2" in the model name) are the next generation

of Networx Gateways. The "version 2" models are virtually the same as the original "version 1" Gateways, but have the added

ability to expand your system with up to 7 Expanders (model AL-IME2-EXP Expanders). " Gateways have a different enclosure design.

Note: "version 2" series Gateways CAN be mixed into an existing system that includes Gen 1 and Gen 3 Gateways.

  • Gateway "Wired" AL-IME2 - Hard wired Gateway Interface Module, supports up to 63 Networx Locks, connects directly to a network using a standard RJ-45 Ethernet cable. Ceiling- or wall-mountable; powered with Class 2, 6VAC transformer (supplied). Allows use of an Expander.

  • Gateway "Wireless/Wired" AL-IM2-80211 - Hard wired/Wireless Gateway Interface Module. Supplied with its own Class 2 transformer to supply power; connection to a network is supported via either a wired connection (using a standard RJ-45 Ethernet cable) or a wireless connection (using a third antenna for 802.11 transmissions). Ensure adequate 802.11 coverage in the area where the "Wireless/Wired" Gateway is mounted. Supports up to 63 Networx Locks. Ceiling- or wall-mountable. Allows use of Expander.

  • Gateway "POE" AL-IME2-POE - Hard wired Gateway Interface Module + POE (Power Over Ethernet), supports up to 63 Networx Locks, connects directly to a network using a standard RJ-45 Ethernet cable and POE. Ceiling- or wall-mountable. Allows use of an Expander. No AC Power required.

Generation 3

The "version 3" Gateways (for example, model AL-IME3 includes a "3" in the model name) are the next generation of Networx Gateways. There are two models of the "version 3" gateways. Much like the "version 2 models", the "version 3" models also have the added ability to expand your system with up to 7 Expanders (model AL-IME2-EXP Expanders). The "version 3" Gateways include a local wireless network, whereby the Gateway can be detected by almost any wireless device (such as a smartphone) and can be configured for any wireless network using a web browser to pre-configure the Gateway with your customer's Wi-Fi network settings from virtually any location.

Note: "Gen 3" series Gateways CAN be mixed into an existing system that includes Gen 1 and Gen 2 Gateways.

  • AL-IM3-80211 - This Gateway model has three different methods of communications, within the Trilogy Networx™ wireless system. All three methods require connection to an AC outlet, to power the 6VAC power adapter. The first method of communications is hardwire Ethernet. The second method of communication supported is Wireless 802.11. The programming for this method (Wireless 802.11), requires that you initially connect via hardwire Ethernet, prior to switching the settings over to wireless. Upon changing and saving the settings, you can remove the hardwire Ethernet cable to communicate wirelessly. The third and new method of communication is using the local Gateway Wireless network (WIFI hotspot).

  • AL-IME3-POE - This is a "Power Over Ethernet" Gateway device. This Gateway model has the same 3 communication methods as the AL-IM3-80211. The first method of communications is hardwire PoE Ethernet. The second method of communications supported is Wireless 802.11. The programming for this method (Wireless 802.11), requires that you initially connect via hardwire PoE Ethernet, prior to switching the settings over to wireless. Upon changing and saving the settings, the hardwire PoE Ethernet cable will only be used for power. The third and new method of communication is using the local Gateway Wireless network (WIFI hotspot). All three methods require using a RJ-45 PoE Ethernet network cable to power up the Gateway.


Gateway Installation

MUST READ - VERY IMPORTANT NOTES:

  • For Gateway, Expander and Wireless lock support in CA4K, this feature must be enabled in System settings, under the Workstation tab. You MUST select Use Wireless Locks.

  • To use the new Generation 3 Gateways, you must install CA4K, Version 1.1.54 B162, Service Pack 2 or later.

  • By default, a new Gateway will contain Alarm Lock firmware. Once the Gateway is discovered and added in to the CA4K software, Continental firmware will automatically be downloaded to the Gateway.

  • The IP address in a gateway must never change. It is recommended to program in a static IP Address into the Gateway, after the Gateway is discovered and added in to the CA4K.

  • Changing the network settings and programming in a static IP address, must be performed on the local subnet.

  • All Gateways will include a blue information card. It is very important to fill in the information with the Mac Address and the Location, and keep it in a safe location.

Very Important: The steps to program the Generation 2 and Generation 3 Gateways are identical, except for programming the new local Gateway Wireless network (Wifi Hotspot) on the Generation 3 gateways. Unless noted differently, the information below applies to both Generation 2 and Generation 3 Gateways. The steps to program the new local Gateway Wireless network (Wifi Hotspot) on the Gen 3 gateways, will be noted separately.

Installation Overview

Gateway ID Card

We recommend that when installing the Gateway, a blue-colored "Gateway ID Card" be completed. Since Gateways are often installed in ceilings or other hidden locations, their physical locations may be easily forgotten.

GATEWAY LOCATION GUIDELINES

Before selecting a final mounting location for your Gateway, the following must be taken into consideration:

  • Gateways should be located within 175 feet (radially) from the intended wireless lock locations

  • Open areas will increase range while concrete building construction, walls, ceilings and narrow corridors will decrease range

  • ArchiTech series locks generally have shorter range to/from a Gateway

  • Generally, the Gateway should be within approximately 75 feet (radially) from an AL-IME2-EXP Expander

  • Select a location that allows access to an RJ-45 network Ethernet cable connection

  • Gateways should be mounted in elevated areas; however mounting in a drop ceiling can adversely affect signal strength

  • Preferred mounting position = 6 to 12" below standard 8-9 foot ceiling

  • Gateways must be mounted vertically; horizontal "flat" mounting should be specifically avoided

  • Although wood and wallboard construction can have little effect upon signal strength, concrete or brick can reduce signal strength by up to 35%. Steel reinforced

concrete or metal lath and plaster can reduce signal strength as much as 90%.

  • Do NOT mount close to electrical wiring or other metal obstructions such as pipes or conduits

  • Installing in computer closets or server rooms can negatively impact signal strength

  • It is recommended to install at least one Gateway on each floor of a multi-floor building.

Helpful Tips

  • In difficult installations wherein signal problems exist, the use of (multiple) AL-IME2-EXP Expanders throughout the premises is recommended. ALIME2-

EXP Expanders extend the coverage area of version 2 and version 3 Gateways, allowing control of up to its rated maximum of 63 locks. Up to 7 Expanders can be added to one version 2 or version 3 Gateway.

  • We recommend obtaining or creating a layout of your intended system identifying all proposed installation locations, also noting building construction materials to assist in determining optimal Gateway installation locations

IMPORTANT: If you plan to use AL-IME2-EXP Expanders with your Gateway, be sure to read the "EXPANDER GROUP DIALS" section under Expanders

before powering your Gateway. The above guidelines and tips should be followed for each additional Gateway added to the system.

MOUNTING INSTRUCTIONS

The version 2 and version 3 gateways rear housing must be mounted "up" as shown on the template; i.e. when the front housing is attached, its engraved Networx logo must

be located at the lower right with the front housing positioned "up" in a conventional manner (the unit contains internal antennas that must be positioned vertically).

IMPORTANT: Horizontal "flat" mounting of the enclosure is to be specifically avoided.

Mount as follows:

1. Insert a small flat-head screwdriver into the slots at the bottom and twist while applying inward pressure.

Fig. 245.1 Slot to open Gateway.

CAUTION -To separate rear housing from cover (Inset: Insert flat-head screwdriver closer to the edges of the unit)

Using the rear housing as a mounting template, secure the unit to a wall or other flat surface using the hardware provided (see template).

The rear housing includes two mounting holes for single-gang (A) and four mounting holes for double-gang (B) electrical utility boxes,

as well as four all-purpose holes (C) for mounting to drywall or other surfaces.

important preliminary information (prior to ConnectING to a Network)

The AL-IM3-80211 and the AL-IM3-POE Gateways can be used wired or wirelessly. However, "out of the box", the Gateway is configured for a wired connection only.

IMPORTANT: Gateways can ONLY be Discovered by CA4K when the PC running CA4K is on the same subnet as the Gateway. Refer to Subnet section for more information.

Connecting to a Network

Connect the RJ-45 Ethernet cable to the network, and apply power via the class 2 - 6VAC transformer. If the Gateway supports PoE, power is provided through the RJ-45 PoE Ethernet cable. Upon connection,

the Gateway automatically begins searching for a valid IP address from the network.

Static IP Addresses

VERY IMPORTANT: It is recommended to use static IP addresses for each Gateway. The IP address of the Gateway is programmed in the CA4K software, and it must not change in the Gateway.

● Static IP addresses allow operation across subnets in large corporate networks (such as those that exist between buildings)

Contact the Network Administrator

If you know the Gateway will be installed on a large corporate network that includes multiple subnets, we recommend you start by contacting the corporate network

administrator and request the following:

● IP Address - A static IP address for each Networx Gateway device.

● Subnet Mask - Filtering data ("mask bits") as required by the aforementioned IP address

● Default Gateway - The address of the physical device, such as a router, for the local subnet to which CA4K will be connected.

Subnets

To improve security and processing performance, corporate networks are often divided into interconnected but separate "subnet" segments. The network administrator

may decide to use routing tables or may specify blocks of addresses through which the two subnets can freely communicate in both directions. However,

if the two subnets cannot freely communicate as in the illustration below, in order to communicate to the Gateway across the subnet, follow the steps below:

  • Connect the Gateway to the local network (CA4K computer on same subnet); Gateway receives valid IP address

  • Using CA4K, Discover and add the Gateway in to the CA4K

  • Configure Gateway with the static IP address information of the subnet you plan to communicate with (the System Administrator can provide this).

  • Disconnect from the local network - remove power from the Gateway (Gateway will retain static IP information)

  • Re-connect / re-apply power in the desired location/subnet.

EXPANDER GROUP DIALS

Inside the version 2 and version 3 Gateways are 2 rotary dials These dials are used to set the Expander Group address, when you wish to add AL-IME2-EXP Expanders in

your system (all AL-IME2-EXP Expanders include an identical set of dials). Therefore, the dial values set on your Gateway MUST then match the dial values set on

your AL-IME2-EXP Expanders.

VERY IMPORTANT: If you are not using Expanders, leave the addresses of all Gateways at 00. If you add in an Expander at a later date, you must go back to the

Gateway and configure the address to match the Expander addresses. You can have a maximum of 7 Expanders per Gateway. The Expander Group dial setting

determines which Expanders are associated with a specific Gateway, thus preventing Gateways from discovering unintended Expanders.

Fig. 245.2 Generation 2 Gateway Group Address Switches. .

Expander Group values of "00" through "99" are valid selections. Reminder, if you are not using any Expanders, leave the address switches at 00 in the Gateways.

IMPORTANT: The small selection arrow on each dial must be pointing directly to the desired Group value. In the figure below, the Group value is set to "50".

Use a small flat-head screwdriver to turn the dials and make the selections. Be sure to orient the Gateway as shown above with the RESET button ABOVE the

dials to ensure proper Group setting!

Fig. 245.3 Group Address Switches. .

Gateway Resets

There are two types of Gateway Resets:

Factory Reset: Clears Gateway memory, user data and configuration data (such as static IP information), thus returning the unit to its original factory settings.

Press and hold the RESET button, the Red LED turns on solid; keep holding until the Yellow LED also turns on solid. Release the button; the Yellow LED will remain

on solid, and the Green LED will start to flicker rapidly, indicating a full factory reset.

Normal Reset: Clears Gateway memory and user data allowing for re-discovery by CA4K software. Press and hold the RESET button until the Red LED turns on

solid, then release the button and the Green LED will start to flicker rapidly.

First power Up: gateway factory reset

IMPORTANT: Before selecting one of the 3 network connection methods explained in the next topic, ALWAYS reset the Gateway, even if it is new "out of the box" and/or has never been used previously. This reset procedure clears the Gateway memory, user data and configuration data (such as static IP information). You can also reset the Gateway any time after the Gateway is powered.

Read and understand the following steps before performing them:

1. Remove the Gateway front housing cover. Take note of the RESET button.

2. Wait until the green LED starts blinking, then press and hold RESET button until the Red LED turns on solid; keep holding until the Yellow LED also turns on solid, then release the RESET button.

3. Both the Yellow and Red LEDs will remain on solid for 2 minutes.

4. The Red LED will turn off, the Yellow LED will remain on solid and the Green LED will start to flash rapidly.

5. You are now ready to configure your Gateway. Select one of the three network connection methods in the next topic:

CLOSE HOUSING COVER

Close the housing cover by first engaging the hooks at the top, then snapping the bottom together. Secure the cover with the Bottom Screw provided as shown in the Figure below.

Fig. 245.4 Housing Cover Bottom screw.


Discover and Add Gateway

Discover and Add Gateway and Locks

At this point, the CA4K software should be configured and all badges should be working. Remove the Trilogy Networx wireless door lock from its factory packaging, and power the lock as per the specific startup instructions included with the lock (the wireless lock can be physically installed on the door or left uninstalled while powered and configured). The Gateway should be installed at its final location and powered as per the previous topic.

Note: Generally, CA4K "up and running" means the software is fully and successfully installed, the CA4K license is registered and activated, the installation computer restarted and a new password entered and accepted.

The following is a list of general steps required in CA4K to add one Gateway, one Expander and one wireless door lock into the CA4K system:

Reminder: Gen 1 Gateways do not support using Expanders.

1. Discover and Add Gateway

2. Discover Expander (if used)

3. Discover and Add Lock

The numbered steps above correspond with the detailed procedures that follows.

Enable Wireless Lock Feature

Prior to Discovering and Adding Wireless Locks into the CA4K system, you must enable Wireless Locks in System Settings.

  • On the CA4K main toolbar, click System>System Settings.

Fig. 245.5 System Settings menu selection.

  • Click Workstation Settings tab.

  • Select Use Wireless Locks check box.

Fig. 245.6 Use Wireless Locks selection.

  • Click Save.

  • Click Close.

The following steps are for a Gen 1, Gen 2 or Gen 3 Wired Gateway

Discover Gateways

  • On the CA4K main toolbar, click Configuration>Wireless Lock Configuration. The Wireless Lock Configuration screen opens as per the figure below.

Fig. 245.7 Wireless Lock Configuration screen.

Note: By default, the Wireless Lock Configuration screen is divided into two parts. The top half of the screen is for Gateways and Expanders, and the bottom half of the screen, is for Locks.

  • In the Wireless Lock Configuration screen, click the Discover Gateways button. The Search/Discover Gateways screen opens. Ensure the IP Address field displays the IP Address of the local network you want to search. The IP Address field is also pull-down list, displaying multiple networks to which your computer is connected, if available. Click the Search button to start the Gateway search.

  • The CA4K software searches the network for all available Gateway modules not yet "configured" (enrolled into a CA4K system). While the search is in progress, a progress bar will display while searching for Gateways.

  • At the bottom of the Search /Discover Gateways screen, the Gateways found status bar displays the number of Gateways detected and current percentage progress of the search.

  • Wait for the status bar to reach and hold at 100% before proceeding (time to reach 100% depends on the network speed) . If no Gateways are found, a small popup appears indicating No Gateways Found. (If this occurs, perform another reset on the Gateway and verify that the Gateway is powered and connected to the network, and try again).

All Gateway modules found are listed, and each Gateway module appears listed with the following data columns:

    • MAC Address - Unique "Media Access Control" number assigned at the factory.

    • IP Address - Assigned by DHCP or configured as a static IP to the Gateway module.

    • Firmware Version - Internal firmware release identification. Note: Gateway modules are shipped from the factory with Alarm Lock firmware pre-installed, for use within the Alarm Lock Networx system. Therefore this column displays the Alarm Lock Gateway firmware. When the Gateway firmware is automatically updated with Continental CA4K compatible firmware (in the steps below), the Firmware Version will reflect Continental firmware.

● Gateway Status - Condition at the time the Gateway was discovered.

Fig. 245.8 Search Gateway screen.

  • Make note of the new Gateway's unique MAC address located on a square sticker inside the Gateway enclosure (or use the blue Gateway ID Card). The Gateway MAC address has 12 digits, grouped in 6 pairs separated by dashes. Compare the MAC Address listed on the screen to the MAC Address on the sticker to ensure the Gateway you wish to add to the CA4K system was in fact discovered by the software.

  • When the Gateway you wish to add is found in the list, click the Gateway to highlight it. Notice the Com Port # field at the upper right. Each Gateway added to CA4K is automatically assigned a COM port, with the first Gateway added to the system assigned to COM port #1 by default. Therefore, the Com Port # field displays #1 or the next available COM port. Click to highlight the Gateway and verify the COM port number displayed in the Com Port # field.

  • Click the Add Gateways button as per the figure below (or just double-click the Gateway).

Fig. 245.9 Add Gateway screen.

  • If installing a Gateway for the first time, the Gateway Password popup screen displays.

This popup appears because there must be a way for CA4K to differentiate between separate wireless installations. For example, if a large office building has one company on the 15th floor and another company on the 16th floor, radio signals can overlap from these two separate installations. How does CA4K prevent this confusion between wireless signals? The answer is to require a unique "Gateway Password" for each Gateway, and to embed that password within the radio transmissions to the locks.

Important: Do NOT share passwords between Gateways, otherwise the radio signals can become intermixed! Be sure you record--in writing--all installation passwords in a safe location; once set, passwords are NOT retrievable from CA4K.

  • In the Gateway Password popup, type a Gateway password exactly 6 characters (no more--no less) in length, then click OK to close this popup.

    Note: For our demonstration, enter 123456 for the password.

Fig. 245.10 Gateway Password screen.

During the download process, the splash screen briefly reads Adding Gateway...please wait..., then reads "Downloading Firmware...please wait..... When the download is finished, the status bar displays

Gateway was added successfully.

Fig. 245.10a Downloading Firmware screen.

Fig. 245.11 Gateway was added Successfully screen.

If no other Gateways need to be added, close the Search/Discover Gateways screen by clicking the Close button.

  • Click the Assigned Gateways tab. The configured Gateways enrolled into the CA4K system are now listed in the Assigned Gateways screen.

Fig. 245.12 Assigned Gateways screen.

Each configured Gateway module appears listed with the following data columns:

● Workstation - Workstation number/Name that the Gateway is connected to.

  • COM Port - COM Port number assigned to the Gateway.

  • MAC Address - Unique "Media Access Control" number assigned at the factory.

● IP Address - IP address Assigned by DHCP to the Gateway module.

● Firmware version - Displays the current firmware version in the Gateway.

● Status - Indicates the condition of the Gateway module the last time its status was retrieved.

● Lock Count - Displays the amount of locks connected to the selected gateway.

  • RF Channel - The RF Channel is used for communications. The RF channels are created when you add a Gateway to the system. It starts with channel 49 and decreases by 5 for every gateway. Once it has counted down, it will start over with 48 and continue to decrease by 5 and so on. If you have multiple wireless lock servers, you can have two of the same RF channel assignments. The software will only communicate to one RF channel at a time, so there should not be any conflict.

● Expander Count - Displays the amount of Expanders connected to the selected Gateway.

● Group No. - Displays the Group number for the Generation Two and Generation Three Gateway and Expanders. For our example discussed here, the Group No. is 89.

Select a Gateway Network Connection method (Method 3 is only for gen 3 gateways)

Select one of the 3 ways to connect your AL-IM3-POE or AL-IM3-80211 Gateway to your customer's network, listed below. The first two methods previously used with Version 1 and Version 2 Gateways, can ALSO be used with Version 3 Gateways. Method 3 is only for Gen 3 gateways. If you are using Method 3, you do not need to perform Method 1 or 2.

The 3 basic methods are:

1. Wired Ethernet Using CA4K

2. Wireless Using CA4K for Wireless Configuration

3. Wi-Fi (Hotspot) Using the Gateways Local Network and Web Server for Wi-Fi Configuration (New to Version 3 Gateways)

Method 1:

Wired Ethernet Using CA4K

· The simplest and most common method usually performed at the installation site (The wired Ethernet method was also discussed above).

· Use a permanently-wired Ethernet network connection (If the Gateway is a PoE model, provide a PoE Ethernet network connection)

1a. If not already done, perform a factory reset of the Gateway (see "FIRST Power Up: gateway reset" explained in the previous topic).

1b. If not already done, connect one end of an RJ-45 Ethernet network cable to the back of the Gateway.

1c. If not already done, connect the other end of the RJ-45 cable to the physical network infrastructure.

1d. The Gateway will search for a valid IP address from the network via DHCP.

Be patient; searching for an IP address could take up to 1 minute.

1e. With a PC running CA4K connected to the same network described in previous step 1c, use CA4K to Discover and add the Gateway into CA4K (Perform the steps above to Discover and Add the Gateway into CA4K).

The RJ-45 network cable remains permanently connected to the Gateway.

If you are assigning a static IP address to your Gateway, then proceed as follows:

Note: After the Gateway is Discovered and Added into Ca4K, it is recommended to assign a static IP address to the Gateway. Perform the steps below.

  • Click Assigned Gateways tab.

  • Select the Gateway you wish to configure.

  • Click Network Settings on the Toolbar.

Upon clicking Network Settings, the Gateway Network Setup screen will display as per the figure below.

Fig. 245.13 Gateway Network Setup screen.

Make the following changes to the Gateway Network Setup screen to enter a Static IP Address (refer to the figures below).

  • Uncheck the Use DHCP checkbox. Upon unchecking Use DHCP, the Static IP Warning screen will display. Click Yes to continue.

  • Verify the Wireless Mode is set to Wired.

  • Enter in the Static IP address, Subnet Mask and Gateway provided by the Network Administrator.

  • Click Save Settings. Upon clicking Save Settings, the Network Settings sent to Gateway screen displays. Click OK to continue.

Fig. 245.14 Static IP Configuration screen. .

Fig. 245.15 Static IP Warning dialog box.

Fig. 245.16 Network settings sent to Gateway screen. .

The RJ-45 network cable remains permanently connected to the Gateway in Wired Mode.

Method 2:

Wireless Using CA4K for Wireless Configuration (Perform method 1 prior to method 2)

· While configured for Wired, use CA4K to configure the Gateway for Wireless communication (using a 2G Wi-Fi network)

· At the end of this procedure, the Gateway will be configured for Wireless communication and ready to be Discovered

· Contact the Network Administrator and have the broadcast Network Name (SSID) and network Password ready before you proceed. The broadcast Network Name (SSID), must not contain any spaces or special characters.

2a. If not already done, perform a factory reset of the Gateway (see "FIRST Power Up: gateway reset") explained in the previous topic. .

2b. If not already done, connect one end of an RJ-45 Ethernet network cable to the back of the Gateway.

2c. If not already done, connect the other end of the RJ-45 cable to the physical network infrastructure.

2d. If not already done, with CA4K connected to the same network described in previous step 2c, use CA4K to Discover and add the Gateway into CA4K, then proceed as follows:

· In the Wireless Lock Configuration screen, click to highlight your new Gateway in the list, then click Network Settings.

Option 1: If using a static IP address, check Use Static IP Address and type the static IP in the IP Address field. Add the Subnet Mask, Default Gateway and all other fields, if required. Note: The Gateway MAC Address will automatically be populated.

Option 2: To auto-assign an IP address, check Use DHCP IP Address. In the Wireless Network Configuration area, type the broadcast Network Name (SSID) and network Password (and Retype Password to confirm). Select the Security Type from the drop-down as recommended by your Network Administrator. An incorrect selection will require resetting the Gateway!).

Note: The previous steps should have been performed in method 1.

  • Prior to switching to Wireless, use the Lantronix Device Installer utility and perform a Search. Take note of the IP address and MAC address of the Ethernet wired network.

Note: Both MAC addresses are listed on the supplied blue "GATEWAY ID CARD" (OI429).

Fig. 245.17 Switching to Wireless Mode.

  • In the Gateway Network Setup screen, click the Wireless Mode drop-down and select Wireless.

  • Configure the Wireless Network Configuration settings as per the figure below. It is recommended to use Mix mode security.

Note: Contact the Network Administrator to provide the Wifi settings (Security Type, SSID and Key settings) in your router. .

Fig. 245.18 Switching to Wireless Mode.

  • Click Save Settings.

  • Upon switching to Wireless mode, use the Lantronix Device Installer utility and perform a Search. Take notice that the MAC Address has increment by one and the IP address is different than the Wired Ethernet mode. .

Fig. 245.19 View Wireless Network Settings using Lantronix Device Installer.

  • In the Gateway Configuration screen, right click on the Wired Gateway and click Edit Gateway.

  • Upon clicking Edit Gateway, the Add Gateway Manually screen displays.

  • Enter the Gateway settings for the Wifi network. Refer to Figure 245.20.

Fig. 245.20 Add Gateway Manually screen.

    • Upon entering the WiFi settings, click Save Settings.

  • Upon clicking Save Settings, the Gateway configuration updated dialog screen displays. Refer to Figure 245.21.

Fig. 245.21 Switching to Wireless Mode.

  • Click OK.

After approximately 2 minutes, remove the RJ-45 network cable, and the Gateway will communicate wirelessly.

  • Select the Gateway and click Refresh Gateway button.

Important - The following method is only for Version 3 Gateways

Note: If performing Method 3, you do not need to perform method 1 or 2.

Method 3:

Wi-Fi (Hotspot) Using the Local Network and Web Server for Wi-Fi Configuration

Version 3 Gateways include a locally-generated web page ("xPico® 240") that allows you to pre-configure the Gateway to conform to your customer's Wi-Fi network before adding the Gateway to CA4K. Use any wireless device (a laptop, a tablet, etc.) to connect and configure the Gateway, then the Gateway will be ready to be Discovered and added into CA4K. Add your customer's Wi-Fi settings from any location -- you and the Gateway do NOT need to be physically located at the installation site! Note: A laptop will be used in the steps below, but any convenient wireless device (ie. Phone) can be used.

3a. Perform a factory reset of the Gateway (see page 3, "FIRST Power Up: gateway reset").

3b. At this point the Green LED will be flashing rapidly, then press and release the Gateway RESET button. The Gateway will broadcast its SSID.

3c. Use your wireless laptop or phone (or other wireless device) to display the list of "Available networks".

3d. Connect your laptop to the Gateway's local wireless network: In the list of "Available networks", look for "AL_" followed by the last 6 characters (last 3 bytes) of the Gateway's Ethernet MAC Address printed on the supplied blue "GATEWAY ID CARD" (OI429).

Note: In the example blue card shown below, this Gateway will broadcast the SSID "AL_789012".

Fig. 245.22 Gateway ID card with both MAC addresses.

Connect to the "AL_" SSID using the method required by your PC. Some PCs will ask you for the network security password which is "Alarmlock" (both are cAsE SeNsiTiVe; quotes omitted).

3e. At your laptop or on your phone, open a browser and in the address bar, type 192.168.0.1, then press Enter. Note: If the xPico login screen does not appear, go back to step 3b and start again.

3f. In the login dialog, type the default Username "admin" and the default Password "Alarmlock" (both are cAsE SeNsiTiVe; quotes omitted) and press Enter.
Note: You can change this Password later.

The browser will connect to the Gateway's local wireless network and display the following web page "xPico 240" Home screen (partial example shown below):

Fig. 245.23 xPico 240 Lantronix Web Page Home screen.

3g. In the "xPico 240" Status/Home screen:

· In the left side column, click Network (wait for rotating "busy" circle to finish)

· At the top of the screen, click wlan0 (wait again)

· At the top of the screen, click Interface (wait again)

· At the top of the screen, click Configuration (wait again)

· You will now see the Interface wlan0 Configuration screen (partial example shown below):

Fig. 245.24 wlan0 Configuration screen..

· Set State to Disabled (wait again)

· At the bottom of the screen, click Submit (wait again)

3h. Create a new LAN Profile and add the parameters of your customer's Wi-Fi network:

· In the left side column, click WLAN Profiles (wait again)

· Click in the Create New WLAN Profile field. Type the SSID of your customer's network for the WLAN Profile name

· Click Apply and the newly created Profile will appear

3i. Click the newly created Profile name created in the previous step (wait again). Configure this Profile with the parameters of your customer's Wi-Fi network. Be sure to record (in writing) the Network Name and all Security information; you may need to add this information into CA4K later.

Fig. 245.25 WLAN Profile screen. .

· The Network Name must be the exact SSID of your customer's network (in the above example it is "cbwifi")

· Verify the State is Enabled

· From the Suite drop-down, select a Wi-Fi security protocol that matches the protocol used by the customer's network

· For WPAx Authentication, select PSK

· For WPAx Key Type, select Passphrase from the drop-down (if not already selected)

· In the WPAx Passphrase field, type the exact password of your customer's network (cAsE SeNsiTiVe)

· Re-verify all settings, then click Submit (and re-confirm)

· Wait for the rotating "busy" circle to finish

3j. On the left side, click Network.

· At the top of the screen, click wlan0 (wait again)

· At the top of the screen, click Interface (wait again)

· At the top of the screen, click Configuration (wait again)

· For State, select the Enabled radio button

· If shown, verify the Hostname is correct, otherwise, enter the exact SSID of your customer's network

· Verify DHCP Client is Enabled. If customer uses a static IP address, disable the DHCP Client and complete the other fields, including the static IP Address, Default Gateway and Primary DNS

· At the bottom of the screen, click Submit ("Submit" will only appear if changes were made to this screen)

· If not already selected, on the left side, click Network.

· At the top of the screen, click eth0 (wait again). Verify that both Interface and Configuration are selected (with rectangles around each word; if not select each in turn)

· Set the State to Disabled

· At the bottom of the screen, click Submit (wait again)

IMPORTANT: For security, we recommend changing the default Password that is used to access the Gateway web page to prevent unauthorized access to the Gateway. IMPORTANT: Password MUST NOT contain any spaces!

3k. On the left side, click User.

· At the top of the screen, click admin (wait again)

· In the Password field, type a new password, then click Submit (wait again)

· In the new Sign in popup that appears, type the new password again and click Sign in

3l. In the left side column, click Device.

Fig. 245.26 Device Status screen.

· Near the bottom of the screen, click Reboot

· Near the top of the screen, click "Okay" in the confirmation message. Note: Upon clicking the confirmation, your wireless laptop's browser connection to the Gateway's access point will be lost (this is normal). This also indicates that the Gateway is now configured to be connected to the customer's network via Wi-Fi when the physical Gateway is brought within physical proximity of the customer's Wi-Fi signal.

3m. Visit the customer's premises and power the Gateway. Upon power up, the Gateway will automatically connect to the customer's network via Wi-Fi. Launch CA4K (that must also be connected to the customer's network), and as per the normal CA4K procedure, Discover the new Gateway:

· In the CA4K Wireless Lock Configuration screen, click Discover Gateway(s). After a short wait, this action will find ALL "Available" Gateways and list them on the screen.

· Find the Wi-Fi MAC Address listed on the supplied blue "GATEWAY ID CARD" (OI429) that matches the MAC address shown in the Gateway Configuration screen.

· Click to select that matching Gateway, then click Add Gateway.

  • Upon clicking Add Gateway, the Gateway Password screen displays. Type a Gateway password exactly 6 characters (no more--no less) in length, then click OK to close this popup.

    Note: For our demonstration, enter 123456 for the password.

  • Click Assigned Gateways tab.

  • Upon clicking Assigned Gateways, the Gateway you just added should display in the list. .

Note: On the blue "GATEWAY ID CARD", notice the last 6 characters (last 3 bytes) of the Wi-Fi MAC Address will always be incremented by 1 (in hex) as compared to the Ethernet MAC Address.

CONNECTED! Your new Gateway is now connected. to your customer's network through Wi-Fi. You are now ready to use your new Gateway to Discover locks and to perform other tasks.

Change the xPico® 240 Username & Password

Every Gateway leaves the factory with the same xPico® 240 default Username ("admin") and default Password ("Alarmlock"), therefore we STRONGLY recommend changing th default username and password as per the step 3k above.

Important: If you configured the Gateway for Wi-Fi (Hotspot) using method 3, and you want to make any changes to the network configuration using Network Configuration screen, you MUST be certain ALL settings in the Network Configuration screen must exactly match all settings in the "xPico 240" web page screens, or else the Gateway's connection will be lost!

Be patient. You may need to wait several minutes for the data to be sent from CA4K to the new Gateway. In addition, consult your IT department if you used non-standard settings in the "xPico 240" screens.

Launch CA4K and open the Wireless Locks Configuration screen. Click to highlight your new Gateway in the list, then click Network Settings to open the Network Configuration screen:

In the Gen 3 Web Page Username and Password area, enter a new unique Username and Password.

Before clicking Save, verify that each of the following settings is correct: IP Address, Subnet Mask, Default Gateway, wireless Network Name (SSID) and Password.


Gateway Specifications

AL-IM3-POE SPECIFICATIONS

NETWORK RANGE

Gateway to Locks: Clear field range 500'.

Typical indoor range: Networx 75-175'; ArchiTech Networx: 50-125'.

Gateway / Expander to Expander: Clear field range 500'. Typical indoor range: 75-175'.

Note: Actual range varies with building construction.

AL RADIO LINK

900 MHz GFSK

50 Channels

10mW power output

POWER - Installer should use a UL or ETL Certified PoE injector or a UL or ETL Certified PoE switch

PoE Voltage: 48VDC Nominal

Input Voltage: 5 - 6VAC

ENVIRONMENTAL

Operating Temperature: -20˚ to 60˚C (-4˚ to 140˚F)

Storage Temperature: -40˚ to 85˚C (-40˚ to 185˚F)

PHYSICAL

Enclosure Size: 4.5"H x 6.0"W x 1.94"D

Weight: 0.5lbs.

AL-IM3-80211 SPECIFICATIONS

WIRELESS SPECIFICATIONS

Wireless Standards: IEEE 802.11b; 802.11g

Frequency Range: 2.412 - 2.484 GHz

Output Power: 14dBm + 1.5dBm/-1.0dBm

Maximum Receive Level: -10dBm (with PER < 8%)

Data Rates With Automatic Fallback: 54Mbps - 1Mbps

Modulation Techniques: OFDM, DSSS, CCK, DQPSK, DBPSK, 64 QAM, 16 QAM

NETWORK RANGE

Gateway / Expander to Locks: Clear field range 500'.

Typical indoor range: Networx 75-175'; ArchiTech Networx: 50-125'.

Gateway / Expander to Expander: Clear field range 500'. Typical indoor range: 75-175'. Note: Actual range varies with building construction.

AL RADIO LINK

900 MHz GFSK

50 Channels

10mW power output

POWER - Provided by UL Listed Class 2 Transformer

Peak Supply Current: 650mA

Input Voltage: 5 - 6VAC

AVERAGE POWER CONSUMPTION

1300mW (WLAN mode; maximum data rate)

300mW (WLAN mode; idle)

750mW (Ethernet Mode)

ENVIRONMENTAL

Operating Temperature: -20˚ to 60˚C (-4˚ to 140˚F)

Storage Temperature: -40˚ to 85˚C (-40˚ to 185˚F)

PHYSICAL

Enclosure Size: 4.5"H x 6.0"W x 1.94"D

Weight: 0.5lbs.

AL-IME2 SPECIFICATIONS (Wired Gateway)

NETWORK INTERFACE:

Interface: Ethernet, 10Base-T or 100Base-TX (using RJ-45 jack)

Protocols: TCP/IP, UDP/IP, DHCP

NETWORK RANGE

Gateway / Expander to Locks: Clear field range 500'.

Typical indoor range: Networx 75-175'; ArchiTech Networx: 50-125'.

Gateway / Expander to Expander: Clear field range 500'. Typical indoor range: 75-175'.

Note: Actual range varies with building construction.

AL RADIO LINK

900 MHz GFSK

50 Channels

10mW power output

POWER

Peak Supply Current: 650mA

Input Voltage: 5 - 6VAC

ENVIRONMENTAL

Operating Temperature: -20° to 60°C (-4° to 140°F)

Storage Temperature: -40° to 85°C (-40° to 185°F)

PHYSICAL

Enclosure Size: 4.5"H x 6.0"W x 1.94"D

Weight: 0.5lbs.

e topic text here.


Expander Configuration

Trilogy Networx™ Expanders

MUST READ - VERY IMPORTANT NOTES:

  • For Gateway and Expander support, this feature must be enabled in system settings under the Workstation tab. You MUST select Use Wireless Locks.

  • The Trilogy Networx Expanders are shipped with Alarm Lock firmware. Once discovered and added into the CA4K, the Continental firmware will download automatically to the Expander.

In this topic, we will discuss Trilogy Networx™ Expanders. There can be up to 7 Expanders connected to one Generation 2 or Generation 3 Gateway. The 7 Expanders must be set to the same Dial Group Number as the Generation 2 or Generation 3 Gateway. Expanders are used to extend the range between a Generation 2 or Generation 3 Gateway and Wireless Lock.


Expander Overview

Trilogy Networx Expander Installation

MUST READ - VERY IMPORTANT NOTES:

  • For Wireless locks, Gateway and Expander support in CA4K, this feature must be enabled in System Settings, under the Workstation tab. You MUST select Use Wireless Locks.

  • If the Expander is NEW with Alarm Lock firmware, Continental firmware will be downloaded automatically to it, once discovered and added into CA4K.

  • Each Expander contains a unique Expander ID.

  • Expanders do not use IP Addresses.

  • A maximum of 7 Expanders can be assigned to one Generation 2 or Generation 3 Gateway (All Group dial addresses must be the same for all 7 Expanders and Gateway)

  • The Expander must be at least 6 feet from the Generation 2 or Generation 3 Gateway

  • Expanders can't communicate with Gen 1 Gateways.

  • Firmware will automatically download to a NEW Expander when it's discovered and added in to the CA4K.

The Trilogy Networx™ AL-IME2-EXP Expander extends the coverage area of a Generation 2 or Generation 3 Gateway, allowing control of up to

its rated maximum of 63 Networx locks per Gateway. Installation is simple, as the Expander only requires a connection to 6VAC

power. Used in place of additional Gateways, AL-IME2-EXP Expanders are useful when a Gateway does not provide sufficient signal

strength to a particular area and therefore is unable to communicate with a wireless lock or group of wireless locks. AL-IME2-EXP

Expanders are cost effective, easier to wire than conventional Gateways, and feature a simplified 'Plug and Play' setup where the Networx

system automatically identifies all newly powered Expanders and quickly determines the best wireless signal pathways. Up to 7 Expanders

can be added to one Generation 2 or Generation 3 Gateway.

The AL-IME2-EXP "version 2" Expanders (notice the "2" in the model name) are the next generation of Networx wireless devices. Because

AL-IME2-EXP Expanders only work with version 2 and version 3 Gateways, a version AL-IME2 version 2 Gateway must be installed and operational in

your system for AL-IME2-EXP Expanders to function. ALIME2-EXP Expanders cannot communicate with older "non-version 2" Gateways).

Note: Although the version 2 and version 3 Gateways and AL-IME2-EXP Expanders CAN be mixed into an existing system that includes older

"version 1" Gateways, at least one new version 2 or version 3 Gateway must be up and running before an AL-IME2-EXP Expander will function.

EXPANDER LOCATION GUIDELINES

Once your version 2 Gateway location has been selected, the next step is to determine where to mount the Expander.

However, the following must be taken into consideration:

  • Expander should be at least 6 feet from the Gateway prior to discovering Expander

  • Generally, the Expanders should be within approximately 75 feet (radially) from the Gateway or another Expander

  • Expanders should be located within 100 feet (radially) from the intended wireless lock locations

  • Open areas will increase range while concrete building construction, walls, ceilings and narrow corridors will decrease range

  • ArchiTech series locks generally have shorter range from an Expander

  • Select a location that allows access to the power wires running from the 6VAC power transformer (supplied)

  • Expanders should be mounted in elevated areas; however mounting in a drop ceiling can adversely affect signal strength

  • Preferred mounting position - 6 to 12" below ceiling

  • Expanders must be mounted vertically; horizontal "flat" mounting of the Expander should be specifically avoided

  • Although wood and wallboard construction can have little effect upon signal strength, concrete or brick can reduce

signal strength by up to 35%. Steel-reinforced concrete or metal lath and plaster can reduce signal strength as much

as 90%!

  • Do NOT mount close to electrical wiring or other metal obstructions such as pipes or conduits

  • Installing in computer closets or server rooms can negatively impact signal strength

INSTALLATION CONFIGURATIONS

AL-IME2-EXP Expanders can be added in any configuration. The following are examples:

"Star Pattern" : This configuration could be used to cover an entire building with a single version 2 or version 3 Gateway located in the center, surrounded

by up to 7 Expanders (maximum).

Fig. 245.14 Star pattern.

"Daisy-Chain" : For covering long distances, such as a long hallway, a "daisy-chain" configuration connects several Expanders in series,

with (a recommended) 100 foot maximum distance between the Gateway and the first (and between each subsequent) Expander. In this example,

the signal is easily extended over 1000 feet in one direction, and provides coverage for door locks located along this range: If a wireless lock along

the above daisy-chain is unreachable, Expanders can be moved as required (in the example below, Expanders E3, E5 and E6 were relocated to allow

the wireless signal to reach previously inaccessible locks).

Fig. 245.15 Daisy Chain pattern.

"Scattered" : For covering long distances, such as a long hallway, a "daisy-chain" configuration connects several Expanders in series,

with (a recommended) 100 foot maximum distance between the Gateway and the first (and between each subsequent) Expander. In this example,

the signal is easily extended over 1000 feet in one direction, and provides coverage for door locks located along this range: If a wireless lock along

the above daisy-chain is unreachable, Expanders can be moved as required (in the example below, Expanders E3, E5 and E6 were relocated to allow

the wireless signal to reach previously inaccessible locks).

Fig. 245.16 Scattered Pattern.

Expander Blue and White ID Cards

We recommend that when installing the AL-IME2-EXP Expander, a white colored "Expander ID Card" (OI388) be completed.

Gateway and Expander physical locations may easily be forgotten. These ID cards may prove to be very useful when

replacing Gateways or Expanders.

~ EXPANDER ID CARD ~

EXPANDER SERIAL NUMBER ________________________

EXPANDER GROUP NO. ___________________________

EXPANDER LOCATION ____________________________

___________________________________________

MOUNTING INSTRUCTIONS

The AL-IME2-EXP rear housing must be mounted "up". When the front housing is attached, its engraved Networx logo must be

located at the lower right with the front housing positioned "up" in a conventional manner. (The unit contains internal antennas that

must be positioned vertically). Horizontal "flat" mounting of the enclosure is to be specifically avoided. As stated previously, the

AL-IME2-EXP Expander only requires connection to the 6VAC power transformer wires.

MOUNTING LOCATION GUIDELINES

Give careful consideration to the installation locations when planning the layout of the system. We recommend selecting mounting locations in elevated areas,

centrally located within the separate lock installations. With an AL-IME2- EXP Expander, select a convenient location that allows access to the (non-polarized)

power wires running from the 6 VAC power transformer. Choose a location as high above ground level as practical (home attic installations are not recommended), keeping in

mind that metal objects may adversely affect reception. It may be helpful to draw a layout of the system, identifying all proposed installation locations and the anticipated

door locations. Also include notations indicating construction materials in use. Although wood and wallboard construction will have little effect upon signal strength at the lock,

concrete or brick can reduce signal strength by up to 35%, while steel-reinforced concrete or metal lath and plaster can reduce transmitter strength as much as 90%. Do NOT mount close to electrical wiring or other metal obstructions such as pipes or conduits.

Warning: Do NOT install in utility or computer closets as these locations will severely reduce signal strength.

Mount as follows:

  • . Insert a small flat-head screwdriver into the slots at the bottom and twist while applying inward pressure (see figure below), insert the screwdriver closer

to the edges of the unit, as shown in the Figure below.

Fig. 245.17 Slot to separate rear housing cover.

  • Using the rear housing as a mounting template, secure the unit to a wall or other flat surface using the hardware provided (see printed template). the unit to a wall or other flat surface using the hardware provided (see printed template). As shown in figure below, the rear housing includes two mounting holes for single-gang (A) and four mounting holes ford double-gang (B) electrical utility boxes, as well as four all purpose holes (C) for mounting to drywall or other surfaces

Fig. 245.18 Mounting holes.

EXPANDER GROUP DIALS

Inside the Expander are 2 rotary dials (see Figure below). These dials are used to set the Expander Group number. All version 2 Gateways include an identical set of dials. Therefore, the dial values set on your Gateway MUST then match the dial values set on your AL-IME2-EXP Expanders (up to 7 Expanders).

VERY IMPORTANT: Each Gateway in your system MUST be set to a different "Expander Group" value along with its associated Expanders. The "Expander Group" dial setting determines which Expanders are associated with which Gateway, thus preventing Gateways from discovering unintended Expanders

Fig. 245.19 Expander Group Address switches. .

The RESET button and two Expander Group dials - Be sure to orient the Expander with the RESET button ABOVE the dials as shown above to ensure proper Group address settings.

Expander Group values of "00" through "99" are valid selections.

IMPORTANT: The small selection arrow on each dial must be pointing directly to the desired Group value. In the Figure below, the Group value is set to "50". Use a small flathead screwdriver to turn the dials and make the selections. Be sure to orient the Expander as shown above with the RESET button ABOVE the dials to ensure proper Group setting.

Fig. 245.20 Group Address switches.

POWER UP

Connect the 6VAC power transformer wires (non-polarized).

Upon power up:

● Red LED solid (momentarily)

● Yellow LED blinks (counting out "Expander Group" dial

setting).

Note: Zero = No blink

● Yellow LED solid + green LED flickering rapidly (Ready for discovery)

Next, reset the Expander as follows:

RESET THE EXPANDER

IMPORTANT: Before securing the Expander housing cover, ALWAYS reset the Expander memory, even if the Expander is new "out of the box" and/or has never been

used previously. After initial power up, press and hold the "RESET" button (see figure above for location); continue to hold the button until the red light turns on solid. Now, release the button and the

green light will flicker rapidly. This "resetting" of the Expander clears all memory and ensures that any previous data is cleared from the unit.

Note: Resetting the Expander also re-writes the "Expander Group" dial setting into the Expander memory.

CLOSE HOUSING COVER

Close the housing cover by first engaging the hooks at the top, then snapping the bottom together. Secure the cover with the Bottom Screw provided as shown in Fig. 5.

Fig. 245.21 Housing Cover Bottom screw.


Discover and Add Expander

MUST READ - VERY IMPORTANT NOTES:

  • This feature must be enabled in system settings under the Workstation tab. You MUST select Use Wireless Locks.

  • Signal Strength (RSSI) must be > 32.

  • Click Expanders on the toolbar. .

Upon clicking Expanders, the Assigned Gateways tab will be display.

  • Click Assigned Gateways tab and select a Gateway.

Fig. 245.22 Assigned Gateways.

  • Click Assigned Expanders tab.

  • Click Search.

Fig. 245.23 Assigned Expanders. .

Upon clicking Search, a message box will display Expander discovery could take a minute or two to complete. Continue with discovery?

  • Click Yes.

Fig. 245.24 Expander Discovery message box.

If one or more Expanders are found, they will display in the Assigned Expanders tab.

Fig. 245.25 Assigned Expanders screen. .

  • Click Assigned Gateways tab.

    Note: After the Expander is added to the Gateway, the Gateway should display "Expander Count =1". This is the Expander added in the previous steps with a Group number of 89..

Fig. 245.26 Assigned Gateways Information box.


Expander Specifications

AL-IME2-EXP SPECIFICATIONS

NETWORK RANGE

Gateway/Expander to Locks: Clear field range 500'. Typical indoor range: Networx 75-175'; ArchiTech Networx:50-125'.

Note: Actual range varies with building construction

Gateway/Expander to Expander: Clear field range 500'. Typical indoor range, 75- 175'.

Note: Actual range varies with building construction.

AL RADIO LINK

900 MHz GFSK

50 Channels

10mW power output

POWER

Peak Supply Current: 150mA

Input Voltage: 5 - 6VAC

Includes one (1) 6VAC External Power Supply

ENVIRONMENTAL

Operating Temperature: -20° to 60°C (-4° to 140°F)

Storage Temperature: -40° to 85°C (-40° to 185°F)

PHYSICAL

Enclosure Size: 4.5"H x 6.0"W x 1.94"D

Weight: 0.5lbs.here.


Wireless Lock Configuration

MUST READ - VERY IMPORTANT NOTES:

  • For Wireless lock support, this feature must be enabled in system settings under the Workstation tab. You MUST select Use Wireless Locks.

  • The Trilogy Networx Wireless Locks are shipped with Alarm Lock firmware. Once discovered and added into the CA4K, the Continental firmware will download automatically to the lock.

  • While using the CA4K software with Wireless locks, the key commands specified in the DL-Windows documents, are not supported in CA4K. ,

  • CA4K V1.1.2x provided a new feature whereas the Architech Back button /Side button can be configured in System Settings for free access functions.

  • CA4K V1.1.2x provided support for the PDL4100 and PDL4500 Wireless locks including privacy mode.

  • CA4K V1.1.2x added Canadian toggle mode for Architech lock types N9500 and N9000.


Wireless Locks Overview

Networx Wireless Lock Installation

MUST READ - VERY IMPORTANT NOTES:

  • For Wireless lock support, this feature must be enabled in system settings under the Workstation tab. You MUST select Use Wireless Locks.

  • If the Wireless lock is NEW with Alarm Lock firmware, Continental firmware will be downloaded automatically to it, once discovered and added into CA4K.

  • Each Wireless Lock contains a unique Lock ID.

  • Wireless Locks do not use IP Addresses

  • After the lock is programmed in the CA4K (Badges, Access Groups, Reader settings...), you MUST perform a manual Data download to the lock.

  • To get the lock battery voltage to display, you must make a closure on the door contact at least one time.

  • Battery Low alert will display when the battery reaches 4 volts DC or less.

  • Signal Strength (RSSI) should be > 32 and <90 (The higher the number represents a stronger signal).

When an Alarm Lock door lock is removed from its factory packaging and powered, it contains Alarm Lock firmware; this manual will refer to these "factory-fresh" models as

"PDL" or "PL" (for example "PDL6100"). Locks converted to the CA4K system have the letter "C" added before the "PDL" or "PL" letters (for example, an Alarm Lock model "PDL6100" becomes a "CPDL6100" when converted for use with CA4K.

Notice that the next section details powering up the factory Alarm Lock model PDL6100; once the lock is converted to the CA4K system, all subsequent sections then detail the converted Continental lock model CPDL6100.

For Lock installation instructions, refer to the installation instructions in the factory packaging received with the Lock. Refer to the 'Supported Wireless Locks' page for a listing of all supported locks. The two main types of locks are cylindrical and mortise. Each of these type locks come available with or without a keypad.

NOTE: The following specs are for a PDL6100. Specifications will vary for each model lock.

Wiring

Batteries:

Use four 1.5 volt Alkaline size-C batteries only (either a sealed battery pack or battery pack with replaceable batteries).

External Power:

Red / Black wires - External 7.5 VDC Power Source must be used for operation without batteries.

Remote Input / Bypass:

(Two white wires) In the rear of the lock body are two white wires that, when shorted, cause the lock to unlock, (thus "unlocking the door" and allowing passage through the protected door). These two white wires are called "Remote Input" in Alarm Lock terminology, and called Bypass in Continental terminology. Wire a normally-open switch to the two white wires; momentarily close to unlock / allow passage / entry through door.

NOTE: By default, Remote Input is enabled in the Alarm Lock PDL6100 from the factory and also enabled when converted to the Continental CPDL6100.

Relay:

COM-Orange / NO-Green / NC-Yellow.

PDL6100 First time Power Up

Note: Failure to follow the exact steps below can result in erratic lock behavior.

1. Unpack the lock from its factory packaging. The lock contains Alarm Lock firmware.

2. With the batteries disconnected, hold down the ‘AL’ key for 10 seconds and release to ensure discharge of all capacitors..

3. Connect the batteries and listen for 3 beeps. Within 5 seconds of hearing the 3 beeps, press and hold ‘AL’ key until beeping starts. This will clear the lock of all programmed data.

Important: If you do not hear these 3 beeps, you must start over at step 2.

4. Listen for another series of beeps and LED flashes followed by 10 seconds of silence.

The lock is ready to be discovered and converted to the CA4K system as a CPDL6100. Once converted, but before the lock receives a full data download from CA4K (badge data, etc), only one user code is programmed into the lock ("123456") to allow the lock to unlock for 6 seconds.

From this point onward, the text in these instructions assume the lock has been discovered and converted to the CA4K system as a CPDL6100.

The Two models discussed in details are as follows:

● CPDL6100 - Cylindrical Trilogy® Networx™ Wireless Access Control Lock with built in HID Proximity ID Card Reader, full-metal digital keypad, integral bi-directional radio, 4 C-cell battery-operated (batteries supplied), serial number ID card, standard format SCI keyway for manual key override, 4⅞" ASA Strike (included).

● CPL6100 - Cylindrical Trilogy® Networx™ Wireless Access Control Lock with built in HID Proximity ID Card Reader (keypad removed for added security), integral bi-directional radio, 4 C-cell battery-operated (batteries supplied), serial number ID card, standard format SCI keyway for manual key override, 4⅞" ASA Strike (included).

Note: We recommend that when installing a lock on a door a yellow-colored "Lock ID Card" be completed; the information on this card is important and should be saved in a safe location.

Fig. 245.28 Wireless Lock ID Card.

startup procedure for Non-architech locks

DEFAULT (RESET) A LOCK WITH A KEYPAD

To default a Cylindrical Lock with a keypad, perform the following steps:

CPDL6100 Erase All Programming

(Perform a "Manual Default")

1. Disconnect the battery pack.

2. With battery power disconnected, press and hold down ‘AL’ key for 10 seconds to ensure discharge of all capacitors.

3. Re-install the battery pack; lock will sound 3 short beeps.

4. Within 5 seconds after hearing the 3 short beeps, press and hold ‘AL’ key until the lock begins to beep slowly (7 red LED flashes with 7 beeps), then release.

All lock configuration data (badge data, access groups, etc.) have been erased and the lock is now ready to be discovered and added to the CA4K system. Before the lock receives a full data download from CA4K (badge data, etc.), only one user code is programmed into the lock ("123456") to allow the lock to unlock for 6 seconds.

Note: As lock Firmware is updated, the flashing sequence might change on newer models.

DEFAULT (RESET) A LOCK WITHOUT A KEYPAD

Note: A male shunt connector will be provided with this type of lock.

PL6100 First time Power Up

Note: Failure to follow the exact steps below can result in erratic lock behavior.

When powered for the first time but before it is converted to the CA4K system as a CPL6100, the PL6100 will remain unlocked.

1. Unpack the lock from its factory packaging.

2. For models with a replaceable battery pack, install fresh batteries with attention to the correct polarity as indicated inside the plastic battery pack housing. Do not connect the batteries yet.

3. With battery power disconnected, short the two white wires (Remote Input / Bypass wires) together for 10 seconds to ensure discharge of all capacitors. After 10 seconds, remove the short.

4. Plug in the (provided) male shunt connector into the yellow wire female connector (Erase Memory Leads).

5. With shunt connector connected, re-connect the battery pack. The lock will immediately sound 3 short beeps (if these 3 beeps are not heard, then restart at step 3).

6. The lock will then sound more slow beeps, 1 beep for every second it takes to clear the memory.

7. After 2 rapid beeps are heard and 2 green LED flashes are seen,

8. REMOVE YELLOW MALE SHUNT connector (Erase Memory Leads).

The lock is ready to be discovered and converted to the CA4K system as a CPL6100. Once converted, but before the lock receives a full data download from CA4K (badge data, etc), and the CPL6100 is unlocked by default.

CPL6100 Erase All Programming

(Perform a "Manual Default")

1. At the back of the lock, remove the lock housing screw and remove the cover.

2. Take out battery pack and remove battery power by disconnecting the battery pack plug.

3. With battery power disconnected, short the two white wires (Remote Input / Bypass wires) together for 10 seconds to ensure discharge of all capacitors. After 10 seconds, remove the short.

4. Plug in the (provided) male shunt connector into the yellow wire female connector (Erase Memory Leads).

5. With shunt connector connected, re-connect the battery pack. The lock will immediately sound 3 short beeps.

6. The lock will then sound more slow beeps, 1 beep for every second it takes to clear the memory.

7. REMOVE YELLOW MALE SHUNT connector (Erase Memory Leads).

With the yellow male shunt connector removed, all lock configuration data (badge data, access groups, etc.) have been erased and the lock is now ready to be discovered and added to the CA3000 system. Before the lock receives a full data download from CA3000 (badge data, etc), the CPL6100 is unlocked by default.

CPDL6100 Battery Replacement

Upon a credential presentation (badge or code) when the batteries are weak, the lock sounder will continuously beep for the length of the "Door Strike Time" ("Door Strike Time" is the duration the lock would remain unlocked when a valid badge is presented). For models with a replaceable battery pack, use four (4) C-size 1.5 volt alkaline batteries. For models with a sealed battery pack, contact your Alarm Lock dealer for a replacement battery pack. Always replace weak batteries as soon as possible.

1. At the back of the lock, remove the screw at the bottom of the lock housing and remove the cover.

2. Disconnect the battery pack, removing power.

3. With battery power disconnected, press and hold down ‘AL’ key for 10 seconds to ensure discharge of all capacitors.

4. Re-connect battery pack, do not touch any keys. Observe lock carefully:

· 3 short beeps sound (NO LED's flashing);

· short pause;

· 3 short beeps sound with 3 green LED's.

The 3 green LED's indicate the lock configuration data (badge data, etc.) is retained successfully, and the lock is ready for use. If you see 3 red LED's, this indicates the lock started without configuration data, and will automatically request configuration data from CA4K.

Replace the cover and tighten the screw.

Note: Restarting an operational lock may send a Lock Startup event to the CA4K GUI.

CPL6100 Battery Replacement

Upon a badge presentation when the batteries are weak, the lock sounder will continuously beep for the length of the "Door Strike Time" ("Door Strike Time" is the duration the lock would remain unlocked when a valid badge is presented). For models with a replaceable battery pack, use four (4) C-size 1.5 volt alkaline batteries. For models with a sealed battery pack, contact your Alarm Lock dealer for a replacement battery pack. Always replace weak batteries as soon as possible.

1. At the back of the lock, remove the screw at the bottom of the lock housing and remove the cover.

2. Disconnect the battery pack, removing power.

3. With battery power removed, short the two white wires (Remote Input / Bypass wires) together for 10 seconds to ensure discharge of all capacitors.

Do NOT plug in the yellow wire shunt connector (Erase Memory Leads--DO NOT CONNECT).

4. Re-connect battery pack and observe lock carefully:

· 3 short beeps sound (NO LED's flashing);

· short pause;

· 3 short beeps sound with 3 green LED's.

The 3 green LED's indicate the lock configuration data (badge data, etc.) is retained successfully, and the lock is ready for use. If you see 3 red LED's, this indicates the lock started without configuration data, and will automatically request configuration data from CA3000.

5. Replace the cover and tighten the screw.

Note: Restarting an operational lock may send a Lock Startup event to the CA4K GUI.

startup procedure for architech series locks

After physically installing your ArchiTech series lock on the door, the following startup procedure must be performed for

correct lock operation.

POWER UP

1. With the battery disconnected, press and firmly hold the "Program / Passage" button for 15 seconds (button location

dependent on model.

2. Release the "Program / Passage" button and reconnect the battery pack. Listen for 3 beeps.

3. Press and firmly hold the "Program / Passage" button again until you hear 6 beeps,

then release the button.

4. After several seconds of silence, the motor should activate.

At this point, by default the ArchiTech series lock is ready for discovery by the CA4K software.

Note: After the Manual Default of the Architech lock, all lock configuration data (badge data, access groups, etc.) have been erased and the lock is now ready to be discovered and added to the CA4K system.

After the lock is added to the CA4K system, you must perform a firmware download to the lock and then a Full data download. .


Discover and Add Lock

MUST READ - VERY IMPORTANT NOTES:

  • Battery Low alert will display when the battery reaches 4 volts DC or less.

  • Signal Strength (RSSI) should be > 32 (The higher the number represents a stronger signal).

Find Locks

I In the CA4K Wireless Lock Configuration screen), click to select the Gateway you want to use to discover locks; this will also be the same Gateway to which you want to assign locks.

Note: The Gateway selected will transmit the discovery request radio signal to all locks in the vicinity, and only those locks within range -- that have not already been assigned to a Gateway -- will respond.

Fig. 245.29 Assigned Gateways screen. .

  • With the Gateway highlighted on the top half of the screen, click 'Find Locks' on the bottom half of the screen.

Note: If there are currently no Assigned Locks, the screen below will be blank until a lock is found and discovered.

Fig. 245.30 Assigned Locks screen.

Upon clicking Find Locks, click Search button. All the unassigned locks that are in range will display under Available Locks tab.

Fig. 245.31. Available Locks screen.

  • Select the lock you want to Add to the Gateway. For our example, we will select a CPDL8600.

  • Click Add Selected Lock.

Fig. 245.32 Add Selected Lock screen.

Upon clicking Add Selected Lock, the Add Lock box will display the "Gateway address", "Lock Name", "Panel", "Lock ID", "Lock Address" and "Expander Address".

  • Click Add Lock to add the selected lock to the gateway.

Fig. 245.33 Add Lock Information screen.

Upon clicking Add Lock, a confirmation box will display "Do you want to add this Lock?".

  • Click Yes.

Fig. 245.34 Add Lock? message box..

Upon clicking Yes, this lock will not display on the Available Locks screen anymore. It will only display on the Assigned locks screen after adding it.

After the Lock is successfully Assigned, a message box will display "Lock Assigned completed".

  • Click OK.

Note: On the Assigned Locks toolbar, there is also buttons to Remove and Replace Locks as per the figure below.

Fig. 245.35 Remove and Replace lock buttons.


Supported Wireless Locks

Below is a list of supported wireless locks and exit trims. For complete details of each lock, refer to the Wireless Lock comparison chart.

The Wireless lock comparison chart can be found in the Continental Document Library.

Cylindrical Wireless Lockset

PL6100 / PDL6100

PL6200 / PDL6200

PL7100 / PDL7100 (IClass)

PL8200 / PDL8200 (IClass)

Mortise Wireless Lockset

PL6500 / PDL6500

PL6600 / PDL6600

PL8600 / PDL8600 (IClass)

Architech Locks (No keypad support)

C90xx Cylindrical

C95xx Mortise

Architech Locks with Keypad Support

S90xx Cylindrical

S95xx Mortise

Exit Trims

ETPDLN

ETDLN

ETPL / ETPDL

Wireless Control Panel

NETPANEL

Capacities

In addition, the CA4K will support additional wireless lock servers (up to 8). Each installed wireless lock server can contain

251 Gateways--and each Gateway can control up to 63 locks. If Expanders are used, a total of 7 expanders can be used per

Gateway.

Furthermore, each Continental Networx lock can contain up to 5000 badges (depending on configuration).

Network Security

The system uses AES (Advanced Encryption Standard) to protect the integrity of the data flow between the wireless

router/network and the Gateways.


Remote Release

The 1 and 4 button Remote Releases are supported in the CA4K. Only button 1 is used for both model Remotes while using them on Continental Wireless Locks.

The Remote Releases are configured and paired in the Wireless locks screen. There is a menu option to Add Remote Devices. Follow the steps below to pair a Remote.

Fig. 245.35 Add Remote Release Device.

  • In the Wireless Lock configuration screen, click Device and a drop-down menu will display.

  • Click Add Remote Release Device.

  • The Red Led on the Wireless Lock will start flashing.

  • On the Remote Release, press and hold the #1 button down. The red LED will flash and once it is paired it will flash green. When the Led on the Remote turns to green, release the #1 key.

  • Within a few seconds, the wireless lock will beep. At this point the Remote should be paired with the Lock.

  • VERY IMPORTANT: To terminate the discovery mode on the lock, you must press a few keys on the lock or open the door handle on the lock.

  • Press the #1 key on the Remote. The door should unlock.

Note: By default, the Remote Release unlocks the Door. To have the Remote Release lock the door, you must select the Remote Bypass Lock Door Checkbox.


Digital Video Recording (DVR)

Digital Video Recording (DVR) Integration

The CA4K Video Integration solution provides real-time video that can be automatically associated to any alarm

event from a reader, input, relay, NAPCO alarm zone or Networx Wireless Lock, in the CA4K system. Then, from any CA4K

workstation, the operator can instantly retrieve recorded video associated with the event with a simple click of an icon.

Note: Configuring video recording for readers, relays, inputs, Napco Alarm events are done under the associated topics.

The CA4K currently supports the integration of nine different DVR brands. Support for the Aventura and Ganz Cortrol DVRs has been added in the Version 1.1.x release of CA4K.

In the future, additional brands will be added. The configuration for all the brands are very similar. This topic will cover the configuration of only one brand, the Salient

Completeview DVR.

The supported brands are listed below:

  • Integral

  • Salient

  • Milestone

  • Pelco

  • Hitron

  • Video Insight

  • Exacq

  • Avigilon

  • Aventura

  • Ganz Cortrol


Adding a Salient Completeview Server

Adding a DVR Server in CA4K™

MUST READ - VERY IMPORTANT NOTES:

  • Upon enabling Video System under System Settings, and adding in a DVR, a DVR tab will be added to the Reader, Input and Napco screens.

Enabling Video Integration

The first step is to enable DVR Integration in System Settings.

To enable the DVR Integration in System Settings, perform the following steps.

  • Click System>System Settings on the main toolbar.

Fig. 250.1. System>Setting menu selection.

Upon clicking System>Settings, the System Settings screen will display.

  • Click System-wide-Settings.

  • Click General tab.

  • Select Enable Video System.

Fig. 250.2. Enable 'Video System' Checkbox.

  • Click Save.

  • Click Close.

Upon clicking Close, the CA4K main screen will display.

  • On the main menu, click Configuration.

  • Click DVR Configuration.

Fig. 250.3. 'DVR Configuration' menu selection.

Upon clicking DVR Configuration, the DVR Configuration screen will display as per the figure below.

Note: Configuration of all DVR brands are very similar.

Fig. 250.4. DVR Configuration screen.

General Tab

The General tab allows the user to add/edit/delete a DVR server. The changes you make in the DVR Server Configuration screen will be stored in the CA4K database. The DVR User Name and Password that you enter in this screen must also exist in the selected DVR Server.

  • Click New to add a new DVR Server.

  • Select a DVR Server Type. This is a list of all the supported DVR brands. For our example, we will select DVR caCompleteview-[Salient].

Fig. 250.5. 'DVR Server' Type selection box.

  • Click Enabled.

  • Enter the DVR Server IP.

  • Enter a Server Name.

  • Select the DVR Server Time Zone.

  • Enter a DVR Username.

  • Enter the DVR Password.

  • Enter the same password again in the Confirm Password box.

Note: - The DVR Username and Password must match the information programmed in the DVR Server.

Fig. 250.6. DVR Configuration screen.

  • Click Camera Configuration to add and configure cameras.

  • Select a camera from the list and verify you can view it.

Fig. 250.7. Camera Configuration button.

Upon clicking Camera Configuration, the Camera configuration screen will display. If a camera list is already available, this screen will list all configured cameras.

Fig. 250.8. Camera Configuration button.

Note: For our demonstration, we are connecting to the Salient Demo site. The camera list above is from the Salient Demo Site.

  • Click Close.

Upon clicking Close, this will bring you back to the CA4K main screen.

NOTE: Upon adding a DVR into the CA4K, a DVR tab will be added to the Reader, Input and Napco Zone screens (see below). The settings on these screens will determine the video clips captured

on badge reads, input events and Napco Arm and Disarm events. Below is a description of the settings you will find on these screens.

DVR Settings

Note: The following settings will be on the CA4K DVR screens.

  • DVR Server Name

  • Camera

  • Pre-Event Time (Pre-event time is the view time before the occurrence of an event, from the selected Reader).

  • Post-Event Time (Post-event time is the view time after the occurrence of an event, from the selected Reader).

  • Priority From

  • Priority To

  • DVR Forced Recording (When an action occurs on the CardAccess 3000 system, it forces the DVR to start recording).

  • DVR PTZ Preset (When an action occurs on the CardAccess 3000 system, it causes a PTZ camera to position to a fixed preset number (position).

Reader DVR tab

To configure a Reader to capture video on Badge reads, the following screen must be configured.

Fig. 250.9. Reader DVR tab.

Input DVR tab

To configure an Input to capture video on Input events, the following screen must be configured.

Fig. 250.10. Input DVR tab.

Napco DVR tab (Zones)

To configure an Input to capture video on Input events, the following screen must be configured.

Fig. 250.10. Napco Zone DVR settings. .


Running Salient Completeview in CardAccess 4000

Launching and Viewing DVR in CA4K™

Launching and Viewing DVR In CA4K

After the Salient CompleteView DVR is enabled in the CA4K, you can launch and view video by clicking View DVR button on the CA4K main tool bar.

Fig. 250.9. The ‘View DVR’ button.

Upon clicking the View DVR button on the main menu, the CardAccess 4K View DVR window displays.

Fig.250.10. The ‘View DVR’ screen displays.

  • Select a camera from the list.

Fig.250.11. The ‘View DVR’ button.

Upon selecting a camera from the list, the video associated with the camera will display.

Note: In the above screen, the video window is configured for 'Single View'.


Editing Salient Completeview Server

Editing a DVR Server in CA4K™

Editing a DVR Server Record

Follow the steps below to edit a DVR server record.

  • Click Edit button on the DVR configuration screen to edit the DVR server information.

  • Make the necessary changes to the General tab fields.

  • Click the Save button to save the changes.

Fig. 250.12. DVR Edit button.


Disabling Salient Completeview in CardAccess 4000

Disabling a DVR in CA4K™

Disabling a DVR

Follow the steps below to Disable a DVR.

  • Click on Edit button in the toolbar.

  • Deselect the Enabled Checkbox.

  • Click the Save button in the toolbar to save the changes.

Fig. 250.13. DVR disabled.


Napco Integration

MUST READ - VERY IMPORTANT NOTES:

  • To use the Napco integration feature, you must Purchase the Napco Integration Feature and the software license must display, Napco Servers = 1.

  • To use the Napco Integration feature, you Must enable and configure it under System Settings>System-wide settings>Alarm Panel Integration tab.

  • There is no support for NL-MOD for communications with the CA4K Napco Integration feature. The NL-MOD is only used if firmware files need to be updated in the ZREMOTE..

  • The IBR-ZREMOTE or the IBR-ZREMOTE-W can be used with the CA4K Napco Integration feature.

  • If the IBR-ZREMOTE-W is used, the WIFI section is not supported with the CA4K Napco Integration feature.

  • Prior to configuring the CA4K software for Napco Integration, you must contact Napco Technical Support to program the Gem panel and the ZRemote.

Very Important: Prior to programming the CA4K for Napco Integration, you must contact Napco Technical Support to assist with programming the Gem panel using the Napco Quickloader

software and configuring the IBridge ZRemote.

PREREQUISITES -

  • CA4K (V1.1.x or later)

  • CA4K Software license with Napco Integration enabled (Napco Server = 1 or more)

  • DHCP enabled Router

  • 1 - Ethernet cable

  • 1 - IBR-ZREMOTE unit (Single Network Jack)

  • Napco Quickloader Software (v6.3.6 or later)

  • If updating any IBR-ZREMOTE Firmware, you need the Napco NL-Mod configuration software (v3.0.5.10 or later)

  • Napco Panel Firmware chip V61B or later (if using old Siemans board in GEM Napco panels)

  • X255SF_72E.HEX - Napco Panel downloadable Firmware (if using new Sil Lab board in GEM Napco panels)

  • IBR_ZREMOTE_RCM_3Q4.hex (RCM Firmware image)

  • Stack_ZWAVE_LUM_7027.hex (ZWAVE firmware image)

  • Mac Address on the RCM IBR-ZREMOTE unit

  • IBridge ZREMOTE Discover utility (in the CA4K Tools folder)

RELATED DOCUMENTS - In addition to this CA4K Help file, please refer to the following Napco documents. The Napco documents explain in detail the configuration of the Napco products including the IBR-ZREMOTE.

1. IBR-ZREMOTE-W WI2173A

2. IBR-ZREMOTE-W WI2174A

3. Napco Tech Tip (Updating the IBR-ZREMOTE Firmware using the NL-MOD configuration software)


Napco Integration Overview

VERY IMPORTANT TIPS:

  • To use the Napco integration feature, you must Purchase the Napco Integration Feature and the software license must display, Napco Servers = 1.

  • To use the Napco Integration feature, you Must enable and configure it under System Settings>System-wide settings>Alarm Panel Integration tab.

  • There is no support for NL-MOD for communications with the CA4K Napco Integration feature. The NL-MOD is only used if firmware files need to be updated in the ZREMOTE.

  • The IBR-ZREMOTE or the IBR-ZREMOTE-W can be used with the CA4K Napco Integration feature.

  • If the IBR-ZREMOTE-W is used, the WIFI section is not supported with the CA4K Napco Integration feature.

  • Prior to configuring the CA4K software for Napco Integration, you must contact Napco Technical Support to program the Gem panel and the ZRemote.

Overview

The NAPCO Integration feature provides seamless integration with the CA4K® software and the NAPCO Gemini Series alarm panels. By combining the power

of the Continental’s CA4K Access Control System and the NAPCO 32 to 255 zone Gemini Alarm Panels, the user can combine all of their alarm events into

one, easy-to-use, CA4K® Graphical User Interface (GUI).

Reminder: Prior to programming the CA4K for Napco Integration, you must contact Napco Technical Support to assist with programming the Napco Quickloader

software and the IBR-ZREMOTE.

Communication

The recommended communication method between the CA4K software and the Napco Panel is the IBR-ZREMOTE. The IBR-ZREMOTE

requires only one network connection. The older IBridge ZRemote required two network connections.

Events

With this interface, NAPCO alarms are routed, by priority, directly to the CA4K Event/Pending Alert screen in real time. This gives on-site security

offices more direct, immediate alarm reporting on one centralized user interface. This capability can allow faster dispatch on alarm, to pinpointed locations,

by internal or external security patrols/staff. The CA4K can also send an email or pager notification of the alert.

Arming & Disarming

The NAPCO Integration features provides the user the ability to program a CA4K cardholder, or cardholders, to arm or disarm Napco alarm

area/areas. Any of the access control reader technologies (biometric, proximity, smart, magstripe, etc..) available to the CA4K system can be utilized to

perform this function. There is also a built-in manual control interface for arming or disarming with a click of the mouse. The CA4K can notify the user

at the reader level whether a Napco area is ready for arming, armed or disarmed.

Scripting

The user also has the ability to create a script within the CA4K Scripting service to trigger additional functionality within CA4K program using a NAPCO

alarm event.

Activity Linking

All NAPCO alarm panel events can be used as triggers for advanced Linking functionality built into the CA4K program. The

user has the power to create a link within the CA4K program to use an event from the NAPCO panel to trigger

one, or many, outputs on any Continental panel on the system.

Gem Proxpoint Cover with Napco Status LEDs

The CA4K can be configured to give a visual indication of a Napco Area status (Armed or Disarmed). The custom proxpoint cover contains two extra LEDs to signify an Arm or Disarm condition..


Supported Napco Panels

Supported Napco Alarm Panels

VERY IMPORTANT TIPS:

  • To use the Napco integration feature, you must Purchase the Napco Integration Feature and the software license must display, Napco Servers = 1.

  • To use the Napco Integration feature, you Must enable and configure it under System Settings>System-wide settings>Alarm Panel Integration tab.

  • There is no support for NL-MOD for communications with the CA4K Napco Integration feature. The NL-MOD is only used if firmware files need to be updated in the ZREMOTE..

  • The IBR-ZREMOTE or the IBR-ZREMOTE-W can be used with the CA4K Napco Integration feature.

  • If the IBR-ZREMOTE-W is used, the WIFI section is not supported with the CA4K Napco Integration feature.

  • Prior to configuring the CA4K software for Napco Integration, you must contact Napco Technical Support to program the Gem panel and the ZRemote.

Each of these panel types has certain number of NAPCO Areas, Zones and Relays. The NAPCO integration program requires the given NAPCO Panel, as well as, all of its Areas, Zones and Relays to be pre-configured using the Napco Quickloader Software. Once the configuration is completed, the (enabled) NAPCO Areas of the given Alarm Panel can be Armed/Disarmed. Arm/Disarm event messages can then be obtained in the CA4K™ software, thus bringing about the integration between the Alarm Panels and the CA4K™. It will also be possible to know the Arm/Disarm status of NAPCO Areas in the CA4K™.

//The following 3 Napco panels are residential grade and are supported in CA4K with the Napco Integration feature.

GEM-P3200

GEM-P9600

GEM-X255

The following GEMC Napco panels are commercial grade Napco panels. These units are UL compliant.

Note: If you use an RCM IBR-ZREMOTE unit for the CA4K Napco Integration, you will lose the UL compliancy. As of Feb 2020, the RCM IBR-ZREMOTE unit is not UL compliant.

GEMC-3200 (Combo unit with a Red commercial enclosure)

GEMC-9600 (Combo unit with a Red Commercial enclosure)

GEMC-255 (Combo unit with a Red Commercial enclosure)

GEMC-128 (burg only with a white commercial enclosure)

NOTE- the Combo units can contain only burg or fire, or both burg and fire)


Napco Hardware Configuration

Napco Integration Hardware Configuration (CA4K, Gem Panel and IBR-ZRemote)

Previous Top Next

VERY IMPORTANT TIPS:

  • To use the Napco integration feature, you must Purchase the Napco Integration Feature and the software license must display, Napco Servers = 1.

  • To use the Napco Integration feature, you Must enable and configure it under System Settings>System-wide settings>Alarm Panel Integration tab.

  • There is no support for NL-MOD for communications with the CA4K Napco Integration feature. The NL-MOD is only used if firmware files need to be updated in the ZREMOTE..

  • The IBR-ZREMOTE or the IBR-ZREMOTE-W can be used with the CA4K Napco Integration feature.

  • If the IBR-ZREMOTE-W is used, the WIFI section is not supported with the CA4K Napco Integration feature.

  • Prior to configuring the CA4K software for Napco Integration, you must contact Napco Technical Support to program the Gem panel and the ZRemote.

Communication Device

The recommended communications device for the CA4K Napco Integration is the IBR-ZREMOTE. The current model of the IBR-ZREMOTE contains one network jack. Prior to the release of the IBR- ZREMOTE, the IBR- ZREMOTE device required two network connections. If an IBR-ZREMOTE-W is used, the Wifi portion of the unit is not used with the CA4K Napco Integration.

IBR-ZREMOTE Physical Connection

Figure 255.1.

Configure the hardware as per figure 1. Additionally, the following connections should be made for the IBR-ZREMOTE.

1. Keypad buss connection as follows from Napco Panel -> RCM. (For GEMC – connect to Burg keypad bus ) RED -> +12V, BLK -> GND ,GRN->GRN ,YEL -> YEL

Upgrade Napco Panel Firmware (New chip or downloadable FW image)

Note: This only applies to the residential GEM series alarm panels. The GEMC alarm panels all contain downloadable firmware capabilities.

1. If the Napco Panel contains the older Siemens board with a removable Firmware chip, power down the Napco panel and replace the chip with an updated firmware chip. The removable firmware chip is under the silver can (refer to Figure 2). The required firmware chip MUST be a V61B or later.

Figure 255.2.

Upgrade Napco Panel Firmware (New chip or downloadable FW image)

1. If the Napco Panel contains a new Sill-lab board with flash programmable firmware, download firmware image (X255SF_72B.HEX) using the Napco Quickloader software. The Napco panel with the new Sill-lab board will not contain the removable firmware chip in the previous step (Refer to Figure 3).

Figure 255.3.


Configuring IBR-ZREMOTE

IBR-ZREMOTE Configuration Information

VERY IMPORTANT TIPS:

  • To use the Napco integration feature, you must Purchase the Napco Integration Feature and the software license must display, Napco Servers = 1.

  • To use the Napco Integration feature, you Must enable and configure it under System Settings>System-wide settings>Alarm Panel Integration tab.

  • There is no support for NL-MOD for communications with the CA4K Napco Integration feature. The NL-MOD is only used if firmware files need to be updated in the ZREMOTE..

  • The IBR-ZREMOTE or the IBR-ZREMOTE-W can be used with the CA4K Napco Integration feature.

  • If the IBR-ZREMOTE-W is used, the WIFI section is not supported with the CA4K Napco Integration feature.

  • Prior to configuring the CA4K software for Napco Integration, you must contact Napco Technical Support to program the Gem panel and the ZRemote.

Using the IBridge Discover Utility

Note: This utility is used to verify the IP Address, Mac Address, Firmware version and Bootloader version in the IBR-ZREMOTE unit. The Mac Address should be used in the CA4K software.

1. Use the CardAccess.IBridge.Discover.exe utility in the CardAccess4K>Tools folder and search for the IBR-ZREMOTE unit (Refer to the figure below).

Figure 255.4.

2. Upon finding the IBR-ZREMOTE unit, take note of the IP Address, Mac Address, Firmware version and Bootloader version. The Firmware version should be 3Q4 or later and the Bootloader version should be 3.1 or later. If the RCM firmware needs to be updated, the image name is IBR_ZREMOTE_RCM_3Q4.hex (Refer to figure 3).

Figure 255.5.


Update IBR-ZREMOTE Firmware

Updating IBR-ZREMOTE Firmware

VERY IMPORTANT TIPS:

  • To use the Napco integration feature, you must Purchase the Napco Integration Feature and the software license must display, Napco Servers = 1.

  • To use the Napco Integration feature, you Must enable and configure it under System Settings>System-wide settings>Alarm Panel Integration tab.

  • There is no support for NL-MOD for communications with the CA4K Napco Integration feature. The NL-MOD is only used if firmware files need to be updated in the ZREMOTE..

  • The IBR-ZREMOTE or the IBR-ZREMOTE-W can be used with the CA4K Napco Integration feature.

  • If the IBR-ZREMOTE-W is used, the WIFI section is not supported with the CA4K Napco Integration feature.

  • Prior to configuring the CA4K software for Napco Integration, you must contact Napco Technical Support to program the Gem panel and the ZRemote.

Note: If the address of the IBR-ZREMOTE must be changed in the unit, please use the Napco Quick Start guide for reference to the available IBR-ZREMOTE Web utility.

Update the RCM IBR-ZREMOTE Firmware using the Napco NL-MOD configuration software

Note: This step is only performed if the IBR-ZREMOTE firmware files have to be updated in the RCM IBR-ZREMOTE unit. Refer to the Napco Tech Tip (Updating the IBR-ZREMOTE Firmware using the NL-MOD configuration software).

1. Using the Napco NL-MOD configuration software, update the firmware images for the RCM IBR-ZREMOTE. The two firmware images are IBR_ZREMOTE_RCM_3Q4.hex and Stack_ZWAVE_LUM_7027.hex.


Adding a Napco Server in CardAccess 4000

Adding Napco Servers in CA4K™

VERY IMPORTANT TIPS:

  • To use the Napco integration feature, you must Purchase the Napco Integration Feature and the software license must display, Napco Servers = 1.

  • To use the Napco Integration feature, you Must enable and configure it under System Settings>System-wide settings>Alarm Panel Integration tab.

  • There is no support for NL-MOD for communications with the CA4K Napco Integration feature. The NL-MOD is only used if firmware files need to be updated in the ZREMOTE..

  • The IBR-ZREMOTE or the IBR-ZREMOTE-W can be used with the CA4K Napco Integration feature.

  • If the IBR-ZREMOTE-W is used, the Wi-Fi section is not supported with the CA4K Napco Integration feature.

  • Prior to configuring the CA4K software for Napco Integration, you must contact Napco Technical Support to program the Gem panel and the ZRemote.

The first step in the integration process is to identify or add a NAPCO server in the CA4K™ that will communicate with the NAPCO Alarm Panels.

Follow the steps below to add a NAPCO Server that will communicate with the NAPCO Alarm Panels.
  • On the CA4K™ main toolbar, click System.

  • Click System Settings.

Fig.255.6. System menu in CA4K™.

Upon clicking System Settings, the System Settings screen will display.

  • Click System-wide Settings tab.

  • Click Alarm Panel Integration tab.

Fig.255.7. Alarm Panel Integration tab.

  • Select Use Napco Panel Checkbox.

  • Select Enforce NAPCO Permissions Settings.

Fig. 255.8. Alarm Panel Integration tab selections.

  • Click Add Napco Server.

Upon clicking Add Napco Server, the Add Napco Server dialog box will display.

  • Enter the UNC NAME of the computer that will communicate with the Napco panel. .

  • Enter the IP Address of the computer that will communicate with the Napco panel.

  • Click OK.

Fig. 255.9. Add Napco Server box.

Upon clicking OK, the Workstation Name and IP Address will display in the main window.

Fig. 255.10. Add Napco Server Workstation screen.

  • Click Save.

  • Click Close.

Once a NAPCO server is added in System Settings, you are ready to configure the given NAPCO Alarm Panel in the CA4K software. This can be done in the NAPCO Panel Configuration screen.

VERY IMPORTANT: If Napco does not display on the configuration menu, it is recommended to verify it is enabled as per the previous steps. If possible, shut down the CA4K and relaunch it.

Follow the steps below to configure a NAPCO Panel in the CA4K.

  • On the CA4K™ main toolbar, click Configuration.

  • Click Napco.

Fig. 255.11. Configuration>Napco menu selection.

  • Click Napco Panels.

Fig. 255.12. The 'Napco Panels' menu selection.

Upon clicking Napco Panels, the Napco Panel configuration screen will display.

VERY IMPORTANT: If possible, use the MAC ADDRESS of the IBR-ZREMOTE for the Network Address below.

  • Click New.

Fig. 255.13. Configuration Napco Panel screen.

The following settings are made under the General tab.

  • Enter a Device Name (Napco Panel Name).

  • Select a Panel Type from the drop-down list.

  • Select Enabled..

  • Enter in a Panel Security Code.

  • Select the Workstation where the Napco server is running.

  • Select ZRemote for the 'Connection Type'.

  • Enter the Network Address of the Zremote. Note: For ZRemote connection type, it is recommended to use the MAC Address for the Network Address instead of the IP Address.

  • Enter in Socket Number of 8003 for the Zremote.

  • Enter in the PC Security Code if one is used..

  • Click Save after all the settings are configured.

Event Definitions Tab

A click on the Event Definitions tab will display the list of all event definitions that can be generated by the configured NAPCO Alarm Panel.
  • Click Event Definitions tab.

Fig. 255.14. Napco Panel Event Definitions screen.


Adding a Napco Area

Adding Napco Areas in CA4K™

VERY IMPORTANT TIPS:

  • To use the Napco integration feature, you must Purchase the Napco Integration Feature and the software license must display, Napco Servers = 1.

  • To use the Napco Integration feature, you Must enable and configure it under System Settings>System-wide settings>Alarm Panel Integration tab.

  • There is no support for NL-MOD for communications with the CA4K Napco Integration feature. The NL-MOD is only used if firmware files need to be updated in the ZREMOTE..

  • The IBR-ZREMOTE or the IBR-ZREMOTE-W can be used with the CA4K Napco Integration feature.

  • If the IBR-ZREMOTE-W is used, the Wi-Fi section is not supported with the CA4K Napco Integration feature.

  • Prior to configuring the CA4K software for Napco Integration, you must contact Napco Technical Support to program the Gem panel and the ZRemote.

All NAPCO Alarm Panels have a certain number of NAPCO Areas that need to be configured. The Gem-X255 and the Gem-P9600 Panels have eight NAPCO Areas each, while Gem-P3200 Panels have two NAPCO Areas.The NAPCO Areas must be configured in the NAPCO Area Configuration screen, available in the CA4K™ software.

Note: Configuration of Napco Areas in the CA4K™ must coincide with the programming done using the Napco Quickloader for Windows program.

NAPCO Area Configuration

Follow the steps below to access the NAPCO Area Configuration screen:

On the CA4K™ main toolbar, click Configuration.

Upon clicking Configuration, the Configuration menu will display.

  • Click Napco.

Fig. 255.15.Configuration>Napco menu selection.

  • Click Napco Areas.

Fig. 255.16. The 'NAPCO Areas' menu selection.

Upon clicking, the NAPCO Area Configuration screen will be displayed. The screen will show the NAPCO areas of all NAPCO Alarm Panels (irrespective of the Panels' Enabled Checkbox values) that are created in the NAPCO Panel Configuration screen.

Folder Tabs

The NAPCO Area configuration screen has two tabs. They are the General and Event Definitions tabs

The tabs are explained below.

General Tab

Fig. 255.17. NAPCO Area Configuration screen.

Below we explain how to configure the NAPCO Area.

 Configuring NAPCO Areas (This screen might vary depending on the version of CA4K you are using)
When the NAPCO Area Configuration screen is opened (see above), the row containing Area Number 1 will be selected by default.

Note: All NAPCO Areas of a selected NAPCO Panel have to be configured. It is also necessary that the Areas are configured sequentially. No area can be skipped from configuration.

The following sections explain the folder tabs of the screen, which will give you a picture of how to configure your NAPCO Areas.

Fig. 255.18. NAPCO Area General Tab.

The following settings are made under the General tab.

  • Enter in a Device Name (Napco Area Name).

  • Select a predefined Alarm Panel from the drop-down list.

  • Select Configured.

  • Select Burg for Area Type.

  • Select the Workstation where the Napco server is running.

  • Select ALL for manual control privilege.

  • Click Save after all the Area settings are configured.

Event Definition Tab

A click on the Event Definitions tab will display the list of event definitions that can be generated by the NAPCO Area in question.

Fig. 255.19. Napco Areas Event definitions.

The event definitions can be edited if desired. This is explained under the following heading.
Editing a NAPCO Area Event Definition
  • Click on Event Definitions tab
Note: Changes made to an event definition of a selected NAPCO Area will affect that particular Area only. The same definition for other Areas will remain unaffected.
  • Click the OK button in the dialog to save the changes made to the selected Event Definition.
  • Click the Save button on the NAPCO Area configuration tool bar to save the settings

Click the Close button to close the screen.

Note: Similarly, all the other areas of the selected NAPCO Panel must be configured in succession.

After all of the NAPCO areas are configured, configuration of NAPCO zones must be undertaken.


Adding a Napco Zone

Adding Napco Zones in CA4K™

VERY IMPORTANT TIPS:

  • To use the Napco integration feature, you must Purchase the Napco Integration Feature and the software license must display, Napco Servers = 1.

  • To use the Napco Integration feature, you Must enable and configure it under System Settings>System-wide settings>Alarm Panel Integration tab.

  • There is no support for NL-MOD for communications with the CA4K Napco Integration feature. The NL-MOD is only used if firmware files need to be updated in the ZREMOTE..

  • The IBR-ZREMOTE or the IBR-ZREMOTE-W can be used with the CA4K Napco Integration feature.

  • If the IBR-ZREMOTE-W is used, the Wi-FI section is not supported with the CA4K Napco Integration feature.

  • Prior to configuring the CA4K software for Napco Integration, you must contact Napco Technical Support to program the Gem panel and the ZRemote.

All NAPCO Alarm Panels have a certain number of NAPCO Zones that need to be configured. A Gem-X255 panel has 255 Zones; a Gem-P9600 panel has 96 zones, while a Gem-P3200 panel has 32 zones.

The NAPCO Zones must be configured in the NAPCO Zone Configuration screen.

Note: Configuration of Napco Zones in the CA4K™ must coincide with the programming done using the Quickloader for Windows program.

Follow the steps below to access the NAPCO Zone Configuration screen:

In the CA4K™ main screen, click on Configuration menu. Move the mouse cursor over NAPCO Panels menu item to display the submenu.

NAPCO Zones Configuration

Follow the steps below to access the NAPCO Zones Configuration screen:

On the CA4K™ main toolbar, click Configuration.

Upon clicking Configuration, the Configuration menu will display.

  • Click Napco.

Fig. 255.20. Configuration>Napco menu selection.

  • Click Napco Zones.

Fig. 255.21. The 'Napco Zones' menu selection.

Upon clicking, the NAPCO Zones Configuration screen will be displayed. The screen will show the NAPCO Zones of all NAPCO Alarm Panels (irrespective of the Panels' Enabled Checkbox values) that are created in the NAPCO Panel Configuration screen.

The figure below shows the NAPCO Zones of the Main Building Napco Panel that we created earlier in the NAPCO Panel Configuration screen. To view all the Zone records, use the vertical scroll bar on the right hand side of the screen. In the figure below, the Video System is not enabled in System Settings and the DVR configuration screen does not display.

Fig.255.22. NAPCO Zone Configuration screen showing.

Note: If the Zone Number column above is not sorted numerically, click the column heading for Zone Number to soft the Zone numbers.

Below we explain how to configure NAPCO Zones.

Configuring NAPCO Zones
When the NAPCO Zone Configuration screen is opened (see figure above), the row containing Zone Number 1 will be highlighted.

The following sections explain the folder tabs of the screen, which will give you a picture of how to configure your NAPCO Zones.
General Tab

To configure a NAPCO Zone, highlight that zone in the upper half of the screen.

Fig. 255.23. Selecting a NAPCO Area for the selected Zone.

The following are the details of the General area in General tab:

Zone Number
Against the words Zone Number, you will see the Zone Number assigned to the NAPCO Zone that is currently highlighted in NAPCO Zone Configuration screen in the figures above. This number will match with the number seen in the Zone Number column of the highlighted NAPCO Zone record.

Area

Using the Area control, you need to select the NAPCO Area to which selected zone belongs. Click the down arrow to the right of the control and select the correct NAPCO Area. The list will show the names of all NAPCO Area that are entered in the NAPCO Area Configuration screen.

Note: The Area you select here must match the programming in the Napco Quickloader software.

Zone Configured

By default, this Checkbox will not be enabled. Click the check box if you wish to enable the Zone in question.

This completes the basic configuration of the selected NAPCO Zone.

Click the Save button in the tool bar to save these settings.

A NAPCO Zone can also be configured for the special features such as DVR Recorded Video and Force Recording. The controls in the General tab DVR Area must be used to enable these features. Let us learn how to configure the selected NAPCO Zone for special features by employing the DVR area controls.

DVR Area

Upon enabling Video System in System settings, the DVR Area screen will display as per the figure below. .

Fig. 255.24. The 'DVR' area in NAPCO Zone General tab.

Fields of the DVR area can be used to configure the selected NAPCO zone for the following:
  • DVR Recorded Video and Force Recording

Below, we learn how to configure a NAPCO Zone for DVR Recorded Video.

Configuring a NAPCO Zone for DVR Recorded Video

A NAPCO Zone can be configured to support DVR Recorded Videos (of the Events/Alerts it can generate), by making use of the controls in the NAPCO Zone Configuration screen, on the General tab 'DVR' area.

Follow the steps below to configure the selected NAPCO Zone for DVR Recorded Video.

Open NAPCO Zone Configuration screen by clicking on Configuration>NAPCO Panels> NAPCO Zones menu options in the CA4K™ main screen. The screen will open in the General tab by default.

In the upper half of the screen, select the NAPCO Zone to which you wish to associate a DVR camera, and click on that record.

In the General tab DVR Area, configure the DVR settings as per the following figure.

Note: The DVR must be pre-configured under DVR>Configuration prior to assigning it to a zone.

Fig.255.25. Configuration settings for DVR Recording.

Upon selecting a DVR Server Name, the Camera control will be populated with the names of all cameras that are connected to the selected DVR server. For this demonstration, we are using the Salient Demo site.

Click the down arrow to the right of Camera control, and select the DVR camera you wish to associate with the NAPCO Zone selected in the upper half of the screen. .

  • Enter the Pre Event Time in its edit box either by typing a number of choice, or by using the up/down arrow to choose a desired number. (Pre-event time is the view time before the occurrence of an event, from the selected NAPCO Zone).

  • Enter the Post Event Time in its edit box either by typing a number of choice, or by using the up/down arrow to choose a desired number. (Post-event time is the view time after the occurrence of an event, from the selected NAPCO Zone).

  • Enter the lower limit of the priority range in the Priority From edit box. The lowest number you can enter in this edit box is 1.

  • Select a 'DVR Recording Schedule'. For our demonstration, we will select a 24x7 schedule.

Note: Priority range is the range in which events of different priorities fall into. The DVR recorded video of only those events falling within this range can be viewed in CA4K™.

  • Enter the upper limit of the priority range in the Priority To edit box. The highest number you can enter in this edit box is 98

  • Click the Save button on the toolbar to save these settings

From now onwards, you will be able to view the DVR recorded video of any Event/Alert generated by the selected NAPCO Zone, provided, the Event/Alert falls within the specified priority range.

Next, let us learn the configuration of NAPCO Zones for Force Recording.

 Force Recording for NAPCO Zone Events/Alerts

You may be interested in the DVR recording of Events/Alerts generated by certain NAPCO Zones in the CA4K™. This can be achieved by forcing a DVR camera to record video whenever there are Event/Alert occurrences from those zones. This kind of video recording can be termed as 'force' recording.

For force recording to take place, the concerned Napco Zones must be configured for force recording.

Note:

The DVR application MUST be kept running for 'force' recording to take place.

Configuration for Force Recording

Configuration for force recording is done as per the steps below:

Step 1: Firstly you need to select Enable Video Service under the System>System Settings>Workstation screen as per the step below. .

Step 2: Secondly, you need to configure the Napco Zones for whose Event/Alert occurrences you wish to enforce video recording.
The steps are discussed below.

Enable Video Service

  • Click on System>System Settings>Workstation. Select 'Enable Video Service'.

  • Click the Save button in the toolbar to save this setting.

Once this is done, force recording will be enabled.

Configuring a NAPCO Zone for Force Recording

A NAPCO Zone can be set up to facilitate force recording of video for the Events/Alerts it can generate. This is done by using the controls in the NAPCO Zone Configuration screen, on the General tab 'DVR' area.

Make sure that the particular NAPCO Zone is configured to support DVR Recorded Videos as well. The concept is to enable force recording (which we explain below) for the given NAPCO Zone, and then view the recorded video of the Event/Alert occurrences from that Zone.

To configure a NAPCO Zone for DVR Recorded Videos, please refer to the previous topics.

Below we discuss the steps to configure a NAPCO Zone for force recording.

  • Open NAPCO Zone Configuration screen by clicking on Configuration>NAPCO Panels> NAPCO Zones menu options in the CA4K™ main screen. The screen will open in the General tab by default.

  • In the upper half of the screen, select the NAPCO Zone for whose Events/Alerts you wish to enforce DVR, and click on that NAPCO Zone record.

As per the steps above, make sure the first six controls in the General tab DVR area are configured for DVR Recorded videos.

From now onwards, whenever the selected NAPCO Zone generates an Event/Alert, the computer will send a command to the DVR Camera (selected in the Camera control, on General Tab DVR area) to enforce DVR recording of the particular Event/Alert occurrence.

This aspect will be reflected almost immediately in the Audit Trail screen accessible by System>Audit Trail menu options in the CA4K™ main screen.

Once, the number of seconds fixed for force recording (as specified in the DVR area) has elapsed, you are ready to view the DVR Recorded video of the Event/Alert. Refer the topic 'Viewing DVR Recorded Video of CA4K™ Events/Alerts' in the DVR section to learn the various methods of viewing the DVR Recorded video.

This completes the General tab settings for the special features- DVR Recorded Video and Force Recording, for the selected NAPCO Zone.

Let us now move on to the Events Definitions tab of NAPCO Zone Configuration screen.

Event Definitions Tab

A click on the Event Definitions tab will display the list of event definitions that can be generated by the selected NAPCO Zone.

Fig. 255.26. Event Definitions for NAPCO Zones.

The event definitions can be edited if desired. This is explained below.

Editing a NAPCO Zone Event Definition
Follow the steps below:

Open NAPCO Zone Configuration screen by clicking on Configuration>NAPCO Panels>NAPCO Zones menu options in the CA4K™ main screen. The screen will open in the General tab by default.

Click on Event Definitions tab.

Locate the event definition you wish to edit, and make the necessary changes.

  • Click the Save button on the NAPCO Zone configuration tool bar to save the settings.

  • Click the Close button to close the screen.


Configure Napco Permissions

VERY IMPORTANT TIPS:

  • To use the Napco integration feature, you must Purchase the Napco Integration Feature and the software license must display, Napco Servers = 1.

  • To use the Napco Integration feature, you Must enable and configure it under System Settings>System-wide settings>Alarm Panel Integration tab.

  • There is no support for NL-MOD for communications with the CA4K Napco Integration feature. The NL-MOD is only used if firmware files need to be updated in the ZREMOTE..

  • The IBR-ZREMOTE or the IBR-ZREMOTE-W can be used with the CA4K Napco Integration feature.

  • If the IBR-ZREMOTE-W is used, the WIFI section is not supported with the CA4K Napco Integration feature.

  • Prior to configuring the CA4K software for Napco Integration, you must contact Napco Technical Support to program the Gem panel and the ZRemote.

The Napco Integration feature with CA4K provides the ability to program a CA4K cardholder, or cardholders, to arm or disarm a Napco alarm

area/areas. This requires assigning permissions to the cardholder. Configuring permissions will be covered on the following pages.

Follow the steps below to configure NAPCO Permissions in the CA4K.

  • On the CA4K™ main toolbar, click Configuration.

  • Click Napco.

Fig. 255.27. The 'Configuration>Napco menu selection.

  • Click Napco Permissions.

Fig. 255.28. The 'Napco Permissions' menu selection.

Upon clicking Napco Permissions, the Napco Permissions configuration screen will display.

  • Click New.

  • Click Permission #1 Full Control (This should be the default selection).

  • Select Allow Arm and Allow Disarm for the First Floor area.

Fig. 255.29. The Napco Permissions screen. Configuration>Napco Relays' menu selection.

  • Click Permission #2 Arm Only.

  • Select Allow Arm only for the First Floor area.

Fig. 255.30. The Napco Permissions screen.

  • Click Permission #3 Disarm Only.

  • Select Allow Disarm only for the First Floor area.

Fig. 255.31. The Napco Permissions screen.


Napco Relay Configuration

Adding Napco Relays in CA4K™

VERY IMPORTANT TIPS:

  • To use the Napco integration feature, you must Purchase the Napco Integration Feature and the software license must display, Napco Servers = 1.

  • To use the Napco Integration feature, you Must enable and configure it under System Settings>System-wide settings>Alarm Panel Integration tab.

  • There is no support for NL-MOD for communications with the CA4K Napco Integration feature. The NL-MOD is only used if firmware files need to be updated in the ZREMOTE..

  • The IBR-ZREMOTE or the IBR-ZREMOTE-W can be used with the CA4K Napco Integration feature.

  • If the IBR-ZREMOTE-W is used, the WIFI section is not supported with the CA4K Napco Integration feature.

  • Prior to configuring the CA4K software for Napco Integration, you must contact Napco Technical Support to program the Gem panel and the ZRemote.

NAPCO Relay Configuration

Follow the steps below to access the NAPCO Relay Configuration screen:

In the CA4K™ main toolbar, click 'Configuration'.

Upon clicking Configuration, the 'Configuration' menu will display.

  • Click Napco.

Fig. 255.32. Configuration>Napco menu selection.

  • Click 'Napco Relays'.

Fig. 255.33. The 'Napco Relays' menu selection.

Upon clicking 'NAPCO Relays', the 'Napco Relays Configuration' screen will be displayed. The screen will show the NAPCO Relays of all NAPCO Panels (irrespective of the Panels' Enabled Checkbox values) that are created in the NAPCO Panel Configuration screen.

The figure below shows the NAPCO Relays of Panel 1 that we created earlier in the NAPCO Panel Configuration screen. To view all the Relay records, use the vertical scroll bar on the right hand side of the screen. If the Napco relays change state, the Relay events will display in the CA4K event grid if configured to 'Generate Event'.

Configuring NAPCO Relays
When the NAPCO Relay Configuration screen is opened, the row containing Relay Number 1 will be highlighted.

The following sections explain the folder tabs of the screen, which will give you a picture of how to configure your NAPCO Relays.

General Tab

The General Tab consists of the following settings:

  • Select 'Alarm Panel'.

  • Select 'Relay Configured' Checkbox. .

Fig. 255.34. The 'Configuration>Napco Relays' configuration screen.

Event Definition Tab

A click on the Event Definition tab will display the list of event definitions that can be generated by the selected NAPCO Relay.

  • Select 'Generate Event' if you want the event to display.

Changes made to an event definition of a selected NAPCO Relay will affect that particular Relay only. The same definition for other Relays will remain unaffected.

  • Click the Save button in the NAPCO Relay configuration tool bar to save the settings.

  • Click the Close button to close the screen.

Fig.255.35. The 'NAPCO Relay Configuration' screen.

Note: Similarly, the other relays of the selected panel can be configured.

After the entire configuration is thus completed, the given NAPCO Alarm Panel is ready to be Armed/Disarmed.


Configuring a Panel for Napco

Configuring a Panel for Napco Integration

VERY IMPORTANT TIPS:

  • To use the Napco integration feature, you must Purchase the Napco Integration Feature and the software license must display, Napco Servers = 1.

  • To use the Napco Integration feature, you Must enable and configure it under System Settings>System-wide settings>Alarm Panel Integration tab.

  • There is no support for NL-MOD for communications with the CA4K Napco Integration feature. The NL-MOD is only used if firmware files need to be updated in the ZREMOTE..

  • The IBR-ZREMOTE or the IBR-ZREMOTE-W can be used with the CA4K Napco Integration feature.

  • If the IBR-ZREMOTE-W is used, the Wi-Fi section is not supported with the CA4K Napco Integration feature.

  • Prior to configuring the CA4K software for Napco Integration, you must contact Napco Technical Support to program the Gem panel and the ZRemote.

Configuring Napco Panel Link

Upon adding and configuring the Napco panel (Main Building), you must assign it to a Continental Panel.

  • Click Configuration>Panels.

  • Select the Panel that will be associated with the Napco panel.

  • Click the Napco Panel Link drop-down box.

  • Select Main Building.

Fig. 255.36. Napco Panel Link setting.

Panel Users Tab

  • Click Panel Users tab.

A click on the Panel Users tab will display the list of Napco users and their associated badges in the CA4K.

Fig. 255.37. Panel Users screen.


Configuring a Reader for Napco

Configuring a Reader for Napco Integration

VERY IMPORTANT TIPS:

  • To use the Napco integration feature, you must Purchase the Napco Integration Feature and the software license must display, Napco Servers = 1.

  • To use the Napco Integration feature, you Must enable and configure it under System Settings>System-wide settings>Alarm Panel Integration tab.

  • There is no support for NL-MOD for communications with the CA4K Napco Integration feature. The NL-MOD is only used if firmware files need to be updated in the ZREMOTE..

  • The IBR-ZREMOTE or the IBR-ZREMOTE-W can be used with the CA4K Napco Integration feature.

  • If the IBR-ZREMOTE-W is used, the WIFI section is not supported with the CA4K Napco Integration feature.

  • Prior to configuring the CA4K software for Napco Integration, you must contact Napco Technical Support to program the Gem panel and the ZRemote.

Configuring a Reader to Arm or Disarm an Area

Upon adding Napco Areas and Zones, you must configure Readers to Arm/Disarm Napco Areas.

  • Click Configuration>Readers.

  • Click Remote Control .

  • Select the Reader that will be associated with the Napco Area.

  • Select the Napco Area the reader will Arm or Disarm.

Fig. 255.38. The Reader Remote Control tab.


Configuring Personnel for Napco

Configuring a Badge in Personnel for Napco Integration

VERY IMPORTANT TIPS:

  • To use the Napco integration feature, you must Purchase the Napco Integration Feature and the software license must display, Napco Servers = 1.

  • To use the Napco Integration feature, you Must enable and configure it under System Settings>System-wide settings>Alarm Panel Integration tab.

  • There is no support for NL-MOD for communications with the CA4K Napco Integration feature. The NL-MOD is only used if firmware files need to be updated in the ZREMOTE..

  • The IBR-ZREMOTE or the IBR-ZREMOTE-W can be used with the CA4K Napco Integration feature.

  • If the IBR-ZREMOTE-W is used, the WIFI section is not supported with the CA4K Napco Integration feature.

  • Prior to configuring the CA4K software for Napco Integration, you must contact Napco Technical Support to program the Gem panel and the ZRemote.

After the Napco permissions are configured, you must assign the permissions to the cardholders.

  • Click Personnel.

  • Click the Napco Permissions drop-down list.

  • Select Full Control.

Fig. 255.39. Assign Napco Permissions to a Badge Record in Personnel..

Upon configuring the Napco permission for a cardholder, the cardholder will be able to Arm or Disarm an area depending on the permission assigned to their badge. For our demonstration, they will have Full Control to Arm n


EPI Builder Badging4K

MUST READ - VERY IMPORTANT NOTES:

  • The EPI version in the CA4K is much newer than the EPI version in the CA3000. The version of EPI in the CardAccess 3000 is Version 6.1 and the version in the CA4K software is V6.9.

  • The EPI licenses are the same for both EPI Versions, 6.1 and 6.9.

  • The Badging 4K integrates with the CA4K™ and MUST NEVER be launched outside of the CA4K™ software.

  • After EPI Badging 4K is installed from the CA4K DVD, the EPI Activation utilities can be found under Start> Programs. You must right click and Run As Administrator.

  • If EPI fails to function, you must verify the ODBC connection is still present and pointing to the correct live database.

VERY IMPORTANT - On a CA4K workstation, you might have to configure the ODBC DSN connection manually because it does not know the host SQL server name. If EPI is not functioning after a new installation on a workstation, please verify if the ODBC connection is present and pointing to the correct SQL Server and Live Configuration database.

PLEASE ALSO REFER TO THE 4 VIDEO SERIES ON EPI BUILDER IN THE CONTINENTAL VIDEO LIBRARY.

EPIBuilder Badging 4K software facilitates quick and easy creation of full-color photo badge templates. Templates that include photos and text can also be created using this software. It is possible to import eye-catching graphics as card backgrounds, and personalize the card designs to include logos of the organizations. Bar codes can be added and magnetic stripes can be encoded. Thus, even without being a design professional, it is possible to obtain picture-perfect results with the help of this software.

The version of EPI Builder in the CA4K is newer than the version of EPI in the CardAccess 3000. This newer version of EPI Builder provides support on Windows 8.1 Pro and Windows 10 Pro. The version of EPI in the CA3000 was supported on Windows XP and older operating systems. The version of EPI in the CardAccess 3000 is Version 6.1 and the version in the CA4K software is V6.9.

VERY IMPORTANT: EPI Builder Badging 4K is used with the CA4K™. The Badging 4K integrates with the CA4K™ and must NEVER be launched outside of the CA4K™ software.

Note: The Continental Document Library contains multiple documents generated by Imageware Systems for the EPI Badging 4K. Please refer to them for additional detailed information on designing badges.

PERFORM THE FOLLOWING STEPS TO INSTALL, LICENSE AND DESIGN AN EPI TEMPLATE.

1) Purchase EPI licenses from Continental Access (Runtime and Designer) licenses.

2) Install EPI Builder from the CA4K DVD. During the CA4K Installation, you will have to option to install EPI Badging4K. Select this option to install EPI Badging.

3) After the CA4K and EPI installation is complete, use the EPI Builder license utilities and activate the EPI Designer and EPI Runtime Licenses (refer to the following topics).

4) After the licenses are activated, launch the CA4K software and enable Badging 4K in System Settings>Workstation.

5) Launch EPI by clicking Administration>Photo ID.

6) Design a new Badge Template and Save it. .

7) Open a badge in Personnel, and under the Photo tab, select the template.

8) Preview or Print the Badge.

9) If you purchased the EPI Canon EOS license, you must download the Canon Plug-in from the Imageware Systems website. Next you must install the Canon Plug-in.

10 Upon installing the Canon plug-in, you must activate the Canon license.

11) If you purchased the EPI Canon EOS camera, DO NOT install the software that comes with the camera. The only software you install is the EPI Canon EOS plug-in.

12) To do live capture with the Canon EOS camera, the camera must be set to LIVE VIEW.


Activating Badging 4K licenses

Activating EPI Badging4K Licenses

MUST READ - VERY IMPORTANT NOTES:

  • The EPI version in the CA4K is much newer than the EPI version in the CA3000. The version of EPI in the CardAccess 3000 is Version 6.1 and the version in the CA4K software is V6.9.

  • The EPI licenses are the same for both EPI Versions, 6.1 and 6.9.

  • The Badging 4K integrates with the CA4K™ and MUST NEVER be launched outside of the CA4K™ software.

  • After EPI Badging 4K is installed from the CA4K DVD, the EPI Activation utilities can be found under Start> Programs. You must right click and Run As Administrator.

  • If EPI fails to function, you must verify the ODBC connection is still present and pointing to the correct live database.

  • The EPI licensing server is located at Imageware Systems and is administered by them. If you need a license reset, you must fill out an Imageware support request form at the link below.

Very Important: To activate the EPI Builder Runtime and Designer licenses, you must right click and "Run As Administrator" for the activation function to work properly. If you are still experiencing issues while activating the EPI licenses, you must visit the Imageware website and fill out an EPI support request ticket online. You no longer can call up Imageware Systems for license support and resets. The link to the EPI online support request is below. While filling out the online support request form, you must put your two EPI license numbers in the description field.

https://imageware.io/support-request/

In order to use the Badging 4K photo-badging interface in the CA4K™ software, you must first install EPI Builder. During the installation of CA4K, you will have the option to install EPI Badging 4K. After EPI Builder is installed, you MUST activate the EPIBuilder Run-Time and EPIBuilder Designer Licenses. Note: It is highly recommended to Activate and Register the EPI licenses via the internet. If a connection to the internet is not available, a telephone registration and activation can be performed by Imageware Systems.

The activation process of the two licenses (Run-Time and Designer) is detailed in separate sections below. Reminder - If you have any issues activating or registering the EPI licenses, you must visit the Imageware website and fill out a support request ticket online. You no longer can call up Imageware Systems for a license reset. The link to the EPI online support request is above.

Activating EPIBuilder Runtime License

Following are the steps to activate the EPI Run-Time License via the Internet. .
  • Click Start>All Programs>EPI Builder Run-Time 6>Activate EPI Builder Runtime License options on your computer.

Very Important: You must right click and select "Run As Administrator".

Fig. 260.1. Choosing 'Activate EPI Builder Runtime License' option.

  • Upon clicking, you will see a splash screen followed by a dialog box which prompts for the Run Time License Serial Number.

Fig. 260.2. EPI Builder Splash Screen.

  • Type in the Run Time License Serial Number made available to you, and click the OK button in the dialog box.

Fig. 260.3. Dialog Box prompting for Run Time License Serial Number.

  • Upon clicking OK, the Product Activation screen displays which offers optional methods for activating Badging4K.

Fig. 260.4. The 'Product Activation' dialog for choosing an activation method.

  • Choose the activation method you prefer, click on the corresponding radio button, and then click on OK button.

  • In case you retain the default option Activate via Internet, then follow the internet activation steps.

  • If you select the Activate by Phone radio button option, then follow the phone activation steps.

Activate via Internet

  • Upon clicking OK in the Product Activation dialog with the default selection Activate via Internet, you will see the Product Activation via Internet dialog box display. In this dialog box, you will see the Serial Number you input earlier.

Fig. 260.5. The 'Product Activation via Internet' dialog box showing the Serial Number entered earlier.

  • If you have an active connection to the internet, click the OK button in the Product Activation via Internet dialog box.

  • If your company uses a proxy server, then click on Proxy button to enter the Proxy Server information and click the Ok button in the 'Proxy Server Setup' dialog box. You will be taken back to the 'Product Activation via Internet' dialog box where you again need to click the Ok button.

Fig. 260.6. The 'Proxy Server Setup' Dialog Box.

Activate by Phone

If you chose to Activate by phone, you will see the Phone Product Activation dialog box display as per the following figure. In this dialog box, you will see the Serial Number you input earlier, as well as the Activation Request Number.

Fig. 260.7. The 'Phone Product Activation' Dialog Box.

To perform the phone activation, you will now have to call Imageware (EPI) at 1-858-683-7940 and provide the Serial Number as well as the Activation Request Number.

After providing the Serial Number and the Activation Request Number, EPI will provide you an Activation Number. Enter the Activation code in the Activation Code fields seen in the dialog box above, and then click on OK button.

  • After performing the previous steps, you will see the progress bar for license file creation, followed by the Product Registration form.

Fig.260.8. Progress bar for license file creation.

  • Enter all the necessary information in the Registration Form, and click on OK button.

Fig. 260.9. The Product Registration Form.

Upon clicking OK, you will now see the following message box indicating the successful activation of your product.

Fig. 260.10. Message box displayed after successful activation.

  • Click the Ok button in the above message box.

Fig. 260.11. About screen showing the details of the licensed product.

Upon clicking OK, you will now see the final message box showing the details of your licensed product.

VERY IMPORTANT NOTE: Once the EPI Runtime license is activated, click About on the main menu and take a screen shot of the screen. The About screen will display the license number. Keep this screen shot containing your license number in a safe place.
  • Click the Exit button on the EPI Run-Time 'Licensed Product' screen.

Activating EPIBuilder Designer License

The following steps are very similar to the previous steps performed for the Run-Time License.

  • Click Start>All Programs>EPI Builder Run-Time 6 Activate EPIDesigner License options on your computer.

    Very Important: You must right click and select "Run As Administrator".

Fig. 260.12. Choosing 'Activate EPIDesigner License' option.

  • Upon clicking, you will see a splash screen followed by a dialog box which prompts for the Designer License Serial Number.

Fig.260.13. EPI Builder splash screen.

  • Type in the Designer License Serial Number made available to you, and click the OK button in the dialog box below.

Fig. 260.14. Dialog Box Prompting for EPIDesigner License Serial Number.

.

Upon clicking OK, you will see the Product Activation dialog display which offers optional methods for activating Badging4K.

Fig. 260.15. The 'Product Activation' dialog for choosing an activation method.

  • Choose the activation method you prefer, click on the corresponding radio button, and then click on OK button.

  • In case you retain the default option Activate via Internet, then follow the internet activation steps.

  • If you select the Activate by Phone radio button option, then follow the phone activation steps.

Activate via Internet

Upon clicking OK in the 'Product Activation' dialog box with the default selection Activate via Internet, you will see the Product Activation via Internet dialog box display. In this dialog box, you will see the Serial Number you input earlier.

Fig. 260.16. The 'Product Activation via Internet' dialog box showing the Serial Number entered earlier.

  • If you have an active connection to the internet, click the OK button in the 'Product Activation via Internet' dialog box.

  • In case your company uses a proxy server, then click on Proxy button to enter the Proxy Server information and click the Ok button in the Proxy Server Setup dialog box. You will be taken back to the 'Product Activation via Internet' dialog box, where you again need to click the Ok button.

Fig. 260.17. The 'Proxy Server Setup' Dialog Box.

Activate by Phone

Upon clicking OK in the 'Product Activation' dialog box with the Activate by Phone option selection, you will see the Phone Product Activation dialog box. In this dialog box, you will see the Serial Number you input earlier, as well as the Activation Request Number.

Fig. 260.18. The 'Phone Product Activation' Dialog Box.

To perform the phone activation, you will now have to call Imageware (EPI) at 1-858-683-7940 and provide the Serial Number as well as the Activation Request Number.

After providing the Serial Number and the Activation Request Number, EPI will provide you an Activation Number. Enter the Activation code in the Activation Code fields seen in the dialog box above, and then click on Ok button.

  • After performing the previous steps, you will see the progress bar for license file creation, followed by the 'Product Registration form'.

Fig. 260.19. Progress bar for license file creation.

  • Enter all the required information into the Registration Form and click on OK button.

Fig. 260.20. The Product Registration Form.

  • You will now see the following message box indicating the successful activation of your product.

Fig. 260.21. Message box displayed after successful activation

  • Click the OK button in the above message box.

Fig. 260.22. About screen showing the details of the licensed product.

Upon clicking OK, you will now see the final message box showing the details of your licensed product. VERY IMPORTANT NOTE: Once the EPI Designer license is activated, click About on the main menu and take a screen shot of the screen. The About screen will display the license number. Keep this screen shot containing your license number in a safe place.

  • Click the Exit button on the EPI Designer 'Licensed Product' screen.


Enabling Badging4K in CA4K™

MUST READ - VERY IMPORTANT NOTES:

  • The EPI version in the CA4K is much newer than the EPI version in the CA3000. The version of EPI in the CardAccess 3000 is Version 6.1 and the version in the CA4K software is V6.9.

  • The EPI licenses are the same for both EPI Versions, 6.1 and 6.9.

  • The Badging 4K integrates with the CA4K™ and MUST NEVER be launched outside of the CA4K™ software.

  • After EPI Badging 4K is installed from the CA4K DVD, the EPI Activation utilities can be found under Start> Programs. You must right click and Run As Administrator.

  • If EPI fails to function, you must verify the ODBC connection is still present and pointing to the correct live database.

In order to use the Badging 4K photo-badging interface in the CA4K™ software, the EPI Builder must be installed during the installation of the CA4K. After it is installed, you must first enable it in System Settings, prior to using it.

The first step is to enable Badging 4K in System Settings.

Enable Badging 4K

  • Click on System on the CA4K™ menu bar.

  • Click on System Settings.

  • Click on Workstation Settings.

  • Click on General tab.

Fig. 260.23. Message box showing the details of the licensed product.

  • Select Enable Badging System.

  • Select Badging 4k from the drop-down list.

  • Select a Badging Printer. The Badging printer must be configured in Windows prior to selecting it.

Fig. 260.24. The 'Badging 4K' controls.

  • Click Save.

  • Click Close.


EPIBadging New Badge Design

EPI Badging 4K

MUST READ - VERY IMPORTANT NOTES:

  • The EPI version in the CA4K is much newer than the EPI version in the CA3000. The version of EPI in the CardAccess 3000 is Version 6.1 and the version in the CA4K software is V6.9.

  • The EPI licenses are the same for both EPI Versions, 6.1 and 6.9.

  • The Badging 4K integrates with the CA4K™ and MUST NEVER be launched outside of the CA4K™ software.

  • After EPI Badging 4K is installed from the CA4K DVD, the EPI Activation utilities can be found under Start> Programs. You must right click and Run As Administrator.

  • If EPI fails to function, you must verify the ODBC connection is still present and pointing to the correct live database.

After the two EPI licenses are activated, registered, and Badging4K is enabled in System Settings, you can now create a new badge template.

Launching EPI Photo ID and Design Cards

  • Click on Administration on the CA4K™ menu bar.

  • Click on Photo ID

  • Click on Design Cards

Fig. 260.25. The 'Administration>Photo ID' menu selection.

Upon clicking Design Cards, the EPI Badge Designer window will open as per below. Use this screen to design the template. Much like the CardAccess 3000 EPI designer window, choose from the many available controls such as static text, dynamic text, static Image, Dynamic Image and many others.

VERY IMPORTANT: The Continental Document Library contains multiple documents generated by Imageware Systems for the EPI Badging. There is one Imageware document for the V6.2 that is in the CardAccess 3000 software and an Imageware document for V6.9, that is in the CA4K software. Please refer to them for additional detailed information on designing badge templates.

Fig. 260.26. The 'Badging 4K Designer' window.

Viewing existing Badge Templates

  • Click on Photo ID

  • Click on Administration on the CA4K™ menu bar.

  • Click on Badge Template Browser

Fig. 260.27. The 'Badge Template Browser' menu selection.

Upon clicking Badge Template Browser, the Template Browser window will open.

If templates have been previously created, they will display on the right side of the screen. .

If no templates exist, create a new template by clicking New Template. This will open the Template Designer window discussed above.

The following options are available on the Badge Template Browser screen::

  • New Template

  • Edit Template

  • Delete Template

Fig. 260.28. The 'Badge Template Browser' window with one template available.

  • Launch Personnel and click on the Photo tab.

Note: If the Photo tab is not displaying, you must enable Badging 4K under System Settings.

Fig. 260.29. The Photo tab screen.

  • Under the Photo tab, select a template from the Templates selection list.

VERY IMPORTANT - To IMPORT AN IMAGE from disk, you must first click CAPTURE PHOTO and then select LOAD IMAGE FROM DISK.

Fig. 260.30. The Templates selection box under the Photo tab.

  • Click Printing Task.

  • Click Print Preview

Note: For this example, the Employee template does not contain a Photo. To capture a photo, click the Image Task button for all image functions.

Fig. 260.31. The Photo tab buttons.

Upon clicking Print Preview, the badge template will display on the screen as per the figure below.

Fig. 260.32. The Preview screen.

Creating templates in the CA4K is very similar to creating templates in the CardAccess 3000. Refer to the EPI documentation in the Continental Document library for detailed information

regarding designing templates. In addition to the documentation, please refer to the four EPI Builder videos in the Continental video library.


Configuring an ODBC Connection

Configuring an ODBC Connection for EPI Badging 4K

MUST READ - VERY IMPORTANT NOTES:

  • The EPI version in the CA4K is much newer than the EPI version in the CA3000. The version of EPI in the CardAccess 3000 is Version 6.1 and the version in the CA4K software is V6.9.

  • The EPI licenses are the same for both EPI Versions, 6.1 and 6.9.

  • The Badging 4K integrates with the CA4K™ and MUST NEVER be launched outside of the CA4K™ software.

  • After EPI Badging 4K is installed from the CA4K DVD, the EPI Activation utilities can be found under Start> Programs. You must right click and Run As Administrator.

  • If EPI fails to function, you must verify the ODBC connection is still present and pointing to the correct live database.

VERY IMPORTANT - On a workstation, you might have to configure the ODBC DSN connection manually because it does not know the host SQL server name.

ODBC CONNECTION

EPI requires an ODBC connection to be created in Windows. After EPI is installed during the CA4K installation, it requires that you enable Badging4K in system settings. When you enable this in system settings is when the ODBC connection is created. If EPI fails to function and is licensed and enabled in System settings, you MUST verify the ODBC connection is present. As mentioned above, on a workstation, you might have to manually create the ODBC DSN connection.

The steps below are to configure the System DSN name in the ODBC 32 bit manager. If it is already configured, you can click Configure to check all the settings.

1) Prior to configuring the ODBC connection, you must determine the CA4K Live Configuration database name. During the configuration of the ODBC Connection, you must select the current Live Configuration database.

Figure 1.

2) Launch the CardAccess4K Database Utility. Type in pr1532 if prompted for the password (refer to figure 1)

Figure 2.

3) Upon launching the Database Utility, click the Database Connection tab to determine the Live Configuration database name (refer to figure 2).

Create ODBC DSN name On A 64 bit Computer

Figure 3.

4) To Create the ODBC DSN name on a 64 bit computer, you must use the odbcad32.exe in the SysWow64 folder. Go to “C:\Windows\SysWOW64 folder. Double click odbcad32.exe (refer to figure 3). The ODBC Data Source Administrator screen will display (refer to figure 4).

Note: The ODBC Data Sources (32 bit) under Administrative Tools is the same utility as the odbcad32.exe. You can also launch it from Administrative Tools.

Figure 4.

5) Click the “System DSN” tab and click “Add” to create a new DSN name (refer to figure 4).

Figure 5.

6) The Create New Data Source screen displays with a list of drivers. Select “SQL Server” driver and click “Finish” (refer to figure 5).

Figure 6.

7) The Create a New Data Source to SQL Server screen displays. Enter Badging as the DSN Name, CA4K DSN for the Description and select the SQL Server name where the CA4K Live Configuration database is installed. Click the “Next” button (refer to figure 6).

Figure 7.

8) Select “With SQL Server authentication using a login ID and password entered by user”. Enter the Login ID “cic” and password “Cic!23456789”. (This is the default SqlExpress user name and password in CA4K). Leave all other settings at default. Click the “Next” button (refer to figure 7).

Figure 8.

9) Verify the “Change the default database to” is checked and select the CA4K Live Configuration database from the dropdown list. Leave all other settings unchanged (refer to figure 8).

Figure 9.

10) In the final screen, leave all default settings and click “Finish” (refer to figure 9).

Figure 10.

11) The Test Data Source screen displays. After reviewing all the configuration data, click the Test Data Source button (refer to figure 10).

Figure 11.

12) Verify the message “TESTS COMPLETELY SUCCESSFULLY” displays. If there are any failures, verify all the previous steps are configured properly (refer to figure 11). Click “OK”.

Figure 12.

13) The ODBC Data Source Administrator screen should show a System DSN name “Badging”, Platform 32-bit and Driver SQL Server (Refer to Figure 12).

Verify settings in the CardAccess4K Database Utilities for EPI Badging on a 64 bit computer

Figure 13.

14) Launch the CA4K Database Utilities. If prompted for a password, type pr1532.

15) Click the General tab. The General Settings screen will display (refer to figure 13).

16) In the General Settings screen, expand the “Badging settings” node and make sure ODBC Connection Name is “Badging”. If needed, change the folder path for EPIBUILDER License File and EPIDesigner Executable File from “C:\Program Files\ImageWare Systems\…to ” “C:\Program Files (x86)\ImageWare Systems\…” (refer to figure 13).

VERY IMPORTANT: In almost all cases, these paths will be correct and not have to be modified.

17) Click “Save Settings.

18) Close the “CA4K Database Utility” and launch CA4K software. Now EPIDesigner functionalities should work on 64 bit windows.


Email Notification

MUST READ - VERY IMPORTANT NOTES:

  • The CA4K Email Notification feature requires a valid email provider to be configured in the CA4K.

  • On some email providers (ex. Gmail), it is required to lower the security settings in the email settings. For Gmail, the settings are in your google account.

  • The CA4K Email Notification settings must be configured in multiple locations in the CA4K.(System Settings>Script Servers>Messaging, Operators and Script Wizard).

  • As of CA4K V1.1.16 B137, the SMS notification does not provide the ability to insert an event message into the message body of the email message. The only option you have is to insert an in-list.

Email Notification Overview

Email Notification is used to alert a person via an email when a specific event occurs in the CA4K.


Email Notification Configuration

MUST READ - VERY IMPORTANT NOTES:

  • The CA4K Email Notification feature requires a valid email provider to be configured in the CA4K.

  • On some email providers (ex. Gmail), it is required to lower the security settings in the email settings. For Gmail, the settings are in your google account.

  • The CA4K Email Notification settings must be configured in multiple locations in the CA4K.(System Settings>Script Servers>Messaging, Operators and Script Wizard).

  • As of CA4K V1.1.16 B137, the Email notification does not provide the ability to insert an event message into the message body of the email message. The only option you have is to insert an in-list.

Email Notification Configuration

Email notification works in conjunction with the Script Server. If a Script Server is not configured, you must configure it as per the steps below. The configuration of Email Notification is performed under System Settings and Operators. Once Email Notification is configured in these two locations, a script must be programmed and executed to send the email.

Under System Settings>Script Servers>Messaging settings is where you configure your email provider information and provide the email addresses. Under the messaging tab is where you create your message templates.

The first step is to configure a Script Server.

Configuring a Script Server

  • Click on System on the CA4K™ menu bar.

  • Click on System Settings

  • Click on System-wide Settings

  • Click on Script Server(s)

Fig. 265.1. The 'Script Server(s)' screen.

  • Select Use Scripting

  • Click Add

Fig. 265.2. The 'Use Scripting' Checkbox.

  • Type in the UNC Name of the Server (Click This Machine to populate with the local computer UNC name).

  • Click OK

Fig. 265.3. The 'Add Script Server' box.

  • Click Save

Fig. 265.4. The 'Use Scripting' configuration screen.

The next step is to configure Messaging.

Configure Email Settings under Messaging

  • Click on System on the CA4K™ menu bar.

  • Click on System Settings

  • Click on System-wide Settings

  • Click on Script Server(s)

  • Click Messaging tab.

  • Enter the Email Server Information

Note: Previous versions of software did not provide the ability to enter an Email password. This required the Email server to be configured for Anonymous Authentication. In the current versions of software,

you have the ability to enter a password for the Email account, eliminating the need for the email server to be configured for Anonymous Authentication.

Fig. 265.5. The 'Email Settings' configuration screen. .

The configuration of the Email Settings screen should look similar to the following:

VERY IMPORTANT: If you are using Gmail, you might be required to lower the security settings. This can be done in your Google account.

Fig. 265.6. The 'Email Settings' screen.

The next step is to configure a Message Template.

Configure Message Templates

  • Click on System on the CA4K™ menu bar.

  • Click on System Settings

  • Click on Script Server(s)

  • Click Message Templates

  • Click Add

Fig. 265.7. The 'Enable SMS' controls.

  • Type in a Message Subject

  • Type in a Message Body

  • Verify Can be sent as an Email message is selected

  • Click OK

Note: As of CA4K V1.1.16 B137, the Email notification does not provide the ability to insert an event message into the message body of the email message. The only option you have is to insert an in-list. This

is done by the selections in the Include to Message body drop-down list.

Fig. 265.8. The 'Message Template' screen.

  • If you wish to include an InList to the Message body, select the appropriate option.

Fig. 265.9. The 'Include InList' option.

Upon clicking OK, the Message Template will display in the list of templates.

Very Important: You can double click the message template in the list to display the options you selected in the previous steps.

Fig. 265.10. The 'Message Template' screen.

The next step is to enable Messaging for an Operator. .

Accessing Operators Screen

  • Click on Administration on the CA4K™ menu bar.

  • Click on Operators.

Fig. 265.11. The 'Operators' menu selection screen.

Upon click Operators, the Operator screen will display.

  • Click the Personal tab for the operator.

Fig. 265.12. The 'Operators>Personal' tab.

  • Select Enable Email.

  • Enter an email address for the Operator.

  • Click Save

The configuration of Email Notification under Operators should look as follows. The email address under Operators is the email address the message will be sent to.

Note: The Paging section is for SNPP and is not used much anymore.

Fig. 265.13. The 'Enable Email' controls.

The next step is to create a script. The script should be programmed to send an email message when a specific action occurs. For more information on creating scripts, refer to the Scripting topic.

Very Important: Upon executing a script to send an email notification, it is highly recommended to view the audit trail for a successful or failed message.


SMS Messaging (Texting)

MUST READ - VERY IMPORTANT NOTES:

  • The CA4K SMS (texting) feature requires a valid SMS provider to be configured in the CA4K.

  • The CA4K SMS (texting) settings must be configured in multiple locations in the CA4K.(System Settings>Script Servers>Messaging, Operators and Script Wizard).

  • Some SMS providers accept dashes in the phone number, but most do not. It is recommended not to have the dashes in the phone number under Operators.

  • Upon executing a script to send an SMS message, an entry will be made in the audit trail whether it was successful or failed.

  • As of CA4K V1.1.16 B137, the SMS notification does not provide the ability to insert an event message into the message body of the email message. The only option you have is to insert an in-list.

SMS Messaging Overview

SMS Messaging is also known as Texting. It is used to alert a person via a text message when a specific action occurs in the CA4K.


SMS Messaging Configuration

SMS Messaging (Texting) Configuration

MUST READ - VERY IMPORTANT NOTES:

  • The CA4K SMS (texting) feature requires a valid SMS provider to be configured in the CA4K.

  • The CA4K SMS (texting) settings must be configured in multiple locations in the CA4K.(System Settings>Script Servers>Messaging, Operators and Script Wizard).

  • Some SMS providers accept dashes in the phone number, but most do not. It is recommended NOT to have the dashes in the phone number under Operators.

  • Upon executing a script to send an SMS message, an entry will be made in the audit trail whether it was successful or failed.

  • As of CA4K V1.1.16 B137, the SMS notification does not provide the ability to insert an event message into the message body of the email message. The only option you have is to insert an in-list.

VERY IMPORTANT - In the past, many of the Continental SMS documents written have referenced a test GMAIL email account. In 2022, GMAIL has enhanced their security and requires dual authentication. It is not recommended to use GMAIL email accounts anymore. In place of GMAIL, it is recommended to create an Outlook email account, and that will work fine with the Continental SMS applications.

SMS Messaging (Texting) configuration

SMS Messaging (Texting) works in conjunction with the Script Server. If a Script Server is not configured, you must configure it as per the steps below. The configuration of SMS Messaging (Texting) is performed under System Settings>Script Servers and Operators. After SMS Messaging (Texting) is configured in these two locations, a script must be programmed and executed to send the text message.

The first step is to configure a Script Server.

Configuring a Script Server

  • Click on System on the CA4K™ menu bar.

  • Click on System Settings

  • Click on System-wide Settings

  • Click on Script Server(s)

Fig. 265.1. The 'Script Server(s)' screen.

  • Select Use Scripting

  • Click Add

Fig. 265.2. The 'Use Scripting' Checkbox.

  • Type in the UNC Name of the server to use (Click This Machine to populate with the local computer UNC name).

  • Click OK.

Fig. 270.3. The 'Add Script Server' box.

  • Click Save

Fig. 270.4. The 'Use Scripting' configuration screen.

The next step is to configure Messaging.

Configure SMS under Messaging

  • Click on System on the CA4K™ menu bar.

  • Click on System Settings

  • Click on System-wide Settings

  • Click on Script Server(s)

  • Click Messaging

  • Click Add under SMS Provider Settings

Fig. 270.5. The 'SMS Provider Setting' configuration screen. .

Upon clicking Add, the Add SMS Provider screen displays.

  • Enter Provider Name

  • Enter Server URL

  • Enter SMS Type

  • Enter Parameters from which SMS will be sent

  • Enter Password

  • Click OK

Fig. 270.6. The 'Add SMS Provider' screen.

The configuration of the SMS Provider screen should look similar to the following. The Port number in the example below is the port number for GMail. Using the EMAIL SMS type, the text message is sent from a GMail account.

Note: The following example is using the EMAIL Type for SMS type. There is also a Web and API type. The Web and API types are more difficult to configure and require paid services.

Fig. 270.7. The 'SMS Provider' configuration screen.

The next step is to configure Message Templates.

Configure Message Templates

  • Click on System on the CA4K™ menu bar.

  • Click on System Settings

  • Click on Script Server(s)

  • Click Message Templates

  • Click Add

Fig. 270.8. The 'Enable SMS' controls.

  • Type in a Message Subject

  • Type in a Message Body

  • Verify Can be sent as an SMS message is selected

  • Click OK

Note: As of CA4K V1.1.16 B137, the SMS notification does not provide the ability to insert an event message into the message body of the email message. The only option you have is to insert an in-list. This

is done by the selections in the Include to Message body drop-down list.

Fig. 270.9. The 'Enable SMS' controls.

Upon clicking OK, the Message Template will display in the list of templates.

VERY IMPORTANT- You can double click the template in the list to display the settings as per the previous steps.

Fig. 270.10. The 'Message Template' screen.

  • If you wish to include an InList to the Message body, select the appropriate option.

Fig. 265.9. The 'Include InList' option.

The next step is to enable Messaging for an Operator.

Accessing Operators Screen

  • Click on Administration on the CA4K™ menu bar.

  • Click on Operators.

Fig. 270.11. The 'Operators' menu selection screen.

Upon clicking Operators, the Operator screen will display.

  • Click the Personal tab for the operator.

Fig. 270.12. The 'Operators>Personal' tab.

  • Type in a Phone Number for the operator.

  • Select Enable SMS

  • Click the down arrow on the Provider control.

  • Choose a Provider from the list.

  • Click Save

The configuration of SMS under Operators should look as follows:

Note: Some SMS providers accept dashes in the phone number, but most do not. It is recommended not to have the dashes in the phone number.

Fig. 270.13. The 'Enable SMS' controls.

The next step is to create a script. The script should be programmed to send a message via SMS when a specific action occurs. Information on creating scripts can be found under the Scripting topic.

Very Important: Upon executing a script to send an SMS message, it is highly recommended to view the audit trail for a successful or failed message.


LDAP (Lightweight Directory Access Protocol)

MUST READ - VERY IMPORTANT NOTES:

  • For LDAP Single Sign-On and AD Badge Import, they must be configured under System Settings>System-wide settings>LDAP tab.

  • The LDAP options in the CA4K provides the following functionality, Single Sign-On and Active Directory Badge Import.

  • If the LDAP settings are preventing CA4K from launching and will not log in, the LDAP settings MUST be RESET in the CA4K DBUtilities.

  • Single Sign-On is not supported on the Web Client

LDAP

What is LDAP? LDAP (Lightweight Directory Access Protocol) is an application protocol for querying and modifying items in directory service providers like Active Directory,

Active Directory

What is Active Directory? Active Directory is a directory service that Microsoft developed for the Windows domain networks. It is included in most Windows Server operating systems as a set of processes and services. In Active Directory, everything is considered an object and every AD object contains Object attributes. All AD objects have attributes that take unique or multiple values. These values describe the object characteristics. For example a user object in Active directory will have attributes such as his first name, second name, Manager name etc.

The following pages will explain how to configure these two functions.


LDAP Single Sign-On

MUST READ - VERY IMPORTANT NOTES:

  • Configuring LDAP Single Sign-On requires and experienced Active Directory Administrator to create Active Directory groups and other administrative functions.

  • To use the LDAP Single Sign-On function, it must be enabled and configured under System Settings>System-wide settings>LDAP tab.

  • If the LDAP settings are preventing CA4K from launching, the LDAP settings can be reset in the CA4K DBUtilities.

  • LDAP Single Sign-On is not supported on the Web Client

Refer to the following page fo Single Sign-On configuration information.


LDAP Configuration

LDAP Single Sign-on Configuration

MUST READ - VERY IMPORTANT NOTES:

  • Configuring LDAP Single Sign-On requires and experienced Active Directory Administrator to create Active Directory groups and other AD administrative functions.

  • To use the LDAP Single Sign-On function, it must be enabled and configured under System Settings>System-wide settings>LDAP tab.

  • The LDAP Single Sign-On settings are on the top half of the LDAP screen.

  • To use the LDAP Authorization mode, an Active Directory Administrator must create an Active Directory Group with the Windows user in it.

  • If the LDAP settings are preventing CA4K from launching, the LDAP settings can be reset in the CA4K DBUtilities.

  • LDAP Single Sign-On is not supported on the Web Client.

The following steps explain how to configure LDAP Single Sign-On. There are two modes and the both modes will be explained to provide an automatic login to CA4K.

Configuring Use AD Authentication mode.

  • Select Use AD Authentication.

  • Type in the path of the Active Directory Server.

VERY IMPORTANT: The path MUST begin with "LDAP://".

  • Click Verify Path button . This will verify the Network Path for the Active Directory server.

    Upon clicking Verify Path, if successful, a dialog box displays “The LDAP path has been confirmed”.

Fig. 275.2. The 'Use AD Authentication' settings.

VERY IMPORTANT: While using the 'Use AD Authentication' mode, the Windows user must be configured as an Operator in the CA4K. In the example below, 'Csmith' is the Windows user.

Fig. 275.3. The 'LDAP' configuration screen.

Configuring Use AD Authorization mode

  • Select Use AD Authentication.

  • Select Use AD Authorization.

  • Type in the path of the Active Directory Server.

  • Click Verify Path button . This will verify the Network Path for the Active Directory server.

    Upon clicking Verify Path, if successful, a dialog box displays “The LDAP path has been confirmed”.

VERY IMPORTANT: To use the LDAP Authorization mode, an Active Directory Administrator must create an Active Directory group with the Windows user in it.

Fig. 275.4. The 'LDAP' configuration screen.

While using the Use AD Authorization mode, the Windows user Privilege Role name must match an Active Directory Group name on the Active Directory server. In the example below, the AD User privilege role name (AD User) must also be a name of an Active Directory group on the Active Directory server.

Note: In this mode, the CA4K operator will be added automatically to the CA4K.

Fig. 275.5. The 'Privilege Role' configuration screen.


AD Badge Import

MUST READ - VERY IMPORTANT NOTES:

  • Configuring AD Badge Import requires and experienced Active Directory Administrator with the ability to create Active Directory attributes and to use the Active Directory tools.

  • To use the AD Badge Import, it must be enabled and configured under System Settings>System-wide settings>LDAP tab.

  • The AD Badgeholder Import settings are on the bottom half of the LDAP screen. The top half of the screen is for the LDAP Single Sign-On feature.

VERY IMPORTANT: Prior to configuring and performing the AD Badge Import function, you must determine if you will have the physical Access Control badge number or you will be using a unique employee number as a temporary placeholder. There are multiple notes on this on the following pages.

Refer to the following pages for an AD Badge Import overview and the steps to configure it.


AD at Badgeholder level

Active Directory Badge Import

MUST READ - VERY IMPORTANT NOTES:

  • Configuring AD Badge Import requires and experienced Active Directory Administrator with the ability to create Active Directory attributes and to use Active Directory tools.

  • To use the AD Badge Import, it must be enabled and configured under System Settings>System-wide settings>LDAP tab.

  • The AD Badge Import settings are on the bottom half of the LDAP screen.

  • To perform an AD Badge Import, it requires an Active Directory credential with Read Permissions to user data and related data.

  • New AD users or AD users that are deleted, will not sync immediately. They will sync at the configured interval time (Daily midnight or Weekly Sunday night).

  • An AD Administrator has the option to create additional Active Directory attributes such as Badge, Facility Code, Access Groups and any others needed.

  • If a Badge attribute is not created in Active Directory by the AD administrator, the employeeid attribute MUST be configured with the badge number to import.

  • If a Badge attribute is created in Active Directory and mapped in the CA4K, the badge attribute on the Active Directory side must be populated with the badge number.

  • If Access Groups attributes are created in Active Directory and mapped in the CA4K, they must be populated with a value of 1 or higher.

LDAP Tab/Active Directory Integration Screen

AD Badge Import Overview

The main function of the AD Badge Import is to auto enroll (synchronize) person’s detail and badge numbers from Active directory to the CA4K software.

As mentioned above, it is very important that an experienced Active Directory Administrator configures the AD Import Badge feature. It will be required for the AD Administrator to populate the required AD fields that need to be mapped to the CA4K fields. The Administrator will also have the option to create additional AD attributes such as Badge, Facility Code, Access Groups and any others that is needed for their application.

NOTE: Refer to the following page for the steps required to configure the AD Badge Import.

Enable AD Users Integration

Upon enabling the AD Users Integration feature, you must configure and verify the LDAP path.

Integration Interval

The Integration Interval options are Daily at midnight or Weekly on Sunday night at midnight. In addition to scheduled synchronizations, you can also perform a manual synchronization at any time by clicking the Sync AD Now button.

AD Read Credential

On the AD Badge Import screen, you must enter an Active Directory credential that has Read Access to the fields in Active Directory including user data and other related data.

Load AD Group List

The Load AD Group List box will provide the ability to select one or more Active Directory groups. These groups must be GLOBAL SECURITY groups in Active Directory.

Note: If you wish to sync only an AD user that belongs to one of these groups, you must select only that one group.

Active Directory Fields Map

The Active Directory Fields Map screen contains all the controls to map CA4K fields to corresponding AD fields (attributes).

Note: The fields below are mapped by default.

  • FirstName

  • LastName

  • MiddelName

  • Enabled

  • Department

  • Company

  • Supervisor

  • Location

  • SupervisorID

  • Phone

  • Lastupdated

Very Important Notes:

1) If the Active Directory Administrator creates an AD Badge attribute, it must be mapped to the CA4K Badge field in the mapping screen. If a custom Badge attribute is not created, the AD employeeid field will automatically be mapped and synced to the CA4K badge field. For the badge to import, there must be a number placed in the employeeid field. The purpose of this functionality is to use a temporary Badge Number if the physical badge number is not known at initial configuration.

2) If the Active Directory Administrator does not create a Facility Code attribute, the CA4K will default the Facility Code to 0.

3) If any other fields are being used for the AD Import such as Access Groups, the Active Directory Administrator must also create these additional AD attributes for mapping to the associated CA4K fields.

CA4K Fields Name drop-down list

The CA4K Fields Name drop-down list will display all the available CA4K fields that can be mapped to an AD field.

Active Directory Fields Name ( Attributes) drop-down list

The Active Directory Fields Name drop-down list will display all the available Active Directory attributes that are exposed and can be mapped. The attributes listed in this list will vary from system to system.

VERY IMPORTANT - To get custom attributes to display in this list, there must be values assigned to them under the READ ONLY AD CREDENTIAL used to configure this screen.

Sync AD Now

The Sync AD Now button provides the ability to perform a manual synchronization.

Log Files for Troubleshooting

After every AD Badge Import, Log files will be created in the Import\Log folder every time the background AD synchronization is executed by the Data pump Service. (File name : ADImport_xxxxx.txt). This log file should be viewed for any errors that might have occurred. In addition to the log file in the Log folder, there will also be a file under the PROCESSED folder that display all the records sent from Active Directory.


Steps to Configure AD Badge Import

Steps to Configure Active Directory Badge Import.

  1. Select Enable AD Users Integration.

2. Configure the LDAP Network Path ( bottom half of the page).

LDAP Path

3. Click Verify Path. Verify LDAP is connected successfully.

LDAP Connect Successful.

4. Select an Integration Interval. This will determine how often the Active Directory users are synchronized with the CA4K badgeholders. The options are Daily or Weekly. The option Daily is everyday at midnight and the option Weekly is on Sunday at midnight.

Synchronization Interval.

Configuring Active Directory Read Credential.

5. Enter a Active Directory credential which has Read Access to the Active Directory database (User Name and Password of an AD Administrator with READ privileges to AD).

Active Directory Read Credentials

Sync exclude AD read user.

6. Select this checkbox if you do not want this AD user to be imported into the CA4K. If you are using the Windows Administrator account, you should select this option.

Configuring Load AD Group List

7. Click Load AD Group List. The Groups that will display MUST be GLOBAL SECURITY Groups in Active Directory. Select to filter on an Active Directory Group. For our demonstration, leave at the default of All.

AD Group List

Configuring Active Directory Fields Map.

8. Click the AD Fields Map button. Upon clicking the button, the Active Directory Fields Mapping screen displays.

AD Fields Map button.

Active Direct Fields Mapping screen

Notes:

  • The left side of the screen will display all the default mappings. The right side of the screen provides you the ability to add additional mappings for other AD attributes available including

attributes the AD Administrator creates in Active Directory. For example, an AD administrator might want to create an attribute in Active Directory named "Access Group 1". After doing so, you would map the CA4K

Field name "Access Group 1" to the new attribute in Active Directory called "Access Group 1".

  • If there is not a custom Badge attribute created in Active Directory, the AD field employeeid must be used to store the Badge number. This field will be mapped automatically to the Badge field.

VERY IMPORTANT: If there is a custom AD Badge attribute created and it is mapped to the CA4K badge field, this field will be used for the Badge number. IF YOU MAP A CUSTOM BADGE FIELD, THE BADGE ATTRIBUTE IN ACTIVE DIRECTORY MUST CONTAIN A BADGE NUMBER OR ELSE THE USER WILL NOT IMPORT INTO CA4K.

  • If Facility codes are being used, the Active Directory Administrator must create an AD attribute for Facility Code. If there is no field assigned, the CA4K will default to a facility of 0.

  • As mentioned above, If any other fields are being used for the AD Import such as an Access Groups, the Active Directory Administrator must also create the additional AD fields for mapping to the CA4K. .

    NOTE: The Following CA4K fields are already mapped by software which doesn’t require fields mapping configuration.

  • FirstName

  • LastName

  • MiddelName

  • Enabled

  • Department

  • Company

  • Supervisor

  • Location

  • SupervisorID

  • Phone

  • Lastupdated

CA4K Fields Name drop-down list

13. Select the CA4K field and click Add.

CA4K Fields Name Selection Drop-down list.

Active Directory Fields Name (Attributes) drop-down list

14. Select the Active Directory attribute you want to map to the CA4K field and click Add. Take note that the Active Directory attributes list

on the right contains custom attributes Badge and Facility. These attribute have been created by the Active Directory administrator in Active Directory.

The Active Directory attributes in this list will vary from system to system depending on what custom attributes have been created and assigned values.

VERY IMPORTANT - If the custom "Badge" attribute is mapped as per below, the user in Active Directory must have a badge number assigned to the "Badge" attribute, or else it

will not import.

Active Directory Attributes Selection Drop-down list.

Sync AD Now

15. Click the Sync AD Now button to manually synchronize the Active Directory users with the CA4K Badgeholders.

Manual Sync AD button.

Don't overwrite Badge Number after initial import

Note: On initial setup, the AD Administrator might not have the physical badge numbers. In this case, they will only use the AD employeeid attribute as a temporary unique badge number.

16. This selection determines if the Badge number is over-written after the first time import.

Do Not Overwrite Badge Number option.

Log Files for Troubleshooting

17. View the ADImport Log file. Upon Syncing Active Directory, Log files will be created in Import\Log folder every time the background AD synchronization is executed by the Data pump Service. (File name : ADImport_xxxxx.txt). Below is a sample log file. The following log file displays errors that might occur.

LDAP Badge Import Log File


SNPP (Paging)

SNPP

SNPP (Paging) Overview

SNPP (Paging) is used to alert a person via a pager message when a specific event occurs. This feature requires a special service provider and is not used much anymore. It is recommended to use SMS Messaging.


SNPP Configuration

SNPP (Paging) Configuration

SNPP (Paging) Configuration

SNPP (Paging) works in conjunction with the Script Server. If a Script Server is not configured, you must configure it as per the steps below. The configuration of SNPP (Paging) is performed under System Settings and Operators. Once SNPP (Paging) is configured in these two locations, a script must be programmed and executed to Page the operator.

The first step is to configure a Script Server.

Configuring a Script Server

  • Click on System on the CA4K™ menu bar.

  • Click on System Settings

  • Click on System-wide Settings

  • Click on Script Servers)

Fig. 285.1. The 'Use Scripting' Checkbox.

  • Select Use Scripting

  • Click Add

Fig. 285.2. The 'Use Scripting' Checkbox.

  • Type in the UNC Name of the server to use (Click This Machine to populate with the local computer UNC name).

  • Click OK.

Fig. 285.3. The 'Add Script Server' box.

  • Click Save

Fig. 285.4. The 'Use Scripting' configuration screen.

The next step is to configure Messaging.

Configure SNPP (Paging) under Messaging

  • Click on System on the CA4K™ menu bar.

  • Click on System Settings

  • Click on System-wide Settings

  • Click on Script Servers)

  • Click Messaging

  • Click Add under SNPP Provider Settings

Fig. 285.5. The 'Email Settings' configuration screen. .

Upon clicking Add, the Add SMS Provider screen displays.

  • Enter Provider Name

  • Enter Server URL

  • Enter SMS Type

  • Enter Parameters from which SMS will be sent

  • Enter Password

  • Click OK

Fig. 285.6. The 'Add SNPP Provider' settings screen.

The configuration of the SNPP (Paging) Settings screen should look similar to the following:

Fig. 285.7. The 'SNPP Provider' settings populated.

The next step is to configure Message Templates.

Configure Message Templates

  • Click on System on the CA4K™ menu bar.

  • Click on System Settings

  • Click on Script Server(s)

  • Click Message Templates

  • Click Add

Fig. 285.8. The 'Enable SMS' controls.

  • Type in a Message Subject

  • Type in a Message Body

  • Verify Can be sent to SNPP Devices is selected

  • Click OK

Fig. 285.9. The 'Message Template' screen.

  • If you wish to include an InList, select the appropriate option

Fig. 285.10. The 'Message Template' screen.

Upon clicking OK, the Message Template will display in the list of templates.

Fig. 285.11. The 'Message Template' screen.

The next step is to enable Messaging for an Operator.

Accessing Operators Screen

  • Click on Administration on the CA4K™ menu bar.

  • Click on Operators.

Fig. 285.12. The 'Operators' menu selection screen.

Upon clicking Operators, the Operator screen will display.

  • Click the Personal tab for the operator.

Fig. 285.13. The 'Operators>Personal' tab.

  • Select Enable Paging.

  • Enter a Pager Number for the Operator.

  • Select a Provider for the Paging Service.

  • Click Save.

The configuration of SNPP (Paging) under Operators should look as follows:

Fig. 285.14. The 'Enable Paging' controls.

The next step is to create a script. The script should be programmed to send a Page when a specific action occurs. Information on creating scripts can be found under the Scripting topic.

SNPP Configuration

The configuration of SNPP (Paging) is performed under the 'Personal' tab of the 'Operators' screen. .

Accessing Operators Screen

  • Click on Administration on the CA4K™ menu bar.

  • Click on Operators.

Fig. 115.1. The 'Operators' menu selection screen.

Upon clicking 'Operators', the 'Operator' screen will display.

  • Click the Personal tab for the operator.

Fig. 115.2. The 'Operators>Personal' tab.

  • Select 'Enable Paging'

  • Type in a 'Pager No.' for the operator.

  • Click the down arrow on the 'Provider' control.

  • Choose an 'SNPP Provider' from the list.

The configuration of SNPP should look as follows:

Fig. 115.2. The 'Enable SNPP' controls.


Dynamic Maps

The CA4K contains two different mapping systems. They are both standard features in the CA4K. The older mapping system is called facility maps. Facility maps is a basic mapping system with graphical icons for alerts. The newer of the two mapping systems is Dynamic Maps. In this topic, we will cover Dynamic Maps and all the functionality and capabilities of this powerful mapping system.


Launching Dynamic Maps

Launching Dynamic Maps

Dynamic Maps can be launched the following two ways:

The first method is to launch Dynamic Maps from the Start Menu in Windows.

  • Click Start>All Programs

  • Click on CardAccess 4K

  • Click on CardAccess Mapping

Fig. 65.1. The CardAccess Mapping Start Menu Selection.

The second method is to launch Dynamic Maps directly from File Explorer.

  • Open File Explorer in Windows.

  • Under the CardAccess4K folder, double click CardAccess.Mapping.Shell.exe.

Fig. 65.2. The Windows File Explorer screen.

Upon launching CardAccess.Mapping.Shell.exe, the CA4K Mapping System Login screen displays.

Fig. 65.3. Access button on CA4K™ tool bar.

  • Type in the default credentials for CA4K - User Name = admin, Password = admin@4k

  • Click Login button

Fig. 65.4. User Name and Password boxes.

Upon validation of the User Name and password entered, the Dynamic Maps application will appear with the Pending Alerts screen showing as shown in the figure below. This is the default screen after launching the application.

Pending Alerts Screen

The Pending Alerts screen displays Real-Time alerts that are received and the details are displayed in the grid on the top portion of the screen. A map displaying the device that generated the alert is displayed in the bottom half of the screen. Details for the alert are displayed above the icon for the device in the map. Alert details displayed in the grid are Class, Description, Date, Location, and priority.

Very Important: The alerts on the CA4K must be configured to go into the pending alerts grid to display on this screen.

Fig. 65.5. The 'CardAccess 4K Mapping' Pending Alerts screen.

Disabling Alerts

If it is necessary to disable the pending alerts from displaying, click on the Disable Alerts button. The caption of the button will change to Enable Alerts after the button is clicked. To start receiving alerts again, click on the Enable Alerts button.

Fig. 65.6. The 'Disable Alerts' button.

Closing the Pending Alerts Screen

If you do not wish to display the Pending Alerts screen, you can follow the steps below to close the Pending Alerts screen:

  • Right click on the Pending Alerts tab

  • Click on the Close menu choice.

Fig. 65.7. The 'Pending Alerts' screen close button.

Logging Off

Follow the steps below to Log Out:

  • Click on the System menu at the top of the screen

  • Click on the Log Off menu selection.

Fig. 65.8. The 'Log Out' menu selection.

If you wish to exit the application, click on the Exit menu choice.


Dynamic Maps (Monitor Map)

Mapping View Options

Dynamic Maps can be run with the Real-Time Alerts showing in a grid with the details and the map on the same screen, or as a map that fills the entire screen.

This topic will provide an overview of the Monitor Map function.

Monitor Map

To monitor a map that fills the entire screen, perform the following steps as shown in the figures below.

  • Click on the Mapping menu at the top of the screen.

  • Click on the Monitor Map menu selection.

  • Select a map from the Map List dialog box as shown in the figure below.

  • Click on the Monitor button.

Fig. 65.9. The 'Log Out' menu selection.

Fig. 65.10. The 'Map List'.

Upon clicking Monitor, you will see the selected map displayed on the screen as shown in the figure below.

Fig. 65.11. The 'Log Out' menu selection.

Zoom In

To make the map larger with more detail, click on the Zoom In button on the top of the screen.

Zoom Out

To make the map smaller with less detail, click on the Zoom Out button on the top of the screen.

Disable Auto Alert Popup

To not have the Alert information show when a Real-Time Alert is received, click on the Disable Alert Popup button on the top of the screen.

Search

To search for a device on the map, follow the steps below.

  • Click on the Search button at the top of the screen.

  • Select a device from the Search Device list in the Search Panel at the left side of the screen.

  • Click on the Search Device button.

Fig. 65.12. The 'Search Device' button.

Upon selecting the device, the device will show on the map with the description right above it.

To search for an APB Zone on the map, follow the steps below.

  • Click on the Search button at the top of the screen.

  • In the Search Panel at the left of the screen, choose an APB Zone from the Search APBZone list.

  • Click on the Search APB Zone button.

Fig. 65.13. The 'Search APB Zone' button.

Upon selecting the APB Zone, the APB Zone will display on the map. .

To Perform a Manual Control

To perform a manual control operation on a device on the map, follow the steps below.

  • Right Click on the icon for the device you wish to perform the manual control operation on.

  • Click on the Manual Door Control menu selection.

Fig. 65.14. The 'Manual Door Control' menu selection..

Upon clicking the Manual Door Control menu selection, the Manual Control Screen for the device will display. For a reader, the Manual Door Control screen will appear as shown below.

Fig. 65.15. The 'Manual Door Control' screen.

To perform the manual control operation, choose the action and click on the Execute Door Action button. When you are done, click on the Close button to exit manual control and return to the map.

Show Recorded Video

To display a DVR recording for the alert, follow these steps below:

  • Right Click on the icon for the device you wish to show video.

  • Click on the Show Recorded Video menu selection.

Fig. 65.16. The 'Show Recorded Videol' menu selection..

The CA4K Video screen will appear showing the video recorded for the alert. From this screen, you can play, stop, rewind and fast forward using the vcr style controls. To close the screen, click on the X in .the upper right corner of the screen

Show Live Video

To display Live Video from a camera configured on a map, follow the following steps:

  • Right Click on the icon for the device you wish to show video.

  • Click on the Show Live Video menu selection.

Fig. 65.17. The 'Show Live Video' menu selection..

The CA4K Video screen will appear showing the live video from the selected camera.


Dynamic Maps (Monitor Alert)

This topic will provide an overview of the Monitor Alert function.

Monitor Alert

To have Real-Time Alerts showing in a grid with the details and the map on the same screen perform the following steps:

  • Click on the Mapping menu at the top of the screen.

  • Click on the Monitor Alert menu selection.

Fig. 65.18. The 'Monitor Alert' menu selection.

Upon clicking Monitor Alert, the Pending Alerts screen will display as shown below.

Fig. 65.19. The 'Pending Alerts' screen.

To perform a manual control operation on a device on the map, follow the steps below.

  • Right Click on the icon for the device you wish to perform the manual control operation on.

  • Click on the Manual Control menu selection.

Fig. 65.20. The 'Manual Door Control" screen.

Upon clicking Manual Door Control on the device, the Manual Door Control Screen will display as shown below.

Fig. 65.21. The 'Manual Door Control" screen.

To perform the manual control operation, choose the action and click on the Execute Door Action button. When you are done click on the Close button to exit manual control and return to the map.

Disable Auto Map

To only show the Real-Time alerts in the grid and not have the map in the second half of the screen, click on the Disable Auto Map button.

Upon clicking the Disable Auto Map button, the text of the button will change to Enable Auto Map. To show the map in the second half of the screen, click on the Enable Auto Map button as shown below.

Fig. 65.22. The 'Pending Alerts' screen.

Alert Details

To view details for the Real-Time Alert focused in the Alert grid, click on the Alert Details button. To return to the Alerts Grid, click on the C lose button.

Fig. 65.23. The 'Alert Details' screen.

View Event Snapshot

To view a snapshot of the event from a DVR, click on the View Event Snapshot button.

Show Map

When Auto Map is disabled, if you wish to display the map for just one event,click on the Show Map button as shown below.

Fig. 65.24. The 'Show Map' button.

Upon clicking Show Map, the map for the selected alert will display.

Select Map

If you wish to display a map in another window, click on the Select Map button. This will pop up a Select Map dialog box. Here you can select the map and click the OK button. If you decide not to select a map, you can click on the Cancel button and the Dialog box will close.

Upon selecting a map, the Select Map dialog will close and a new window will appear with the selected map.

Alert Acknowledgement

To Acknowledge alerts, click on the Acknowledge button. To Acknowledge All alerts click on the Down Arrow next to the Acknowledge button and a menu will appear.

Click in the Acknowledge All menu choice and all of the alerts will be acknowledged.

Threat Level Management

Users with Administrator Privilege will see the Threat Level Management Indicator on the top left portion of the screen. To change the Threat Level, click on the Threat Level Icon and a Threat Level menu will appear. Choose the new Threat Level.


Configuration

Configuration

Dynamic Maps are created, managed and configured from the Configuration Menu as shown below.

New Map

To create a new map, perform the following steps:

  • Click on the Configuration menu at the top of the screen.

  • Click on the New Map menu choice.

Fig. 65.25. The 'New Map' menu selection.

This will bring up the Map Properties dialog box. You must enter a name for the map, a description and the width and height of the map. In addition you can choose to have the map belong to a partition group. Maps belonging to a partition group can only be viewed by operators that are a part of the group

Fig. 65.26. The 'Map Properties' screen.

Once all of the information is entered, click on the OK button to begin to design the map. The map designer will appear as shown below.

Fig. 65.27. The 'Map Editing' screen.

Click on the Select Map File button choose an image to be used for the map. Supported file formats are JPEG, BMP, TIFF and GIF. Choose a file and click on the Open button.

The image will now be shown in the configure map screen as shown below.

Fig. 65.28. The 'Map Properties" screen.

The list of devices is displayed on the left portion of the screen. To add a device to the map, click the mouse on the device and drag it onto the map to the location of the device as shown below. .

Once the icon is showing on the map for a device, you can move the mouse over the icon to see the description of the device. If you wish to remove the device you can right click the mouse on the device and a menu will appear.

Configuration

  • Click on the Remove Device menu choice and the device will be removed from the map.

  • If you wish to filter the events that will show for this device on the map, you can right click the mouse on the device and a menu will appear. Click on the Filter Event menu choice and the Select Event category screen.

  • Check the box next to any events that you wish to be shown on the map for this device. Click the Apply button to save the changes or click on the Cancel button to close the screen without saving the changes that were made.

  • Continue to add devices to the map repeating the steps described above. When the map is complete, click on the Save Map button to save all of the changes made to the map

APB Area Configuration

To configure an APB Area on the map, perform the following steps:

  • Drag APB Readers onto the map, into the area that you wish to define as an APB Area. Click on one of the APB Drawing Icons on the toolbar. There are 3 types available, Rectangle, Polygon and Oval. For a rectangular shaped APB area, click on the Rectangle APB button.

  • Click the left mouse button and hold the button down while moving the mouse to draw the rectangle around the APB Readers.

  • When the rectangle is complete let go of the mouse button. At this point a dialog box will appear to select the APB Area you are defining. If you already have the APB Area defined then you can select it from the list. If you wish to create a new APB Area, click on the New button and the APB Area Description box will appear and you can enter the name.

  • When you have selected or entered the APB Area click on the Ok button. If you decide to not configure an APB area, click on the Cancel button.

  • At this point the Configure APB Readers Dialog will appear. You can select the “Exit From Area”, and the “Entry Into Area” for each reader. When you are done click on the Ok button.

  • Repeat the same steps for the Oval shaped APB Area. The Polygon APB is a shape that is not limited to four sides and does not have to be equally sized. Click the left mouse button and let the button go to draw just a point. Repeat until the Area is defined. Click the right mouse button and a context menu will appear. Click the End Drawing Polygon menu choice and dialog box will appear to select the APB Area you are defining. When you have selected or entered the APB Area click on the Ok button.

  • At this point the Configure APB Readers Dialog will appear. When you are done click on the Ok button. Once completed, you will see the APB area defined by blue lines. In addition the APB area will appear in the Configured APB Zone list.

  • To configure the readers you can click on the Right Mouse Button while over the item in the list or while the mouse is over the APB Area on the map. A context menu will appear as shown. Choose the Configure APB Readers menu choice and the Configure APB Readers Dialog will appear.

  • To delete an APB Area click the right mouse button over the item in the Configured APB Zone list and a context menu will appear. Click on the Delete APB menu choice and the APB will be removed.

To close the map configuration window, right click on the tab with the name of the new map and a menu will appear. Click on the Close menu choice and the screen will close.

Configuration Edit Map

  • To edit an existing map click on the Configuration menu and click on the Edit Map menu item.

  • The Select Map dialog box will appear and you can select the map that you wish to modify. Click the Ok button to continue or click on the Cancel button to not make modifications.

  • When the map is complete, click on the Save Map button to save all of the changes made to the map.

  • To close the map configuration window, right click on the tab, with the name of the new map, and a menu will appear as shown in Figure 50. Click on the Close menu choice and the screen will close.

Map List

  • To manage all of the maps configured in the system, click on the Configuration menu and the Map List menu item.

  • The map browser screen will appear, showing a list of all of the maps configured in the system.

  • The Map Task menu will be in the left portion of the screen. You can create, edit, delete, and monitor the selected map by choosing the appropriate task from the menu

  • If you wish to search for a map, enter the name in the search box and click on the Search Map button. All maps matching the name entered will display in the list. To display all maps, search on a blank name.

  • To close the Map Browser window, click on the Close Window button in the Map Task menu.

Set Device Default Map

  • When a Real-Time alert is received on the Pending Alert screen, the default map for the device generating the alert, will display in the lower portion. To set the default map for a device, click on the Configuration menu and the Set Device Default Map menu item.

  • The Set Default Map screen will appear. On the left is a list of device types. The grid will display all of the devices for the selected device type. The Map Name column, will display the name of the default map for the device.

  • To set a default map for a device, click on the Set Default Map button in the row for the device. To clear the default map for a device, click on the Clear Map button in the row for the device.

  • When all changes have been made, click on the Update b utton.

  • To close the Set Default Map window, right click on the tab, and a menu will appear as shown in Figure 55. Click on the Close menu choice and the screen will close.


Tools

Customize Icon

To customize the icons used to display Real-Time alerts, click on the Tools menu and the Customize Icon menu item as shown below.

Fig. 65.29. The 'Customize Icon' menu selection.

The Customize Icon screen will appear as shown below.

On the left is a list of device types. The grid will display all of the events for the selected device and the associated icon to be displayed on the map.

Fig. 65.29. The 'Customize Icon' screen.

To select a custom icon click on the Select Icon button in the row for event you wish to change the icon for. An open file dialog will appear. Select an icon with a supported format. The supported file formats are ICO, JPEG, BMP, TIFF and GIF. Supported sizes are 16x16, 24x24, 32x32 and 48x48.

  • Choose a file and click on the Open button. The new icon will display on the screen.

  • To restore the default icon, click on Restore Default button and icon will be restored.

  • When all changes have been made, click on the Apply Changes button to save the changes. To undo the changes click on the Reject Changes button.

  • To close the Customize Icon screen, click on the Close button.

View Map Legend

To view a legend of the different events and their associated icon, click on the Tools menu and click on the View Map Legend menu item as shown below.

Fig. 65.30. The 'View Map Legend' menu selection.

The Map Legend screen will appear on the right side of the screen as shown below. Each event type will display with the icon that will be used to

show a Real-Time alert on the map.

Fig. 65.31. The 'Map Legend' screen.


Facility Maps

MUST READ - VERY IMPORTANT NOTES:

  • To use Facility Maps, you Must Enable them in System Settings>System-wide settings.

Facility Maps is the original mapping system in CardAccess 3000 prior to the development of Dynamic Maps. The CA4K still provides Facility Maps
and Dynamic Maps.


Enabling a Map

Follow the steps below to enable Facility Maps in System Settings screen.

Open System Settings screen by clicking on System>System-Wide Settings menu options in the CA4K™ main screen. The screen will open in the General tab.

  • Select Enable Facility Maps Checkbox.

Fig. 290.1. Enable Facility Maps Checkbox.

  • Click on Save button in the toolbar to save the setting

Once this check box is selected and saved, the following screen changes can be observed in the CA4K™.

The CA4K™ Events and Alerts grid toolbars display a new button called Map. Refer to the next two figures.

Upon clicking the Map buttons, a map pop- up window will display for those events/alerts, whose hardware devices have a map assigned to them previously in the Configure Maps screen.

Fig. 290.2. he 'Events' grid toolbar showing 'Map' button after selecting the 'Use Facility Maps' Checkbox.

Fig. 290.3. The 'Alerts' grid toolbar showing 'Map' button after selecting the 'Use Facility Maps' Checkbox.

After enabling Facility Maps, the Administration menu in the CA4K™ main menu bar will offer a new menu option called Facility Maps..

Note: Along with the new menu item, the CA4K™ hardware screens (Panels, Readers, Inputs, Relays and Links screens) will contain a new folder tab called Maps (or Map)

Fig. 290.4. The 'Facility Maps' menu option seen in 'Administration' menu list.

Creating a New Facility Map and importing an existing Facility Map will be discussed on the following pages.


Creating a Map

Follow the steps below if you wish to create a map for a given hardware device.

The Facility Maps screen can be opened in two ways as below:

  • By clicking on Administration>Facility Maps menu options on the CA4K™ main toolbar.

  • By opening the concerned hardware screen (Panels, Readers, Inputs, Relays, Activity Links or Links screen), clicking on Maps tab in that screen, and then clicking on View Maps button.

Both the methods will open the Facility Maps configuration screen as shown below.

Method #1 - On the Main Toolbar, click Administration>Facility Maps.

Fig. 290.5. The 'Facility Maps' menu option seen in 'Administration' menu list.

Upon clicking Facility Maps, the Facility Maps configuration screen will display.

Create a New Facility Map

In the figure below, we have shown the Facility Maps screen.

  • Click New to create a new map.

  • Type in a Name for the Map.

  • Type in a Description of the Map.

Fig. 290.6. The 'Facility Map' configuration screen.

  • Click on Import button on the bottom left side of the screen.

Fig. 290.7. The 'Import' button.

Upon clicking the Import button, the Windows File Explorer 'Open' dialog box will display as per the figure below. .

Fig. 290.8. The Windows File Explorer 'Open' dialog Box.

The 'Open' dialog is a standard Windows type file search tool that will allow you to search your local hard drive and network shares for a suitable import image file.

Importing a Map Image from 'Open' Dialog

Following are the steps to import an image from the 'Open' dialog.

In the 'Open' dialog, double click the folder where you have previously saved the map image. You will see a list of all file names stored in that folder.

  • Click on the file name of the required map image (bitmap or jpeg file).

The image file you select will generally be the bitmap or jpeg image of a floor plan. Or, the image could be a digitized photograph of a doorway, a building, or a section of a building. Any image that would assist an operator in identifying the area of a building where a hardware device alarm is taking place would be suitable.

Although other files like .ico, .emf and .wmf files are also supported by the Image 'Open' dialog, it is best to limit your map images to .jpg or .bmp files. Icons and Windows Meta Files are not supported as map images.

On clicking the filename of the required map image, you will see a small picture of that map on the right side of the 'Open' dialog (see the highlight in the figure below). The size of the selected image is indicated immediately above the image (see the highlight in the figure below)

  • Click on Open button seen at the bottom of the dialog.

Fig. 290.9. The 'Open' button.

You will now see the selected map image, on the 'Configure Maps' screen.

Select a Device – After a map image is imported into the Configure Maps screen (using either the 'Open' dialog or the 'CA4K™ Alert Maps' floating toolbar), it has to be associated with a hardware device (or more than one hardware device). Until some linkage is made between the map and at least one hardware device, the map is just a static bitmap that has little practical use.

The 'Devices' control panel is the toolbar that you will use to create linkages between the map and hardware devices.

Fig. 290.10. The 'Devices' control panel in 'Configure Maps' screen.

The Devices control panel uses 'drag and drop' operation. You click on an icon button, hold down the left mouse button, drag the icon to the desired location on the map and click where you want to drop the hardware reference. You will note that the Devices control panel has five icons available. The function of those icons is shown in the table below.

Button Function

Connected to the Readers screen. This button will display a list of every reader in the system.

Connected to the Inputs screen. This button will display a list of every input in the system.

Connected to the Relays screen. This button will display a list of every relay in the system.

Connected to the Links screen. This button will display a list of every link in the system.

Connected to the Panels screen. This button will display a list of every panel in the system.

Fig. 290.11. The buttons in 'Devices' control panel.

To link a hardware device to a map, do the following.

Click the Hardware Button – Click any of the hardware icon buttons and hold down the left mouse button

Drag the Icon – Drag the hardware item to the desired location on the map.

Drop the Icon – Release the left mouse button.

Once the icon is dropped, you will obtain the 'Select Device' box, for the hardware device chosen. In the figure below, we have shown the box for Reader hardware device, whose icon we dropped.

Select a Device –Click the down arrow to the right of the hardware device field seen in 'Select Device' box, and click on a desired device in the list.

Fig. 290.12. The 'Select the Device' box for Reader hardware device.

Save the Map – Note that the system permits you to add more than one icon per map. This option will allow you to create one map that will be linked to several hardware devices. So you can click the 'Save' button now, or you can repeat the process of dragging and dropping hardware devices as explained above, add as many device icons as you require, and then click the Save button. Or, you can add one icon per map, and dedicate each map to one hardware device.

Fig. 290.13. Map with several devices attached.

Method #2 - Click the Maps tab control for the hardware screen of choice (Below is the Maps tab for Readers). All map screens for each hardware device will look very similar.

Upon clicking the Maps tab, click on View Maps button.

Fig. 290.14. The Facility Maps screen under Readers. .

Upon clicking 'View Maps' button, the Facility Maps configuration screen will display. Follow the steps above to create or open an existing Facility Map.


Editing a Map

Follow the steps below if you wish to edit a map.

Open Facility Maps screen by clicking on Administration>Facility Maps menu option in the CA4K™ main screen.

  • To select the map you wish to edit, click the down arrow to the right of Select Map field, use the scrollbar to scroll the list of maps, and click on a desired map name

Make the required changes to the selected map, using the controls on the screen. You may wish to change the description of the map, add/delete hardware device (icons), as part of the edit process

  • Click on Save button in the toolbar to save the changes.


Deleting a Map

To delete a map, perform the following:

Open Configure Maps screen by clicking on Administration>Facility Maps menu options in the CA4K™ main screen

To select the map you wish to delete, click the down arrow to the right of Select Map field. Use the scrollbar to scroll the list of maps, and click on a desired map name

  • Click on Delete button in the toolbar.

Upon clicking Delete, the following message box will be displayed

Fig. 290.15. Delete Record confirmation Message box.

Note: Delete action cannot be reversed. A map deleted once is lost forever. Make sure you have chosen the correct map for deleting

After confirmation, click on Yes button in the message box to delete the selected map.


Finding a Map

Open Facility Maps screen by clicking on Administration>Maps menu options in the CA4K™ main screen.

Using the 'Find Device Map' button

The Find Device Map button can be used if you wish to view a particular map that was created in the 'Configure Maps' screen

  • Click Find Device Map on the main toolbar.

Fig. 64.28. Finding a map by selecting the Device.

  • Select the Device Type and Device name the Map is assigned to.

Fig. 290.16. Finding a map by selecting the Device.

Upon selecting the Device Type and Device, the associated map will be displayed on the Configure Maps screen


Displaying Maps

Once maps have been created and linked with hardware devices, they are ready to be utilized. The primary use for a map is to allow an operator to bring up a map in response to some alert or event, and to be able see a graphic representation of the alarm point. This would assist him or her in locating an alarm in a given building or complex.

Note that the actual displayable map is primarily a static bitmap with a flashing icons that represents an alarm point (see figure below).

Fig. 290.17. The Maps button while clicking on an Event Pop Up Window.

Thus, the bitmap can be anything of your choosing. It can be a floor plan, picture of the area, or even written text instructions that have been saved as a bitmap file. Your image options are open to whatever type of image is useful to you and your organization.

There are two ways to display maps, manually and automatically. Manual viewing of maps involves clicking a button and causing the Maps Pop Up screen to open with the requested map. Automatic viewing of maps, also called 'Pop Up' maps, is accomplished by setting the map controls to display a map automatically, every time an event or alert appears that has a map associated with it.


Database Partitioning

MUST READ - VERY IMPORTANT NOTES:

  • To configure Database Partitioning, you MUST predefine Partition Groups, Privilege Roles and Operators. These menu selections can be found under Administrator>Operators. Refer to the Operators Topic for complete details.

  • Prior to configuring Privilege Roles, you must configure Partitions Groups and assign all the Configuration items and Devices that will be associated with the Partition Group. This include Panels, Readers, Relays, Inputs, Links, Activity Links, and many other items. .

The general goal of partitioning (database partitioning) is to allow several tenants to share a common database while hiding the CA4K™ data viewed by each tenant, from view of the other tenants (possibly unrelated tenants). The term 'database partitioning' is somewhat misleading. The common database is not actually divided in any way. Instead, filtering is used to block the view of records by selected operators.


Configuring DB Partitioning

Configuring Database Partitioning

Note: Database Partitioning in the CA4K has been totally redesigned and enhanced from the CardAccess 3000 Database Partitioning. The steps to configure the CA4K Database partitioning are outlined below and must be executed in the exact order specified below.

The configuration of Database Partitioning consists of configuring Partition Groups, Privilege and Roles (located in Operators screen), and then create the Operators. Refer to each of these separate topics for detailed configuration information.

To configure Database Partitioning, the following steps must be performed in the exact order below.

1) Under Administration>Operators, configure PARTITION GROUPS. On these screens, you will create the partitions to be used for Database Partitioning.

Note: For the demonstration in these topics, we will create two partition groups (Science Building and Math Building).

2) Under Administration>Operators, configure SETUP ROLES AND PRIVILEGES.

Note: For the demonstration in these topics, we will create two Privilege Roles (Science Admin and Math Admin).

3) Under Administration>Operators, create a NEW Operator and assign a Partition Group and Privilege Role to the operator.

Note: Do not create NEW Operators until step 1 and 2 are completed. For the demonstration in these topics, we will create two
Operators (CSmith and PJones). One will be assigned to the Science Building Partition Group and one will be assigned to the Math Building Partition Group.


Logging Into Partitions

Note: In order to perform the following steps, you must have performed the steps under the Operators topic. This includes creating Partition Groups and Privilege Roles topics.

For our demonstration, we are going to log in with one of the Partitioned Operators (CSmith) we created in the Operators topic.

Fig. 295.1. Operators screen.

  • At the CA4K login screen, type CSmith for the User Name and the associated password previously specified.

  • Click Login.

Note: If this is the first time you are logging into the operator, you will be prompted to change the password.

Fig. 295.2. CA4K Login screen.

Upon logging in under CSmith, the CA4K Events/Alerts screen displays as per the figure below.

  • On the main toolbar, click Configuration.

  • Click Panels.

Fig. 295.3. CA4K Events/Alerts screen.

Upon clicking Panels, the Panels screen displays only showing the Science Building Panel. Refer to the figure below.

Note: The Math Building Panel does not display because it is not part of the Science Building Partition which CSmith belongs to.

Fig. 295.4. Science Building Panels.

Upon clicking Readers, the Readers screen displays only showing the Science Building Readers. Refer to the figure below.

Note: The Math Building Readers do not display because they are not part of the Science Building Partition which CSmith belongs to.

Fig. 295.5. Science Building Readers.

Upon clicking Status, the Status screen displays only showing the Status for the Science Building Panels. Refer to the figure below.

Note: The Status for the Math Building Panels do not display because they are not part of the Science Building Partition which CSmith belongs to.

Fig. 295.6. Science Building status.

The screenshots above are for the Science Building Partition. If every device was partitioned including Personnel, the events and alerts will only reflect the Science Building for the CSmith login.

LOGGING IN AS OTHER PARTITIONED USER

  • At the CA4K login screen, type PJones for the User Name and the associated password previously specified.

  • Click Login.

Note: If this is the first time you are logging into the operator, you will be prompted to change the password.

Fig. 295.7. CA4K Login screen using PJones. .

Upon logging in under PJones, the CA4K Events/Alerts screen displays as per the figure below.

  • On the main toolbar, click Configuration.

  • Click Panels.

Fig. 295.8. CA4K Events/Alerts screen.

Upon clicking Panels, the Panels screen displays only showing the Math Building Panel. Refer to the figure below.

Note: The Science Building Panel does not display because it is not part of the Math Building Partition which PJones belongs to.

Fig. 295.9. Math Building Panels.

Upon clicking Readers, the Readers screen displays only showing the Math Building Readers. Refer to the figure below.

Note: The Science Building Readers do not display because they are not part of the Math Building Partition which PJones belongs to.

Fig. 295.10. Math Building Readers.

Upon clicking Status, the Status screen displays only showing the Status for the Math Building Panels. Refer to the figure below.

Note: The Status for the Science Building Panels do not display because they are not part of the Math Building Partition which PJones belongs to.

Fig. 295.11. Math Building Status.

The screenshots above are for the Math Building Partition. If every device was partitioned including Personnel, the events and alerts will only reflect the Math Building for the PJones login.


ILock Bluetooth App

MUST READ - VERY IMPORTANT NOTES:

  • The ILock Bluetooth App is supported on CA4K V1.1.54 or later.

  • The CA4K ILock Bluetooth App requires a Bluetooth Reader Module (BRM) introduced in V1.1.54, or a Blue Tooth LE enabled Architech Wireless Lock.

  • Prior to programming the CA4K™, verify you have an Android or IOS mobile device with an internet connection to download the CA4K™ ILock app.

  • Bluetooth credentials that resides within the ILock app works essentially as any other type of proximity credential; simply launch the ILock app and tap the Unlock button to allow entry.

  • The Mobile credential can be sent to the mobile device using one of four methodes, the “On the Screen QR code”, .SMS, Email or upload a file method.

  • Under Administration>Badge Formats, you MUST have a 64-Bit Badge format configured for the Generate Mobile Credential button to be displayed on the Personnel screen.

This document provides an overview of downloading and installing the CA4K™ ILock app on an Android or IOS mobile device.

Once downloaded and installed, the CA4K software can create and send a Bluetooth credential to an IOS or Android Mobile device. The credential can be sent via a scanned QR code , SMS, Email,

or upload file methods.


Downloading ILock App

1) In the Apple App Store/Google Play Store, search and download "The Continental iLock" App.

2) If advised by Continental Technical Support, download the ILock Android or IOS app from the following link:

https://www.ibridgeonline.com/Apps/ilockforcontinental/

3) Upon accessing the link, a menu will display with two options. The first option is for IOS (iPhone/iPad) and the second option is for Android.

4) Download the App that is compatible with your mobile device.


Installing ILock App

1) Upon downloading the ILock App onto your Android or IOS mobile device, install the ILock App on the IOS or Android device.

Note: Due to the ILock App being downloaded from a website, you might have to modify the security settings in the IOS Mobile device to "allow an unknown app to install". You might be prompted for this setting automatically, or you might have to go into Settings>Security on the mobile device.

2) After the installation is complete, click the iLock for Continental icon on the mobile device.

3) Upon launching the iLock for Continental App, the iLock for Continental home screen will display with a Settings icon ("gear icon"), on the top right..

4) Click the Settings icon and the following three options will display:

· Add New Door (QR Code Scan) is used for importing doors and mobile credentials using one of the four methods (On the Screen QR code, SMS, Email, or upload file method).

· Advanced Options provides the ability to add a maintenance credential and change the default settings in the Bluetooth Reader Module. Note: In most cases this should not have to be used.

· Delete All Doors is used to delete doors that have been imported.

5) Next, configure the CA4K software as per the steps on the following pages.


Configuring CA4K for ILock App

1) To Launch the CA4K™ software, Click the CardAccess 4K icon on the desktop.

2) Upon launching the CardAccess 4K, the CA4K™ Log In screen will display..

Log In to CA4K

3) Type the default User name (admin) and password (admin@4k). Click Login. The CA4K™ event grid will display.

Configure Max. Badge Digits = 19

The Max Badge Digits setting might already be set to 19. If it is already set to 19, please skip the following steps.

1) On the main menu, click System > System Settings > System-wide Settings > Badges.

2) Set the Max Badge Digits at Panel = 19 Digit.

3) Click Save and Close.

4) Perform a Full Data Download to one panel at a time.

5) On the main menu, click Configuration Panels. Select one panel at a time and click on Download Panel. Note: It is not recommended to download all panels at once.

Very Important: Failure to set the Max Badge Digits to 19, will result in the mobile credential number being truncated.

Configure a 64 Bit Badge Format

The 64-bit badge format might already be created. If it already exists, please skip the following steps.

1) Click Administration/Badge Formats from the main menu. The Badge Format screen will display.

2) Click New.

3) Configure a 64 bit badge format EXACTLY as per the screen below.

4) Click Save and Close.

Very Important : Failure to add a new 64 Bit Badge format, will result in the Mobile Credential icon not displaying on the Personnel screen.

Configure Mobile Credential Field Settings in System Settings

Note: Configuring steps 1-8 below are only required if you are sending a credential via SMS, Email or upload file methods. If enrolling a credential via a QR Code, you will not need to configure the SMS and Email settings in System Settings (steps 1-8).

1) Click System/System Settings/System-wide Settings. The System Settings screen will display.

2) On the General tab, configure the Mobile Credential Field Settings as per the screen below.

3) Click Save.

Configure Personnel Custom Fields in System Settings

4) Upon configuring the previous screen, the Personnel Custom Fields will be automatically configured as per the screen below. Please verify they have been pre-configured. If they have not been pre-configured, they must be manually configured.

Enable Scripting in System Settings

5) Click System > System Settings > System-wide Settings > Script Server(s) to add or remove scripting.

6) Add a check to Use Scripting.

7) To add a new script server, click Add.

8) Enter the UNC Name of the script server.

9) Click OK.

Configure Messaging in System Settings

10). On the main menu, click System/System Settings/System-wide Settings/Script Server(s).

11) Click the Messaging tab.

12) Configure the Messaging tab for Email and SMS as per the screens below.

13) Click Save.

Note: Refer to the CA4K online help topics for details on configuring the Email and SMS settings screens as per below.

14) In the SMS Provider Settings section, click Add to add a SMS Provider..

Note: While adding a SMS Provider, you must edit the following screen as per the screen below. The following example is for a Verizon SMS provider. If you are using a different

SMS provider (ie. at&t), you must enter the provider Name and Server URL for at&t.

Configuring the CA4K software for iLock

Create a Panel and a Reader

Note: The following steps are for a panel and a reader containing a Bluetooth Reader Module (BRM). The screens will not be the same for a Bluetooth enabled Networx Architech lock.

1) Create a panel and a reader in CA4K that will be used for a Bluetooth Reader Module. .

Configure Reader for Bluetooth

2) Click Configuration>Readers.

3) On the General tab, enter the last eight characters of the Bluetooth reader MAC address, into the Bluetooth MAC Address field. Note: The MAC address will be printed as text or on a barcode on the box.

Add a Bluetooth Credential in Personnel

4) Click Personnel on the main toolbar. The Personnel screen will display.

5) Click New Person.

6) Click the Generate Mobile Credential button.

Note: If the Create New Mobile Credential button is not visible, you must verify that the 64-Bit Badge format is configured under Administration > Badge Formats as per the previous steps.

7) Upon clicking the Create New Mobile Credential button, a random/unique badge number will be generated for the Badge Number.

8) Type in the First and Last Name of the Badgeholder.

9). Click the Access Groups tab and select a valid Access Group for the Bluetooth reader and credential.

10) Click the General Tab and click Save.

11) Verify the Send Mobile Credential button is displaying and is enabled on the bottom of the screen.

Note: If the Send Mobile Credential button is not displaying, verify an Access Group is configured as per the previous step.

12) Click Send Mobile Credential button.

Send Mobile Credential using QR Code (method 1)

13) Upon clicking this button, the Reader Lookup screen will display. Select the Reader(s) to send the credential to. Upon selecting the Reader(s), the Send SMS, Show QR Code, Send Email, Upload File buttons will be enabled.

Note: For the first demonstration, we will use the Show QR Code method. This method does not require the SMS or Email settings to be configured in System Settings.

14) Click the Show QR Code button.

15) Upon clicking Show QR Code, the QR code will display on the right side of the screen.

iLock App System Settings

1) Click the Settings button (gear icon), on the Settings screen.

2) On the Settings screen, click the + Add New Lock (QR Code Scan) button.

3) Al

3) Use the camera to place the QR Code image within the viewfinder guidelines. If the camera is configured to scan automatically, the QR code will be scanned immediately. If not, click the Scan QR code button.

4) Upon clicking scan QR code, the lock information will display on the Import Doors screen.

3) Align

Import Door

5) Click Import on the bottom of the screen.

6) Upon the Lock being Imported, the lock will display under My Locks with a Lock icon. Refer to the screen below.

7) After the door is listed under All Doors, you can add it to Favorite Doors. Click on “Add doors to favorites” button and select the door you wish to add, then click exit. The door will be added to your favorites list.

Unlock Selected Door

8) To unlock the door, press and hold the Lock icon down. While unlocking, an Unlocking icon will display while unlocking. After the door is unlocked, an Unlock Icon will display. Refer to

the two screen shots below.

(Unlocking is in Progress)

9) If the door unlocks successfully, a green Unlocked icon will display momentarily.

10) When the door re-locks, the red Unlock icon will display again.

11). If the user enables the Unlock When Near option (slider), the user can click the red Unlock icon before being in range of the reader. As the user approaches the reader and moves within range, the door will unlock automatically without the user needing to click the red Unlock icon. Distance is based on the RSSI threshold level set in settings for each door (refer to the screen below).

12) If the user tries to perform a door unlock operation and does not receive a feedback signal from the lock or panel, a Password Accepted icon will display (see image below).

Change Door Settings

13) To change the Door Settings, click the Settings button at the top right corner. The following settings will display:

· Lock Id: Displays the last eight characters of the MAC Address.

· Firmware Version: Displays the Firmware version in the Bluetooth Reader Module.

· Battery: Battery level (this setting only applies to ArchiTech Bluetooth-enabled locks).

· Color: Used to change the background color of the App.

· Change Door Name: Changes the door name used within the app (note: if you wish to return to the previous name, you must retype it and click save).

· Enable Toggle Mode: Select to enable the lock's Toggle Mode feature.

· Add to favorites: Select to add the door to your "Favorites" list.

· RSSI threshold: Determines the distance the App must be from the lock or reader to unlock doors (near, close, far).

Upon making any changes, click Save Changes. To delete the selected door, click Delete.

Delete All Locks

14) To delete all the Doors, click Delete ALL Doors.

15) Upon clicking Delete All Locks, a confirmation message will display as per the screen below.

16) Click Yes.

Send Mobile Credential using SMS (method 2)

Note: To use SMS (method 2), you must have the System Settings configured as per the steps above.

1) If you wish to send the mobile credential using SMS, select the reader in the Reader Lookup screen.

2) Click the Send SMS button.

3) Upon clicking the Send SMS button, the Cloud Pin number will display in the bottom left corner of the screen.

4) Upon the SMS message being sent successfully, the following message will display. Click OK.

5) Check your text messages to verify the SMS message (with a link) was received. Click the link to import the door/credential to the mobile device.

6) Upon clicking the link in the SMS text message, you will be prompted for a Pin Code. Type the Cloud Pin number displayed in the Reader Lookup screen (see step 3, above).

7) Upon entering the Cloud Pin number, the Import Doors screen will display. You will have the option to Replace or Append. For this example, click Append.

8) Click Import at the bottom of the screen.

Send Mobile Credential using EMAIL (method 3)

1) If you wish to send the mobile credential using Email, select the reader in the Reader Lookup screen.

2) Click the Send Email button.

3) Upon clicking the Send Email button, the Cloud Pin number will display in the bottom left corner of the screen.

4) Check your Email to verify the email message with a link was received. Click the link to import the door/credential to the mobile device.

5) Upon clicking the link in the Email message, you will be prompted for a Pin Code. Type the Cloud Pin number displayed in the Reader Lookup screen (see step 3, above).

6) Upon entering the Cloud Pin, the Import Doors screen will display. You will have the option to Replace or Append. For this example, click Append.

7) Click Import on the bottom of the screen.

Send Mobile Credential using Upload File (method 4)

Note: The link for the Upload File method will be sent to you in an email.

1) If you wish to send the mobile credential using the upload file method, select the reader in the Reader Lookup screen as per the steps above..

2) Click the Upload File button.

3) Upon clicking the Upload File button, a link will be sent to the email address configured.

4) Click the link to access the cloud file.


Configuring the Bluetooth Reader Module (BRM)

Configuring Bluetooth Reader Module (BTM)

Previous Top Next

MUST READ - VERY IMPORTANT NOTES:

  • The ILock Bluetooth Reader Module is supported on CA4K V1.1.54 and later.

  • Follow the Advanced Administrative Instructions below to configure the Bluetooth Reader Module (BRM).

  • The Bluetooth Reader Module adapter plate holds the Farpointe Data® Pyramid Model P-300 125KHz proximity reader and the HID® Signo™ Model 20 multi-technology iClass proximity reader.

BLUETOOTH READER MODULE OVERVIEW

The Bluetooth Module (BTM) and optional Reader Spacers convert any Wiegand-enabled third party 125 kHz Prox or 13.56 MHz iClass reader into a Continental Bluetooth-enabled reader. The BTM enables the Continental smartphone app to interact with ordinary Prox or iClass Reader installations using wireless Continental Bluetooth credentials the same way they interact with ArchiTech Wireless locks and wireless NetPanels (NETWORXPANELs) today (Continental only).

The BTM is wired in parallel with the existing reader wiring using power, ground, D0 and D1 lines. If the LED wire is also connected, then the app will provide feedback if the credential was successfully processed.

The module, measuring about 1 inch by 1 inch, is wired in parallel and placed behind the existing Wiegand-enabled third party reader in either a gang box or behind sheetrock or block wall construction in a dry location. Mullion mounting is also possible using a Reader Spacer that contains a weather sealed BTM module that is placed behind the reader and secured to the mullion or wall using the reader mounting hardware (see below). BTM Reader Spacers have been created for the Farpointe Data® Pyramid Model P-300 125KHz proximity reader and the HID® Signo™ Model 20 multi-technology iClass proximity reader.

Currently the BTM is compatible with the CA4K iLOCK App for iOS (Ver 9.0+) and Android (Jellybean Ver 4.0+) that provides door unlocking capability (this is the iLock app with Bluetooth added).

Credential management, included in CA4K Host Software, is used to create and manage Bluetooth credentials just like it is now done with ArchiTech locks when integrated with Continental.

BLUETOOTH READER MODULE - ADVANCED ADMINISTRATIVE OPTIONS

· The advanced options only apply to the Bluetooth Reader Module (BRM), and not a Bluetooth enabled Architech lock.

· Defaulting the Bluetooth Reader Module (BRM) does not remove the credentials already in the control panel. Defaulting the BRM clears the maintenance credentials and sets the BRM settings back to their default settings.

· Using the Advanced (configuration) options, the installer can change settings in the BRM. Some of the settings include the Output operation mode selection, adjusting the Bluetooth advertising transmission strength, and a few others settings. Changes to these settings are normally performed during construction or during the installation (Note: Changes require configuring and using a maintenance credential). In most cases, the BRM should be ready to enroll credentials, and all default settings should work correctly. Note: Creating maintenance credentials is optional.

· There are two methods to enroll a maintenance (configuration) credential after placing the module into the maintenance credential Enroll mode. The first method, the Bluetooth Reader Module will send the text My Lock. Select My Lock and enter the door name and a password of your choice. The second method is a type of manual enrollment, where you must enter the last six digits of the MAC Address and a password of your choice.

1) In the Settings screen, click Advanced Options as per the screen below.

2) To access the configuration settings, set the module into Maintenance Credential Enroll Mode by pressing the module's pushbutton once; there will be three quick RED LED flashes with beeps followed by one GREEN LED flash and then continuous beeping with green LED flashes.

Note: You can add up to two maintenance credentials.

3) While the green LED flashing with continuous beeps (enroll mode), the user can configure a maintenance credential in two ways:

a. Method 1 - By Clicking Add Maintenance Credential and selecting MYLOCK from the available doors list. Enter the Door Name and a Password of your choice for My Lock and click OK. Refer to the following three screenshots.

b) Method 1

By MAC Entry:

i) Check By MAC Entry and tap on + Add Maintenance Credential

ii) Enter the last Six digits of the MAC Address and a password of your choice. Click Connect.

iii. A "Success!" message displays when the Lock is enrolled successfully.

iv. Upon a successful enrollment, the maintenance door will be displayed under All doors.

c.. Select the maintenance door and click the Unlock icon to connect to the door and enable the configuration mode. After the connection is made, a new icon will appear for the keypad to perform various system configurations, including Output operation mode select, sounder, adjusting Bluetooth advertising transmit strength, etc.

d. Click the keypad icon at the bottom of the screen.

4. Once the connection is made, a keypad will appear to perform the following admin functions.

5. The admin Users can perform the following functions using the keypad screen.

a. Configure output operation modes

Command: AL, 1, AL, Arg1, *

Arg1 = Mode,

0= Automatic (default), based on detected credential and serial port status.

1= Serial Only

2= Wiegand Only (64bit)

3= Wiegand 160Bit Only

b. Configure device address (Note: This function is only used with DL-WINDOWS).

Command: AL, 2, AL, Arg1, *

Arg1 = Address,

5= Door 1(default)

6= Door 2, for Networx panel second door

c. Configure a sounder on Unlock event

Command: AL, 5, AL, Arg1, *

Arg1 = Sounder On/ Off,

0 = No Sounder on Unlock Detect

1= Sound Beep on Unlock Detect (Default)

d. Configure Bluetooth Advertisement transmit strength

Command: AL, 7, AL, Arg1, *

Arg1 = indexing strength, 0 being the weakest and 7 being the strongest,

0 = -19.1 dBm

1 = -15.1 dBm

2 = -10.9 dBm

3 = -6.9 dBm

4 = -2.5 dBm

5 = 1.6 dBm

6 = 5.8 dBm

7 = 7.5 dBm (default)

e. Exiting Program mode

Command: AL, 8, *

(User can also exit program mode by holding down AL key)

f. Default and restart

Command: AL, 9, 9, AL, 0, 0, 0

Note: Defaulting can be performed in two ways

Very Important: The standalone CA-BRM is equipped with a button to default (reset) the Bluetooth Reader Module back to its original factory default settings (procedures are described below). In place of a button, the models CA-BRM-F-P300 and CA-BRM-H-SIG20 each contain a jumper to perform this reset (installing the jumper is the equivalent to a press/hold down of the CA-BRM's reset button). The jumper is located on the back of the Bluetooth Proximity Reader Adapter. When the CA-BRM-F-P300 and the CA-BRM-H-SIG20 default (reset) procedure is complete, it is very important to verify that the jumper has been removed. The Bluetooth Reader Module will not function if the jumper remains installed.

Module Default (Reset) Method 1:

Please read and understand entire procedure before starting.

1. Remove power from the reader module.

2. With the module unpowered, press/hold down the button (or install the jumper) for approximately 10 seconds. This will discharge any residual voltage that is present in the module.

3. Power up the module and verify 3 red LED flashes with beeps (if not, stop here and start the procedure again at step 1).

4. Within 3 seconds, press/hold the button (or install jumper).

5. Verify a green flash and beep acknowledgement (occurs after about 3 seconds), then release the button (or remove jumper).

6. A series of quick red flashes will occur for approximately 15-20 seconds during the reset process. Observe a final green LED flash/beep when the default process finishes.

Module Default (Reset) Method 2:

It is recommended to use method 1. This method should only be used if it’s not possible to remove the power from the BRM. Please read and understand entire procedure before starting.

1. While the module is powered, press/hold the button (or install jumper). Ignore the initial response. After 3 seconds, observe the flashing red LED (continue holding).

2. After approximately 20 seconds (while still holding the button or with the jumper still installed), a sequence of green LED flashes and beeps will occur. The reset process will start; button may be released (or jumper removed).

3. After several seconds of quick red LED flashes, observe a final green LED flash/beep when the default process finishes.


CA4K Mobile App

MUST READ - VERY IMPORTANT NOTES:

  • The CA4K Mobile Web App (IIS app) must be installed from the version of CA4K you are currently using (this includes service packs).

  • The CA4K™ Mobile App is supported on an Android and IOS mobile device.

  • The CA4K Mobile App (phone app) is FREE and must be downloaded from the IOS (Apple) App store or the Google (Android) Play store.

  • Internet Information Systems (IIS) is a Windows feature and must be pre-installed and configured prior to installing the CA4K Mobile Web App.

  • After IIS is installed, you must install the CA4K Mobile Web App from the CA4K software.

  • The CA4K software requires specific programming of Operators and Personnel to function on the CA4K Mobile App. This will be explained on the following pages.

  • The CA4K Mobile App does not require a Workstation license.

  • The CA4k Mobile App does not require the purchase of the CA4K API.

  • The CA4K Mobile App uses port 8080 by default. Please verify this port is open in the Windows firewall.

  • If you choose to use https (secure socket layer), it must be configured by the I.T. department at the customer location. Please refer to the Microsoft IIS documentation.

  • LDAP Single Sign-On is not supported on the CA4K Mobile App. .

VERY IMPORTANT - As mentioned above, you must be using the CA4K Mobile Web APP from V1.1.16 Service Pack 3 or a later version.

The following pages provides an overview of installing IIS, CA4K Mobile Web App on the IIS computer and also downloading

and installing the CA4K™ Mobile app on an Android or IOS mobile device.


Configuring IIS for CA4K Mobile App

Configuring Internet Information Services (IIS) for CA4K Mobile App

Previous Top Next

MUST READ - VERY IMPORTANT NOTES:

  • Prior to installing the CA4K Mobile App from the CA4K DVD, it is required to have Microsoft's Internet Information Systems (IIS) pre-installed.

  • The selections for the IIS installation are the same IIS settings required for the CA4K Web Client. These settings might vary slightly between various Operating Systems.

Internet Information Systems (IIS) Installation (From within Windows)

Installing and configuring Internet Information Systems (IIS) Server (From within Windows)

Note: Internet Information Systems (IIS) is a Windows feature that is needed to execute the CA4K Mobile App. The CA4K Mobile App is a web based mobile application.

VERY IMPORTANT: The following screen may vary between different Operating Systems.

.
1) In Windows, open Control Panel from the Start Menu.

2) In the Control Panel, click Programs and Features.

3) Next, for Internet Information Services (IIS), click on the features that are checked on the following screen and then click the OK button.

Note: If you wish to install IIS Manager Tool, select IIS Management Console under Web Management Tools. It is recommended to install this.

Very Important - The IIS settings will vary between different Operating Systems.

The settings below are for Windows 10 and Server 2012 IIS selections.

The settings below are for Server 2019 IIS selections.

Once the installation is complete, click Next or Finish button.

By default the CA4K Mobile App will be installed as shown below.

Changing Port Information in IIS (Optional)

4. By default, App website will be installed on port 8080. This port can be changed as needed. Open IIS->Click CA4K Mobile web site ->Bindings to edit port.

Refer to the next page for installing the CA4K Mobile Web App from the DVD.


Installing CA4K Mobile App files from DVD

Installing CA4K Mobile App from V1.1.x DVD

MUST READ - VERY IMPORTANT NOTES:

  • The CA4K Mobile Web App must be installed from a V1.1.16 Service Pack 2. Service Pack 2 contains the latest version.

Install the CA4K Mobile Web App files.

  • Verify IIS has been installed.

  • Install CA4K Mobile Web App from the Service Pack 2 files (Refer to Service Pack 2 installation instructions.

Fig. 240.1. The CardAccess 4K Main Menu screen.

  • The next screen to display is the CA4K Access App Setup screen. Leave the APP Setup screen at the default settings as per the screenshot below.

  • Click Install button.

Fig. 240.1. The CardAccess 4K Mobile Website installation screen.

  • Upon clicking the Install button, a progress bar will display while the CA4K Access App is installing.

Fig. 240.1. The CA4K Access App progress bar screen.

  • Upon completion of the install, click the Finish button.

Fig. 240.1. The Click Finish screen.

  • The CA4K Mobile Web App installation is complete.

Refer to the next page to configure the CA4K software including Operators, Privileges, Personnel (Badges) and Access Groups.


Configuring CA4K software for Mobile App

Configuring CA4K Software for the CA4K Mobile App

MUST READ - VERY IMPORTANT NOTES:

  • All users of the CA4K Mobile App MUST be configured as an OPERATOR in the CA4K software.

  • The CA4K software MUST have a BADGE configured in PERSONNEL with the exact first and last name of the CA4K Operator.

  • The Badge created for the CA4K Operator must have the correct Access Groups configured to use the CA4K Mobile App to Unlock doors.

  • It is highly recommended to configure a Privilege Role for basic CA4K Mobile App users.

1. In the CA4K software, you MUST configure an Operator for each Mobile Phone user. Next, under Operators, you must assign a Privilege Role to the Operator. The Privilege Role will either be for a basic Mobile App user, or an Administrative Mobile App Operator who will have full access to all functions.

2. Next, in the CA4K software, you must assign a Badge in Personnel that is associated with the CA4K Operator you configured for the Mobile Phone user. Next, you must assign one or more Access Groups to the Badge. The access group for the badgeholder will determine which doors the badgeholder can unlock. Very Important - The Badgeholders first and last name must match exactly, the first and last name of the Operator. The first and last name of the Operator is under the Operators Personal tab.


Downloading CA4K mobile App

Download and Install CA4K Mobile App on device

MUST READ - VERY IMPORTANT NOTES:

  • The CA4K Mobile App is supported on CA4K V1.1.x or later.

  • The CA4K Mobile App must be purchased and downloaded from the IOS App Store or the Google Play store.

DOWNLOAD AND INSTALL THE CA4K MOBILE APP

  • Purchase and download the CA4K Mobile App that is compatible with your mobile device from the Apple App Store or Google Play store. .

  • Install the App on the IOS or Android mobile device.

  • Upon installing the CA4K Mobile App, there should be an icon for the CA4K mobile App on the mobile device.

  • Upon downloading the App to an Iphone, you might be required to VERIFY the App under Settings>General>Device Management.

TRUSTING THE APP ON AN IOS DEVICE

After the App is downloaded and the installation is complete, you might have to configure the CA4K App to be trusted in iOS devices only. This process can be done using the following path Settings > General > Device Management. (Please refer to the following screenshots).

Note: Android devices can skip this process.

  • Click Napco Security Technologies Inc.

  • Click Trust Napco Security Technologies Inc.

  • Click Trust.

  • Upon a successful installation of the CA4K App, the CA4K icon should display.


Launching CA4K Mobile App on device

MUST READ - VERY IMPORTANT NOTES:

  • The CA4K App must have been downloaded and installed on the mobile device prior to performing the following steps.

  • The Name and URL screen will display the version of the CA4K Mobile App purchased, downloaded and installed.

Launch the CA4K Mobile App

  • To launch the CA4K Mobile App, click on the CA4K icon on the Mobile device. If this is the first time you are launching the App on the device, you will be prompted to enter one or more Names and URLs. By default, the port number is 8080. This port can be changed in IIS.

  • Upon adding a Name and URL, click Save on the bottom right.

Note: The version of the CA4K Mobile App purchased, downloaded and installed is displayed on the bottom of the screen. For this example, it is V1.0.6.

  • Upon configuring the Name and URL, the CA4K Mobile App login screen should display. Login with your CA4K credentials (CA4K Operator). If the default login has not been changed, you can use admin and admin@4k.

  • If you selected to use an App Pin, you must also enter in a Pin Code.

  • Upon logging into the CA4K Mobile App, a main menu will display.

App Messages / Status:

  • First section shows connection status with the server Online/Offline.

  • Middle Section shows the general messages.

  • The last section shows activate status for Lockdown and Threat Level.

Refer to the following pages for Configuration settings and main menu screens.


Configuring CA4K Mobile App on device

MUST READ - VERY IMPORTANT NOTES:

  • Prior to using the CA4K Mobile App, the CA4K software must be programmed including Operators, Operator Privilege Roles, Personnel and Access Groups.

Configure CA4K Mobile App

Configure the settings as per below:

MORE button (Configuration Settings)

1. At the main menu of the CA4K Mobile App, click the MORE button (3 horizontal bars) for the configuration settings.

APP VERSION - This is the version of the CA4K Mobile Web App installed in IIS.

BASE URL - The Base URL displays the URL of the IIS Web Server and web application folder name.

VERY IMPORTANT: If you wish to return to the Name and URL screen while in the App, you must SHAKE the device. Upon shaking the device, you will be prompted to return to the Name and URL screen.

GENERAL SETTINGS - The General Settings contains a Login Session Timeout setting, and the App PIN Entry settings.

GENERAL SETTINGS - The General Settings contain:

Login Session Timeout: This setting determines how long the app will

stay logged in after user’s last interaction with the App. Time can

be set to 5 min to 60 min.

App PIN Entry: When this is check box is selected, the user is required to enter a valid 4 digit Pin Code. Upon entering the 4 digit pin code, you must click Done. Upon configuring a Pin Code, you will be required to enter the pin code during the App log in process.

BADGE HOLDERS LINK - The Badge Holder’s Link displays the badge number, Facility, First Name and Last Name associated with the Operator who is logged into the CA4K App. If there is not a badge configured for the Operator in CA4K, this box will be blank and you will not have access to any doors.

VIEW SELECTIONS - you must select the menu items you wish to display on the main menu. By default, all the menu items are selected and will display. Under MY DOORS, the doors you have permissions to will display but are not selected by default. You MUST select the doors you wish to display and Unlock.

Upon completion of your selections, you must click Save Settings.

View Options

My Doors Expanded: When selected, MY DOORS will be expanded by default on the main screen of the App.

Request Wireless Lock Status: This allow app to request status for wireless locks when perform My Door, Manual Control operation and Status screen. There is no way app will request Wireless Locks status automatically with a time interval because of battery. In order to get actual status for any wireless locks this option must be checked. However, it is recommended to use this feature only if required for longer battery life.

In-List Refresh: The interval the Badge Holder’s In data will refresh. The time interval is in Seconds.

Message Options

Display Message Time - This setting determines how and when general messages will be cleared from the message section of the status bar. The time interval is in Seconds.

VERY IMPORTANT : You must click Save Settings or Done after configuring the settings.

MY DOORS - Upon selecting MY Doors on the main menu, the MY DOORS screen will display the Readers assigned to the Operators login, Badgeholder # and Access groups. You will have the option to Unlock the doors you have permissions to.

NOTE: If a badge is disabled from CA4K which is currently linked to Badge Holder’s Link Badge, in the next iteration of auto refresh data (within 1 / 2 second depending on network latency) the Badge from Badge Holder’s Link will be removed. If the logged in user has multiple badges, then the first available badge will be selected and My Door list will refresh accordingly. It is important to know that if any mutual door is found which was checked for the previous badge, will show as checked. Also can be used from the My Doors screen.

Functional notes:

  • To unlock a door, tap Unlock and the status will display, Door Being Unlocked.

  • PIN or Common code may need to be entered depening on reader and badge configuration. A small window will appear to get the PIN or Code.

  • Door status displays on right side depending on current state. If door is disabled or status is not found then displays UNKNOWN.

  • Door Locked will display for the following Door Status: “Door is Secure”, “Manual Locked” and “Door Secure”.

  • Door Unlocked will display for the following Door Status: “Forced Door”, “Free Access”, “Manual Unlocked”, “Bypasss Active”, “DOOR is Open”, “Free Access Open”, “Disabled and Open” and “Door Unlocked”, any other status will display unknown.

  • Unlocking the door allows access to the door and generates a Valid Badge Type event and unlock door event. If this fails, then a Violate Type event is generated.

  • If any operations fail, the messages will display in the general message section. This will hold up to the last 5 messages and can be seen by tapping and hold on the section for 5 seconds.

LOCKDOWN – Upon selecting LOCKDOWN from the main menu, the LOCKDOWN screen will display the status of Lockdown's. You will also have the option to Activate and Deactivate a Lockdown.

Functional notes:

· All lockdown areas are displayed here for logged in operator considering partition.

· A Tap on a Lockdown Description, the user can Activate or Deactivate a

single Lockdown Area.

· A tap on a Activate button, the user can activate all lockdown areas which are listed at a time

· A Tap on Deactivate button, the user can deactivate all lockdown areas

which are listed.

THREAT LEVELS - Upon selecting THREAT LEVELS from the main menu, the THREAT LEVELS screen will display the status of Threat Levels. You will also have the option to Activate and Deactivate a Threat Level.

Functional notes:

· All Threat Levels are displayed here for logged in operator

considering partition.

· A tap on a Threat Level Description, the user can Activate or Deactivate a single Threat Level.

· A tap on Activate button, the user can activate all Threat Levels which are listed at a time.

· A Tap on Deactivate button, the user can deactivate all Threat Levels which are listed at the time.

STATUS - Upon selecting STATUS on the main menu, the Status screen will display. You will also have the option to select a device type to view the status of the device.

Functional notes:

  • Panel Status: Displays Panel/Lock description and its current status. The Panel status will show Card Count and Firmware Version if it is responding. If not, this will display Not Responding. For wireless lock it will not display Card Count as Wireless Lock does not support it.

  • Door Status: This displays door’s name and current status for example Forced Door, Door is Secure, Not Configured etc.

  • Relay Status: Displays relay name and its current status for example Off, On, Not Configured etc.

  • Input Status: Displays relay name and its current status for example Normal, Abnormal, Not Configured etc.

CONTROL – Upon selecting CONTROL on the main menu, the Manual Control screen will display for Doors and Relays. Under Doors, you will have the option to Unlock, Lock and Unlock & Hold the Doors you have privileges to control. Under Relays, you will have the option to Activate, Deactivate and Deactivate and Hold the Relays you have privileges to control.

Functional notes:

  • Expanding control below diagram will be displays. Two functions Doors and Relays available to manual control here work as exactly as CA4K. After expanding each item will show search option in order to search any desire devices for door and relay.

  • Doors: Expanding doors, all doors should display based on the operator partition. This allow user to manual control doors to Unlock, Lock and Unlock & Hold. Door current status is reflected depend on operation performed. Default strike time 5 second or which is set in reader screen will be followed as there is no way to override the strike time. If any door is disabled or status notfound will be displayed as UNKNOWN on status. This will generate event followed by CardAccess4k. For Unlock and Unlock & Hold will generate Door Manual Unlocked; for Lock, Door Manual Lock event will generate.

  • Relays: Expanding relays, all relays should display based on the operator partition. This allow user to manual control relays to Activate, Deactivate and Activate & Hold. Relays current status is reflected depend on operation performed. If any relay is disabled or status not found will be displayed as UNKNOWN on status. This will generate event followed by CardAccess4k. For Activate and Activate & Hold will generate Output On alert; for Deactivate, Output Off event will generate.

PERSONNEL - Upon selecting PERSONNEL on the main menu, the Personnel screen will display the badges in your partition. You will also have the option to Add, Edit and Delete badges.

PERSONNEL - Upon selecting PERSONNEL on the main menu, the Personnel screen will display the badges in your partition. You will also have the option to Add, Edit and Delete badges. The Personnel screen is used for creating badge holder records. Using this screen, it is possible to create a badge with a badge number and name including facility, set access groups, and PIN digits field to the badge. CA4K App also allows multiple badges create to add to assigned to a user (Person) like CA4K.

Functional notes:

· Only one Badge can be modified at a time. If a new badge is being added or modified that must be Saved or Canceled in order to move to another badge.

· Badge which is currently being used in Badge Holder’s Link for My Door cannot be Deleted or Edit any value for that particular badge. However, user can still modify or delete any other badge which is belongs to the same person.

· Search:

To search person/badge, tap on Fields from the combo and select items from the list First Name, Last Name or Badge, enter value on Value field to search person.

This allows the user to find out the specific person/badge quickly from a bunch of badges by selecting three fields like First Name, Last Name and Badge and entering person/badge’s value considering Field selection.

· Add Personnel:

New personnel can be created by tapping on Add button. This will redirect to the add personnel screen where user can enter First and Last name, PIN code, set Enabled state, assign Access Groups. Number of Access Groups a badge can have depended on CA4K system settings.

  • In order to add Badge and Facility user need to tap Add Badge+ button and enter values.

  • Once all required inputs are entered, the user can save the change by tapping on Save button to create or discard the changes by tapping on Cancel button on the top.

Access Groups:

CA4K allows a maximum of 16 access groups and displays as system settings configuration for per badge. CA4K App also have the same feature for access group per badge.

· Each Access Group combo load with all available access groups considering partition.

· Each combo start with NO ACCESS on top.

· Assign or Un-assign an Access Group can be done by selecting a configured Access Group or selecting No Access.

· Duplicate access group for the same badge must not allow.

· Remove access group for the badge which is currently using for My Door operation will get reflected.

  • Tap on any access group combo and select any one from the list to set access for person/badge. See two diagrams below.

Edit or Add Another badge to an existing Person:

In order to edit an existing badge user need to selected the desired badge and tap on Edit button from the top.

· For edit the existing badge, users can simply changes the values of it and tap on save. Note: badge and Facility cannot be changed from this App.

· For Add a new badge to an existing person, user need to tap on Add Badge+ and enter Badge No and Facility. After adding badge the newly created badge will be listed under the badge list and selected by default. Access Group and other values can be set at this point for this.

· Once all done save the changes will automatically go under the same person.

Delete:

On Delete, the user needs to select any person/badge from grid and tap on it. Delete throws a pop-up to confirm about the deletion and delete the person/badge tap on OK as below diagram.

· Deleting a person/badge which currently assigned for logged in operator then reflect to Badge Holder’s Link combo and My Doors section on CA4K App Config also on My Doors on app main screen.

BADGEHOLDERS-IN - Upon selecting BADGEHOLDERS-IN on the main menu, the BADGEHOLDERS-IN screen will display. The purpose of the Badge Holders In function is to display a list, commonly called a 'muster list', of all badge holders that have entered a building. In the CA4K App, the user can only view entry badge holders grid with Name, Reader and Time with total count. Expanding the Badge Holders-In should display as the diagram below, depending on availability of entry badge holders.

  • The InList grid shows the entry badge holders list.

SCHEDULED CHANGES - Upon selecting SCHEDULED CHANGES on the main menu, the SCHEDULED CHANGES screen will display all the configured scheduled changes with their dates and times. The Scheduled Changes screen is a utility screen where you can create schedules that can temporarily override 'standard' schedules that were created using the 'Schedules' screen. Schedule changes on App also have same hardware items to apply changes to such as Readers, Inputs, Relays and Links.

The Scheduled Changes function allows the ability to Add, Edit and Delete scheduled changes. The Cancel Active feature provides the ability to cancel an active scheduled change.


API (Application Programmers Interface)

MUST READ - VERY IMPORTANT NOTES:

  • The CA4K API must be purchased and enabled in the CA4K Software license.

    • The CA4K API files are in the CardAccess4K>API folder by default.

    • A copy of the DLL and the customer created executable must be placed in the root of the CardAccess4K folder to be functional if running application on local machine.

    • The Latest API (CardAccess.API.dll) contains 180+ functions.

    • The CardAccess.API.dll is backwards compatible with the API in earlier versions of the CA4K, but must be recompiled if upgrading from the V1.0.50 API.

    • The CardAccess.APITest.zip file contains the API test program source code and can be found in the API folder. If you do not see it in your version, please contact Continental Tech Support.

    • Included in the release of V1.1.3x, is a REST API.

Very Important Notes:

The CA4K™ Application Programming Interface (API) provides a Windows-based development framework to address all customer integration

requirements. The feature rich API allows users to register callback functions to receive events. The API includes 180+ functions and is continually being expanding.

The API DLL (CardAccessAPI.DLL) and specification can be found in the CardAccess4K>API folder after the installation is complete. There

is also a sample C# application (CardAccessAPITest.exe) for your use. This sample application is also located in the CardAccess4K>API folder. If it is not in your version, please contact Continental

Technical Support for some sample code.

To utilize the API DLL, and you are executing your program locally, the API DLL and your application must be in the root of the CardAccess4K folder. If you are executing your application from a remote location,

you must copy the API DLL, your application and all depended DLL's to the remote location (See below for the list of dependencies).

The API is continuously being updated to meet the needs of our customers. Please contact your regional sales manager if you have any additional requests for the API that are required to meet the requirements of your project.

Compiling Information

CA4K V1.0.50 API requires Visual Studio 2010 or later Targeting .Net Framework 4.0

CA4K V1.1.x API requires Visual Studio 2017 Targeting .Net Framework 4.72.

Executing API Program on a PC where CA4K is not installed

Very Important - If the sample program or an API program needs to run on a PC where CA4K in not installed , there are some dependency DLLs should be copied to the same folder as CardAccess.API.dll is.

REST API

Version 1.1.3x contains a new RESTful API. Please contact Continental Technical Support for documentation.

.


API Specification

Previous Top

API Types

There are two API's available. One is for Windows .Net and the second is a RESTful API for web developers. Both API's now contain a Windows installer package. The RESTful API is a wrapper for the Windows .Net API.

Note - Refer to the Continental document library for all the latest API documents. They also can be found in the CardAccess4K>API folder.

CardAccess 4K API - Version 1.0.4

The Card-Access Basic API designed to allow third party applications to interact with Card Access 4K software for limited operations. A valid run time API license is required to use this feature.

The following pages contain detailed programming instructions. This API is for experienced programmers only.

The Card-Access Basic API functions are listed below.

  1. Initialize and Login API

public bool LogIn(string username, string password)

if the user name or password is blank, default admin account and with default password will be used.

Parameters:

username: User name

password: User password

Return Values:

True or False.

  2. Get Panels list

public DataTable GetPanels()

Returns a DataTable with all Panels for the user.

  3. Panel Operation

public int PanelOperation(UInt16 Panel, Boolean Enabled)

Enable or Disable Panel.

Parameters:

Panel: Panel Number

Enabled: Enable or Disable flag

  4. Get Readers list

public DataTable GetReaders(int PnlNo = 0)

Returns a DataTable of Readers of a Panel for the user.

Parameters:

PnlNo: Panel Number (if PnlNo = 0 returns readers of all Panels)

  5. Get Readers by Badge and Facility

public DataTable GetAccessReaderByBadge (long Badge, UInt16 Facility)

Returns a DataTable of Readers that Badge has access to.

Parameters:

Badge: Badge Number

Facility: Facility Number

  6. Door Operations

public intDoorOperation(UInt16 Panel, UInt16 Door, UInt16 Time, UInt16 Operation, boolRequestStatusAfterManualControl = false)

Parameters:

Panel: panel Number

Door: Reader/Door number

Time: Strike Time (in seconds)

RequestStatusAfterManualControl: Optional if true will request panel status else not, default is false

Operation:

1: Lock

2: Unlock

3: Unlock Hold

  7. Reader Operations

public int ReaderOperation(UInt16 Panel, UInt16 Reader, Boolean Enabled)

Enable or Disable reader.

Parameters:

Panel: panel Number

Door: Reader/Door number

Enabled: enable / disable flag

  8. Get Relays list

public DataTable GetRelays(int PnlNo = 0)

Returns a DataTable of Relays of all Panels (PnlNo = 0 ) or a specific Panel for the user.

Parameters:

PnlNo: Panel Number

  9. Relay Operations

public intRelayOperation(UInt16 Panel, UInt16 Operation, UInt16[] Relays, UInt16 RelayCount, UInt16 Seconds, bool RequestStatusAfterManualControl = false)

Parameters:

Panel: panel Number

Relays: List of Relay Numbers

RelayCount: Number of relays returned

RequestStatusAfterManualControl: Optional if true will request panel status else not, default is false

Operation:

1: Momentary ON

2: Hold Energized

3: De-energized

  10. Get Access Groups list

public DataTable GetAccessGroups()

Returns a DataTable of Access Groups for the user.

  11. Badge Operations

public int BadgeOperation(System.UInt16 Facility, System.UInt64 Badge, System.String FirstName, System.String LastName, System.String MI,System.UInt16 AGNo1, System.UInt16 AGNo2, System.UInt16 AGNo3, System.UInt16 AGNo4, System.UInt16 AGNo5, System.UInt16 AGNo6, System.UInt16 AGNo7, System.UInt16 AGNo8, System.UInt16 AGNo9, System.UInt16 AGNo10,System.UInt16 AGNo11,System.UInt16 AGNo12, System.UInt16 AGNo13, System.UInt16 AGNo14, System.UInt16 AGNo15, System.UInt16 AGNo16, System.UInt16 Operation)

Parameters:

Facility: Facility code

Badge: Badge Number

FirstName: First Name

LastName: last Name

MI: Middle Initial

AGNo1 ~ AGNo16: Access Group 1 ~ 16 Number

Operation:

0: Insert Badge

1: Delete Badge

2: Update Badge

3: Enable badge

4: Disable Badge

  12. Badge Operations with access group parameters as an array

public int BadgeOperation(UInt16 Facility, UInt64 Badge, String FirstName, String LastName, String MI, UInt16[] AGNos, UInt16 Operation)

Parameters:

Facility: Facility code

Badge: Badge Number

FirstName: First Name

LastName: last Name

MI: Middle Initial

AGNos : Integer array of size 16 for Access Group number 1 ~ 16 values

Operation:

0: Insert Badge

1: Delete Badge

2: Update Badge

3: Enable badge

4: Disable Badge

  13. Badge Operations with access group parameters as an array and PIN for a specific person

public int BadgeOperation(UInt16 Facility, UInt64 Badge, String FirstName, String LastName, String MI, UInt16[] AGNos, UInt16 Operation, Guid PersonId = default(Guid), Int32? PIN = -1)

Parameters:

Facility: Facility code

Badge: Badge Number

FirstName: First Name

LastName: last Name

MI: Middle Initial

AGNos : Integer array of size 16 for Access Group number 1 ~ 16 values

PersonId: Persone Id

PIN: Badge PIN number

Operation:

0: Insert Badge

1: Delete Badge

2: Update Badge

3: Enable badge

4: Disable Badge

  14. Badge Operations with access group parameters as an array and PIN for a specific person

public int BadgeOperation(UInt16 Facility, UInt64 Badge, UInt16 NewFacility, UInt64 NewBadge, String FirstName, String LastName, String MI, UInt16[] AGNos, UInt16 Operation, Guid PersonId = default(Guid), Int32? PIN = -1)

Parameters:

Facility: Facility code

Badge: Badge Number

NewFacility: New Facility code

NewBadge: New Badge Number

FirstName: First Name

LastName: last Name

MI: Middle Initial

AGNos : Integer array of size 16 for Access Group number 1 ~ 16 values

PersonId: Persone Id

PIN: Badge PIN number

Operation:

0: Insert Badge

1: Delete Badge

2: Update Badge

3: Enable badge

4: Disable Badge

  15. PIV Badge Operations

public int PivBadgeOperation(UInt64 Badge, String FirstName, String LastName, String MI,UInt16 agencyCode, UInt16 orgCategory,UInt16 orgAssoc, UInt16 siteNo, UInt16 issue, UInt16 series, UInt64 persPIVId, UInt16 orgId, UInt16[] AGNos, UInt16 Operation, Guid PersonId = default(Guid))

Parameters:

Badge: badge number (Credential number)

FirstName: First Name

LastName: last Name

MI: Middle Initial

agencyCode : Agency code

orgCategory : Organization category number

siteNo : Site number

issue : Issue number

series : Credential Series number

persPIVId: personalized id number

orgId: Organization number

AGNos : Integer array of size 16 for Access Group number 1 ~ 16 values

personId: If PersonId is passed the badge will insert under this person.

Operation:

0: Insert Piv Badge

1: Delete Piv Badge

2: Update Piv Badge

3: Enable Piv badge

4: Disable Piv Badge

  16. PIVI Badge Operations

public int PiviBadgeOperation(string pivData, String FirstName, String LastName, String MI, UInt16[] AGNos, UInt16 Operation)

Parameters:

pivData: PIVI 32 byte HEX data

FirstName: First Name

LastName: last Name

MI: Middle Initial

AGNos : Integer array of size 16 for Access Group number 1 ~ 16 values

Operation:

0: Insert Pivi Badge

1: Delete Pivi Badge

2: Update Pivi Badge

3: Enable Pivi badge

4: Disable Pivi Badge

  17. Update all Access groups for a Badge holder

public int UpdateBadgeAccessGroup(UInt16 Facility, UInt64 Badge, UInt16[] AGNos)

Parameters:

Facility: Facility number

Badge: Badge number

AGNos : Integer array of size 16 for Access Group number 1 ~ 16 values

  18. Update an Access group for a Badge holder

public int UpdateBadgeAccessGroup (UInt16 Facility, UInt64 Badge, UInt16 AGseqNo, UInt16 AGNo,

DateTime agActTime = default(DateTime), DateTime agDeactTime = default(DateTime))

Parameters:

Facility: Facility number

Badge: Badge number

AGseqNo: Access Sequence number (1 ~ 16)

AGNo : Access Group number

agActTime: AccessGroup Activation DateTime

agDeactTime: AccessGroup Expiration DateTime

  19. Update an Access group for a Badge holder

public int UpdateBadgeAccessGroup(UInt16 Facility, UInt64 Badge, UInt16 AGseqNo, UInt16 AGNo)

Parameters:

Facility: Facility number

Badge: Badge number

AGseqNo: Access Sequence number (1 ~ 16)

AGNo : Access Group number

  20. Check whether a particular badge is valid to the specific reader

public bool IsTimeAllowed(int pnlNo, int rdrNo, long badge, int fac)

Parameters:

pnlNo: Panel number

rdrNo: Reader number

badge: Badge Number

fac: Facility Code

  21. Get Panel local datetime

public DateTime GetPanelLocalTime(int PnlNo)

Parameters:

pnlNo: Panel number

Reture Panel Local Time

  22. Check the particular schedule is value for the panel or not

public bool ScheduleIsValidNow(int sched, int pnlno = 0)

Parameters:

sched: Schedule number

pnlno: Panel Number

Reture true or false

  23. Door manual control for Badge

public int DoorOperationByBadge(UInt16 Panel, UInt16 Door, long Badge, Int32 Facility,

UInt16 Time, UInt16 Operation, int PinCode = 0, bool RequestStatusAfterManualControl = false)

Parameters:

Panel: Panel number

Door: Door Number

Badge: Badge Number

Facility: Facility Code

Time: Strike Time

Operation: Type of operation (2 – Unlock door)

PinCode: PIN/Common Code

RequestStatusAfterManualControl: Set to true if status need to be requested after manual control operation

Reture Panel Status

  24. Update Photo for a Badge holder

public int UpdateBadgePhoto(UInt16 Facility, UInt64 Badge, Image photoImage)

Parameters:

Facility: Facility number

Badge: Badge number

photoImage : Photo as Image object

  25. Update value of user defined fields for a Badge holder

public int UpdateBadgeCustomField(UInt16 Facility, UInt64 Badge, UInt16 fieldId, string fieldValue)

Parameters:

Facility: Facility number

Badge: Badge number

fieldId: User field number

fieldValue: User field value as string

  26. Get list of Lock down areas

public DataTable GetLockdownAreas()

Returns data table of Lock down areas

  27. Request All Panel Status

public DataTable RequestPanelStatus(bool requestWirelessStatus = false)

Parameters:

requestWirelessStatus: Will request for wireless locks status if value is true.

Default is set to false.

  28. Lockdown Operation

public int LockdownArea(UInt16 AreaNo, Boolean LockEnable)

Activate or Deactivate Lockdown area.

Parameters:

AreaNo: Lockdown area Number

LockEnable: Activate or Deactivate flag

  29. Get Threat Level status

public DataTable GetThreatLevels()

Returns data table of Threat Level status

  30. Get Active Threat Levels

public DataTable GetActiveThreatLevels()

Returns Data Table of Active Threat Levels

  31. Threat Level Operation

public int ThreatLevelActivate(UInt16 LevelNo, Boolean Activate)

Activate or Deactivate Threat Level.

Parameters:

LevelNo : Threat Level Number

Activate: Activate or Deactivate flag

  32. Get list of configured links

public DataTable GetLinks(int PnlNo = 0)

Returns data table of Links

Parameters:

PnlNo: Panel number (0 – for all panels)

  33. Link Operation

public int LinkOperation(UInt16 Panel, UInt16 Link, UInt16 Operation)

Activate or Deactivate Links.

Parameters:

Panel: Panel Number

Link: Link Number

Operation:

1: Activate

2: Deactivate

3: No Change

  34. Get list of configured Activity Links

public DataTable GetActivityLinks(int PnlNo = 0)

Returns data table of Activity Links

Parameters:

PnlNo: Panel number (0 – for all panels)

  35. Activity Link Operation

public int ActivityLinkOperation(UInt16 Panel, UInt16 ActivityLink, Boolean Enabled)

Activate or Undo an Activity Link.

Parameters:

Panel: Panel Number

ActivityLink: Activity Link Number

Enabled: Activate or Undo flag

  36. Get list of Napco alarm panel areas

public DataTable GetNapcoAreaList(int PnlNo = 0)

Returns data table of configured Napco alarm panel’s areas

Parameters:

PnlNo: Panel number (0 – for all napco panels)

  37. Napco Panel Area Operation

public int NapcoAreaOperation(UInt16 Panel, UInt16 areas, bool bArmDisarm)

Arm or Disarm Napco panel areas.

Parameters:

Panel: Napco Panel Number

areas: Areas bits ( 0x01 ~ 0xFF )

bArmDisarm: Arm or Disarm flag

  38. In-list Query

public DataTable InlistAllQuery()

Return DataTabel of all In-List data

public DataTable InlistQuery(UInt16 Panel, UInt16 Reader)

Returns DataTable of In-list badges.

public int InlistQuery(UInt16 Panel, UInt16 Reader, UInt64[] BadgeList, out UInt16 ResultSize)

Get array of badge list and number of badges.

If Panel= 0 and Reader = 0, all badges will be returned. If Reader = 0, all badges belong the panel will be returned.

  39. Get list of all operator names

public DataTable GetAllOperatorNames()

Returns data table of all operator names.

  40. Get list of Anti Pass Back areas

public DataTable GetAPBAreas()

Returns data table of Anti Pass Back areas.

  41. Get list of Lockdown Anti Pass Back areas

public DataTable GetLockdownAPBAreas()

Returns data table of Lockdown Anti Pass Back areas.

  42. Lockdown an Anti-Pass Back area

public int LockdownAPBArea(UInt16 areaNo, Boolean bLock)

Parameters:

areaNo: APB area number

bLock: Lock or Unlock

  43. Reset APB status of a badge

public int ResetBadgeAPBStatus(UInt64 Badge, UInt16 Facility, UInt16 APBResetType)

Parameters:

Badge: Badge number

Facility: Facility number

APBResetType: APB ResetType (0–IN, 1–OUT, 2-Exempt from APB, 3-Set IN/OUT on Next use)

  44. Reset APB status of a badge

public int ResetBadgeAPBStatus(UInt64 Badge, UInt16 Facility, UInt16 APBResetType, UInt32 APBResetArea)

Parameters:

Badge: Badge number

Facility: Facility number

APBResetType: APB ResetType (0–IN, 1–OUT, 2-Exempt from APB, 3-Set IN/OUT on Next use)

APBResetArea: APB Area (From 0 To 255) : 0-None, 1-Outside, 255-Set Next Use

  45. Reset APB on all panels

public int ResetGlobalAPBStatus(UInt16 resetAPBArea)

Parameters:

apbResetArea: APB area number (255 – Set Next use, 1 – Outside, etc.)

  46. Schedule reset APB status of badges on all panels at a particular time

public int ResetGlobalAPBStatus(UInt16 apbResetArea, DateTime schduletime)

Parameters:

apbResetArea: APB area number (255 – Set Next use, 1 – Outside, etc.)

schduletime: Time to reset

  47. Get list of configured CardAccess scripts

public DataTable GetScripts()

Returns data table of configured CardAccess scripts.

  48. Execute a script

public int ExcecuteScript(UInt16 scriptNo)

Parameters:

scriptNo: Script number to be executed

  49. Get list of configured shut groups

public DataTable GetShuntGroups()

Returns data table of configured shunt groups

  50. Shunt group operation

public int ShuntGroupOperation(UInt16 shuntGroupNo, UInt16 bActive)

Parameters:

shuntGroupNo: Shunt group number to be executed

Operation: bActive

0: Deactivate

1: Activate

  51. Get list of configured Time Schedules

public DataTable GetTimeSchedule()

Returns data table of configured Time Schedules

  52. Enable Log

public void EnabledLogs(bool isEnabledLog)

Parameters:

isEnabledLog: true = Enable, false = Disable

  53. Cancel an Active schedule change

public int CancelActiveSchduleChange(Guid schduleNo, Boolean keepSchdule)

Parameters:

schduleNo: Schedule Object ID

keepSchdule : Weather to keep the schedule or delete after cancel.

  54. Get usage of Badges, Time Schedule and Access Groups

public DataTable GetUsage(int type, int param)

Parameters:

type: 1 - Panel usage, 2 – Time schedule usage , 3 – Access group usage

param: Panel number or Time schedule number or Access group number.

  55. Get list of Lock down area status

public DataTable GetLockdownStatus()

Returns data table of Lock down area status

  56. Get panel status

public DataTable GetPanelStatus()

Returns data table of configured panel status

  57. Get Wireless Lock Gateway status

public DataTable GetGatewaysStatus()

Returns data table of configured Wireless Lock Gateway status

  58. Get Wireless Lock status

public DataTable GetLocksStatus()

Returns data table of configured Wireless Lock status

  59. Get Device status

public DataTable GetDeviceStatus(int type)

Returns data table of device status

Parameters:

type: Device type

0 – All devices

1 – Device type inputs

2 – Device type relays

4 – Device type panels

5 – Device type readers

  60. Get Events

public DataTable GetEvents(DateTime startDate, DateTime endDate)

Returns data table of CardAccess Events

Parameters:

startDate: From time

endDate: To time

  61. Get Pending Events (Alerts)

public DataTable GetPendingEvents()

Returns data table of CardAccess Pending events

  62. Get Audit log entries

public DataTable GetAuditTrail(DateTime startDate, DateTime endDate)

Returns data table of Audit trail entries

Parameters:

startDate: From time

endDate: To time.

  63. Get Badge Photo

public Image GetBadgePhoto(UInt16 facilityNo, UInt64 badgeNo)

Returns an Image object of a badge holder.

Parameters:

facilityNo: Facility number

badgeNo: Badge number

  64. Get Last Error

public string LastErrorStr

Return error text last occurred.

  65. Name of database used

public string ConnectStr

Returns SQL Server and database name.

  66. Get Alert subscriber status

public bool AlertSubscriberStatus

Returns Alert subscriber status.

  67. Get Time schedule detail

public DataTable GetTimeScheduleDetail(int timeZoneNo = 0)

Returns data table of all or specific Time schedule.

Parameters:

timeZoneNo: Time schedule number (default = 0 to get all Time schedules)

  68. Get Time schedule number of an Access group and Panel

public DataTable GetAccessGroupTimeSchedule(int AccessGrpNo = 0, int PnlRef = 0)

Returns data table of Time schedule number used for an Access Group and Panel.

Parameters:

AccessGrpNo: Access Group number (default = 0 to get for all Access Groups)

PnlRef: Panel number (default = 0 to get for all Panels)

  69. Get Partition detail

public DataTable GetAllPartitions()

Returns data table of Partitions in the system (for an API user).

  70. Get Access Group for a badge

public DataTable GetAccessGroupForBadge(Int64 badge, Int32 fac)

Returns data table of Access groups assigned to a Badge.

Parameters:

badge: Badge Number

fac: Facility code

  71. Get detail of Badge holders in a Partition

public DataTable GetAllBadgeHolders(string partitionId)

Returns data table of Badge holder’s detail by partition.

Parameters:

partitionId: Partition Id ( ref #58), Use admin Partition Id to get all badges in the system.

  72. Update an Access group for a Badge holder with Activation and Expiration dates

public int UpdateBadgeAccessGroup(UInt16 Facility, UInt64 Badge, UInt16 AGseqNo, UInt16 AGNo, DateTime agActTime = default(DateTime), DateTime agDeactTime = default(DateTime))

Parameters:

Facility: Facility number

Badge: Badge number

AGseqNo: Access Sequence number (1 ~ 16)

AGNo : Access Group number

agActTime: Access Group Activation date/time (Optional)

agDeactTime: Access Group Expiration date/time (Optional)

  73. Update Badge holder additional parameters including Activation and Expiration dates

public int UpdateBadgeParams(UInt16 Facility, UInt64 Badge, DateTime actDate, DateTime deactDate, int enable = -1, int pin = -1, int track = -1, int escort = -1, int useCount = -1)

Parameters:

Facility: Facility number

Badge: Badge number

actDate: Badge Activation date/time

deactDate: Badge Expiration date/time

enable: Badge enable/disable (default = -1, value will be ignored)

pin: PIN code (default = -1, value will be ignored)

track : Badge is Tracked or not (default = -1, value will be ignored)

escort: Badge is an Escorted or not (default = -1, value will be ignored)

useCount : Badge usage count (default = -1, value will be ignored)

  74. Get or Set current operator class instance

public CurrentOperatorClass APICurrentOperator

GET/SET current operator class instance.

  75. Get a List of SMS providers

publicDataTable GetSMSProvider()

Returns data table of SMSProviders.

  76. Get a List of SNPP providers (depreciated)

publicDataTable GetSNPPProvider()

Returns data table of SNPP Providers.

  77. Get a List of Opeators

publicDataTable GetOperatorsList()

Returns data table of Operators for the user.

  78. Get a list of ALP Enforced Readers

publicDataTable GetALPEnforcedReader()

Returns data table of ALP enforced readers for the user.

  79. Get a list of Facility maps

publicDataTable GetFacilityMaps()

Returns data table of configured facility maps for the user.

  80. Get a list of DVR severs configured

publicDataTable GetDVRServer()

Returns data table of configured DVR Servers for the user.

  81. Get a list of DVR cameras configured

publicDataTable GetDVRCamera()

Returns data table of configured DVR Cameras for the user.

  82. Get a list of schedule changes

publicDataTable GetScheduleChanges()

Returns data table of configured schedule changes for the user.

  83. Get a list of Inputs

public DataTable GetInputs()

Returns a DataTable with all Inputs for the user.

  84. Get a list of Inputs for Lookup

public DataTable GetInputsLookup()

Returns a DataTable with all Inputs for the user.

  85. Get category counters by panel

public DataTable GetCategoryCounter(int PnlRef = 0, int ProgNo=0)

Returns a DataTable with category counters

Parameters:

PnlNo: Panel Number (Optional)

ProgNo: Prog Number (Optional)

  86. Get a list of Links

public DataTable GetLinkList()

Returns a DataTable with all Links for the user.

  87. Get a list of Links for Lookup

public DataTable GetAvailableLinkList()

Returns a DataTable with all Links for the user.

  88. Get a list of Relays for Lookup

public DataTable GetRelayList()

Returns a DataTable with all Relays for the user.

  89. Get a list of APBAreas for Lookup

public DataTable GetAPBAreasLookup()

Returns a DataTable with all APBAreas for the user.

  90. Get a list of ReaderTypes for Lookup

public DataTable GetReaderType()

Returns a DataTable with ReaderTypes.

  91. Get a list of StdAPBTypes for Lookup

public DataTable GetStdAPBType()

Returns a DataTable with StdAPBTypes.

  92. Get a list of OTLControlTypes for Lookup

public DataTable GetOTLControlType()

Returns a DataTable with OTLControlTypes.

  93. Get a list of LockControlTypes for Lookup

public DataTable GetLockControlType()

Returns a DataTable with LockControlTypes.

  94. Get a list of RelayControlList for Lookup

public DataTable GetRelayControlList()

Returns a DataTable with RelayControlList.

  95. Get a list of ReaderControlLists for Lookup

public DataTable GetRederControlList()

Returns a DataTable with ReaderControlLists.

  96. Get a list of InputControlLists for Lookup

public DataTable GetInputControlList()

Returns a DataTable with InputControlLists.

  97. Get a list of CatControlList for Lookup

public DataTable GetCatControlList()

Returns a DataTable with CatControlList.

  98. Get a list of TimeAttendanceTypes for Lookup

public DataTable GetTimeAttendanceType()

Returns a DataTable with TimeAttendanceTypes.

  99. Get a list of TwoManReaderTypes for Lookup

public DataTable GetTwoManReaderType()

Returns a DataTable with TwoManReaderTypes.

  100. Get a list of OperatorRoles for Lookup

public DataTable GetOperatorRolse()

Returns a DataTable with OperatorRoles.

  1. Get a list of AccessGroups for Lookup

public DataTable GetAccessGroups()

Returns a DataTable with configured AccessGroups

  1. Get a list of AccessGroupsForAgSchedule Lookup

public DataTable GetAccessGroupsForAgSchedule()

Returns a DataTable with configured AccessGroups.

  1. Get a list of ComServers Lookup

public DataTable GetComServer()

Returns a DataTable with ComServers.

  1. Get a list of ComPorts Lookup

public DataTable GetComPort()

Returns a DataTable with ComPorts

  1. Get a list of TimeZones Lookup

public DataTable GetComUTCZone()

Returns a DataTable with TimeZones.

  1. Get a list of BAUDRates Lookup

public DataTable GetComBAUD()

Returns a DataTable with BAUDRates.

107. Get a list of ComConnectionTypeLists Lookup

public DataTable GetComTypeList()

Returns a DataTable with ComConnectionTypeLists.

108. Get a list of OrtCategorys Lookup

public DataTable GetOrgCategory()

Returns a DataTable with OrtCategorys.

109. Get a list of All ThreatLevelsCategories Lookup

public DataTable GetThreatLevelCategories()

Returns a DataTable with ThreatLevelsCategories.

110. Get a list of All PresonOrgLists Lookup

public DataTable GetPersOrg()

Returns a DataTable with PresonOrgLists.

111. Get NapcoStatus data

public DataTable GetNapcoStatus()

Returns a DataTable with NapcoStatus data.

112. Get a list of ActivityLinkEvents Lookup

public DataTable GetActivityLinkEvents()

Returns a DataTable with ActivityLinkEvents.

113. Get a list of APBAreas Lookup for ActivityLinks

public DataTable GetActivityLinksForAPBArea()

Returns a DataTable with APBAreas for ActivityLinks.

114. Get a list of Devices for a Panel Lookup

public DataTable GetDevicesByDeviceType(int PnlNo, int DeviceType)

Returns a DataTable with Devices.

Parameters:

PnlNo: Panel Number

DeviceType: 0 – Reader, 1 – Input, 2 – Relay, 3 - Link

115. Get a list of DeviceTypes Lookup for FacilityMap

public DataTable GetMapDeviceType()

Returns a DataTable with DeviceTypes for FacilityMap.

116. Get a list of Priority Lookup

public DataTable GetPriority()

Returns a DataTable with Priorites.

117. Get a list of DVRServerTypes Lookup

public DataTable GetDVRServerType()

Returns a DataTable with DVRServerTypes.

118. Get a list of Device Fields Lookup for ScheduleChanges

public DataTable GetFieldsByDeviceType(int DeviceType)

Returns a DataTable with Device Fields.

Parameters:

DeviceType: 0 – Reader, 1 – Input, 2 – Relay, 3 - Link

119. Get OperatorResponse Data

public DataTable GetOperatorResponses()

Returns a DataTable with OperatorResponses.

120. Get a list of InstructionLinkEvents Lookup

public DataTable GetEventsForInstructionLinks(int DeviceType)

Returns a DataTable with InstructionLinkEvents.

Parameters:

DeviceType: 0 – Reader, 1 – Input, 2 – Relay, 3 - Link

121. Get a list of ElevatorFacilitys Lookup

public DataTable GetElevatorFacilities()

Returns a DataTable with ElevatorFacilitys.

122. Get a list of Stations

public DataTable GetStations()

Returns a DataTable with available stations.

123. Get a list of Servers

public DataTable GetServers()

Returns a DataTable with available servers.

124. Get a list of Configured Workstations Lookup

public DataTable GetWorkstations()

Returns a DataTable with Configured Workstations.

125. Get a list of ElevatorTypes Lookup

public DataTable GetElevatorType()

Returns a DataTable with ElevatorTypes.

126. Get a list of ElevatorServers Lookup

public DataTable GetElevatorServers()

Returns a DataTable with ElevatorServers.

127. Get a list of ElevatorFloors Lookup

public DataTable GetElevatorFloors()

Returns a DataTable with ElevatorFloors.

128. Facility Code Configuration

public intFacilityCodesConfiguration(int PanelNo, int Fac1, int Fac2, int Fac3, int Fac4, int Fac5, int Fac6, int Fac7, int Fac8, int Fac9, int Fac10, UInt16 Operation)

Parameters:

PanelNo: Panel Number

Fac1: Facility Code 1

Fac2: Facility Code 2

Fac3: Facility Code 3

Fac4: Facility Code 4

Fac5: Facility Code 5

Fac6: Facility Code 6

Fac7: Facility Code 7

Fac8: Facility Code 8

Fac9: Facility Code 9

Fac10: Facility Code 10

Operation: 0 – Insert, 1 – Delete, 2 - Update

129. Elevator Floor Configuration

public intElevatorFloorConfiguration(Guid PrevElevFloorId, int ElevFloorNo, int ElevFacilityNo, string ElevFloorName, UInt16 Operation)

Parameters:

Guid: Previous Elevator Floor Id

ElevFloorNo: Elevator Floor Number

ElevFacilityNo: Elevator Facility Number

ElevFloorName: Elevator Floor Name

Operation: 0 – Insert, 1 – Delete, 2 - Update

130. Elevator Server Configuration

public intElevatorServarConfiguration(int PrevElevServarNo, Guid PrevElevServerId, string ElevServerName, string ElevIPAddress, int ElevType, int ElevFacilityNo, string Workstation, UInt16 Operation)

Parameters:

PrevElevServarNo: Previous Elevator Server Number (Requires on Delete/Update otherwise pass 0)

PrevElevServerId: Previous Elevator Server Id (Requires on Delete/Update Operation otherwise pass Guid.Empty)

ElevServerName: Elevator Server Name

ElevIPAddress: Elevator IP Address

ElevType: Elevator Type

ElevFacilityNo: Elevator Facility No

Workstation: Elevator Workstation

Operation: 0 – Insert, 1 – Delete, 2 – Update

131. Elevator Facility Configuration

public intElevatorFacilityConfiguration(int ElevFacilityNo, Guid ElevFacilityId, string ElevFacilityName, UInt16 Operation)

Parameters:

ElevFacilityNo: Elevator Facility Number

ElevFacilityId: Elevator Facility Id

ElevFacilityName: Elevator Facility Name

Operation: 0 – Insert, 1 – Delete, 2 – Update

132. Shunt Groups Configuration

public intShuntGroupsConfiguration(intPrevShuntGroupNo, Guid PrevShuntGroupId, string Description, List<APIPanelDevicePair> PanelInputsList, UInt16 Operation)

Parameters:

PrevShuntGroupNo: Previous Shunt Group Number

PrevShuntGroupId: Previous Shunt Group Id

Description: Shunt Group Name

PanelInputsList: List of Inputs to configure

Operation: 0 – Insert, 1 – Delete, 2 – Update

133. Get a list of Devices by DeviceType Lookup

Public DataTable GetDevices(UInt16 DeviceType)

Returns a DataTable with DeviceLists.

Parameters:

DeviceType: 1 – Input, 2 – Relay, 3 – Link, 5 - Reader

134. Schedule Change Operation

public intScheduleChangesOperation(Guid PrevSchedChangesId, string Description, int PnlNo, int DeviceType, int DeviceNo, string DeviceText, int FieldNo, string FieldInText, int ScheduleNo, DateTime DateFrom, DateTime DateTo, UInt16 Operation)

Parameters:

PrevSchedChangesId: Previous Schedule Changes ID

Description: Name of Schedule Changes

PnlNo: Panel Number

DeviceType: Type of Device (Reader/Relay/Input/Link)

DeviceNo: Device number

DeviceText: Device Name

FieldNo: Field Item no

FieldInText: Field Text

ScheduleNo: Time Schedule No

DateFrom: Schedule Changes Apply From Date/Time

DateTo: Schedule Changes Apply To Date/Time

Operation: 0 – Insert, 1 – Delete, 2 – Update

135. Operator Instruction Link Operation

public int OperatorInstructionLinkOperation(int PnlNo, int DeviceType, int DeviceNo, int EventStatus, Guid InstructionId, bool InstructionEnabled, string AlertSound, bool SoundEnabled, int SoundInterval, UInt16 Operation)

Parameters:

PnlNo: Panel Number

DeviceType: Device Type

DeviceNo: Device Number

EventStatus: Event Status Number

InstructionId: Operator Instruction ID

InstructionEnabled: Operator Instruction Enabled Flag

AlertSound: Alert Sound

SoundEnabled: Alert Sound Enabled Flag

SoundInterval: Interval of playing alert sound continuously

Operation: 0 – Insert, 1 – Delete, 2 – Update

136. Holiday Operation

public int HolidaysOperation(string HolidayName, int HolidayCalendarNo, UInt16 Operation)

Parameters:

HolidayName: Holiday Name

HolidayCalendarNo: Holiday Calendar Number

Operation: 0 – Insert, 1 – Delete, 2 – Update

137. AccessGroup Operation

public intAccessGroupOperation(stringAccessGroupName, intAccessGroupNo, UInt16 Operation)

Parameters:

AccessGroupName: AccessGroup Name

AccessGroupNo: AccessGroup Number

Operation: 0 – Insert, 1 – Delete, 2 – Update

138. Holiday Operation

public intHolidaysTimeBlockOperation(int HolidayCalendarNo, int TimeBlockIndex, DateTime Date, DateTime StartTime, DateTime EndTime, UInt16 Operation)

Parameters:

HolidayCalendarNo: Holiday Calendar Number

TimeBlockIndex: Time Block Index

Date: Date of the time block

StartTime: Star Time of the block

EndTime: End Time of the block

Operation: 0 – Insert, 1 – Delete, 2 – Update

139. Holiday Operation

public intSetAccessGroupReaderSchedule(int AccessGroupNo, int PanelNo, intReaderNo, int TimeScheduleNo)

Parameters:

AccessGroupNo: Access Group Number

PanelNo: Panel Number

ReaderNo: Reader Number

TimeScheduleNo: Time Schedule Number

Operation: 0 – Insert, 1 – Delete, 2 – Update

140. Get Time Schedule Lookup

public DataTable GetTimeSchedules()

Returns a DataTable with TimeScheduleList.

141. Get Time Schedule for Access Group Lookup

public DataTable GetTimeSchedulesForAgSchedule()

Returns a DataTable with TimeScheduleList.

142. Get Time Block Lookup for TimeSchedule

publicDataTable GetTimeBlockIndexByTimeSchedule(int ScheduleNo)

Parameters:

ScheduleNo: Time Schedule Number

Returns a DataTable with Time Block List by Schedule Number.

143. Get Holiday Lookup

publicDataTable GetHolidays()

Returns a DataTable with Holiday List

144. Get NapcoPanel Types Lookup

publicDataTable GetNapcoPanelType()

Returns a DataTable with Napco Panel Type List

145. Get list of Napco alarm panels

public DataTable GetNapcoPanel()

Returns data table of configured Napco alarm panels

146. Get NapcoArea Types Lookup

publicDataTable GetNapcoAreaType()

Returns a DataTable with Napco Area Type List

147. Get Manual Privilege Lookup

publicDataTable GetManualPrivilege()

Returns a DataTable with Manual Privilege List

148. Get Napco Workstation Lookup

publicDataTable GetNapcoWorkstation()

Returns a DataTable with Napco Workstation List

149. Get Operator Instructions Lookup

publicDataTable GetOperatorInstructions()

Returns a DataTable with Operator Inscturctions List.

150. Get Time Blocks Lookup for HolidayCalendar

publicDataTable GetHolidayTimeBlockIndex(int HolidayCalendarNo)

Parameters:

HolidayCalendarNo: Holiday Calendar Number

Returns a DataTable with Time Block List by Holiday Calendar Number.

151. Get Days Lookup for TimeSchedule

publicDataTable GetDaysForTimeSchedule()

Returns a DataTable with Days List for TimeSchedule.

152. Time Schedule Operation

public intTimeScheduleOperation(stringTimeScheduleName, intScheduleNo, UInt16 Operation)

Parameters:

TimeScheduleName: Time Schedule Name

ScheduleNo: Time Schedule Number

Operation: 0 – Insert, 1 – Delete, 2 – Update

153. Time Schedule Time Block Operation

public intTimeScheduleTimeBlockOperation(int ScheduleNo, intTimeBlockIndex, int DayFrom, int DayTo, DateTime TimeFrom, DateTime TimeTo, UInt16 Operation)

Parameters:

ScheduleNo: Time Schedule Number

TimeBlockIndex: Time Block Index

DayFrom: Schedule Day From

DayTo: Schedule Day To

TimeFrom: Schedule Time From

TimeTo: Schedule Time To

Operation: 0 – Insert, 1 – Delete, 2 – Update

154. Lockdown Area Operation

public int LockdownAreaOperation(string LockdownAreaName, int LockdownAreaNo, int PanelNo, int ReaderNo, bool UseReader, UInt16 Operation)

Parameters:

LockdownAreaName: Lockdown Area Name

LockdownAreaNo: Lockdown Area Number

PanelNo: Panel Number

ReaderNo: Reader Number

UseReader: True/False

Operation: 0 – Insert, 1 – Delete, 2 – Update

155. Lockdown Area Operation

public intThreatLevelAreaOperation(stringThreatLevelName, intThreatLevelNo, intLockdownAreaNo, boolDenyAccess, intCategoryNumber, stringCategoryName, boolCategoryAssign, UInt16 Operation)

Parameters:

ThreatLevelName: Threat Level Name

ThreatLevelNo: Threat Level No

LockdownAreaNo: Lockdown Area No

DenyAccess: True/False

CategoryNumber: Category Number

CategoryName: Category Number

CategoryAssign: True/False

Operation: 0 – Insert, 1 – Delete, 2 – Update

156. APB Area Operation

public intAPBAreasOperation(stringAPBAreaName, intAPBAreaNo, bool AlertOnFirstLastCount, bool UseFirstIn, bool IsFreeAccessLockdown, int LinkVacant, int LinkOccupied, int AreaCountUp, int LinkOnCountUp, int AreaCountDown, int LinkOnCountDown, UInt16 Operation)

Parameters:

APBAreaName: APB Area Name

APBAreaNo: APB Area Number

AlertOnFirstLastCount: If alert for First/Last count needed?

UseFirstIn: Use first In or not?

IsFreeAccessLockdown: If it is FreeAccessLockdown?

LinkVacant: Link Vacant

LinkOccupied: Link Occupied

AreaCountUp: Area Count Up

LinkOnCountUp: Link On Count Up

AreaCountDown: Area Count Down

LinkOnCountDown: Link On Count Down

Operation: 0 – Insert, 1 – Delete, 2 – Update

157. Operator Response Operation

public intOperatorResponseOperation(Guid RespId, string PrevResponseText, string NewResponseText, UInt16 Operation)

Parameters:

RespId: Response ID

PrevResponseText: Previous Response Text

NewResponseText: New Response Text

Operation: 0 – Insert, 1 – Delete, 2 – Update

158. Operator Instruction Operation

public intOperatorInstructionsOperation(Guid InstructionId, string InstructionName, string InstructionMsg, UInt16 Operation)

Parameters:

InstructionId: Instruction ID

InstructionName: Instruction Name

InstructionMsg: Instruction message

Operation: 0 – Insert, 1 – Delete, 2 – Update

159. Get SystemSettings

public DataTable GetSystemSettings()

Returns DataTable with SystemSettings.

160. Get All Persons

publicDataTable GetAllPerson ()

Returns DataTable with All Persons

161. Get persons by filter

public DataTable GetPersons(string filterOption, string filterText)

Parameters:

filterOption: Filter by – Column Name

filterText: Filter Text

Returns DataTable with Persons

162. Get persons by filter for paging

public DataTable GetPersonsByPage(intpageSize, int pageIndex, string sortByColum, int sortOrder, string filterOption, string filterText)

Parameters:

pageSize: Size of the pages. Data count per page

pageIndex: Page number for which data is requested

sortByColum: Sorting Column name

sortOrder: Sort order

filterOption: Filter by – Column Name

filterText: Filter Text

Returns DataTable with Persons

163. Get All Badges by PersonId

public DataTable GetAllBadgesByPerson(Guid PersonId)

Parameters:

PersonId: Person Id

Returns DataTable with Badges

164. Get All Persons and Badges count

public DataTable GetPersonnelAndBadgeCount(out Int32 PersonnelCount, out Int32 BadgeCount)

Parameters:

PersonnelCount: output parameter

BadgeCount: output parameter

Returns void.

165. Get total personnel count

public DataTable GetPersonnelsCount()

Returns total personnel count.

166. Get All the badges by person’s First Name, Last Name and Middle Name

public DataTable GetAllBadgesByPersonName(String FirstName, String LastName, String MiddleName = "")

Parameters:

FirstName: First name

LastName: Last name of the person

MiddleName: Middle name of the person, Optional

Returns DataTable with badges

167. Get All Screens

public DataTable GetAllScreens()

Returns DataTable with Screens

168. Get All Privileges by Role ID

public DataTable GetAllPrivilegesByRoleId(Guid roleId)

Parameters:

roleId: Role Id of the operator

Returns DataTable with Privileges

169. To Check If Badge already exists in the system

public bool BadgeExists(long Badge, UInt16 Facility, String PIVI)

Parameters:

Badge: Badge Number

Facility: Facility Number

PIVI: PIVI Badge

Return Values:

True or False.

170. Badge Operation with Person ID

public int BadgeOperation(UInt16 Facility, UInt64 Badge, String FirstName, String LastName, String MI, UInt16[] AGNos, UInt16 Operation, Guid PersonId)

Parameters:

Facility: Facility Number

Badge: Badge Number

FirstName: First name of the person

LastName: Last name of the person

MI: Middle name of the person

AGNos: Integer array of size 16 for Access Group number 1 ~ 16 values

Operation:

0: Insert Piv Badge

1: Delete Piv Badge

2: Update Piv Badge

3: Enable Piv badge

4: Disable Piv Badge

PersonId: Person Id

171. Updata Badge Custom Fields

public int UpdateBadgeCustomField(UInt16 Facility, UInt64 Badge, UInt16 fieldId, string fieldValue)

Parameters:

Facility: Facility Number

Badge: Badge Number

fieldId: Field Id

fieldValue: Filed Value

172. Get Custom Fields

public int GetUserFieldDef()

Output:

Return DataTable with all Custom Fields definations

173. Get Custom Fields for Badge and Facility

publicDataTable GetUserFields(UInt16 Facility, UInt64 Badge)

Parameters:

Facility: Badge Number

Badge: Facility Number

Output:

Return DataTable with Custom Fields configured for the specific badge

174. Get Badge Information

publicDataTable GetBadgeInfo(Int64 Badge, Int32 Facility)

Parameters:

Badge: Facility Number

Facility: Badge Number

Output:

Return DataTable with badge information

175. Change Facility Map

public int ChangeFacilityMap(int mapNo, Image newmap)

Parameters:

mapNo: Map Number

Image: New Map Image

176. Get Personnel Report Data

publicDataTable GetPersonalReport(string whereClause)

Parameters:

whereClause: Where Condition

Output:

Return DataTable with Personnel Report data

177. Get Time Attendance Report Data

publicDataTable GetTimeAttendanceReport(DataTable readerList, DateTime dateFrom, DateTime dateTo, stringextraWhereClause, stringorderingColumns, stringeventServer, stringeventDatabase)

Parameters:

readerList: List of readers as DataTable

dateFrom: Start Date

dateTo: End Date

extraWhereClause: Extra where condition

orderingColumns: Sorting column

eventServer: Event Database Server

eventDatabase: Event Database Name

Output:

Return DataTable with TimeAttendance Report data

178. Com Server Operation

public int ComServerOperaton(string pDescription, string pUNCName, int pHCSNo, UInt16 pOperation)

Parameters:

pDescription: List of readers as DataTable

pUNCName: Start Date

pHCSNo: End Date

pOperation:

0: Insert ComServer

1: Delete ComServer

2: Update ComServer

179. Com Channel Operation

public int ComChannelOperation(UInt16 pHCSNo, UInt16 pComport, UInt16 pComType, int pBAUDRate, stringpIPAddress, UInt16 pUTCZone, UInt16 pOperation)

Parameters:

pHCSNo: HCS Number

pComport: Comport Number

pComType: Comport Type

pBAUDRate: Baud Rate

pIPAddress: IP Address

pUTCZone: Time Zone Id

pOperation:

0: Insert ComServer

1: Delete ComServer

2: Update ComServer

180. Reader Configuration

public int ReaderConfiguration(int PrevPanelNo, int PrevReaderNo, int PanelNo, int ReaderNo, APIReaderGeneralInfo pReaderGeneralInfo, APIReaderDoorControlInfo pReaderControlInfo, APIReaderOptionsInfo pReaderOptionsInfo, APIReaderPriorityInfo pReaderPriorityInfo, UInt16 pOperation)

Parameters:

PrevPanelNo: Previous Panel No

PrevReaderNo: Previous Reader No

PanelNo: Current Panel No

ReaderNo: Current Reader No

pReaderGeneralInfo: Reader General Info

pReaderControlInfo: Reader Control Info

pReaderOptionsInfo: reader Option Info

APIReaderPriorityInfo: Reader Priority Info

pOperation:

0: Insert Reader

1: Delete Reader

2: Update Reader

181. Link Configuration

public int LinkConfiguration(string PrivPanelProg, UInt16 pPanelNo, UInt16 pLinkNo, APILinkGenrealInfo pLinkGeneralInfo, APILinkInputInfo pLinkInputInfo, APILinkOutputInfo pLinkOutputInfo, APILinkLocatioRemarks pLinkLicatonInfo, UInt16 pOperation)

Parameters:

PrivPanelProg: Previous Panel Prog

pPanelNo: Panel Number

pLinkNo: Link No

pLinkGeneralInfo: Link General Info

pLinkInputInfo: Link Input Info

pLinkOutputInfo: Link Output Info

pLinkLicatonInfo: Link Location Info

pOperation:

0: Insert Link

1: Delete Link

2: Update Link

182. ActivityLink Configuration

public int ActivityLinkConfiguration(UInt16 pPanelNo, UInt16 pActivityLinkNo, APIActivityLinkGeneralInfo pActivityLinkGeneralInfo, List<int> pPanelList,DataTable pRelayList, DataTable pReaderList,DataTable pInputList,DataTable pPersonnelList, UInt16 pOperation)

Parameters:

pPanelNo: Panel No

pActivityLinkNo: ActivityLink No

pActivityLinkGeneralInfo: ActivityLink General Info

pPanelList: List of Panel Nos

pRelayList: List of Relay data

pReaderList: List of Reader data

pInputList: List of Input data

pPersonnelList: List of personnel data

pOperation:

0: Insert ActivityLink

1: Delete ActivityLink

2: Update ActivityLink

183. Operator Configuration

public int OperatorConfiguration(string pOperatorID, APIOperatorGeneralInfo pOperatorGeneralInfo, APIOperatorPersonalInfo pOperatorPersonalInfo, UInt16 pOperation)

Parameters:

pOperatorID: Operaton Id

pOperatorGeneralInfo: Operator General Info

pOperatorPersonalInfo: Operator Personnel Info

pOperation:

0: Insert Operator

1: Delete Operator

2: Update Operator

184. Input Operation

public int InputOperation(UInt16 pPanelNo, UInt16 pInputNo, stringpInputName, bool pEnable, UInt16 pOperation)

Parameters:

pPanelNo: Panel No

pInputNo: Input No

pInputName: Input name

pEnable: Set the Enable State True/False

pOperation:

0: Insert Input

1: Delete Input

2: Update Input

185. Napco Panel Operation

public int NAPCOPanelOperation(UInt16 pNapcoPanelType, UInt16 pPanelNo, string pPanelName,bool pEnable, string pSecurityCode, UInt16 pWorkstation, UInt16 pConnType, string pNetAddress, UInt16 pOperation)

Parameters:

pNapcoPanelType: Panel Type

pPanelNo: Panel No

pPanelName: Panel Name

pSecurityCode: Security Code

pWorkstation: Workstation Id

pConnType: Connection Type

pNetAddress: Net Address

pOperation:

0: Insert Napco Panel

1: Delete Napco Panel

2: Update Napco Panel

186. Napco Zone Operation

public int NAPCOzoneOperation(UInt16 pNapcoPanelNo, UInt16 pZoneNo, string pZoneName, UInt16 pAreaNo, bool pIsConfigured)

Parameters:

pNapcoPanelNo: Panel No

pZoneNo: Zone No

pZoneName: Zone Name

pAreaNo: Area No

pIsConfigured: Set configured state

187. Napco Relay Operation

public int NAPCORelayOperation(UInt16 pNapcoPanelNo, UInt16 pRelayNo, string pRelayName, boolpIsConfigured)

Parameters:

pNapcoPanelNo: Panel No

pRelayNo: Relay No

pRelayName: Relay Name

pIsConfigured: Set configured state

188. Facility Map Point Operation

public int FacilityMapPointOperation(UInt16 pMapID, UInt16 pPanelNo, UInt16 pMapDeviecType, UInt16 pDeviceNo, float pPointX, float pPointY, ushort pOperation)

Parameters:

pMapID: Map ID

pPanelNo: Panel No

pMapDeviecType: Map Device Type

pDeviceNo: Device No

pPointX: X-Point

pPointY: Y-Point

pOperation:

0: Insert FacilityMapPoint

1: Delete FacilityMapPoint

2: Update FacilityMapPoint

189. DVR Server Operation

public int DVRServerOperation(UInt16 pDVRServerType, stringpDVRServerIP, boolpIsEnabled, stringpDVRServrName, Guid pDVRServerID, UInt16 pDVRServerTimeZone, string pDVRUserName, string pPassword, bool pNotification, ushort pOperation)

Parameters:

pDVRServerType: Server Type

pDVRServerIP: Server IP

pIsEnabled: Set Sever enabled state

pDVRServrName: Server Name

pDVRServerID: Server ID

pDVRServerTimeZone: Server TimeZone

pDVRUserName: Login User Name

pPassword: Login Password

pNotification: Set server notification state

pOperation:

0: Insert DVR Server

1: Delete DVR Server

2: Update DVR Server

190. DVR Camera Operation

public int DVRCameraOperation(string pDVRServerID, UInt16 pCameraNo, string pCameraName, bool pEnabledNotification, UInt16 pCameraTimeScheduleNo, UInt16 pCameraPriority, ushort pOperation)

Parameters:

pDVRServerID: Server ID

pCameraNo: Camera no

pCameraName: Camera Name

pEnabledNotification: Set notification state

pCameraTimeScheduleNo: Camera timezone

pCameraPriority: Camera priority

pOperation:

0: Insert DVR Camera

1: Delete DVR Camera

2: Update DVR Camera

191. Gateway Operation

public int GatewayOperation(string pHostIPAddress, UInt16 pComServer, UInt16 pComPort, stringpGatewayPassword, stringpMACAddress, UInt16 pTimeZone, ushort pOperation)

Parameters:

pHostIPAddress: Host Ip Address

pComServer: Com Server

pComPort: Com Port no

pGatewayPassword: Gateway password

pMACAddress: Gateway MAC Address

pTimeZone: TimeZone
pOperation:

0: Gateway discover/assign

1: Delete Gateway

2: Replace Gateway

192. Wireless Gateway Operation

public void ReplaceGateway(ThreadSafeGateway newDiscoverGateway)

Parameters:

newDiscoverGateway: ThreadSafeGateway gateway object

193. Wireless Lock Operation

public int WirelessLockOperation(UInt16 pHCSNo, UInt16 pComport, stringpLockID,UInt16 pLockSearchNo,ushort pOperation, stringpReplaceWithLockID=null)

Parameters:

pHCSNo: HCS No

pComport: Comport no

pLockID: Lock ID

pLockSearchNo: Number of locks to be searched

pOperation:

0: Lock discover/assign

1: Delete Lock

2: Replace Lock

pReplaceWithLockID: Lock ID to replace with (Optional)

194. Get Badge APB TA-IN status

public bool GetBadgeAPBTAInStatus(Int64 Badge, Int32 Facility, int PanelNo, int ReaderNo, int ReaderABPType, bool APBOvr, ref bool isSameReader)

Parameters:

Badge: Badge Number

Facility: Facility Code

PanelNo: Panel Number

ReaderNo: Reader Number

ReaderABPType: Reader APB Type

APBOvr: APB Override State

isSameReader: true/false

195. Set API Language Id

public int SetLanguage(int LanguageId)

Parameters:

LanguageId: Language ID

196. Get Available Languages

publicDataTable GetAvailableLanguages(string LanguagesPath)

Parameters:

LanguagesPath: Language Path

Output:

Return DataTable with all available Languages.

197. Check if the operator having partition for screen device type

public bool IsHavingPartition(Guid currentOperatorId, Int32 ScreenDeviceType)

Parameters:

currentOperatorId: OperatorId

ScreenDeviceType: Screen DeviceType

Output:

Return true or false

198. Change Existing Operation Password

public bool changeOperatorPassword(string userName, string oldPassword, string newPassword, string confirmPassword)

Parameters:

userName: User Name

oldPassword: Old Password

newPassword: New Password

confirmPassword: Confirm Password

Output:

Return true or false

199. Instance for APIPanelDevicePair

public class APIPanelDevicePair

200. Instance for APIReaderGeneralInfo

public class APIReaderGeneralInfo

201. Instance for APIReaderDoorControlInfo

public class APIReaderDoorControlInfo

202. Instance for APIReaderOptionsInfo

public class APIReaderOptionsInfo

203. Instance for APIReaderPropertyInfo

public class APIReaderPriorityInfo

204. Instance for APILinkGeneralInfo

public class APILinkGenrealInfo

205. Instance for APILinkInputInfo

public class APILinkInputInfo

206. Instance for APILinkOutInfo

public class APILinkOutputInfo

207. Instance for APILinkLocationRemarks

public class APILinkLocatioRemarks

208. Instance for APIActivityLinkGeneralInfo

public class APIActivityLinkGeneralInfo

209. Instance for APIOperatorGeneralInfo

public class APIOperatorGeneralInfo

210. Instance for APIOperatorPersonnelInfo

public class APIOperatorPersonalInfo

211. Device Status Notifier

public delegate void HCSStatusChangedHandler(UInt16 type, DataTable status);

type: Status Device type of changes received

Input = 1, // 1 – Inputs

Relay = 2, // 2 – Relay Status

Link = 3, // 3 - Link Status

Panel = 4, // 4 – Panel Status

Door = 5, // 5 – Reader Status

WirelessGateway = 6, // 6 - Gateway Status

Lockdown = 13, // 13 – Lockdown

ThreatLevel = 15, // 15 – ThreatLevel

NapcoPanel = 30, // 30 – Napco Panel

NapcoArea = 31, // 31 – Napco Area

NapcoZone = 32, // 32 – Napco Zone

NapcoRelay = 33, // 33 - Napco Relay

WirelessLock = 47, // 47 – Wireless Lock

status: Return with changes as DataTable

public event HCSStatusChangedHandler OnHcsStatusChanged;

Alerts (Events) Functions

212. Post an Event to Card Access event grid

public bool PostEvent(Int32 Cat, String Class, String Description, String Name, Boolean Pending = false, Int32 Priority = 40, Boolean RespReq = false)

caAccess.PostEvent(0, “SYSTEM”, “Test Event from API”, “Location 1”, true, 40, false)

NOTE: Please contact developer support for more information.

Parameters:

Cat: Category number of events

Class: Event Class

Description: Event Description

Name: Location of event

Pending: Event goes to pending alert grid or event grid

Priority: Priority value if event (1 ~ 99)

RespReq: User response dialog is required or not

213. Post an Event to Card Access event grid with Panel, Badge and Status info

public bool PostEvent(Int32 Cat, String Class, String Description, String Name, Int32 PanelNo, Int32 DeviceNo, Int64 Badge, Int32 Facility, Int32 Status, Boolean Pending, Int32 Priority, Boolean RespReq, Guid ObjectId = default(Guid))

caAccess.PostEvent(0, "BADGE Valid", "Person Name", "Location 1", 1, 1, 52986, 0, 1, true, 40, false);

NOTE: Please contact developer support for more information.

Parameters:

Cat: Category number of events

Class: Event Class

Description: Event Description

Name: Location of event

PanelNo: Panel Number

DeviceNo: Device Number

Badge: Badge Number

Facility: Facility Code

Status: Status Code

Pending: Event goes to pending alert grid or event grid

Priority: Priority value if event (1 ~ 99)

RespReq: User response dialog is required or not

ObjectId: Device ObjectId (Optional)

214. Receive Events from Card Access

Receive events from CA4K by subscribing to EventReceivedHandler.

NOTE: Please refer sample code bellow.

Sample Program

using CardAccess.API;

usingCardAccess.Messaging;

private ca4Knet caAccess;

private void InitializeApi()

{

caAccess = new ca4Knet();

caAccess.OnEventReceived += new ca4Knet.EventReceivedHandler(caAccess_OnEventReceived);

caAccess.LogIn("admin", "");

}

void LockDoor()

{

if (caAccess!= null)

{

int result = caAccess.DoorOperation(1, 1, 0, 3); //Unlock Hold Door #1 at Panel #

}

}

void UnLockDoor()

{

if (caAccess!= null)

{

int result = result = caAccess.DoorOperation(1, 1, 0, 1); //Lock Door #1 at Panel #1

}

}

void caAccess_OnEventReceived(object sender, DataEventArgs sde)

{

caAlertData alertData = new caAlertData();

alertData = sde.DataPacket.DataObject as caAlertData;

if (alertData != null)

{

//TODO with events

}

}

Sample API Program Screen shot - (Please contact Continental Technical Support if sample code is needed and is not included with your version)


Adding Napco Permissions

Adding Napco Permissions in CA4K™

VERY IMPORTANT TIPS:

  • To use the Napco integration feature, you must Purchase the Napco Integration Feature and the software license must display, Napco Servers = 1.

  • To use the Napco Integration feature, you Must enable and configure it under System Settings>System-wide settings>Alarm Panel Integration tab.

  • There is no support for NL-MOD for communications with the CA4K Napco Integration feature. The NL-MOD is only used if firmware files need to be updated in the ZREMOTE..

  • The IBR-ZREMOTE or the IBR-ZREMOTE-W can be used with the CA4K Napco Integration feature.

  • If the IBR-ZREMOTE-W is used, the Wi-Fi section is not supported with the CA4K Napco Integration feature.

  • Prior to configuring the CA4K software for Napco Integration, you must contact Napco Technical Support to program the Gem panel and the ZRemote.

Follow the steps below to configure NAPCO Permissions in the CA4K.

  • On the CA4K™ main toolbar, click Configuration.

  • Click Napco.

Fig. 255.31. The 'Configuration>Napco menu selection.

  • Click Napco Permissions.

Fig. 255.32. The 'Napco Permissions' menu selection.

Upon clicking Napco Permissions, the Napco Permissions configuration screen will display.

  • Click New.

  • Click Permission #1 Full Control (This should be the default selection).

  • Select Allow Arm and Allow Disarm for the First Floor area.

Fig. 255.32. The 'Configuration>Napco Relays' menu selection.

  • Click Permission #2 Arm Only.

  • Select Allow Arm only for the First Floor area.

Fig. 255.33. The 'Configuration>Napco Relays' menu selection.

  • Click Permission #3 Disarm Only.

  • Select Allow Disarm only for the First Floor area.

Fig. 255.34. The 'Configuration>Napco Relays' menu selection.

After the Napco permissions are configured, you must assign the permissions to the cardholders.

  • Click Personnel.

  • Click the Napco Permissions drop-down list.

  • Select Full Control.

Fig. 255.35. The 'Configuration>Napco Relays' menu selection.

Upon configuring the Napco permission for a cardholder, the cardholder will be able to Arm or Disarm an area depending on the permission assigned to their badge.


Browse Mode

The opposite mode from the Track mode is the Browse mode. In the Browse mode, the screen will have a green background and the events will not scroll up the screen.


CA3000 Virtual InputsRevB

Virtual Inputs

A 'Virtual Input' is an input that exists only in software. You would never wire to a virtual input. A virtual input can be programmed to go abnormal based on an event rather than on the change of state of a hardware input (open or closed).
Essentially, the panel logic handles a virtual input in the same way as a hardware input. When the virtual input status changes, an input event message is generated, just like a hardware input.

The CardAccess handles the virtual input in the same way it would a physical input. Thus, you can use virtual inputs in any of the same ways you would think of using a hardware input. For example virtual inputs (and inputs in general) are often used to fire links (see the manual section titled 'Links') that sound alarms or switch CCTV equipment.

The real strength and usefulness of virtual inputs is that these inputs are attached to door event types. In other words, when a specific type of event occurs at a door, a virtual input can be made to go abnormal. This allows you to set up software 'macros' (links) that can trigger hardware events, based on selected 'conditions' at the door.

There are four virtual input types. Each virtual input type can be enabled on any reader port, for any Continental panel. All panel types support virtual inputs. There are four available virtual input types per reader port, as listed below.

  • Forced Door The 'Forced Door' virtual input for given door will go abnormal

    if the door is forced open. Forced open is logically defined as breaking the door contact of a given door without a valid badge read prior to the door opening.

  • Valid Tracked Card When the 'Tracked' feature is enabled in the Personnel record for a given card holder, each time that card holder accesses any door, a special 'Badge Valid Tracked' event message is generated (see 'Personnel' for more information). A reader port can be set to trip the Valid Tracked Card virtual input, when any tracked card successfully accesses a given door An 'Input Abnormal' event message (for the virtual input) is generated each time a valid tracked card is presented to a reader that has the Valid Tracked Card virtual input enabled.

  • Denied Card/ Void Card Technically, a 'denial' of entry can result from a denied card or a void card access attempt. A denied card is usually due to a CardAccess rules violation (time of day, unauthorized access, etc.). A void card is usually due to the fact that the card record is 'missing' from the panel's card database (the card record does not exist in the CardAccess Personnel database, or does not belong at any reader on the panel).

    Thus, (when enabled) the Denied/Void Card virtual input will go abnormal when a denied or void card is presented to the reader.

  • Door Open Too Long Generally, the 'Door Open Too Long' event is triggered at a given door when the door has been opened resulting from the presentation of a valid card, but the door was not closed before the 'Still Open Delay' timer (in the Readers screen, Options tab) has expired.

    The Door Open Too Long virtual input will go abnormal when the Still Open Delay timer expires.

The below section titled 'Virtual Input Mapping' details the specific input numbers for the virtual inputs, for each panel type.

Virtual Input Mapping

Virtual inputs are available for all panel types. You can elect to activate up to four virtual inputs for each Reader on any panel.

With hardware inputs, a given input number always refers to the same physical input on a given panel PC board. This is not the case with virtual inputs on all panel types. The virtual input numbers assigned to a given reader port may change depending on how many input or relay expansion cards you have attached to the panel.

Virtual input numbers are fixed on the Accelaterm, Super Two, Turbo Superterm, Superterm, Miniterm and Microterm panels. Virtual inputs numbers will change on the Smarterm panel depending on how many inputs are provided from expansion cards (see the charts below).

Also note that if you add the maximum number of expansion cards to the Superterm, Turbo Superterm or Smarterm panels, you consume all of the software input numbers that could potentially be allotted for virtual inputs. Thus, virtual inputs become unavailable if you use the maximum number of expansion cards for either panel type.

Below are the input number 'mapping' charts for each panel type.

All Panels Note: Input #81 is always reserved as the Tamper Input for all panel types (Accelaterm, Super Two, Turbo Superterm, Smarterm, Miniterm and Microterm. However, you must create and enable the input definition for input #81 on a given panel to activate the tamper input, since the tamper input is disabled by default.

Accelaterm (16 Door)

Note: Virtual inputs are only supported on readers 1-8 on both models of Accelaterm (8 or 16) door. The virtual inputs for these 8 readers map identical to reader 1-8 on the 8 door Turbo Superterm/Superterm.

Reader Number | Category | Input Number
1 | Forced Door | 49
 | Valid Tracked Card | 50
 | Denied/Void Card | 51
 | Door Open Too Long | 52
2 | Forced Door | 53
 | Valid Tracked Card | 54
 | Denied/Void Card | 55
 | Door Open Too Long | 56
3 | Forced Door | 57
 | Valid Tracked Card | 58
 | Denied/Void Card | 59
 | Door Open Too Long | 60
4 | Forced Door | 61
 | Valid Tracked Card | 62
 | Denied/Void Card | 63
 | Door Open Too Long | 64
5 | Forced Door | 65
 | Valid Tracked Card | 66
 | Denied/Void Card | 67
 | Door Open Too Long | 68
6 | Forced Door | 69
 | Valid Tracked Card | 70
 | Denied/Void Card | 71
 | Door Open Too Long | 72
7 | Forced Door | 73
 | Valid Tracked Card | 74
 | Denied/Void Card | 75
 | Door Open Too Long | 76
8 | Forced Door | 77
 | Valid Tracked Card | 78
 | Denied/Void Card | 79
 | Door Open Too Long | 80

Table-51.60. Accelaterm Virtual Inputs.

Turbo Superterm and Superterm

Note for Turbo Superterm and Superterm: Virtual inputs are lost if more than one expansion board is added.

Reader Number | Category | Input Number
1 | Forced Door | 49
 | Valid Tracked Card | 50
 | Denied/Void Card | 51
 | Door Open Too Long | 52
2 | Forced Door | 53
 | Valid Tracked Card | 54
 | Denied/Void Card | 55
 | Door Open Too Long | 56
3 | Forced Door | 57
 | Valid Tracked Card | 58
 | Denied/Void Card | 59
 | Door Open Too Long | 60
4 | Forced Door | 61
 | Valid Tracked Card | 62
 | Denied/Void Card | 63
 | Door Open Too Long | 64
5 | Forced Door | 65
 | Valid Tracked Card | 66
 | Denied/Void Card | 67
 | Door Open Too Long | 68
6 | Forced Door | 69
 | Valid Tracked Card | 70
 | Denied/Void Card | 71
 | Door Open Too Long | 72
7 | Forced Door | 73
 | Valid Tracked Card | 74
 | Denied/Void Card | 75
 | Door Open Too Long | 76
8 | Forced Door | 77
 | Valid Tracked Card | 78
 | Denied/Void Card | 79
 | Door Open Too Long | 80

Table-51.60. Turbo Superterm and Superterm Virtual Inputs.

Super-Two

Virtual Inputs are fixed on the Super-Two as well, starting with input 49.

Reader Number | Category | Input Number
1 | Forced Door | 49
 | Valid Tracked Card | 50
 | Denied/Void Card | 51
 | Door Open Too Long | 52
2 | Forced Door | 53
 | Valid Tracked Card | 54
 | Denied/Void Card | 55
 | Door Open Too Long | 56

Table-51.61. Super-Two Virtual Inputs.

Turbo Super 4

Virtual Inputs for a 4 door Turbo Superterm or Superterm map the same as a Smarterm. See below.

Smarterm

The following table shows the virtual input mapping for a Smarterm. Recall that the Smarterm virtual input number assignments change depending on how many expansion cards are installed as shown in the chart below (the Smarterm supports up to four expansion cards).

Door Number | Category | Input # with No Expansion Boards | With 1 Expansion Board | With 2 Expans -ion Boards | With 3 Expansi- on Boards
1 | Forced Door | 17 | 33 | 49 | 65
 | Valid Tracked | 18 | 34 | 50 | 66
 | Denied/Void Card | 19 | 35 | 51 | 67
 | Door Open Too Long | 20 | 36 | 52 | 68
2 | Forced Door | 21 | 37 | 53 | 69
 | Valid Tracked | 22 | 38 | 54 | 70
 | Denied/Void Card | 23 | 39 | 55 | 71
 | Door Open Too | 24 | 40 | 56 | 72
3 | Forced Door | 25 | 41 | 57 | 73
 | Valid Tracked | 26 | 42 | 58 | 74
 | Denied/Void Card | 27 | 43 | 59 | 75
 | Door Open Too | 28 | 44 | 60 | 76
4 | Forced Door | 29 | 45 | 61 | 77
 | Valid Tracked | 30 | 46 | 62 | 78
 | Denied/Void Card | 31 | 47 | 63 | 79
 | Door Open Too Long | 32 | 48 | 64 | 80

Table. 51.63. Smarterm Virtual Inputs.

Smarterm Note: Virtual inputs are lost if a fourth expansion board is added.

Miniterm and Microterm

Reader Number | Category | Input Number
1 | Forced Door | 17
 | Valid Tracked Card | 18
 | Denied/Void Card | 19
 | Door Open Too Long | 20
2 | Forced Door | 21
 | Valid Tracked Card | 22
 | Denied/Void Card | 23
 | Door Open Too Long | 24

Table. 51.64. Miniterm and Microterm Virtual Inputs.

Virtual Inputs are fixed on both the Miniterm and the Microterm, starting with input # 17.


CardAccess First-In Feature

First-In Free Access Feature

There are two types of First-In functions. The first type controls Free Access activation only. The second type controls Card Access to a reader. Both these types will be covered in this topic.

The two functions are explained below.

First-In Controlling Free Access

This feature controls a reader’s free access activation. It requires a designated badge to be presented to a First-In APB Entry to Area reader to start free access. The free access schedule configured for this reader must be active for this function to occur. Once a designated badge activates free access, there are two ways to terminated free access. To deactivate free access, the free access schedule must end, or the operator must manually deactivate it from the main menu. The presentation of the designated badge WILL NOT deactivate free access. This feature requires only one reader to function.

First-In Controlling Card Access to a reader

This feature controls Card Access at a reader. This feature requires two readers, one First-In APB Entry reader and one APB Exit from Area reader. It requires a designated badge to be presented to a First-In APB Entry reader to enable the reader (turn on the reader). Prior to this, the First-In APB Entry reader is disabled (reader is off). After the First-In APB Entry reader is enabled by the designated badge, it will remain enabled until the designated badge exits the APB Exit reader. Once this occurs, the First-In APB Entry reader will be disabled again, until another designated badge is presented to it.

Notes:

1) If a non-designated badge is presented to the reader while it is off, no alert will display in the event grid.

2) If a first-in Entry reader is disabled (off), free access will not activate.


Central Station Reporting

Topic Content is not available yet. Please refer to the CardAccess 3000 help file. .


Deleting a Dial-Up Node definition

Follow the steps below to delete a dial node definition.

  • Open 'Setup Dialup' screen by clicking on Configuration>Modems menu options in the CA4K™ main screen.

  • In the upper half of the screen, select the dial node record you wish to delete, and click on it.

  • Click on Delete button in the toolbar. Upon clicking, the following message box will be displayed.

Fig. 295.15. Message box displayed before deleting a dial node record

  • After confirmation, click on Yes button in the message box.

  • Click on Close button in the toolbar to close the screen.


Deleting a Group

Topic Content is not available yet. Please refer to the CardAccess 3000 help file. .


Editing a Dial-Up Node Definition

Follow the steps below to edit a dial node definition.

  • Open 'Setup Dialup' screen by clicking on Configuration>Modems menu options in the CA4K™ main screen. The screen will open in the General tab.

  • In the upper half of the screen, locate the dial node record you wish to edit, and click on it.

  • Click on Edit button in the toolbar.

  • Make desired changes to the controls in the General and Panels tabs of the screen.

  • Click on Save button in the toolbar to save the changes.

  • Click on Close button to close the screen


Editing a Group

Topic Content is not available yet. Please refer to the CardAccess 3000 help file. .


Events

Topic Content is not available yet. Please refer to the CardAccess 3000 help file. .


EventsHeading

Topic Content is not available yet. Please refer to the CardAccess 3000 help file. .


General Tab Privileges

Setup Roles and Privileges

By default, all menus in CA4K™ are completely accessible by any operator who logs into the software with the default login. If you wish to limit the access of certain menus, you can do so by using the controls provided on the General tab of the Setup Roles and Privileges screen. This tab provides controls that are required to prevent the selected menu items from being used by a given operator, or to change the access permission level of the operator with respect to the selected menu items.

General Tab (bottom half of screen)

The General tab (bottom half of screen) is divided into two sections. The left half of the screen consists of the Plugins and the right half of the screen consists of the Menu Privilege Levels.

Notes:

  • A Role created in the Setup Roles and Privileges screen can be assigned to as many operators as you wish.

  • Every operator must be assigned a Role.

Plugins

By default, all Operator Plugins are Unassigned on a newly created 'Privilege Role'.

If you wish not to show certain fields/controls to an operator, such controls can be made invisible by assigning privilege levels to the associated plugins.

  • Click the Double right arrow button control to move all Plugins to the box on the right.

Upon clicking the double right arrow button control, all plugins will move to the Assigned Plugins box.

Privileges

  • Click an Assigned Plugin to change the Privilege Level on that Plugin and its sub menu components. .

Fig. 120.3. Plugins and Privileges configuration screen.

Generally, you will be selecting an Assigned Plugin (by clicking it), and then be clicking on one of the Privilege Level button on the right side. This will apply the 'state' indicated on the button to the selected menu item. The functionality of the individual buttons is detailed below.

Full Access

This is the default state of all menus and menu items in CA4K™. It is displayed as a Green Checkmark. In this state, the operator can create new records, delete existing records and edit existing records in all screens. This is the highest level of access permission that can be given to an operator.

Read Only
Every menu item of a CA4K™ menu is capable of opening a screen in CA4K™ GUI. When 'View Only' button is applied to a menu, the operator will only be allowed to view the screens corresponding to menu items, contained in the selected menu. But he will not have editing privileges on those screens. In other words, he will not have create/edit or delete permissions on those screens.
Create Only
Every menu item of a CA4K™ menu is capable of opening a screen in CA4K™ GUI. When Create Only button is applied to a menu (having a + mark) in 'Menu Items' section, the operator will be allowed to create new records and delete existing records in the screens corresponding to menu items, contained the selected menu. But he cannot edit the existing records in those screens.

Edit Only

In this state, the operator can only edit existing records in all screens.

Create/Edit

In this state, the operator can create new records and edit existing records in all screens.

Disable

 When this button is applied to a menu (having + mark), most or all of the menu items contained in that menu will be disabled. This is the lowest level of access permission that can be given to a CA4K™ menu.

A red circle is shown against the menus and menu items that are in 'Disable' state.


Getting Started

The CA4K™ help system will provide detailed information regarding all the functions of the Continental Access CA4K™ software.


Hardware screen Map controls

The controls found on the Map tab of each of the hardware screens are identical. So, we will use the Readers screen Map tab as our example.

Fig. 64.40. Readers Screen Map Tab.

Every control in the above figure is explained below.

Facility Map for This Device – The name in this field is taken from the 'New Name' field (visible in Edit mode) of the 'Configure Maps' screen. This is the name of the map.

Fig. 64.41. The 'Facility Map for This Device' field.

Fig. 64.42. The 'Map Description' field.

Map Description – The information in this field is taken from the 'Description' field of the Configure Maps screen. This is a note describing the map

Size Image to Fit – This control allows you to stretch an image to fit the thumbnail view window in the hardware screen. When unchecked, the image window will display the image in its native size format, even if the fit in the image window is not exact. When the Size Image to Fit feature is enabled, the entire view window is filled with the image. The image is stretched to fill the window. Use this feature if you want to eliminate white borders around the map images

Fig. 64.43. The 'Size Image to Fit' Checkbox.

View Maps – Clicking this button opens the 'Configure Maps' screen.

Fig. 64.44. The 'View Maps' button.

Remove Map – Clicking this button deletes the map from the CA4K™ database.

Fig. 64.45. The 'Remove Map' button.


Language Control

The default language of the CA4K™ software is English, but the user has the option of choosing a different language for using the software.


Map Tab

If facility maps are configured, they will display on the Map Tab.


Maps

Topic Content is not available yet. Please refer to the CardAccess 3000 help file. .


Monitor and Status Modes

Topic Content is not available yet. Please refer to the CardAccess 3000 help file. .


Napco Alarm Panels

Supported Napco Alarm Panels

VERY IMPORTANT TIPS:

  • To use the Napco integration feature, you must Purchase the Napco Integration Feature and the software license must display, Napco Servers = 1.

  • To use the Napco Integration feature, you Must enable and configure it under System Settings>System-wide settings>Alarm Panel Integration tab.

  • There is no support for NL-MOD for communications with the CA4K Napco Integration feature. The NL-MOD is only used if firmware files need to be updated in the ZREMOTE..

  • The IBR-ZREMOTE or the IBR-ZREMOTE-W can be used with the CA4K Napco Integration feature.

  • If the IBR-ZREMOTE-W is used, the WIFI section is not supported with the CA4K Napco Integration feature.

  • Prior to configuring the CA4K software for Napco Integration, you must contact Napco Technical Support to program the Gem panel and the ZRemote.

Each of these panel types has certain number of NAPCO Areas, Zones and Relays. The NAPCO integration program requires the given NAPCO Panel, as well as, all of its Areas, Zones and Relays to be pre-configured using the Napco Quickloader Software. Once the configuration is completed, the (enabled) NAPCO Areas of the given Alarm Panel can be Armed/Disarmed. Arm/Disarm event messages can then be obtained in the CA4K™ software, thus bringing about the integration between the Alarm Panels and the CA4K™. It will also be possible to know the Arm/Disarm status of NAPCO Areas in the CA4K™.

//The following 3 Napco panels are residential grade and are supported in CA4K with the Napco Integration feature.

GEM-P3200

GEM-P9600

GEM-X255

The following GEMC Napco panels are commercial grade Napco panels. These units are UL compliant.

Note: If you use an RCM IBR-ZREMOTE unit for the CA4K Napco Integration, you will lose the UL compliancy. As of Feb 2020, the RCM IBR-ZREMOTE unit is not UL compliant.

GEMC-3200 (Combo unit with a Red commercial enclosure)

GEMC-9600 (Combo unit with a Red Commercial enclosure)

GEMC-255 (Combo unit with a Red Commercial enclosure)

GEMC-128 (burg only with a white commercial enclosure)

NOTE- the Combo units can contain only burg or fire, or both burg and fire)


Napco Area Configuration

NAPCO Area Configuration

Follow the steps below to access the NAPCO Area Configuration screen:

On the CA4K™ main toolbar, click Configuration.

Upon clicking Configuration, the Configuration menu will display.

  • Click Napco.

Fig. 255.13.Configuration>Napco menu selection.

  • Click Napco Areas.

Fig. 255.14. The 'NAPCO Areas' menu selection.

Upon clicking, the NAPCO Area Configuration screen will be displayed. The screen will show the NAPCO areas of all NAPCO Alarm Panels (irrespective of the Panels' Enabled Checkbox values) that are created in the NAPCO Panel Configuration screen.

Folder Tabs

The NAPCO Area configuration screen has two tabs. They are the General and Event Definitions tabs

The tabs are explained below.

General Tab

Fig. 255.15. NAPCO Area Configuration screen.

Below we explain how to configure the NAPCO Area.

 Configuring NAPCO Areas

When the NAPCO Area Configuration screen is opened (see above), the row containing Area Number 1 will be selected by default.

Note: All NAPCO Areas of a selected NAPCO Panel have to be configured. It is also necessary that the Areas are configured sequentially. No area can be skipped from configuration.

The following sections explain the folder tabs of the screen, which will give you a picture of how to configure your NAPCO Areas.

Fig. 255.16. NAPCO Area General Tab.

The following settings are made under the General tab.

  • Enter in a Device Name (Napco Area Name).

  • Select a predefined Alarm Panel from the drop-down list.

  • Select Configured.

  • Select Burg for Area Type.

  • Select the Workstation where the Napco server is running.

  • Select ALL for manual control privilege.

  • Click Save after all the Area settings are configured.

Event Definition Tab

A click on the Event Definitions tab will display the list of event definitions that can be generated by the NAPCO Area in question.

Fig. 255.17. Napco Areas Event definitions.

The event definitions can be edited if desired. This is explained under the following heading.
Editing a NAPCO Area Event Definition
  • Click on Event Definitions tab
Note: Changes made to an event definition of a selected NAPCO Area will affect that particular Area only. The same definition for other Areas will remain unaffected.
  • Click the OK button in the dialog to save the changes made to the selected Event Definition.
  • Click the Save button on the NAPCO Area configuration tool bar to save the settings

Click the Close button to close the screen.

Note: Similarly, all the other areas of the selected NAPCO Panel must be configured in succession.

After all of the NAPCO areas are configured, configuration of NAPCO zones must be undertaken.


Napco Permissions

The Napco Integration feature with CA4K provides the ability to program a CA4K cardholder, or cardholders, to arm or disarm a Napco alarm

area/areas. This requires assigning permissions to the cardholder. Configuring permissions will be covered on the following pages.


Napco Relays

All NAPCO Panels have certain number of NAPCO Relays that need to be configured. The Gem-X255 and the Gem-P9600 Panels have 96 NAPCO Relays each, while Gem-P3200 Panels have 24 NAPCO Relays.

The NAPCO Relays must be configured in 'NAPCO Relay Configuration' screen. Configuration of Napco Relays in the CA4K™ must coincide with the programming done using the Quickloader for Windows program.


Napco Zones

All NAPCO Alarm Panels have a certain number of NAPCO Zones that need to be configured. A Gem-X255 panel has 255 Zones; a Gem-P9600 panel has 96 zones, while a Gem-P3200 panel has 32 zones.
The NAPCO Zones must be configured in the NAPCO Zone Configuration screen. Configuration of Napco Zones in the CA4K™ must coincide with the programming done using the Quickloader for Windows program.


Napco Zones Configuration

Follow the steps below to access the NAPCO Zone Configuration screen:
In the CA4K™ main screen, click on Configuration menu. Move the mouse cursor over NAPCO Panels menu item to display the submenu.

NAPCO Zones Configuration

Follow the steps below to access the NAPCO Zones Configuration screen:

On the CA4K™ main toolbar, click Configuration.

Upon clicking Configuration, the Configuration menu will display.

  • Click Napco.

Fig. 255.18. Configuration>Napco menu selection.

  • Click Napco Zones.

Fig. 255.19. The 'Napco Zones' menu selection.

Upon clicking, the NAPCO Zones Configuration screen will be displayed. The screen will show the NAPCO Zones of all NAPCO Alarm Panels (irrespective of the Panels' Enabled Checkbox values) that are created in the NAPCO Panel Configuration screen.

The figure below shows the NAPCO Zones of the Main Building Napco Panel that we created earlier in the NAPCO Panel Configuration screen. To view all the Zone records, use the vertical scroll bar on the right hand side of the screen. In the figure below, the Video System is not enabled in System Settings and the DVR configuration screen does not display.

Fig.255.20. NAPCO Zone Configuration screen showing.

Below we explain how to configure NAPCO Zones.

Configuring NAPCO Zones
When the NAPCO Zone Configuration screen is opened (see figure above), the row containing Zone Number 1 will be highlighted.

The following sections explain the folder tabs of the screen, which will give you a picture of how to configure your NAPCO Zones.
General Tab

To configure a NAPCO Zone, highlight that zone in the upper half of the screen.

Fig. 255.21. Selecting a NAPCO Area for the selected Zone.

The following are the details of the General area in General tab:

Zone Number
Against the words Zone Number, you will see the Zone Number assigned to the NAPCO Zone that is currently highlighted in NAPCO Zone Configuration screen in the figures above. This number will match with the number seen in the Zone Number column of the highlighted NAPCO Zone record.

Area

Using the Area control, you need to select the NAPCO Area to which selected zone belongs. Click the down arrow to the right of the control and select the correct NAPCO Area. The list will show the names of all NAPCO Area that are entered in the NAPCO Area Configuration screen.

Note: The Area you select here must match the programming in the Napco Quickloader software.

Zone Configured

By default, this Checkbox will not be enabled. Click the check box if you wish to enable the Zone in question.

This completes the basic configuration of the selected NAPCO Zone.

Click the Save button in the tool bar to save these settings.

A NAPCO Zone can also be configured for the special features such as DVR Recorded Video and Force Recording. The controls in the General tab DVR Area must be used to enable these features. Let us learn how to configure the selected NAPCO Zone for special features by employing the DVR area controls.

DVR Area

Upon enabling Video System in System settings, the DVR Area screen will display as per the figure below. .

Fig. 255.22. The 'DVR' area in NAPCO Zone General tab.

Fields of the DVR area can be used to configure the selected NAPCO zone for the following:
  • DVR Recorded Video and Force Recording

Below, we learn how to configure a NAPCO Zone for DVR Recorded Video.

Configuring a NAPCO Zone for DVR Recorded Video

A NAPCO Zone can be configured to support DVR Recorded Videos (of the Events/Alerts it can generate), by making use of the controls in the NAPCO Zone Configuration screen, on the General tab 'DVR' area.

Follow the steps below to configure the selected NAPCO Zone for DVR Recorded Video.

Open NAPCO Zone Configuration screen by clicking on Configuration>NAPCO Panels> NAPCO Zones menu options in the CA4K™ main screen. The screen will open in the General tab by default.

In the upper half of the screen, select the NAPCO Zone to which you wish to associate a DVR camera, and click on that record.

In the General tab DVR Area, configure the DVR settings as per the following figure.

Note: The DVR must be pre-configured under DVR>Configuration prior to assigning it to a zone.

Fig.255.23. Configuration settings for DVR Recording.

Upon selecting a DVR Server Name, the Camera control will be populated with the names of all cameras that are connected to the selected DVR server. For this demonstration, we are using the Salient Demo site.

Click the down arrow to the right of Camera control, and select the DVR camera you wish to associate with the NAPCO Zone selected in the upper half of the screen. .

  • Enter the Pre Event Time in its edit box either by typing a number of choice, or by using the up/down arrow to choose a desired number. (Pre-event time is the view time before the occurrence of an event, from the selected NAPCO Zone).

  • Enter the Post Event Time in its edit box either by typing a number of choice, or by using the up/down arrow to choose a desired number. (Post-event time is the view time after the occurrence of an event, from the selected NAPCO Zone).

  • Enter the lower limit of the priority range in the Priority From edit box. The lowest number you can enter in this edit box is 1.

  • Select a 'DVR Recording Schedule'. For our demonstration, we will select a 24x7 schedule.

Note: Priority range is the range in which events of different priorities fall into. The DVR recorded video of only those events falling within this range can be viewed in CA4K™.

  • Enter the upper limit of the priority range in the Priority To edit box. The highest number you can enter in this edit box is 98

  • Click the Save button on the toolbar to save these settings

From now onwards, you will be able to view the DVR recorded video of any Event/Alert generated by the selected NAPCO Zone, provided, the Event/Alert falls within the specified priority range.

Next, let us learn the configuration of NAPCO Zones for Force Recording.

 Force Recording for NAPCO Zone Events/Alerts

You may be interested in the DVR recording of Events/Alerts generated by certain NAPCO Zones in the CA4K™. This can be achieved by forcing a DVR camera to record video whenever there are Event/Alert occurrences from those zones. This kind of video recording can be termed as 'force' recording.

For force recording to take place, the concerned Napco Zones must be configured for force recording.

Note:

The DVR application MUST be kept running for 'force' recording to take place.

Configuration for Force Recording

Configuration for force recording is done as per the steps below:

Step 1: Firstly you need to select Enable Video Service under the System>System Settings>Workstation screen as per the step below. .

Step 2: Secondly, you need to configure the Napco Zones for whose Event/Alert occurrences you wish to enforce video recording.
The steps are discussed below.

Enable Video Service

  • Click on System>System Settings>Workstation. Select 'Enable Video Service'.

  • Click the Save button in the toolbar to save this setting.

Once this is done, force recording will be enabled.

Configuring a NAPCO Zone for Force Recording

A NAPCO Zone can be set up to facilitate force recording of video for the Events/Alerts it can generate. This is done by using the controls in the NAPCO Zone Configuration screen, on the General tab 'DVR' area.

Make sure that the particular NAPCO Zone is configured to support DVR Recorded Videos as well. The concept is to enable force recording (which we explain below) for the given NAPCO Zone, and then view the recorded video of the Event/Alert occurrences from that Zone.

To configure a NAPCO Zone for DVR Recorded Videos, please refer to the previous topics.

Below we discuss the steps to configure a NAPCO Zone for force recording.

  • Open NAPCO Zone Configuration screen by clicking on Configuration>NAPCO Panels> NAPCO Zones menu options in the CA4K™ main screen. The screen will open in the General tab by default.

  • In the upper half of the screen, select the NAPCO Zone for whose Events/Alerts you wish to enforce DVR, and click on that NAPCO Zone record.

As per the steps above, make sure the first six controls in the General tab DVR area are configured for DVR Recorded videos.

From now onwards, whenever the selected NAPCO Zone generates an Event/Alert, the computer will send a command to the DVR Camera (selected in the Camera control, on General Tab DVR area) to enforce DVR recording of the particular Event/Alert occurrence.

This aspect will be reflected almost immediately in the Audit Trail screen accessible by System>Audit Trail menu options in the CA4K™ main screen.

Once, the number of seconds fixed for force recording (as specified in the DVR area) has elapsed, you are ready to view the DVR Recorded video of the Event/Alert. Refer the topic 'Viewing DVR Recorded Video of CA4K™ Events/Alerts' in the DVR section to learn the various methods of viewing the DVR Recorded video.

This completes the General tab settings for the special features- DVR Recorded Video and Force Recording, for the selected NAPCO Zone.

Let us now move on to the Events Definitions tab of NAPCO Zone Configuration screen.

Event Definitions Tab

A click on the Event Definitions tab will display the list of event definitions that can be generated by the selected NAPCO Zone.

Fig. 255.24. Event Definitions for NAPCO Zones.

The event definitions can be edited if desired. This is explained below.

Editing a NAPCO Zone Event Definition
Follow the steps below:

Open NAPCO Zone Configuration screen by clicking on Configuration>NAPCO Panels>NAPCO Zones menu options in the CA4K™ main screen. The screen will open in the General tab by default.

Click on Event Definitions tab.

Locate the event definition you wish to edit, and make the necessary changes.

  • Click the Save button on the NAPCO Zone configuration tool bar to save the settings.

  • Click the Close button to close the screen.

NAPCO Relay configuration is next.


Overview

Activity Links Overview

The topic information is not available yet. We do apologize for the inconvenience. Please refer to the CardAccess 3000 help file until it is available. The CardAccess 3000 help file can be found on the CA4K™ DVD under the "Installation Documents" folder. In addition to the CardAccess 3000 help file, please reference the documentation that can be found in the Continental Technical Document Library.


Partition Groups

Partition Groups in the CA4K are very similar to Groups in the CardAccess 3000. They are also used for Database Partitioning if you choose to use Database Partitioning.

Note: There is one partition created by default during the installation of the CA4K. The name of the default partition is Admin Partition. If you wish, you can use this default partition for all your new operators.

Configuring Partition Groups is covered on the following pages.


Partitions

Partition Tab

Partition Tab

The Partition Tab is used to assign predefined Partitions to Roles. The Partitions must be pre-configured prior to assigning them to the Roles. There is one default partition with the name of Admin Partition.

Note: In most cases, the default Admin Partition will be used except when Database Partitioning is used.

Fig. 120.4. Partition Assignment screen.


Restoring Default page formats

Topic Content is not available yet. Please refer to the CardAccess 3000 help file. .


Setup Dial-Up Screen Controls

Setup Dial-Up Screen Control

Note: Dial up modems are not used much anymore. It is highly recommended to use another means of communications if possible.

The superior error correction circuitry of the Courier V.Everything modem makes it ideal for use as a general-purpose dial modem for access control applications involving Continental Instruments equipment. The additional cost of the V.Everything modem is offset by the fact that the modem has superior performance on marginal quality phone lines. The properly configured V.Everything modem has been proven to have fewer support issues on sub-par phone lines, as compared to standard modems.

The approach to setting up the V.Everything modem is no different than any other modem that one would consider using for a CA4K™ dial application. The Host PC side modem can generally be used with the factory default settings, but the panel side modem will require special set up due to the fact that Continental panels do not provide any hardware handshake signals to the modem.

Note that the V.Everything modem has a switch block located on the underside of the modem (see figure below).

Fig. 295.1. The V.Everything modem switch block.

The ten switches on the switch block correspond to ten AT configuration parameters that are stored in the modem's configuration memory. Those parameters can be changed by switch or by software AT command.

However, the switch settings will override the software settings except as noted in the section titled 'Hardware AT Switches'.

The recommended switch settings and AT command setup for the US Robotics Courier V.Everything modem follow below. Note the separate sections for the PC side modem setup and the panel side setup.

PC Side Modem

 The recommended switch settings for the PC side modem are seen in the Table below.

Switch | Setting | Modem Option
1 | Off = DTR Normal | DTR Normal/Override
2 | Off = Verbal Result Codes | Verbal/Numeric Result Codes
3 | On = Display Result Codes | Result Codes On/Off
4 | Off = Echo Offline | Echo Off/On
5 | Off = Auto Answer Enable* | Auto Answer On/Off
6 | Off = Carrier Detect Normal | Carrier Detect Override
7 | Off = Display Result Codes | Result Codes
8 | On = Accept AT Commands | Ignore AT Commands
9 | On = Disconnect With +++ | Disconnect Mode
10 | On = Load Factory Settings | Load from NV Ram or Factory

* Set Auto-Answer to Off (sw 4 to On) if panels will not be dialing in to the host PC

Table-295.2. The recommended PC side V.Everything modem switch settings.

No additional initialization strings are needed for the PC side modem. Use the factory settings.

Panel Side Modem

 The switch settings for the Panel Side modem are found below in Table 295.3. As mentioned above, you will need to provide a DTR and an RTS signal to the modem. Table 295-.45 shows the settings for software jumpering of the modem. However it is strongly suggested that you add hardware jumpers in addition to software jumpers (see the section titled 'General Modem Setup' for details).

Switch | Setting | Modem Option
1 | On = DTR Always On | DTR Normal/Override
2 | On = Numeric Result Codes | Verbal/Numeric Result Codes
3 | On = Display Result Codes | Result Codes On/Off
4 | On = Echo Off | Echo Off/On
5 | Off = Auto Answer Enable | Auto Answer On/Off
6 | On = Carrier Detect Always On | Carrier Detect Override
7 | Off = Display Result Codes | Result Codes
8 | On = Accept AT Commands* | Ignore AT Commands
9 | On = Disconnect With +++ | Disconnect Mode
10 | Off = Load From NV Ram | Load from NV Ram or Factory

* If the panel is picking up and then hanging up, set to 'Ignore AT Commands', but only if the panel is not set to dial back to the host PC

Table- 295.3. The recommended panel side USR V.Everything switch settings.

On the panel side modem, in addition to the switch settings above you will need to modify the factory initialization strings settings by sending the following initialization string to the modem.

AT&N6&R1S0=1&W

 The meaning of the above string follows.

Command | Description
AT | The Modem 'Attention' Command
&N6 | Connect Speed Maximum = 9600
&R1 | Ignore the RTS Signal
S0 = 1 | Answer On 1 Ring
&W | Store Profile in NV Ram Location 'W0'

Table- 295.4. The USR V.Everything panel side modem additional command strings.

You can use the Windows HyperTerminal utility (available from the Accessories program group) to send the initialization strings to the modem.


Smarterm

Smarterm Virtual Inputs

Topic Content is not available yet. Please refer to the CardAccess 3000 help file. .


Superterm

Superterm & Turbo Superterm

Topic Content is not available yet. Please refer to the CardAccess 3000 help file. .

Virtual Inputs are fixed on the SuperTerm and Turbo SuperTerm starting with input 49.

Reader Number

Category

Input Number

1

Forced Door

Valid Tracked Card

Denied/Void Card

Door Open Too Long

49

50

51

52

2

Forced Door

Valid Tracked Card

Denied/Void Card

Door Open Too Long

53

54

55

56

3

Forced Door

Valid Tracked Card

Denied/Void Card

Door Open Too Long

57

58

59

60

4

Forced Door

Valid Tracked Card

Denied/Void Card

Door Open Too Long

61

62

63

64

5

Forced Door

Valid Tracked Card

Denied/Void Card

Door Open Too Long

65

66

67

68

6

Forced Door

Valid Tracked Card

Denied/Void Card

Door Open Too Long

69

70

71

72

7

Forced Door

Valid Tracked Card

Denied/Void Card

Door Open Too Long

73

74

75

76

8 Forced Door

Valid Tracked Card

Denied/Void Card

Door Open Too Long

77

78

79

80

Table-51.60. SuperTerm and Turbo SuperTerm Virtual Inputs.

Note for SuperTerm and Turbo SuperTerm: Virtual inputs are lost if more than one expansion board is added.


Virtual Input Mapping

Note: In many cases, the use of Virtual Inputs is not necessary since the addition of scripting and Activity links.

Virtual inputs are available on most panel types. You can elect to activate up to four virtual inputs for each Reader on most panels. Before using Virtual Inputs, it is recommended to verify if the same functionality can be accomplished by using Scripting or Activity Links.

With hardware inputs, a given input number always refers to the same physical input on a given panel PC board. This is not the case with virtual inputs on all panel types. The virtual input numbers assigned to a given reader port may change depending on how many input or relay expansion cards you have attached to the panel.

Virtual input numbers are fixed on the Universe, Accelaterm, Super Two, SuperTerm, Turbo SuperTerm and Smarterm. Virtual inputs numbers will change on the SmartTerm panel depending on how many inputs are provided from expansion cards (use the link provided below to view the mapping for different panel types).

Also note that if you add the maximum number of expansion cards to the Accelaterm, Super Two, SuperTerm, Turbo SuperTerm or SmartTerm panels, you consume all of the software input numbers that could potentially be allotted for virtual inputs. Thus, virtual inputs become unavailable if you use the maximum number of expansion cards for either panel type.

All Panels Note: Input #81 is always reserved as the Tamper Input for all panel types (Accelaterm, Super Two, SuperTerm, Turbo SuperTerm and SmartTerm). However, you must create and enable the input definition for input #81 on a given panel to activate the tamper input, since the tamper input is disabled by default.

Universe Mapping

Reader # | Category | Input#
1 | Forced Door | 17
 | Valid Tracked Card | 18
 | Denied/Void Card | 19
 | Door Open Too Long | 20
2 | Forced Door | 33
 | Valid Tracked Card | 34
 | Denied/Void Card | 35
 | Door Open Too Long | 36

Accelaterm Mapping

Virtual Inputs are only supported on readers 1 -8 on both Accelaterm models (8 door and 16 door). Readers 1 – 8 map the same as a Turbo SuperTerm starting with input 49.

Reader # | Category | Input#
1 | Forced Door | 49
 | Valid Tracked Card | 50
 | Denied/Void Card | 51
 | Door Open Too Long | 52
2 | Forced Door | 53
 | Valid Tracked Card | 54
 | Denied/Void Card | 55
 | Door Open Too Long | 56
3 | Forced Door | 57
 | Valid Tracked Card | 58
 | Denied/Void Card | 59
 | Door Open Too Long | 60
4 | Forced Door | 61
 | Valid Tracked Card | 62
 | Denied/Void Card | 63
 | Door Open Too Long | 64
5 | Forced Door | 65
 | Valid Tracked Card | 66
 | Denied/Void Card | 67
 | Door Open Too Long | 68
6 | Forced Door | 69
 | Valid Tracked Card | 70
 | Denied/Void Card | 71
 | Door Open Too Long | 72
7 | Forced Door | 73
 | Valid Tracked Card | 74
 | Denied/Void Card | 75
 | Door Open Too Long | 76
8 | Forced Door | 77
 | Valid Tracked Card | 78
 | Denied/Void Card | 79
 | Door Open Too Long | 80

Note: If any expansion boards are added to the Accelaterm, Virtual inputs are not supported.

Super Two Mapping

Reader # | Category | Input#
1 | Forced Door | 49
 | Valid Tracked Card | 50
 | Denied/Void Card | 51
 | Door Open Too Long | 52
2 | Forced Door | 53
 | Valid Tracked Card | 54
 | Denied/Void Card | 55
 | Door Open Too Long | 56

8 Door Turbo SuperTerm and SuperTerm Mapping

Virtual Inputs are fixed on the 8 Door Turbo SuperTerm and SuperTerm starting with input 49.

Reader # | Category | Input#
1 | Forced Door | 49
 | Valid Tracked Card | 50
 | Denied/Void Card | 51
 | Door Open Too Long | 52
2 | Forced Door | 53
 | Valid Tracked Card | 54
 | Denied/Void Card | 55
 | Door Open Too Long | 56
3 | Forced Door | 57
 | Valid Tracked Card | 58
 | Denied/Void Card | 59
 | Door Open Too Long | 60
4 | Forced Door | 61
 | Valid Tracked Card | 62
 | Denied/Void Card | 63
 | Door Open Too Long | 64
5 | Forced Door | 65
 | Valid Tracked Card | 66
 | Denied/Void Card | 67
 | Door Open Too Long | 68
6 | Forced Door | 69
 | Valid Tracked Card | 70
 | Denied/Void Card | 71
 | Door Open Too Long | 72
7 | Forced Door | 73
 | Valid Tracked Card | 74
 | Denied/Void Card | 75
 | Door Open Too Long | 76
8 | Forced Door | 77
 | Valid Tracked Card | 78
 | Denied/Void Card | 79
 | Door Open Too Long | 80

Note: If more than 1 expansion board is added to the 8 Door Turbo SuperTerm or SuperTerm, virtual inputs are lost.

4 Door Turbo SuperTerm and SuperTerm Mapping

Virtual Inputs for a 4 door Turbo SuperTerm and 4 door SuperTerm map the same as a Smarterm below.

Smarterm Mapping

Virtual Inputs are fixed on the Smarterm starting with input 17.

Door #

Category

Input # with No Expansion Boards

With 1 Expansion Board

With 2 Expansion Boards

With 3 Expansion Boards

1

Forced Door

17

33

49

65

Valid Tracked Card

18

34

50

66

Denied/Void Card

19

35

51

67

Door Open Too Long

20

36

52

68

2

Forced Door

21

37

53

69

Valid Tracked Card

22

38

54

70

Denied/Void Card

23

39

55

71

Door Open Too Long

24

40

56

72

3

Forced Door

25

41

57

73

Valid Tracked Card

26

42

58

74

Denied/Void Card

27

43

59

75

Door Open Too Long

28

44

60

76

4

Forced Door

29

45

61

77

Valid Tracked Card

30

46

62

78

Denied/Void Card

31

47

63

79

Door Open Too Long

32

48

64

80

Note: Virtual inputs are lost if a 4th expansion board is added.